#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 2908
#define LARGE_STATE_COUNT 869
#define SYMBOL_COUNT 395
#define ALIAS_COUNT 3
#define TOKEN_COUNT 197
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 41
#define MAX_ALIAS_SEQUENCE_LENGTH 10
#define PRODUCTION_ID_COUNT 145

enum ts_symbol_identifiers {
  sym_identifier = 1,
  aux_sym_preproc_include_token1 = 2,
  aux_sym_preproc_include_token2 = 3,
  aux_sym_preproc_def_token1 = 4,
  anon_sym_LPAREN = 5,
  anon_sym_DOT_DOT_DOT = 6,
  anon_sym_COMMA = 7,
  anon_sym_RPAREN = 8,
  aux_sym_preproc_if_token1 = 9,
  anon_sym_LF = 10,
  aux_sym_preproc_if_token2 = 11,
  aux_sym_preproc_ifdef_token1 = 12,
  aux_sym_preproc_ifdef_token2 = 13,
  aux_sym_preproc_else_token1 = 14,
  aux_sym_preproc_elif_token1 = 15,
  aux_sym_preproc_elifdef_token1 = 16,
  aux_sym_preproc_elifdef_token2 = 17,
  sym_preproc_arg = 18,
  sym_preproc_directive = 19,
  anon_sym_LPAREN2 = 20,
  anon_sym_defined = 21,
  anon_sym_BANG = 22,
  anon_sym_TILDE = 23,
  anon_sym_DASH = 24,
  anon_sym_PLUS = 25,
  anon_sym_STAR = 26,
  anon_sym_SLASH = 27,
  anon_sym_PERCENT = 28,
  anon_sym_PIPE_PIPE = 29,
  anon_sym_AMP_AMP = 30,
  anon_sym_PIPE = 31,
  anon_sym_CARET = 32,
  anon_sym_AMP = 33,
  anon_sym_EQ_EQ = 34,
  anon_sym_BANG_EQ = 35,
  anon_sym_GT = 36,
  anon_sym_GT_EQ = 37,
  anon_sym_LT_EQ = 38,
  anon_sym_LT = 39,
  anon_sym_LT_LT = 40,
  anon_sym_GT_GT = 41,
  anon_sym_subroutine = 42,
  anon_sym_invariant = 43,
  anon_sym_precise = 44,
  anon_sym_SEMI = 45,
  anon_sym_in = 46,
  anon_sym_out = 47,
  anon_sym_inout = 48,
  anon_sym_uniform = 49,
  anon_sym_shared = 50,
  anon_sym_attribute = 51,
  anon_sym_varying = 52,
  anon_sym_buffer = 53,
  anon_sym_coherent = 54,
  anon_sym_readonly = 55,
  anon_sym_writeonly = 56,
  anon_sym_precision = 57,
  anon_sym_highp = 58,
  anon_sym_mediump = 59,
  anon_sym_lowp = 60,
  anon_sym_centroid = 61,
  anon_sym_sample = 62,
  anon_sym_patch = 63,
  anon_sym_smooth = 64,
  anon_sym_flat = 65,
  anon_sym_noperspective = 66,
  anon_sym___extension__ = 67,
  anon_sym_typedef = 68,
  anon_sym_extern = 69,
  anon_sym___attribute__ = 70,
  anon_sym_COLON_COLON = 71,
  anon_sym_LBRACK_LBRACK = 72,
  anon_sym_RBRACK_RBRACK = 73,
  anon_sym___declspec = 74,
  anon_sym___based = 75,
  anon_sym___cdecl = 76,
  anon_sym___clrcall = 77,
  anon_sym___stdcall = 78,
  anon_sym___fastcall = 79,
  anon_sym___thiscall = 80,
  anon_sym___vectorcall = 81,
  sym_ms_restrict_modifier = 82,
  sym_ms_unsigned_ptr_modifier = 83,
  sym_ms_signed_ptr_modifier = 84,
  anon_sym__unaligned = 85,
  anon_sym___unaligned = 86,
  anon_sym_LBRACE = 87,
  anon_sym_RBRACE = 88,
  anon_sym_signed = 89,
  anon_sym_unsigned = 90,
  anon_sym_long = 91,
  anon_sym_short = 92,
  anon_sym_LBRACK = 93,
  anon_sym_RBRACK = 94,
  anon_sym_EQ = 95,
  anon_sym_static = 96,
  anon_sym_auto = 97,
  anon_sym_register = 98,
  anon_sym_inline = 99,
  anon_sym___inline = 100,
  anon_sym___inline__ = 101,
  anon_sym___forceinline = 102,
  anon_sym_thread_local = 103,
  anon_sym___thread = 104,
  anon_sym_const = 105,
  anon_sym_constexpr = 106,
  anon_sym_volatile = 107,
  anon_sym_restrict = 108,
  anon_sym___restrict__ = 109,
  anon_sym__Atomic = 110,
  anon_sym__Noreturn = 111,
  anon_sym_noreturn = 112,
  sym_primitive_type = 113,
  anon_sym_enum = 114,
  anon_sym_COLON = 115,
  anon_sym_struct = 116,
  anon_sym_union = 117,
  anon_sym_if = 118,
  anon_sym_else = 119,
  anon_sym_switch = 120,
  anon_sym_case = 121,
  anon_sym_default = 122,
  anon_sym_while = 123,
  anon_sym_do = 124,
  anon_sym_for = 125,
  anon_sym_return = 126,
  anon_sym_break = 127,
  anon_sym_continue = 128,
  anon_sym_goto = 129,
  anon_sym___try = 130,
  anon_sym___except = 131,
  anon_sym___finally = 132,
  anon_sym___leave = 133,
  anon_sym_QMARK = 134,
  anon_sym_STAR_EQ = 135,
  anon_sym_SLASH_EQ = 136,
  anon_sym_PERCENT_EQ = 137,
  anon_sym_PLUS_EQ = 138,
  anon_sym_DASH_EQ = 139,
  anon_sym_LT_LT_EQ = 140,
  anon_sym_GT_GT_EQ = 141,
  anon_sym_AMP_EQ = 142,
  anon_sym_CARET_EQ = 143,
  anon_sym_PIPE_EQ = 144,
  anon_sym_DASH_DASH = 145,
  anon_sym_PLUS_PLUS = 146,
  anon_sym_sizeof = 147,
  anon_sym___alignof__ = 148,
  anon_sym___alignof = 149,
  anon_sym__alignof = 150,
  anon_sym_alignof = 151,
  anon_sym__Alignof = 152,
  anon_sym_offsetof = 153,
  anon_sym__Generic = 154,
  anon_sym_asm = 155,
  anon_sym___asm__ = 156,
  anon_sym_DOT = 157,
  anon_sym_DASH_GT = 158,
  sym_number_literal = 159,
  anon_sym_L_SQUOTE = 160,
  anon_sym_u_SQUOTE = 161,
  anon_sym_U_SQUOTE = 162,
  anon_sym_u8_SQUOTE = 163,
  anon_sym_SQUOTE = 164,
  aux_sym_char_literal_token1 = 165,
  anon_sym_L_DQUOTE = 166,
  anon_sym_u_DQUOTE = 167,
  anon_sym_U_DQUOTE = 168,
  anon_sym_u8_DQUOTE = 169,
  anon_sym_DQUOTE = 170,
  aux_sym_string_literal_token1 = 171,
  sym_escape_sequence = 172,
  sym_system_lib_string = 173,
  sym_true = 174,
  sym_false = 175,
  anon_sym_NULL = 176,
  anon_sym_nullptr = 177,
  sym_comment = 178,
  aux_sym_preproc_extension_token1 = 179,
  anon_sym_require = 180,
  anon_sym_enable = 181,
  anon_sym_warn = 182,
  anon_sym_disable = 183,
  anon_sym_rayPayloadEXT = 184,
  anon_sym_rayPayloadInEXT = 185,
  anon_sym_hitAttributeEXT = 186,
  anon_sym_callableDataEXT = 187,
  anon_sym_callableDataInEXT = 188,
  anon_sym_shaderRecordEXT = 189,
  anon_sym_rayPayloadNV = 190,
  anon_sym_rayPayloadInNV = 191,
  anon_sym_hitAttributeNV = 192,
  anon_sym_callableDataNV = 193,
  anon_sym_callableDataInNV = 194,
  anon_sym_shaderRecordNV = 195,
  anon_sym_layout = 196,
  sym_translation_unit = 197,
  sym_preproc_include = 198,
  sym_preproc_def = 199,
  sym_preproc_function_def = 200,
  sym_preproc_params = 201,
  sym_preproc_call = 202,
  sym_preproc_if = 203,
  sym_preproc_ifdef = 204,
  sym_preproc_else = 205,
  sym_preproc_elif = 206,
  sym_preproc_elifdef = 207,
  sym_preproc_if_in_field_declaration_list = 208,
  sym_preproc_ifdef_in_field_declaration_list = 209,
  sym_preproc_else_in_field_declaration_list = 210,
  sym_preproc_elif_in_field_declaration_list = 211,
  sym_preproc_elifdef_in_field_declaration_list = 212,
  sym_preproc_if_in_enumerator_list = 213,
  sym_preproc_ifdef_in_enumerator_list = 214,
  sym_preproc_else_in_enumerator_list = 215,
  sym_preproc_elif_in_enumerator_list = 216,
  sym_preproc_elifdef_in_enumerator_list = 217,
  sym_preproc_if_in_enumerator_list_no_comma = 218,
  sym_preproc_ifdef_in_enumerator_list_no_comma = 219,
  sym_preproc_else_in_enumerator_list_no_comma = 220,
  sym_preproc_elif_in_enumerator_list_no_comma = 221,
  sym_preproc_elifdef_in_enumerator_list_no_comma = 222,
  sym__preproc_expression = 223,
  sym_preproc_parenthesized_expression = 224,
  sym_preproc_defined = 225,
  sym_preproc_unary_expression = 226,
  sym_preproc_call_expression = 227,
  sym_preproc_argument_list = 228,
  sym_preproc_binary_expression = 229,
  sym_function_definition = 230,
  sym_declaration = 231,
  sym_type_definition = 232,
  sym__type_definition_type = 233,
  sym__type_definition_declarators = 234,
  sym__declaration_modifiers = 235,
  sym__declaration_specifiers = 236,
  sym_linkage_specification = 237,
  sym_attribute_specifier = 238,
  sym_attribute = 239,
  sym_attribute_declaration = 240,
  sym_ms_declspec_modifier = 241,
  sym_ms_based_modifier = 242,
  sym_ms_call_modifier = 243,
  sym_ms_unaligned_ptr_modifier = 244,
  sym_ms_pointer_modifier = 245,
  sym_declaration_list = 246,
  sym__declarator = 247,
  sym__declaration_declarator = 248,
  sym__field_declarator = 249,
  sym__type_declarator = 250,
  sym__abstract_declarator = 251,
  sym_parenthesized_declarator = 252,
  sym_parenthesized_field_declarator = 253,
  sym_parenthesized_type_declarator = 254,
  sym_abstract_parenthesized_declarator = 255,
  sym_attributed_declarator = 256,
  sym_attributed_field_declarator = 257,
  sym_attributed_type_declarator = 258,
  sym_pointer_declarator = 259,
  sym_pointer_field_declarator = 260,
  sym_pointer_type_declarator = 261,
  sym_abstract_pointer_declarator = 262,
  sym_function_declarator = 263,
  sym__function_declaration_declarator = 264,
  sym_function_field_declarator = 265,
  sym_function_type_declarator = 266,
  sym_abstract_function_declarator = 267,
  sym_array_declarator = 268,
  sym_array_field_declarator = 269,
  sym_array_type_declarator = 270,
  sym_abstract_array_declarator = 271,
  sym_init_declarator = 272,
  sym_compound_statement = 273,
  sym_storage_class_specifier = 274,
  sym_type_qualifier = 275,
  sym__type_specifier = 276,
  sym_sized_type_specifier = 277,
  sym_enum_specifier = 278,
  sym_enumerator_list = 279,
  sym_struct_specifier = 280,
  sym_union_specifier = 281,
  sym_field_declaration_list = 282,
  sym__field_declaration_list_item = 283,
  sym_field_declaration = 284,
  sym__field_declaration_declarator = 285,
  sym_bitfield_clause = 286,
  sym_enumerator = 287,
  sym_variadic_parameter = 288,
  sym_parameter_list = 289,
  sym_parameter_declaration = 290,
  sym_attributed_statement = 291,
  sym_labeled_statement = 292,
  sym__top_level_expression_statement = 293,
  sym_expression_statement = 294,
  sym_if_statement = 295,
  sym_else_clause = 296,
  sym_switch_statement = 297,
  sym_case_statement = 298,
  sym_while_statement = 299,
  sym_do_statement = 300,
  sym_for_statement = 301,
  sym__for_statement_body = 302,
  sym_return_statement = 303,
  sym_break_statement = 304,
  sym_continue_statement = 305,
  sym_goto_statement = 306,
  sym_seh_try_statement = 307,
  sym_seh_except_clause = 308,
  sym_seh_finally_clause = 309,
  sym_seh_leave_statement = 310,
  sym__expression = 311,
  sym__expression_not_binary = 312,
  sym__string = 313,
  sym_comma_expression = 314,
  sym_conditional_expression = 315,
  sym_assignment_expression = 316,
  sym_pointer_expression = 317,
  sym_unary_expression = 318,
  sym_binary_expression = 319,
  sym_update_expression = 320,
  sym_cast_expression = 321,
  sym_type_descriptor = 322,
  sym_sizeof_expression = 323,
  sym_alignof_expression = 324,
  sym_offsetof_expression = 325,
  sym_generic_expression = 326,
  sym_subscript_expression = 327,
  sym_call_expression = 328,
  sym_gnu_asm_expression = 329,
  sym_gnu_asm_qualifier = 330,
  sym_gnu_asm_output_operand_list = 331,
  sym_gnu_asm_output_operand = 332,
  sym_gnu_asm_input_operand_list = 333,
  sym_gnu_asm_input_operand = 334,
  sym_gnu_asm_clobber_list = 335,
  sym_gnu_asm_goto_list = 336,
  sym_argument_list = 337,
  sym_field_expression = 338,
  sym_compound_literal_expression = 339,
  sym_parenthesized_expression = 340,
  sym_initializer_list = 341,
  sym_initializer_pair = 342,
  sym_subscript_designator = 343,
  sym_subscript_range_designator = 344,
  sym_field_designator = 345,
  sym_char_literal = 346,
  sym_concatenated_string = 347,
  sym_string_literal = 348,
  sym_null = 349,
  sym__empty_declaration = 350,
  sym_macro_type_specifier = 351,
  sym_preproc_extension = 352,
  sym_extension_behavior = 353,
  sym_extension_storage_class = 354,
  sym_layout_specification = 355,
  sym_layout_qualifiers = 356,
  sym_qualifier = 357,
  aux_sym_translation_unit_repeat1 = 358,
  aux_sym_preproc_params_repeat1 = 359,
  aux_sym_preproc_if_repeat1 = 360,
  aux_sym_preproc_if_in_field_declaration_list_repeat1 = 361,
  aux_sym_preproc_if_in_enumerator_list_repeat1 = 362,
  aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1 = 363,
  aux_sym_preproc_argument_list_repeat1 = 364,
  aux_sym_function_definition_repeat1 = 365,
  aux_sym_declaration_repeat1 = 366,
  aux_sym_declaration_repeat2 = 367,
  aux_sym_type_definition_repeat1 = 368,
  aux_sym__type_definition_type_repeat1 = 369,
  aux_sym__type_definition_declarators_repeat1 = 370,
  aux_sym__declaration_specifiers_repeat1 = 371,
  aux_sym_attribute_declaration_repeat1 = 372,
  aux_sym_attributed_declarator_repeat1 = 373,
  aux_sym_pointer_declarator_repeat1 = 374,
  aux_sym_function_declarator_repeat1 = 375,
  aux_sym_sized_type_specifier_repeat1 = 376,
  aux_sym_enumerator_list_repeat1 = 377,
  aux_sym__field_declaration_declarator_repeat1 = 378,
  aux_sym_parameter_list_repeat1 = 379,
  aux_sym_parameter_declaration_repeat1 = 380,
  aux_sym_case_statement_repeat1 = 381,
  aux_sym_generic_expression_repeat1 = 382,
  aux_sym_gnu_asm_expression_repeat1 = 383,
  aux_sym_gnu_asm_output_operand_list_repeat1 = 384,
  aux_sym_gnu_asm_input_operand_list_repeat1 = 385,
  aux_sym_gnu_asm_clobber_list_repeat1 = 386,
  aux_sym_gnu_asm_goto_list_repeat1 = 387,
  aux_sym_argument_list_repeat1 = 388,
  aux_sym_initializer_list_repeat1 = 389,
  aux_sym_initializer_pair_repeat1 = 390,
  aux_sym_char_literal_repeat1 = 391,
  aux_sym_concatenated_string_repeat1 = 392,
  aux_sym_string_literal_repeat1 = 393,
  aux_sym_layout_qualifiers_repeat1 = 394,
  alias_sym_field_identifier = 395,
  alias_sym_statement_identifier = 396,
  alias_sym_type_identifier = 397,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [aux_sym_preproc_include_token1] = "#include",
  [aux_sym_preproc_include_token2] = "preproc_include_token2",
  [aux_sym_preproc_def_token1] = "#define",
  [anon_sym_LPAREN] = "(",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_COMMA] = ",",
  [anon_sym_RPAREN] = ")",
  [aux_sym_preproc_if_token1] = "#if",
  [anon_sym_LF] = "\n",
  [aux_sym_preproc_if_token2] = "#endif",
  [aux_sym_preproc_ifdef_token1] = "#ifdef",
  [aux_sym_preproc_ifdef_token2] = "#ifndef",
  [aux_sym_preproc_else_token1] = "#else",
  [aux_sym_preproc_elif_token1] = "#elif",
  [aux_sym_preproc_elifdef_token1] = "#elifdef",
  [aux_sym_preproc_elifdef_token2] = "#elifndef",
  [sym_preproc_arg] = "preproc_arg",
  [sym_preproc_directive] = "preproc_directive",
  [anon_sym_LPAREN2] = "(",
  [anon_sym_defined] = "defined",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_DASH] = "-",
  [anon_sym_PLUS] = "+",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE] = "|",
  [anon_sym_CARET] = "^",
  [anon_sym_AMP] = "&",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_GT] = ">",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_LT] = "<",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_subroutine] = "subroutine",
  [anon_sym_invariant] = "invariant",
  [anon_sym_precise] = "precise",
  [anon_sym_SEMI] = ";",
  [anon_sym_in] = "in",
  [anon_sym_out] = "out",
  [anon_sym_inout] = "inout",
  [anon_sym_uniform] = "uniform",
  [anon_sym_shared] = "shared",
  [anon_sym_attribute] = "attribute",
  [anon_sym_varying] = "varying",
  [anon_sym_buffer] = "buffer",
  [anon_sym_coherent] = "coherent",
  [anon_sym_readonly] = "readonly",
  [anon_sym_writeonly] = "writeonly",
  [anon_sym_precision] = "precision",
  [anon_sym_highp] = "highp",
  [anon_sym_mediump] = "mediump",
  [anon_sym_lowp] = "lowp",
  [anon_sym_centroid] = "centroid",
  [anon_sym_sample] = "sample",
  [anon_sym_patch] = "patch",
  [anon_sym_smooth] = "smooth",
  [anon_sym_flat] = "flat",
  [anon_sym_noperspective] = "noperspective",
  [anon_sym___extension__] = "__extension__",
  [anon_sym_typedef] = "typedef",
  [anon_sym_extern] = "extern",
  [anon_sym___attribute__] = "__attribute__",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_LBRACK_LBRACK] = "[[",
  [anon_sym_RBRACK_RBRACK] = "]]",
  [anon_sym___declspec] = "__declspec",
  [anon_sym___based] = "__based",
  [anon_sym___cdecl] = "__cdecl",
  [anon_sym___clrcall] = "__clrcall",
  [anon_sym___stdcall] = "__stdcall",
  [anon_sym___fastcall] = "__fastcall",
  [anon_sym___thiscall] = "__thiscall",
  [anon_sym___vectorcall] = "__vectorcall",
  [sym_ms_restrict_modifier] = "ms_restrict_modifier",
  [sym_ms_unsigned_ptr_modifier] = "ms_unsigned_ptr_modifier",
  [sym_ms_signed_ptr_modifier] = "ms_signed_ptr_modifier",
  [anon_sym__unaligned] = "_unaligned",
  [anon_sym___unaligned] = "__unaligned",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_signed] = "signed",
  [anon_sym_unsigned] = "unsigned",
  [anon_sym_long] = "long",
  [anon_sym_short] = "short",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_EQ] = "=",
  [anon_sym_static] = "static",
  [anon_sym_auto] = "auto",
  [anon_sym_register] = "register",
  [anon_sym_inline] = "inline",
  [anon_sym___inline] = "__inline",
  [anon_sym___inline__] = "__inline__",
  [anon_sym___forceinline] = "__forceinline",
  [anon_sym_thread_local] = "thread_local",
  [anon_sym___thread] = "__thread",
  [anon_sym_const] = "const",
  [anon_sym_constexpr] = "constexpr",
  [anon_sym_volatile] = "volatile",
  [anon_sym_restrict] = "restrict",
  [anon_sym___restrict__] = "__restrict__",
  [anon_sym__Atomic] = "_Atomic",
  [anon_sym__Noreturn] = "_Noreturn",
  [anon_sym_noreturn] = "noreturn",
  [sym_primitive_type] = "primitive_type",
  [anon_sym_enum] = "enum",
  [anon_sym_COLON] = ":",
  [anon_sym_struct] = "struct",
  [anon_sym_union] = "union",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_switch] = "switch",
  [anon_sym_case] = "case",
  [anon_sym_default] = "default",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_for] = "for",
  [anon_sym_return] = "return",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_goto] = "goto",
  [anon_sym___try] = "__try",
  [anon_sym___except] = "__except",
  [anon_sym___finally] = "__finally",
  [anon_sym___leave] = "__leave",
  [anon_sym_QMARK] = "\?",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_sizeof] = "sizeof",
  [anon_sym___alignof__] = "__alignof__",
  [anon_sym___alignof] = "__alignof",
  [anon_sym__alignof] = "_alignof",
  [anon_sym_alignof] = "alignof",
  [anon_sym__Alignof] = "_Alignof",
  [anon_sym_offsetof] = "offsetof",
  [anon_sym__Generic] = "_Generic",
  [anon_sym_asm] = "asm",
  [anon_sym___asm__] = "__asm__",
  [anon_sym_DOT] = ".",
  [anon_sym_DASH_GT] = "->",
  [sym_number_literal] = "number_literal",
  [anon_sym_L_SQUOTE] = "L'",
  [anon_sym_u_SQUOTE] = "u'",
  [anon_sym_U_SQUOTE] = "U'",
  [anon_sym_u8_SQUOTE] = "u8'",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_char_literal_token1] = "character",
  [anon_sym_L_DQUOTE] = "L\"",
  [anon_sym_u_DQUOTE] = "u\"",
  [anon_sym_U_DQUOTE] = "U\"",
  [anon_sym_u8_DQUOTE] = "u8\"",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_literal_token1] = "string_content",
  [sym_escape_sequence] = "escape_sequence",
  [sym_system_lib_string] = "system_lib_string",
  [sym_true] = "true",
  [sym_false] = "false",
  [anon_sym_NULL] = "NULL",
  [anon_sym_nullptr] = "nullptr",
  [sym_comment] = "comment",
  [aux_sym_preproc_extension_token1] = "preproc_extension_token1",
  [anon_sym_require] = "require",
  [anon_sym_enable] = "enable",
  [anon_sym_warn] = "warn",
  [anon_sym_disable] = "disable",
  [anon_sym_rayPayloadEXT] = "rayPayloadEXT",
  [anon_sym_rayPayloadInEXT] = "rayPayloadInEXT",
  [anon_sym_hitAttributeEXT] = "hitAttributeEXT",
  [anon_sym_callableDataEXT] = "callableDataEXT",
  [anon_sym_callableDataInEXT] = "callableDataInEXT",
  [anon_sym_shaderRecordEXT] = "shaderRecordEXT",
  [anon_sym_rayPayloadNV] = "rayPayloadNV",
  [anon_sym_rayPayloadInNV] = "rayPayloadInNV",
  [anon_sym_hitAttributeNV] = "hitAttributeNV",
  [anon_sym_callableDataNV] = "callableDataNV",
  [anon_sym_callableDataInNV] = "callableDataInNV",
  [anon_sym_shaderRecordNV] = "shaderRecordNV",
  [anon_sym_layout] = "layout",
  [sym_translation_unit] = "translation_unit",
  [sym_preproc_include] = "preproc_include",
  [sym_preproc_def] = "preproc_def",
  [sym_preproc_function_def] = "preproc_function_def",
  [sym_preproc_params] = "preproc_params",
  [sym_preproc_call] = "preproc_call",
  [sym_preproc_if] = "preproc_if",
  [sym_preproc_ifdef] = "preproc_ifdef",
  [sym_preproc_else] = "preproc_else",
  [sym_preproc_elif] = "preproc_elif",
  [sym_preproc_elifdef] = "preproc_elifdef",
  [sym_preproc_if_in_field_declaration_list] = "preproc_if",
  [sym_preproc_ifdef_in_field_declaration_list] = "preproc_ifdef",
  [sym_preproc_else_in_field_declaration_list] = "preproc_else",
  [sym_preproc_elif_in_field_declaration_list] = "preproc_elif",
  [sym_preproc_elifdef_in_field_declaration_list] = "preproc_elifdef",
  [sym_preproc_if_in_enumerator_list] = "preproc_if",
  [sym_preproc_ifdef_in_enumerator_list] = "preproc_ifdef",
  [sym_preproc_else_in_enumerator_list] = "preproc_else",
  [sym_preproc_elif_in_enumerator_list] = "preproc_elif",
  [sym_preproc_elifdef_in_enumerator_list] = "preproc_elifdef",
  [sym_preproc_if_in_enumerator_list_no_comma] = "preproc_if",
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = "preproc_ifdef",
  [sym_preproc_else_in_enumerator_list_no_comma] = "preproc_else",
  [sym_preproc_elif_in_enumerator_list_no_comma] = "preproc_elif",
  [sym_preproc_elifdef_in_enumerator_list_no_comma] = "preproc_elifdef",
  [sym__preproc_expression] = "_preproc_expression",
  [sym_preproc_parenthesized_expression] = "parenthesized_expression",
  [sym_preproc_defined] = "preproc_defined",
  [sym_preproc_unary_expression] = "unary_expression",
  [sym_preproc_call_expression] = "call_expression",
  [sym_preproc_argument_list] = "argument_list",
  [sym_preproc_binary_expression] = "binary_expression",
  [sym_function_definition] = "function_definition",
  [sym_declaration] = "declaration",
  [sym_type_definition] = "type_definition",
  [sym__type_definition_type] = "_type_definition_type",
  [sym__type_definition_declarators] = "_type_definition_declarators",
  [sym__declaration_modifiers] = "_declaration_modifiers",
  [sym__declaration_specifiers] = "_declaration_specifiers",
  [sym_linkage_specification] = "linkage_specification",
  [sym_attribute_specifier] = "attribute_specifier",
  [sym_attribute] = "attribute",
  [sym_attribute_declaration] = "attribute_declaration",
  [sym_ms_declspec_modifier] = "ms_declspec_modifier",
  [sym_ms_based_modifier] = "ms_based_modifier",
  [sym_ms_call_modifier] = "ms_call_modifier",
  [sym_ms_unaligned_ptr_modifier] = "ms_unaligned_ptr_modifier",
  [sym_ms_pointer_modifier] = "ms_pointer_modifier",
  [sym_declaration_list] = "declaration_list",
  [sym__declarator] = "_declarator",
  [sym__declaration_declarator] = "_declaration_declarator",
  [sym__field_declarator] = "_field_declarator",
  [sym__type_declarator] = "_type_declarator",
  [sym__abstract_declarator] = "_abstract_declarator",
  [sym_parenthesized_declarator] = "parenthesized_declarator",
  [sym_parenthesized_field_declarator] = "parenthesized_declarator",
  [sym_parenthesized_type_declarator] = "parenthesized_declarator",
  [sym_abstract_parenthesized_declarator] = "abstract_parenthesized_declarator",
  [sym_attributed_declarator] = "attributed_declarator",
  [sym_attributed_field_declarator] = "attributed_declarator",
  [sym_attributed_type_declarator] = "attributed_declarator",
  [sym_pointer_declarator] = "pointer_declarator",
  [sym_pointer_field_declarator] = "pointer_declarator",
  [sym_pointer_type_declarator] = "pointer_declarator",
  [sym_abstract_pointer_declarator] = "abstract_pointer_declarator",
  [sym_function_declarator] = "function_declarator",
  [sym__function_declaration_declarator] = "function_declarator",
  [sym_function_field_declarator] = "function_declarator",
  [sym_function_type_declarator] = "function_declarator",
  [sym_abstract_function_declarator] = "abstract_function_declarator",
  [sym_array_declarator] = "array_declarator",
  [sym_array_field_declarator] = "array_declarator",
  [sym_array_type_declarator] = "array_declarator",
  [sym_abstract_array_declarator] = "abstract_array_declarator",
  [sym_init_declarator] = "init_declarator",
  [sym_compound_statement] = "compound_statement",
  [sym_storage_class_specifier] = "storage_class_specifier",
  [sym_type_qualifier] = "type_qualifier",
  [sym__type_specifier] = "_type_specifier",
  [sym_sized_type_specifier] = "sized_type_specifier",
  [sym_enum_specifier] = "enum_specifier",
  [sym_enumerator_list] = "enumerator_list",
  [sym_struct_specifier] = "struct_specifier",
  [sym_union_specifier] = "union_specifier",
  [sym_field_declaration_list] = "field_declaration_list",
  [sym__field_declaration_list_item] = "_field_declaration_list_item",
  [sym_field_declaration] = "field_declaration",
  [sym__field_declaration_declarator] = "_field_declaration_declarator",
  [sym_bitfield_clause] = "bitfield_clause",
  [sym_enumerator] = "enumerator",
  [sym_variadic_parameter] = "variadic_parameter",
  [sym_parameter_list] = "parameter_list",
  [sym_parameter_declaration] = "parameter_declaration",
  [sym_attributed_statement] = "attributed_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym__top_level_expression_statement] = "expression_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_if_statement] = "if_statement",
  [sym_else_clause] = "else_clause",
  [sym_switch_statement] = "switch_statement",
  [sym_case_statement] = "case_statement",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_for_statement] = "for_statement",
  [sym__for_statement_body] = "_for_statement_body",
  [sym_return_statement] = "return_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_goto_statement] = "goto_statement",
  [sym_seh_try_statement] = "seh_try_statement",
  [sym_seh_except_clause] = "seh_except_clause",
  [sym_seh_finally_clause] = "seh_finally_clause",
  [sym_seh_leave_statement] = "seh_leave_statement",
  [sym__expression] = "_expression",
  [sym__expression_not_binary] = "_expression_not_binary",
  [sym__string] = "_string",
  [sym_comma_expression] = "comma_expression",
  [sym_conditional_expression] = "conditional_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_pointer_expression] = "pointer_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_update_expression] = "update_expression",
  [sym_cast_expression] = "cast_expression",
  [sym_type_descriptor] = "type_descriptor",
  [sym_sizeof_expression] = "sizeof_expression",
  [sym_alignof_expression] = "alignof_expression",
  [sym_offsetof_expression] = "offsetof_expression",
  [sym_generic_expression] = "generic_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_call_expression] = "call_expression",
  [sym_gnu_asm_expression] = "gnu_asm_expression",
  [sym_gnu_asm_qualifier] = "gnu_asm_qualifier",
  [sym_gnu_asm_output_operand_list] = "gnu_asm_output_operand_list",
  [sym_gnu_asm_output_operand] = "gnu_asm_output_operand",
  [sym_gnu_asm_input_operand_list] = "gnu_asm_input_operand_list",
  [sym_gnu_asm_input_operand] = "gnu_asm_input_operand",
  [sym_gnu_asm_clobber_list] = "gnu_asm_clobber_list",
  [sym_gnu_asm_goto_list] = "gnu_asm_goto_list",
  [sym_argument_list] = "argument_list",
  [sym_field_expression] = "field_expression",
  [sym_compound_literal_expression] = "compound_literal_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_initializer_list] = "initializer_list",
  [sym_initializer_pair] = "initializer_pair",
  [sym_subscript_designator] = "subscript_designator",
  [sym_subscript_range_designator] = "subscript_range_designator",
  [sym_field_designator] = "field_designator",
  [sym_char_literal] = "char_literal",
  [sym_concatenated_string] = "concatenated_string",
  [sym_string_literal] = "string_literal",
  [sym_null] = "null",
  [sym__empty_declaration] = "_empty_declaration",
  [sym_macro_type_specifier] = "macro_type_specifier",
  [sym_preproc_extension] = "preproc_extension",
  [sym_extension_behavior] = "extension_behavior",
  [sym_extension_storage_class] = "extension_storage_class",
  [sym_layout_specification] = "layout_specification",
  [sym_layout_qualifiers] = "layout_qualifiers",
  [sym_qualifier] = "qualifier",
  [aux_sym_translation_unit_repeat1] = "translation_unit_repeat1",
  [aux_sym_preproc_params_repeat1] = "preproc_params_repeat1",
  [aux_sym_preproc_if_repeat1] = "preproc_if_repeat1",
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = "preproc_if_in_field_declaration_list_repeat1",
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = "preproc_if_in_enumerator_list_repeat1",
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = "preproc_if_in_enumerator_list_no_comma_repeat1",
  [aux_sym_preproc_argument_list_repeat1] = "preproc_argument_list_repeat1",
  [aux_sym_function_definition_repeat1] = "function_definition_repeat1",
  [aux_sym_declaration_repeat1] = "declaration_repeat1",
  [aux_sym_declaration_repeat2] = "declaration_repeat2",
  [aux_sym_type_definition_repeat1] = "type_definition_repeat1",
  [aux_sym__type_definition_type_repeat1] = "_type_definition_type_repeat1",
  [aux_sym__type_definition_declarators_repeat1] = "_type_definition_declarators_repeat1",
  [aux_sym__declaration_specifiers_repeat1] = "_declaration_specifiers_repeat1",
  [aux_sym_attribute_declaration_repeat1] = "attribute_declaration_repeat1",
  [aux_sym_attributed_declarator_repeat1] = "attributed_declarator_repeat1",
  [aux_sym_pointer_declarator_repeat1] = "pointer_declarator_repeat1",
  [aux_sym_function_declarator_repeat1] = "function_declarator_repeat1",
  [aux_sym_sized_type_specifier_repeat1] = "sized_type_specifier_repeat1",
  [aux_sym_enumerator_list_repeat1] = "enumerator_list_repeat1",
  [aux_sym__field_declaration_declarator_repeat1] = "_field_declaration_declarator_repeat1",
  [aux_sym_parameter_list_repeat1] = "parameter_list_repeat1",
  [aux_sym_parameter_declaration_repeat1] = "parameter_declaration_repeat1",
  [aux_sym_case_statement_repeat1] = "case_statement_repeat1",
  [aux_sym_generic_expression_repeat1] = "generic_expression_repeat1",
  [aux_sym_gnu_asm_expression_repeat1] = "gnu_asm_expression_repeat1",
  [aux_sym_gnu_asm_output_operand_list_repeat1] = "gnu_asm_output_operand_list_repeat1",
  [aux_sym_gnu_asm_input_operand_list_repeat1] = "gnu_asm_input_operand_list_repeat1",
  [aux_sym_gnu_asm_clobber_list_repeat1] = "gnu_asm_clobber_list_repeat1",
  [aux_sym_gnu_asm_goto_list_repeat1] = "gnu_asm_goto_list_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_initializer_list_repeat1] = "initializer_list_repeat1",
  [aux_sym_initializer_pair_repeat1] = "initializer_pair_repeat1",
  [aux_sym_char_literal_repeat1] = "char_literal_repeat1",
  [aux_sym_concatenated_string_repeat1] = "concatenated_string_repeat1",
  [aux_sym_string_literal_repeat1] = "string_literal_repeat1",
  [aux_sym_layout_qualifiers_repeat1] = "layout_qualifiers_repeat1",
  [alias_sym_field_identifier] = "field_identifier",
  [alias_sym_statement_identifier] = "statement_identifier",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [aux_sym_preproc_include_token1] = aux_sym_preproc_include_token1,
  [aux_sym_preproc_include_token2] = aux_sym_preproc_include_token2,
  [aux_sym_preproc_def_token1] = aux_sym_preproc_def_token1,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [aux_sym_preproc_if_token1] = aux_sym_preproc_if_token1,
  [anon_sym_LF] = anon_sym_LF,
  [aux_sym_preproc_if_token2] = aux_sym_preproc_if_token2,
  [aux_sym_preproc_ifdef_token1] = aux_sym_preproc_ifdef_token1,
  [aux_sym_preproc_ifdef_token2] = aux_sym_preproc_ifdef_token2,
  [aux_sym_preproc_else_token1] = aux_sym_preproc_else_token1,
  [aux_sym_preproc_elif_token1] = aux_sym_preproc_elif_token1,
  [aux_sym_preproc_elifdef_token1] = aux_sym_preproc_elifdef_token1,
  [aux_sym_preproc_elifdef_token2] = aux_sym_preproc_elifdef_token2,
  [sym_preproc_arg] = sym_preproc_arg,
  [sym_preproc_directive] = sym_preproc_directive,
  [anon_sym_LPAREN2] = anon_sym_LPAREN,
  [anon_sym_defined] = anon_sym_defined,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_subroutine] = anon_sym_subroutine,
  [anon_sym_invariant] = anon_sym_invariant,
  [anon_sym_precise] = anon_sym_precise,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_out] = anon_sym_out,
  [anon_sym_inout] = anon_sym_inout,
  [anon_sym_uniform] = anon_sym_uniform,
  [anon_sym_shared] = anon_sym_shared,
  [anon_sym_attribute] = anon_sym_attribute,
  [anon_sym_varying] = anon_sym_varying,
  [anon_sym_buffer] = anon_sym_buffer,
  [anon_sym_coherent] = anon_sym_coherent,
  [anon_sym_readonly] = anon_sym_readonly,
  [anon_sym_writeonly] = anon_sym_writeonly,
  [anon_sym_precision] = anon_sym_precision,
  [anon_sym_highp] = anon_sym_highp,
  [anon_sym_mediump] = anon_sym_mediump,
  [anon_sym_lowp] = anon_sym_lowp,
  [anon_sym_centroid] = anon_sym_centroid,
  [anon_sym_sample] = anon_sym_sample,
  [anon_sym_patch] = anon_sym_patch,
  [anon_sym_smooth] = anon_sym_smooth,
  [anon_sym_flat] = anon_sym_flat,
  [anon_sym_noperspective] = anon_sym_noperspective,
  [anon_sym___extension__] = anon_sym___extension__,
  [anon_sym_typedef] = anon_sym_typedef,
  [anon_sym_extern] = anon_sym_extern,
  [anon_sym___attribute__] = anon_sym___attribute__,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_LBRACK_LBRACK] = anon_sym_LBRACK_LBRACK,
  [anon_sym_RBRACK_RBRACK] = anon_sym_RBRACK_RBRACK,
  [anon_sym___declspec] = anon_sym___declspec,
  [anon_sym___based] = anon_sym___based,
  [anon_sym___cdecl] = anon_sym___cdecl,
  [anon_sym___clrcall] = anon_sym___clrcall,
  [anon_sym___stdcall] = anon_sym___stdcall,
  [anon_sym___fastcall] = anon_sym___fastcall,
  [anon_sym___thiscall] = anon_sym___thiscall,
  [anon_sym___vectorcall] = anon_sym___vectorcall,
  [sym_ms_restrict_modifier] = sym_ms_restrict_modifier,
  [sym_ms_unsigned_ptr_modifier] = sym_ms_unsigned_ptr_modifier,
  [sym_ms_signed_ptr_modifier] = sym_ms_signed_ptr_modifier,
  [anon_sym__unaligned] = anon_sym__unaligned,
  [anon_sym___unaligned] = anon_sym___unaligned,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_signed] = anon_sym_signed,
  [anon_sym_unsigned] = anon_sym_unsigned,
  [anon_sym_long] = anon_sym_long,
  [anon_sym_short] = anon_sym_short,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_auto] = anon_sym_auto,
  [anon_sym_register] = anon_sym_register,
  [anon_sym_inline] = anon_sym_inline,
  [anon_sym___inline] = anon_sym___inline,
  [anon_sym___inline__] = anon_sym___inline__,
  [anon_sym___forceinline] = anon_sym___forceinline,
  [anon_sym_thread_local] = anon_sym_thread_local,
  [anon_sym___thread] = anon_sym___thread,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_constexpr] = anon_sym_constexpr,
  [anon_sym_volatile] = anon_sym_volatile,
  [anon_sym_restrict] = anon_sym_restrict,
  [anon_sym___restrict__] = anon_sym___restrict__,
  [anon_sym__Atomic] = anon_sym__Atomic,
  [anon_sym__Noreturn] = anon_sym__Noreturn,
  [anon_sym_noreturn] = anon_sym_noreturn,
  [sym_primitive_type] = sym_primitive_type,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_struct] = anon_sym_struct,
  [anon_sym_union] = anon_sym_union,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_goto] = anon_sym_goto,
  [anon_sym___try] = anon_sym___try,
  [anon_sym___except] = anon_sym___except,
  [anon_sym___finally] = anon_sym___finally,
  [anon_sym___leave] = anon_sym___leave,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_sizeof] = anon_sym_sizeof,
  [anon_sym___alignof__] = anon_sym___alignof__,
  [anon_sym___alignof] = anon_sym___alignof,
  [anon_sym__alignof] = anon_sym__alignof,
  [anon_sym_alignof] = anon_sym_alignof,
  [anon_sym__Alignof] = anon_sym__Alignof,
  [anon_sym_offsetof] = anon_sym_offsetof,
  [anon_sym__Generic] = anon_sym__Generic,
  [anon_sym_asm] = anon_sym_asm,
  [anon_sym___asm__] = anon_sym___asm__,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [sym_number_literal] = sym_number_literal,
  [anon_sym_L_SQUOTE] = anon_sym_L_SQUOTE,
  [anon_sym_u_SQUOTE] = anon_sym_u_SQUOTE,
  [anon_sym_U_SQUOTE] = anon_sym_U_SQUOTE,
  [anon_sym_u8_SQUOTE] = anon_sym_u8_SQUOTE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_char_literal_token1] = aux_sym_char_literal_token1,
  [anon_sym_L_DQUOTE] = anon_sym_L_DQUOTE,
  [anon_sym_u_DQUOTE] = anon_sym_u_DQUOTE,
  [anon_sym_U_DQUOTE] = anon_sym_U_DQUOTE,
  [anon_sym_u8_DQUOTE] = anon_sym_u8_DQUOTE,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_literal_token1] = aux_sym_string_literal_token1,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_system_lib_string] = sym_system_lib_string,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [anon_sym_NULL] = anon_sym_NULL,
  [anon_sym_nullptr] = anon_sym_nullptr,
  [sym_comment] = sym_comment,
  [aux_sym_preproc_extension_token1] = aux_sym_preproc_extension_token1,
  [anon_sym_require] = anon_sym_require,
  [anon_sym_enable] = anon_sym_enable,
  [anon_sym_warn] = anon_sym_warn,
  [anon_sym_disable] = anon_sym_disable,
  [anon_sym_rayPayloadEXT] = anon_sym_rayPayloadEXT,
  [anon_sym_rayPayloadInEXT] = anon_sym_rayPayloadInEXT,
  [anon_sym_hitAttributeEXT] = anon_sym_hitAttributeEXT,
  [anon_sym_callableDataEXT] = anon_sym_callableDataEXT,
  [anon_sym_callableDataInEXT] = anon_sym_callableDataInEXT,
  [anon_sym_shaderRecordEXT] = anon_sym_shaderRecordEXT,
  [anon_sym_rayPayloadNV] = anon_sym_rayPayloadNV,
  [anon_sym_rayPayloadInNV] = anon_sym_rayPayloadInNV,
  [anon_sym_hitAttributeNV] = anon_sym_hitAttributeNV,
  [anon_sym_callableDataNV] = anon_sym_callableDataNV,
  [anon_sym_callableDataInNV] = anon_sym_callableDataInNV,
  [anon_sym_shaderRecordNV] = anon_sym_shaderRecordNV,
  [anon_sym_layout] = anon_sym_layout,
  [sym_translation_unit] = sym_translation_unit,
  [sym_preproc_include] = sym_preproc_include,
  [sym_preproc_def] = sym_preproc_def,
  [sym_preproc_function_def] = sym_preproc_function_def,
  [sym_preproc_params] = sym_preproc_params,
  [sym_preproc_call] = sym_preproc_call,
  [sym_preproc_if] = sym_preproc_if,
  [sym_preproc_ifdef] = sym_preproc_ifdef,
  [sym_preproc_else] = sym_preproc_else,
  [sym_preproc_elif] = sym_preproc_elif,
  [sym_preproc_elifdef] = sym_preproc_elifdef,
  [sym_preproc_if_in_field_declaration_list] = sym_preproc_if,
  [sym_preproc_ifdef_in_field_declaration_list] = sym_preproc_ifdef,
  [sym_preproc_else_in_field_declaration_list] = sym_preproc_else,
  [sym_preproc_elif_in_field_declaration_list] = sym_preproc_elif,
  [sym_preproc_elifdef_in_field_declaration_list] = sym_preproc_elifdef,
  [sym_preproc_if_in_enumerator_list] = sym_preproc_if,
  [sym_preproc_ifdef_in_enumerator_list] = sym_preproc_ifdef,
  [sym_preproc_else_in_enumerator_list] = sym_preproc_else,
  [sym_preproc_elif_in_enumerator_list] = sym_preproc_elif,
  [sym_preproc_elifdef_in_enumerator_list] = sym_preproc_elifdef,
  [sym_preproc_if_in_enumerator_list_no_comma] = sym_preproc_if,
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = sym_preproc_ifdef,
  [sym_preproc_else_in_enumerator_list_no_comma] = sym_preproc_else,
  [sym_preproc_elif_in_enumerator_list_no_comma] = sym_preproc_elif,
  [sym_preproc_elifdef_in_enumerator_list_no_comma] = sym_preproc_elifdef,
  [sym__preproc_expression] = sym__preproc_expression,
  [sym_preproc_parenthesized_expression] = sym_parenthesized_expression,
  [sym_preproc_defined] = sym_preproc_defined,
  [sym_preproc_unary_expression] = sym_unary_expression,
  [sym_preproc_call_expression] = sym_call_expression,
  [sym_preproc_argument_list] = sym_argument_list,
  [sym_preproc_binary_expression] = sym_binary_expression,
  [sym_function_definition] = sym_function_definition,
  [sym_declaration] = sym_declaration,
  [sym_type_definition] = sym_type_definition,
  [sym__type_definition_type] = sym__type_definition_type,
  [sym__type_definition_declarators] = sym__type_definition_declarators,
  [sym__declaration_modifiers] = sym__declaration_modifiers,
  [sym__declaration_specifiers] = sym__declaration_specifiers,
  [sym_linkage_specification] = sym_linkage_specification,
  [sym_attribute_specifier] = sym_attribute_specifier,
  [sym_attribute] = sym_attribute,
  [sym_attribute_declaration] = sym_attribute_declaration,
  [sym_ms_declspec_modifier] = sym_ms_declspec_modifier,
  [sym_ms_based_modifier] = sym_ms_based_modifier,
  [sym_ms_call_modifier] = sym_ms_call_modifier,
  [sym_ms_unaligned_ptr_modifier] = sym_ms_unaligned_ptr_modifier,
  [sym_ms_pointer_modifier] = sym_ms_pointer_modifier,
  [sym_declaration_list] = sym_declaration_list,
  [sym__declarator] = sym__declarator,
  [sym__declaration_declarator] = sym__declaration_declarator,
  [sym__field_declarator] = sym__field_declarator,
  [sym__type_declarator] = sym__type_declarator,
  [sym__abstract_declarator] = sym__abstract_declarator,
  [sym_parenthesized_declarator] = sym_parenthesized_declarator,
  [sym_parenthesized_field_declarator] = sym_parenthesized_declarator,
  [sym_parenthesized_type_declarator] = sym_parenthesized_declarator,
  [sym_abstract_parenthesized_declarator] = sym_abstract_parenthesized_declarator,
  [sym_attributed_declarator] = sym_attributed_declarator,
  [sym_attributed_field_declarator] = sym_attributed_declarator,
  [sym_attributed_type_declarator] = sym_attributed_declarator,
  [sym_pointer_declarator] = sym_pointer_declarator,
  [sym_pointer_field_declarator] = sym_pointer_declarator,
  [sym_pointer_type_declarator] = sym_pointer_declarator,
  [sym_abstract_pointer_declarator] = sym_abstract_pointer_declarator,
  [sym_function_declarator] = sym_function_declarator,
  [sym__function_declaration_declarator] = sym_function_declarator,
  [sym_function_field_declarator] = sym_function_declarator,
  [sym_function_type_declarator] = sym_function_declarator,
  [sym_abstract_function_declarator] = sym_abstract_function_declarator,
  [sym_array_declarator] = sym_array_declarator,
  [sym_array_field_declarator] = sym_array_declarator,
  [sym_array_type_declarator] = sym_array_declarator,
  [sym_abstract_array_declarator] = sym_abstract_array_declarator,
  [sym_init_declarator] = sym_init_declarator,
  [sym_compound_statement] = sym_compound_statement,
  [sym_storage_class_specifier] = sym_storage_class_specifier,
  [sym_type_qualifier] = sym_type_qualifier,
  [sym__type_specifier] = sym__type_specifier,
  [sym_sized_type_specifier] = sym_sized_type_specifier,
  [sym_enum_specifier] = sym_enum_specifier,
  [sym_enumerator_list] = sym_enumerator_list,
  [sym_struct_specifier] = sym_struct_specifier,
  [sym_union_specifier] = sym_union_specifier,
  [sym_field_declaration_list] = sym_field_declaration_list,
  [sym__field_declaration_list_item] = sym__field_declaration_list_item,
  [sym_field_declaration] = sym_field_declaration,
  [sym__field_declaration_declarator] = sym__field_declaration_declarator,
  [sym_bitfield_clause] = sym_bitfield_clause,
  [sym_enumerator] = sym_enumerator,
  [sym_variadic_parameter] = sym_variadic_parameter,
  [sym_parameter_list] = sym_parameter_list,
  [sym_parameter_declaration] = sym_parameter_declaration,
  [sym_attributed_statement] = sym_attributed_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym__top_level_expression_statement] = sym_expression_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_if_statement] = sym_if_statement,
  [sym_else_clause] = sym_else_clause,
  [sym_switch_statement] = sym_switch_statement,
  [sym_case_statement] = sym_case_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_for_statement] = sym_for_statement,
  [sym__for_statement_body] = sym__for_statement_body,
  [sym_return_statement] = sym_return_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_goto_statement] = sym_goto_statement,
  [sym_seh_try_statement] = sym_seh_try_statement,
  [sym_seh_except_clause] = sym_seh_except_clause,
  [sym_seh_finally_clause] = sym_seh_finally_clause,
  [sym_seh_leave_statement] = sym_seh_leave_statement,
  [sym__expression] = sym__expression,
  [sym__expression_not_binary] = sym__expression_not_binary,
  [sym__string] = sym__string,
  [sym_comma_expression] = sym_comma_expression,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_pointer_expression] = sym_pointer_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_cast_expression] = sym_cast_expression,
  [sym_type_descriptor] = sym_type_descriptor,
  [sym_sizeof_expression] = sym_sizeof_expression,
  [sym_alignof_expression] = sym_alignof_expression,
  [sym_offsetof_expression] = sym_offsetof_expression,
  [sym_generic_expression] = sym_generic_expression,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym_call_expression] = sym_call_expression,
  [sym_gnu_asm_expression] = sym_gnu_asm_expression,
  [sym_gnu_asm_qualifier] = sym_gnu_asm_qualifier,
  [sym_gnu_asm_output_operand_list] = sym_gnu_asm_output_operand_list,
  [sym_gnu_asm_output_operand] = sym_gnu_asm_output_operand,
  [sym_gnu_asm_input_operand_list] = sym_gnu_asm_input_operand_list,
  [sym_gnu_asm_input_operand] = sym_gnu_asm_input_operand,
  [sym_gnu_asm_clobber_list] = sym_gnu_asm_clobber_list,
  [sym_gnu_asm_goto_list] = sym_gnu_asm_goto_list,
  [sym_argument_list] = sym_argument_list,
  [sym_field_expression] = sym_field_expression,
  [sym_compound_literal_expression] = sym_compound_literal_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_initializer_list] = sym_initializer_list,
  [sym_initializer_pair] = sym_initializer_pair,
  [sym_subscript_designator] = sym_subscript_designator,
  [sym_subscript_range_designator] = sym_subscript_range_designator,
  [sym_field_designator] = sym_field_designator,
  [sym_char_literal] = sym_char_literal,
  [sym_concatenated_string] = sym_concatenated_string,
  [sym_string_literal] = sym_string_literal,
  [sym_null] = sym_null,
  [sym__empty_declaration] = sym__empty_declaration,
  [sym_macro_type_specifier] = sym_macro_type_specifier,
  [sym_preproc_extension] = sym_preproc_extension,
  [sym_extension_behavior] = sym_extension_behavior,
  [sym_extension_storage_class] = sym_extension_storage_class,
  [sym_layout_specification] = sym_layout_specification,
  [sym_layout_qualifiers] = sym_layout_qualifiers,
  [sym_qualifier] = sym_qualifier,
  [aux_sym_translation_unit_repeat1] = aux_sym_translation_unit_repeat1,
  [aux_sym_preproc_params_repeat1] = aux_sym_preproc_params_repeat1,
  [aux_sym_preproc_if_repeat1] = aux_sym_preproc_if_repeat1,
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = aux_sym_preproc_if_in_enumerator_list_repeat1,
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [aux_sym_preproc_argument_list_repeat1] = aux_sym_preproc_argument_list_repeat1,
  [aux_sym_function_definition_repeat1] = aux_sym_function_definition_repeat1,
  [aux_sym_declaration_repeat1] = aux_sym_declaration_repeat1,
  [aux_sym_declaration_repeat2] = aux_sym_declaration_repeat2,
  [aux_sym_type_definition_repeat1] = aux_sym_type_definition_repeat1,
  [aux_sym__type_definition_type_repeat1] = aux_sym__type_definition_type_repeat1,
  [aux_sym__type_definition_declarators_repeat1] = aux_sym__type_definition_declarators_repeat1,
  [aux_sym__declaration_specifiers_repeat1] = aux_sym__declaration_specifiers_repeat1,
  [aux_sym_attribute_declaration_repeat1] = aux_sym_attribute_declaration_repeat1,
  [aux_sym_attributed_declarator_repeat1] = aux_sym_attributed_declarator_repeat1,
  [aux_sym_pointer_declarator_repeat1] = aux_sym_pointer_declarator_repeat1,
  [aux_sym_function_declarator_repeat1] = aux_sym_function_declarator_repeat1,
  [aux_sym_sized_type_specifier_repeat1] = aux_sym_sized_type_specifier_repeat1,
  [aux_sym_enumerator_list_repeat1] = aux_sym_enumerator_list_repeat1,
  [aux_sym__field_declaration_declarator_repeat1] = aux_sym__field_declaration_declarator_repeat1,
  [aux_sym_parameter_list_repeat1] = aux_sym_parameter_list_repeat1,
  [aux_sym_parameter_declaration_repeat1] = aux_sym_parameter_declaration_repeat1,
  [aux_sym_case_statement_repeat1] = aux_sym_case_statement_repeat1,
  [aux_sym_generic_expression_repeat1] = aux_sym_generic_expression_repeat1,
  [aux_sym_gnu_asm_expression_repeat1] = aux_sym_gnu_asm_expression_repeat1,
  [aux_sym_gnu_asm_output_operand_list_repeat1] = aux_sym_gnu_asm_output_operand_list_repeat1,
  [aux_sym_gnu_asm_input_operand_list_repeat1] = aux_sym_gnu_asm_input_operand_list_repeat1,
  [aux_sym_gnu_asm_clobber_list_repeat1] = aux_sym_gnu_asm_clobber_list_repeat1,
  [aux_sym_gnu_asm_goto_list_repeat1] = aux_sym_gnu_asm_goto_list_repeat1,
  [aux_sym_argument_list_repeat1] = aux_sym_argument_list_repeat1,
  [aux_sym_initializer_list_repeat1] = aux_sym_initializer_list_repeat1,
  [aux_sym_initializer_pair_repeat1] = aux_sym_initializer_pair_repeat1,
  [aux_sym_char_literal_repeat1] = aux_sym_char_literal_repeat1,
  [aux_sym_concatenated_string_repeat1] = aux_sym_concatenated_string_repeat1,
  [aux_sym_string_literal_repeat1] = aux_sym_string_literal_repeat1,
  [aux_sym_layout_qualifiers_repeat1] = aux_sym_layout_qualifiers_repeat1,
  [alias_sym_field_identifier] = alias_sym_field_identifier,
  [alias_sym_statement_identifier] = alias_sym_statement_identifier,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_preproc_include_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_include_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_def_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_if_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_if_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_ifdef_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_ifdef_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_else_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elif_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elifdef_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elifdef_token2] = {
    .visible = true,
    .named = false,
  },
  [sym_preproc_arg] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_directive] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LPAREN2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_defined] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_subroutine] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_invariant] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_precise] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_out] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_inout] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uniform] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_shared] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_attribute] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_varying] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_buffer] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_coherent] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_readonly] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_writeonly] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_precision] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_highp] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mediump] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lowp] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_centroid] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sample] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_patch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_smooth] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_flat] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_noperspective] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___extension__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typedef] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extern] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___attribute__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___declspec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___based] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___cdecl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___clrcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___stdcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___fastcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___thiscall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___vectorcall] = {
    .visible = true,
    .named = false,
  },
  [sym_ms_restrict_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_unsigned_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_signed_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym__unaligned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___unaligned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_signed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unsigned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_long] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_short] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_auto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_register] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_inline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___inline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___inline__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___forceinline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_thread_local] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___thread] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_constexpr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_volatile] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_restrict] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___restrict__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Atomic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Noreturn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_noreturn] = {
    .visible = true,
    .named = false,
  },
  [sym_primitive_type] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_union] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_goto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___except] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___leave] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sizeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___alignof__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_offsetof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Generic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_asm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___asm__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_number_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_L_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_U_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_char_literal_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_L_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_U_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_literal_token1] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_system_lib_string] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_NULL] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nullptr] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_preproc_extension_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_require] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_enable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_warn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_disable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_rayPayloadEXT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_rayPayloadInEXT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_hitAttributeEXT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_callableDataEXT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_callableDataInEXT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_shaderRecordEXT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_rayPayloadNV] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_rayPayloadInNV] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_hitAttributeNV] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_callableDataNV] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_callableDataInNV] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_shaderRecordNV] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_layout] = {
    .visible = true,
    .named = false,
  },
  [sym_translation_unit] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_include] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_function_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_params] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_call] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym__preproc_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_preproc_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_defined] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__type_definition_type] = {
    .visible = false,
    .named = true,
  },
  [sym__type_definition_declarators] = {
    .visible = false,
    .named = true,
  },
  [sym__declaration_modifiers] = {
    .visible = false,
    .named = true,
  },
  [sym__declaration_specifiers] = {
    .visible = false,
    .named = true,
  },
  [sym_linkage_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_declspec_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_based_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_call_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_unaligned_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_pointer_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__declaration_declarator] = {
    .visible = false,
    .named = true,
  },
  [sym__field_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__type_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__abstract_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_parenthesized_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_parenthesized_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_pointer_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym__function_declaration_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_array_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_init_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_storage_class_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_type_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym__type_specifier] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_sized_type_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_union_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__field_declaration_list_item] = {
    .visible = false,
    .named = true,
  },
  [sym_field_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__field_declaration_declarator] = {
    .visible = false,
    .named = true,
  },
  [sym_bitfield_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__top_level_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_statement_body] = {
    .visible = false,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_except_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_leave_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__expression_not_binary] = {
    .visible = false,
    .named = true,
  },
  [sym__string] = {
    .visible = false,
    .named = true,
  },
  [sym_comma_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_descriptor] = {
    .visible = true,
    .named = true,
  },
  [sym_sizeof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_alignof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_offsetof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_output_operand_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_output_operand] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_input_operand_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_input_operand] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_clobber_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_goto_list] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_field_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_literal_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_initializer_list] = {
    .visible = true,
    .named = true,
  },
  [sym_initializer_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_range_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_field_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_char_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenated_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym__empty_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_macro_type_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_extension] = {
    .visible = true,
    .named = true,
  },
  [sym_extension_behavior] = {
    .visible = true,
    .named = true,
  },
  [sym_extension_storage_class] = {
    .visible = true,
    .named = true,
  },
  [sym_layout_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_layout_qualifiers] = {
    .visible = true,
    .named = true,
  },
  [sym_qualifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_translation_unit_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_params_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_declaration_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_definition_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_definition_declarators_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__declaration_specifiers_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attributed_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pointer_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_function_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_sized_type_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enumerator_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__field_declaration_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameter_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_generic_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_output_operand_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_input_operand_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_clobber_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_goto_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_initializer_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_initializer_pair_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_char_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenated_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_layout_qualifiers_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alternative = 1,
  field_argument = 2,
  field_arguments = 3,
  field_assembly_code = 4,
  field_behavior = 5,
  field_body = 6,
  field_clobbers = 7,
  field_condition = 8,
  field_consequence = 9,
  field_constraint = 10,
  field_declarator = 11,
  field_designator = 12,
  field_directive = 13,
  field_end = 14,
  field_extension = 15,
  field_field = 16,
  field_filter = 17,
  field_function = 18,
  field_goto_labels = 19,
  field_index = 20,
  field_initializer = 21,
  field_input_operands = 22,
  field_label = 23,
  field_left = 24,
  field_member = 25,
  field_name = 26,
  field_operand = 27,
  field_operator = 28,
  field_output_operands = 29,
  field_parameters = 30,
  field_path = 31,
  field_prefix = 32,
  field_register = 33,
  field_right = 34,
  field_size = 35,
  field_start = 36,
  field_symbol = 37,
  field_type = 38,
  field_underlying_type = 39,
  field_update = 40,
  field_value = 41,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_assembly_code] = "assembly_code",
  [field_behavior] = "behavior",
  [field_body] = "body",
  [field_clobbers] = "clobbers",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constraint] = "constraint",
  [field_declarator] = "declarator",
  [field_designator] = "designator",
  [field_directive] = "directive",
  [field_end] = "end",
  [field_extension] = "extension",
  [field_field] = "field",
  [field_filter] = "filter",
  [field_function] = "function",
  [field_goto_labels] = "goto_labels",
  [field_index] = "index",
  [field_initializer] = "initializer",
  [field_input_operands] = "input_operands",
  [field_label] = "label",
  [field_left] = "left",
  [field_member] = "member",
  [field_name] = "name",
  [field_operand] = "operand",
  [field_operator] = "operator",
  [field_output_operands] = "output_operands",
  [field_parameters] = "parameters",
  [field_path] = "path",
  [field_prefix] = "prefix",
  [field_register] = "register",
  [field_right] = "right",
  [field_size] = "size",
  [field_start] = "start",
  [field_symbol] = "symbol",
  [field_type] = "type",
  [field_underlying_type] = "underlying_type",
  [field_update] = "update",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [4] = {.index = 2, .length = 2},
  [5] = {.index = 4, .length = 1},
  [6] = {.index = 5, .length = 1},
  [7] = {.index = 6, .length = 1},
  [8] = {.index = 7, .length = 1},
  [9] = {.index = 0, .length = 1},
  [10] = {.index = 8, .length = 2},
  [11] = {.index = 10, .length = 2},
  [12] = {.index = 12, .length = 2},
  [13] = {.index = 14, .length = 1},
  [14] = {.index = 14, .length = 1},
  [15] = {.index = 15, .length = 1},
  [16] = {.index = 5, .length = 1},
  [17] = {.index = 16, .length = 2},
  [18] = {.index = 18, .length = 2},
  [19] = {.index = 20, .length = 1},
  [21] = {.index = 21, .length = 1},
  [22] = {.index = 22, .length = 2},
  [23] = {.index = 24, .length = 2},
  [24] = {.index = 26, .length = 1},
  [25] = {.index = 27, .length = 1},
  [26] = {.index = 28, .length = 2},
  [27] = {.index = 30, .length = 2},
  [28] = {.index = 32, .length = 1},
  [29] = {.index = 33, .length = 3},
  [30] = {.index = 36, .length = 1},
  [31] = {.index = 37, .length = 1},
  [32] = {.index = 38, .length = 3},
  [33] = {.index = 41, .length = 2},
  [34] = {.index = 43, .length = 2},
  [35] = {.index = 45, .length = 3},
  [36] = {.index = 48, .length = 2},
  [37] = {.index = 50, .length = 2},
  [38] = {.index = 52, .length = 1},
  [39] = {.index = 53, .length = 2},
  [40] = {.index = 55, .length = 1},
  [41] = {.index = 56, .length = 2},
  [42] = {.index = 58, .length = 2},
  [43] = {.index = 60, .length = 2},
  [44] = {.index = 62, .length = 2},
  [45] = {.index = 64, .length = 3},
  [46] = {.index = 67, .length = 2},
  [47] = {.index = 69, .length = 2},
  [48] = {.index = 71, .length = 2},
  [49] = {.index = 73, .length = 2},
  [51] = {.index = 75, .length = 2},
  [52] = {.index = 77, .length = 1},
  [53] = {.index = 78, .length = 1},
  [54] = {.index = 79, .length = 3},
  [55] = {.index = 82, .length = 1},
  [56] = {.index = 83, .length = 1},
  [57] = {.index = 84, .length = 1},
  [58] = {.index = 85, .length = 2},
  [59] = {.index = 87, .length = 1},
  [60] = {.index = 88, .length = 3},
  [61] = {.index = 91, .length = 3},
  [62] = {.index = 94, .length = 2},
  [63] = {.index = 96, .length = 3},
  [64] = {.index = 99, .length = 2},
  [65] = {.index = 101, .length = 2},
  [66] = {.index = 103, .length = 2},
  [67] = {.index = 105, .length = 2},
  [68] = {.index = 107, .length = 3},
  [69] = {.index = 110, .length = 2},
  [70] = {.index = 112, .length = 2},
  [71] = {.index = 114, .length = 3},
  [72] = {.index = 117, .length = 1},
  [73] = {.index = 118, .length = 1},
  [74] = {.index = 119, .length = 2},
  [75] = {.index = 121, .length = 3},
  [76] = {.index = 124, .length = 3},
  [77] = {.index = 127, .length = 2},
  [78] = {.index = 129, .length = 2},
  [79] = {.index = 131, .length = 3},
  [80] = {.index = 134, .length = 2},
  [81] = {.index = 136, .length = 2},
  [82] = {.index = 138, .length = 2},
  [83] = {.index = 140, .length = 1},
  [84] = {.index = 141, .length = 2},
  [85] = {.index = 143, .length = 2},
  [86] = {.index = 145, .length = 4},
  [87] = {.index = 149, .length = 1},
  [88] = {.index = 150, .length = 2},
  [89] = {.index = 152, .length = 1},
  [90] = {.index = 153, .length = 1},
  [91] = {.index = 154, .length = 4},
  [92] = {.index = 158, .length = 4},
  [93] = {.index = 162, .length = 2},
  [94] = {.index = 164, .length = 2},
  [95] = {.index = 166, .length = 3},
  [96] = {.index = 169, .length = 3},
  [97] = {.index = 172, .length = 3},
  [98] = {.index = 175, .length = 2},
  [99] = {.index = 177, .length = 1},
  [101] = {.index = 178, .length = 3},
  [102] = {.index = 181, .length = 3},
  [103] = {.index = 184, .length = 2},
  [104] = {.index = 186, .length = 2},
  [105] = {.index = 188, .length = 2},
  [106] = {.index = 190, .length = 3},
  [107] = {.index = 193, .length = 2},
  [108] = {.index = 195, .length = 2},
  [109] = {.index = 197, .length = 2},
  [110] = {.index = 199, .length = 2},
  [111] = {.index = 201, .length = 3},
  [112] = {.index = 204, .length = 2},
  [113] = {.index = 206, .length = 1},
  [114] = {.index = 207, .length = 5},
  [115] = {.index = 212, .length = 2},
  [116] = {.index = 214, .length = 3},
  [117] = {.index = 217, .length = 4},
  [118] = {.index = 221, .length = 4},
  [119] = {.index = 225, .length = 2},
  [120] = {.index = 225, .length = 2},
  [121] = {.index = 227, .length = 3},
  [122] = {.index = 230, .length = 3},
  [123] = {.index = 233, .length = 3},
  [124] = {.index = 236, .length = 2},
  [125] = {.index = 238, .length = 1},
  [126] = {.index = 239, .length = 4},
  [127] = {.index = 243, .length = 3},
  [128] = {.index = 246, .length = 5},
  [129] = {.index = 251, .length = 3},
  [130] = {.index = 254, .length = 3},
  [131] = {.index = 257, .length = 2},
  [132] = {.index = 259, .length = 2},
  [133] = {.index = 32, .length = 1},
  [134] = {.index = 261, .length = 5},
  [135] = {.index = 266, .length = 4},
  [136] = {.index = 270, .length = 2},
  [137] = {.index = 272, .length = 3},
  [138] = {.index = 275, .length = 3},
  [139] = {.index = 278, .length = 2},
  [140] = {.index = 280, .length = 2},
  [141] = {.index = 282, .length = 5},
  [142] = {.index = 287, .length = 3},
  [143] = {.index = 290, .length = 2},
  [144] = {.index = 292, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_type, 0},
  [1] =
    {field_directive, 0},
  [2] =
    {field_argument, 1},
    {field_operator, 0},
  [4] =
    {field_name, 0},
  [5] =
    {field_name, 1},
  [6] =
    {field_body, 1},
  [7] =
    {field_value, 1},
  [8] =
    {field_declarator, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
  [10] =
    {field_argument, 0},
    {field_operator, 1},
  [12] =
    {field_arguments, 1},
    {field_function, 0},
  [14] =
    {field_type, 1},
  [15] =
    {field_path, 1},
  [16] =
    {field_argument, 1},
    {field_directive, 0},
  [18] =
    {field_declarator, 1},
    {field_type, 0},
  [20] =
    {field_parameters, 0},
  [21] =
    {field_declarator, 0},
  [22] =
    {field_body, 2},
    {field_value, 1},
  [24] =
    {field_body, 2},
    {field_name, 1},
  [26] =
    {field_name, 2},
  [27] =
    {field_body, 2},
  [28] =
    {field_condition, 1},
    {field_consequence, 2},
  [30] =
    {field_body, 2},
    {field_condition, 1},
  [32] =
    {field_label, 1},
  [33] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [36] =
    {field_label, 0},
  [37] =
    {field_declarator, 1},
  [38] =
    {field_body, 2},
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
  [41] =
    {field_declarator, 0},
    {field_parameters, 1},
  [43] =
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
  [45] =
    {field_argument, 0},
    {field_field, 2},
    {field_operator, 1},
  [48] =
    {field_name, 1},
    {field_value, 2},
  [50] =
    {field_name, 1},
    {field_parameters, 2},
  [52] =
    {field_condition, 1},
  [53] =
    {field_alternative, 2},
    {field_name, 1},
  [55] =
    {field_type, 0, .inherited = true},
  [56] =
    {field_declarator, 2},
    {field_type, 0},
  [58] =
    {field_left, 0},
    {field_right, 2},
  [60] =
    {field_type, 1},
    {field_value, 3},
  [62] =
    {field_declarator, 2},
    {field_type, 1},
  [64] =
    {field_body, 3},
    {field_declarator, 2},
    {field_type, 1, .inherited = true},
  [67] =
    {field_declarator, 2, .inherited = true},
    {field_type, 1, .inherited = true},
  [69] =
    {field_declarator, 0},
    {field_declarator, 1, .inherited = true},
  [71] =
    {field_name, 2},
    {field_prefix, 0},
  [73] =
    {field_name, 1},
    {field_underlying_type, 3},
  [75] =
    {field_body, 3},
    {field_name, 2},
  [77] =
    {field_name, 3},
  [78] =
    {field_body, 3},
  [79] =
    {field_alternative, 3},
    {field_condition, 1},
    {field_consequence, 2},
  [82] =
    {field_initializer, 0},
  [83] =
    {field_type, 2},
  [84] =
    {field_assembly_code, 2},
  [85] =
    {field_name, 0},
    {field_type, 2},
  [87] =
    {field_declarator, 2},
  [88] =
    {field_body, 3},
    {field_declarator, 2},
    {field_type, 0, .inherited = true},
  [91] =
    {field_declarator, 1},
    {field_declarator, 2},
    {field_type, 0, .inherited = true},
  [94] =
    {field_declarator, 0},
    {field_value, 2},
  [96] =
    {field_declarator, 1},
    {field_declarator, 2, .inherited = true},
    {field_type, 0, .inherited = true},
  [99] =
    {field_declarator, 0, .inherited = true},
    {field_declarator, 1, .inherited = true},
  [101] =
    {field_argument, 0},
    {field_index, 2},
  [103] =
    {field_alternative, 3},
    {field_condition, 0},
  [105] =
    {field_declarator, 2},
    {field_type, 1, .inherited = true},
  [107] =
    {field_name, 1},
    {field_parameters, 2},
    {field_value, 3},
  [110] =
    {field_alternative, 3},
    {field_condition, 1},
  [112] =
    {field_alternative, 3},
    {field_name, 1},
  [114] =
    {field_behavior, 3},
    {field_directive, 0},
    {field_extension, 1},
  [117] =
    {field_type, 1, .inherited = true},
  [118] =
    {field_size, 1},
  [119] =
    {field_declarator, 3},
    {field_type, 1},
  [121] =
    {field_body, 4},
    {field_declarator, 3},
    {field_type, 1, .inherited = true},
  [124] =
    {field_body, 4},
    {field_declarator, 3},
    {field_type, 2, .inherited = true},
  [127] =
    {field_declarator, 3, .inherited = true},
    {field_type, 2, .inherited = true},
  [129] =
    {field_name, 0},
    {field_value, 2},
  [131] =
    {field_body, 4},
    {field_name, 1},
    {field_underlying_type, 3},
  [134] =
    {field_declarator, 1, .inherited = true},
    {field_type, 0, .inherited = true},
  [136] =
    {field_body, 4},
    {field_name, 3},
  [138] =
    {field_body, 1},
    {field_condition, 3},
  [140] =
    {field_update, 2},
  [141] =
    {field_initializer, 0},
    {field_update, 2},
  [143] =
    {field_condition, 1},
    {field_initializer, 0},
  [145] =
    {field_body, 4},
    {field_condition, 2, .inherited = true},
    {field_initializer, 2, .inherited = true},
    {field_update, 2, .inherited = true},
  [149] =
    {field_operand, 1},
  [150] =
    {field_assembly_code, 2},
    {field_output_operands, 3},
  [152] =
    {field_assembly_code, 3},
  [153] =
    {field_declarator, 3},
  [154] =
    {field_declarator, 1},
    {field_declarator, 2},
    {field_declarator, 3},
    {field_type, 0, .inherited = true},
  [158] =
    {field_declarator, 1},
    {field_declarator, 2},
    {field_declarator, 3, .inherited = true},
    {field_type, 0, .inherited = true},
  [162] =
    {field_declarator, 0},
    {field_size, 2},
  [164] =
    {field_declarator, 1},
    {field_declarator, 2},
  [166] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [169] =
    {field_declarator, 2},
    {field_declarator, 3},
    {field_type, 1, .inherited = true},
  [172] =
    {field_declarator, 2},
    {field_declarator, 3, .inherited = true},
    {field_type, 1, .inherited = true},
  [175] =
    {field_alternative, 4},
    {field_condition, 1},
  [177] =
    {field_size, 2},
  [178] =
    {field_body, 5},
    {field_declarator, 4},
    {field_type, 3, .inherited = true},
  [181] =
    {field_body, 5},
    {field_declarator, 4},
    {field_type, 2, .inherited = true},
  [184] =
    {field_body, 2},
    {field_filter, 1},
  [186] =
    {field_declarator, 0},
    {field_declarator, 2, .inherited = true},
  [188] =
    {field_condition, 1},
    {field_update, 3},
  [190] =
    {field_condition, 1},
    {field_initializer, 0},
    {field_update, 3},
  [193] =
    {field_initializer, 0},
    {field_update, 3},
  [195] =
    {field_condition, 2},
    {field_initializer, 0},
  [197] =
    {field_member, 4},
    {field_type, 2},
  [199] =
    {field_operand, 1},
    {field_operand, 2, .inherited = true},
  [201] =
    {field_assembly_code, 2},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [204] =
    {field_assembly_code, 3},
    {field_output_operands, 4},
  [206] =
    {field_declarator, 4},
  [207] =
    {field_declarator, 1},
    {field_declarator, 2},
    {field_declarator, 3},
    {field_declarator, 4, .inherited = true},
    {field_type, 0, .inherited = true},
  [212] =
    {field_declarator, 0},
    {field_size, 3},
  [214] =
    {field_declarator, 1},
    {field_declarator, 2},
    {field_declarator, 3},
  [217] =
    {field_declarator, 2},
    {field_declarator, 3},
    {field_declarator, 4},
    {field_type, 1, .inherited = true},
  [221] =
    {field_declarator, 2},
    {field_declarator, 3},
    {field_declarator, 4, .inherited = true},
    {field_type, 1, .inherited = true},
  [225] =
    {field_designator, 0},
    {field_value, 2},
  [227] =
    {field_body, 6},
    {field_declarator, 5},
    {field_type, 3, .inherited = true},
  [230] =
    {field_body, 6},
    {field_declarator, 5},
    {field_type, 4, .inherited = true},
  [233] =
    {field_condition, 2},
    {field_initializer, 0},
    {field_update, 4},
  [236] =
    {field_operand, 0, .inherited = true},
    {field_operand, 1, .inherited = true},
  [238] =
    {field_register, 1},
  [239] =
    {field_assembly_code, 2},
    {field_clobbers, 5},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [243] =
    {field_assembly_code, 3},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [246] =
    {field_declarator, 2},
    {field_declarator, 3},
    {field_declarator, 4},
    {field_declarator, 5, .inherited = true},
    {field_type, 1, .inherited = true},
  [251] =
    {field_body, 7},
    {field_declarator, 6},
    {field_type, 4, .inherited = true},
  [254] =
    {field_body, 7},
    {field_declarator, 6},
    {field_type, 5, .inherited = true},
  [257] =
    {field_constraint, 0},
    {field_value, 2},
  [259] =
    {field_register, 1},
    {field_register, 2, .inherited = true},
  [261] =
    {field_assembly_code, 2},
    {field_clobbers, 5},
    {field_goto_labels, 6},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [266] =
    {field_assembly_code, 3},
    {field_clobbers, 6},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [270] =
    {field_end, 3},
    {field_start, 1},
  [272] =
    {field_body, 8},
    {field_declarator, 7},
    {field_type, 5, .inherited = true},
  [275] =
    {field_body, 8},
    {field_declarator, 7},
    {field_type, 6, .inherited = true},
  [278] =
    {field_register, 0, .inherited = true},
    {field_register, 1, .inherited = true},
  [280] =
    {field_label, 1},
    {field_label, 2, .inherited = true},
  [282] =
    {field_assembly_code, 3},
    {field_clobbers, 6},
    {field_goto_labels, 7},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [287] =
    {field_body, 9},
    {field_declarator, 8},
    {field_type, 6, .inherited = true},
  [290] =
    {field_label, 0, .inherited = true},
    {field_label, 1, .inherited = true},
  [292] =
    {field_constraint, 3},
    {field_symbol, 1},
    {field_value, 5},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = alias_sym_type_identifier,
  },
  [6] = {
    [1] = alias_sym_type_identifier,
  },
  [9] = {
    [0] = alias_sym_type_identifier,
  },
  [14] = {
    [1] = alias_sym_type_identifier,
  },
  [20] = {
    [0] = sym_primitive_type,
  },
  [23] = {
    [1] = alias_sym_type_identifier,
  },
  [24] = {
    [2] = alias_sym_type_identifier,
  },
  [28] = {
    [1] = alias_sym_statement_identifier,
  },
  [30] = {
    [0] = alias_sym_statement_identifier,
  },
  [35] = {
    [2] = alias_sym_field_identifier,
  },
  [49] = {
    [1] = alias_sym_type_identifier,
  },
  [50] = {
    [0] = alias_sym_field_identifier,
  },
  [51] = {
    [2] = alias_sym_type_identifier,
  },
  [52] = {
    [3] = alias_sym_type_identifier,
  },
  [79] = {
    [1] = alias_sym_type_identifier,
  },
  [81] = {
    [3] = alias_sym_type_identifier,
  },
  [100] = {
    [1] = alias_sym_field_identifier,
  },
  [109] = {
    [4] = alias_sym_field_identifier,
  },
  [119] = {
    [0] = alias_sym_field_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 3,
  [5] = 3,
  [6] = 2,
  [7] = 2,
  [8] = 2,
  [9] = 2,
  [10] = 3,
  [11] = 3,
  [12] = 12,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 16,
  [17] = 16,
  [18] = 16,
  [19] = 19,
  [20] = 19,
  [21] = 16,
  [22] = 19,
  [23] = 23,
  [24] = 16,
  [25] = 19,
  [26] = 19,
  [27] = 23,
  [28] = 28,
  [29] = 29,
  [30] = 30,
  [31] = 28,
  [32] = 29,
  [33] = 33,
  [34] = 30,
  [35] = 28,
  [36] = 33,
  [37] = 37,
  [38] = 23,
  [39] = 23,
  [40] = 29,
  [41] = 29,
  [42] = 33,
  [43] = 30,
  [44] = 30,
  [45] = 28,
  [46] = 30,
  [47] = 33,
  [48] = 48,
  [49] = 33,
  [50] = 29,
  [51] = 28,
  [52] = 52,
  [53] = 53,
  [54] = 54,
  [55] = 55,
  [56] = 56,
  [57] = 57,
  [58] = 58,
  [59] = 56,
  [60] = 58,
  [61] = 54,
  [62] = 57,
  [63] = 55,
  [64] = 55,
  [65] = 55,
  [66] = 56,
  [67] = 54,
  [68] = 54,
  [69] = 55,
  [70] = 57,
  [71] = 56,
  [72] = 56,
  [73] = 57,
  [74] = 57,
  [75] = 58,
  [76] = 58,
  [77] = 58,
  [78] = 54,
  [79] = 58,
  [80] = 54,
  [81] = 57,
  [82] = 55,
  [83] = 56,
  [84] = 84,
  [85] = 84,
  [86] = 84,
  [87] = 84,
  [88] = 84,
  [89] = 84,
  [90] = 90,
  [91] = 91,
  [92] = 92,
  [93] = 93,
  [94] = 94,
  [95] = 95,
  [96] = 96,
  [97] = 97,
  [98] = 98,
  [99] = 99,
  [100] = 100,
  [101] = 101,
  [102] = 102,
  [103] = 103,
  [104] = 104,
  [105] = 105,
  [106] = 106,
  [107] = 107,
  [108] = 108,
  [109] = 109,
  [110] = 110,
  [111] = 111,
  [112] = 112,
  [113] = 113,
  [114] = 114,
  [115] = 115,
  [116] = 116,
  [117] = 117,
  [118] = 118,
  [119] = 119,
  [120] = 120,
  [121] = 121,
  [122] = 122,
  [123] = 123,
  [124] = 124,
  [125] = 125,
  [126] = 126,
  [127] = 127,
  [128] = 128,
  [129] = 129,
  [130] = 130,
  [131] = 131,
  [132] = 132,
  [133] = 122,
  [134] = 134,
  [135] = 135,
  [136] = 136,
  [137] = 137,
  [138] = 138,
  [139] = 139,
  [140] = 140,
  [141] = 141,
  [142] = 142,
  [143] = 143,
  [144] = 144,
  [145] = 145,
  [146] = 146,
  [147] = 147,
  [148] = 148,
  [149] = 149,
  [150] = 150,
  [151] = 151,
  [152] = 103,
  [153] = 153,
  [154] = 154,
  [155] = 155,
  [156] = 90,
  [157] = 157,
  [158] = 158,
  [159] = 159,
  [160] = 160,
  [161] = 161,
  [162] = 162,
  [163] = 163,
  [164] = 164,
  [165] = 165,
  [166] = 166,
  [167] = 167,
  [168] = 168,
  [169] = 169,
  [170] = 170,
  [171] = 171,
  [172] = 172,
  [173] = 173,
  [174] = 174,
  [175] = 175,
  [176] = 176,
  [177] = 177,
  [178] = 178,
  [179] = 179,
  [180] = 180,
  [181] = 181,
  [182] = 182,
  [183] = 183,
  [184] = 184,
  [185] = 185,
  [186] = 186,
  [187] = 187,
  [188] = 188,
  [189] = 189,
  [190] = 190,
  [191] = 191,
  [192] = 192,
  [193] = 193,
  [194] = 194,
  [195] = 195,
  [196] = 196,
  [197] = 105,
  [198] = 95,
  [199] = 99,
  [200] = 100,
  [201] = 138,
  [202] = 137,
  [203] = 108,
  [204] = 107,
  [205] = 106,
  [206] = 101,
  [207] = 104,
  [208] = 154,
  [209] = 110,
  [210] = 112,
  [211] = 102,
  [212] = 113,
  [213] = 114,
  [214] = 115,
  [215] = 116,
  [216] = 117,
  [217] = 118,
  [218] = 98,
  [219] = 119,
  [220] = 120,
  [221] = 121,
  [222] = 140,
  [223] = 141,
  [224] = 123,
  [225] = 142,
  [226] = 143,
  [227] = 144,
  [228] = 139,
  [229] = 94,
  [230] = 125,
  [231] = 126,
  [232] = 93,
  [233] = 127,
  [234] = 129,
  [235] = 130,
  [236] = 131,
  [237] = 92,
  [238] = 132,
  [239] = 135,
  [240] = 136,
  [241] = 111,
  [242] = 150,
  [243] = 122,
  [244] = 124,
  [245] = 128,
  [246] = 155,
  [247] = 109,
  [248] = 146,
  [249] = 103,
  [250] = 147,
  [251] = 149,
  [252] = 148,
  [253] = 145,
  [254] = 91,
  [255] = 151,
  [256] = 134,
  [257] = 153,
  [258] = 96,
  [259] = 97,
  [260] = 175,
  [261] = 171,
  [262] = 170,
  [263] = 169,
  [264] = 168,
  [265] = 167,
  [266] = 157,
  [267] = 185,
  [268] = 160,
  [269] = 188,
  [270] = 194,
  [271] = 162,
  [272] = 187,
  [273] = 178,
  [274] = 177,
  [275] = 90,
  [276] = 176,
  [277] = 174,
  [278] = 173,
  [279] = 165,
  [280] = 166,
  [281] = 172,
  [282] = 161,
  [283] = 196,
  [284] = 195,
  [285] = 193,
  [286] = 192,
  [287] = 191,
  [288] = 90,
  [289] = 190,
  [290] = 186,
  [291] = 189,
  [292] = 184,
  [293] = 183,
  [294] = 182,
  [295] = 181,
  [296] = 180,
  [297] = 179,
  [298] = 163,
  [299] = 164,
  [300] = 90,
  [301] = 158,
  [302] = 159,
  [303] = 120,
  [304] = 100,
  [305] = 155,
  [306] = 111,
  [307] = 154,
  [308] = 92,
  [309] = 153,
  [310] = 151,
  [311] = 150,
  [312] = 144,
  [313] = 143,
  [314] = 142,
  [315] = 141,
  [316] = 93,
  [317] = 94,
  [318] = 140,
  [319] = 139,
  [320] = 138,
  [321] = 137,
  [322] = 108,
  [323] = 107,
  [324] = 106,
  [325] = 105,
  [326] = 104,
  [327] = 102,
  [328] = 101,
  [329] = 97,
  [330] = 96,
  [331] = 91,
  [332] = 95,
  [333] = 147,
  [334] = 146,
  [335] = 136,
  [336] = 135,
  [337] = 132,
  [338] = 131,
  [339] = 130,
  [340] = 129,
  [341] = 127,
  [342] = 126,
  [343] = 125,
  [344] = 123,
  [345] = 121,
  [346] = 120,
  [347] = 119,
  [348] = 118,
  [349] = 117,
  [350] = 116,
  [351] = 115,
  [352] = 114,
  [353] = 113,
  [354] = 112,
  [355] = 110,
  [356] = 100,
  [357] = 96,
  [358] = 99,
  [359] = 98,
  [360] = 97,
  [361] = 95,
  [362] = 94,
  [363] = 93,
  [364] = 92,
  [365] = 111,
  [366] = 122,
  [367] = 124,
  [368] = 128,
  [369] = 134,
  [370] = 145,
  [371] = 148,
  [372] = 149,
  [373] = 103,
  [374] = 109,
  [375] = 109,
  [376] = 149,
  [377] = 148,
  [378] = 145,
  [379] = 134,
  [380] = 91,
  [381] = 128,
  [382] = 124,
  [383] = 155,
  [384] = 154,
  [385] = 153,
  [386] = 151,
  [387] = 150,
  [388] = 147,
  [389] = 146,
  [390] = 144,
  [391] = 143,
  [392] = 142,
  [393] = 141,
  [394] = 140,
  [395] = 139,
  [396] = 138,
  [397] = 137,
  [398] = 136,
  [399] = 135,
  [400] = 132,
  [401] = 131,
  [402] = 130,
  [403] = 129,
  [404] = 127,
  [405] = 126,
  [406] = 125,
  [407] = 123,
  [408] = 121,
  [409] = 120,
  [410] = 119,
  [411] = 118,
  [412] = 117,
  [413] = 116,
  [414] = 115,
  [415] = 114,
  [416] = 113,
  [417] = 112,
  [418] = 110,
  [419] = 108,
  [420] = 107,
  [421] = 106,
  [422] = 105,
  [423] = 104,
  [424] = 102,
  [425] = 101,
  [426] = 100,
  [427] = 99,
  [428] = 98,
  [429] = 97,
  [430] = 96,
  [431] = 95,
  [432] = 94,
  [433] = 93,
  [434] = 92,
  [435] = 111,
  [436] = 122,
  [437] = 124,
  [438] = 128,
  [439] = 91,
  [440] = 134,
  [441] = 145,
  [442] = 148,
  [443] = 149,
  [444] = 103,
  [445] = 109,
  [446] = 155,
  [447] = 154,
  [448] = 153,
  [449] = 151,
  [450] = 150,
  [451] = 147,
  [452] = 146,
  [453] = 144,
  [454] = 143,
  [455] = 142,
  [456] = 141,
  [457] = 140,
  [458] = 139,
  [459] = 138,
  [460] = 137,
  [461] = 136,
  [462] = 98,
  [463] = 135,
  [464] = 132,
  [465] = 131,
  [466] = 130,
  [467] = 129,
  [468] = 127,
  [469] = 126,
  [470] = 125,
  [471] = 123,
  [472] = 121,
  [473] = 119,
  [474] = 118,
  [475] = 117,
  [476] = 116,
  [477] = 115,
  [478] = 114,
  [479] = 113,
  [480] = 112,
  [481] = 99,
  [482] = 110,
  [483] = 108,
  [484] = 107,
  [485] = 106,
  [486] = 105,
  [487] = 104,
  [488] = 102,
  [489] = 101,
  [490] = 168,
  [491] = 174,
  [492] = 160,
  [493] = 159,
  [494] = 158,
  [495] = 157,
  [496] = 161,
  [497] = 162,
  [498] = 163,
  [499] = 164,
  [500] = 158,
  [501] = 159,
  [502] = 161,
  [503] = 163,
  [504] = 165,
  [505] = 166,
  [506] = 164,
  [507] = 175,
  [508] = 179,
  [509] = 180,
  [510] = 181,
  [511] = 182,
  [512] = 183,
  [513] = 179,
  [514] = 180,
  [515] = 181,
  [516] = 184,
  [517] = 189,
  [518] = 190,
  [519] = 191,
  [520] = 192,
  [521] = 193,
  [522] = 182,
  [523] = 195,
  [524] = 196,
  [525] = 194,
  [526] = 188,
  [527] = 187,
  [528] = 185,
  [529] = 178,
  [530] = 177,
  [531] = 176,
  [532] = 173,
  [533] = 172,
  [534] = 171,
  [535] = 170,
  [536] = 169,
  [537] = 167,
  [538] = 157,
  [539] = 160,
  [540] = 162,
  [541] = 183,
  [542] = 184,
  [543] = 165,
  [544] = 166,
  [545] = 186,
  [546] = 189,
  [547] = 186,
  [548] = 190,
  [549] = 191,
  [550] = 192,
  [551] = 193,
  [552] = 195,
  [553] = 196,
  [554] = 194,
  [555] = 188,
  [556] = 187,
  [557] = 185,
  [558] = 178,
  [559] = 177,
  [560] = 176,
  [561] = 174,
  [562] = 173,
  [563] = 172,
  [564] = 171,
  [565] = 170,
  [566] = 169,
  [567] = 168,
  [568] = 167,
  [569] = 175,
  [570] = 157,
  [571] = 162,
  [572] = 179,
  [573] = 195,
  [574] = 187,
  [575] = 174,
  [576] = 184,
  [577] = 166,
  [578] = 160,
  [579] = 165,
  [580] = 185,
  [581] = 173,
  [582] = 181,
  [583] = 172,
  [584] = 171,
  [585] = 188,
  [586] = 196,
  [587] = 164,
  [588] = 194,
  [589] = 176,
  [590] = 175,
  [591] = 161,
  [592] = 168,
  [593] = 159,
  [594] = 170,
  [595] = 169,
  [596] = 167,
  [597] = 158,
  [598] = 186,
  [599] = 180,
  [600] = 189,
  [601] = 190,
  [602] = 183,
  [603] = 182,
  [604] = 193,
  [605] = 178,
  [606] = 191,
  [607] = 192,
  [608] = 177,
  [609] = 163,
  [610] = 610,
  [611] = 90,
  [612] = 612,
  [613] = 613,
  [614] = 612,
  [615] = 613,
  [616] = 613,
  [617] = 612,
  [618] = 612,
  [619] = 613,
  [620] = 620,
  [621] = 621,
  [622] = 620,
  [623] = 620,
  [624] = 620,
  [625] = 625,
  [626] = 621,
  [627] = 621,
  [628] = 628,
  [629] = 629,
  [630] = 630,
  [631] = 631,
  [632] = 621,
  [633] = 628,
  [634] = 628,
  [635] = 635,
  [636] = 636,
  [637] = 628,
  [638] = 638,
  [639] = 639,
  [640] = 640,
  [641] = 640,
  [642] = 640,
  [643] = 640,
  [644] = 640,
  [645] = 645,
  [646] = 645,
  [647] = 647,
  [648] = 648,
  [649] = 648,
  [650] = 650,
  [651] = 651,
  [652] = 651,
  [653] = 651,
  [654] = 654,
  [655] = 655,
  [656] = 654,
  [657] = 650,
  [658] = 658,
  [659] = 659,
  [660] = 651,
  [661] = 648,
  [662] = 662,
  [663] = 662,
  [664] = 659,
  [665] = 655,
  [666] = 651,
  [667] = 654,
  [668] = 662,
  [669] = 662,
  [670] = 650,
  [671] = 655,
  [672] = 651,
  [673] = 659,
  [674] = 658,
  [675] = 648,
  [676] = 662,
  [677] = 654,
  [678] = 645,
  [679] = 654,
  [680] = 658,
  [681] = 658,
  [682] = 659,
  [683] = 650,
  [684] = 654,
  [685] = 648,
  [686] = 662,
  [687] = 655,
  [688] = 648,
  [689] = 650,
  [690] = 655,
  [691] = 658,
  [692] = 659,
  [693] = 655,
  [694] = 658,
  [695] = 659,
  [696] = 645,
  [697] = 697,
  [698] = 697,
  [699] = 697,
  [700] = 697,
  [701] = 697,
  [702] = 702,
  [703] = 703,
  [704] = 703,
  [705] = 702,
  [706] = 702,
  [707] = 703,
  [708] = 703,
  [709] = 703,
  [710] = 702,
  [711] = 702,
  [712] = 703,
  [713] = 703,
  [714] = 703,
  [715] = 702,
  [716] = 702,
  [717] = 702,
  [718] = 718,
  [719] = 719,
  [720] = 719,
  [721] = 721,
  [722] = 719,
  [723] = 719,
  [724] = 719,
  [725] = 721,
  [726] = 721,
  [727] = 719,
  [728] = 721,
  [729] = 729,
  [730] = 645,
  [731] = 731,
  [732] = 645,
  [733] = 645,
  [734] = 734,
  [735] = 734,
  [736] = 734,
  [737] = 734,
  [738] = 734,
  [739] = 734,
  [740] = 734,
  [741] = 734,
  [742] = 734,
  [743] = 734,
  [744] = 645,
  [745] = 734,
  [746] = 746,
  [747] = 747,
  [748] = 748,
  [749] = 166,
  [750] = 186,
  [751] = 751,
  [752] = 752,
  [753] = 160,
  [754] = 754,
  [755] = 755,
  [756] = 162,
  [757] = 757,
  [758] = 758,
  [759] = 759,
  [760] = 760,
  [761] = 761,
  [762] = 762,
  [763] = 157,
  [764] = 764,
  [765] = 765,
  [766] = 766,
  [767] = 767,
  [768] = 165,
  [769] = 769,
  [770] = 752,
  [771] = 162,
  [772] = 166,
  [773] = 186,
  [774] = 157,
  [775] = 165,
  [776] = 762,
  [777] = 748,
  [778] = 754,
  [779] = 761,
  [780] = 755,
  [781] = 760,
  [782] = 757,
  [783] = 765,
  [784] = 758,
  [785] = 766,
  [786] = 160,
  [787] = 769,
  [788] = 759,
  [789] = 767,
  [790] = 751,
  [791] = 764,
  [792] = 792,
  [793] = 793,
  [794] = 755,
  [795] = 758,
  [796] = 759,
  [797] = 765,
  [798] = 766,
  [799] = 759,
  [800] = 767,
  [801] = 160,
  [802] = 751,
  [803] = 162,
  [804] = 766,
  [805] = 757,
  [806] = 758,
  [807] = 760,
  [808] = 765,
  [809] = 761,
  [810] = 755,
  [811] = 764,
  [812] = 769,
  [813] = 165,
  [814] = 769,
  [815] = 764,
  [816] = 752,
  [817] = 760,
  [818] = 166,
  [819] = 761,
  [820] = 186,
  [821] = 757,
  [822] = 748,
  [823] = 762,
  [824] = 157,
  [825] = 166,
  [826] = 160,
  [827] = 748,
  [828] = 162,
  [829] = 186,
  [830] = 767,
  [831] = 754,
  [832] = 752,
  [833] = 751,
  [834] = 157,
  [835] = 165,
  [836] = 754,
  [837] = 762,
  [838] = 838,
  [839] = 839,
  [840] = 840,
  [841] = 841,
  [842] = 842,
  [843] = 843,
  [844] = 844,
  [845] = 845,
  [846] = 846,
  [847] = 847,
  [848] = 848,
  [849] = 849,
  [850] = 850,
  [851] = 850,
  [852] = 852,
  [853] = 853,
  [854] = 853,
  [855] = 855,
  [856] = 855,
  [857] = 857,
  [858] = 858,
  [859] = 859,
  [860] = 860,
  [861] = 857,
  [862] = 862,
  [863] = 863,
  [864] = 857,
  [865] = 857,
  [866] = 857,
  [867] = 857,
  [868] = 868,
  [869] = 869,
  [870] = 869,
  [871] = 871,
  [872] = 872,
  [873] = 873,
  [874] = 874,
  [875] = 875,
  [876] = 876,
  [877] = 877,
  [878] = 873,
  [879] = 879,
  [880] = 873,
  [881] = 874,
  [882] = 873,
  [883] = 874,
  [884] = 872,
  [885] = 885,
  [886] = 872,
  [887] = 874,
  [888] = 888,
  [889] = 873,
  [890] = 872,
  [891] = 872,
  [892] = 892,
  [893] = 873,
  [894] = 894,
  [895] = 872,
  [896] = 896,
  [897] = 872,
  [898] = 874,
  [899] = 899,
  [900] = 900,
  [901] = 872,
  [902] = 873,
  [903] = 873,
  [904] = 904,
  [905] = 905,
  [906] = 906,
  [907] = 907,
  [908] = 908,
  [909] = 909,
  [910] = 910,
  [911] = 911,
  [912] = 912,
  [913] = 913,
  [914] = 908,
  [915] = 915,
  [916] = 916,
  [917] = 917,
  [918] = 918,
  [919] = 919,
  [920] = 920,
  [921] = 921,
  [922] = 922,
  [923] = 923,
  [924] = 924,
  [925] = 925,
  [926] = 922,
  [927] = 927,
  [928] = 922,
  [929] = 929,
  [930] = 930,
  [931] = 931,
  [932] = 932,
  [933] = 921,
  [934] = 923,
  [935] = 924,
  [936] = 936,
  [937] = 923,
  [938] = 938,
  [939] = 931,
  [940] = 924,
  [941] = 921,
  [942] = 942,
  [943] = 943,
  [944] = 927,
  [945] = 936,
  [946] = 925,
  [947] = 932,
  [948] = 948,
  [949] = 922,
  [950] = 943,
  [951] = 951,
  [952] = 952,
  [953] = 921,
  [954] = 923,
  [955] = 931,
  [956] = 956,
  [957] = 924,
  [958] = 956,
  [959] = 959,
  [960] = 942,
  [961] = 961,
  [962] = 923,
  [963] = 922,
  [964] = 929,
  [965] = 956,
  [966] = 925,
  [967] = 948,
  [968] = 943,
  [969] = 936,
  [970] = 942,
  [971] = 959,
  [972] = 936,
  [973] = 956,
  [974] = 922,
  [975] = 929,
  [976] = 927,
  [977] = 918,
  [978] = 924,
  [979] = 979,
  [980] = 980,
  [981] = 961,
  [982] = 925,
  [983] = 948,
  [984] = 943,
  [985] = 959,
  [986] = 931,
  [987] = 936,
  [988] = 918,
  [989] = 989,
  [990] = 936,
  [991] = 956,
  [992] = 956,
  [993] = 959,
  [994] = 943,
  [995] = 927,
  [996] = 932,
  [997] = 924,
  [998] = 998,
  [999] = 948,
  [1000] = 980,
  [1001] = 921,
  [1002] = 925,
  [1003] = 936,
  [1004] = 942,
  [1005] = 956,
  [1006] = 931,
  [1007] = 936,
  [1008] = 923,
  [1009] = 961,
  [1010] = 956,
  [1011] = 923,
  [1012] = 931,
  [1013] = 924,
  [1014] = 922,
  [1015] = 918,
  [1016] = 961,
  [1017] = 931,
  [1018] = 918,
  [1019] = 942,
  [1020] = 925,
  [1021] = 921,
  [1022] = 948,
  [1023] = 932,
  [1024] = 989,
  [1025] = 927,
  [1026] = 927,
  [1027] = 920,
  [1028] = 943,
  [1029] = 929,
  [1030] = 1030,
  [1031] = 961,
  [1032] = 922,
  [1033] = 919,
  [1034] = 942,
  [1035] = 959,
  [1036] = 942,
  [1037] = 979,
  [1038] = 1038,
  [1039] = 980,
  [1040] = 932,
  [1041] = 927,
  [1042] = 932,
  [1043] = 961,
  [1044] = 932,
  [1045] = 959,
  [1046] = 961,
  [1047] = 918,
  [1048] = 924,
  [1049] = 943,
  [1050] = 948,
  [1051] = 925,
  [1052] = 942,
  [1053] = 931,
  [1054] = 923,
  [1055] = 959,
  [1056] = 979,
  [1057] = 921,
  [1058] = 943,
  [1059] = 932,
  [1060] = 927,
  [1061] = 952,
  [1062] = 979,
  [1063] = 921,
  [1064] = 961,
  [1065] = 925,
  [1066] = 959,
  [1067] = 948,
  [1068] = 948,
  [1069] = 1069,
  [1070] = 1070,
  [1071] = 1071,
  [1072] = 1072,
  [1073] = 1073,
  [1074] = 1074,
  [1075] = 1075,
  [1076] = 792,
  [1077] = 793,
  [1078] = 1078,
  [1079] = 1079,
  [1080] = 1080,
  [1081] = 1081,
  [1082] = 1082,
  [1083] = 1083,
  [1084] = 1084,
  [1085] = 1085,
  [1086] = 1086,
  [1087] = 1087,
  [1088] = 1088,
  [1089] = 1089,
  [1090] = 1090,
  [1091] = 1090,
  [1092] = 1088,
  [1093] = 1090,
  [1094] = 1088,
  [1095] = 1089,
  [1096] = 1088,
  [1097] = 1088,
  [1098] = 1089,
  [1099] = 1089,
  [1100] = 1089,
  [1101] = 1090,
  [1102] = 1090,
  [1103] = 1103,
  [1104] = 731,
  [1105] = 1105,
  [1106] = 1105,
  [1107] = 729,
  [1108] = 1108,
  [1109] = 1109,
  [1110] = 859,
  [1111] = 1111,
  [1112] = 1112,
  [1113] = 1113,
  [1114] = 1114,
  [1115] = 1115,
  [1116] = 1116,
  [1117] = 1117,
  [1118] = 1118,
  [1119] = 1119,
  [1120] = 1120,
  [1121] = 1121,
  [1122] = 1122,
  [1123] = 1123,
  [1124] = 1124,
  [1125] = 1125,
  [1126] = 1126,
  [1127] = 860,
  [1128] = 863,
  [1129] = 1075,
  [1130] = 1130,
  [1131] = 1131,
  [1132] = 1132,
  [1133] = 1133,
  [1134] = 1134,
  [1135] = 1135,
  [1136] = 1108,
  [1137] = 1137,
  [1138] = 1138,
  [1139] = 1139,
  [1140] = 1140,
  [1141] = 1141,
  [1142] = 1074,
  [1143] = 1075,
  [1144] = 1072,
  [1145] = 1073,
  [1146] = 1075,
  [1147] = 1075,
  [1148] = 1148,
  [1149] = 1108,
  [1150] = 1150,
  [1151] = 1151,
  [1152] = 1152,
  [1153] = 1151,
  [1154] = 1151,
  [1155] = 1155,
  [1156] = 1156,
  [1157] = 1156,
  [1158] = 1152,
  [1159] = 1150,
  [1160] = 1155,
  [1161] = 792,
  [1162] = 1156,
  [1163] = 1152,
  [1164] = 1155,
  [1165] = 1152,
  [1166] = 1155,
  [1167] = 1150,
  [1168] = 793,
  [1169] = 1150,
  [1170] = 1152,
  [1171] = 1155,
  [1172] = 1151,
  [1173] = 1156,
  [1174] = 1156,
  [1175] = 1150,
  [1176] = 1151,
  [1177] = 1177,
  [1178] = 1178,
  [1179] = 1177,
  [1180] = 1180,
  [1181] = 1177,
  [1182] = 1177,
  [1183] = 1183,
  [1184] = 1178,
  [1185] = 1185,
  [1186] = 1177,
  [1187] = 1187,
  [1188] = 1188,
  [1189] = 1189,
  [1190] = 1190,
  [1191] = 1177,
  [1192] = 1192,
  [1193] = 1193,
  [1194] = 1194,
  [1195] = 729,
  [1196] = 1196,
  [1197] = 1197,
  [1198] = 1198,
  [1199] = 1075,
  [1200] = 1200,
  [1201] = 1201,
  [1202] = 1202,
  [1203] = 1203,
  [1204] = 1204,
  [1205] = 1205,
  [1206] = 1206,
  [1207] = 1207,
  [1208] = 731,
  [1209] = 1197,
  [1210] = 1193,
  [1211] = 1194,
  [1212] = 1212,
  [1213] = 1213,
  [1214] = 1214,
  [1215] = 1215,
  [1216] = 1216,
  [1217] = 1135,
  [1218] = 1218,
  [1219] = 1198,
  [1220] = 1220,
  [1221] = 1221,
  [1222] = 1222,
  [1223] = 1200,
  [1224] = 1224,
  [1225] = 1202,
  [1226] = 1226,
  [1227] = 1227,
  [1228] = 1203,
  [1229] = 1204,
  [1230] = 1230,
  [1231] = 1205,
  [1232] = 1140,
  [1233] = 1233,
  [1234] = 1196,
  [1235] = 1206,
  [1236] = 1139,
  [1237] = 1201,
  [1238] = 1238,
  [1239] = 1132,
  [1240] = 1240,
  [1241] = 1197,
  [1242] = 1200,
  [1243] = 1243,
  [1244] = 1206,
  [1245] = 1245,
  [1246] = 1246,
  [1247] = 1247,
  [1248] = 1248,
  [1249] = 1249,
  [1250] = 1201,
  [1251] = 1251,
  [1252] = 1252,
  [1253] = 1253,
  [1254] = 1254,
  [1255] = 1255,
  [1256] = 1256,
  [1257] = 1257,
  [1258] = 1258,
  [1259] = 1259,
  [1260] = 1260,
  [1261] = 1204,
  [1262] = 1203,
  [1263] = 1194,
  [1264] = 1205,
  [1265] = 1265,
  [1266] = 1202,
  [1267] = 1134,
  [1268] = 1193,
  [1269] = 1269,
  [1270] = 1270,
  [1271] = 1131,
  [1272] = 1130,
  [1273] = 1273,
  [1274] = 1274,
  [1275] = 1198,
  [1276] = 1276,
  [1277] = 1196,
  [1278] = 1278,
  [1279] = 1279,
  [1280] = 1280,
  [1281] = 1281,
  [1282] = 1282,
  [1283] = 1218,
  [1284] = 1284,
  [1285] = 1285,
  [1286] = 1138,
  [1287] = 1287,
  [1288] = 1288,
  [1289] = 1137,
  [1290] = 1133,
  [1291] = 1291,
  [1292] = 1292,
  [1293] = 1293,
  [1294] = 1294,
  [1295] = 1295,
  [1296] = 1296,
  [1297] = 1123,
  [1298] = 1083,
  [1299] = 1116,
  [1300] = 1079,
  [1301] = 1114,
  [1302] = 1117,
  [1303] = 1125,
  [1304] = 1121,
  [1305] = 1119,
  [1306] = 1122,
  [1307] = 1112,
  [1308] = 1113,
  [1309] = 1081,
  [1310] = 1080,
  [1311] = 1084,
  [1312] = 1120,
  [1313] = 1218,
  [1314] = 1124,
  [1315] = 1126,
  [1316] = 1111,
  [1317] = 1087,
  [1318] = 1082,
  [1319] = 1078,
  [1320] = 1085,
  [1321] = 1105,
  [1322] = 1115,
  [1323] = 1118,
  [1324] = 1086,
  [1325] = 1325,
  [1326] = 1326,
  [1327] = 1325,
  [1328] = 1325,
  [1329] = 1325,
  [1330] = 1325,
  [1331] = 1331,
  [1332] = 1332,
  [1333] = 1206,
  [1334] = 1205,
  [1335] = 1204,
  [1336] = 1203,
  [1337] = 1202,
  [1338] = 1200,
  [1339] = 1198,
  [1340] = 1197,
  [1341] = 1341,
  [1342] = 1342,
  [1343] = 1131,
  [1344] = 1194,
  [1345] = 1342,
  [1346] = 1332,
  [1347] = 1134,
  [1348] = 1342,
  [1349] = 1193,
  [1350] = 1342,
  [1351] = 1196,
  [1352] = 1332,
  [1353] = 1332,
  [1354] = 1201,
  [1355] = 1332,
  [1356] = 1342,
  [1357] = 1357,
  [1358] = 1137,
  [1359] = 1133,
  [1360] = 1138,
  [1361] = 1130,
  [1362] = 1342,
  [1363] = 1218,
  [1364] = 1364,
  [1365] = 1364,
  [1366] = 1364,
  [1367] = 1367,
  [1368] = 1364,
  [1369] = 1369,
  [1370] = 1370,
  [1371] = 1364,
  [1372] = 138,
  [1373] = 151,
  [1374] = 140,
  [1375] = 106,
  [1376] = 137,
  [1377] = 91,
  [1378] = 105,
  [1379] = 143,
  [1380] = 104,
  [1381] = 102,
  [1382] = 101,
  [1383] = 144,
  [1384] = 142,
  [1385] = 97,
  [1386] = 108,
  [1387] = 155,
  [1388] = 154,
  [1389] = 141,
  [1390] = 107,
  [1391] = 139,
  [1392] = 153,
  [1393] = 150,
  [1394] = 96,
  [1395] = 1395,
  [1396] = 1396,
  [1397] = 1397,
  [1398] = 1398,
  [1399] = 1399,
  [1400] = 1400,
  [1401] = 1196,
  [1402] = 1193,
  [1403] = 1194,
  [1404] = 1201,
  [1405] = 1206,
  [1406] = 1198,
  [1407] = 1205,
  [1408] = 1200,
  [1409] = 1409,
  [1410] = 1203,
  [1411] = 1202,
  [1412] = 1197,
  [1413] = 1204,
  [1414] = 1414,
  [1415] = 1414,
  [1416] = 1414,
  [1417] = 1194,
  [1418] = 1193,
  [1419] = 1414,
  [1420] = 1201,
  [1421] = 1414,
  [1422] = 1196,
  [1423] = 1202,
  [1424] = 1206,
  [1425] = 1200,
  [1426] = 1198,
  [1427] = 1197,
  [1428] = 1205,
  [1429] = 1204,
  [1430] = 1203,
  [1431] = 1205,
  [1432] = 1194,
  [1433] = 1433,
  [1434] = 1434,
  [1435] = 1196,
  [1436] = 1409,
  [1437] = 1193,
  [1438] = 1201,
  [1439] = 1439,
  [1440] = 1206,
  [1441] = 1204,
  [1442] = 1203,
  [1443] = 1202,
  [1444] = 1200,
  [1445] = 1445,
  [1446] = 1198,
  [1447] = 1197,
  [1448] = 1448,
  [1449] = 1449,
  [1450] = 1450,
  [1451] = 1451,
  [1452] = 1452,
  [1453] = 1453,
  [1454] = 1454,
  [1455] = 1455,
  [1456] = 1456,
  [1457] = 1457,
  [1458] = 1458,
  [1459] = 1459,
  [1460] = 1460,
  [1461] = 1461,
  [1462] = 1462,
  [1463] = 1463,
  [1464] = 1464,
  [1465] = 1465,
  [1466] = 1463,
  [1467] = 1464,
  [1468] = 1468,
  [1469] = 1465,
  [1470] = 1462,
  [1471] = 1471,
  [1472] = 1472,
  [1473] = 1473,
  [1474] = 1473,
  [1475] = 1475,
  [1476] = 1476,
  [1477] = 1477,
  [1478] = 1476,
  [1479] = 1479,
  [1480] = 1479,
  [1481] = 1197,
  [1482] = 1198,
  [1483] = 1483,
  [1484] = 1200,
  [1485] = 1202,
  [1486] = 1203,
  [1487] = 1204,
  [1488] = 1205,
  [1489] = 1206,
  [1490] = 1201,
  [1491] = 1473,
  [1492] = 1492,
  [1493] = 1473,
  [1494] = 1194,
  [1495] = 1196,
  [1496] = 1476,
  [1497] = 1473,
  [1498] = 1498,
  [1499] = 1499,
  [1500] = 1500,
  [1501] = 1501,
  [1502] = 1475,
  [1503] = 1503,
  [1504] = 1504,
  [1505] = 1505,
  [1506] = 1506,
  [1507] = 1506,
  [1508] = 1193,
  [1509] = 1509,
  [1510] = 1498,
  [1511] = 1473,
  [1512] = 1473,
  [1513] = 1483,
  [1514] = 1483,
  [1515] = 1483,
  [1516] = 1475,
  [1517] = 1479,
  [1518] = 1479,
  [1519] = 1519,
  [1520] = 1476,
  [1521] = 1509,
  [1522] = 1479,
  [1523] = 1523,
  [1524] = 1475,
  [1525] = 1509,
  [1526] = 1483,
  [1527] = 1527,
  [1528] = 1528,
  [1529] = 1529,
  [1530] = 1476,
  [1531] = 1531,
  [1532] = 1503,
  [1533] = 1475,
  [1534] = 1534,
  [1535] = 1535,
  [1536] = 1536,
  [1537] = 1537,
  [1538] = 1473,
  [1539] = 1539,
  [1540] = 1409,
  [1541] = 1541,
  [1542] = 1542,
  [1543] = 1543,
  [1544] = 1544,
  [1545] = 1544,
  [1546] = 1546,
  [1547] = 1547,
  [1548] = 1548,
  [1549] = 1148,
  [1550] = 1550,
  [1551] = 1551,
  [1552] = 1552,
  [1553] = 1553,
  [1554] = 1554,
  [1555] = 1555,
  [1556] = 1556,
  [1557] = 1557,
  [1558] = 1552,
  [1559] = 1559,
  [1560] = 1552,
  [1561] = 1552,
  [1562] = 1562,
  [1563] = 1563,
  [1564] = 1552,
  [1565] = 1565,
  [1566] = 1547,
  [1567] = 1567,
  [1568] = 1568,
  [1569] = 1552,
  [1570] = 1548,
  [1571] = 1571,
  [1572] = 1572,
  [1573] = 1573,
  [1574] = 1341,
  [1575] = 1575,
  [1576] = 1576,
  [1577] = 1326,
  [1578] = 1369,
  [1579] = 1367,
  [1580] = 1370,
  [1581] = 1581,
  [1582] = 1582,
  [1583] = 1583,
  [1584] = 1584,
  [1585] = 1585,
  [1586] = 1586,
  [1587] = 1587,
  [1588] = 1588,
  [1589] = 1295,
  [1590] = 1590,
  [1591] = 1591,
  [1592] = 1592,
  [1593] = 1593,
  [1594] = 1594,
  [1595] = 1245,
  [1596] = 1596,
  [1597] = 1597,
  [1598] = 1598,
  [1599] = 1598,
  [1600] = 1600,
  [1601] = 1601,
  [1602] = 1598,
  [1603] = 1603,
  [1604] = 1603,
  [1605] = 1601,
  [1606] = 1603,
  [1607] = 1607,
  [1608] = 1601,
  [1609] = 1601,
  [1610] = 1598,
  [1611] = 1593,
  [1612] = 1600,
  [1613] = 1607,
  [1614] = 1603,
  [1615] = 1598,
  [1616] = 1598,
  [1617] = 1600,
  [1618] = 1603,
  [1619] = 1601,
  [1620] = 1601,
  [1621] = 1607,
  [1622] = 1622,
  [1623] = 1623,
  [1624] = 1624,
  [1625] = 1625,
  [1626] = 1626,
  [1627] = 1627,
  [1628] = 1628,
  [1629] = 1629,
  [1630] = 1630,
  [1631] = 1631,
  [1632] = 1632,
  [1633] = 1633,
  [1634] = 1634,
  [1635] = 1635,
  [1636] = 1636,
  [1637] = 1637,
  [1638] = 1638,
  [1639] = 1627,
  [1640] = 1629,
  [1641] = 1631,
  [1642] = 1642,
  [1643] = 1643,
  [1644] = 1644,
  [1645] = 1645,
  [1646] = 1644,
  [1647] = 1634,
  [1648] = 1635,
  [1649] = 1649,
  [1650] = 1650,
  [1651] = 1651,
  [1652] = 1636,
  [1653] = 1653,
  [1654] = 1638,
  [1655] = 1655,
  [1656] = 1645,
  [1657] = 1657,
  [1658] = 1658,
  [1659] = 1659,
  [1660] = 1660,
  [1661] = 1661,
  [1662] = 1112,
  [1663] = 1663,
  [1664] = 1664,
  [1665] = 1628,
  [1666] = 1666,
  [1667] = 1650,
  [1668] = 1623,
  [1669] = 1644,
  [1670] = 1670,
  [1671] = 1671,
  [1672] = 1672,
  [1673] = 1673,
  [1674] = 1674,
  [1675] = 1637,
  [1676] = 1644,
  [1677] = 1674,
  [1678] = 1644,
  [1679] = 1679,
  [1680] = 1680,
  [1681] = 1681,
  [1682] = 1637,
  [1683] = 1637,
  [1684] = 1684,
  [1685] = 1259,
  [1686] = 1295,
  [1687] = 1661,
  [1688] = 1659,
  [1689] = 1658,
  [1690] = 1643,
  [1691] = 1456,
  [1692] = 1624,
  [1693] = 1693,
  [1694] = 1664,
  [1695] = 1695,
  [1696] = 1655,
  [1697] = 1697,
  [1698] = 1695,
  [1699] = 1630,
  [1700] = 1697,
  [1701] = 1701,
  [1702] = 1245,
  [1703] = 1649,
  [1704] = 1651,
  [1705] = 1112,
  [1706] = 1633,
  [1707] = 1632,
  [1708] = 1292,
  [1709] = 1695,
  [1710] = 1710,
  [1711] = 1697,
  [1712] = 1712,
  [1713] = 1461,
  [1714] = 1448,
  [1715] = 1258,
  [1716] = 1452,
  [1717] = 1717,
  [1718] = 1718,
  [1719] = 1695,
  [1720] = 1720,
  [1721] = 1720,
  [1722] = 1722,
  [1723] = 1626,
  [1724] = 1679,
  [1725] = 1697,
  [1726] = 1695,
  [1727] = 1243,
  [1728] = 1282,
  [1729] = 1269,
  [1730] = 1285,
  [1731] = 1255,
  [1732] = 1732,
  [1733] = 1733,
  [1734] = 1733,
  [1735] = 1735,
  [1736] = 1736,
  [1737] = 1736,
  [1738] = 1738,
  [1739] = 1739,
  [1740] = 1736,
  [1741] = 1741,
  [1742] = 1736,
  [1743] = 1732,
  [1744] = 1744,
  [1745] = 1745,
  [1746] = 1746,
  [1747] = 1741,
  [1748] = 1735,
  [1749] = 1733,
  [1750] = 1732,
  [1751] = 1751,
  [1752] = 1746,
  [1753] = 1735,
  [1754] = 1738,
  [1755] = 1738,
  [1756] = 1738,
  [1757] = 1732,
  [1758] = 1732,
  [1759] = 1746,
  [1760] = 1745,
  [1761] = 1733,
  [1762] = 1735,
  [1763] = 1745,
  [1764] = 1735,
  [1765] = 1744,
  [1766] = 1746,
  [1767] = 1744,
  [1768] = 1744,
  [1769] = 1741,
  [1770] = 1741,
  [1771] = 1744,
  [1772] = 1741,
  [1773] = 1738,
  [1774] = 1774,
  [1775] = 1733,
  [1776] = 1746,
  [1777] = 1745,
  [1778] = 1736,
  [1779] = 1745,
  [1780] = 1780,
  [1781] = 1781,
  [1782] = 1780,
  [1783] = 1781,
  [1784] = 1780,
  [1785] = 1781,
  [1786] = 1780,
  [1787] = 1326,
  [1788] = 1781,
  [1789] = 1781,
  [1790] = 1780,
  [1791] = 1791,
  [1792] = 1792,
  [1793] = 1793,
  [1794] = 1794,
  [1795] = 1795,
  [1796] = 1796,
  [1797] = 1797,
  [1798] = 1798,
  [1799] = 1799,
  [1800] = 1799,
  [1801] = 1796,
  [1802] = 1799,
  [1803] = 1799,
  [1804] = 1804,
  [1805] = 1805,
  [1806] = 1796,
  [1807] = 1807,
  [1808] = 1796,
  [1809] = 1809,
  [1810] = 1810,
  [1811] = 1811,
  [1812] = 1812,
  [1813] = 1813,
  [1814] = 1811,
  [1815] = 1815,
  [1816] = 1816,
  [1817] = 1817,
  [1818] = 1810,
  [1819] = 1819,
  [1820] = 1820,
  [1821] = 1811,
  [1822] = 1811,
  [1823] = 1815,
  [1824] = 1810,
  [1825] = 1825,
  [1826] = 1826,
  [1827] = 1815,
  [1828] = 1811,
  [1829] = 1815,
  [1830] = 1815,
  [1831] = 1810,
  [1832] = 1832,
  [1833] = 1810,
  [1834] = 1834,
  [1835] = 1810,
  [1836] = 1815,
  [1837] = 1837,
  [1838] = 1838,
  [1839] = 1839,
  [1840] = 1838,
  [1841] = 1841,
  [1842] = 1838,
  [1843] = 1839,
  [1844] = 1839,
  [1845] = 1845,
  [1846] = 1838,
  [1847] = 1839,
  [1848] = 1838,
  [1849] = 1838,
  [1850] = 1839,
  [1851] = 1839,
  [1852] = 1852,
  [1853] = 1853,
  [1854] = 1854,
  [1855] = 1855,
  [1856] = 1855,
  [1857] = 1857,
  [1858] = 1855,
  [1859] = 1854,
  [1860] = 1860,
  [1861] = 1861,
  [1862] = 1852,
  [1863] = 1863,
  [1864] = 1853,
  [1865] = 1865,
  [1866] = 1866,
  [1867] = 1867,
  [1868] = 1867,
  [1869] = 1869,
  [1870] = 1863,
  [1871] = 1853,
  [1872] = 1853,
  [1873] = 1873,
  [1874] = 1874,
  [1875] = 1875,
  [1876] = 1863,
  [1877] = 1877,
  [1878] = 1854,
  [1879] = 1879,
  [1880] = 1877,
  [1881] = 1854,
  [1882] = 1873,
  [1883] = 1853,
  [1884] = 1884,
  [1885] = 1875,
  [1886] = 1867,
  [1887] = 1887,
  [1888] = 1873,
  [1889] = 1867,
  [1890] = 1852,
  [1891] = 1855,
  [1892] = 1892,
  [1893] = 1877,
  [1894] = 1863,
  [1895] = 1855,
  [1896] = 1854,
  [1897] = 1852,
  [1898] = 1877,
  [1899] = 1873,
  [1900] = 1852,
  [1901] = 1875,
  [1902] = 1902,
  [1903] = 1877,
  [1904] = 1904,
  [1905] = 1875,
  [1906] = 1906,
  [1907] = 1907,
  [1908] = 1875,
  [1909] = 1863,
  [1910] = 1910,
  [1911] = 1867,
  [1912] = 1912,
  [1913] = 1873,
  [1914] = 1914,
  [1915] = 1915,
  [1916] = 1916,
  [1917] = 1917,
  [1918] = 1918,
  [1919] = 1919,
  [1920] = 1920,
  [1921] = 1921,
  [1922] = 1922,
  [1923] = 1923,
  [1924] = 1924,
  [1925] = 1925,
  [1926] = 1926,
  [1927] = 1927,
  [1928] = 1928,
  [1929] = 1929,
  [1930] = 1930,
  [1931] = 1931,
  [1932] = 1932,
  [1933] = 1932,
  [1934] = 1934,
  [1935] = 1932,
  [1936] = 1936,
  [1937] = 1931,
  [1938] = 1938,
  [1939] = 1938,
  [1940] = 1931,
  [1941] = 1929,
  [1942] = 1942,
  [1943] = 1932,
  [1944] = 1931,
  [1945] = 1932,
  [1946] = 1946,
  [1947] = 1931,
  [1948] = 1948,
  [1949] = 1949,
  [1950] = 1950,
  [1951] = 1951,
  [1952] = 1952,
  [1953] = 1950,
  [1954] = 1954,
  [1955] = 1955,
  [1956] = 1956,
  [1957] = 1957,
  [1958] = 1958,
  [1959] = 1959,
  [1960] = 1960,
  [1961] = 1961,
  [1962] = 1962,
  [1963] = 1963,
  [1964] = 1964,
  [1965] = 1950,
  [1966] = 1966,
  [1967] = 1967,
  [1968] = 1968,
  [1969] = 1969,
  [1970] = 1970,
  [1971] = 1971,
  [1972] = 1958,
  [1973] = 1961,
  [1974] = 1954,
  [1975] = 1975,
  [1976] = 1976,
  [1977] = 1968,
  [1978] = 1969,
  [1979] = 1966,
  [1980] = 1969,
  [1981] = 1966,
  [1982] = 1982,
  [1983] = 1961,
  [1984] = 1968,
  [1985] = 1954,
  [1986] = 1955,
  [1987] = 1987,
  [1988] = 1956,
  [1989] = 1976,
  [1990] = 1975,
  [1991] = 1966,
  [1992] = 1957,
  [1993] = 1993,
  [1994] = 1971,
  [1995] = 1959,
  [1996] = 1996,
  [1997] = 1960,
  [1998] = 1962,
  [1999] = 1964,
  [2000] = 1967,
  [2001] = 1970,
  [2002] = 1971,
  [2003] = 2003,
  [2004] = 1975,
  [2005] = 1970,
  [2006] = 1976,
  [2007] = 1976,
  [2008] = 1969,
  [2009] = 1967,
  [2010] = 1966,
  [2011] = 1971,
  [2012] = 1970,
  [2013] = 1967,
  [2014] = 1968,
  [2015] = 1975,
  [2016] = 1971,
  [2017] = 2017,
  [2018] = 1969,
  [2019] = 1968,
  [2020] = 1970,
  [2021] = 1967,
  [2022] = 1964,
  [2023] = 1962,
  [2024] = 1960,
  [2025] = 1959,
  [2026] = 1955,
  [2027] = 1956,
  [2028] = 1957,
  [2029] = 2029,
  [2030] = 1957,
  [2031] = 1956,
  [2032] = 1955,
  [2033] = 1961,
  [2034] = 1961,
  [2035] = 1954,
  [2036] = 1964,
  [2037] = 2037,
  [2038] = 1962,
  [2039] = 1958,
  [2040] = 1960,
  [2041] = 1959,
  [2042] = 2042,
  [2043] = 1957,
  [2044] = 1956,
  [2045] = 2045,
  [2046] = 1950,
  [2047] = 1955,
  [2048] = 2048,
  [2049] = 1954,
  [2050] = 1976,
  [2051] = 2051,
  [2052] = 1958,
  [2053] = 1958,
  [2054] = 1975,
  [2055] = 2055,
  [2056] = 2056,
  [2057] = 2057,
  [2058] = 2058,
  [2059] = 2059,
  [2060] = 2060,
  [2061] = 2061,
  [2062] = 2062,
  [2063] = 1959,
  [2064] = 2064,
  [2065] = 1960,
  [2066] = 1962,
  [2067] = 2067,
  [2068] = 1964,
  [2069] = 1950,
  [2070] = 2070,
  [2071] = 2071,
  [2072] = 2072,
  [2073] = 2073,
  [2074] = 2074,
  [2075] = 2075,
  [2076] = 2076,
  [2077] = 2077,
  [2078] = 2078,
  [2079] = 2079,
  [2080] = 2080,
  [2081] = 2081,
  [2082] = 2082,
  [2083] = 2083,
  [2084] = 2084,
  [2085] = 2085,
  [2086] = 2086,
  [2087] = 2087,
  [2088] = 2088,
  [2089] = 2089,
  [2090] = 2090,
  [2091] = 2091,
  [2092] = 2092,
  [2093] = 2093,
  [2094] = 2094,
  [2095] = 2095,
  [2096] = 2096,
  [2097] = 2097,
  [2098] = 2098,
  [2099] = 2099,
  [2100] = 2100,
  [2101] = 2101,
  [2102] = 2102,
  [2103] = 2100,
  [2104] = 2104,
  [2105] = 2056,
  [2106] = 2100,
  [2107] = 2107,
  [2108] = 2108,
  [2109] = 2109,
  [2110] = 2048,
  [2111] = 2101,
  [2112] = 2098,
  [2113] = 2113,
  [2114] = 2114,
  [2115] = 2115,
  [2116] = 2101,
  [2117] = 2117,
  [2118] = 2118,
  [2119] = 2101,
  [2120] = 2120,
  [2121] = 2121,
  [2122] = 2100,
  [2123] = 2123,
  [2124] = 2104,
  [2125] = 2125,
  [2126] = 2100,
  [2127] = 2104,
  [2128] = 2128,
  [2129] = 2125,
  [2130] = 2125,
  [2131] = 2131,
  [2132] = 2132,
  [2133] = 2133,
  [2134] = 2100,
  [2135] = 2135,
  [2136] = 2104,
  [2137] = 2125,
  [2138] = 2138,
  [2139] = 2139,
  [2140] = 2140,
  [2141] = 2101,
  [2142] = 2067,
  [2143] = 2125,
  [2144] = 2104,
  [2145] = 2125,
  [2146] = 2101,
  [2147] = 2147,
  [2148] = 2099,
  [2149] = 2104,
  [2150] = 2150,
  [2151] = 2151,
  [2152] = 2152,
  [2153] = 2153,
  [2154] = 2154,
  [2155] = 2155,
  [2156] = 2156,
  [2157] = 2157,
  [2158] = 2158,
  [2159] = 2159,
  [2160] = 2160,
  [2161] = 2161,
  [2162] = 2162,
  [2163] = 2158,
  [2164] = 2164,
  [2165] = 2165,
  [2166] = 2166,
  [2167] = 2167,
  [2168] = 2158,
  [2169] = 2169,
  [2170] = 2083,
  [2171] = 2171,
  [2172] = 2172,
  [2173] = 2158,
  [2174] = 2174,
  [2175] = 2158,
  [2176] = 2176,
  [2177] = 2177,
  [2178] = 2178,
  [2179] = 2179,
  [2180] = 2177,
  [2181] = 2178,
  [2182] = 2182,
  [2183] = 2177,
  [2184] = 2184,
  [2185] = 2185,
  [2186] = 2184,
  [2187] = 2178,
  [2188] = 2188,
  [2189] = 2178,
  [2190] = 2190,
  [2191] = 2191,
  [2192] = 2184,
  [2193] = 2182,
  [2194] = 2194,
  [2195] = 2182,
  [2196] = 2196,
  [2197] = 2197,
  [2198] = 2177,
  [2199] = 2194,
  [2200] = 2200,
  [2201] = 2201,
  [2202] = 2202,
  [2203] = 2203,
  [2204] = 2178,
  [2205] = 2205,
  [2206] = 2196,
  [2207] = 2207,
  [2208] = 2196,
  [2209] = 2197,
  [2210] = 2210,
  [2211] = 2194,
  [2212] = 2184,
  [2213] = 2182,
  [2214] = 2178,
  [2215] = 2215,
  [2216] = 2194,
  [2217] = 2217,
  [2218] = 2194,
  [2219] = 2219,
  [2220] = 2210,
  [2221] = 2217,
  [2222] = 2217,
  [2223] = 2223,
  [2224] = 2224,
  [2225] = 2196,
  [2226] = 2226,
  [2227] = 2194,
  [2228] = 2228,
  [2229] = 2184,
  [2230] = 2196,
  [2231] = 2210,
  [2232] = 2197,
  [2233] = 2202,
  [2234] = 2203,
  [2235] = 2177,
  [2236] = 2236,
  [2237] = 2210,
  [2238] = 2238,
  [2239] = 2226,
  [2240] = 2240,
  [2241] = 2241,
  [2242] = 2203,
  [2243] = 2194,
  [2244] = 2202,
  [2245] = 2139,
  [2246] = 2246,
  [2247] = 2210,
  [2248] = 2194,
  [2249] = 2249,
  [2250] = 2250,
  [2251] = 2182,
  [2252] = 2252,
  [2253] = 2226,
  [2254] = 2217,
  [2255] = 2226,
  [2256] = 2256,
  [2257] = 2210,
  [2258] = 2194,
  [2259] = 2202,
  [2260] = 2203,
  [2261] = 2261,
  [2262] = 2196,
  [2263] = 2263,
  [2264] = 2264,
  [2265] = 2217,
  [2266] = 2197,
  [2267] = 2197,
  [2268] = 2268,
  [2269] = 2269,
  [2270] = 2270,
  [2271] = 2271,
  [2272] = 2272,
  [2273] = 2273,
  [2274] = 2271,
  [2275] = 2272,
  [2276] = 2273,
  [2277] = 2277,
  [2278] = 2270,
  [2279] = 2279,
  [2280] = 2271,
  [2281] = 2272,
  [2282] = 2282,
  [2283] = 2273,
  [2284] = 2284,
  [2285] = 2285,
  [2286] = 2268,
  [2287] = 2279,
  [2288] = 2288,
  [2289] = 2271,
  [2290] = 2272,
  [2291] = 2291,
  [2292] = 2273,
  [2293] = 2293,
  [2294] = 2294,
  [2295] = 2295,
  [2296] = 2296,
  [2297] = 2297,
  [2298] = 2269,
  [2299] = 2299,
  [2300] = 2288,
  [2301] = 2293,
  [2302] = 2294,
  [2303] = 2303,
  [2304] = 2304,
  [2305] = 2305,
  [2306] = 2306,
  [2307] = 2307,
  [2308] = 2304,
  [2309] = 2309,
  [2310] = 2306,
  [2311] = 2311,
  [2312] = 2271,
  [2313] = 2313,
  [2314] = 2314,
  [2315] = 2315,
  [2316] = 2316,
  [2317] = 2317,
  [2318] = 2318,
  [2319] = 2319,
  [2320] = 2320,
  [2321] = 2282,
  [2322] = 2322,
  [2323] = 2323,
  [2324] = 2324,
  [2325] = 2325,
  [2326] = 2326,
  [2327] = 2327,
  [2328] = 2326,
  [2329] = 2324,
  [2330] = 2327,
  [2331] = 2319,
  [2332] = 2322,
  [2333] = 2323,
  [2334] = 2320,
  [2335] = 2317,
  [2336] = 2282,
  [2337] = 2337,
  [2338] = 2273,
  [2339] = 2322,
  [2340] = 2340,
  [2341] = 2341,
  [2342] = 2342,
  [2343] = 2279,
  [2344] = 2344,
  [2345] = 2345,
  [2346] = 2303,
  [2347] = 2299,
  [2348] = 2269,
  [2349] = 2297,
  [2350] = 2295,
  [2351] = 2327,
  [2352] = 2326,
  [2353] = 2304,
  [2354] = 2272,
  [2355] = 2355,
  [2356] = 2324,
  [2357] = 2357,
  [2358] = 2291,
  [2359] = 2294,
  [2360] = 2293,
  [2361] = 2288,
  [2362] = 2362,
  [2363] = 2323,
  [2364] = 2320,
  [2365] = 2340,
  [2366] = 2340,
  [2367] = 2317,
  [2368] = 2316,
  [2369] = 2277,
  [2370] = 2279,
  [2371] = 2285,
  [2372] = 2288,
  [2373] = 2293,
  [2374] = 2282,
  [2375] = 2375,
  [2376] = 2376,
  [2377] = 2294,
  [2378] = 2296,
  [2379] = 2304,
  [2380] = 2318,
  [2381] = 2318,
  [2382] = 2268,
  [2383] = 2067,
  [2384] = 2303,
  [2385] = 2385,
  [2386] = 2386,
  [2387] = 2268,
  [2388] = 2306,
  [2389] = 2389,
  [2390] = 2299,
  [2391] = 2391,
  [2392] = 2392,
  [2393] = 2393,
  [2394] = 2394,
  [2395] = 2324,
  [2396] = 2268,
  [2397] = 2397,
  [2398] = 2269,
  [2399] = 2297,
  [2400] = 2295,
  [2401] = 2401,
  [2402] = 2282,
  [2403] = 2403,
  [2404] = 2404,
  [2405] = 2405,
  [2406] = 2406,
  [2407] = 2291,
  [2408] = 2295,
  [2409] = 2270,
  [2410] = 2410,
  [2411] = 2279,
  [2412] = 2297,
  [2413] = 2299,
  [2414] = 2414,
  [2415] = 2415,
  [2416] = 2317,
  [2417] = 2288,
  [2418] = 2293,
  [2419] = 2294,
  [2420] = 2420,
  [2421] = 2421,
  [2422] = 2422,
  [2423] = 2423,
  [2424] = 2320,
  [2425] = 2304,
  [2426] = 2323,
  [2427] = 2427,
  [2428] = 2428,
  [2429] = 2322,
  [2430] = 2291,
  [2431] = 2291,
  [2432] = 2428,
  [2433] = 2427,
  [2434] = 2434,
  [2435] = 2435,
  [2436] = 2324,
  [2437] = 2326,
  [2438] = 2327,
  [2439] = 2326,
  [2440] = 2324,
  [2441] = 2441,
  [2442] = 2420,
  [2443] = 2295,
  [2444] = 2323,
  [2445] = 2320,
  [2446] = 2317,
  [2447] = 2327,
  [2448] = 2297,
  [2449] = 2269,
  [2450] = 2392,
  [2451] = 2451,
  [2452] = 2299,
  [2453] = 2269,
  [2454] = 2297,
  [2455] = 2295,
  [2456] = 2299,
  [2457] = 2422,
  [2458] = 2386,
  [2459] = 2291,
  [2460] = 2304,
  [2461] = 2303,
  [2462] = 2341,
  [2463] = 2463,
  [2464] = 2464,
  [2465] = 2342,
  [2466] = 2376,
  [2467] = 2294,
  [2468] = 2293,
  [2469] = 2423,
  [2470] = 2316,
  [2471] = 2317,
  [2472] = 2320,
  [2473] = 2323,
  [2474] = 2318,
  [2475] = 2288,
  [2476] = 2345,
  [2477] = 2362,
  [2478] = 2327,
  [2479] = 2326,
  [2480] = 2282,
  [2481] = 2421,
  [2482] = 2482,
  [2483] = 2483,
  [2484] = 2484,
  [2485] = 2485,
  [2486] = 2486,
  [2487] = 2487,
  [2488] = 2488,
  [2489] = 2489,
  [2490] = 2490,
  [2491] = 2491,
  [2492] = 2489,
  [2493] = 2493,
  [2494] = 2494,
  [2495] = 2495,
  [2496] = 2493,
  [2497] = 2497,
  [2498] = 2498,
  [2499] = 2485,
  [2500] = 2488,
  [2501] = 2501,
  [2502] = 2489,
  [2503] = 2503,
  [2504] = 2504,
  [2505] = 2490,
  [2506] = 2484,
  [2507] = 2507,
  [2508] = 2494,
  [2509] = 2483,
  [2510] = 2494,
  [2511] = 2483,
  [2512] = 2512,
  [2513] = 2486,
  [2514] = 2493,
  [2515] = 2490,
  [2516] = 2516,
  [2517] = 2483,
  [2518] = 2518,
  [2519] = 2504,
  [2520] = 2520,
  [2521] = 2501,
  [2522] = 2483,
  [2523] = 2488,
  [2524] = 2524,
  [2525] = 2494,
  [2526] = 2526,
  [2527] = 2527,
  [2528] = 2488,
  [2529] = 2486,
  [2530] = 2530,
  [2531] = 2484,
  [2532] = 2485,
  [2533] = 2501,
  [2534] = 2486,
  [2535] = 2485,
  [2536] = 2486,
  [2537] = 2504,
  [2538] = 2484,
  [2539] = 2489,
  [2540] = 2540,
  [2541] = 2541,
  [2542] = 2530,
  [2543] = 2543,
  [2544] = 2483,
  [2545] = 2501,
  [2546] = 2485,
  [2547] = 2547,
  [2548] = 2548,
  [2549] = 2488,
  [2550] = 2550,
  [2551] = 2484,
  [2552] = 2489,
  [2553] = 2493,
  [2554] = 2483,
  [2555] = 2555,
  [2556] = 2483,
  [2557] = 2493,
  [2558] = 2494,
  [2559] = 2559,
  [2560] = 2560,
  [2561] = 2493,
  [2562] = 2504,
  [2563] = 2504,
  [2564] = 2530,
  [2565] = 2489,
  [2566] = 2566,
  [2567] = 2490,
  [2568] = 2568,
  [2569] = 2488,
  [2570] = 2570,
  [2571] = 2571,
  [2572] = 2572,
  [2573] = 2494,
  [2574] = 2572,
  [2575] = 2483,
  [2576] = 2576,
  [2577] = 2576,
  [2578] = 2578,
  [2579] = 2486,
  [2580] = 2490,
  [2581] = 2484,
  [2582] = 2501,
  [2583] = 2583,
  [2584] = 2584,
  [2585] = 2585,
  [2586] = 2586,
  [2587] = 2587,
  [2588] = 2588,
  [2589] = 2589,
  [2590] = 2590,
  [2591] = 2591,
  [2592] = 2592,
  [2593] = 2593,
  [2594] = 2594,
  [2595] = 2595,
  [2596] = 2596,
  [2597] = 2590,
  [2598] = 2598,
  [2599] = 2599,
  [2600] = 2600,
  [2601] = 2601,
  [2602] = 2594,
  [2603] = 2603,
  [2604] = 2596,
  [2605] = 2605,
  [2606] = 2606,
  [2607] = 2598,
  [2608] = 2600,
  [2609] = 2605,
  [2610] = 2606,
  [2611] = 2611,
  [2612] = 2592,
  [2613] = 2613,
  [2614] = 2589,
  [2615] = 2613,
  [2616] = 2616,
  [2617] = 2617,
  [2618] = 2617,
  [2619] = 1461,
  [2620] = 2620,
  [2621] = 2620,
  [2622] = 2622,
  [2623] = 2623,
  [2624] = 2624,
  [2625] = 2625,
  [2626] = 2626,
  [2627] = 2627,
  [2628] = 2628,
  [2629] = 2622,
  [2630] = 2630,
  [2631] = 2593,
  [2632] = 2632,
  [2633] = 2623,
  [2634] = 2583,
  [2635] = 2635,
  [2636] = 2636,
  [2637] = 2587,
  [2638] = 2638,
  [2639] = 2639,
  [2640] = 2640,
  [2641] = 2598,
  [2642] = 2593,
  [2643] = 2643,
  [2644] = 2644,
  [2645] = 2643,
  [2646] = 2646,
  [2647] = 2647,
  [2648] = 2590,
  [2649] = 2649,
  [2650] = 2650,
  [2651] = 2636,
  [2652] = 2635,
  [2653] = 2636,
  [2654] = 792,
  [2655] = 2586,
  [2656] = 2644,
  [2657] = 793,
  [2658] = 2658,
  [2659] = 2620,
  [2660] = 2594,
  [2661] = 2661,
  [2662] = 2662,
  [2663] = 2586,
  [2664] = 2644,
  [2665] = 2620,
  [2666] = 2583,
  [2667] = 2667,
  [2668] = 2594,
  [2669] = 2644,
  [2670] = 2670,
  [2671] = 2587,
  [2672] = 2672,
  [2673] = 2620,
  [2674] = 2674,
  [2675] = 2675,
  [2676] = 2676,
  [2677] = 2677,
  [2678] = 2594,
  [2679] = 2679,
  [2680] = 2680,
  [2681] = 2681,
  [2682] = 2644,
  [2683] = 2683,
  [2684] = 2587,
  [2685] = 2685,
  [2686] = 2686,
  [2687] = 2635,
  [2688] = 2636,
  [2689] = 2689,
  [2690] = 2690,
  [2691] = 2691,
  [2692] = 2620,
  [2693] = 2693,
  [2694] = 2694,
  [2695] = 2600,
  [2696] = 2643,
  [2697] = 2598,
  [2698] = 2698,
  [2699] = 2594,
  [2700] = 2700,
  [2701] = 2585,
  [2702] = 2702,
  [2703] = 2703,
  [2704] = 2704,
  [2705] = 2705,
  [2706] = 2706,
  [2707] = 2707,
  [2708] = 2708,
  [2709] = 2709,
  [2710] = 2710,
  [2711] = 2711,
  [2712] = 2712,
  [2713] = 2586,
  [2714] = 2714,
  [2715] = 2715,
  [2716] = 2583,
  [2717] = 2717,
  [2718] = 2718,
  [2719] = 2719,
  [2720] = 2720,
  [2721] = 2721,
  [2722] = 2703,
  [2723] = 2723,
  [2724] = 2681,
  [2725] = 2725,
  [2726] = 2726,
  [2727] = 2727,
  [2728] = 2661,
  [2729] = 2693,
  [2730] = 2709,
  [2731] = 2731,
  [2732] = 2732,
  [2733] = 2733,
  [2734] = 2734,
  [2735] = 2735,
  [2736] = 2736,
  [2737] = 2635,
  [2738] = 2636,
  [2739] = 2739,
  [2740] = 2727,
  [2741] = 2725,
  [2742] = 2647,
  [2743] = 2723,
  [2744] = 2643,
  [2745] = 2745,
  [2746] = 2746,
  [2747] = 2747,
  [2748] = 2650,
  [2749] = 2644,
  [2750] = 2750,
  [2751] = 2751,
  [2752] = 2752,
  [2753] = 2753,
  [2754] = 2700,
  [2755] = 2593,
  [2756] = 2679,
  [2757] = 2643,
  [2758] = 2591,
  [2759] = 2587,
  [2760] = 2760,
  [2761] = 2761,
  [2762] = 2746,
  [2763] = 2763,
  [2764] = 2622,
  [2765] = 2585,
  [2766] = 2620,
  [2767] = 1456,
  [2768] = 2746,
  [2769] = 2591,
  [2770] = 2600,
  [2771] = 2613,
  [2772] = 2589,
  [2773] = 2596,
  [2774] = 2594,
  [2775] = 2606,
  [2776] = 2635,
  [2777] = 2606,
  [2778] = 2605,
  [2779] = 2715,
  [2780] = 2600,
  [2781] = 2781,
  [2782] = 2782,
  [2783] = 2598,
  [2784] = 2635,
  [2785] = 2635,
  [2786] = 2635,
  [2787] = 2787,
  [2788] = 2721,
  [2789] = 2789,
  [2790] = 2790,
  [2791] = 2791,
  [2792] = 2594,
  [2793] = 2763,
  [2794] = 2720,
  [2795] = 2605,
  [2796] = 2588,
  [2797] = 2707,
  [2798] = 2798,
  [2799] = 2799,
  [2800] = 2800,
  [2801] = 2595,
  [2802] = 2598,
  [2803] = 2803,
  [2804] = 2804,
  [2805] = 2805,
  [2806] = 2606,
  [2807] = 2611,
  [2808] = 2590,
  [2809] = 2589,
  [2810] = 2613,
  [2811] = 2811,
  [2812] = 2705,
  [2813] = 2813,
  [2814] = 2814,
  [2815] = 2703,
  [2816] = 2593,
  [2817] = 2591,
  [2818] = 2746,
  [2819] = 2585,
  [2820] = 2620,
  [2821] = 2787,
  [2822] = 1448,
  [2823] = 2585,
  [2824] = 2622,
  [2825] = 2583,
  [2826] = 2763,
  [2827] = 2709,
  [2828] = 2587,
  [2829] = 2595,
  [2830] = 2727,
  [2831] = 2725,
  [2832] = 2611,
  [2833] = 2593,
  [2834] = 2723,
  [2835] = 2644,
  [2836] = 2647,
  [2837] = 2720,
  [2838] = 2715,
  [2839] = 2707,
  [2840] = 2599,
  [2841] = 2841,
  [2842] = 2842,
  [2843] = 2681,
  [2844] = 2693,
  [2845] = 2845,
  [2846] = 2595,
  [2847] = 2680,
  [2848] = 2848,
  [2849] = 2611,
  [2850] = 2635,
  [2851] = 2661,
  [2852] = 2680,
  [2853] = 2703,
  [2854] = 2681,
  [2855] = 2681,
  [2856] = 2680,
  [2857] = 2703,
  [2858] = 2661,
  [2859] = 2693,
  [2860] = 2860,
  [2861] = 2647,
  [2862] = 2644,
  [2863] = 2595,
  [2864] = 2661,
  [2865] = 2865,
  [2866] = 2611,
  [2867] = 2693,
  [2868] = 2647,
  [2869] = 2646,
  [2870] = 2644,
  [2871] = 2707,
  [2872] = 2715,
  [2873] = 1452,
  [2874] = 2593,
  [2875] = 2593,
  [2876] = 2720,
  [2877] = 2763,
  [2878] = 2587,
  [2879] = 2723,
  [2880] = 2725,
  [2881] = 2727,
  [2882] = 2709,
  [2883] = 2598,
  [2884] = 2884,
  [2885] = 2622,
  [2886] = 2763,
  [2887] = 2620,
  [2888] = 2888,
  [2889] = 2585,
  [2890] = 2746,
  [2891] = 2591,
  [2892] = 2892,
  [2893] = 2763,
  [2894] = 2590,
  [2895] = 2594,
  [2896] = 2598,
  [2897] = 2613,
  [2898] = 2814,
  [2899] = 2640,
  [2900] = 2587,
  [2901] = 2589,
  [2902] = 2600,
  [2903] = 2605,
  [2904] = 2627,
  [2905] = 2905,
  [2906] = 2583,
  [2907] = 2626,
};

static inline bool sym_number_literal_character_set_1(int32_t c) {
  return (c < 'b'
    ? (c < 'L'
      ? (c < 'D'
        ? c == 'B'
        : c <= 'F')
      : (c <= 'L' || (c < 'W'
        ? c == 'U'
        : c <= 'W')))
    : (c <= 'b' || (c < 'u'
      ? (c < 'l'
        ? (c >= 'd' && c <= 'f')
        : c <= 'l')
      : (c <= 'u' || c == 'w'))));
}

static inline bool sym_number_literal_character_set_2(int32_t c) {
  return (c < 'b'
    ? (c < 'L'
      ? (c < 'D'
        ? c == 'B'
        : (c <= 'D' || c == 'F'))
      : (c <= 'L' || (c < 'W'
        ? c == 'U'
        : c <= 'W')))
    : (c <= 'b' || (c < 'l'
      ? (c < 'f'
        ? c == 'd'
        : c <= 'f')
      : (c <= 'l' || (c < 'w'
        ? c == 'u'
        : c <= 'w')))));
}

static inline bool sym_identifier_character_set_1(int32_t c) {
  return (c < 43488
    ? (c < 4159
      ? (c < 2654
        ? (c < 1808
          ? (c < 895
            ? (c < 192
              ? (c < 'a'
                ? (c < 'M'
                  ? (c < 'A'
                    ? c == '$'
                    : c <= 'K')
                  : (c <= 'T' || (c < '_'
                    ? (c >= 'V' && c <= 'Z')
                    : c <= '_')))
                : (c <= 't' || (c < 181
                  ? (c < 170
                    ? (c >= 'v' && c <= 'z')
                    : c <= 170)
                  : (c <= 181 || c == 186))))
              : (c <= 214 || (c < 748
                ? (c < 710
                  ? (c < 248
                    ? (c >= 216 && c <= 246)
                    : c <= 705)
                  : (c <= 721 || (c >= 736 && c <= 740)))
                : (c <= 748 || (c < 886
                  ? (c < 880
                    ? c == 750
                    : c <= 884)
                  : (c <= 887 || (c >= 891 && c <= 893)))))))
            : (c <= 895 || (c < 1488
              ? (c < 1015
                ? (c < 908
                  ? (c < 904
                    ? c == 902
                    : c <= 906)
                  : (c <= 908 || (c < 931
                    ? (c >= 910 && c <= 929)
                    : c <= 1013)))
                : (c <= 1153 || (c < 1369
                  ? (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)
                  : (c <= 1369 || (c >= 1376 && c <= 1416)))))
              : (c <= 1514 || (c < 1749
                ? (c < 1646
                  ? (c < 1568
                    ? (c >= 1519 && c <= 1522)
                    : c <= 1610)
                  : (c <= 1647 || (c >= 1649 && c <= 1747)))
                : (c <= 1749 || (c < 1786
                  ? (c < 1774
                    ? (c >= 1765 && c <= 1766)
                    : c <= 1775)
                  : (c <= 1788 || c == 1791))))))))
          : (c <= 1808 || (c < 2437
            ? (c < 2112
              ? (c < 2042
                ? (c < 1969
                  ? (c < 1869
                    ? (c >= 1810 && c <= 1839)
                    : c <= 1957)
                  : (c <= 1969 || (c < 2036
                    ? (c >= 1994 && c <= 2026)
                    : c <= 2037)))
                : (c <= 2042 || (c < 2084
                  ? (c < 2074
                    ? (c >= 2048 && c <= 2069)
                    : c <= 2074)
                  : (c <= 2084 || c == 2088))))
              : (c <= 2136 || (c < 2308
                ? (c < 2185
                  ? (c < 2160
                    ? (c >= 2144 && c <= 2154)
                    : c <= 2183)
                  : (c <= 2190 || (c >= 2208 && c <= 2249)))
                : (c <= 2361 || (c < 2392
                  ? (c < 2384
                    ? c == 2365
                    : c <= 2384)
                  : (c <= 2401 || (c >= 2417 && c <= 2432)))))))
            : (c <= 2444 || (c < 2544
              ? (c < 2486
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || c == 2482))
                : (c <= 2489 || (c < 2524
                  ? (c < 2510
                    ? c == 2493
                    : c <= 2510)
                  : (c <= 2525 || (c >= 2527 && c <= 2529)))))
              : (c <= 2545 || (c < 2602
                ? (c < 2575
                  ? (c < 2565
                    ? c == 2556
                    : c <= 2570)
                  : (c <= 2576 || (c >= 2579 && c <= 2600)))
                : (c <= 2608 || (c < 2616
                  ? (c < 2613
                    ? (c >= 2610 && c <= 2611)
                    : c <= 2614)
                  : (c <= 2617 || (c >= 2649 && c <= 2652)))))))))))
        : (c <= 2654 || (c < 3205
          ? (c < 2929
            ? (c < 2809
              ? (c < 2738
                ? (c < 2703
                  ? (c < 2693
                    ? (c >= 2674 && c <= 2676)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))
                : (c <= 2739 || (c < 2768
                  ? (c < 2749
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2749)
                  : (c <= 2768 || (c >= 2784 && c <= 2785)))))
              : (c <= 2809 || (c < 2866
                ? (c < 2835
                  ? (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)
                  : (c <= 2856 || (c >= 2858 && c <= 2864)))
                : (c <= 2867 || (c < 2908
                  ? (c < 2877
                    ? (c >= 2869 && c <= 2873)
                    : c <= 2877)
                  : (c <= 2909 || (c >= 2911 && c <= 2913)))))))
            : (c <= 2929 || (c < 3024
              ? (c < 2972
                ? (c < 2958
                  ? (c < 2949
                    ? c == 2947
                    : c <= 2954)
                  : (c <= 2960 || (c < 2969
                    ? (c >= 2962 && c <= 2965)
                    : c <= 2970)))
                : (c <= 2972 || (c < 2984
                  ? (c < 2979
                    ? (c >= 2974 && c <= 2975)
                    : c <= 2980)
                  : (c <= 2986 || (c >= 2990 && c <= 3001)))))
              : (c <= 3024 || (c < 3133
                ? (c < 3090
                  ? (c < 3086
                    ? (c >= 3077 && c <= 3084)
                    : c <= 3088)
                  : (c <= 3112 || (c >= 3114 && c <= 3129)))
                : (c <= 3133 || (c < 3168
                  ? (c < 3165
                    ? (c >= 3160 && c <= 3162)
                    : c <= 3165)
                  : (c <= 3169 || c == 3200))))))))
          : (c <= 3212 || (c < 3520
            ? (c < 3346
              ? (c < 3293
                ? (c < 3242
                  ? (c < 3218
                    ? (c >= 3214 && c <= 3216)
                    : c <= 3240)
                  : (c <= 3251 || (c < 3261
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3261)))
                : (c <= 3294 || (c < 3332
                  ? (c < 3313
                    ? (c >= 3296 && c <= 3297)
                    : c <= 3314)
                  : (c <= 3340 || (c >= 3342 && c <= 3344)))))
              : (c <= 3386 || (c < 3450
                ? (c < 3412
                  ? (c < 3406
                    ? c == 3389
                    : c <= 3406)
                  : (c <= 3414 || (c >= 3423 && c <= 3425)))
                : (c <= 3455 || (c < 3507
                  ? (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)
                  : (c <= 3515 || c == 3517))))))
            : (c <= 3526 || (c < 3762
              ? (c < 3716
                ? (c < 3648
                  ? (c < 3634
                    ? (c >= 3585 && c <= 3632)
                    : c <= 3634)
                  : (c <= 3654 || (c >= 3713 && c <= 3714)))
                : (c <= 3716 || (c < 3749
                  ? (c < 3724
                    ? (c >= 3718 && c <= 3722)
                    : c <= 3747)
                  : (c <= 3749 || (c >= 3751 && c <= 3760)))))
              : (c <= 3762 || (c < 3840
                ? (c < 3782
                  ? (c < 3776
                    ? c == 3773
                    : c <= 3780)
                  : (c <= 3782 || (c >= 3804 && c <= 3807)))
                : (c <= 3840 || (c < 3976
                  ? (c < 3913
                    ? (c >= 3904 && c <= 3911)
                    : c <= 3948)
                  : (c <= 3980 || (c >= 4096 && c <= 4138)))))))))))))
      : (c <= 4159 || (c < 8126
        ? (c < 6103
          ? (c < 4792
            ? (c < 4304
              ? (c < 4213
                ? (c < 4193
                  ? (c < 4186
                    ? (c >= 4176 && c <= 4181)
                    : c <= 4189)
                  : (c <= 4193 || (c < 4206
                    ? (c >= 4197 && c <= 4198)
                    : c <= 4208)))
                : (c <= 4225 || (c < 4295
                  ? (c < 4256
                    ? c == 4238
                    : c <= 4293)
                  : (c <= 4295 || c == 4301))))
              : (c <= 4346 || (c < 4698
                ? (c < 4688
                  ? (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)
                  : (c <= 4694 || c == 4696))
                : (c <= 4701 || (c < 4752
                  ? (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)
                  : (c <= 4784 || (c >= 4786 && c <= 4789)))))))
            : (c <= 4798 || (c < 5743
              ? (c < 4888
                ? (c < 4808
                  ? (c < 4802
                    ? c == 4800
                    : c <= 4805)
                  : (c <= 4822 || (c < 4882
                    ? (c >= 4824 && c <= 4880)
                    : c <= 4885)))
                : (c <= 4954 || (c < 5112
                  ? (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)
                  : (c <= 5117 || (c >= 5121 && c <= 5740)))))
              : (c <= 5759 || (c < 5919
                ? (c < 5870
                  ? (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)
                  : (c <= 5880 || (c >= 5888 && c <= 5905)))
                : (c <= 5937 || (c < 5998
                  ? (c < 5984
                    ? (c >= 5952 && c <= 5969)
                    : c <= 5996)
                  : (c <= 6000 || (c >= 6016 && c <= 6067)))))))))
          : (c <= 6103 || (c < 7258
            ? (c < 6656
              ? (c < 6400
                ? (c < 6272
                  ? (c < 6176
                    ? c == 6108
                    : c <= 6264)
                  : (c <= 6312 || (c < 6320
                    ? c == 6314
                    : c <= 6389)))
                : (c <= 6430 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6480 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c >= 6576 && c <= 6601)))))
              : (c <= 6678 || (c < 7043
                ? (c < 6917
                  ? (c < 6823
                    ? (c >= 6688 && c <= 6740)
                    : c <= 6823)
                  : (c <= 6963 || (c >= 6981 && c <= 6988)))
                : (c <= 7072 || (c < 7168
                  ? (c < 7098
                    ? (c >= 7086 && c <= 7087)
                    : c <= 7141)
                  : (c <= 7203 || (c >= 7245 && c <= 7247)))))))
            : (c <= 7293 || (c < 7960
              ? (c < 7406
                ? (c < 7357
                  ? (c < 7312
                    ? (c >= 7296 && c <= 7304)
                    : c <= 7354)
                  : (c <= 7359 || (c >= 7401 && c <= 7404)))
                : (c <= 7411 || (c < 7424
                  ? (c < 7418
                    ? (c >= 7413 && c <= 7414)
                    : c <= 7418)
                  : (c <= 7615 || (c >= 7680 && c <= 7957)))))
              : (c <= 7965 || (c < 8027
                ? (c < 8016
                  ? (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)
                  : (c <= 8023 || c == 8025))
                : (c <= 8027 || (c < 8064
                  ? (c < 8031
                    ? c == 8029
                    : c <= 8061)
                  : (c <= 8116 || (c >= 8118 && c <= 8124)))))))))))
        : (c <= 8126 || (c < 12293
          ? (c < 8517
            ? (c < 8450
              ? (c < 8178
                ? (c < 8144
                  ? (c < 8134
                    ? (c >= 8130 && c <= 8132)
                    : c <= 8140)
                  : (c <= 8147 || (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)))
                : (c <= 8180 || (c < 8319
                  ? (c < 8305
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8305)
                  : (c <= 8319 || (c >= 8336 && c <= 8348)))))
              : (c <= 8450 || (c < 8484
                ? (c < 8469
                  ? (c < 8458
                    ? c == 8455
                    : c <= 8467)
                  : (c <= 8469 || (c >= 8472 && c <= 8477)))
                : (c <= 8484 || (c < 8490
                  ? (c < 8488
                    ? c == 8486
                    : c <= 8488)
                  : (c <= 8505 || (c >= 8508 && c <= 8511)))))))
            : (c <= 8521 || (c < 11631
              ? (c < 11506
                ? (c < 11264
                  ? (c < 8544
                    ? c == 8526
                    : c <= 8584)
                  : (c <= 11492 || (c >= 11499 && c <= 11502)))
                : (c <= 11507 || (c < 11565
                  ? (c < 11559
                    ? (c >= 11520 && c <= 11557)
                    : c <= 11559)
                  : (c <= 11565 || (c >= 11568 && c <= 11623)))))
              : (c <= 11631 || (c < 11704
                ? (c < 11688
                  ? (c < 11680
                    ? (c >= 11648 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c >= 11696 && c <= 11702)))
                : (c <= 11710 || (c < 11728
                  ? (c < 11720
                    ? (c >= 11712 && c <= 11718)
                    : c <= 11726)
                  : (c <= 11734 || (c >= 11736 && c <= 11742)))))))))
          : (c <= 12295 || (c < 42775
            ? (c < 12784
              ? (c < 12449
                ? (c < 12344
                  ? (c < 12337
                    ? (c >= 12321 && c <= 12329)
                    : c <= 12341)
                  : (c <= 12348 || (c < 12445
                    ? (c >= 12353 && c <= 12438)
                    : c <= 12447)))
                : (c <= 12538 || (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c >= 12704 && c <= 12735)))))
              : (c <= 12799 || (c < 42512
                ? (c < 42192
                  ? (c < 19968
                    ? (c >= 13312 && c <= 19903)
                    : c <= 42124)
                  : (c <= 42237 || (c >= 42240 && c <= 42508)))
                : (c <= 42527 || (c < 42623
                  ? (c < 42560
                    ? (c >= 42538 && c <= 42539)
                    : c <= 42606)
                  : (c <= 42653 || (c >= 42656 && c <= 42735)))))))
            : (c <= 42783 || (c < 43072
              ? (c < 42965
                ? (c < 42960
                  ? (c < 42891
                    ? (c >= 42786 && c <= 42888)
                    : c <= 42954)
                  : (c <= 42961 || c == 42963))
                : (c <= 42969 || (c < 43015
                  ? (c < 43011
                    ? (c >= 42994 && c <= 43009)
                    : c <= 43013)
                  : (c <= 43018 || (c >= 43020 && c <= 43042)))))
              : (c <= 43123 || (c < 43274
                ? (c < 43259
                  ? (c < 43250
                    ? (c >= 43138 && c <= 43187)
                    : c <= 43255)
                  : (c <= 43259 || (c >= 43261 && c <= 43262)))
                : (c <= 43301 || (c < 43396
                  ? (c < 43360
                    ? (c >= 43312 && c <= 43334)
                    : c <= 43388)
                  : (c <= 43442 || c == 43471))))))))))))))
    : (c <= 43492 || (c < 70656
      ? (c < 66940
        ? (c < 64848
          ? (c < 43816
            ? (c < 43705
              ? (c < 43616
                ? (c < 43520
                  ? (c < 43514
                    ? (c >= 43494 && c <= 43503)
                    : c <= 43518)
                  : (c <= 43560 || (c < 43588
                    ? (c >= 43584 && c <= 43586)
                    : c <= 43595)))
                : (c <= 43638 || (c < 43697
                  ? (c < 43646
                    ? c == 43642
                    : c <= 43695)
                  : (c <= 43697 || (c >= 43701 && c <= 43702)))))
              : (c <= 43709 || (c < 43762
                ? (c < 43739
                  ? (c < 43714
                    ? c == 43712
                    : c <= 43714)
                  : (c <= 43741 || (c >= 43744 && c <= 43754)))
                : (c <= 43764 || (c < 43793
                  ? (c < 43785
                    ? (c >= 43777 && c <= 43782)
                    : c <= 43790)
                  : (c <= 43798 || (c >= 43808 && c <= 43814)))))))
            : (c <= 43822 || (c < 64285
              ? (c < 55243
                ? (c < 43888
                  ? (c < 43868
                    ? (c >= 43824 && c <= 43866)
                    : c <= 43881)
                  : (c <= 44002 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c >= 64275 && c <= 64279)))))
              : (c <= 64285 || (c < 64320
                ? (c < 64312
                  ? (c < 64298
                    ? (c >= 64287 && c <= 64296)
                    : c <= 64310)
                  : (c <= 64316 || c == 64318))
                : (c <= 64321 || (c < 64467
                  ? (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)
                  : (c <= 64605 || (c >= 64612 && c <= 64829)))))))))
          : (c <= 64911 || (c < 65596
            ? (c < 65345
              ? (c < 65145
                ? (c < 65137
                  ? (c < 65008
                    ? (c >= 64914 && c <= 64967)
                    : c <= 65017)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c >= 65313 && c <= 65338)))))
              : (c <= 65370 || (c < 65490
                ? (c < 65474
                  ? (c < 65440
                    ? (c >= 65382 && c <= 65437)
                    : c <= 65470)
                  : (c <= 65479 || (c >= 65482 && c <= 65487)))
                : (c <= 65495 || (c < 65549
                  ? (c < 65536
                    ? (c >= 65498 && c <= 65500)
                    : c <= 65547)
                  : (c <= 65574 || (c >= 65576 && c <= 65594)))))))
            : (c <= 65597 || (c < 66432
              ? (c < 66176
                ? (c < 65664
                  ? (c < 65616
                    ? (c >= 65599 && c <= 65613)
                    : c <= 65629)
                  : (c <= 65786 || (c >= 65856 && c <= 65908)))
                : (c <= 66204 || (c < 66349
                  ? (c < 66304
                    ? (c >= 66208 && c <= 66256)
                    : c <= 66335)
                  : (c <= 66378 || (c >= 66384 && c <= 66421)))))
              : (c <= 66461 || (c < 66736
                ? (c < 66513
                  ? (c < 66504
                    ? (c >= 66464 && c <= 66499)
                    : c <= 66511)
                  : (c <= 66517 || (c >= 66560 && c <= 66717)))
                : (c <= 66771 || (c < 66864
                  ? (c < 66816
                    ? (c >= 66776 && c <= 66811)
                    : c <= 66855)
                  : (c <= 66915 || (c >= 66928 && c <= 66938)))))))))))
        : (c <= 66954 || (c < 68800
          ? (c < 67808
            ? (c < 67463
              ? (c < 67003
                ? (c < 66967
                  ? (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)
                  : (c <= 66977 || (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)))
                : (c <= 67004 || (c < 67424
                  ? (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)
                  : (c <= 67431 || (c >= 67456 && c <= 67461)))))
              : (c <= 67504 || (c < 67639
                ? (c < 67592
                  ? (c < 67584
                    ? (c >= 67506 && c <= 67514)
                    : c <= 67589)
                  : (c <= 67592 || (c >= 67594 && c <= 67637)))
                : (c <= 67640 || (c < 67680
                  ? (c < 67647
                    ? c == 67644
                    : c <= 67669)
                  : (c <= 67702 || (c >= 67712 && c <= 67742)))))))
            : (c <= 67826 || (c < 68192
              ? (c < 68030
                ? (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c >= 67968 && c <= 68023)))
                : (c <= 68031 || (c < 68117
                  ? (c < 68112
                    ? c == 68096
                    : c <= 68115)
                  : (c <= 68119 || (c >= 68121 && c <= 68149)))))
              : (c <= 68220 || (c < 68416
                ? (c < 68297
                  ? (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)
                  : (c <= 68324 || (c >= 68352 && c <= 68405)))
                : (c <= 68437 || (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c >= 68736 && c <= 68786)))))))))
          : (c <= 68850 || (c < 70081
            ? (c < 69745
              ? (c < 69424
                ? (c < 69296
                  ? (c < 69248
                    ? (c >= 68864 && c <= 68899)
                    : c <= 69289)
                  : (c <= 69297 || (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)))
                : (c <= 69445 || (c < 69600
                  ? (c < 69552
                    ? (c >= 69488 && c <= 69505)
                    : c <= 69572)
                  : (c <= 69622 || (c >= 69635 && c <= 69687)))))
              : (c <= 69746 || (c < 69956
                ? (c < 69840
                  ? (c < 69763
                    ? c == 69749
                    : c <= 69807)
                  : (c <= 69864 || (c >= 69891 && c <= 69926)))
                : (c <= 69956 || (c < 70006
                  ? (c < 69968
                    ? c == 69959
                    : c <= 70002)
                  : (c <= 70006 || (c >= 70019 && c <= 70066)))))))
            : (c <= 70084 || (c < 70320
              ? (c < 70272
                ? (c < 70144
                  ? (c < 70108
                    ? c == 70106
                    : c <= 70108)
                  : (c <= 70161 || (c >= 70163 && c <= 70187)))
                : (c <= 70278 || (c < 70287
                  ? (c < 70282
                    ? c == 70280
                    : c <= 70285)
                  : (c <= 70301 || (c >= 70303 && c <= 70312)))))
              : (c <= 70366 || (c < 70450
                ? (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c >= 70442 && c <= 70448)))
                : (c <= 70451 || (c < 70480
                  ? (c < 70461
                    ? (c >= 70453 && c <= 70457)
                    : c <= 70461)
                  : (c <= 70480 || (c >= 70493 && c <= 70497)))))))))))))
      : (c <= 70708 || (c < 119894
        ? (c < 73056
          ? (c < 71999
            ? (c < 71352
              ? (c < 71040
                ? (c < 70784
                  ? (c < 70751
                    ? (c >= 70727 && c <= 70730)
                    : c <= 70753)
                  : (c <= 70831 || (c < 70855
                    ? (c >= 70852 && c <= 70853)
                    : c <= 70855)))
                : (c <= 71086 || (c < 71236
                  ? (c < 71168
                    ? (c >= 71128 && c <= 71131)
                    : c <= 71215)
                  : (c <= 71236 || (c >= 71296 && c <= 71338)))))
              : (c <= 71352 || (c < 71935
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71424 && c <= 71450)
                    : c <= 71494)
                  : (c <= 71723 || (c >= 71840 && c <= 71903)))
                : (c <= 71942 || (c < 71957
                  ? (c < 71948
                    ? c == 71945
                    : c <= 71955)
                  : (c <= 71958 || (c >= 71960 && c <= 71983)))))))
            : (c <= 71999 || (c < 72349
              ? (c < 72192
                ? (c < 72106
                  ? (c < 72096
                    ? c == 72001
                    : c <= 72103)
                  : (c <= 72144 || (c < 72163
                    ? c == 72161
                    : c <= 72163)))
                : (c <= 72192 || (c < 72272
                  ? (c < 72250
                    ? (c >= 72203 && c <= 72242)
                    : c <= 72250)
                  : (c <= 72272 || (c >= 72284 && c <= 72329)))))
              : (c <= 72349 || (c < 72818
                ? (c < 72714
                  ? (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)
                  : (c <= 72750 || c == 72768))
                : (c <= 72847 || (c < 72971
                  ? (c < 72968
                    ? (c >= 72960 && c <= 72966)
                    : c <= 72969)
                  : (c <= 73008 || c == 73030))))))))
          : (c <= 73061 || (c < 93952
            ? (c < 82944
              ? (c < 73728
                ? (c < 73112
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73097)
                  : (c <= 73112 || (c < 73648
                    ? (c >= 73440 && c <= 73458)
                    : c <= 73648)))
                : (c <= 74649 || (c < 77712
                  ? (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)
                  : (c <= 77808 || (c >= 77824 && c <= 78894)))))
              : (c <= 83526 || (c < 92928
                ? (c < 92784
                  ? (c < 92736
                    ? (c >= 92160 && c <= 92728)
                    : c <= 92766)
                  : (c <= 92862 || (c >= 92880 && c <= 92909)))
                : (c <= 92975 || (c < 93053
                  ? (c < 93027
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93047)
                  : (c <= 93071 || (c >= 93760 && c <= 93823)))))))
            : (c <= 94026 || (c < 110589
              ? (c < 94208
                ? (c < 94176
                  ? (c < 94099
                    ? c == 94032
                    : c <= 94111)
                  : (c <= 94177 || c == 94179))
                : (c <= 100343 || (c < 110576
                  ? (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)
                  : (c <= 110579 || (c >= 110581 && c <= 110587)))))
              : (c <= 110590 || (c < 113664
                ? (c < 110948
                  ? (c < 110928
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110930)
                  : (c <= 110951 || (c >= 110960 && c <= 111355)))
                : (c <= 113770 || (c < 113808
                  ? (c < 113792
                    ? (c >= 113776 && c <= 113788)
                    : c <= 113800)
                  : (c <= 113817 || (c >= 119808 && c <= 119892)))))))))))
        : (c <= 119964 || (c < 125259
          ? (c < 120572
            ? (c < 120086
              ? (c < 119995
                ? (c < 119973
                  ? (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)
                  : (c <= 119974 || (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)))
                : (c <= 119995 || (c < 120071
                  ? (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)
                  : (c <= 120074 || (c >= 120077 && c <= 120084)))))
              : (c <= 120092 || (c < 120138
                ? (c < 120128
                  ? (c < 120123
                    ? (c >= 120094 && c <= 120121)
                    : c <= 120126)
                  : (c <= 120132 || c == 120134))
                : (c <= 120144 || (c < 120514
                  ? (c < 120488
                    ? (c >= 120146 && c <= 120485)
                    : c <= 120512)
                  : (c <= 120538 || (c >= 120540 && c <= 120570)))))))
            : (c <= 120596 || (c < 123191
              ? (c < 120714
                ? (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c >= 120688 && c <= 120712)))
                : (c <= 120744 || (c < 122624
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 122654 || (c >= 123136 && c <= 123180)))))
              : (c <= 123197 || (c < 124904
                ? (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123565)
                  : (c <= 123627 || (c >= 124896 && c <= 124902)))
                : (c <= 124907 || (c < 124928
                  ? (c < 124912
                    ? (c >= 124909 && c <= 124910)
                    : c <= 124926)
                  : (c <= 125124 || (c >= 125184 && c <= 125251)))))))))
          : (c <= 125259 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126497
                  ? (c < 126469
                    ? (c >= 126464 && c <= 126467)
                    : c <= 126495)
                  : (c <= 126498 || (c < 126503
                    ? c == 126500
                    : c <= 126503)))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_2(int32_t c) {
  return (c < 43494
    ? (c < 4186
      ? (c < 2703
        ? (c < 1969
          ? (c < 908
            ? (c < 710
              ? (c < 181
                ? (c < '_'
                  ? (c < 'A'
                    ? c == '$'
                    : c <= 'Z')
                  : (c <= '_' || (c < 170
                    ? (c >= 'a' && c <= 'z')
                    : c <= 170)))
                : (c <= 181 || (c < 216
                  ? (c < 192
                    ? c == 186
                    : c <= 214)
                  : (c <= 246 || (c >= 248 && c <= 705)))))
              : (c <= 721 || (c < 886
                ? (c < 750
                  ? (c < 748
                    ? (c >= 736 && c <= 740)
                    : c <= 748)
                  : (c <= 750 || (c >= 880 && c <= 884)))
                : (c <= 887 || (c < 902
                  ? (c < 895
                    ? (c >= 891 && c <= 893)
                    : c <= 895)
                  : (c <= 902 || (c >= 904 && c <= 906)))))))
            : (c <= 908 || (c < 1646
              ? (c < 1369
                ? (c < 1015
                  ? (c < 931
                    ? (c >= 910 && c <= 929)
                    : c <= 1013)
                  : (c <= 1153 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1519
                  ? (c < 1488
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1514)
                  : (c <= 1522 || (c >= 1568 && c <= 1610)))))
              : (c <= 1647 || (c < 1786
                ? (c < 1765
                  ? (c < 1749
                    ? (c >= 1649 && c <= 1747)
                    : c <= 1749)
                  : (c <= 1766 || (c >= 1774 && c <= 1775)))
                : (c <= 1788 || (c < 1810
                  ? (c < 1808
                    ? c == 1791
                    : c <= 1808)
                  : (c <= 1839 || (c >= 1869 && c <= 1957)))))))))
          : (c <= 1969 || (c < 2474
            ? (c < 2185
              ? (c < 2084
                ? (c < 2042
                  ? (c < 2036
                    ? (c >= 1994 && c <= 2026)
                    : c <= 2037)
                  : (c <= 2042 || (c < 2074
                    ? (c >= 2048 && c <= 2069)
                    : c <= 2074)))
                : (c <= 2084 || (c < 2144
                  ? (c < 2112
                    ? c == 2088
                    : c <= 2136)
                  : (c <= 2154 || (c >= 2160 && c <= 2183)))))
              : (c <= 2190 || (c < 2392
                ? (c < 2365
                  ? (c < 2308
                    ? (c >= 2208 && c <= 2249)
                    : c <= 2361)
                  : (c <= 2365 || c == 2384))
                : (c <= 2401 || (c < 2447
                  ? (c < 2437
                    ? (c >= 2417 && c <= 2432)
                    : c <= 2444)
                  : (c <= 2448 || (c >= 2451 && c <= 2472)))))))
            : (c <= 2480 || (c < 2575
              ? (c < 2524
                ? (c < 2493
                  ? (c < 2486
                    ? c == 2482
                    : c <= 2489)
                  : (c <= 2493 || c == 2510))
                : (c <= 2525 || (c < 2556
                  ? (c < 2544
                    ? (c >= 2527 && c <= 2529)
                    : c <= 2545)
                  : (c <= 2556 || (c >= 2565 && c <= 2570)))))
              : (c <= 2576 || (c < 2616
                ? (c < 2610
                  ? (c < 2602
                    ? (c >= 2579 && c <= 2600)
                    : c <= 2608)
                  : (c <= 2611 || (c >= 2613 && c <= 2614)))
                : (c <= 2617 || (c < 2674
                  ? (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)
                  : (c <= 2676 || (c >= 2693 && c <= 2701)))))))))))
        : (c <= 2705 || (c < 3218
          ? (c < 2958
            ? (c < 2835
              ? (c < 2768
                ? (c < 2738
                  ? (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)
                  : (c <= 2739 || (c < 2749
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2749)))
                : (c <= 2768 || (c < 2821
                  ? (c < 2809
                    ? (c >= 2784 && c <= 2785)
                    : c <= 2809)
                  : (c <= 2828 || (c >= 2831 && c <= 2832)))))
              : (c <= 2856 || (c < 2908
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || c == 2877))
                : (c <= 2909 || (c < 2947
                  ? (c < 2929
                    ? (c >= 2911 && c <= 2913)
                    : c <= 2929)
                  : (c <= 2947 || (c >= 2949 && c <= 2954)))))))
            : (c <= 2960 || (c < 3086
              ? (c < 2979
                ? (c < 2972
                  ? (c < 2969
                    ? (c >= 2962 && c <= 2965)
                    : c <= 2970)
                  : (c <= 2972 || (c >= 2974 && c <= 2975)))
                : (c <= 2980 || (c < 3024
                  ? (c < 2990
                    ? (c >= 2984 && c <= 2986)
                    : c <= 3001)
                  : (c <= 3024 || (c >= 3077 && c <= 3084)))))
              : (c <= 3088 || (c < 3165
                ? (c < 3133
                  ? (c < 3114
                    ? (c >= 3090 && c <= 3112)
                    : c <= 3129)
                  : (c <= 3133 || (c >= 3160 && c <= 3162)))
                : (c <= 3165 || (c < 3205
                  ? (c < 3200
                    ? (c >= 3168 && c <= 3169)
                    : c <= 3200)
                  : (c <= 3212 || (c >= 3214 && c <= 3216)))))))))
          : (c <= 3240 || (c < 3634
            ? (c < 3406
              ? (c < 3313
                ? (c < 3261
                  ? (c < 3253
                    ? (c >= 3242 && c <= 3251)
                    : c <= 3257)
                  : (c <= 3261 || (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3297)))
                : (c <= 3314 || (c < 3346
                  ? (c < 3342
                    ? (c >= 3332 && c <= 3340)
                    : c <= 3344)
                  : (c <= 3386 || c == 3389))))
              : (c <= 3406 || (c < 3482
                ? (c < 3450
                  ? (c < 3423
                    ? (c >= 3412 && c <= 3414)
                    : c <= 3425)
                  : (c <= 3455 || (c >= 3461 && c <= 3478)))
                : (c <= 3505 || (c < 3520
                  ? (c < 3517
                    ? (c >= 3507 && c <= 3515)
                    : c <= 3517)
                  : (c <= 3526 || (c >= 3585 && c <= 3632)))))))
            : (c <= 3634 || (c < 3776
              ? (c < 3724
                ? (c < 3716
                  ? (c < 3713
                    ? (c >= 3648 && c <= 3654)
                    : c <= 3714)
                  : (c <= 3716 || (c >= 3718 && c <= 3722)))
                : (c <= 3747 || (c < 3762
                  ? (c < 3751
                    ? c == 3749
                    : c <= 3760)
                  : (c <= 3762 || c == 3773))))
              : (c <= 3780 || (c < 3913
                ? (c < 3840
                  ? (c < 3804
                    ? c == 3782
                    : c <= 3807)
                  : (c <= 3840 || (c >= 3904 && c <= 3911)))
                : (c <= 3948 || (c < 4159
                  ? (c < 4096
                    ? (c >= 3976 && c <= 3980)
                    : c <= 4138)
                  : (c <= 4159 || (c >= 4176 && c <= 4181)))))))))))))
      : (c <= 4189 || (c < 8130
        ? (c < 6108
          ? (c < 4802
            ? (c < 4682
              ? (c < 4256
                ? (c < 4206
                  ? (c < 4197
                    ? c == 4193
                    : c <= 4198)
                  : (c <= 4208 || (c < 4238
                    ? (c >= 4213 && c <= 4225)
                    : c <= 4238)))
                : (c <= 4293 || (c < 4304
                  ? (c < 4301
                    ? c == 4295
                    : c <= 4301)
                  : (c <= 4346 || (c >= 4348 && c <= 4680)))))
              : (c <= 4685 || (c < 4746
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c >= 4704 && c <= 4744)))
                : (c <= 4749 || (c < 4792
                  ? (c < 4786
                    ? (c >= 4752 && c <= 4784)
                    : c <= 4789)
                  : (c <= 4798 || c == 4800))))))
            : (c <= 4805 || (c < 5761
              ? (c < 4992
                ? (c < 4882
                  ? (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)
                  : (c <= 4885 || (c >= 4888 && c <= 4954)))
                : (c <= 5007 || (c < 5121
                  ? (c < 5112
                    ? (c >= 5024 && c <= 5109)
                    : c <= 5117)
                  : (c <= 5740 || (c >= 5743 && c <= 5759)))))
              : (c <= 5786 || (c < 5952
                ? (c < 5888
                  ? (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)
                  : (c <= 5905 || (c >= 5919 && c <= 5937)))
                : (c <= 5969 || (c < 6016
                  ? (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)
                  : (c <= 6067 || c == 6103))))))))
          : (c <= 6108 || (c < 7296
            ? (c < 6688
              ? (c < 6480
                ? (c < 6314
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6312)
                  : (c <= 6314 || (c < 6400
                    ? (c >= 6320 && c <= 6389)
                    : c <= 6430)))
                : (c <= 6509 || (c < 6576
                  ? (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)
                  : (c <= 6601 || (c >= 6656 && c <= 6678)))))
              : (c <= 6740 || (c < 7086
                ? (c < 6981
                  ? (c < 6917
                    ? c == 6823
                    : c <= 6963)
                  : (c <= 6988 || (c >= 7043 && c <= 7072)))
                : (c <= 7087 || (c < 7245
                  ? (c < 7168
                    ? (c >= 7098 && c <= 7141)
                    : c <= 7203)
                  : (c <= 7247 || (c >= 7258 && c <= 7293)))))))
            : (c <= 7304 || (c < 7968
              ? (c < 7413
                ? (c < 7401
                  ? (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)
                  : (c <= 7404 || (c >= 7406 && c <= 7411)))
                : (c <= 7414 || (c < 7680
                  ? (c < 7424
                    ? c == 7418
                    : c <= 7615)
                  : (c <= 7957 || (c >= 7960 && c <= 7965)))))
              : (c <= 8005 || (c < 8029
                ? (c < 8025
                  ? (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)
                  : (c <= 8025 || c == 8027))
                : (c <= 8029 || (c < 8118
                  ? (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)
                  : (c <= 8124 || c == 8126))))))))))
        : (c <= 8132 || (c < 12321
          ? (c < 8526
            ? (c < 8455
              ? (c < 8182
                ? (c < 8150
                  ? (c < 8144
                    ? (c >= 8134 && c <= 8140)
                    : c <= 8147)
                  : (c <= 8155 || (c < 8178
                    ? (c >= 8160 && c <= 8172)
                    : c <= 8180)))
                : (c <= 8188 || (c < 8336
                  ? (c < 8319
                    ? c == 8305
                    : c <= 8319)
                  : (c <= 8348 || c == 8450))))
              : (c <= 8455 || (c < 8486
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || c == 8484))
                : (c <= 8486 || (c < 8508
                  ? (c < 8490
                    ? c == 8488
                    : c <= 8505)
                  : (c <= 8511 || (c >= 8517 && c <= 8521)))))))
            : (c <= 8526 || (c < 11648
              ? (c < 11520
                ? (c < 11499
                  ? (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)
                  : (c <= 11502 || (c >= 11506 && c <= 11507)))
                : (c <= 11557 || (c < 11568
                  ? (c < 11565
                    ? c == 11559
                    : c <= 11565)
                  : (c <= 11623 || c == 11631))))
              : (c <= 11670 || (c < 11712
                ? (c < 11696
                  ? (c < 11688
                    ? (c >= 11680 && c <= 11686)
                    : c <= 11694)
                  : (c <= 11702 || (c >= 11704 && c <= 11710)))
                : (c <= 11718 || (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c >= 12293 && c <= 12295)))))))))
          : (c <= 12329 || (c < 42786
            ? (c < 13312
              ? (c < 12540
                ? (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12449
                    ? (c >= 12445 && c <= 12447)
                    : c <= 12538)))
                : (c <= 12543 || (c < 12704
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)
                  : (c <= 12735 || (c >= 12784 && c <= 12799)))))
              : (c <= 19903 || (c < 42538
                ? (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c >= 42512 && c <= 42527)))
                : (c <= 42539 || (c < 42656
                  ? (c < 42623
                    ? (c >= 42560 && c <= 42606)
                    : c <= 42653)
                  : (c <= 42735 || (c >= 42775 && c <= 42783)))))))
            : (c <= 42888 || (c < 43138
              ? (c < 42994
                ? (c < 42963
                  ? (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)
                  : (c <= 42963 || (c >= 42965 && c <= 42969)))
                : (c <= 43009 || (c < 43020
                  ? (c < 43015
                    ? (c >= 43011 && c <= 43013)
                    : c <= 43018)
                  : (c <= 43042 || (c >= 43072 && c <= 43123)))))
              : (c <= 43187 || (c < 43312
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43250 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43262 || (c >= 43274 && c <= 43301)))
                : (c <= 43334 || (c < 43471
                  ? (c < 43396
                    ? (c >= 43360 && c <= 43388)
                    : c <= 43442)
                  : (c <= 43471 || (c >= 43488 && c <= 43492)))))))))))))))
    : (c <= 43503 || (c < 70727
      ? (c < 66956
        ? (c < 64914
          ? (c < 43824
            ? (c < 43712
              ? (c < 43642
                ? (c < 43584
                  ? (c < 43520
                    ? (c >= 43514 && c <= 43518)
                    : c <= 43560)
                  : (c <= 43586 || (c < 43616
                    ? (c >= 43588 && c <= 43595)
                    : c <= 43638)))
                : (c <= 43642 || (c < 43701
                  ? (c < 43697
                    ? (c >= 43646 && c <= 43695)
                    : c <= 43697)
                  : (c <= 43702 || (c >= 43705 && c <= 43709)))))
              : (c <= 43712 || (c < 43777
                ? (c < 43744
                  ? (c < 43739
                    ? c == 43714
                    : c <= 43741)
                  : (c <= 43754 || (c >= 43762 && c <= 43764)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c >= 43816 && c <= 43822)))))))
            : (c <= 43866 || (c < 64287
              ? (c < 63744
                ? (c < 44032
                  ? (c < 43888
                    ? (c >= 43868 && c <= 43881)
                    : c <= 44002)
                  : (c <= 55203 || (c < 55243
                    ? (c >= 55216 && c <= 55238)
                    : c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || c == 64285))))
              : (c <= 64296 || (c < 64323
                ? (c < 64318
                  ? (c < 64312
                    ? (c >= 64298 && c <= 64310)
                    : c <= 64316)
                  : (c <= 64318 || (c >= 64320 && c <= 64321)))
                : (c <= 64324 || (c < 64612
                  ? (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)
                  : (c <= 64829 || (c >= 64848 && c <= 64911)))))))))
          : (c <= 64967 || (c < 65599
            ? (c < 65382
              ? (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65313
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65338 || (c >= 65345 && c <= 65370)))))
              : (c <= 65437 || (c < 65498
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65440 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c >= 65490 && c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c >= 65596 && c <= 65597)))))))
            : (c <= 65613 || (c < 66464
              ? (c < 66208
                ? (c < 65856
                  ? (c < 65664
                    ? (c >= 65616 && c <= 65629)
                    : c <= 65786)
                  : (c <= 65908 || (c >= 66176 && c <= 66204)))
                : (c <= 66256 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66421 || (c >= 66432 && c <= 66461)))))
              : (c <= 66499 || (c < 66776
                ? (c < 66560
                  ? (c < 66513
                    ? (c >= 66504 && c <= 66511)
                    : c <= 66517)
                  : (c <= 66717 || (c >= 66736 && c <= 66771)))
                : (c <= 66811 || (c < 66928
                  ? (c < 66864
                    ? (c >= 66816 && c <= 66855)
                    : c <= 66915)
                  : (c <= 66938 || (c >= 66940 && c <= 66954)))))))))))
        : (c <= 66962 || (c < 68864
          ? (c < 67828
            ? (c < 67506
              ? (c < 67072
                ? (c < 66979
                  ? (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)
                  : (c <= 66993 || (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)))
                : (c <= 67382 || (c < 67456
                  ? (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)
                  : (c <= 67461 || (c >= 67463 && c <= 67504)))))
              : (c <= 67514 || (c < 67644
                ? (c < 67594
                  ? (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)
                  : (c <= 67637 || (c >= 67639 && c <= 67640)))
                : (c <= 67644 || (c < 67712
                  ? (c < 67680
                    ? (c >= 67647 && c <= 67669)
                    : c <= 67702)
                  : (c <= 67742 || (c >= 67808 && c <= 67826)))))))
            : (c <= 67829 || (c < 68224
              ? (c < 68096
                ? (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c >= 68030 && c <= 68031)))
                : (c <= 68096 || (c < 68121
                  ? (c < 68117
                    ? (c >= 68112 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c >= 68192 && c <= 68220)))))
              : (c <= 68252 || (c < 68448
                ? (c < 68352
                  ? (c < 68297
                    ? (c >= 68288 && c <= 68295)
                    : c <= 68324)
                  : (c <= 68405 || (c >= 68416 && c <= 68437)))
                : (c <= 68466 || (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c >= 68800 && c <= 68850)))))))))
          : (c <= 68899 || (c < 70106
            ? (c < 69749
              ? (c < 69488
                ? (c < 69376
                  ? (c < 69296
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69297)
                  : (c <= 69404 || (c < 69424
                    ? c == 69415
                    : c <= 69445)))
                : (c <= 69505 || (c < 69635
                  ? (c < 69600
                    ? (c >= 69552 && c <= 69572)
                    : c <= 69622)
                  : (c <= 69687 || (c >= 69745 && c <= 69746)))))
              : (c <= 69749 || (c < 69959
                ? (c < 69891
                  ? (c < 69840
                    ? (c >= 69763 && c <= 69807)
                    : c <= 69864)
                  : (c <= 69926 || c == 69956))
                : (c <= 69959 || (c < 70019
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70002)
                    : c <= 70006)
                  : (c <= 70066 || (c >= 70081 && c <= 70084)))))))
            : (c <= 70106 || (c < 70405
              ? (c < 70280
                ? (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70187 || (c >= 70272 && c <= 70278)))
                : (c <= 70280 || (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c >= 70320 && c <= 70366)))))
              : (c <= 70412 || (c < 70453
                ? (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c >= 70450 && c <= 70451)))
                : (c <= 70457 || (c < 70493
                  ? (c < 70480
                    ? c == 70461
                    : c <= 70480)
                  : (c <= 70497 || (c >= 70656 && c <= 70708)))))))))))))
      : (c <= 70730 || (c < 119894
        ? (c < 73056
          ? (c < 72001
            ? (c < 71424
              ? (c < 71128
                ? (c < 70852
                  ? (c < 70784
                    ? (c >= 70751 && c <= 70753)
                    : c <= 70831)
                  : (c <= 70853 || (c < 71040
                    ? c == 70855
                    : c <= 71086)))
                : (c <= 71131 || (c < 71296
                  ? (c < 71236
                    ? (c >= 71168 && c <= 71215)
                    : c <= 71236)
                  : (c <= 71338 || c == 71352))))
              : (c <= 71450 || (c < 71945
                ? (c < 71840
                  ? (c < 71680
                    ? (c >= 71488 && c <= 71494)
                    : c <= 71723)
                  : (c <= 71903 || (c >= 71935 && c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71983 || c == 71999))))))
            : (c <= 72001 || (c < 72349
              ? (c < 72192
                ? (c < 72161
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72144)
                  : (c <= 72161 || c == 72163))
                : (c <= 72192 || (c < 72272
                  ? (c < 72250
                    ? (c >= 72203 && c <= 72242)
                    : c <= 72250)
                  : (c <= 72272 || (c >= 72284 && c <= 72329)))))
              : (c <= 72349 || (c < 72818
                ? (c < 72714
                  ? (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)
                  : (c <= 72750 || c == 72768))
                : (c <= 72847 || (c < 72971
                  ? (c < 72968
                    ? (c >= 72960 && c <= 72966)
                    : c <= 72969)
                  : (c <= 73008 || c == 73030))))))))
          : (c <= 73061 || (c < 93952
            ? (c < 82944
              ? (c < 73728
                ? (c < 73112
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73097)
                  : (c <= 73112 || (c < 73648
                    ? (c >= 73440 && c <= 73458)
                    : c <= 73648)))
                : (c <= 74649 || (c < 77712
                  ? (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)
                  : (c <= 77808 || (c >= 77824 && c <= 78894)))))
              : (c <= 83526 || (c < 92928
                ? (c < 92784
                  ? (c < 92736
                    ? (c >= 92160 && c <= 92728)
                    : c <= 92766)
                  : (c <= 92862 || (c >= 92880 && c <= 92909)))
                : (c <= 92975 || (c < 93053
                  ? (c < 93027
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93047)
                  : (c <= 93071 || (c >= 93760 && c <= 93823)))))))
            : (c <= 94026 || (c < 110589
              ? (c < 94208
                ? (c < 94176
                  ? (c < 94099
                    ? c == 94032
                    : c <= 94111)
                  : (c <= 94177 || c == 94179))
                : (c <= 100343 || (c < 110576
                  ? (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)
                  : (c <= 110579 || (c >= 110581 && c <= 110587)))))
              : (c <= 110590 || (c < 113664
                ? (c < 110948
                  ? (c < 110928
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110930)
                  : (c <= 110951 || (c >= 110960 && c <= 111355)))
                : (c <= 113770 || (c < 113808
                  ? (c < 113792
                    ? (c >= 113776 && c <= 113788)
                    : c <= 113800)
                  : (c <= 113817 || (c >= 119808 && c <= 119892)))))))))))
        : (c <= 119964 || (c < 125259
          ? (c < 120572
            ? (c < 120086
              ? (c < 119995
                ? (c < 119973
                  ? (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)
                  : (c <= 119974 || (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)))
                : (c <= 119995 || (c < 120071
                  ? (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)
                  : (c <= 120074 || (c >= 120077 && c <= 120084)))))
              : (c <= 120092 || (c < 120138
                ? (c < 120128
                  ? (c < 120123
                    ? (c >= 120094 && c <= 120121)
                    : c <= 120126)
                  : (c <= 120132 || c == 120134))
                : (c <= 120144 || (c < 120514
                  ? (c < 120488
                    ? (c >= 120146 && c <= 120485)
                    : c <= 120512)
                  : (c <= 120538 || (c >= 120540 && c <= 120570)))))))
            : (c <= 120596 || (c < 123191
              ? (c < 120714
                ? (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c >= 120688 && c <= 120712)))
                : (c <= 120744 || (c < 122624
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 122654 || (c >= 123136 && c <= 123180)))))
              : (c <= 123197 || (c < 124904
                ? (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123565)
                  : (c <= 123627 || (c >= 124896 && c <= 124902)))
                : (c <= 124907 || (c < 124928
                  ? (c < 124912
                    ? (c >= 124909 && c <= 124910)
                    : c <= 124926)
                  : (c <= 125124 || (c >= 125184 && c <= 125251)))))))))
          : (c <= 125259 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126497
                  ? (c < 126469
                    ? (c >= 126464 && c <= 126467)
                    : c <= 126495)
                  : (c <= 126498 || (c < 126503
                    ? c == 126500
                    : c <= 126503)))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_3(int32_t c) {
  return (c < 43616
    ? (c < 3782
      ? (c < 2741
        ? (c < 2042
          ? (c < 931
            ? (c < 248
              ? (c < 170
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'z')))
                : (c <= 170 || (c < 186
                  ? (c < 183
                    ? c == 181
                    : c <= 183)
                  : (c <= 186 || (c < 216
                    ? (c >= 192 && c <= 214)
                    : c <= 246)))))
              : (c <= 705 || (c < 886
                ? (c < 748
                  ? (c < 736
                    ? (c >= 710 && c <= 721)
                    : c <= 740)
                  : (c <= 748 || (c < 768
                    ? c == 750
                    : c <= 884)))
                : (c <= 887 || (c < 902
                  ? (c < 895
                    ? (c >= 891 && c <= 893)
                    : c <= 895)
                  : (c <= 906 || (c < 910
                    ? c == 908
                    : c <= 929)))))))
            : (c <= 1013 || (c < 1488
              ? (c < 1376
                ? (c < 1162
                  ? (c < 1155
                    ? (c >= 1015 && c <= 1153)
                    : c <= 1159)
                  : (c <= 1327 || (c < 1369
                    ? (c >= 1329 && c <= 1366)
                    : c <= 1369)))
                : (c <= 1416 || (c < 1473
                  ? (c < 1471
                    ? (c >= 1425 && c <= 1469)
                    : c <= 1471)
                  : (c <= 1474 || (c < 1479
                    ? (c >= 1476 && c <= 1477)
                    : c <= 1479)))))
              : (c <= 1514 || (c < 1759
                ? (c < 1568
                  ? (c < 1552
                    ? (c >= 1519 && c <= 1522)
                    : c <= 1562)
                  : (c <= 1641 || (c < 1749
                    ? (c >= 1646 && c <= 1747)
                    : c <= 1756)))
                : (c <= 1768 || (c < 1808
                  ? (c < 1791
                    ? (c >= 1770 && c <= 1788)
                    : c <= 1791)
                  : (c <= 1866 || (c < 1984
                    ? (c >= 1869 && c <= 1969)
                    : c <= 2037)))))))))
          : (c <= 2042 || (c < 2556
            ? (c < 2447
              ? (c < 2185
                ? (c < 2112
                  ? (c < 2048
                    ? c == 2045
                    : c <= 2093)
                  : (c <= 2139 || (c < 2160
                    ? (c >= 2144 && c <= 2154)
                    : c <= 2183)))
                : (c <= 2190 || (c < 2406
                  ? (c < 2275
                    ? (c >= 2200 && c <= 2273)
                    : c <= 2403)
                  : (c <= 2415 || (c < 2437
                    ? (c >= 2417 && c <= 2435)
                    : c <= 2444)))))
              : (c <= 2448 || (c < 2503
                ? (c < 2482
                  ? (c < 2474
                    ? (c >= 2451 && c <= 2472)
                    : c <= 2480)
                  : (c <= 2482 || (c < 2492
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2500)))
                : (c <= 2504 || (c < 2524
                  ? (c < 2519
                    ? (c >= 2507 && c <= 2510)
                    : c <= 2519)
                  : (c <= 2525 || (c < 2534
                    ? (c >= 2527 && c <= 2531)
                    : c <= 2545)))))))
            : (c <= 2556 || (c < 2631
              ? (c < 2602
                ? (c < 2565
                  ? (c < 2561
                    ? c == 2558
                    : c <= 2563)
                  : (c <= 2570 || (c < 2579
                    ? (c >= 2575 && c <= 2576)
                    : c <= 2600)))
                : (c <= 2608 || (c < 2616
                  ? (c < 2613
                    ? (c >= 2610 && c <= 2611)
                    : c <= 2614)
                  : (c <= 2617 || (c < 2622
                    ? c == 2620
                    : c <= 2626)))))
              : (c <= 2632 || (c < 2689
                ? (c < 2649
                  ? (c < 2641
                    ? (c >= 2635 && c <= 2637)
                    : c <= 2641)
                  : (c <= 2652 || (c < 2662
                    ? c == 2654
                    : c <= 2677)))
                : (c <= 2691 || (c < 2707
                  ? (c < 2703
                    ? (c >= 2693 && c <= 2701)
                    : c <= 2705)
                  : (c <= 2728 || (c < 2738
                    ? (c >= 2730 && c <= 2736)
                    : c <= 2739)))))))))))
        : (c <= 2745 || (c < 3165
          ? (c < 2949
            ? (c < 2858
              ? (c < 2790
                ? (c < 2763
                  ? (c < 2759
                    ? (c >= 2748 && c <= 2757)
                    : c <= 2761)
                  : (c <= 2765 || (c < 2784
                    ? c == 2768
                    : c <= 2787)))
                : (c <= 2799 || (c < 2821
                  ? (c < 2817
                    ? (c >= 2809 && c <= 2815)
                    : c <= 2819)
                  : (c <= 2828 || (c < 2835
                    ? (c >= 2831 && c <= 2832)
                    : c <= 2856)))))
              : (c <= 2864 || (c < 2901
                ? (c < 2876
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2884 || (c < 2891
                    ? (c >= 2887 && c <= 2888)
                    : c <= 2893)))
                : (c <= 2903 || (c < 2918
                  ? (c < 2911
                    ? (c >= 2908 && c <= 2909)
                    : c <= 2915)
                  : (c <= 2927 || (c < 2946
                    ? c == 2929
                    : c <= 2947)))))))
            : (c <= 2954 || (c < 3024
              ? (c < 2979
                ? (c < 2969
                  ? (c < 2962
                    ? (c >= 2958 && c <= 2960)
                    : c <= 2965)
                  : (c <= 2970 || (c < 2974
                    ? c == 2972
                    : c <= 2975)))
                : (c <= 2980 || (c < 3006
                  ? (c < 2990
                    ? (c >= 2984 && c <= 2986)
                    : c <= 3001)
                  : (c <= 3010 || (c < 3018
                    ? (c >= 3014 && c <= 3016)
                    : c <= 3021)))))
              : (c <= 3024 || (c < 3114
                ? (c < 3072
                  ? (c < 3046
                    ? c == 3031
                    : c <= 3055)
                  : (c <= 3084 || (c < 3090
                    ? (c >= 3086 && c <= 3088)
                    : c <= 3112)))
                : (c <= 3129 || (c < 3146
                  ? (c < 3142
                    ? (c >= 3132 && c <= 3140)
                    : c <= 3144)
                  : (c <= 3149 || (c < 3160
                    ? (c >= 3157 && c <= 3158)
                    : c <= 3162)))))))))
          : (c <= 3165 || (c < 3430
            ? (c < 3285
              ? (c < 3218
                ? (c < 3200
                  ? (c < 3174
                    ? (c >= 3168 && c <= 3171)
                    : c <= 3183)
                  : (c <= 3203 || (c < 3214
                    ? (c >= 3205 && c <= 3212)
                    : c <= 3216)))
                : (c <= 3240 || (c < 3260
                  ? (c < 3253
                    ? (c >= 3242 && c <= 3251)
                    : c <= 3257)
                  : (c <= 3268 || (c < 3274
                    ? (c >= 3270 && c <= 3272)
                    : c <= 3277)))))
              : (c <= 3286 || (c < 3342
                ? (c < 3302
                  ? (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3299)
                  : (c <= 3311 || (c < 3328
                    ? (c >= 3313 && c <= 3314)
                    : c <= 3340)))
                : (c <= 3344 || (c < 3402
                  ? (c < 3398
                    ? (c >= 3346 && c <= 3396)
                    : c <= 3400)
                  : (c <= 3406 || (c < 3423
                    ? (c >= 3412 && c <= 3415)
                    : c <= 3427)))))))
            : (c <= 3439 || (c < 3558
              ? (c < 3517
                ? (c < 3461
                  ? (c < 3457
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3459)
                  : (c <= 3478 || (c < 3507
                    ? (c >= 3482 && c <= 3505)
                    : c <= 3515)))
                : (c <= 3517 || (c < 3535
                  ? (c < 3530
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3530)
                  : (c <= 3540 || (c < 3544
                    ? c == 3542
                    : c <= 3551)))))
              : (c <= 3567 || (c < 3716
                ? (c < 3648
                  ? (c < 3585
                    ? (c >= 3570 && c <= 3571)
                    : c <= 3642)
                  : (c <= 3662 || (c < 3713
                    ? (c >= 3664 && c <= 3673)
                    : c <= 3714)))
                : (c <= 3716 || (c < 3749
                  ? (c < 3724
                    ? (c >= 3718 && c <= 3722)
                    : c <= 3747)
                  : (c <= 3749 || (c < 3776
                    ? (c >= 3751 && c <= 3773)
                    : c <= 3780)))))))))))))
      : (c <= 3782 || (c < 8025
        ? (c < 5888
          ? (c < 4688
            ? (c < 3953
              ? (c < 3872
                ? (c < 3804
                  ? (c < 3792
                    ? (c >= 3784 && c <= 3789)
                    : c <= 3801)
                  : (c <= 3807 || (c < 3864
                    ? c == 3840
                    : c <= 3865)))
                : (c <= 3881 || (c < 3897
                  ? (c < 3895
                    ? c == 3893
                    : c <= 3895)
                  : (c <= 3897 || (c < 3913
                    ? (c >= 3902 && c <= 3911)
                    : c <= 3948)))))
              : (c <= 3972 || (c < 4256
                ? (c < 4038
                  ? (c < 3993
                    ? (c >= 3974 && c <= 3991)
                    : c <= 4028)
                  : (c <= 4038 || (c < 4176
                    ? (c >= 4096 && c <= 4169)
                    : c <= 4253)))
                : (c <= 4293 || (c < 4304
                  ? (c < 4301
                    ? c == 4295
                    : c <= 4301)
                  : (c <= 4346 || (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)))))))
            : (c <= 4694 || (c < 4882
              ? (c < 4786
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c < 4752
                    ? (c >= 4746 && c <= 4749)
                    : c <= 4784)))
                : (c <= 4789 || (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)))))
              : (c <= 4885 || (c < 5112
                ? (c < 4969
                  ? (c < 4957
                    ? (c >= 4888 && c <= 4954)
                    : c <= 4959)
                  : (c <= 4977 || (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)))
                : (c <= 5117 || (c < 5761
                  ? (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)
                  : (c <= 5786 || (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)))))))))
          : (c <= 5909 || (c < 6688
            ? (c < 6176
              ? (c < 6016
                ? (c < 5984
                  ? (c < 5952
                    ? (c >= 5919 && c <= 5940)
                    : c <= 5971)
                  : (c <= 5996 || (c < 6002
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6003)))
                : (c <= 6099 || (c < 6112
                  ? (c < 6108
                    ? c == 6103
                    : c <= 6109)
                  : (c <= 6121 || (c < 6159
                    ? (c >= 6155 && c <= 6157)
                    : c <= 6169)))))
              : (c <= 6264 || (c < 6470
                ? (c < 6400
                  ? (c < 6320
                    ? (c >= 6272 && c <= 6314)
                    : c <= 6389)
                  : (c <= 6430 || (c < 6448
                    ? (c >= 6432 && c <= 6443)
                    : c <= 6459)))
                : (c <= 6509 || (c < 6576
                  ? (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)
                  : (c <= 6601 || (c < 6656
                    ? (c >= 6608 && c <= 6618)
                    : c <= 6683)))))))
            : (c <= 6750 || (c < 7232
              ? (c < 6847
                ? (c < 6800
                  ? (c < 6783
                    ? (c >= 6752 && c <= 6780)
                    : c <= 6793)
                  : (c <= 6809 || (c < 6832
                    ? c == 6823
                    : c <= 6845)))
                : (c <= 6862 || (c < 7019
                  ? (c < 6992
                    ? (c >= 6912 && c <= 6988)
                    : c <= 7001)
                  : (c <= 7027 || (c < 7168
                    ? (c >= 7040 && c <= 7155)
                    : c <= 7223)))))
              : (c <= 7241 || (c < 7380
                ? (c < 7312
                  ? (c < 7296
                    ? (c >= 7245 && c <= 7293)
                    : c <= 7304)
                  : (c <= 7354 || (c < 7376
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7378)))
                : (c <= 7418 || (c < 7968
                  ? (c < 7960
                    ? (c >= 7424 && c <= 7957)
                    : c <= 7965)
                  : (c <= 8005 || (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)))))))))))
        : (c <= 8025 || (c < 11720
          ? (c < 8458
            ? (c < 8178
              ? (c < 8126
                ? (c < 8031
                  ? (c < 8029
                    ? c == 8027
                    : c <= 8029)
                  : (c <= 8061 || (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)))
                : (c <= 8126 || (c < 8144
                  ? (c < 8134
                    ? (c >= 8130 && c <= 8132)
                    : c <= 8140)
                  : (c <= 8147 || (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)))))
              : (c <= 8180 || (c < 8336
                ? (c < 8276
                  ? (c < 8255
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8256)
                  : (c <= 8276 || (c < 8319
                    ? c == 8305
                    : c <= 8319)))
                : (c <= 8348 || (c < 8421
                  ? (c < 8417
                    ? (c >= 8400 && c <= 8412)
                    : c <= 8417)
                  : (c <= 8432 || (c < 8455
                    ? c == 8450
                    : c <= 8455)))))))
            : (c <= 8467 || (c < 11499
              ? (c < 8490
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || (c < 8488
                    ? c == 8486
                    : c <= 8488)))
                : (c <= 8505 || (c < 8526
                  ? (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)
                  : (c <= 8526 || (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)))))
              : (c <= 11507 || (c < 11647
                ? (c < 11565
                  ? (c < 11559
                    ? (c >= 11520 && c <= 11557)
                    : c <= 11559)
                  : (c <= 11565 || (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)))
                : (c <= 11670 || (c < 11696
                  ? (c < 11688
                    ? (c >= 11680 && c <= 11686)
                    : c <= 11694)
                  : (c <= 11702 || (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)))))))))
          : (c <= 11726 || (c < 42623
            ? (c < 12540
              ? (c < 12337
                ? (c < 11744
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 11775 || (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12335)))
                : (c <= 12341 || (c < 12441
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12442 || (c < 12449
                    ? (c >= 12445 && c <= 12447)
                    : c <= 12538)))))
              : (c <= 12543 || (c < 19968
                ? (c < 12704
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)
                  : (c <= 12735 || (c < 13312
                    ? (c >= 12784 && c <= 12799)
                    : c <= 19903)))
                : (c <= 42124 || (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42539 || (c < 42612
                    ? (c >= 42560 && c <= 42607)
                    : c <= 42621)))))))
            : (c <= 42737 || (c < 43232
              ? (c < 42965
                ? (c < 42891
                  ? (c < 42786
                    ? (c >= 42775 && c <= 42783)
                    : c <= 42888)
                  : (c <= 42954 || (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)))
                : (c <= 42969 || (c < 43072
                  ? (c < 43052
                    ? (c >= 42994 && c <= 43047)
                    : c <= 43052)
                  : (c <= 43123 || (c < 43216
                    ? (c >= 43136 && c <= 43205)
                    : c <= 43225)))))
              : (c <= 43255 || (c < 43471
                ? (c < 43312
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43309)
                  : (c <= 43347 || (c < 43392
                    ? (c >= 43360 && c <= 43388)
                    : c <= 43456)))
                : (c <= 43481 || (c < 43584
                  ? (c < 43520
                    ? (c >= 43488 && c <= 43518)
                    : c <= 43574)
                  : (c <= 43597 || (c >= 43600 && c <= 43609)))))))))))))))
    : (c <= 43638 || (c < 71453
      ? (c < 67639
        ? (c < 65345
          ? (c < 64312
            ? (c < 43888
              ? (c < 43785
                ? (c < 43744
                  ? (c < 43739
                    ? (c >= 43642 && c <= 43714)
                    : c <= 43741)
                  : (c <= 43759 || (c < 43777
                    ? (c >= 43762 && c <= 43766)
                    : c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c < 43868
                    ? (c >= 43824 && c <= 43866)
                    : c <= 43881)))))
              : (c <= 44010 || (c < 63744
                ? (c < 44032
                  ? (c < 44016
                    ? (c >= 44012 && c <= 44013)
                    : c <= 44025)
                  : (c <= 55203 || (c < 55243
                    ? (c >= 55216 && c <= 55238)
                    : c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || (c < 64298
                    ? (c >= 64285 && c <= 64296)
                    : c <= 64310)))))))
            : (c <= 64316 || (c < 65075
              ? (c < 64612
                ? (c < 64323
                  ? (c < 64320
                    ? c == 64318
                    : c <= 64321)
                  : (c <= 64324 || (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)))
                : (c <= 64829 || (c < 65008
                  ? (c < 64914
                    ? (c >= 64848 && c <= 64911)
                    : c <= 64967)
                  : (c <= 65017 || (c < 65056
                    ? (c >= 65024 && c <= 65039)
                    : c <= 65071)))))
              : (c <= 65076 || (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65101 && c <= 65103)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65296
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65305 || (c < 65343
                    ? (c >= 65313 && c <= 65338)
                    : c <= 65343)))))))))
          : (c <= 65370 || (c < 66513
            ? (c < 65664
              ? (c < 65536
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65382 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c < 65498
                    ? (c >= 65490 && c <= 65495)
                    : c <= 65500)))
                : (c <= 65547 || (c < 65596
                  ? (c < 65576
                    ? (c >= 65549 && c <= 65574)
                    : c <= 65594)
                  : (c <= 65597 || (c < 65616
                    ? (c >= 65599 && c <= 65613)
                    : c <= 65629)))))
              : (c <= 65786 || (c < 66304
                ? (c < 66176
                  ? (c < 66045
                    ? (c >= 65856 && c <= 65908)
                    : c <= 66045)
                  : (c <= 66204 || (c < 66272
                    ? (c >= 66208 && c <= 66256)
                    : c <= 66272)))
                : (c <= 66335 || (c < 66432
                  ? (c < 66384
                    ? (c >= 66349 && c <= 66378)
                    : c <= 66426)
                  : (c <= 66461 || (c < 66504
                    ? (c >= 66464 && c <= 66499)
                    : c <= 66511)))))))
            : (c <= 66517 || (c < 66979
              ? (c < 66864
                ? (c < 66736
                  ? (c < 66720
                    ? (c >= 66560 && c <= 66717)
                    : c <= 66729)
                  : (c <= 66771 || (c < 66816
                    ? (c >= 66776 && c <= 66811)
                    : c <= 66855)))
                : (c <= 66915 || (c < 66956
                  ? (c < 66940
                    ? (c >= 66928 && c <= 66938)
                    : c <= 66954)
                  : (c <= 66962 || (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)))))
              : (c <= 66993 || (c < 67456
                ? (c < 67072
                  ? (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)
                  : (c <= 67382 || (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)))
                : (c <= 67461 || (c < 67584
                  ? (c < 67506
                    ? (c >= 67463 && c <= 67504)
                    : c <= 67514)
                  : (c <= 67589 || (c < 67594
                    ? c == 67592
                    : c <= 67637)))))))))))
        : (c <= 67640 || (c < 69956
          ? (c < 68448
            ? (c < 68101
              ? (c < 67828
                ? (c < 67680
                  ? (c < 67647
                    ? c == 67644
                    : c <= 67669)
                  : (c <= 67702 || (c < 67808
                    ? (c >= 67712 && c <= 67742)
                    : c <= 67826)))
                : (c <= 67829 || (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c < 68096
                    ? (c >= 68030 && c <= 68031)
                    : c <= 68099)))))
              : (c <= 68102 || (c < 68192
                ? (c < 68121
                  ? (c < 68117
                    ? (c >= 68108 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c < 68159
                    ? (c >= 68152 && c <= 68154)
                    : c <= 68159)))
                : (c <= 68220 || (c < 68297
                  ? (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)
                  : (c <= 68326 || (c < 68416
                    ? (c >= 68352 && c <= 68405)
                    : c <= 68437)))))))
            : (c <= 68466 || (c < 69424
              ? (c < 68912
                ? (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c < 68864
                    ? (c >= 68800 && c <= 68850)
                    : c <= 68903)))
                : (c <= 68921 || (c < 69296
                  ? (c < 69291
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69292)
                  : (c <= 69297 || (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)))))
              : (c <= 69456 || (c < 69759
                ? (c < 69600
                  ? (c < 69552
                    ? (c >= 69488 && c <= 69509)
                    : c <= 69572)
                  : (c <= 69622 || (c < 69734
                    ? (c >= 69632 && c <= 69702)
                    : c <= 69749)))
                : (c <= 69818 || (c < 69872
                  ? (c < 69840
                    ? c == 69826
                    : c <= 69864)
                  : (c <= 69881 || (c < 69942
                    ? (c >= 69888 && c <= 69940)
                    : c <= 69951)))))))))
          : (c <= 69959 || (c < 70459
            ? (c < 70282
              ? (c < 70108
                ? (c < 70016
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70003)
                    : c <= 70006)
                  : (c <= 70084 || (c < 70094
                    ? (c >= 70089 && c <= 70092)
                    : c <= 70106)))
                : (c <= 70108 || (c < 70206
                  ? (c < 70163
                    ? (c >= 70144 && c <= 70161)
                    : c <= 70199)
                  : (c <= 70206 || (c < 70280
                    ? (c >= 70272 && c <= 70278)
                    : c <= 70280)))))
              : (c <= 70285 || (c < 70405
                ? (c < 70320
                  ? (c < 70303
                    ? (c >= 70287 && c <= 70301)
                    : c <= 70312)
                  : (c <= 70378 || (c < 70400
                    ? (c >= 70384 && c <= 70393)
                    : c <= 70403)))
                : (c <= 70412 || (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c < 70453
                    ? (c >= 70450 && c <= 70451)
                    : c <= 70457)))))))
            : (c <= 70468 || (c < 70855
              ? (c < 70502
                ? (c < 70480
                  ? (c < 70475
                    ? (c >= 70471 && c <= 70472)
                    : c <= 70477)
                  : (c <= 70480 || (c < 70493
                    ? c == 70487
                    : c <= 70499)))
                : (c <= 70508 || (c < 70736
                  ? (c < 70656
                    ? (c >= 70512 && c <= 70516)
                    : c <= 70730)
                  : (c <= 70745 || (c < 70784
                    ? (c >= 70750 && c <= 70753)
                    : c <= 70853)))))
              : (c <= 70855 || (c < 71236
                ? (c < 71096
                  ? (c < 71040
                    ? (c >= 70864 && c <= 70873)
                    : c <= 71093)
                  : (c <= 71104 || (c < 71168
                    ? (c >= 71128 && c <= 71133)
                    : c <= 71232)))
                : (c <= 71236 || (c < 71360
                  ? (c < 71296
                    ? (c >= 71248 && c <= 71257)
                    : c <= 71352)
                  : (c <= 71369 || (c >= 71424 && c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_4(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'a'
                ? (c < '9'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '7')
                  : (c <= '9' || (c < '_'
                    ? (c >= 'A' && c <= 'Z')
                    : c <= '_')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(145);
      if (lookahead == '!') ADVANCE(228);
      if (lookahead == '"') ADVANCE(327);
      if (lookahead == '#') ADVANCE(92);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(351);
      if (lookahead == '%') ADVANCE(245);
      if (lookahead == '&') ADVANCE(254);
      if (lookahead == '\'') ADVANCE(318);
      if (lookahead == '(') ADVANCE(149);
      if (lookahead == ')') ADVANCE(152);
      if (lookahead == '*') ADVANCE(241);
      if (lookahead == '+') ADVANCE(236);
      if (lookahead == ',') ADVANCE(151);
      if (lookahead == '-') ADVANCE(231);
      if (lookahead == '.') ADVANCE(294);
      if (lookahead == '/') ADVANCE(243);
      if (lookahead == '0') ADVANCE(300);
      if (lookahead == ':') ADVANCE(278);
      if (lookahead == ';') ADVANCE(267);
      if (lookahead == '<') ADVANCE(261);
      if (lookahead == '=') ADVANCE(277);
      if (lookahead == '>') ADVANCE(257);
      if (lookahead == '?') ADVANCE(279);
      if (lookahead == 'L') ADVANCE(339);
      if (lookahead == 'U') ADVANCE(341);
      if (lookahead == '[') ADVANCE(274);
      if (lookahead == '\\') ADVANCE(2);
      if (lookahead == ']') ADVANCE(275);
      if (lookahead == '^') ADVANCE(251);
      if (lookahead == 'u') ADVANCE(343);
      if (lookahead == '{') ADVANCE(271);
      if (lookahead == '|') ADVANCE(248);
      if (lookahead == '}') ADVANCE(272);
      if (lookahead == '~') ADVANCE(229);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(143)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(302);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(54)
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(54)
      if (lookahead == '\r') SKIP(1)
      if (lookahead == 'U') ADVANCE(138);
      if (lookahead == 'u') ADVANCE(130);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(58)
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(58)
      if (lookahead == '\r') SKIP(3)
      if (lookahead == 'U') ADVANCE(138);
      if (lookahead == 'u') ADVANCE(130);
      END_STATE();
    case 5:
      if (lookahead == '\n') SKIP(57)
      END_STATE();
    case 6:
      if (lookahead == '\n') SKIP(57)
      if (lookahead == '\r') SKIP(5)
      if (lookahead == 'U') ADVANCE(138);
      if (lookahead == 'u') ADVANCE(130);
      END_STATE();
    case 7:
      if (lookahead == '\n') SKIP(61)
      END_STATE();
    case 8:
      if (lookahead == '\n') SKIP(61)
      if (lookahead == '\r') SKIP(7)
      if (lookahead == 'U') ADVANCE(138);
      if (lookahead == 'u') ADVANCE(130);
      END_STATE();
    case 9:
      if (lookahead == '\n') SKIP(67)
      END_STATE();
    case 10:
      if (lookahead == '\n') SKIP(67)
      if (lookahead == '\r') SKIP(9)
      if (lookahead == 'U') ADVANCE(138);
      if (lookahead == 'u') ADVANCE(130);
      END_STATE();
    case 11:
      if (lookahead == '\n') SKIP(68)
      END_STATE();
    case 12:
      if (lookahead == '\n') SKIP(68)
      if (lookahead == '\r') SKIP(11)
      if (lookahead == 'U') ADVANCE(138);
      if (lookahead == 'u') ADVANCE(130);
      END_STATE();
    case 13:
      if (lookahead == '\n') SKIP(73)
      END_STATE();
    case 14:
      if (lookahead == '\n') SKIP(73)
      if (lookahead == '\r') SKIP(13)
      if (lookahead == 'U') ADVANCE(138);
      if (lookahead == 'u') ADVANCE(130);
      END_STATE();
    case 15:
      if (lookahead == '\n') SKIP(74)
      END_STATE();
    case 16:
      if (lookahead == '\n') SKIP(74)
      if (lookahead == '\r') SKIP(15)
      if (lookahead == 'U') ADVANCE(138);
      if (lookahead == 'u') ADVANCE(130);
      END_STATE();
    case 17:
      if (lookahead == '\n') SKIP(56)
      END_STATE();
    case 18:
      if (lookahead == '\n') SKIP(56)
      if (lookahead == '\r') SKIP(17)
      if (lookahead == 'U') ADVANCE(138);
      if (lookahead == 'u') ADVANCE(130);
      END_STATE();
    case 19:
      if (lookahead == '\n') SKIP(63)
      END_STATE();
    case 20:
      if (lookahead == '\n') SKIP(63)
      if (lookahead == '\r') SKIP(19)
      if (lookahead == 'U') ADVANCE(138);
      if (lookahead == 'u') ADVANCE(130);
      END_STATE();
    case 21:
      if (lookahead == '\n') SKIP(66)
      END_STATE();
    case 22:
      if (lookahead == '\n') SKIP(66)
      if (lookahead == '\r') SKIP(21)
      if (lookahead == 'U') ADVANCE(138);
      if (lookahead == 'u') ADVANCE(130);
      END_STATE();
    case 23:
      if (lookahead == '\n') SKIP(64)
      END_STATE();
    case 24:
      if (lookahead == '\n') SKIP(64)
      if (lookahead == '\r') SKIP(23)
      if (lookahead == 'U') ADVANCE(138);
      if (lookahead == 'u') ADVANCE(130);
      END_STATE();
    case 25:
      if (lookahead == '\n') SKIP(69)
      END_STATE();
    case 26:
      if (lookahead == '\n') SKIP(69)
      if (lookahead == '\r') SKIP(25)
      if (lookahead == 'U') ADVANCE(138);
      if (lookahead == 'u') ADVANCE(130);
      END_STATE();
    case 27:
      if (lookahead == '\n') SKIP(62)
      END_STATE();
    case 28:
      if (lookahead == '\n') SKIP(62)
      if (lookahead == '\r') SKIP(27)
      if (lookahead == 'U') ADVANCE(138);
      if (lookahead == 'u') ADVANCE(130);
      END_STATE();
    case 29:
      if (lookahead == '\n') SKIP(31)
      END_STATE();
    case 30:
      if (lookahead == '\n') SKIP(31)
      if (lookahead == '\r') SKIP(29)
      END_STATE();
    case 31:
      if (lookahead == '\n') ADVANCE(154);
      if (lookahead == '!') ADVANCE(85);
      if (lookahead == '%') ADVANCE(244);
      if (lookahead == '&') ADVANCE(253);
      if (lookahead == '(') ADVANCE(226);
      if (lookahead == '*') ADVANCE(240);
      if (lookahead == '+') ADVANCE(235);
      if (lookahead == '-') ADVANCE(230);
      if (lookahead == '/') ADVANCE(242);
      if (lookahead == '<') ADVANCE(262);
      if (lookahead == '=') ADVANCE(86);
      if (lookahead == '>') ADVANCE(258);
      if (lookahead == '\\') SKIP(30)
      if (lookahead == '^') ADVANCE(250);
      if (lookahead == '|') ADVANCE(249);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(31)
      END_STATE();
    case 32:
      if (lookahead == '\n') SKIP(72)
      END_STATE();
    case 33:
      if (lookahead == '\n') SKIP(72)
      if (lookahead == '\r') SKIP(32)
      if (lookahead == 'U') ADVANCE(138);
      if (lookahead == 'u') ADVANCE(130);
      END_STATE();
    case 34:
      if (lookahead == '\n') SKIP(71)
      END_STATE();
    case 35:
      if (lookahead == '\n') SKIP(71)
      if (lookahead == '\r') SKIP(34)
      if (lookahead == 'U') ADVANCE(138);
      if (lookahead == 'u') ADVANCE(130);
      END_STATE();
    case 36:
      if (lookahead == '\n') ADVANCE(147);
      if (lookahead == '\r') ADVANCE(41);
      if (lookahead == '(') ADVANCE(149);
      if (lookahead == '/') ADVANCE(176);
      if (lookahead == '\\') ADVANCE(172);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(83)
      if (lookahead != 0) ADVANCE(185);
      END_STATE();
    case 37:
      if (lookahead == '\n') ADVANCE(147);
      if (lookahead == '\r') ADVANCE(41);
      if (lookahead == '/') ADVANCE(176);
      if (lookahead == '\\') ADVANCE(172);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(83)
      if (lookahead != 0) ADVANCE(185);
      END_STATE();
    case 38:
      if (lookahead == '\n') ADVANCE(147);
      if (lookahead == '\r') ADVANCE(40);
      if (lookahead == '(') ADVANCE(226);
      if (lookahead == '/') ADVANCE(77);
      if (lookahead == '\\') SKIP(47)
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(76)
      END_STATE();
    case 39:
      if (lookahead == '\n') ADVANCE(147);
      if (lookahead == '\r') ADVANCE(42);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(352);
      if (lookahead == '/') ADVANCE(176);
      if (lookahead == '\\') ADVANCE(174);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(140)
      if (lookahead != 0) ADVANCE(185);
      END_STATE();
    case 40:
      if (lookahead == '\n') ADVANCE(147);
      if (lookahead == '(') ADVANCE(226);
      if (lookahead == '/') ADVANCE(77);
      if (lookahead == '\\') SKIP(47)
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(76)
      END_STATE();
    case 41:
      if (lookahead == '\n') ADVANCE(147);
      if (lookahead == '/') ADVANCE(176);
      if (lookahead == '\\') ADVANCE(172);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(83)
      if (lookahead != 0) ADVANCE(185);
      END_STATE();
    case 42:
      if (lookahead == '\n') ADVANCE(147);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(352);
      if (lookahead == '/') ADVANCE(176);
      if (lookahead == '\\') ADVANCE(174);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(140)
      if (lookahead != 0) ADVANCE(185);
      END_STATE();
    case 43:
      if (lookahead == '\n') SKIP(70)
      if (lookahead == '"') ADVANCE(327);
      if (lookahead == '/') ADVANCE(328);
      if (lookahead == '\\') ADVANCE(44);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(331);
      if (lookahead != 0) ADVANCE(332);
      END_STATE();
    case 44:
      if (lookahead == '\n') ADVANCE(334);
      if (lookahead == '\r') ADVANCE(333);
      if (lookahead == 'U') ADVANCE(139);
      if (lookahead == 'u') ADVANCE(131);
      if (lookahead == 'x') ADVANCE(127);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(336);
      if (lookahead != 0) ADVANCE(333);
      END_STATE();
    case 45:
      if (lookahead == '\n') SKIP(75)
      if (lookahead == '\'') ADVANCE(318);
      if (lookahead == '/') ADVANCE(321);
      if (lookahead == '\\') ADVANCE(320);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(322);
      if (lookahead != 0) ADVANCE(319);
      END_STATE();
    case 46:
      if (lookahead == '\n') SKIP(76)
      END_STATE();
    case 47:
      if (lookahead == '\n') SKIP(76)
      if (lookahead == '\r') SKIP(46)
      END_STATE();
    case 48:
      if (lookahead == '\n') SKIP(55)
      END_STATE();
    case 49:
      if (lookahead == '\n') SKIP(55)
      if (lookahead == '\r') SKIP(48)
      if (lookahead == 'U') ADVANCE(138);
      if (lookahead == 'u') ADVANCE(130);
      END_STATE();
    case 50:
      if (lookahead == '\n') SKIP(59)
      END_STATE();
    case 51:
      if (lookahead == '\n') SKIP(59)
      if (lookahead == '\r') SKIP(50)
      if (lookahead == 'U') ADVANCE(138);
      if (lookahead == 'u') ADVANCE(130);
      END_STATE();
    case 52:
      if (lookahead == '\n') SKIP(65)
      END_STATE();
    case 53:
      if (lookahead == '\n') SKIP(65)
      if (lookahead == '\r') SKIP(52)
      if (lookahead == 'U') ADVANCE(138);
      if (lookahead == 'u') ADVANCE(130);
      END_STATE();
    case 54:
      if (lookahead == '!') ADVANCE(228);
      if (lookahead == '"') ADVANCE(327);
      if (lookahead == '#') ADVANCE(92);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(351);
      if (lookahead == '%') ADVANCE(245);
      if (lookahead == '&') ADVANCE(254);
      if (lookahead == '\'') ADVANCE(318);
      if (lookahead == '(') ADVANCE(226);
      if (lookahead == ')') ADVANCE(152);
      if (lookahead == '*') ADVANCE(241);
      if (lookahead == '+') ADVANCE(236);
      if (lookahead == ',') ADVANCE(151);
      if (lookahead == '-') ADVANCE(231);
      if (lookahead == '.') ADVANCE(294);
      if (lookahead == '/') ADVANCE(243);
      if (lookahead == '0') ADVANCE(300);
      if (lookahead == ':') ADVANCE(278);
      if (lookahead == ';') ADVANCE(267);
      if (lookahead == '<') ADVANCE(261);
      if (lookahead == '=') ADVANCE(277);
      if (lookahead == '>') ADVANCE(257);
      if (lookahead == '?') ADVANCE(279);
      if (lookahead == 'L') ADVANCE(339);
      if (lookahead == 'U') ADVANCE(341);
      if (lookahead == '[') ADVANCE(274);
      if (lookahead == '\\') ADVANCE(2);
      if (lookahead == ']') ADVANCE(275);
      if (lookahead == '^') ADVANCE(251);
      if (lookahead == 'u') ADVANCE(343);
      if (lookahead == '{') ADVANCE(271);
      if (lookahead == '|') ADVANCE(248);
      if (lookahead == '}') ADVANCE(272);
      if (lookahead == '~') ADVANCE(229);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(54)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(302);
      END_STATE();
    case 55:
      if (lookahead == '!') ADVANCE(228);
      if (lookahead == '"') ADVANCE(327);
      if (lookahead == '#') ADVANCE(102);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(351);
      if (lookahead == '%') ADVANCE(245);
      if (lookahead == '&') ADVANCE(254);
      if (lookahead == '\'') ADVANCE(318);
      if (lookahead == '(') ADVANCE(226);
      if (lookahead == ')') ADVANCE(152);
      if (lookahead == '*') ADVANCE(241);
      if (lookahead == '+') ADVANCE(236);
      if (lookahead == ',') ADVANCE(151);
      if (lookahead == '-') ADVANCE(231);
      if (lookahead == '.') ADVANCE(294);
      if (lookahead == '/') ADVANCE(243);
      if (lookahead == '0') ADVANCE(300);
      if (lookahead == ':') ADVANCE(278);
      if (lookahead == ';') ADVANCE(267);
      if (lookahead == '<') ADVANCE(261);
      if (lookahead == '=') ADVANCE(277);
      if (lookahead == '>') ADVANCE(257);
      if (lookahead == '?') ADVANCE(279);
      if (lookahead == 'L') ADVANCE(339);
      if (lookahead == 'U') ADVANCE(341);
      if (lookahead == '[') ADVANCE(273);
      if (lookahead == '\\') ADVANCE(49);
      if (lookahead == ']') ADVANCE(275);
      if (lookahead == '^') ADVANCE(251);
      if (lookahead == 'u') ADVANCE(343);
      if (lookahead == '{') ADVANCE(271);
      if (lookahead == '|') ADVANCE(248);
      if (lookahead == '}') ADVANCE(272);
      if (lookahead == '~') ADVANCE(229);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(55)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(302);
      END_STATE();
    case 56:
      if (lookahead == '!') ADVANCE(228);
      if (lookahead == '"') ADVANCE(327);
      if (lookahead == '#') ADVANCE(106);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(351);
      if (lookahead == '%') ADVANCE(245);
      if (lookahead == '&') ADVANCE(254);
      if (lookahead == '\'') ADVANCE(318);
      if (lookahead == '(') ADVANCE(226);
      if (lookahead == '*') ADVANCE(241);
      if (lookahead == '+') ADVANCE(236);
      if (lookahead == ',') ADVANCE(151);
      if (lookahead == '-') ADVANCE(231);
      if (lookahead == '.') ADVANCE(295);
      if (lookahead == '/') ADVANCE(243);
      if (lookahead == '0') ADVANCE(300);
      if (lookahead == '<') ADVANCE(261);
      if (lookahead == '=') ADVANCE(277);
      if (lookahead == '>') ADVANCE(257);
      if (lookahead == '?') ADVANCE(279);
      if (lookahead == 'L') ADVANCE(339);
      if (lookahead == 'U') ADVANCE(341);
      if (lookahead == '[') ADVANCE(273);
      if (lookahead == '\\') ADVANCE(18);
      if (lookahead == '^') ADVANCE(251);
      if (lookahead == 'u') ADVANCE(343);
      if (lookahead == '{') ADVANCE(271);
      if (lookahead == '|') ADVANCE(248);
      if (lookahead == '~') ADVANCE(229);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(56)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(302);
      END_STATE();
    case 57:
      if (lookahead == '!') ADVANCE(227);
      if (lookahead == '"') ADVANCE(327);
      if (lookahead == '#') ADVANCE(92);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(351);
      if (lookahead == '&') ADVANCE(252);
      if (lookahead == '\'') ADVANCE(318);
      if (lookahead == '(') ADVANCE(226);
      if (lookahead == '*') ADVANCE(240);
      if (lookahead == '+') ADVANCE(237);
      if (lookahead == ',') ADVANCE(151);
      if (lookahead == '-') ADVANCE(232);
      if (lookahead == '.') ADVANCE(119);
      if (lookahead == '/') ADVANCE(77);
      if (lookahead == '0') ADVANCE(300);
      if (lookahead == ':') ADVANCE(84);
      if (lookahead == ';') ADVANCE(267);
      if (lookahead == 'L') ADVANCE(339);
      if (lookahead == 'U') ADVANCE(341);
      if (lookahead == '[') ADVANCE(90);
      if (lookahead == '\\') ADVANCE(6);
      if (lookahead == ']') ADVANCE(91);
      if (lookahead == 'u') ADVANCE(343);
      if (lookahead == '{') ADVANCE(271);
      if (lookahead == '~') ADVANCE(229);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(57)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(302);
      END_STATE();
    case 58:
      if (lookahead == '!') ADVANCE(227);
      if (lookahead == '"') ADVANCE(327);
      if (lookahead == '#') ADVANCE(98);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(351);
      if (lookahead == '&') ADVANCE(252);
      if (lookahead == '\'') ADVANCE(318);
      if (lookahead == '(') ADVANCE(226);
      if (lookahead == ')') ADVANCE(152);
      if (lookahead == '*') ADVANCE(240);
      if (lookahead == '+') ADVANCE(237);
      if (lookahead == ',') ADVANCE(151);
      if (lookahead == '-') ADVANCE(232);
      if (lookahead == '.') ADVANCE(295);
      if (lookahead == '/') ADVANCE(77);
      if (lookahead == '0') ADVANCE(300);
      if (lookahead == ':') ADVANCE(278);
      if (lookahead == ';') ADVANCE(267);
      if (lookahead == '=') ADVANCE(276);
      if (lookahead == 'L') ADVANCE(339);
      if (lookahead == 'U') ADVANCE(341);
      if (lookahead == '[') ADVANCE(274);
      if (lookahead == '\\') ADVANCE(4);
      if (lookahead == ']') ADVANCE(275);
      if (lookahead == 'u') ADVANCE(343);
      if (lookahead == '{') ADVANCE(271);
      if (lookahead == '}') ADVANCE(272);
      if (lookahead == '~') ADVANCE(229);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(58)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(302);
      END_STATE();
    case 59:
      if (lookahead == '!') ADVANCE(227);
      if (lookahead == '"') ADVANCE(327);
      if (lookahead == '#') ADVANCE(94);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(351);
      if (lookahead == '&') ADVANCE(252);
      if (lookahead == '\'') ADVANCE(318);
      if (lookahead == '(') ADVANCE(226);
      if (lookahead == '*') ADVANCE(240);
      if (lookahead == '+') ADVANCE(237);
      if (lookahead == '-') ADVANCE(232);
      if (lookahead == '.') ADVANCE(119);
      if (lookahead == '/') ADVANCE(77);
      if (lookahead == '0') ADVANCE(300);
      if (lookahead == ';') ADVANCE(267);
      if (lookahead == 'L') ADVANCE(339);
      if (lookahead == 'U') ADVANCE(341);
      if (lookahead == '[') ADVANCE(90);
      if (lookahead == '\\') ADVANCE(51);
      if (lookahead == 'u') ADVANCE(343);
      if (lookahead == '{') ADVANCE(271);
      if (lookahead == '~') ADVANCE(229);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(59)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(302);
      END_STATE();
    case 60:
      if (lookahead == '!') ADVANCE(227);
      if (lookahead == '"') ADVANCE(327);
      if (lookahead == '#') ADVANCE(96);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(351);
      if (lookahead == '&') ADVANCE(252);
      if (lookahead == '\'') ADVANCE(318);
      if (lookahead == '(') ADVANCE(226);
      if (lookahead == '*') ADVANCE(240);
      if (lookahead == '+') ADVANCE(237);
      if (lookahead == '-') ADVANCE(232);
      if (lookahead == '.') ADVANCE(119);
      if (lookahead == '/') ADVANCE(77);
      if (lookahead == '0') ADVANCE(300);
      if (lookahead == ':') ADVANCE(362);
      if (lookahead == ';') ADVANCE(267);
      if (lookahead == 'L') ADVANCE(339);
      if (lookahead == 'U') ADVANCE(341);
      if (lookahead == '[') ADVANCE(90);
      if (lookahead == '\\') ADVANCE(8);
      if (lookahead == 'u') ADVANCE(343);
      if (lookahead == '{') ADVANCE(271);
      if (lookahead == '~') ADVANCE(229);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(60);
      if (('\n' <= lookahead && lookahead <= '\r')) SKIP(61)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(302);
      END_STATE();
    case 61:
      if (lookahead == '!') ADVANCE(227);
      if (lookahead == '"') ADVANCE(327);
      if (lookahead == '#') ADVANCE(96);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(351);
      if (lookahead == '&') ADVANCE(252);
      if (lookahead == '\'') ADVANCE(318);
      if (lookahead == '(') ADVANCE(226);
      if (lookahead == '*') ADVANCE(240);
      if (lookahead == '+') ADVANCE(237);
      if (lookahead == '-') ADVANCE(232);
      if (lookahead == '.') ADVANCE(119);
      if (lookahead == '/') ADVANCE(77);
      if (lookahead == '0') ADVANCE(300);
      if (lookahead == ';') ADVANCE(267);
      if (lookahead == 'L') ADVANCE(339);
      if (lookahead == 'U') ADVANCE(341);
      if (lookahead == '[') ADVANCE(90);
      if (lookahead == '\\') ADVANCE(8);
      if (lookahead == 'u') ADVANCE(343);
      if (lookahead == '{') ADVANCE(271);
      if (lookahead == '~') ADVANCE(229);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(61)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(302);
      END_STATE();
    case 62:
      if (lookahead == '!') ADVANCE(227);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(351);
      if (lookahead == '\'') ADVANCE(318);
      if (lookahead == '(') ADVANCE(226);
      if (lookahead == ')') ADVANCE(152);
      if (lookahead == '+') ADVANCE(239);
      if (lookahead == '-') ADVANCE(234);
      if (lookahead == '.') ADVANCE(119);
      if (lookahead == '/') ADVANCE(77);
      if (lookahead == '0') ADVANCE(300);
      if (lookahead == 'L') ADVANCE(348);
      if (lookahead == 'U') ADVANCE(349);
      if (lookahead == '\\') ADVANCE(28);
      if (lookahead == 'u') ADVANCE(347);
      if (lookahead == '~') ADVANCE(229);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(62)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(302);
      END_STATE();
    case 63:
      if (lookahead == '!') ADVANCE(85);
      if (lookahead == '"') ADVANCE(327);
      if (lookahead == '#') ADVANCE(102);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(351);
      if (lookahead == '%') ADVANCE(245);
      if (lookahead == '&') ADVANCE(254);
      if (lookahead == '(') ADVANCE(226);
      if (lookahead == ')') ADVANCE(152);
      if (lookahead == '*') ADVANCE(241);
      if (lookahead == '+') ADVANCE(238);
      if (lookahead == ',') ADVANCE(151);
      if (lookahead == '-') ADVANCE(233);
      if (lookahead == '.') ADVANCE(293);
      if (lookahead == '/') ADVANCE(243);
      if (lookahead == ':') ADVANCE(278);
      if (lookahead == ';') ADVANCE(267);
      if (lookahead == '<') ADVANCE(261);
      if (lookahead == '=') ADVANCE(277);
      if (lookahead == '>') ADVANCE(257);
      if (lookahead == '?') ADVANCE(279);
      if (lookahead == 'L') ADVANCE(340);
      if (lookahead == 'U') ADVANCE(342);
      if (lookahead == '[') ADVANCE(274);
      if (lookahead == '\\') ADVANCE(20);
      if (lookahead == ']') ADVANCE(275);
      if (lookahead == '^') ADVANCE(251);
      if (lookahead == 'u') ADVANCE(344);
      if (lookahead == '{') ADVANCE(271);
      if (lookahead == '|') ADVANCE(248);
      if (lookahead == '}') ADVANCE(272);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(63)
      END_STATE();
    case 64:
      if (lookahead == '!') ADVANCE(85);
      if (lookahead == '"') ADVANCE(327);
      if (lookahead == '#') ADVANCE(106);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(351);
      if (lookahead == '%') ADVANCE(245);
      if (lookahead == '&') ADVANCE(254);
      if (lookahead == '(') ADVANCE(226);
      if (lookahead == '*') ADVANCE(241);
      if (lookahead == '+') ADVANCE(238);
      if (lookahead == ',') ADVANCE(151);
      if (lookahead == '-') ADVANCE(233);
      if (lookahead == '.') ADVANCE(292);
      if (lookahead == '/') ADVANCE(243);
      if (lookahead == '<') ADVANCE(261);
      if (lookahead == '=') ADVANCE(277);
      if (lookahead == '>') ADVANCE(257);
      if (lookahead == '?') ADVANCE(279);
      if (lookahead == 'L') ADVANCE(340);
      if (lookahead == 'U') ADVANCE(342);
      if (lookahead == '[') ADVANCE(273);
      if (lookahead == '\\') ADVANCE(24);
      if (lookahead == '^') ADVANCE(251);
      if (lookahead == 'u') ADVANCE(344);
      if (lookahead == '|') ADVANCE(248);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(64)
      END_STATE();
    case 65:
      if (lookahead == '!') ADVANCE(85);
      if (lookahead == '#') ADVANCE(102);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(351);
      if (lookahead == '%') ADVANCE(245);
      if (lookahead == '&') ADVANCE(254);
      if (lookahead == '(') ADVANCE(226);
      if (lookahead == ')') ADVANCE(152);
      if (lookahead == '*') ADVANCE(241);
      if (lookahead == '+') ADVANCE(238);
      if (lookahead == ',') ADVANCE(151);
      if (lookahead == '-') ADVANCE(233);
      if (lookahead == '.') ADVANCE(293);
      if (lookahead == '/') ADVANCE(243);
      if (lookahead == ':') ADVANCE(278);
      if (lookahead == ';') ADVANCE(267);
      if (lookahead == '<') ADVANCE(261);
      if (lookahead == '=') ADVANCE(277);
      if (lookahead == '>') ADVANCE(257);
      if (lookahead == '?') ADVANCE(279);
      if (lookahead == '[') ADVANCE(274);
      if (lookahead == '\\') ADVANCE(53);
      if (lookahead == ']') ADVANCE(275);
      if (lookahead == '^') ADVANCE(251);
      if (lookahead == '{') ADVANCE(271);
      if (lookahead == '|') ADVANCE(248);
      if (lookahead == '}') ADVANCE(272);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(65)
      END_STATE();
    case 66:
      if (lookahead == '!') ADVANCE(85);
      if (lookahead == '#') ADVANCE(102);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(351);
      if (lookahead == '%') ADVANCE(245);
      if (lookahead == '&') ADVANCE(254);
      if (lookahead == '(') ADVANCE(226);
      if (lookahead == ')') ADVANCE(152);
      if (lookahead == '*') ADVANCE(241);
      if (lookahead == '+') ADVANCE(238);
      if (lookahead == ',') ADVANCE(151);
      if (lookahead == '-') ADVANCE(233);
      if (lookahead == '.') ADVANCE(292);
      if (lookahead == '/') ADVANCE(243);
      if (lookahead == ':') ADVANCE(278);
      if (lookahead == ';') ADVANCE(267);
      if (lookahead == '<') ADVANCE(261);
      if (lookahead == '=') ADVANCE(277);
      if (lookahead == '>') ADVANCE(257);
      if (lookahead == '?') ADVANCE(279);
      if (lookahead == '[') ADVANCE(273);
      if (lookahead == '\\') ADVANCE(22);
      if (lookahead == ']') ADVANCE(91);
      if (lookahead == '^') ADVANCE(251);
      if (lookahead == '|') ADVANCE(248);
      if (lookahead == '}') ADVANCE(272);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(66)
      END_STATE();
    case 67:
      if (lookahead == '!') ADVANCE(85);
      if (lookahead == '#') ADVANCE(93);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(351);
      if (lookahead == '%') ADVANCE(245);
      if (lookahead == '&') ADVANCE(254);
      if (lookahead == '(') ADVANCE(226);
      if (lookahead == ')') ADVANCE(152);
      if (lookahead == '*') ADVANCE(241);
      if (lookahead == '+') ADVANCE(238);
      if (lookahead == ',') ADVANCE(151);
      if (lookahead == '-') ADVANCE(233);
      if (lookahead == '.') ADVANCE(293);
      if (lookahead == '/') ADVANCE(243);
      if (lookahead == ':') ADVANCE(278);
      if (lookahead == ';') ADVANCE(267);
      if (lookahead == '<') ADVANCE(261);
      if (lookahead == '=') ADVANCE(277);
      if (lookahead == '>') ADVANCE(257);
      if (lookahead == '?') ADVANCE(279);
      if (lookahead == '[') ADVANCE(274);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == ']') ADVANCE(275);
      if (lookahead == '^') ADVANCE(251);
      if (lookahead == '{') ADVANCE(271);
      if (lookahead == '|') ADVANCE(248);
      if (lookahead == '}') ADVANCE(272);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(67)
      END_STATE();
    case 68:
      if (lookahead == '!') ADVANCE(85);
      if (lookahead == '#') ADVANCE(97);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(351);
      if (lookahead == '%') ADVANCE(244);
      if (lookahead == '&') ADVANCE(253);
      if (lookahead == '(') ADVANCE(226);
      if (lookahead == ')') ADVANCE(152);
      if (lookahead == '*') ADVANCE(240);
      if (lookahead == '+') ADVANCE(235);
      if (lookahead == ',') ADVANCE(151);
      if (lookahead == '-') ADVANCE(230);
      if (lookahead == '/') ADVANCE(242);
      if (lookahead == ';') ADVANCE(267);
      if (lookahead == '<') ADVANCE(262);
      if (lookahead == '=') ADVANCE(277);
      if (lookahead == '>') ADVANCE(258);
      if (lookahead == '[') ADVANCE(274);
      if (lookahead == '\\') ADVANCE(12);
      if (lookahead == '^') ADVANCE(250);
      if (lookahead == '{') ADVANCE(271);
      if (lookahead == '|') ADVANCE(249);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(68)
      END_STATE();
    case 69:
      if (lookahead == '!') ADVANCE(85);
      if (lookahead == '#') ADVANCE(106);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(351);
      if (lookahead == '%') ADVANCE(245);
      if (lookahead == '&') ADVANCE(254);
      if (lookahead == '(') ADVANCE(226);
      if (lookahead == '*') ADVANCE(241);
      if (lookahead == '+') ADVANCE(238);
      if (lookahead == ',') ADVANCE(151);
      if (lookahead == '-') ADVANCE(233);
      if (lookahead == '.') ADVANCE(293);
      if (lookahead == '/') ADVANCE(243);
      if (lookahead == '<') ADVANCE(261);
      if (lookahead == '=') ADVANCE(277);
      if (lookahead == '>') ADVANCE(257);
      if (lookahead == '?') ADVANCE(279);
      if (lookahead == '[') ADVANCE(273);
      if (lookahead == '\\') ADVANCE(26);
      if (lookahead == ']') ADVANCE(275);
      if (lookahead == '^') ADVANCE(251);
      if (lookahead == '|') ADVANCE(248);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(69)
      END_STATE();
    case 70:
      if (lookahead == '"') ADVANCE(327);
      if (lookahead == '/') ADVANCE(77);
      if (lookahead == '\\') ADVANCE(44);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(70)
      END_STATE();
    case 71:
      if (lookahead == '"') ADVANCE(327);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(351);
      if (lookahead == '/') ADVANCE(77);
      if (lookahead == '<') ADVANCE(87);
      if (lookahead == 'L') ADVANCE(340);
      if (lookahead == 'U') ADVANCE(342);
      if (lookahead == '\\') ADVANCE(35);
      if (lookahead == 'u') ADVANCE(344);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(71)
      END_STATE();
    case 72:
      if (lookahead == '#') ADVANCE(115);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(351);
      if (lookahead == '/') ADVANCE(77);
      if (lookahead == '\\') ADVANCE(33);
      if (lookahead == '}') ADVANCE(272);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(72)
      END_STATE();
    case 73:
      if (lookahead == '#') ADVANCE(99);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(351);
      if (lookahead == '/') ADVANCE(77);
      if (lookahead == '[') ADVANCE(90);
      if (lookahead == '\\') ADVANCE(14);
      if (lookahead == '}') ADVANCE(272);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(73)
      END_STATE();
    case 74:
      if (lookahead == '#') ADVANCE(95);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(351);
      if (lookahead == '/') ADVANCE(77);
      if (lookahead == '[') ADVANCE(90);
      if (lookahead == '\\') ADVANCE(16);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(74)
      END_STATE();
    case 75:
      if (lookahead == '\'') ADVANCE(318);
      if (lookahead == '/') ADVANCE(77);
      if (lookahead == '\\') ADVANCE(44);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(75)
      END_STATE();
    case 76:
      if (lookahead == '(') ADVANCE(226);
      if (lookahead == '/') ADVANCE(77);
      if (lookahead == '\\') SKIP(47)
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(76)
      END_STATE();
    case 77:
      if (lookahead == '*') ADVANCE(79);
      if (lookahead == '/') ADVANCE(357);
      END_STATE();
    case 78:
      if (lookahead == '*') ADVANCE(78);
      if (lookahead == '/') ADVANCE(353);
      if (lookahead != 0) ADVANCE(79);
      END_STATE();
    case 79:
      if (lookahead == '*') ADVANCE(78);
      if (lookahead != 0) ADVANCE(79);
      END_STATE();
    case 80:
      if (lookahead == '*') ADVANCE(78);
      if (lookahead != 0) ADVANCE(170);
      END_STATE();
    case 81:
      if (lookahead == '.') ADVANCE(119);
      if (lookahead == '0') ADVANCE(298);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(299);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(308);
      END_STATE();
    case 82:
      if (lookahead == '.') ADVANCE(150);
      END_STATE();
    case 83:
      if (lookahead == '/') ADVANCE(176);
      if (lookahead == '\\') ADVANCE(172);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(83)
      if (lookahead != 0) ADVANCE(185);
      END_STATE();
    case 84:
      if (lookahead == ':') ADVANCE(268);
      END_STATE();
    case 85:
      if (lookahead == '=') ADVANCE(256);
      END_STATE();
    case 86:
      if (lookahead == '=') ADVANCE(255);
      END_STATE();
    case 87:
      if (lookahead == '>') ADVANCE(337);
      if (lookahead == '\\') ADVANCE(88);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(87);
      END_STATE();
    case 88:
      if (lookahead == '>') ADVANCE(338);
      if (lookahead == '\\') ADVANCE(88);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(87);
      END_STATE();
    case 89:
      if (lookahead == 'U') ADVANCE(138);
      if (lookahead == 'u') ADVANCE(130);
      END_STATE();
    case 90:
      if (lookahead == '[') ADVANCE(269);
      END_STATE();
    case 91:
      if (lookahead == ']') ADVANCE(270);
      END_STATE();
    case 92:
      if (lookahead == 'd') ADVANCE(197);
      if (lookahead == 'e') ADVANCE(219);
      if (lookahead == 'i') ADVANCE(205);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(92);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      END_STATE();
    case 93:
      if (lookahead == 'd') ADVANCE(197);
      if (lookahead == 'e') ADVANCE(219);
      if (lookahead == 'i') ADVANCE(206);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(93);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      END_STATE();
    case 94:
      if (lookahead == 'd') ADVANCE(197);
      if (lookahead == 'e') ADVANCE(222);
      if (lookahead == 'i') ADVANCE(205);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      END_STATE();
    case 95:
      if (lookahead == 'd') ADVANCE(197);
      if (lookahead == 'e') ADVANCE(222);
      if (lookahead == 'i') ADVANCE(206);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(95);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      END_STATE();
    case 96:
      if (lookahead == 'd') ADVANCE(197);
      if (lookahead == 'e') ADVANCE(221);
      if (lookahead == 'i') ADVANCE(205);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(96);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      END_STATE();
    case 97:
      if (lookahead == 'd') ADVANCE(197);
      if (lookahead == 'e') ADVANCE(221);
      if (lookahead == 'i') ADVANCE(206);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(97);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      END_STATE();
    case 98:
      if (lookahead == 'd') ADVANCE(197);
      if (lookahead == 'i') ADVANCE(205);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(98);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      END_STATE();
    case 99:
      if (lookahead == 'd') ADVANCE(197);
      if (lookahead == 'i') ADVANCE(206);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(99);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      END_STATE();
    case 100:
      if (lookahead == 'd') ADVANCE(113);
      END_STATE();
    case 101:
      if (lookahead == 'd') ADVANCE(105);
      END_STATE();
    case 102:
      if (lookahead == 'e') ADVANCE(116);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(102);
      END_STATE();
    case 103:
      if (lookahead == 'e') ADVANCE(159);
      END_STATE();
    case 104:
      if (lookahead == 'e') ADVANCE(109);
      END_STATE();
    case 105:
      if (lookahead == 'e') ADVANCE(110);
      END_STATE();
    case 106:
      if (lookahead == 'e') ADVANCE(117);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(106);
      END_STATE();
    case 107:
      if (lookahead == 'f') ADVANCE(162);
      END_STATE();
    case 108:
      if (lookahead == 'f') ADVANCE(155);
      END_STATE();
    case 109:
      if (lookahead == 'f') ADVANCE(165);
      END_STATE();
    case 110:
      if (lookahead == 'f') ADVANCE(167);
      END_STATE();
    case 111:
      if (lookahead == 'f') ADVANCE(161);
      END_STATE();
    case 112:
      if (lookahead == 'i') ADVANCE(107);
      if (lookahead == 's') ADVANCE(103);
      END_STATE();
    case 113:
      if (lookahead == 'i') ADVANCE(108);
      END_STATE();
    case 114:
      if (lookahead == 'i') ADVANCE(111);
      if (lookahead == 's') ADVANCE(103);
      END_STATE();
    case 115:
      if (lookahead == 'i') ADVANCE(206);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(115);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      END_STATE();
    case 116:
      if (lookahead == 'l') ADVANCE(112);
      if (lookahead == 'n') ADVANCE(100);
      END_STATE();
    case 117:
      if (lookahead == 'l') ADVANCE(114);
      if (lookahead == 'n') ADVANCE(100);
      END_STATE();
    case 118:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(302);
      END_STATE();
    case 119:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(297);
      END_STATE();
    case 120:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(299);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(308);
      END_STATE();
    case 121:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(351);
      END_STATE();
    case 122:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(305);
      END_STATE();
    case 123:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(308);
      END_STATE();
    case 124:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(303);
      END_STATE();
    case 125:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(333);
      END_STATE();
    case 126:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(121);
      END_STATE();
    case 127:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(125);
      END_STATE();
    case 128:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(126);
      END_STATE();
    case 129:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(127);
      END_STATE();
    case 130:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(128);
      END_STATE();
    case 131:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(129);
      END_STATE();
    case 132:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(130);
      END_STATE();
    case 133:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(131);
      END_STATE();
    case 134:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(132);
      END_STATE();
    case 135:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(133);
      END_STATE();
    case 136:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(134);
      END_STATE();
    case 137:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(135);
      END_STATE();
    case 138:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(136);
      END_STATE();
    case 139:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(137);
      END_STATE();
    case 140:
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(352);
      if (lookahead == '/') ADVANCE(176);
      if (lookahead == '\\') ADVANCE(174);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(140)
      if (lookahead != 0) ADVANCE(185);
      END_STATE();
    case 141:
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '\\') ADVANCE(357);
      if (lookahead == '\r') ADVANCE(361);
      if (lookahead == '\\') ADVANCE(359);
      END_STATE();
    case 142:
      if (lookahead != 0 &&
          lookahead != '*') ADVANCE(185);
      END_STATE();
    case 143:
      if (eof) ADVANCE(145);
      if (lookahead == '!') ADVANCE(228);
      if (lookahead == '"') ADVANCE(327);
      if (lookahead == '#') ADVANCE(92);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(351);
      if (lookahead == '%') ADVANCE(245);
      if (lookahead == '&') ADVANCE(254);
      if (lookahead == '\'') ADVANCE(318);
      if (lookahead == '(') ADVANCE(226);
      if (lookahead == ')') ADVANCE(152);
      if (lookahead == '*') ADVANCE(241);
      if (lookahead == '+') ADVANCE(236);
      if (lookahead == ',') ADVANCE(151);
      if (lookahead == '-') ADVANCE(231);
      if (lookahead == '.') ADVANCE(294);
      if (lookahead == '/') ADVANCE(243);
      if (lookahead == '0') ADVANCE(300);
      if (lookahead == ':') ADVANCE(278);
      if (lookahead == ';') ADVANCE(267);
      if (lookahead == '<') ADVANCE(261);
      if (lookahead == '=') ADVANCE(277);
      if (lookahead == '>') ADVANCE(257);
      if (lookahead == '?') ADVANCE(279);
      if (lookahead == 'L') ADVANCE(339);
      if (lookahead == 'U') ADVANCE(341);
      if (lookahead == '[') ADVANCE(274);
      if (lookahead == '\\') ADVANCE(2);
      if (lookahead == ']') ADVANCE(275);
      if (lookahead == '^') ADVANCE(251);
      if (lookahead == 'u') ADVANCE(343);
      if (lookahead == '{') ADVANCE(271);
      if (lookahead == '|') ADVANCE(248);
      if (lookahead == '}') ADVANCE(272);
      if (lookahead == '~') ADVANCE(229);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(143)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(302);
      END_STATE();
    case 144:
      if (eof) ADVANCE(145);
      if (lookahead == '!') ADVANCE(227);
      if (lookahead == '"') ADVANCE(327);
      if (lookahead == '#') ADVANCE(98);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(351);
      if (lookahead == '&') ADVANCE(252);
      if (lookahead == '\'') ADVANCE(318);
      if (lookahead == '(') ADVANCE(226);
      if (lookahead == ')') ADVANCE(152);
      if (lookahead == '*') ADVANCE(240);
      if (lookahead == '+') ADVANCE(237);
      if (lookahead == ',') ADVANCE(151);
      if (lookahead == '-') ADVANCE(232);
      if (lookahead == '.') ADVANCE(295);
      if (lookahead == '/') ADVANCE(77);
      if (lookahead == '0') ADVANCE(300);
      if (lookahead == ':') ADVANCE(278);
      if (lookahead == ';') ADVANCE(267);
      if (lookahead == '=') ADVANCE(276);
      if (lookahead == 'L') ADVANCE(339);
      if (lookahead == 'U') ADVANCE(341);
      if (lookahead == '[') ADVANCE(274);
      if (lookahead == '\\') ADVANCE(4);
      if (lookahead == ']') ADVANCE(275);
      if (lookahead == 'u') ADVANCE(343);
      if (lookahead == '{') ADVANCE(271);
      if (lookahead == '}') ADVANCE(272);
      if (lookahead == '~') ADVANCE(229);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(144)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(302);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(aux_sym_preproc_include_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(aux_sym_preproc_include_token2);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(aux_sym_preproc_def_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(aux_sym_preproc_if_token1);
      if (lookahead == 'd') ADVANCE(201);
      if (lookahead == 'n') ADVANCE(195);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(154);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(aux_sym_preproc_if_token2);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(aux_sym_preproc_if_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(aux_sym_preproc_else_token1);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(aux_sym_preproc_else_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (lookahead == 'd') ADVANCE(104);
      if (lookahead == 'n') ADVANCE(101);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (lookahead == 'd') ADVANCE(203);
      if (lookahead == 'n') ADVANCE(196);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token1);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token2);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(79);
      if (lookahead == '*') ADVANCE(169);
      if (lookahead == '/') ADVANCE(353);
      if (lookahead == '\\') ADVANCE(187);
      if (lookahead != 0) ADVANCE(170);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(79);
      if (lookahead == '*') ADVANCE(169);
      if (lookahead == '/') ADVANCE(80);
      if (lookahead == '\\') ADVANCE(187);
      if (lookahead != 0) ADVANCE(170);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(357);
      if (lookahead == '\r') ADVANCE(354);
      if (lookahead == '/') ADVANCE(355);
      if (lookahead == '\\') ADVANCE(358);
      if (lookahead != 0) ADVANCE(356);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(83)
      if (lookahead == '\r') ADVANCE(173);
      if (lookahead == '/') ADVANCE(142);
      if (lookahead == '\\') ADVANCE(188);
      if (lookahead != 0) ADVANCE(185);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(83)
      if (lookahead == '/') ADVANCE(142);
      if (lookahead == '\\') ADVANCE(188);
      if (lookahead != 0) ADVANCE(185);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(140)
      if (lookahead == '\r') ADVANCE(175);
      if (lookahead == '/') ADVANCE(142);
      if (lookahead == 'U') ADVANCE(184);
      if (lookahead == '\\') ADVANCE(188);
      if (lookahead == 'u') ADVANCE(180);
      if (lookahead != 0) ADVANCE(185);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(140)
      if (lookahead == '/') ADVANCE(142);
      if (lookahead == '\\') ADVANCE(188);
      if (lookahead != 0) ADVANCE(185);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '*') ADVANCE(170);
      if (lookahead == '/') ADVANCE(355);
      if (lookahead == '\\') ADVANCE(188);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(185);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(142);
      if (lookahead == '\\') ADVANCE(188);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(352);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(185);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(142);
      if (lookahead == '\\') ADVANCE(188);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(177);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(185);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(142);
      if (lookahead == '\\') ADVANCE(188);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(178);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(185);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(142);
      if (lookahead == '\\') ADVANCE(188);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(179);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(185);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(142);
      if (lookahead == '\\') ADVANCE(188);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(180);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(185);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(142);
      if (lookahead == '\\') ADVANCE(188);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(181);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(185);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(142);
      if (lookahead == '\\') ADVANCE(188);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(182);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(185);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(142);
      if (lookahead == '\\') ADVANCE(188);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(183);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(185);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(142);
      if (lookahead == '\\') ADVANCE(188);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(185);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '/' &&
          lookahead != 'U' &&
          lookahead != '\\' &&
          lookahead != 'u') ADVANCE(185);
      if (lookahead == '\r') ADVANCE(191);
      if (lookahead == '/') ADVANCE(142);
      if (lookahead == 'U') ADVANCE(184);
      if (lookahead == '\\') ADVANCE(188);
      if (lookahead == 'u') ADVANCE(180);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '*' &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(170);
      if (lookahead == '\r') ADVANCE(190);
      if (lookahead == '*') ADVANCE(169);
      if (lookahead == '/') ADVANCE(80);
      if (lookahead == '\\') ADVANCE(187);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(185);
      if (lookahead == '\r') ADVANCE(191);
      if (lookahead == '/') ADVANCE(142);
      if (lookahead == '\\') ADVANCE(188);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(356);
      if (lookahead == '\r') ADVANCE(360);
      if (lookahead == '/') ADVANCE(355);
      if (lookahead == '\\') ADVANCE(358);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead != 0 &&
          lookahead != '*' &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(170);
      if (lookahead == '*') ADVANCE(169);
      if (lookahead == '/') ADVANCE(80);
      if (lookahead == '\\') ADVANCE(187);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead != 0 &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(185);
      if (lookahead == '/') ADVANCE(142);
      if (lookahead == '\\') ADVANCE(188);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'c') ADVANCE(220);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(217);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(200);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(202);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(204);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(207);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(160);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(148);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(146);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(210);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(211);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(212);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(213);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(153);
      if (lookahead == 'n') ADVANCE(192);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(153);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(215);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(163);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(156);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(157);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(158);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(166);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(168);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(164);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(223);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(208);
      if (lookahead == 's') ADVANCE(198);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(209);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(214);
      if (lookahead == 's') ADVANCE(198);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(216);
      if (lookahead == 'n') ADVANCE(193);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(224);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(218);
      if (lookahead == 'n') ADVANCE(193);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(193);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(199);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'u') ADVANCE(194);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(225);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(anon_sym_LPAREN2);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(256);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(290);
      if (lookahead == '.') ADVANCE(119);
      if (lookahead == '0') ADVANCE(300);
      if (lookahead == '=') ADVANCE(284);
      if (lookahead == '>') ADVANCE(296);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(302);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(290);
      if (lookahead == '.') ADVANCE(119);
      if (lookahead == '0') ADVANCE(300);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(302);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(290);
      if (lookahead == '=') ADVANCE(284);
      if (lookahead == '>') ADVANCE(296);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '.') ADVANCE(119);
      if (lookahead == '0') ADVANCE(300);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(302);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(291);
      if (lookahead == '.') ADVANCE(119);
      if (lookahead == '0') ADVANCE(300);
      if (lookahead == '=') ADVANCE(283);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(302);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(291);
      if (lookahead == '.') ADVANCE(119);
      if (lookahead == '0') ADVANCE(300);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(302);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(291);
      if (lookahead == '=') ADVANCE(283);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '.') ADVANCE(119);
      if (lookahead == '0') ADVANCE(300);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(302);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=') ADVANCE(280);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(79);
      if (lookahead == '/') ADVANCE(357);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(79);
      if (lookahead == '/') ADVANCE(357);
      if (lookahead == '=') ADVANCE(281);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(282);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(289);
      if (lookahead == '|') ADVANCE(246);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(246);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(288);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(247);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(247);
      if (lookahead == '=') ADVANCE(287);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(259);
      if (lookahead == '>') ADVANCE(266);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(259);
      if (lookahead == '>') ADVANCE(265);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(264);
      if (lookahead == '=') ADVANCE(260);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(263);
      if (lookahead == '=') ADVANCE(260);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(285);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(286);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 269:
      ACCEPT_TOKEN(anon_sym_LBRACK_LBRACK);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(anon_sym_RBRACK_RBRACK);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '[') ADVANCE(269);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(255);
      END_STATE();
    case 278:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 280:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 281:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 282:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 283:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 285:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 292:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(82);
      END_STATE();
    case 294:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(82);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(297);
      END_STATE();
    case 295:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(297);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 297:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(119);
      if (lookahead == 'E' ||
          lookahead == 'P' ||
          lookahead == 'e' ||
          lookahead == 'p') ADVANCE(310);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(297);
      if (sym_number_literal_character_set_1(lookahead)) ADVANCE(313);
      END_STATE();
    case 298:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(120);
      if (lookahead == '.') ADVANCE(311);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(307);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(306);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(310);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(123);
      if (('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c')) ADVANCE(308);
      if (('D' <= lookahead && lookahead <= 'F') ||
          ('d' <= lookahead && lookahead <= 'f')) ADVANCE(308);
      if (lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'W' ||
          lookahead == 'l' ||
          lookahead == 'u' ||
          lookahead == 'w') ADVANCE(313);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(299);
      END_STATE();
    case 299:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(120);
      if (lookahead == '.') ADVANCE(311);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(306);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(310);
      if (lookahead == 'A' ||
          lookahead == 'C' ||
          lookahead == 'a' ||
          lookahead == 'c') ADVANCE(308);
      if (('B' <= lookahead && lookahead <= 'F') ||
          ('b' <= lookahead && lookahead <= 'f')) ADVANCE(308);
      if (lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'W' ||
          lookahead == 'l' ||
          lookahead == 'u' ||
          lookahead == 'w') ADVANCE(313);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(299);
      END_STATE();
    case 300:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(118);
      if (lookahead == '.') ADVANCE(311);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(309);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(81);
      if (lookahead == 'E' ||
          lookahead == 'P' ||
          lookahead == 'e' ||
          lookahead == 'p') ADVANCE(310);
      if (('D' <= lookahead && lookahead <= 'F') ||
          lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'W' ||
          ('d' <= lookahead && lookahead <= 'f') ||
          lookahead == 'l' ||
          lookahead == 'u' ||
          lookahead == 'w') ADVANCE(313);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(302);
      END_STATE();
    case 301:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(118);
      if (lookahead == '.') ADVANCE(311);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(312);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(123);
      if (lookahead == 'E' ||
          lookahead == 'P' ||
          lookahead == 'e' ||
          lookahead == 'p') ADVANCE(310);
      if (('D' <= lookahead && lookahead <= 'F') ||
          lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'W' ||
          ('d' <= lookahead && lookahead <= 'f') ||
          lookahead == 'l' ||
          lookahead == 'u' ||
          lookahead == 'w') ADVANCE(313);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(302);
      END_STATE();
    case 302:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(118);
      if (lookahead == '.') ADVANCE(311);
      if (lookahead == 'E' ||
          lookahead == 'P' ||
          lookahead == 'e' ||
          lookahead == 'p') ADVANCE(310);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(302);
      if (sym_number_literal_character_set_1(lookahead)) ADVANCE(313);
      END_STATE();
    case 303:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(124);
      if (lookahead == 'B' ||
          lookahead == 'D' ||
          lookahead == 'F' ||
          lookahead == 'b' ||
          lookahead == 'd' ||
          lookahead == 'f') ADVANCE(303);
      if (lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'W' ||
          lookahead == 'l' ||
          lookahead == 'u' ||
          lookahead == 'w') ADVANCE(313);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'E') ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(303);
      END_STATE();
    case 304:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(122);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(124);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(304);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(310);
      if (lookahead == 'B' ||
          ('D' <= lookahead && lookahead <= 'F') ||
          lookahead == 'b' ||
          ('d' <= lookahead && lookahead <= 'f')) ADVANCE(305);
      if (lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'W' ||
          lookahead == 'l' ||
          lookahead == 'u' ||
          lookahead == 'w') ADVANCE(313);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c')) ADVANCE(305);
      END_STATE();
    case 305:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(122);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(304);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(310);
      if (lookahead == 'B' ||
          ('D' <= lookahead && lookahead <= 'F') ||
          lookahead == 'b' ||
          ('d' <= lookahead && lookahead <= 'f')) ADVANCE(305);
      if (lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'W' ||
          lookahead == 'l' ||
          lookahead == 'u' ||
          lookahead == 'w') ADVANCE(313);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c')) ADVANCE(305);
      END_STATE();
    case 306:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(123);
      if (lookahead == '.') ADVANCE(311);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(124);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(306);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(310);
      if (lookahead == 'B' ||
          ('D' <= lookahead && lookahead <= 'F') ||
          lookahead == 'b' ||
          ('d' <= lookahead && lookahead <= 'f')) ADVANCE(308);
      if (lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'W' ||
          lookahead == 'l' ||
          lookahead == 'u' ||
          lookahead == 'w') ADVANCE(313);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c')) ADVANCE(308);
      END_STATE();
    case 307:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(123);
      if (lookahead == '.') ADVANCE(311);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(306);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(310);
      if (lookahead == 'A' ||
          lookahead == 'C' ||
          lookahead == 'a' ||
          lookahead == 'c') ADVANCE(308);
      if (('B' <= lookahead && lookahead <= 'F') ||
          ('b' <= lookahead && lookahead <= 'f')) ADVANCE(308);
      if (lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'W' ||
          lookahead == 'l' ||
          lookahead == 'u' ||
          lookahead == 'w') ADVANCE(313);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(299);
      END_STATE();
    case 308:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(123);
      if (lookahead == '.') ADVANCE(311);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(306);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(310);
      if (lookahead == 'B' ||
          ('D' <= lookahead && lookahead <= 'F') ||
          lookahead == 'b' ||
          ('d' <= lookahead && lookahead <= 'f')) ADVANCE(308);
      if (lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'W' ||
          lookahead == 'l' ||
          lookahead == 'u' ||
          lookahead == 'w') ADVANCE(313);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c')) ADVANCE(308);
      END_STATE();
    case 309:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '.') ADVANCE(119);
      if (lookahead == '0') ADVANCE(301);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(302);
      if (sym_number_literal_character_set_2(lookahead)) ADVANCE(313);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(124);
      if (lookahead == 'B' ||
          lookahead == 'D' ||
          lookahead == 'F' ||
          lookahead == 'b' ||
          lookahead == 'd' ||
          lookahead == 'f') ADVANCE(303);
      if (lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'W' ||
          lookahead == 'l' ||
          lookahead == 'u' ||
          lookahead == 'w') ADVANCE(313);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'E') ||
          ('a' <= lookahead && lookahead <= 'e')) ADVANCE(303);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(304);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(310);
      if (lookahead == 'B' ||
          ('D' <= lookahead && lookahead <= 'F') ||
          lookahead == 'b' ||
          ('d' <= lookahead && lookahead <= 'f')) ADVANCE(305);
      if (lookahead == 'L' ||
          lookahead == 'U' ||
          lookahead == 'W' ||
          lookahead == 'l' ||
          lookahead == 'u' ||
          lookahead == 'w') ADVANCE(313);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c')) ADVANCE(305);
      END_STATE();
    case 312:
      ACCEPT_TOKEN(sym_number_literal);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(302);
      if (sym_number_literal_character_set_2(lookahead)) ADVANCE(313);
      END_STATE();
    case 313:
      ACCEPT_TOKEN(sym_number_literal);
      if (sym_number_literal_character_set_2(lookahead)) ADVANCE(313);
      END_STATE();
    case 314:
      ACCEPT_TOKEN(anon_sym_L_SQUOTE);
      END_STATE();
    case 315:
      ACCEPT_TOKEN(anon_sym_u_SQUOTE);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(anon_sym_U_SQUOTE);
      END_STATE();
    case 317:
      ACCEPT_TOKEN(anon_sym_u8_SQUOTE);
      END_STATE();
    case 318:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 319:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      END_STATE();
    case 320:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '\n') ADVANCE(334);
      if (lookahead == '\r') ADVANCE(333);
      if (lookahead == 'U') ADVANCE(139);
      if (lookahead == 'u') ADVANCE(131);
      if (lookahead == 'x') ADVANCE(127);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(336);
      if (lookahead != 0) ADVANCE(333);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '*') ADVANCE(79);
      if (lookahead == '/') ADVANCE(357);
      END_STATE();
    case 322:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '\\') ADVANCE(44);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(anon_sym_L_DQUOTE);
      END_STATE();
    case 324:
      ACCEPT_TOKEN(anon_sym_u_DQUOTE);
      END_STATE();
    case 325:
      ACCEPT_TOKEN(anon_sym_U_DQUOTE);
      END_STATE();
    case 326:
      ACCEPT_TOKEN(anon_sym_u8_DQUOTE);
      END_STATE();
    case 327:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 328:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(330);
      if (lookahead == '/') ADVANCE(332);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(332);
      END_STATE();
    case 329:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(329);
      if (lookahead == '/') ADVANCE(332);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(330);
      END_STATE();
    case 330:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(329);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(330);
      END_STATE();
    case 331:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '/') ADVANCE(328);
      if (lookahead == '\t' ||
          (11 <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(331);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(332);
      END_STATE();
    case 332:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(332);
      END_STATE();
    case 333:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(44);
      END_STATE();
    case 335:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(333);
      END_STATE();
    case 336:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(335);
      END_STATE();
    case 337:
      ACCEPT_TOKEN(sym_system_lib_string);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(sym_system_lib_string);
      if (lookahead == '>') ADVANCE(337);
      if (lookahead == '\\') ADVANCE(88);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(87);
      END_STATE();
    case 339:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(323);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(351);
      if (lookahead == '\'') ADVANCE(314);
      if (lookahead == '\\') ADVANCE(89);
      END_STATE();
    case 340:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(323);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(351);
      if (lookahead == '\\') ADVANCE(89);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(325);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(351);
      if (lookahead == '\'') ADVANCE(316);
      if (lookahead == '\\') ADVANCE(89);
      END_STATE();
    case 342:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(325);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(351);
      if (lookahead == '\\') ADVANCE(89);
      END_STATE();
    case 343:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(324);
      if (sym_identifier_character_set_4(lookahead)) ADVANCE(351);
      if (lookahead == '\'') ADVANCE(315);
      if (lookahead == '8') ADVANCE(345);
      if (lookahead == '\\') ADVANCE(89);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(324);
      if (sym_identifier_character_set_4(lookahead)) ADVANCE(351);
      if (lookahead == '8') ADVANCE(346);
      if (lookahead == '\\') ADVANCE(89);
      END_STATE();
    case 345:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(326);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(351);
      if (lookahead == '\'') ADVANCE(317);
      if (lookahead == '\\') ADVANCE(89);
      END_STATE();
    case 346:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(326);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(351);
      if (lookahead == '\\') ADVANCE(89);
      END_STATE();
    case 347:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_4(lookahead)) ADVANCE(351);
      if (lookahead == '\'') ADVANCE(315);
      if (lookahead == '8') ADVANCE(350);
      if (lookahead == '\\') ADVANCE(89);
      END_STATE();
    case 348:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(351);
      if (lookahead == '\'') ADVANCE(314);
      if (lookahead == '\\') ADVANCE(89);
      END_STATE();
    case 349:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(351);
      if (lookahead == '\'') ADVANCE(316);
      if (lookahead == '\\') ADVANCE(89);
      END_STATE();
    case 350:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(351);
      if (lookahead == '\'') ADVANCE(317);
      if (lookahead == '\\') ADVANCE(89);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(351);
      if (lookahead == '\\') ADVANCE(89);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(352);
      if (lookahead == '\\') ADVANCE(186);
      END_STATE();
    case 353:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 354:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n') ADVANCE(357);
      if (lookahead == '/') ADVANCE(355);
      if (lookahead == '\\') ADVANCE(189);
      if (lookahead != 0) ADVANCE(356);
      END_STATE();
    case 355:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '*') ADVANCE(357);
      if (lookahead == '\\') ADVANCE(171);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(356);
      END_STATE();
    case 356:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '/') ADVANCE(355);
      if (lookahead == '\\') ADVANCE(189);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(356);
      END_STATE();
    case 357:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\\') ADVANCE(141);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(357);
      END_STATE();
    case 358:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(356);
      if (lookahead == '\r') ADVANCE(360);
      if (lookahead == '/') ADVANCE(355);
      if (lookahead == '\\') ADVANCE(358);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '\\') ADVANCE(357);
      if (lookahead == '\r') ADVANCE(361);
      if (lookahead == '\\') ADVANCE(359);
      END_STATE();
    case 360:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(356);
      if (lookahead == '/') ADVANCE(355);
      if (lookahead == '\\') ADVANCE(189);
      END_STATE();
    case 361:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\\') ADVANCE(357);
      if (lookahead == '\\') ADVANCE(141);
      END_STATE();
    case 362:
      ACCEPT_TOKEN(aux_sym_preproc_extension_token1);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(362);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'F') ADVANCE(1);
      if (lookahead == 'N') ADVANCE(2);
      if (lookahead == 'T') ADVANCE(3);
      if (lookahead == '\\') SKIP(4)
      if (lookahead == '_') ADVANCE(5);
      if (lookahead == 'a') ADVANCE(6);
      if (lookahead == 'b') ADVANCE(7);
      if (lookahead == 'c') ADVANCE(8);
      if (lookahead == 'd') ADVANCE(9);
      if (lookahead == 'e') ADVANCE(10);
      if (lookahead == 'f') ADVANCE(11);
      if (lookahead == 'g') ADVANCE(12);
      if (lookahead == 'h') ADVANCE(13);
      if (lookahead == 'i') ADVANCE(14);
      if (lookahead == 'l') ADVANCE(15);
      if (lookahead == 'm') ADVANCE(16);
      if (lookahead == 'n') ADVANCE(17);
      if (lookahead == 'o') ADVANCE(18);
      if (lookahead == 'p') ADVANCE(19);
      if (lookahead == 'r') ADVANCE(20);
      if (lookahead == 's') ADVANCE(21);
      if (lookahead == 't') ADVANCE(22);
      if (lookahead == 'u') ADVANCE(23);
      if (lookahead == 'v') ADVANCE(24);
      if (lookahead == 'w') ADVANCE(25);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0)
      END_STATE();
    case 1:
      if (lookahead == 'A') ADVANCE(26);
      END_STATE();
    case 2:
      if (lookahead == 'U') ADVANCE(27);
      END_STATE();
    case 3:
      if (lookahead == 'R') ADVANCE(28);
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(0)
      if (lookahead == '\r') SKIP(29)
      END_STATE();
    case 5:
      if (lookahead == 'A') ADVANCE(30);
      if (lookahead == 'G') ADVANCE(31);
      if (lookahead == 'N') ADVANCE(32);
      if (lookahead == '_') ADVANCE(33);
      if (lookahead == 'a') ADVANCE(34);
      if (lookahead == 'u') ADVANCE(35);
      END_STATE();
    case 6:
      if (lookahead == 'l') ADVANCE(36);
      if (lookahead == 's') ADVANCE(37);
      if (lookahead == 't') ADVANCE(38);
      if (lookahead == 'u') ADVANCE(39);
      END_STATE();
    case 7:
      if (lookahead == 'o') ADVANCE(40);
      if (lookahead == 'r') ADVANCE(41);
      if (lookahead == 'u') ADVANCE(42);
      END_STATE();
    case 8:
      if (lookahead == 'a') ADVANCE(43);
      if (lookahead == 'e') ADVANCE(44);
      if (lookahead == 'h') ADVANCE(45);
      if (lookahead == 'o') ADVANCE(46);
      END_STATE();
    case 9:
      if (lookahead == 'e') ADVANCE(47);
      if (lookahead == 'i') ADVANCE(48);
      if (lookahead == 'o') ADVANCE(49);
      END_STATE();
    case 10:
      if (lookahead == 'l') ADVANCE(50);
      if (lookahead == 'n') ADVANCE(51);
      if (lookahead == 'x') ADVANCE(52);
      END_STATE();
    case 11:
      if (lookahead == 'a') ADVANCE(53);
      if (lookahead == 'l') ADVANCE(54);
      if (lookahead == 'o') ADVANCE(55);
      END_STATE();
    case 12:
      if (lookahead == 'o') ADVANCE(56);
      END_STATE();
    case 13:
      if (lookahead == 'i') ADVANCE(57);
      END_STATE();
    case 14:
      if (lookahead == 'f') ADVANCE(58);
      if (lookahead == 'n') ADVANCE(59);
      END_STATE();
    case 15:
      if (lookahead == 'a') ADVANCE(60);
      if (lookahead == 'o') ADVANCE(61);
      END_STATE();
    case 16:
      if (lookahead == 'a') ADVANCE(62);
      if (lookahead == 'e') ADVANCE(63);
      END_STATE();
    case 17:
      if (lookahead == 'o') ADVANCE(64);
      if (lookahead == 'u') ADVANCE(65);
      END_STATE();
    case 18:
      if (lookahead == 'f') ADVANCE(66);
      if (lookahead == 'u') ADVANCE(67);
      END_STATE();
    case 19:
      if (lookahead == 'a') ADVANCE(68);
      if (lookahead == 'r') ADVANCE(69);
      if (lookahead == 't') ADVANCE(70);
      END_STATE();
    case 20:
      if (lookahead == 'a') ADVANCE(71);
      if (lookahead == 'e') ADVANCE(72);
      END_STATE();
    case 21:
      if (lookahead == 'a') ADVANCE(73);
      if (lookahead == 'h') ADVANCE(74);
      if (lookahead == 'i') ADVANCE(75);
      if (lookahead == 'm') ADVANCE(76);
      if (lookahead == 's') ADVANCE(77);
      if (lookahead == 't') ADVANCE(78);
      if (lookahead == 'u') ADVANCE(79);
      if (lookahead == 'w') ADVANCE(80);
      END_STATE();
    case 22:
      if (lookahead == 'h') ADVANCE(81);
      if (lookahead == 'r') ADVANCE(82);
      if (lookahead == 'y') ADVANCE(83);
      END_STATE();
    case 23:
      if (lookahead == 'i') ADVANCE(84);
      if (lookahead == 'n') ADVANCE(85);
      END_STATE();
    case 24:
      if (lookahead == 'a') ADVANCE(86);
      if (lookahead == 'o') ADVANCE(87);
      END_STATE();
    case 25:
      if (lookahead == 'a') ADVANCE(88);
      if (lookahead == 'h') ADVANCE(89);
      if (lookahead == 'r') ADVANCE(90);
      END_STATE();
    case 26:
      if (lookahead == 'L') ADVANCE(91);
      END_STATE();
    case 27:
      if (lookahead == 'L') ADVANCE(92);
      END_STATE();
    case 28:
      if (lookahead == 'U') ADVANCE(93);
      END_STATE();
    case 29:
      if (lookahead == '\n') SKIP(0)
      END_STATE();
    case 30:
      if (lookahead == 'l') ADVANCE(94);
      if (lookahead == 't') ADVANCE(95);
      END_STATE();
    case 31:
      if (lookahead == 'e') ADVANCE(96);
      END_STATE();
    case 32:
      if (lookahead == 'o') ADVANCE(97);
      END_STATE();
    case 33:
      if (lookahead == 'a') ADVANCE(98);
      if (lookahead == 'b') ADVANCE(99);
      if (lookahead == 'c') ADVANCE(100);
      if (lookahead == 'd') ADVANCE(101);
      if (lookahead == 'e') ADVANCE(102);
      if (lookahead == 'f') ADVANCE(103);
      if (lookahead == 'i') ADVANCE(104);
      if (lookahead == 'l') ADVANCE(105);
      if (lookahead == 'r') ADVANCE(106);
      if (lookahead == 's') ADVANCE(107);
      if (lookahead == 't') ADVANCE(108);
      if (lookahead == 'u') ADVANCE(109);
      if (lookahead == 'v') ADVANCE(110);
      END_STATE();
    case 34:
      if (lookahead == 'l') ADVANCE(111);
      END_STATE();
    case 35:
      if (lookahead == 'n') ADVANCE(112);
      END_STATE();
    case 36:
      if (lookahead == 'i') ADVANCE(113);
      END_STATE();
    case 37:
      if (lookahead == 'm') ADVANCE(114);
      END_STATE();
    case 38:
      if (lookahead == 't') ADVANCE(115);
      END_STATE();
    case 39:
      if (lookahead == 't') ADVANCE(116);
      END_STATE();
    case 40:
      if (lookahead == 'o') ADVANCE(117);
      END_STATE();
    case 41:
      if (lookahead == 'e') ADVANCE(118);
      END_STATE();
    case 42:
      if (lookahead == 'f') ADVANCE(119);
      END_STATE();
    case 43:
      if (lookahead == 'l') ADVANCE(120);
      if (lookahead == 's') ADVANCE(121);
      END_STATE();
    case 44:
      if (lookahead == 'n') ADVANCE(122);
      END_STATE();
    case 45:
      if (lookahead == 'a') ADVANCE(123);
      END_STATE();
    case 46:
      if (lookahead == 'h') ADVANCE(124);
      if (lookahead == 'n') ADVANCE(125);
      END_STATE();
    case 47:
      if (lookahead == 'f') ADVANCE(126);
      END_STATE();
    case 48:
      if (lookahead == 's') ADVANCE(127);
      END_STATE();
    case 49:
      ACCEPT_TOKEN(anon_sym_do);
      if (lookahead == 'u') ADVANCE(128);
      END_STATE();
    case 50:
      if (lookahead == 's') ADVANCE(129);
      END_STATE();
    case 51:
      if (lookahead == 'a') ADVANCE(130);
      if (lookahead == 'u') ADVANCE(131);
      END_STATE();
    case 52:
      if (lookahead == 't') ADVANCE(132);
      END_STATE();
    case 53:
      if (lookahead == 'l') ADVANCE(133);
      END_STATE();
    case 54:
      if (lookahead == 'a') ADVANCE(134);
      if (lookahead == 'o') ADVANCE(135);
      END_STATE();
    case 55:
      if (lookahead == 'r') ADVANCE(136);
      END_STATE();
    case 56:
      if (lookahead == 't') ADVANCE(137);
      END_STATE();
    case 57:
      if (lookahead == 'g') ADVANCE(138);
      if (lookahead == 't') ADVANCE(139);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 'l') ADVANCE(140);
      if (lookahead == 'o') ADVANCE(141);
      if (lookahead == 't') ADVANCE(142);
      if (lookahead == 'v') ADVANCE(143);
      END_STATE();
    case 60:
      if (lookahead == 'y') ADVANCE(144);
      END_STATE();
    case 61:
      if (lookahead == 'n') ADVANCE(145);
      if (lookahead == 'w') ADVANCE(146);
      END_STATE();
    case 62:
      if (lookahead == 'x') ADVANCE(147);
      END_STATE();
    case 63:
      if (lookahead == 'd') ADVANCE(148);
      END_STATE();
    case 64:
      if (lookahead == 'p') ADVANCE(149);
      if (lookahead == 'r') ADVANCE(150);
      END_STATE();
    case 65:
      if (lookahead == 'l') ADVANCE(151);
      END_STATE();
    case 66:
      if (lookahead == 'f') ADVANCE(152);
      END_STATE();
    case 67:
      if (lookahead == 't') ADVANCE(153);
      END_STATE();
    case 68:
      if (lookahead == 't') ADVANCE(154);
      END_STATE();
    case 69:
      if (lookahead == 'e') ADVANCE(155);
      END_STATE();
    case 70:
      if (lookahead == 'r') ADVANCE(156);
      END_STATE();
    case 71:
      if (lookahead == 'y') ADVANCE(157);
      END_STATE();
    case 72:
      if (lookahead == 'a') ADVANCE(158);
      if (lookahead == 'g') ADVANCE(159);
      if (lookahead == 'q') ADVANCE(160);
      if (lookahead == 's') ADVANCE(161);
      if (lookahead == 't') ADVANCE(162);
      END_STATE();
    case 73:
      if (lookahead == 'm') ADVANCE(163);
      END_STATE();
    case 74:
      if (lookahead == 'a') ADVANCE(164);
      if (lookahead == 'o') ADVANCE(165);
      END_STATE();
    case 75:
      if (lookahead == 'g') ADVANCE(166);
      if (lookahead == 'z') ADVANCE(167);
      END_STATE();
    case 76:
      if (lookahead == 'o') ADVANCE(168);
      END_STATE();
    case 77:
      if (lookahead == 'i') ADVANCE(169);
      END_STATE();
    case 78:
      if (lookahead == 'a') ADVANCE(170);
      if (lookahead == 'r') ADVANCE(171);
      END_STATE();
    case 79:
      if (lookahead == 'b') ADVANCE(172);
      END_STATE();
    case 80:
      if (lookahead == 'i') ADVANCE(173);
      END_STATE();
    case 81:
      if (lookahead == 'r') ADVANCE(174);
      END_STATE();
    case 82:
      if (lookahead == 'u') ADVANCE(175);
      END_STATE();
    case 83:
      if (lookahead == 'p') ADVANCE(176);
      END_STATE();
    case 84:
      if (lookahead == 'n') ADVANCE(177);
      END_STATE();
    case 85:
      if (lookahead == 'i') ADVANCE(178);
      if (lookahead == 's') ADVANCE(179);
      END_STATE();
    case 86:
      if (lookahead == 'r') ADVANCE(180);
      END_STATE();
    case 87:
      if (lookahead == 'i') ADVANCE(181);
      if (lookahead == 'l') ADVANCE(182);
      END_STATE();
    case 88:
      if (lookahead == 'r') ADVANCE(183);
      END_STATE();
    case 89:
      if (lookahead == 'i') ADVANCE(184);
      END_STATE();
    case 90:
      if (lookahead == 'i') ADVANCE(185);
      END_STATE();
    case 91:
      if (lookahead == 'S') ADVANCE(186);
      END_STATE();
    case 92:
      if (lookahead == 'L') ADVANCE(187);
      END_STATE();
    case 93:
      if (lookahead == 'E') ADVANCE(188);
      END_STATE();
    case 94:
      if (lookahead == 'i') ADVANCE(189);
      END_STATE();
    case 95:
      if (lookahead == 'o') ADVANCE(190);
      END_STATE();
    case 96:
      if (lookahead == 'n') ADVANCE(191);
      END_STATE();
    case 97:
      if (lookahead == 'r') ADVANCE(192);
      END_STATE();
    case 98:
      if (lookahead == 'l') ADVANCE(193);
      if (lookahead == 's') ADVANCE(194);
      if (lookahead == 't') ADVANCE(195);
      END_STATE();
    case 99:
      if (lookahead == 'a') ADVANCE(196);
      END_STATE();
    case 100:
      if (lookahead == 'd') ADVANCE(197);
      if (lookahead == 'l') ADVANCE(198);
      END_STATE();
    case 101:
      if (lookahead == 'e') ADVANCE(199);
      END_STATE();
    case 102:
      if (lookahead == 'x') ADVANCE(200);
      END_STATE();
    case 103:
      if (lookahead == 'a') ADVANCE(201);
      if (lookahead == 'i') ADVANCE(202);
      if (lookahead == 'o') ADVANCE(203);
      END_STATE();
    case 104:
      if (lookahead == 'n') ADVANCE(204);
      END_STATE();
    case 105:
      if (lookahead == 'e') ADVANCE(205);
      END_STATE();
    case 106:
      if (lookahead == 'e') ADVANCE(206);
      END_STATE();
    case 107:
      if (lookahead == 'p') ADVANCE(207);
      if (lookahead == 't') ADVANCE(208);
      END_STATE();
    case 108:
      if (lookahead == 'h') ADVANCE(209);
      if (lookahead == 'r') ADVANCE(210);
      END_STATE();
    case 109:
      if (lookahead == 'n') ADVANCE(211);
      if (lookahead == 'p') ADVANCE(212);
      END_STATE();
    case 110:
      if (lookahead == 'e') ADVANCE(213);
      END_STATE();
    case 111:
      if (lookahead == 'i') ADVANCE(214);
      END_STATE();
    case 112:
      if (lookahead == 'a') ADVANCE(215);
      END_STATE();
    case 113:
      if (lookahead == 'g') ADVANCE(216);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_asm);
      END_STATE();
    case 115:
      if (lookahead == 'r') ADVANCE(217);
      END_STATE();
    case 116:
      if (lookahead == 'o') ADVANCE(218);
      END_STATE();
    case 117:
      if (lookahead == 'l') ADVANCE(219);
      END_STATE();
    case 118:
      if (lookahead == 'a') ADVANCE(220);
      END_STATE();
    case 119:
      if (lookahead == 'f') ADVANCE(221);
      END_STATE();
    case 120:
      if (lookahead == 'l') ADVANCE(222);
      END_STATE();
    case 121:
      if (lookahead == 'e') ADVANCE(223);
      END_STATE();
    case 122:
      if (lookahead == 't') ADVANCE(224);
      END_STATE();
    case 123:
      if (lookahead == 'r') ADVANCE(225);
      END_STATE();
    case 124:
      if (lookahead == 'e') ADVANCE(226);
      END_STATE();
    case 125:
      if (lookahead == 's') ADVANCE(227);
      if (lookahead == 't') ADVANCE(228);
      END_STATE();
    case 126:
      if (lookahead == 'a') ADVANCE(229);
      if (lookahead == 'i') ADVANCE(230);
      END_STATE();
    case 127:
      if (lookahead == 'a') ADVANCE(231);
      END_STATE();
    case 128:
      if (lookahead == 'b') ADVANCE(232);
      END_STATE();
    case 129:
      if (lookahead == 'e') ADVANCE(233);
      END_STATE();
    case 130:
      if (lookahead == 'b') ADVANCE(234);
      END_STATE();
    case 131:
      if (lookahead == 'm') ADVANCE(235);
      END_STATE();
    case 132:
      if (lookahead == 'e') ADVANCE(236);
      END_STATE();
    case 133:
      if (lookahead == 's') ADVANCE(237);
      END_STATE();
    case 134:
      if (lookahead == 't') ADVANCE(238);
      END_STATE();
    case 135:
      if (lookahead == 'a') ADVANCE(239);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 137:
      if (lookahead == 'o') ADVANCE(240);
      END_STATE();
    case 138:
      if (lookahead == 'h') ADVANCE(241);
      END_STATE();
    case 139:
      if (lookahead == 'A') ADVANCE(242);
      END_STATE();
    case 140:
      if (lookahead == 'i') ADVANCE(243);
      END_STATE();
    case 141:
      if (lookahead == 'u') ADVANCE(244);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(sym_primitive_type);
      if (lookahead == '1') ADVANCE(245);
      if (lookahead == '3') ADVANCE(246);
      if (lookahead == '6') ADVANCE(247);
      if (lookahead == '8') ADVANCE(248);
      if (lookahead == 'p') ADVANCE(249);
      END_STATE();
    case 143:
      if (lookahead == 'a') ADVANCE(250);
      END_STATE();
    case 144:
      if (lookahead == 'o') ADVANCE(251);
      END_STATE();
    case 145:
      if (lookahead == 'g') ADVANCE(252);
      END_STATE();
    case 146:
      if (lookahead == 'p') ADVANCE(253);
      END_STATE();
    case 147:
      if (lookahead == '_') ADVANCE(254);
      END_STATE();
    case 148:
      if (lookahead == 'i') ADVANCE(255);
      END_STATE();
    case 149:
      if (lookahead == 'e') ADVANCE(256);
      END_STATE();
    case 150:
      if (lookahead == 'e') ADVANCE(257);
      END_STATE();
    case 151:
      if (lookahead == 'l') ADVANCE(258);
      END_STATE();
    case 152:
      if (lookahead == 's') ADVANCE(259);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_out);
      END_STATE();
    case 154:
      if (lookahead == 'c') ADVANCE(260);
      END_STATE();
    case 155:
      if (lookahead == 'c') ADVANCE(261);
      END_STATE();
    case 156:
      if (lookahead == 'd') ADVANCE(262);
      END_STATE();
    case 157:
      if (lookahead == 'P') ADVANCE(263);
      END_STATE();
    case 158:
      if (lookahead == 'd') ADVANCE(264);
      END_STATE();
    case 159:
      if (lookahead == 'i') ADVANCE(265);
      END_STATE();
    case 160:
      if (lookahead == 'u') ADVANCE(266);
      END_STATE();
    case 161:
      if (lookahead == 't') ADVANCE(267);
      END_STATE();
    case 162:
      if (lookahead == 'u') ADVANCE(268);
      END_STATE();
    case 163:
      if (lookahead == 'p') ADVANCE(269);
      END_STATE();
    case 164:
      if (lookahead == 'd') ADVANCE(270);
      if (lookahead == 'r') ADVANCE(271);
      END_STATE();
    case 165:
      if (lookahead == 'r') ADVANCE(272);
      END_STATE();
    case 166:
      if (lookahead == 'n') ADVANCE(273);
      END_STATE();
    case 167:
      if (lookahead == 'e') ADVANCE(274);
      END_STATE();
    case 168:
      if (lookahead == 'o') ADVANCE(275);
      END_STATE();
    case 169:
      if (lookahead == 'z') ADVANCE(276);
      END_STATE();
    case 170:
      if (lookahead == 't') ADVANCE(277);
      END_STATE();
    case 171:
      if (lookahead == 'u') ADVANCE(278);
      END_STATE();
    case 172:
      if (lookahead == 'r') ADVANCE(279);
      END_STATE();
    case 173:
      if (lookahead == 't') ADVANCE(280);
      END_STATE();
    case 174:
      if (lookahead == 'e') ADVANCE(281);
      END_STATE();
    case 175:
      if (lookahead == 'e') ADVANCE(188);
      END_STATE();
    case 176:
      if (lookahead == 'e') ADVANCE(282);
      END_STATE();
    case 177:
      if (lookahead == 't') ADVANCE(283);
      END_STATE();
    case 178:
      if (lookahead == 'f') ADVANCE(284);
      if (lookahead == 'o') ADVANCE(285);
      END_STATE();
    case 179:
      if (lookahead == 'i') ADVANCE(286);
      END_STATE();
    case 180:
      if (lookahead == 'y') ADVANCE(287);
      END_STATE();
    case 181:
      if (lookahead == 'd') ADVANCE(219);
      END_STATE();
    case 182:
      if (lookahead == 'a') ADVANCE(288);
      END_STATE();
    case 183:
      if (lookahead == 'n') ADVANCE(289);
      END_STATE();
    case 184:
      if (lookahead == 'l') ADVANCE(290);
      END_STATE();
    case 185:
      if (lookahead == 't') ADVANCE(291);
      END_STATE();
    case 186:
      if (lookahead == 'E') ADVANCE(292);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_NULL);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 189:
      if (lookahead == 'g') ADVANCE(293);
      END_STATE();
    case 190:
      if (lookahead == 'm') ADVANCE(294);
      END_STATE();
    case 191:
      if (lookahead == 'e') ADVANCE(295);
      END_STATE();
    case 192:
      if (lookahead == 'e') ADVANCE(296);
      END_STATE();
    case 193:
      if (lookahead == 'i') ADVANCE(297);
      END_STATE();
    case 194:
      if (lookahead == 'm') ADVANCE(298);
      END_STATE();
    case 195:
      if (lookahead == 't') ADVANCE(299);
      END_STATE();
    case 196:
      if (lookahead == 's') ADVANCE(300);
      END_STATE();
    case 197:
      if (lookahead == 'e') ADVANCE(301);
      END_STATE();
    case 198:
      if (lookahead == 'r') ADVANCE(302);
      END_STATE();
    case 199:
      if (lookahead == 'c') ADVANCE(303);
      END_STATE();
    case 200:
      if (lookahead == 'c') ADVANCE(304);
      if (lookahead == 't') ADVANCE(305);
      END_STATE();
    case 201:
      if (lookahead == 's') ADVANCE(306);
      END_STATE();
    case 202:
      if (lookahead == 'n') ADVANCE(307);
      END_STATE();
    case 203:
      if (lookahead == 'r') ADVANCE(308);
      END_STATE();
    case 204:
      if (lookahead == 'l') ADVANCE(309);
      END_STATE();
    case 205:
      if (lookahead == 'a') ADVANCE(310);
      END_STATE();
    case 206:
      if (lookahead == 's') ADVANCE(311);
      END_STATE();
    case 207:
      if (lookahead == 't') ADVANCE(312);
      END_STATE();
    case 208:
      if (lookahead == 'd') ADVANCE(313);
      END_STATE();
    case 209:
      if (lookahead == 'i') ADVANCE(314);
      if (lookahead == 'r') ADVANCE(315);
      END_STATE();
    case 210:
      if (lookahead == 'y') ADVANCE(316);
      END_STATE();
    case 211:
      if (lookahead == 'a') ADVANCE(317);
      END_STATE();
    case 212:
      if (lookahead == 't') ADVANCE(318);
      END_STATE();
    case 213:
      if (lookahead == 'c') ADVANCE(319);
      END_STATE();
    case 214:
      if (lookahead == 'g') ADVANCE(320);
      END_STATE();
    case 215:
      if (lookahead == 'l') ADVANCE(321);
      END_STATE();
    case 216:
      if (lookahead == 'n') ADVANCE(322);
      END_STATE();
    case 217:
      if (lookahead == 'i') ADVANCE(323);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_auto);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(sym_primitive_type);
      END_STATE();
    case 220:
      if (lookahead == 'k') ADVANCE(324);
      END_STATE();
    case 221:
      if (lookahead == 'e') ADVANCE(325);
      END_STATE();
    case 222:
      if (lookahead == 'a') ADVANCE(326);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 224:
      if (lookahead == 'r') ADVANCE(327);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(sym_primitive_type);
      if (lookahead == '1') ADVANCE(328);
      if (lookahead == '3') ADVANCE(329);
      if (lookahead == '6') ADVANCE(330);
      if (lookahead == '8') ADVANCE(331);
      if (lookahead == 'p') ADVANCE(332);
      END_STATE();
    case 226:
      if (lookahead == 'r') ADVANCE(333);
      END_STATE();
    case 227:
      if (lookahead == 't') ADVANCE(334);
      END_STATE();
    case 228:
      if (lookahead == 'i') ADVANCE(335);
      END_STATE();
    case 229:
      if (lookahead == 'u') ADVANCE(336);
      END_STATE();
    case 230:
      if (lookahead == 'n') ADVANCE(337);
      END_STATE();
    case 231:
      if (lookahead == 'b') ADVANCE(338);
      END_STATE();
    case 232:
      if (lookahead == 'l') ADVANCE(339);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 234:
      if (lookahead == 'l') ADVANCE(340);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 236:
      if (lookahead == 'r') ADVANCE(341);
      END_STATE();
    case 237:
      if (lookahead == 'e') ADVANCE(292);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(anon_sym_flat);
      END_STATE();
    case 239:
      if (lookahead == 't') ADVANCE(219);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(anon_sym_goto);
      END_STATE();
    case 241:
      if (lookahead == 'p') ADVANCE(342);
      END_STATE();
    case 242:
      if (lookahead == 't') ADVANCE(343);
      END_STATE();
    case 243:
      if (lookahead == 'n') ADVANCE(344);
      END_STATE();
    case 244:
      if (lookahead == 't') ADVANCE(345);
      END_STATE();
    case 245:
      if (lookahead == '6') ADVANCE(346);
      END_STATE();
    case 246:
      if (lookahead == '2') ADVANCE(347);
      END_STATE();
    case 247:
      if (lookahead == '4') ADVANCE(348);
      END_STATE();
    case 248:
      if (lookahead == '_') ADVANCE(349);
      END_STATE();
    case 249:
      if (lookahead == 't') ADVANCE(350);
      END_STATE();
    case 250:
      if (lookahead == 'r') ADVANCE(351);
      END_STATE();
    case 251:
      if (lookahead == 'u') ADVANCE(352);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(anon_sym_long);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(anon_sym_lowp);
      END_STATE();
    case 254:
      if (lookahead == 'a') ADVANCE(353);
      END_STATE();
    case 255:
      if (lookahead == 'u') ADVANCE(354);
      END_STATE();
    case 256:
      if (lookahead == 'r') ADVANCE(355);
      END_STATE();
    case 257:
      if (lookahead == 't') ADVANCE(356);
      END_STATE();
    case 258:
      if (lookahead == 'p') ADVANCE(357);
      END_STATE();
    case 259:
      if (lookahead == 'e') ADVANCE(358);
      END_STATE();
    case 260:
      if (lookahead == 'h') ADVANCE(359);
      END_STATE();
    case 261:
      if (lookahead == 'i') ADVANCE(360);
      END_STATE();
    case 262:
      if (lookahead == 'i') ADVANCE(361);
      END_STATE();
    case 263:
      if (lookahead == 'a') ADVANCE(362);
      END_STATE();
    case 264:
      if (lookahead == 'o') ADVANCE(363);
      END_STATE();
    case 265:
      if (lookahead == 's') ADVANCE(364);
      END_STATE();
    case 266:
      if (lookahead == 'i') ADVANCE(365);
      END_STATE();
    case 267:
      if (lookahead == 'r') ADVANCE(366);
      END_STATE();
    case 268:
      if (lookahead == 'r') ADVANCE(367);
      END_STATE();
    case 269:
      if (lookahead == 'l') ADVANCE(368);
      END_STATE();
    case 270:
      if (lookahead == 'e') ADVANCE(369);
      END_STATE();
    case 271:
      if (lookahead == 'e') ADVANCE(370);
      END_STATE();
    case 272:
      if (lookahead == 't') ADVANCE(371);
      END_STATE();
    case 273:
      if (lookahead == 'e') ADVANCE(372);
      END_STATE();
    case 274:
      if (lookahead == '_') ADVANCE(373);
      if (lookahead == 'o') ADVANCE(374);
      END_STATE();
    case 275:
      if (lookahead == 't') ADVANCE(375);
      END_STATE();
    case 276:
      if (lookahead == 'e') ADVANCE(376);
      END_STATE();
    case 277:
      if (lookahead == 'i') ADVANCE(377);
      END_STATE();
    case 278:
      if (lookahead == 'c') ADVANCE(378);
      END_STATE();
    case 279:
      if (lookahead == 'o') ADVANCE(379);
      END_STATE();
    case 280:
      if (lookahead == 'c') ADVANCE(380);
      END_STATE();
    case 281:
      if (lookahead == 'a') ADVANCE(381);
      END_STATE();
    case 282:
      if (lookahead == 'd') ADVANCE(382);
      END_STATE();
    case 283:
      if (lookahead == '1') ADVANCE(383);
      if (lookahead == '3') ADVANCE(384);
      if (lookahead == '6') ADVANCE(385);
      if (lookahead == '8') ADVANCE(386);
      if (lookahead == 'p') ADVANCE(387);
      END_STATE();
    case 284:
      if (lookahead == 'o') ADVANCE(388);
      END_STATE();
    case 285:
      if (lookahead == 'n') ADVANCE(389);
      END_STATE();
    case 286:
      if (lookahead == 'g') ADVANCE(390);
      END_STATE();
    case 287:
      if (lookahead == 'i') ADVANCE(391);
      END_STATE();
    case 288:
      if (lookahead == 't') ADVANCE(392);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(anon_sym_warn);
      END_STATE();
    case 290:
      if (lookahead == 'e') ADVANCE(393);
      END_STATE();
    case 291:
      if (lookahead == 'e') ADVANCE(394);
      END_STATE();
    case 292:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 293:
      if (lookahead == 'n') ADVANCE(395);
      END_STATE();
    case 294:
      if (lookahead == 'i') ADVANCE(396);
      END_STATE();
    case 295:
      if (lookahead == 'r') ADVANCE(397);
      END_STATE();
    case 296:
      if (lookahead == 't') ADVANCE(398);
      END_STATE();
    case 297:
      if (lookahead == 'g') ADVANCE(399);
      END_STATE();
    case 298:
      if (lookahead == '_') ADVANCE(400);
      END_STATE();
    case 299:
      if (lookahead == 'r') ADVANCE(401);
      END_STATE();
    case 300:
      if (lookahead == 'e') ADVANCE(402);
      END_STATE();
    case 301:
      if (lookahead == 'c') ADVANCE(403);
      END_STATE();
    case 302:
      if (lookahead == 'c') ADVANCE(404);
      END_STATE();
    case 303:
      if (lookahead == 'l') ADVANCE(405);
      END_STATE();
    case 304:
      if (lookahead == 'e') ADVANCE(406);
      END_STATE();
    case 305:
      if (lookahead == 'e') ADVANCE(407);
      END_STATE();
    case 306:
      if (lookahead == 't') ADVANCE(408);
      END_STATE();
    case 307:
      if (lookahead == 'a') ADVANCE(409);
      END_STATE();
    case 308:
      if (lookahead == 'c') ADVANCE(410);
      END_STATE();
    case 309:
      if (lookahead == 'i') ADVANCE(411);
      END_STATE();
    case 310:
      if (lookahead == 'v') ADVANCE(412);
      END_STATE();
    case 311:
      if (lookahead == 't') ADVANCE(413);
      END_STATE();
    case 312:
      if (lookahead == 'r') ADVANCE(414);
      END_STATE();
    case 313:
      if (lookahead == 'c') ADVANCE(415);
      END_STATE();
    case 314:
      if (lookahead == 's') ADVANCE(416);
      END_STATE();
    case 315:
      if (lookahead == 'e') ADVANCE(417);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(anon_sym___try);
      END_STATE();
    case 317:
      if (lookahead == 'l') ADVANCE(418);
      END_STATE();
    case 318:
      if (lookahead == 'r') ADVANCE(419);
      END_STATE();
    case 319:
      if (lookahead == 't') ADVANCE(420);
      END_STATE();
    case 320:
      if (lookahead == 'n') ADVANCE(421);
      END_STATE();
    case 321:
      if (lookahead == 'i') ADVANCE(422);
      END_STATE();
    case 322:
      if (lookahead == 'o') ADVANCE(423);
      END_STATE();
    case 323:
      if (lookahead == 'b') ADVANCE(424);
      END_STATE();
    case 324:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 325:
      if (lookahead == 'r') ADVANCE(425);
      END_STATE();
    case 326:
      if (lookahead == 'b') ADVANCE(426);
      END_STATE();
    case 327:
      if (lookahead == 'o') ADVANCE(427);
      END_STATE();
    case 328:
      if (lookahead == '6') ADVANCE(428);
      END_STATE();
    case 329:
      if (lookahead == '2') ADVANCE(429);
      END_STATE();
    case 330:
      if (lookahead == '4') ADVANCE(430);
      END_STATE();
    case 331:
      if (lookahead == '_') ADVANCE(431);
      END_STATE();
    case 332:
      if (lookahead == 't') ADVANCE(432);
      END_STATE();
    case 333:
      if (lookahead == 'e') ADVANCE(433);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(anon_sym_const);
      if (lookahead == 'e') ADVANCE(434);
      END_STATE();
    case 335:
      if (lookahead == 'n') ADVANCE(435);
      END_STATE();
    case 336:
      if (lookahead == 'l') ADVANCE(436);
      END_STATE();
    case 337:
      if (lookahead == 'e') ADVANCE(437);
      END_STATE();
    case 338:
      if (lookahead == 'l') ADVANCE(438);
      END_STATE();
    case 339:
      if (lookahead == 'e') ADVANCE(219);
      END_STATE();
    case 340:
      if (lookahead == 'e') ADVANCE(439);
      END_STATE();
    case 341:
      if (lookahead == 'n') ADVANCE(440);
      END_STATE();
    case 342:
      ACCEPT_TOKEN(anon_sym_highp);
      END_STATE();
    case 343:
      if (lookahead == 't') ADVANCE(441);
      END_STATE();
    case 344:
      if (lookahead == 'e') ADVANCE(442);
      END_STATE();
    case 345:
      ACCEPT_TOKEN(anon_sym_inout);
      END_STATE();
    case 346:
      if (lookahead == '_') ADVANCE(443);
      END_STATE();
    case 347:
      if (lookahead == '_') ADVANCE(444);
      END_STATE();
    case 348:
      if (lookahead == '_') ADVANCE(445);
      END_STATE();
    case 349:
      if (lookahead == 't') ADVANCE(219);
      END_STATE();
    case 350:
      if (lookahead == 'r') ADVANCE(446);
      END_STATE();
    case 351:
      if (lookahead == 'i') ADVANCE(447);
      END_STATE();
    case 352:
      if (lookahead == 't') ADVANCE(448);
      END_STATE();
    case 353:
      if (lookahead == 'l') ADVANCE(449);
      END_STATE();
    case 354:
      if (lookahead == 'm') ADVANCE(450);
      END_STATE();
    case 355:
      if (lookahead == 's') ADVANCE(451);
      END_STATE();
    case 356:
      if (lookahead == 'u') ADVANCE(452);
      END_STATE();
    case 357:
      if (lookahead == 't') ADVANCE(453);
      END_STATE();
    case 358:
      if (lookahead == 't') ADVANCE(454);
      END_STATE();
    case 359:
      ACCEPT_TOKEN(anon_sym_patch);
      END_STATE();
    case 360:
      if (lookahead == 's') ADVANCE(455);
      END_STATE();
    case 361:
      if (lookahead == 'f') ADVANCE(456);
      END_STATE();
    case 362:
      if (lookahead == 'y') ADVANCE(457);
      END_STATE();
    case 363:
      if (lookahead == 'n') ADVANCE(458);
      END_STATE();
    case 364:
      if (lookahead == 't') ADVANCE(459);
      END_STATE();
    case 365:
      if (lookahead == 'r') ADVANCE(460);
      END_STATE();
    case 366:
      if (lookahead == 'i') ADVANCE(461);
      END_STATE();
    case 367:
      if (lookahead == 'n') ADVANCE(462);
      END_STATE();
    case 368:
      if (lookahead == 'e') ADVANCE(463);
      END_STATE();
    case 369:
      if (lookahead == 'r') ADVANCE(464);
      END_STATE();
    case 370:
      if (lookahead == 'd') ADVANCE(465);
      END_STATE();
    case 371:
      ACCEPT_TOKEN(anon_sym_short);
      END_STATE();
    case 372:
      if (lookahead == 'd') ADVANCE(466);
      END_STATE();
    case 373:
      if (lookahead == 't') ADVANCE(219);
      END_STATE();
    case 374:
      if (lookahead == 'f') ADVANCE(467);
      END_STATE();
    case 375:
      if (lookahead == 'h') ADVANCE(468);
      END_STATE();
    case 376:
      if (lookahead == '_') ADVANCE(469);
      END_STATE();
    case 377:
      if (lookahead == 'c') ADVANCE(470);
      END_STATE();
    case 378:
      if (lookahead == 't') ADVANCE(471);
      END_STATE();
    case 379:
      if (lookahead == 'u') ADVANCE(472);
      END_STATE();
    case 380:
      if (lookahead == 'h') ADVANCE(473);
      END_STATE();
    case 381:
      if (lookahead == 'd') ADVANCE(474);
      END_STATE();
    case 382:
      if (lookahead == 'e') ADVANCE(475);
      END_STATE();
    case 383:
      if (lookahead == '6') ADVANCE(476);
      END_STATE();
    case 384:
      if (lookahead == '2') ADVANCE(477);
      END_STATE();
    case 385:
      if (lookahead == '4') ADVANCE(478);
      END_STATE();
    case 386:
      if (lookahead == '_') ADVANCE(479);
      END_STATE();
    case 387:
      if (lookahead == 't') ADVANCE(480);
      END_STATE();
    case 388:
      if (lookahead == 'r') ADVANCE(481);
      END_STATE();
    case 389:
      ACCEPT_TOKEN(anon_sym_union);
      END_STATE();
    case 390:
      if (lookahead == 'n') ADVANCE(482);
      END_STATE();
    case 391:
      if (lookahead == 'n') ADVANCE(483);
      END_STATE();
    case 392:
      if (lookahead == 'i') ADVANCE(484);
      END_STATE();
    case 393:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 394:
      if (lookahead == 'o') ADVANCE(485);
      END_STATE();
    case 395:
      if (lookahead == 'o') ADVANCE(486);
      END_STATE();
    case 396:
      if (lookahead == 'c') ADVANCE(487);
      END_STATE();
    case 397:
      if (lookahead == 'i') ADVANCE(488);
      END_STATE();
    case 398:
      if (lookahead == 'u') ADVANCE(489);
      END_STATE();
    case 399:
      if (lookahead == 'n') ADVANCE(490);
      END_STATE();
    case 400:
      if (lookahead == '_') ADVANCE(491);
      END_STATE();
    case 401:
      if (lookahead == 'i') ADVANCE(492);
      END_STATE();
    case 402:
      if (lookahead == 'd') ADVANCE(493);
      END_STATE();
    case 403:
      if (lookahead == 'l') ADVANCE(494);
      END_STATE();
    case 404:
      if (lookahead == 'a') ADVANCE(495);
      END_STATE();
    case 405:
      if (lookahead == 's') ADVANCE(496);
      END_STATE();
    case 406:
      if (lookahead == 'p') ADVANCE(497);
      END_STATE();
    case 407:
      if (lookahead == 'n') ADVANCE(498);
      END_STATE();
    case 408:
      if (lookahead == 'c') ADVANCE(499);
      END_STATE();
    case 409:
      if (lookahead == 'l') ADVANCE(500);
      END_STATE();
    case 410:
      if (lookahead == 'e') ADVANCE(501);
      END_STATE();
    case 411:
      if (lookahead == 'n') ADVANCE(502);
      END_STATE();
    case 412:
      if (lookahead == 'e') ADVANCE(503);
      END_STATE();
    case 413:
      if (lookahead == 'r') ADVANCE(504);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(sym_ms_signed_ptr_modifier);
      END_STATE();
    case 415:
      if (lookahead == 'a') ADVANCE(505);
      END_STATE();
    case 416:
      if (lookahead == 'c') ADVANCE(506);
      END_STATE();
    case 417:
      if (lookahead == 'a') ADVANCE(507);
      END_STATE();
    case 418:
      if (lookahead == 'i') ADVANCE(508);
      END_STATE();
    case 419:
      ACCEPT_TOKEN(sym_ms_unsigned_ptr_modifier);
      END_STATE();
    case 420:
      if (lookahead == 'o') ADVANCE(509);
      END_STATE();
    case 421:
      if (lookahead == 'o') ADVANCE(510);
      END_STATE();
    case 422:
      if (lookahead == 'g') ADVANCE(511);
      END_STATE();
    case 423:
      if (lookahead == 'f') ADVANCE(512);
      END_STATE();
    case 424:
      if (lookahead == 'u') ADVANCE(513);
      END_STATE();
    case 425:
      ACCEPT_TOKEN(anon_sym_buffer);
      END_STATE();
    case 426:
      if (lookahead == 'l') ADVANCE(514);
      END_STATE();
    case 427:
      if (lookahead == 'i') ADVANCE(515);
      END_STATE();
    case 428:
      if (lookahead == '_') ADVANCE(516);
      END_STATE();
    case 429:
      if (lookahead == '_') ADVANCE(517);
      END_STATE();
    case 430:
      if (lookahead == '_') ADVANCE(518);
      END_STATE();
    case 431:
      if (lookahead == 't') ADVANCE(219);
      END_STATE();
    case 432:
      if (lookahead == 'r') ADVANCE(519);
      END_STATE();
    case 433:
      if (lookahead == 'n') ADVANCE(520);
      END_STATE();
    case 434:
      if (lookahead == 'x') ADVANCE(521);
      END_STATE();
    case 435:
      if (lookahead == 'u') ADVANCE(522);
      END_STATE();
    case 436:
      if (lookahead == 't') ADVANCE(523);
      END_STATE();
    case 437:
      if (lookahead == 'd') ADVANCE(524);
      END_STATE();
    case 438:
      if (lookahead == 'e') ADVANCE(525);
      END_STATE();
    case 439:
      ACCEPT_TOKEN(anon_sym_enable);
      END_STATE();
    case 440:
      ACCEPT_TOKEN(anon_sym_extern);
      END_STATE();
    case 441:
      if (lookahead == 'r') ADVANCE(526);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(anon_sym_inline);
      END_STATE();
    case 443:
      if (lookahead == 't') ADVANCE(219);
      END_STATE();
    case 444:
      if (lookahead == 't') ADVANCE(219);
      END_STATE();
    case 445:
      if (lookahead == 't') ADVANCE(219);
      END_STATE();
    case 446:
      if (lookahead == '_') ADVANCE(527);
      END_STATE();
    case 447:
      if (lookahead == 'a') ADVANCE(528);
      END_STATE();
    case 448:
      ACCEPT_TOKEN(anon_sym_layout);
      END_STATE();
    case 449:
      if (lookahead == 'i') ADVANCE(529);
      END_STATE();
    case 450:
      if (lookahead == 'p') ADVANCE(530);
      END_STATE();
    case 451:
      if (lookahead == 'p') ADVANCE(531);
      END_STATE();
    case 452:
      if (lookahead == 'r') ADVANCE(532);
      END_STATE();
    case 453:
      if (lookahead == 'r') ADVANCE(533);
      END_STATE();
    case 454:
      if (lookahead == 'o') ADVANCE(534);
      END_STATE();
    case 455:
      if (lookahead == 'e') ADVANCE(535);
      if (lookahead == 'i') ADVANCE(536);
      END_STATE();
    case 456:
      if (lookahead == 'f') ADVANCE(537);
      END_STATE();
    case 457:
      if (lookahead == 'l') ADVANCE(538);
      END_STATE();
    case 458:
      if (lookahead == 'l') ADVANCE(539);
      END_STATE();
    case 459:
      if (lookahead == 'e') ADVANCE(540);
      END_STATE();
    case 460:
      if (lookahead == 'e') ADVANCE(541);
      END_STATE();
    case 461:
      if (lookahead == 'c') ADVANCE(542);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(anon_sym_sample);
      END_STATE();
    case 464:
      if (lookahead == 'R') ADVANCE(543);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(anon_sym_shared);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(anon_sym_signed);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(anon_sym_sizeof);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(anon_sym_smooth);
      END_STATE();
    case 469:
      if (lookahead == 't') ADVANCE(219);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 472:
      if (lookahead == 't') ADVANCE(544);
      END_STATE();
    case 473:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 474:
      if (lookahead == '_') ADVANCE(545);
      END_STATE();
    case 475:
      if (lookahead == 'f') ADVANCE(546);
      END_STATE();
    case 476:
      if (lookahead == '_') ADVANCE(547);
      END_STATE();
    case 477:
      if (lookahead == '_') ADVANCE(548);
      END_STATE();
    case 478:
      if (lookahead == '_') ADVANCE(549);
      END_STATE();
    case 479:
      if (lookahead == 't') ADVANCE(219);
      END_STATE();
    case 480:
      if (lookahead == 'r') ADVANCE(550);
      END_STATE();
    case 481:
      if (lookahead == 'm') ADVANCE(551);
      END_STATE();
    case 482:
      if (lookahead == 'e') ADVANCE(552);
      END_STATE();
    case 483:
      if (lookahead == 'g') ADVANCE(553);
      END_STATE();
    case 484:
      if (lookahead == 'l') ADVANCE(554);
      END_STATE();
    case 485:
      if (lookahead == 'n') ADVANCE(555);
      END_STATE();
    case 486:
      if (lookahead == 'f') ADVANCE(556);
      END_STATE();
    case 487:
      ACCEPT_TOKEN(anon_sym__Atomic);
      END_STATE();
    case 488:
      if (lookahead == 'c') ADVANCE(557);
      END_STATE();
    case 489:
      if (lookahead == 'r') ADVANCE(558);
      END_STATE();
    case 490:
      if (lookahead == 'o') ADVANCE(559);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(anon_sym___asm__);
      END_STATE();
    case 492:
      if (lookahead == 'b') ADVANCE(560);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(anon_sym___based);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(anon_sym___cdecl);
      END_STATE();
    case 495:
      if (lookahead == 'l') ADVANCE(561);
      END_STATE();
    case 496:
      if (lookahead == 'p') ADVANCE(562);
      END_STATE();
    case 497:
      if (lookahead == 't') ADVANCE(563);
      END_STATE();
    case 498:
      if (lookahead == 's') ADVANCE(564);
      END_STATE();
    case 499:
      if (lookahead == 'a') ADVANCE(565);
      END_STATE();
    case 500:
      if (lookahead == 'l') ADVANCE(566);
      END_STATE();
    case 501:
      if (lookahead == 'i') ADVANCE(567);
      END_STATE();
    case 502:
      if (lookahead == 'e') ADVANCE(568);
      END_STATE();
    case 503:
      ACCEPT_TOKEN(anon_sym___leave);
      END_STATE();
    case 504:
      if (lookahead == 'i') ADVANCE(569);
      END_STATE();
    case 505:
      if (lookahead == 'l') ADVANCE(570);
      END_STATE();
    case 506:
      if (lookahead == 'a') ADVANCE(571);
      END_STATE();
    case 507:
      if (lookahead == 'd') ADVANCE(572);
      END_STATE();
    case 508:
      if (lookahead == 'g') ADVANCE(573);
      END_STATE();
    case 509:
      if (lookahead == 'r') ADVANCE(574);
      END_STATE();
    case 510:
      if (lookahead == 'f') ADVANCE(575);
      END_STATE();
    case 511:
      if (lookahead == 'n') ADVANCE(576);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(anon_sym_alignof);
      END_STATE();
    case 513:
      if (lookahead == 't') ADVANCE(577);
      END_STATE();
    case 514:
      if (lookahead == 'e') ADVANCE(578);
      END_STATE();
    case 515:
      if (lookahead == 'd') ADVANCE(579);
      END_STATE();
    case 516:
      if (lookahead == 't') ADVANCE(219);
      END_STATE();
    case 517:
      if (lookahead == 't') ADVANCE(219);
      END_STATE();
    case 518:
      if (lookahead == 't') ADVANCE(219);
      END_STATE();
    case 519:
      if (lookahead == '_') ADVANCE(580);
      END_STATE();
    case 520:
      if (lookahead == 't') ADVANCE(581);
      END_STATE();
    case 521:
      if (lookahead == 'p') ADVANCE(582);
      END_STATE();
    case 522:
      if (lookahead == 'e') ADVANCE(583);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(anon_sym_defined);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(anon_sym_disable);
      END_STATE();
    case 526:
      if (lookahead == 'i') ADVANCE(584);
      END_STATE();
    case 527:
      if (lookahead == 't') ADVANCE(219);
      END_STATE();
    case 528:
      if (lookahead == 'n') ADVANCE(585);
      END_STATE();
    case 529:
      if (lookahead == 'g') ADVANCE(586);
      END_STATE();
    case 530:
      ACCEPT_TOKEN(anon_sym_mediump);
      END_STATE();
    case 531:
      if (lookahead == 'e') ADVANCE(587);
      END_STATE();
    case 532:
      if (lookahead == 'n') ADVANCE(588);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(anon_sym_nullptr);
      if (lookahead == '_') ADVANCE(589);
      END_STATE();
    case 534:
      if (lookahead == 'f') ADVANCE(590);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(anon_sym_precise);
      END_STATE();
    case 536:
      if (lookahead == 'o') ADVANCE(591);
      END_STATE();
    case 537:
      if (lookahead == '_') ADVANCE(592);
      END_STATE();
    case 538:
      if (lookahead == 'o') ADVANCE(593);
      END_STATE();
    case 539:
      if (lookahead == 'y') ADVANCE(594);
      END_STATE();
    case 540:
      if (lookahead == 'r') ADVANCE(595);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(anon_sym_require);
      END_STATE();
    case 542:
      if (lookahead == 't') ADVANCE(596);
      END_STATE();
    case 543:
      if (lookahead == 'e') ADVANCE(597);
      END_STATE();
    case 544:
      if (lookahead == 'i') ADVANCE(598);
      END_STATE();
    case 545:
      if (lookahead == 'l') ADVANCE(599);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(anon_sym_typedef);
      END_STATE();
    case 547:
      if (lookahead == 't') ADVANCE(219);
      END_STATE();
    case 548:
      if (lookahead == 't') ADVANCE(219);
      END_STATE();
    case 549:
      if (lookahead == 't') ADVANCE(219);
      END_STATE();
    case 550:
      if (lookahead == '_') ADVANCE(600);
      END_STATE();
    case 551:
      ACCEPT_TOKEN(anon_sym_uniform);
      END_STATE();
    case 552:
      if (lookahead == 'd') ADVANCE(601);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(anon_sym_varying);
      END_STATE();
    case 554:
      if (lookahead == 'e') ADVANCE(602);
      END_STATE();
    case 555:
      if (lookahead == 'l') ADVANCE(603);
      END_STATE();
    case 556:
      ACCEPT_TOKEN(anon_sym__Alignof);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(anon_sym__Generic);
      END_STATE();
    case 558:
      if (lookahead == 'n') ADVANCE(604);
      END_STATE();
    case 559:
      if (lookahead == 'f') ADVANCE(605);
      END_STATE();
    case 560:
      if (lookahead == 'u') ADVANCE(606);
      END_STATE();
    case 561:
      if (lookahead == 'l') ADVANCE(607);
      END_STATE();
    case 562:
      if (lookahead == 'e') ADVANCE(608);
      END_STATE();
    case 563:
      ACCEPT_TOKEN(anon_sym___except);
      END_STATE();
    case 564:
      if (lookahead == 'i') ADVANCE(609);
      END_STATE();
    case 565:
      if (lookahead == 'l') ADVANCE(610);
      END_STATE();
    case 566:
      if (lookahead == 'y') ADVANCE(611);
      END_STATE();
    case 567:
      if (lookahead == 'n') ADVANCE(612);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(anon_sym___inline);
      if (lookahead == '_') ADVANCE(613);
      END_STATE();
    case 569:
      if (lookahead == 'c') ADVANCE(614);
      END_STATE();
    case 570:
      if (lookahead == 'l') ADVANCE(615);
      END_STATE();
    case 571:
      if (lookahead == 'l') ADVANCE(616);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(anon_sym___thread);
      END_STATE();
    case 573:
      if (lookahead == 'n') ADVANCE(617);
      END_STATE();
    case 574:
      if (lookahead == 'c') ADVANCE(618);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(anon_sym__alignof);
      END_STATE();
    case 576:
      if (lookahead == 'e') ADVANCE(619);
      END_STATE();
    case 577:
      if (lookahead == 'e') ADVANCE(620);
      END_STATE();
    case 578:
      if (lookahead == 'D') ADVANCE(621);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(anon_sym_centroid);
      END_STATE();
    case 580:
      if (lookahead == 't') ADVANCE(219);
      END_STATE();
    case 581:
      ACCEPT_TOKEN(anon_sym_coherent);
      END_STATE();
    case 582:
      if (lookahead == 'r') ADVANCE(622);
      END_STATE();
    case 583:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 584:
      if (lookahead == 'b') ADVANCE(623);
      END_STATE();
    case 585:
      if (lookahead == 't') ADVANCE(624);
      END_STATE();
    case 586:
      if (lookahead == 'n') ADVANCE(625);
      END_STATE();
    case 587:
      if (lookahead == 'c') ADVANCE(626);
      END_STATE();
    case 588:
      ACCEPT_TOKEN(anon_sym_noreturn);
      END_STATE();
    case 589:
      if (lookahead == 't') ADVANCE(219);
      END_STATE();
    case 590:
      ACCEPT_TOKEN(anon_sym_offsetof);
      END_STATE();
    case 591:
      if (lookahead == 'n') ADVANCE(627);
      END_STATE();
    case 592:
      if (lookahead == 't') ADVANCE(219);
      END_STATE();
    case 593:
      if (lookahead == 'a') ADVANCE(628);
      END_STATE();
    case 594:
      ACCEPT_TOKEN(anon_sym_readonly);
      END_STATE();
    case 595:
      ACCEPT_TOKEN(anon_sym_register);
      END_STATE();
    case 596:
      ACCEPT_TOKEN(anon_sym_restrict);
      END_STATE();
    case 597:
      if (lookahead == 'c') ADVANCE(629);
      END_STATE();
    case 598:
      if (lookahead == 'n') ADVANCE(630);
      END_STATE();
    case 599:
      if (lookahead == 'o') ADVANCE(631);
      END_STATE();
    case 600:
      if (lookahead == 't') ADVANCE(219);
      END_STATE();
    case 601:
      ACCEPT_TOKEN(anon_sym_unsigned);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(anon_sym_volatile);
      END_STATE();
    case 603:
      if (lookahead == 'y') ADVANCE(632);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(anon_sym__Noreturn);
      END_STATE();
    case 605:
      ACCEPT_TOKEN(anon_sym___alignof);
      if (lookahead == '_') ADVANCE(633);
      END_STATE();
    case 606:
      if (lookahead == 't') ADVANCE(634);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(anon_sym___clrcall);
      END_STATE();
    case 608:
      if (lookahead == 'c') ADVANCE(635);
      END_STATE();
    case 609:
      if (lookahead == 'o') ADVANCE(636);
      END_STATE();
    case 610:
      if (lookahead == 'l') ADVANCE(637);
      END_STATE();
    case 611:
      ACCEPT_TOKEN(anon_sym___finally);
      END_STATE();
    case 612:
      if (lookahead == 'l') ADVANCE(638);
      END_STATE();
    case 613:
      if (lookahead == '_') ADVANCE(639);
      END_STATE();
    case 614:
      if (lookahead == 't') ADVANCE(640);
      END_STATE();
    case 615:
      ACCEPT_TOKEN(anon_sym___stdcall);
      END_STATE();
    case 616:
      if (lookahead == 'l') ADVANCE(641);
      END_STATE();
    case 617:
      if (lookahead == 'e') ADVANCE(642);
      END_STATE();
    case 618:
      if (lookahead == 'a') ADVANCE(643);
      END_STATE();
    case 619:
      if (lookahead == 'd') ADVANCE(644);
      END_STATE();
    case 620:
      ACCEPT_TOKEN(anon_sym_attribute);
      END_STATE();
    case 621:
      if (lookahead == 'a') ADVANCE(645);
      END_STATE();
    case 622:
      ACCEPT_TOKEN(anon_sym_constexpr);
      END_STATE();
    case 623:
      if (lookahead == 'u') ADVANCE(646);
      END_STATE();
    case 624:
      ACCEPT_TOKEN(anon_sym_invariant);
      END_STATE();
    case 625:
      if (lookahead == '_') ADVANCE(647);
      END_STATE();
    case 626:
      if (lookahead == 't') ADVANCE(648);
      END_STATE();
    case 627:
      ACCEPT_TOKEN(anon_sym_precision);
      END_STATE();
    case 628:
      if (lookahead == 'd') ADVANCE(649);
      END_STATE();
    case 629:
      if (lookahead == 'o') ADVANCE(650);
      END_STATE();
    case 630:
      if (lookahead == 'e') ADVANCE(651);
      END_STATE();
    case 631:
      if (lookahead == 'c') ADVANCE(652);
      END_STATE();
    case 632:
      ACCEPT_TOKEN(anon_sym_writeonly);
      END_STATE();
    case 633:
      if (lookahead == '_') ADVANCE(653);
      END_STATE();
    case 634:
      if (lookahead == 'e') ADVANCE(654);
      END_STATE();
    case 635:
      ACCEPT_TOKEN(anon_sym___declspec);
      END_STATE();
    case 636:
      if (lookahead == 'n') ADVANCE(655);
      END_STATE();
    case 637:
      ACCEPT_TOKEN(anon_sym___fastcall);
      END_STATE();
    case 638:
      if (lookahead == 'i') ADVANCE(656);
      END_STATE();
    case 639:
      ACCEPT_TOKEN(anon_sym___inline__);
      END_STATE();
    case 640:
      ACCEPT_TOKEN(sym_ms_restrict_modifier);
      if (lookahead == '_') ADVANCE(657);
      END_STATE();
    case 641:
      ACCEPT_TOKEN(anon_sym___thiscall);
      END_STATE();
    case 642:
      if (lookahead == 'd') ADVANCE(658);
      END_STATE();
    case 643:
      if (lookahead == 'l') ADVANCE(659);
      END_STATE();
    case 644:
      ACCEPT_TOKEN(anon_sym__unaligned);
      END_STATE();
    case 645:
      if (lookahead == 't') ADVANCE(660);
      END_STATE();
    case 646:
      if (lookahead == 't') ADVANCE(661);
      END_STATE();
    case 647:
      if (lookahead == 't') ADVANCE(219);
      END_STATE();
    case 648:
      if (lookahead == 'i') ADVANCE(662);
      END_STATE();
    case 649:
      if (lookahead == 'E') ADVANCE(663);
      if (lookahead == 'I') ADVANCE(664);
      if (lookahead == 'N') ADVANCE(665);
      END_STATE();
    case 650:
      if (lookahead == 'r') ADVANCE(666);
      END_STATE();
    case 651:
      ACCEPT_TOKEN(anon_sym_subroutine);
      END_STATE();
    case 652:
      if (lookahead == 'a') ADVANCE(667);
      END_STATE();
    case 653:
      ACCEPT_TOKEN(anon_sym___alignof__);
      END_STATE();
    case 654:
      if (lookahead == '_') ADVANCE(668);
      END_STATE();
    case 655:
      if (lookahead == '_') ADVANCE(669);
      END_STATE();
    case 656:
      if (lookahead == 'n') ADVANCE(670);
      END_STATE();
    case 657:
      if (lookahead == '_') ADVANCE(671);
      END_STATE();
    case 658:
      ACCEPT_TOKEN(anon_sym___unaligned);
      END_STATE();
    case 659:
      if (lookahead == 'l') ADVANCE(672);
      END_STATE();
    case 660:
      if (lookahead == 'a') ADVANCE(673);
      END_STATE();
    case 661:
      if (lookahead == 'e') ADVANCE(674);
      END_STATE();
    case 662:
      if (lookahead == 'v') ADVANCE(675);
      END_STATE();
    case 663:
      if (lookahead == 'X') ADVANCE(676);
      END_STATE();
    case 664:
      if (lookahead == 'n') ADVANCE(677);
      END_STATE();
    case 665:
      if (lookahead == 'V') ADVANCE(678);
      END_STATE();
    case 666:
      if (lookahead == 'd') ADVANCE(679);
      END_STATE();
    case 667:
      if (lookahead == 'l') ADVANCE(680);
      END_STATE();
    case 668:
      if (lookahead == '_') ADVANCE(681);
      END_STATE();
    case 669:
      if (lookahead == '_') ADVANCE(682);
      END_STATE();
    case 670:
      if (lookahead == 'e') ADVANCE(683);
      END_STATE();
    case 671:
      ACCEPT_TOKEN(anon_sym___restrict__);
      END_STATE();
    case 672:
      ACCEPT_TOKEN(anon_sym___vectorcall);
      END_STATE();
    case 673:
      if (lookahead == 'E') ADVANCE(684);
      if (lookahead == 'I') ADVANCE(685);
      if (lookahead == 'N') ADVANCE(686);
      END_STATE();
    case 674:
      if (lookahead == 'E') ADVANCE(687);
      if (lookahead == 'N') ADVANCE(688);
      END_STATE();
    case 675:
      if (lookahead == 'e') ADVANCE(689);
      END_STATE();
    case 676:
      if (lookahead == 'T') ADVANCE(690);
      END_STATE();
    case 677:
      if (lookahead == 'E') ADVANCE(691);
      if (lookahead == 'N') ADVANCE(692);
      END_STATE();
    case 678:
      ACCEPT_TOKEN(anon_sym_rayPayloadNV);
      END_STATE();
    case 679:
      if (lookahead == 'E') ADVANCE(693);
      if (lookahead == 'N') ADVANCE(694);
      END_STATE();
    case 680:
      ACCEPT_TOKEN(anon_sym_thread_local);
      END_STATE();
    case 681:
      ACCEPT_TOKEN(anon_sym___attribute__);
      END_STATE();
    case 682:
      ACCEPT_TOKEN(anon_sym___extension__);
      END_STATE();
    case 683:
      ACCEPT_TOKEN(anon_sym___forceinline);
      END_STATE();
    case 684:
      if (lookahead == 'X') ADVANCE(695);
      END_STATE();
    case 685:
      if (lookahead == 'n') ADVANCE(696);
      END_STATE();
    case 686:
      if (lookahead == 'V') ADVANCE(697);
      END_STATE();
    case 687:
      if (lookahead == 'X') ADVANCE(698);
      END_STATE();
    case 688:
      if (lookahead == 'V') ADVANCE(699);
      END_STATE();
    case 689:
      ACCEPT_TOKEN(anon_sym_noperspective);
      END_STATE();
    case 690:
      ACCEPT_TOKEN(anon_sym_rayPayloadEXT);
      END_STATE();
    case 691:
      if (lookahead == 'X') ADVANCE(700);
      END_STATE();
    case 692:
      if (lookahead == 'V') ADVANCE(701);
      END_STATE();
    case 693:
      if (lookahead == 'X') ADVANCE(702);
      END_STATE();
    case 694:
      if (lookahead == 'V') ADVANCE(703);
      END_STATE();
    case 695:
      if (lookahead == 'T') ADVANCE(704);
      END_STATE();
    case 696:
      if (lookahead == 'E') ADVANCE(705);
      if (lookahead == 'N') ADVANCE(706);
      END_STATE();
    case 697:
      ACCEPT_TOKEN(anon_sym_callableDataNV);
      END_STATE();
    case 698:
      if (lookahead == 'T') ADVANCE(707);
      END_STATE();
    case 699:
      ACCEPT_TOKEN(anon_sym_hitAttributeNV);
      END_STATE();
    case 700:
      if (lookahead == 'T') ADVANCE(708);
      END_STATE();
    case 701:
      ACCEPT_TOKEN(anon_sym_rayPayloadInNV);
      END_STATE();
    case 702:
      if (lookahead == 'T') ADVANCE(709);
      END_STATE();
    case 703:
      ACCEPT_TOKEN(anon_sym_shaderRecordNV);
      END_STATE();
    case 704:
      ACCEPT_TOKEN(anon_sym_callableDataEXT);
      END_STATE();
    case 705:
      if (lookahead == 'X') ADVANCE(710);
      END_STATE();
    case 706:
      if (lookahead == 'V') ADVANCE(711);
      END_STATE();
    case 707:
      ACCEPT_TOKEN(anon_sym_hitAttributeEXT);
      END_STATE();
    case 708:
      ACCEPT_TOKEN(anon_sym_rayPayloadInEXT);
      END_STATE();
    case 709:
      ACCEPT_TOKEN(anon_sym_shaderRecordEXT);
      END_STATE();
    case 710:
      if (lookahead == 'T') ADVANCE(712);
      END_STATE();
    case 711:
      ACCEPT_TOKEN(anon_sym_callableDataInNV);
      END_STATE();
    case 712:
      ACCEPT_TOKEN(anon_sym_callableDataInEXT);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 144},
  [2] = {.lex_state = 57},
  [3] = {.lex_state = 57},
  [4] = {.lex_state = 57},
  [5] = {.lex_state = 57},
  [6] = {.lex_state = 57},
  [7] = {.lex_state = 57},
  [8] = {.lex_state = 57},
  [9] = {.lex_state = 57},
  [10] = {.lex_state = 57},
  [11] = {.lex_state = 57},
  [12] = {.lex_state = 60},
  [13] = {.lex_state = 60},
  [14] = {.lex_state = 60},
  [15] = {.lex_state = 60},
  [16] = {.lex_state = 60},
  [17] = {.lex_state = 60},
  [18] = {.lex_state = 60},
  [19] = {.lex_state = 60},
  [20] = {.lex_state = 60},
  [21] = {.lex_state = 60},
  [22] = {.lex_state = 60},
  [23] = {.lex_state = 57},
  [24] = {.lex_state = 60},
  [25] = {.lex_state = 60},
  [26] = {.lex_state = 60},
  [27] = {.lex_state = 60},
  [28] = {.lex_state = 144},
  [29] = {.lex_state = 144},
  [30] = {.lex_state = 144},
  [31] = {.lex_state = 144},
  [32] = {.lex_state = 144},
  [33] = {.lex_state = 144},
  [34] = {.lex_state = 144},
  [35] = {.lex_state = 144},
  [36] = {.lex_state = 144},
  [37] = {.lex_state = 59},
  [38] = {.lex_state = 144},
  [39] = {.lex_state = 59},
  [40] = {.lex_state = 144},
  [41] = {.lex_state = 144},
  [42] = {.lex_state = 144},
  [43] = {.lex_state = 144},
  [44] = {.lex_state = 144},
  [45] = {.lex_state = 144},
  [46] = {.lex_state = 144},
  [47] = {.lex_state = 144},
  [48] = {.lex_state = 59},
  [49] = {.lex_state = 144},
  [50] = {.lex_state = 144},
  [51] = {.lex_state = 144},
  [52] = {.lex_state = 144},
  [53] = {.lex_state = 144},
  [54] = {.lex_state = 57},
  [55] = {.lex_state = 57},
  [56] = {.lex_state = 57},
  [57] = {.lex_state = 57},
  [58] = {.lex_state = 57},
  [59] = {.lex_state = 60},
  [60] = {.lex_state = 60},
  [61] = {.lex_state = 60},
  [62] = {.lex_state = 60},
  [63] = {.lex_state = 60},
  [64] = {.lex_state = 144},
  [65] = {.lex_state = 144},
  [66] = {.lex_state = 144},
  [67] = {.lex_state = 144},
  [68] = {.lex_state = 59},
  [69] = {.lex_state = 59},
  [70] = {.lex_state = 144},
  [71] = {.lex_state = 144},
  [72] = {.lex_state = 59},
  [73] = {.lex_state = 59},
  [74] = {.lex_state = 144},
  [75] = {.lex_state = 144},
  [76] = {.lex_state = 144},
  [77] = {.lex_state = 59},
  [78] = {.lex_state = 144},
  [79] = {.lex_state = 144},
  [80] = {.lex_state = 144},
  [81] = {.lex_state = 144},
  [82] = {.lex_state = 144},
  [83] = {.lex_state = 144},
  [84] = {.lex_state = 144},
  [85] = {.lex_state = 144},
  [86] = {.lex_state = 144},
  [87] = {.lex_state = 144},
  [88] = {.lex_state = 144},
  [89] = {.lex_state = 144},
  [90] = {.lex_state = 57},
  [91] = {.lex_state = 57},
  [92] = {.lex_state = 57},
  [93] = {.lex_state = 57},
  [94] = {.lex_state = 57},
  [95] = {.lex_state = 57},
  [96] = {.lex_state = 57},
  [97] = {.lex_state = 57},
  [98] = {.lex_state = 57},
  [99] = {.lex_state = 57},
  [100] = {.lex_state = 57},
  [101] = {.lex_state = 57},
  [102] = {.lex_state = 57},
  [103] = {.lex_state = 144},
  [104] = {.lex_state = 57},
  [105] = {.lex_state = 57},
  [106] = {.lex_state = 57},
  [107] = {.lex_state = 57},
  [108] = {.lex_state = 57},
  [109] = {.lex_state = 57},
  [110] = {.lex_state = 57},
  [111] = {.lex_state = 57},
  [112] = {.lex_state = 57},
  [113] = {.lex_state = 57},
  [114] = {.lex_state = 57},
  [115] = {.lex_state = 57},
  [116] = {.lex_state = 57},
  [117] = {.lex_state = 57},
  [118] = {.lex_state = 57},
  [119] = {.lex_state = 57},
  [120] = {.lex_state = 57},
  [121] = {.lex_state = 57},
  [122] = {.lex_state = 57},
  [123] = {.lex_state = 57},
  [124] = {.lex_state = 57},
  [125] = {.lex_state = 57},
  [126] = {.lex_state = 57},
  [127] = {.lex_state = 57},
  [128] = {.lex_state = 57},
  [129] = {.lex_state = 57},
  [130] = {.lex_state = 57},
  [131] = {.lex_state = 57},
  [132] = {.lex_state = 57},
  [133] = {.lex_state = 144},
  [134] = {.lex_state = 57},
  [135] = {.lex_state = 57},
  [136] = {.lex_state = 57},
  [137] = {.lex_state = 57},
  [138] = {.lex_state = 57},
  [139] = {.lex_state = 57},
  [140] = {.lex_state = 57},
  [141] = {.lex_state = 57},
  [142] = {.lex_state = 57},
  [143] = {.lex_state = 57},
  [144] = {.lex_state = 57},
  [145] = {.lex_state = 57},
  [146] = {.lex_state = 57},
  [147] = {.lex_state = 57},
  [148] = {.lex_state = 57},
  [149] = {.lex_state = 57},
  [150] = {.lex_state = 57},
  [151] = {.lex_state = 57},
  [152] = {.lex_state = 57},
  [153] = {.lex_state = 57},
  [154] = {.lex_state = 57},
  [155] = {.lex_state = 57},
  [156] = {.lex_state = 60},
  [157] = {.lex_state = 57},
  [158] = {.lex_state = 57},
  [159] = {.lex_state = 57},
  [160] = {.lex_state = 57},
  [161] = {.lex_state = 57},
  [162] = {.lex_state = 57},
  [163] = {.lex_state = 57},
  [164] = {.lex_state = 57},
  [165] = {.lex_state = 57},
  [166] = {.lex_state = 57},
  [167] = {.lex_state = 57},
  [168] = {.lex_state = 57},
  [169] = {.lex_state = 57},
  [170] = {.lex_state = 57},
  [171] = {.lex_state = 57},
  [172] = {.lex_state = 57},
  [173] = {.lex_state = 57},
  [174] = {.lex_state = 57},
  [175] = {.lex_state = 57},
  [176] = {.lex_state = 57},
  [177] = {.lex_state = 57},
  [178] = {.lex_state = 57},
  [179] = {.lex_state = 57},
  [180] = {.lex_state = 57},
  [181] = {.lex_state = 57},
  [182] = {.lex_state = 57},
  [183] = {.lex_state = 57},
  [184] = {.lex_state = 57},
  [185] = {.lex_state = 57},
  [186] = {.lex_state = 57},
  [187] = {.lex_state = 57},
  [188] = {.lex_state = 57},
  [189] = {.lex_state = 57},
  [190] = {.lex_state = 57},
  [191] = {.lex_state = 57},
  [192] = {.lex_state = 57},
  [193] = {.lex_state = 57},
  [194] = {.lex_state = 57},
  [195] = {.lex_state = 57},
  [196] = {.lex_state = 57},
  [197] = {.lex_state = 60},
  [198] = {.lex_state = 60},
  [199] = {.lex_state = 60},
  [200] = {.lex_state = 60},
  [201] = {.lex_state = 60},
  [202] = {.lex_state = 60},
  [203] = {.lex_state = 60},
  [204] = {.lex_state = 60},
  [205] = {.lex_state = 60},
  [206] = {.lex_state = 60},
  [207] = {.lex_state = 60},
  [208] = {.lex_state = 60},
  [209] = {.lex_state = 60},
  [210] = {.lex_state = 60},
  [211] = {.lex_state = 60},
  [212] = {.lex_state = 60},
  [213] = {.lex_state = 60},
  [214] = {.lex_state = 60},
  [215] = {.lex_state = 60},
  [216] = {.lex_state = 60},
  [217] = {.lex_state = 60},
  [218] = {.lex_state = 60},
  [219] = {.lex_state = 60},
  [220] = {.lex_state = 60},
  [221] = {.lex_state = 60},
  [222] = {.lex_state = 60},
  [223] = {.lex_state = 60},
  [224] = {.lex_state = 60},
  [225] = {.lex_state = 60},
  [226] = {.lex_state = 60},
  [227] = {.lex_state = 60},
  [228] = {.lex_state = 60},
  [229] = {.lex_state = 60},
  [230] = {.lex_state = 60},
  [231] = {.lex_state = 60},
  [232] = {.lex_state = 60},
  [233] = {.lex_state = 60},
  [234] = {.lex_state = 60},
  [235] = {.lex_state = 60},
  [236] = {.lex_state = 60},
  [237] = {.lex_state = 60},
  [238] = {.lex_state = 60},
  [239] = {.lex_state = 60},
  [240] = {.lex_state = 60},
  [241] = {.lex_state = 60},
  [242] = {.lex_state = 60},
  [243] = {.lex_state = 60},
  [244] = {.lex_state = 60},
  [245] = {.lex_state = 60},
  [246] = {.lex_state = 60},
  [247] = {.lex_state = 60},
  [248] = {.lex_state = 60},
  [249] = {.lex_state = 60},
  [250] = {.lex_state = 60},
  [251] = {.lex_state = 60},
  [252] = {.lex_state = 60},
  [253] = {.lex_state = 60},
  [254] = {.lex_state = 60},
  [255] = {.lex_state = 60},
  [256] = {.lex_state = 60},
  [257] = {.lex_state = 60},
  [258] = {.lex_state = 60},
  [259] = {.lex_state = 60},
  [260] = {.lex_state = 60},
  [261] = {.lex_state = 60},
  [262] = {.lex_state = 60},
  [263] = {.lex_state = 60},
  [264] = {.lex_state = 60},
  [265] = {.lex_state = 60},
  [266] = {.lex_state = 60},
  [267] = {.lex_state = 60},
  [268] = {.lex_state = 60},
  [269] = {.lex_state = 60},
  [270] = {.lex_state = 60},
  [271] = {.lex_state = 60},
  [272] = {.lex_state = 60},
  [273] = {.lex_state = 60},
  [274] = {.lex_state = 60},
  [275] = {.lex_state = 59},
  [276] = {.lex_state = 60},
  [277] = {.lex_state = 60},
  [278] = {.lex_state = 60},
  [279] = {.lex_state = 60},
  [280] = {.lex_state = 60},
  [281] = {.lex_state = 60},
  [282] = {.lex_state = 60},
  [283] = {.lex_state = 60},
  [284] = {.lex_state = 60},
  [285] = {.lex_state = 60},
  [286] = {.lex_state = 60},
  [287] = {.lex_state = 60},
  [288] = {.lex_state = 144},
  [289] = {.lex_state = 60},
  [290] = {.lex_state = 60},
  [291] = {.lex_state = 60},
  [292] = {.lex_state = 60},
  [293] = {.lex_state = 60},
  [294] = {.lex_state = 60},
  [295] = {.lex_state = 60},
  [296] = {.lex_state = 60},
  [297] = {.lex_state = 60},
  [298] = {.lex_state = 60},
  [299] = {.lex_state = 60},
  [300] = {.lex_state = 144},
  [301] = {.lex_state = 60},
  [302] = {.lex_state = 60},
  [303] = {.lex_state = 144},
  [304] = {.lex_state = 144},
  [305] = {.lex_state = 59},
  [306] = {.lex_state = 144},
  [307] = {.lex_state = 59},
  [308] = {.lex_state = 144},
  [309] = {.lex_state = 59},
  [310] = {.lex_state = 59},
  [311] = {.lex_state = 59},
  [312] = {.lex_state = 59},
  [313] = {.lex_state = 59},
  [314] = {.lex_state = 59},
  [315] = {.lex_state = 59},
  [316] = {.lex_state = 144},
  [317] = {.lex_state = 144},
  [318] = {.lex_state = 59},
  [319] = {.lex_state = 59},
  [320] = {.lex_state = 59},
  [321] = {.lex_state = 59},
  [322] = {.lex_state = 59},
  [323] = {.lex_state = 59},
  [324] = {.lex_state = 59},
  [325] = {.lex_state = 59},
  [326] = {.lex_state = 59},
  [327] = {.lex_state = 59},
  [328] = {.lex_state = 59},
  [329] = {.lex_state = 59},
  [330] = {.lex_state = 59},
  [331] = {.lex_state = 59},
  [332] = {.lex_state = 144},
  [333] = {.lex_state = 59},
  [334] = {.lex_state = 59},
  [335] = {.lex_state = 59},
  [336] = {.lex_state = 59},
  [337] = {.lex_state = 59},
  [338] = {.lex_state = 59},
  [339] = {.lex_state = 59},
  [340] = {.lex_state = 59},
  [341] = {.lex_state = 59},
  [342] = {.lex_state = 59},
  [343] = {.lex_state = 59},
  [344] = {.lex_state = 59},
  [345] = {.lex_state = 59},
  [346] = {.lex_state = 59},
  [347] = {.lex_state = 59},
  [348] = {.lex_state = 59},
  [349] = {.lex_state = 59},
  [350] = {.lex_state = 59},
  [351] = {.lex_state = 59},
  [352] = {.lex_state = 59},
  [353] = {.lex_state = 59},
  [354] = {.lex_state = 59},
  [355] = {.lex_state = 59},
  [356] = {.lex_state = 59},
  [357] = {.lex_state = 144},
  [358] = {.lex_state = 59},
  [359] = {.lex_state = 59},
  [360] = {.lex_state = 144},
  [361] = {.lex_state = 59},
  [362] = {.lex_state = 59},
  [363] = {.lex_state = 59},
  [364] = {.lex_state = 59},
  [365] = {.lex_state = 59},
  [366] = {.lex_state = 59},
  [367] = {.lex_state = 59},
  [368] = {.lex_state = 59},
  [369] = {.lex_state = 59},
  [370] = {.lex_state = 59},
  [371] = {.lex_state = 59},
  [372] = {.lex_state = 59},
  [373] = {.lex_state = 59},
  [374] = {.lex_state = 59},
  [375] = {.lex_state = 144},
  [376] = {.lex_state = 144},
  [377] = {.lex_state = 144},
  [378] = {.lex_state = 144},
  [379] = {.lex_state = 144},
  [380] = {.lex_state = 144},
  [381] = {.lex_state = 144},
  [382] = {.lex_state = 144},
  [383] = {.lex_state = 144},
  [384] = {.lex_state = 144},
  [385] = {.lex_state = 144},
  [386] = {.lex_state = 144},
  [387] = {.lex_state = 144},
  [388] = {.lex_state = 144},
  [389] = {.lex_state = 144},
  [390] = {.lex_state = 144},
  [391] = {.lex_state = 144},
  [392] = {.lex_state = 144},
  [393] = {.lex_state = 144},
  [394] = {.lex_state = 144},
  [395] = {.lex_state = 144},
  [396] = {.lex_state = 144},
  [397] = {.lex_state = 144},
  [398] = {.lex_state = 144},
  [399] = {.lex_state = 144},
  [400] = {.lex_state = 144},
  [401] = {.lex_state = 144},
  [402] = {.lex_state = 144},
  [403] = {.lex_state = 144},
  [404] = {.lex_state = 144},
  [405] = {.lex_state = 144},
  [406] = {.lex_state = 144},
  [407] = {.lex_state = 144},
  [408] = {.lex_state = 144},
  [409] = {.lex_state = 144},
  [410] = {.lex_state = 144},
  [411] = {.lex_state = 144},
  [412] = {.lex_state = 144},
  [413] = {.lex_state = 144},
  [414] = {.lex_state = 144},
  [415] = {.lex_state = 144},
  [416] = {.lex_state = 144},
  [417] = {.lex_state = 144},
  [418] = {.lex_state = 144},
  [419] = {.lex_state = 144},
  [420] = {.lex_state = 144},
  [421] = {.lex_state = 144},
  [422] = {.lex_state = 144},
  [423] = {.lex_state = 144},
  [424] = {.lex_state = 144},
  [425] = {.lex_state = 144},
  [426] = {.lex_state = 144},
  [427] = {.lex_state = 144},
  [428] = {.lex_state = 144},
  [429] = {.lex_state = 144},
  [430] = {.lex_state = 144},
  [431] = {.lex_state = 144},
  [432] = {.lex_state = 144},
  [433] = {.lex_state = 144},
  [434] = {.lex_state = 144},
  [435] = {.lex_state = 144},
  [436] = {.lex_state = 144},
  [437] = {.lex_state = 144},
  [438] = {.lex_state = 144},
  [439] = {.lex_state = 144},
  [440] = {.lex_state = 144},
  [441] = {.lex_state = 144},
  [442] = {.lex_state = 144},
  [443] = {.lex_state = 144},
  [444] = {.lex_state = 144},
  [445] = {.lex_state = 144},
  [446] = {.lex_state = 144},
  [447] = {.lex_state = 144},
  [448] = {.lex_state = 144},
  [449] = {.lex_state = 144},
  [450] = {.lex_state = 144},
  [451] = {.lex_state = 144},
  [452] = {.lex_state = 144},
  [453] = {.lex_state = 144},
  [454] = {.lex_state = 144},
  [455] = {.lex_state = 144},
  [456] = {.lex_state = 144},
  [457] = {.lex_state = 144},
  [458] = {.lex_state = 144},
  [459] = {.lex_state = 144},
  [460] = {.lex_state = 144},
  [461] = {.lex_state = 144},
  [462] = {.lex_state = 144},
  [463] = {.lex_state = 144},
  [464] = {.lex_state = 144},
  [465] = {.lex_state = 144},
  [466] = {.lex_state = 144},
  [467] = {.lex_state = 144},
  [468] = {.lex_state = 144},
  [469] = {.lex_state = 144},
  [470] = {.lex_state = 144},
  [471] = {.lex_state = 144},
  [472] = {.lex_state = 144},
  [473] = {.lex_state = 144},
  [474] = {.lex_state = 144},
  [475] = {.lex_state = 144},
  [476] = {.lex_state = 144},
  [477] = {.lex_state = 144},
  [478] = {.lex_state = 144},
  [479] = {.lex_state = 144},
  [480] = {.lex_state = 144},
  [481] = {.lex_state = 144},
  [482] = {.lex_state = 144},
  [483] = {.lex_state = 144},
  [484] = {.lex_state = 144},
  [485] = {.lex_state = 144},
  [486] = {.lex_state = 144},
  [487] = {.lex_state = 144},
  [488] = {.lex_state = 144},
  [489] = {.lex_state = 144},
  [490] = {.lex_state = 59},
  [491] = {.lex_state = 59},
  [492] = {.lex_state = 144},
  [493] = {.lex_state = 144},
  [494] = {.lex_state = 144},
  [495] = {.lex_state = 144},
  [496] = {.lex_state = 144},
  [497] = {.lex_state = 144},
  [498] = {.lex_state = 144},
  [499] = {.lex_state = 144},
  [500] = {.lex_state = 59},
  [501] = {.lex_state = 59},
  [502] = {.lex_state = 59},
  [503] = {.lex_state = 59},
  [504] = {.lex_state = 144},
  [505] = {.lex_state = 144},
  [506] = {.lex_state = 59},
  [507] = {.lex_state = 59},
  [508] = {.lex_state = 59},
  [509] = {.lex_state = 59},
  [510] = {.lex_state = 59},
  [511] = {.lex_state = 59},
  [512] = {.lex_state = 59},
  [513] = {.lex_state = 144},
  [514] = {.lex_state = 144},
  [515] = {.lex_state = 144},
  [516] = {.lex_state = 59},
  [517] = {.lex_state = 59},
  [518] = {.lex_state = 59},
  [519] = {.lex_state = 59},
  [520] = {.lex_state = 59},
  [521] = {.lex_state = 59},
  [522] = {.lex_state = 144},
  [523] = {.lex_state = 59},
  [524] = {.lex_state = 59},
  [525] = {.lex_state = 59},
  [526] = {.lex_state = 59},
  [527] = {.lex_state = 59},
  [528] = {.lex_state = 59},
  [529] = {.lex_state = 59},
  [530] = {.lex_state = 59},
  [531] = {.lex_state = 59},
  [532] = {.lex_state = 59},
  [533] = {.lex_state = 59},
  [534] = {.lex_state = 59},
  [535] = {.lex_state = 59},
  [536] = {.lex_state = 59},
  [537] = {.lex_state = 59},
  [538] = {.lex_state = 59},
  [539] = {.lex_state = 59},
  [540] = {.lex_state = 59},
  [541] = {.lex_state = 144},
  [542] = {.lex_state = 144},
  [543] = {.lex_state = 59},
  [544] = {.lex_state = 59},
  [545] = {.lex_state = 144},
  [546] = {.lex_state = 144},
  [547] = {.lex_state = 59},
  [548] = {.lex_state = 144},
  [549] = {.lex_state = 144},
  [550] = {.lex_state = 144},
  [551] = {.lex_state = 144},
  [552] = {.lex_state = 144},
  [553] = {.lex_state = 144},
  [554] = {.lex_state = 144},
  [555] = {.lex_state = 144},
  [556] = {.lex_state = 144},
  [557] = {.lex_state = 144},
  [558] = {.lex_state = 144},
  [559] = {.lex_state = 144},
  [560] = {.lex_state = 144},
  [561] = {.lex_state = 144},
  [562] = {.lex_state = 144},
  [563] = {.lex_state = 144},
  [564] = {.lex_state = 144},
  [565] = {.lex_state = 144},
  [566] = {.lex_state = 144},
  [567] = {.lex_state = 144},
  [568] = {.lex_state = 144},
  [569] = {.lex_state = 144},
  [570] = {.lex_state = 144},
  [571] = {.lex_state = 144},
  [572] = {.lex_state = 144},
  [573] = {.lex_state = 144},
  [574] = {.lex_state = 144},
  [575] = {.lex_state = 144},
  [576] = {.lex_state = 144},
  [577] = {.lex_state = 144},
  [578] = {.lex_state = 144},
  [579] = {.lex_state = 144},
  [580] = {.lex_state = 144},
  [581] = {.lex_state = 144},
  [582] = {.lex_state = 144},
  [583] = {.lex_state = 144},
  [584] = {.lex_state = 144},
  [585] = {.lex_state = 144},
  [586] = {.lex_state = 144},
  [587] = {.lex_state = 144},
  [588] = {.lex_state = 144},
  [589] = {.lex_state = 144},
  [590] = {.lex_state = 144},
  [591] = {.lex_state = 144},
  [592] = {.lex_state = 144},
  [593] = {.lex_state = 144},
  [594] = {.lex_state = 144},
  [595] = {.lex_state = 144},
  [596] = {.lex_state = 144},
  [597] = {.lex_state = 144},
  [598] = {.lex_state = 144},
  [599] = {.lex_state = 144},
  [600] = {.lex_state = 144},
  [601] = {.lex_state = 144},
  [602] = {.lex_state = 144},
  [603] = {.lex_state = 144},
  [604] = {.lex_state = 144},
  [605] = {.lex_state = 144},
  [606] = {.lex_state = 144},
  [607] = {.lex_state = 144},
  [608] = {.lex_state = 144},
  [609] = {.lex_state = 144},
  [610] = {.lex_state = 144},
  [611] = {.lex_state = 144},
  [612] = {.lex_state = 67},
  [613] = {.lex_state = 67},
  [614] = {.lex_state = 67},
  [615] = {.lex_state = 67},
  [616] = {.lex_state = 67},
  [617] = {.lex_state = 67},
  [618] = {.lex_state = 67},
  [619] = {.lex_state = 67},
  [620] = {.lex_state = 68},
  [621] = {.lex_state = 68},
  [622] = {.lex_state = 68},
  [623] = {.lex_state = 68},
  [624] = {.lex_state = 68},
  [625] = {.lex_state = 68},
  [626] = {.lex_state = 68},
  [627] = {.lex_state = 68},
  [628] = {.lex_state = 67},
  [629] = {.lex_state = 68},
  [630] = {.lex_state = 68},
  [631] = {.lex_state = 68},
  [632] = {.lex_state = 68},
  [633] = {.lex_state = 68},
  [634] = {.lex_state = 73},
  [635] = {.lex_state = 73},
  [636] = {.lex_state = 73},
  [637] = {.lex_state = 74},
  [638] = {.lex_state = 74},
  [639] = {.lex_state = 74},
  [640] = {.lex_state = 67},
  [641] = {.lex_state = 67},
  [642] = {.lex_state = 67},
  [643] = {.lex_state = 67},
  [644] = {.lex_state = 67},
  [645] = {.lex_state = 55},
  [646] = {.lex_state = 55},
  [647] = {.lex_state = 67},
  [648] = {.lex_state = 144},
  [649] = {.lex_state = 144},
  [650] = {.lex_state = 144},
  [651] = {.lex_state = 144},
  [652] = {.lex_state = 144},
  [653] = {.lex_state = 144},
  [654] = {.lex_state = 144},
  [655] = {.lex_state = 144},
  [656] = {.lex_state = 144},
  [657] = {.lex_state = 144},
  [658] = {.lex_state = 144},
  [659] = {.lex_state = 144},
  [660] = {.lex_state = 144},
  [661] = {.lex_state = 144},
  [662] = {.lex_state = 144},
  [663] = {.lex_state = 144},
  [664] = {.lex_state = 144},
  [665] = {.lex_state = 144},
  [666] = {.lex_state = 144},
  [667] = {.lex_state = 144},
  [668] = {.lex_state = 144},
  [669] = {.lex_state = 144},
  [670] = {.lex_state = 144},
  [671] = {.lex_state = 144},
  [672] = {.lex_state = 144},
  [673] = {.lex_state = 144},
  [674] = {.lex_state = 144},
  [675] = {.lex_state = 144},
  [676] = {.lex_state = 144},
  [677] = {.lex_state = 144},
  [678] = {.lex_state = 56},
  [679] = {.lex_state = 144},
  [680] = {.lex_state = 144},
  [681] = {.lex_state = 144},
  [682] = {.lex_state = 144},
  [683] = {.lex_state = 144},
  [684] = {.lex_state = 144},
  [685] = {.lex_state = 144},
  [686] = {.lex_state = 144},
  [687] = {.lex_state = 144},
  [688] = {.lex_state = 144},
  [689] = {.lex_state = 144},
  [690] = {.lex_state = 144},
  [691] = {.lex_state = 144},
  [692] = {.lex_state = 144},
  [693] = {.lex_state = 144},
  [694] = {.lex_state = 144},
  [695] = {.lex_state = 144},
  [696] = {.lex_state = 55},
  [697] = {.lex_state = 67},
  [698] = {.lex_state = 67},
  [699] = {.lex_state = 67},
  [700] = {.lex_state = 67},
  [701] = {.lex_state = 67},
  [702] = {.lex_state = 144},
  [703] = {.lex_state = 144},
  [704] = {.lex_state = 144},
  [705] = {.lex_state = 144},
  [706] = {.lex_state = 144},
  [707] = {.lex_state = 144},
  [708] = {.lex_state = 144},
  [709] = {.lex_state = 144},
  [710] = {.lex_state = 144},
  [711] = {.lex_state = 144},
  [712] = {.lex_state = 144},
  [713] = {.lex_state = 144},
  [714] = {.lex_state = 144},
  [715] = {.lex_state = 144},
  [716] = {.lex_state = 144},
  [717] = {.lex_state = 144},
  [718] = {.lex_state = 67},
  [719] = {.lex_state = 67},
  [720] = {.lex_state = 67},
  [721] = {.lex_state = 67},
  [722] = {.lex_state = 67},
  [723] = {.lex_state = 67},
  [724] = {.lex_state = 67},
  [725] = {.lex_state = 67},
  [726] = {.lex_state = 67},
  [727] = {.lex_state = 67},
  [728] = {.lex_state = 67},
  [729] = {.lex_state = 144},
  [730] = {.lex_state = 55},
  [731] = {.lex_state = 144},
  [732] = {.lex_state = 55},
  [733] = {.lex_state = 56},
  [734] = {.lex_state = 63},
  [735] = {.lex_state = 63},
  [736] = {.lex_state = 63},
  [737] = {.lex_state = 63},
  [738] = {.lex_state = 63},
  [739] = {.lex_state = 63},
  [740] = {.lex_state = 63},
  [741] = {.lex_state = 63},
  [742] = {.lex_state = 63},
  [743] = {.lex_state = 63},
  [744] = {.lex_state = 55},
  [745] = {.lex_state = 63},
  [746] = {.lex_state = 63},
  [747] = {.lex_state = 144},
  [748] = {.lex_state = 67},
  [749] = {.lex_state = 67},
  [750] = {.lex_state = 67},
  [751] = {.lex_state = 67},
  [752] = {.lex_state = 67},
  [753] = {.lex_state = 67},
  [754] = {.lex_state = 67},
  [755] = {.lex_state = 67},
  [756] = {.lex_state = 67},
  [757] = {.lex_state = 67},
  [758] = {.lex_state = 67},
  [759] = {.lex_state = 67},
  [760] = {.lex_state = 67},
  [761] = {.lex_state = 67},
  [762] = {.lex_state = 67},
  [763] = {.lex_state = 67},
  [764] = {.lex_state = 67},
  [765] = {.lex_state = 67},
  [766] = {.lex_state = 67},
  [767] = {.lex_state = 67},
  [768] = {.lex_state = 67},
  [769] = {.lex_state = 67},
  [770] = {.lex_state = 68},
  [771] = {.lex_state = 68},
  [772] = {.lex_state = 68},
  [773] = {.lex_state = 68},
  [774] = {.lex_state = 68},
  [775] = {.lex_state = 68},
  [776] = {.lex_state = 68},
  [777] = {.lex_state = 68},
  [778] = {.lex_state = 68},
  [779] = {.lex_state = 68},
  [780] = {.lex_state = 68},
  [781] = {.lex_state = 68},
  [782] = {.lex_state = 68},
  [783] = {.lex_state = 68},
  [784] = {.lex_state = 68},
  [785] = {.lex_state = 68},
  [786] = {.lex_state = 68},
  [787] = {.lex_state = 68},
  [788] = {.lex_state = 68},
  [789] = {.lex_state = 68},
  [790] = {.lex_state = 68},
  [791] = {.lex_state = 68},
  [792] = {.lex_state = 67},
  [793] = {.lex_state = 67},
  [794] = {.lex_state = 73},
  [795] = {.lex_state = 74},
  [796] = {.lex_state = 73},
  [797] = {.lex_state = 74},
  [798] = {.lex_state = 74},
  [799] = {.lex_state = 74},
  [800] = {.lex_state = 74},
  [801] = {.lex_state = 73},
  [802] = {.lex_state = 74},
  [803] = {.lex_state = 73},
  [804] = {.lex_state = 73},
  [805] = {.lex_state = 74},
  [806] = {.lex_state = 73},
  [807] = {.lex_state = 73},
  [808] = {.lex_state = 73},
  [809] = {.lex_state = 73},
  [810] = {.lex_state = 74},
  [811] = {.lex_state = 74},
  [812] = {.lex_state = 73},
  [813] = {.lex_state = 73},
  [814] = {.lex_state = 74},
  [815] = {.lex_state = 73},
  [816] = {.lex_state = 73},
  [817] = {.lex_state = 74},
  [818] = {.lex_state = 73},
  [819] = {.lex_state = 74},
  [820] = {.lex_state = 74},
  [821] = {.lex_state = 73},
  [822] = {.lex_state = 73},
  [823] = {.lex_state = 74},
  [824] = {.lex_state = 74},
  [825] = {.lex_state = 74},
  [826] = {.lex_state = 74},
  [827] = {.lex_state = 74},
  [828] = {.lex_state = 74},
  [829] = {.lex_state = 73},
  [830] = {.lex_state = 73},
  [831] = {.lex_state = 74},
  [832] = {.lex_state = 74},
  [833] = {.lex_state = 73},
  [834] = {.lex_state = 73},
  [835] = {.lex_state = 74},
  [836] = {.lex_state = 73},
  [837] = {.lex_state = 73},
  [838] = {.lex_state = 144},
  [839] = {.lex_state = 67},
  [840] = {.lex_state = 144},
  [841] = {.lex_state = 144},
  [842] = {.lex_state = 144},
  [843] = {.lex_state = 144},
  [844] = {.lex_state = 144},
  [845] = {.lex_state = 67},
  [846] = {.lex_state = 144},
  [847] = {.lex_state = 144},
  [848] = {.lex_state = 144},
  [849] = {.lex_state = 144},
  [850] = {.lex_state = 144},
  [851] = {.lex_state = 144},
  [852] = {.lex_state = 67},
  [853] = {.lex_state = 144},
  [854] = {.lex_state = 144},
  [855] = {.lex_state = 144},
  [856] = {.lex_state = 144},
  [857] = {.lex_state = 67},
  [858] = {.lex_state = 144},
  [859] = {.lex_state = 67},
  [860] = {.lex_state = 67},
  [861] = {.lex_state = 67},
  [862] = {.lex_state = 67},
  [863] = {.lex_state = 67},
  [864] = {.lex_state = 67},
  [865] = {.lex_state = 67},
  [866] = {.lex_state = 67},
  [867] = {.lex_state = 67},
  [868] = {.lex_state = 67},
  [869] = {.lex_state = 144},
  [870] = {.lex_state = 144},
  [871] = {.lex_state = 144},
  [872] = {.lex_state = 144},
  [873] = {.lex_state = 144},
  [874] = {.lex_state = 144},
  [875] = {.lex_state = 144},
  [876] = {.lex_state = 144},
  [877] = {.lex_state = 144},
  [878] = {.lex_state = 144},
  [879] = {.lex_state = 144},
  [880] = {.lex_state = 144},
  [881] = {.lex_state = 144},
  [882] = {.lex_state = 144},
  [883] = {.lex_state = 144},
  [884] = {.lex_state = 144},
  [885] = {.lex_state = 144},
  [886] = {.lex_state = 144},
  [887] = {.lex_state = 144},
  [888] = {.lex_state = 144},
  [889] = {.lex_state = 144},
  [890] = {.lex_state = 144},
  [891] = {.lex_state = 144},
  [892] = {.lex_state = 144},
  [893] = {.lex_state = 144},
  [894] = {.lex_state = 144},
  [895] = {.lex_state = 144},
  [896] = {.lex_state = 144},
  [897] = {.lex_state = 144},
  [898] = {.lex_state = 144},
  [899] = {.lex_state = 144},
  [900] = {.lex_state = 144},
  [901] = {.lex_state = 144},
  [902] = {.lex_state = 144},
  [903] = {.lex_state = 144},
  [904] = {.lex_state = 144},
  [905] = {.lex_state = 144},
  [906] = {.lex_state = 144},
  [907] = {.lex_state = 144},
  [908] = {.lex_state = 144},
  [909] = {.lex_state = 144},
  [910] = {.lex_state = 144},
  [911] = {.lex_state = 144},
  [912] = {.lex_state = 144},
  [913] = {.lex_state = 144},
  [914] = {.lex_state = 144},
  [915] = {.lex_state = 144},
  [916] = {.lex_state = 144},
  [917] = {.lex_state = 144},
  [918] = {.lex_state = 144},
  [919] = {.lex_state = 144},
  [920] = {.lex_state = 144},
  [921] = {.lex_state = 144},
  [922] = {.lex_state = 144},
  [923] = {.lex_state = 144},
  [924] = {.lex_state = 144},
  [925] = {.lex_state = 144},
  [926] = {.lex_state = 144},
  [927] = {.lex_state = 144},
  [928] = {.lex_state = 144},
  [929] = {.lex_state = 144},
  [930] = {.lex_state = 144},
  [931] = {.lex_state = 144},
  [932] = {.lex_state = 144},
  [933] = {.lex_state = 144},
  [934] = {.lex_state = 144},
  [935] = {.lex_state = 144},
  [936] = {.lex_state = 144},
  [937] = {.lex_state = 144},
  [938] = {.lex_state = 144},
  [939] = {.lex_state = 144},
  [940] = {.lex_state = 144},
  [941] = {.lex_state = 144},
  [942] = {.lex_state = 144},
  [943] = {.lex_state = 144},
  [944] = {.lex_state = 144},
  [945] = {.lex_state = 144},
  [946] = {.lex_state = 144},
  [947] = {.lex_state = 144},
  [948] = {.lex_state = 144},
  [949] = {.lex_state = 144},
  [950] = {.lex_state = 144},
  [951] = {.lex_state = 144},
  [952] = {.lex_state = 144},
  [953] = {.lex_state = 144},
  [954] = {.lex_state = 144},
  [955] = {.lex_state = 144},
  [956] = {.lex_state = 144},
  [957] = {.lex_state = 144},
  [958] = {.lex_state = 144},
  [959] = {.lex_state = 144},
  [960] = {.lex_state = 144},
  [961] = {.lex_state = 144},
  [962] = {.lex_state = 144},
  [963] = {.lex_state = 144},
  [964] = {.lex_state = 144},
  [965] = {.lex_state = 144},
  [966] = {.lex_state = 144},
  [967] = {.lex_state = 144},
  [968] = {.lex_state = 144},
  [969] = {.lex_state = 144},
  [970] = {.lex_state = 144},
  [971] = {.lex_state = 144},
  [972] = {.lex_state = 144},
  [973] = {.lex_state = 144},
  [974] = {.lex_state = 144},
  [975] = {.lex_state = 144},
  [976] = {.lex_state = 144},
  [977] = {.lex_state = 144},
  [978] = {.lex_state = 144},
  [979] = {.lex_state = 144},
  [980] = {.lex_state = 144},
  [981] = {.lex_state = 144},
  [982] = {.lex_state = 144},
  [983] = {.lex_state = 144},
  [984] = {.lex_state = 144},
  [985] = {.lex_state = 144},
  [986] = {.lex_state = 144},
  [987] = {.lex_state = 144},
  [988] = {.lex_state = 144},
  [989] = {.lex_state = 144},
  [990] = {.lex_state = 144},
  [991] = {.lex_state = 144},
  [992] = {.lex_state = 144},
  [993] = {.lex_state = 144},
  [994] = {.lex_state = 144},
  [995] = {.lex_state = 144},
  [996] = {.lex_state = 144},
  [997] = {.lex_state = 144},
  [998] = {.lex_state = 144},
  [999] = {.lex_state = 144},
  [1000] = {.lex_state = 144},
  [1001] = {.lex_state = 144},
  [1002] = {.lex_state = 144},
  [1003] = {.lex_state = 144},
  [1004] = {.lex_state = 144},
  [1005] = {.lex_state = 144},
  [1006] = {.lex_state = 144},
  [1007] = {.lex_state = 144},
  [1008] = {.lex_state = 144},
  [1009] = {.lex_state = 144},
  [1010] = {.lex_state = 144},
  [1011] = {.lex_state = 144},
  [1012] = {.lex_state = 144},
  [1013] = {.lex_state = 144},
  [1014] = {.lex_state = 144},
  [1015] = {.lex_state = 144},
  [1016] = {.lex_state = 144},
  [1017] = {.lex_state = 144},
  [1018] = {.lex_state = 144},
  [1019] = {.lex_state = 144},
  [1020] = {.lex_state = 144},
  [1021] = {.lex_state = 144},
  [1022] = {.lex_state = 144},
  [1023] = {.lex_state = 144},
  [1024] = {.lex_state = 144},
  [1025] = {.lex_state = 144},
  [1026] = {.lex_state = 144},
  [1027] = {.lex_state = 144},
  [1028] = {.lex_state = 144},
  [1029] = {.lex_state = 144},
  [1030] = {.lex_state = 144},
  [1031] = {.lex_state = 144},
  [1032] = {.lex_state = 144},
  [1033] = {.lex_state = 144},
  [1034] = {.lex_state = 144},
  [1035] = {.lex_state = 144},
  [1036] = {.lex_state = 144},
  [1037] = {.lex_state = 144},
  [1038] = {.lex_state = 144},
  [1039] = {.lex_state = 144},
  [1040] = {.lex_state = 144},
  [1041] = {.lex_state = 144},
  [1042] = {.lex_state = 144},
  [1043] = {.lex_state = 144},
  [1044] = {.lex_state = 144},
  [1045] = {.lex_state = 144},
  [1046] = {.lex_state = 144},
  [1047] = {.lex_state = 144},
  [1048] = {.lex_state = 144},
  [1049] = {.lex_state = 144},
  [1050] = {.lex_state = 144},
  [1051] = {.lex_state = 144},
  [1052] = {.lex_state = 144},
  [1053] = {.lex_state = 144},
  [1054] = {.lex_state = 144},
  [1055] = {.lex_state = 144},
  [1056] = {.lex_state = 144},
  [1057] = {.lex_state = 144},
  [1058] = {.lex_state = 144},
  [1059] = {.lex_state = 144},
  [1060] = {.lex_state = 144},
  [1061] = {.lex_state = 144},
  [1062] = {.lex_state = 144},
  [1063] = {.lex_state = 144},
  [1064] = {.lex_state = 144},
  [1065] = {.lex_state = 144},
  [1066] = {.lex_state = 144},
  [1067] = {.lex_state = 144},
  [1068] = {.lex_state = 144},
  [1069] = {.lex_state = 144},
  [1070] = {.lex_state = 144},
  [1071] = {.lex_state = 63},
  [1072] = {.lex_state = 63},
  [1073] = {.lex_state = 63},
  [1074] = {.lex_state = 63},
  [1075] = {.lex_state = 63},
  [1076] = {.lex_state = 63},
  [1077] = {.lex_state = 63},
  [1078] = {.lex_state = 65},
  [1079] = {.lex_state = 65},
  [1080] = {.lex_state = 65},
  [1081] = {.lex_state = 65},
  [1082] = {.lex_state = 65},
  [1083] = {.lex_state = 65},
  [1084] = {.lex_state = 65},
  [1085] = {.lex_state = 65},
  [1086] = {.lex_state = 65},
  [1087] = {.lex_state = 65},
  [1088] = {.lex_state = 67},
  [1089] = {.lex_state = 67},
  [1090] = {.lex_state = 67},
  [1091] = {.lex_state = 67},
  [1092] = {.lex_state = 67},
  [1093] = {.lex_state = 67},
  [1094] = {.lex_state = 67},
  [1095] = {.lex_state = 67},
  [1096] = {.lex_state = 67},
  [1097] = {.lex_state = 67},
  [1098] = {.lex_state = 67},
  [1099] = {.lex_state = 67},
  [1100] = {.lex_state = 67},
  [1101] = {.lex_state = 67},
  [1102] = {.lex_state = 67},
  [1103] = {.lex_state = 67},
  [1104] = {.lex_state = 144},
  [1105] = {.lex_state = 144},
  [1106] = {.lex_state = 65},
  [1107] = {.lex_state = 144},
  [1108] = {.lex_state = 63},
  [1109] = {.lex_state = 67},
  [1110] = {.lex_state = 67},
  [1111] = {.lex_state = 65},
  [1112] = {.lex_state = 65},
  [1113] = {.lex_state = 65},
  [1114] = {.lex_state = 65},
  [1115] = {.lex_state = 65},
  [1116] = {.lex_state = 65},
  [1117] = {.lex_state = 65},
  [1118] = {.lex_state = 65},
  [1119] = {.lex_state = 65},
  [1120] = {.lex_state = 65},
  [1121] = {.lex_state = 65},
  [1122] = {.lex_state = 65},
  [1123] = {.lex_state = 65},
  [1124] = {.lex_state = 65},
  [1125] = {.lex_state = 65},
  [1126] = {.lex_state = 65},
  [1127] = {.lex_state = 67},
  [1128] = {.lex_state = 67},
  [1129] = {.lex_state = 63},
  [1130] = {.lex_state = 65},
  [1131] = {.lex_state = 65},
  [1132] = {.lex_state = 66},
  [1133] = {.lex_state = 65},
  [1134] = {.lex_state = 65},
  [1135] = {.lex_state = 66},
  [1136] = {.lex_state = 63},
  [1137] = {.lex_state = 65},
  [1138] = {.lex_state = 65},
  [1139] = {.lex_state = 66},
  [1140] = {.lex_state = 66},
  [1141] = {.lex_state = 67},
  [1142] = {.lex_state = 64},
  [1143] = {.lex_state = 63},
  [1144] = {.lex_state = 64},
  [1145] = {.lex_state = 64},
  [1146] = {.lex_state = 64},
  [1147] = {.lex_state = 64},
  [1148] = {.lex_state = 144},
  [1149] = {.lex_state = 64},
  [1150] = {.lex_state = 67},
  [1151] = {.lex_state = 67},
  [1152] = {.lex_state = 67},
  [1153] = {.lex_state = 67},
  [1154] = {.lex_state = 67},
  [1155] = {.lex_state = 67},
  [1156] = {.lex_state = 67},
  [1157] = {.lex_state = 67},
  [1158] = {.lex_state = 67},
  [1159] = {.lex_state = 67},
  [1160] = {.lex_state = 67},
  [1161] = {.lex_state = 64},
  [1162] = {.lex_state = 67},
  [1163] = {.lex_state = 67},
  [1164] = {.lex_state = 67},
  [1165] = {.lex_state = 67},
  [1166] = {.lex_state = 67},
  [1167] = {.lex_state = 67},
  [1168] = {.lex_state = 64},
  [1169] = {.lex_state = 67},
  [1170] = {.lex_state = 67},
  [1171] = {.lex_state = 67},
  [1172] = {.lex_state = 67},
  [1173] = {.lex_state = 67},
  [1174] = {.lex_state = 67},
  [1175] = {.lex_state = 67},
  [1176] = {.lex_state = 67},
  [1177] = {.lex_state = 63},
  [1178] = {.lex_state = 67},
  [1179] = {.lex_state = 63},
  [1180] = {.lex_state = 67},
  [1181] = {.lex_state = 63},
  [1182] = {.lex_state = 63},
  [1183] = {.lex_state = 67},
  [1184] = {.lex_state = 144},
  [1185] = {.lex_state = 67},
  [1186] = {.lex_state = 63},
  [1187] = {.lex_state = 67},
  [1188] = {.lex_state = 67},
  [1189] = {.lex_state = 67},
  [1190] = {.lex_state = 63},
  [1191] = {.lex_state = 63},
  [1192] = {.lex_state = 67},
  [1193] = {.lex_state = 65},
  [1194] = {.lex_state = 65},
  [1195] = {.lex_state = 67},
  [1196] = {.lex_state = 65},
  [1197] = {.lex_state = 65},
  [1198] = {.lex_state = 65},
  [1199] = {.lex_state = 63},
  [1200] = {.lex_state = 65},
  [1201] = {.lex_state = 65},
  [1202] = {.lex_state = 65},
  [1203] = {.lex_state = 65},
  [1204] = {.lex_state = 65},
  [1205] = {.lex_state = 65},
  [1206] = {.lex_state = 65},
  [1207] = {.lex_state = 67},
  [1208] = {.lex_state = 67},
  [1209] = {.lex_state = 67},
  [1210] = {.lex_state = 67},
  [1211] = {.lex_state = 67},
  [1212] = {.lex_state = 67},
  [1213] = {.lex_state = 67},
  [1214] = {.lex_state = 67},
  [1215] = {.lex_state = 67},
  [1216] = {.lex_state = 67},
  [1217] = {.lex_state = 69},
  [1218] = {.lex_state = 65},
  [1219] = {.lex_state = 67},
  [1220] = {.lex_state = 67},
  [1221] = {.lex_state = 67},
  [1222] = {.lex_state = 67},
  [1223] = {.lex_state = 67},
  [1224] = {.lex_state = 67},
  [1225] = {.lex_state = 67},
  [1226] = {.lex_state = 67},
  [1227] = {.lex_state = 67},
  [1228] = {.lex_state = 67},
  [1229] = {.lex_state = 67},
  [1230] = {.lex_state = 67},
  [1231] = {.lex_state = 67},
  [1232] = {.lex_state = 69},
  [1233] = {.lex_state = 67},
  [1234] = {.lex_state = 67},
  [1235] = {.lex_state = 67},
  [1236] = {.lex_state = 69},
  [1237] = {.lex_state = 67},
  [1238] = {.lex_state = 67},
  [1239] = {.lex_state = 69},
  [1240] = {.lex_state = 67},
  [1241] = {.lex_state = 69},
  [1242] = {.lex_state = 69},
  [1243] = {.lex_state = 67},
  [1244] = {.lex_state = 69},
  [1245] = {.lex_state = 67},
  [1246] = {.lex_state = 67},
  [1247] = {.lex_state = 67},
  [1248] = {.lex_state = 67},
  [1249] = {.lex_state = 67},
  [1250] = {.lex_state = 69},
  [1251] = {.lex_state = 67},
  [1252] = {.lex_state = 67},
  [1253] = {.lex_state = 67},
  [1254] = {.lex_state = 67},
  [1255] = {.lex_state = 67},
  [1256] = {.lex_state = 67},
  [1257] = {.lex_state = 67},
  [1258] = {.lex_state = 67},
  [1259] = {.lex_state = 67},
  [1260] = {.lex_state = 67},
  [1261] = {.lex_state = 69},
  [1262] = {.lex_state = 69},
  [1263] = {.lex_state = 69},
  [1264] = {.lex_state = 69},
  [1265] = {.lex_state = 67},
  [1266] = {.lex_state = 69},
  [1267] = {.lex_state = 69},
  [1268] = {.lex_state = 69},
  [1269] = {.lex_state = 67},
  [1270] = {.lex_state = 67},
  [1271] = {.lex_state = 69},
  [1272] = {.lex_state = 69},
  [1273] = {.lex_state = 67},
  [1274] = {.lex_state = 67},
  [1275] = {.lex_state = 69},
  [1276] = {.lex_state = 67},
  [1277] = {.lex_state = 69},
  [1278] = {.lex_state = 67},
  [1279] = {.lex_state = 67},
  [1280] = {.lex_state = 67},
  [1281] = {.lex_state = 67},
  [1282] = {.lex_state = 67},
  [1283] = {.lex_state = 67},
  [1284] = {.lex_state = 67},
  [1285] = {.lex_state = 67},
  [1286] = {.lex_state = 69},
  [1287] = {.lex_state = 67},
  [1288] = {.lex_state = 67},
  [1289] = {.lex_state = 69},
  [1290] = {.lex_state = 69},
  [1291] = {.lex_state = 67},
  [1292] = {.lex_state = 67},
  [1293] = {.lex_state = 67},
  [1294] = {.lex_state = 67},
  [1295] = {.lex_state = 67},
  [1296] = {.lex_state = 67},
  [1297] = {.lex_state = 69},
  [1298] = {.lex_state = 69},
  [1299] = {.lex_state = 69},
  [1300] = {.lex_state = 69},
  [1301] = {.lex_state = 69},
  [1302] = {.lex_state = 69},
  [1303] = {.lex_state = 69},
  [1304] = {.lex_state = 69},
  [1305] = {.lex_state = 69},
  [1306] = {.lex_state = 69},
  [1307] = {.lex_state = 69},
  [1308] = {.lex_state = 69},
  [1309] = {.lex_state = 69},
  [1310] = {.lex_state = 69},
  [1311] = {.lex_state = 69},
  [1312] = {.lex_state = 69},
  [1313] = {.lex_state = 69},
  [1314] = {.lex_state = 69},
  [1315] = {.lex_state = 69},
  [1316] = {.lex_state = 69},
  [1317] = {.lex_state = 69},
  [1318] = {.lex_state = 69},
  [1319] = {.lex_state = 69},
  [1320] = {.lex_state = 69},
  [1321] = {.lex_state = 69},
  [1322] = {.lex_state = 69},
  [1323] = {.lex_state = 69},
  [1324] = {.lex_state = 69},
  [1325] = {.lex_state = 67},
  [1326] = {.lex_state = 67},
  [1327] = {.lex_state = 67},
  [1328] = {.lex_state = 67},
  [1329] = {.lex_state = 67},
  [1330] = {.lex_state = 67},
  [1331] = {.lex_state = 67},
  [1332] = {.lex_state = 67},
  [1333] = {.lex_state = 67},
  [1334] = {.lex_state = 67},
  [1335] = {.lex_state = 67},
  [1336] = {.lex_state = 67},
  [1337] = {.lex_state = 67},
  [1338] = {.lex_state = 67},
  [1339] = {.lex_state = 67},
  [1340] = {.lex_state = 67},
  [1341] = {.lex_state = 67},
  [1342] = {.lex_state = 67},
  [1343] = {.lex_state = 67},
  [1344] = {.lex_state = 67},
  [1345] = {.lex_state = 67},
  [1346] = {.lex_state = 67},
  [1347] = {.lex_state = 67},
  [1348] = {.lex_state = 67},
  [1349] = {.lex_state = 67},
  [1350] = {.lex_state = 67},
  [1351] = {.lex_state = 67},
  [1352] = {.lex_state = 67},
  [1353] = {.lex_state = 67},
  [1354] = {.lex_state = 67},
  [1355] = {.lex_state = 67},
  [1356] = {.lex_state = 67},
  [1357] = {.lex_state = 67},
  [1358] = {.lex_state = 67},
  [1359] = {.lex_state = 67},
  [1360] = {.lex_state = 67},
  [1361] = {.lex_state = 67},
  [1362] = {.lex_state = 67},
  [1363] = {.lex_state = 67},
  [1364] = {.lex_state = 63},
  [1365] = {.lex_state = 63},
  [1366] = {.lex_state = 63},
  [1367] = {.lex_state = 67},
  [1368] = {.lex_state = 63},
  [1369] = {.lex_state = 67},
  [1370] = {.lex_state = 67},
  [1371] = {.lex_state = 63},
  [1372] = {.lex_state = 144},
  [1373] = {.lex_state = 144},
  [1374] = {.lex_state = 144},
  [1375] = {.lex_state = 144},
  [1376] = {.lex_state = 144},
  [1377] = {.lex_state = 144},
  [1378] = {.lex_state = 144},
  [1379] = {.lex_state = 144},
  [1380] = {.lex_state = 144},
  [1381] = {.lex_state = 144},
  [1382] = {.lex_state = 144},
  [1383] = {.lex_state = 144},
  [1384] = {.lex_state = 144},
  [1385] = {.lex_state = 144},
  [1386] = {.lex_state = 144},
  [1387] = {.lex_state = 144},
  [1388] = {.lex_state = 144},
  [1389] = {.lex_state = 144},
  [1390] = {.lex_state = 144},
  [1391] = {.lex_state = 144},
  [1392] = {.lex_state = 144},
  [1393] = {.lex_state = 144},
  [1394] = {.lex_state = 144},
  [1395] = {.lex_state = 67},
  [1396] = {.lex_state = 67},
  [1397] = {.lex_state = 67},
  [1398] = {.lex_state = 67},
  [1399] = {.lex_state = 67},
  [1400] = {.lex_state = 67},
  [1401] = {.lex_state = 65},
  [1402] = {.lex_state = 65},
  [1403] = {.lex_state = 65},
  [1404] = {.lex_state = 65},
  [1405] = {.lex_state = 65},
  [1406] = {.lex_state = 65},
  [1407] = {.lex_state = 65},
  [1408] = {.lex_state = 65},
  [1409] = {.lex_state = 65},
  [1410] = {.lex_state = 65},
  [1411] = {.lex_state = 65},
  [1412] = {.lex_state = 65},
  [1413] = {.lex_state = 65},
  [1414] = {.lex_state = 67},
  [1415] = {.lex_state = 67},
  [1416] = {.lex_state = 67},
  [1417] = {.lex_state = 67},
  [1418] = {.lex_state = 67},
  [1419] = {.lex_state = 67},
  [1420] = {.lex_state = 67},
  [1421] = {.lex_state = 67},
  [1422] = {.lex_state = 67},
  [1423] = {.lex_state = 67},
  [1424] = {.lex_state = 67},
  [1425] = {.lex_state = 67},
  [1426] = {.lex_state = 67},
  [1427] = {.lex_state = 67},
  [1428] = {.lex_state = 67},
  [1429] = {.lex_state = 67},
  [1430] = {.lex_state = 67},
  [1431] = {.lex_state = 69},
  [1432] = {.lex_state = 69},
  [1433] = {.lex_state = 67},
  [1434] = {.lex_state = 67},
  [1435] = {.lex_state = 69},
  [1436] = {.lex_state = 69},
  [1437] = {.lex_state = 69},
  [1438] = {.lex_state = 69},
  [1439] = {.lex_state = 67},
  [1440] = {.lex_state = 69},
  [1441] = {.lex_state = 69},
  [1442] = {.lex_state = 69},
  [1443] = {.lex_state = 69},
  [1444] = {.lex_state = 69},
  [1445] = {.lex_state = 67},
  [1446] = {.lex_state = 69},
  [1447] = {.lex_state = 69},
  [1448] = {.lex_state = 68},
  [1449] = {.lex_state = 67},
  [1450] = {.lex_state = 67},
  [1451] = {.lex_state = 67},
  [1452] = {.lex_state = 68},
  [1453] = {.lex_state = 67},
  [1454] = {.lex_state = 67},
  [1455] = {.lex_state = 67},
  [1456] = {.lex_state = 68},
  [1457] = {.lex_state = 67},
  [1458] = {.lex_state = 67},
  [1459] = {.lex_state = 67},
  [1460] = {.lex_state = 67},
  [1461] = {.lex_state = 68},
  [1462] = {.lex_state = 67},
  [1463] = {.lex_state = 67},
  [1464] = {.lex_state = 67},
  [1465] = {.lex_state = 67},
  [1466] = {.lex_state = 67},
  [1467] = {.lex_state = 67},
  [1468] = {.lex_state = 67},
  [1469] = {.lex_state = 67},
  [1470] = {.lex_state = 67},
  [1471] = {.lex_state = 67},
  [1472] = {.lex_state = 67},
  [1473] = {.lex_state = 67},
  [1474] = {.lex_state = 67},
  [1475] = {.lex_state = 67},
  [1476] = {.lex_state = 67},
  [1477] = {.lex_state = 67},
  [1478] = {.lex_state = 67},
  [1479] = {.lex_state = 67},
  [1480] = {.lex_state = 67},
  [1481] = {.lex_state = 67},
  [1482] = {.lex_state = 67},
  [1483] = {.lex_state = 67},
  [1484] = {.lex_state = 67},
  [1485] = {.lex_state = 67},
  [1486] = {.lex_state = 67},
  [1487] = {.lex_state = 67},
  [1488] = {.lex_state = 67},
  [1489] = {.lex_state = 67},
  [1490] = {.lex_state = 67},
  [1491] = {.lex_state = 67},
  [1492] = {.lex_state = 67},
  [1493] = {.lex_state = 67},
  [1494] = {.lex_state = 67},
  [1495] = {.lex_state = 67},
  [1496] = {.lex_state = 67},
  [1497] = {.lex_state = 67},
  [1498] = {.lex_state = 67},
  [1499] = {.lex_state = 67},
  [1500] = {.lex_state = 67},
  [1501] = {.lex_state = 67},
  [1502] = {.lex_state = 67},
  [1503] = {.lex_state = 67},
  [1504] = {.lex_state = 67},
  [1505] = {.lex_state = 67},
  [1506] = {.lex_state = 67},
  [1507] = {.lex_state = 67},
  [1508] = {.lex_state = 67},
  [1509] = {.lex_state = 67},
  [1510] = {.lex_state = 67},
  [1511] = {.lex_state = 67},
  [1512] = {.lex_state = 67},
  [1513] = {.lex_state = 67},
  [1514] = {.lex_state = 67},
  [1515] = {.lex_state = 67},
  [1516] = {.lex_state = 67},
  [1517] = {.lex_state = 67},
  [1518] = {.lex_state = 67},
  [1519] = {.lex_state = 67},
  [1520] = {.lex_state = 67},
  [1521] = {.lex_state = 67},
  [1522] = {.lex_state = 67},
  [1523] = {.lex_state = 67},
  [1524] = {.lex_state = 67},
  [1525] = {.lex_state = 67},
  [1526] = {.lex_state = 67},
  [1527] = {.lex_state = 67},
  [1528] = {.lex_state = 67},
  [1529] = {.lex_state = 67},
  [1530] = {.lex_state = 67},
  [1531] = {.lex_state = 67},
  [1532] = {.lex_state = 67},
  [1533] = {.lex_state = 67},
  [1534] = {.lex_state = 67},
  [1535] = {.lex_state = 67},
  [1536] = {.lex_state = 67},
  [1537] = {.lex_state = 67},
  [1538] = {.lex_state = 67},
  [1539] = {.lex_state = 67},
  [1540] = {.lex_state = 67},
  [1541] = {.lex_state = 67},
  [1542] = {.lex_state = 67},
  [1543] = {.lex_state = 67},
  [1544] = {.lex_state = 67},
  [1545] = {.lex_state = 67},
  [1546] = {.lex_state = 67},
  [1547] = {.lex_state = 67},
  [1548] = {.lex_state = 67},
  [1549] = {.lex_state = 67},
  [1550] = {.lex_state = 67},
  [1551] = {.lex_state = 67},
  [1552] = {.lex_state = 67},
  [1553] = {.lex_state = 67},
  [1554] = {.lex_state = 67},
  [1555] = {.lex_state = 67},
  [1556] = {.lex_state = 67},
  [1557] = {.lex_state = 67},
  [1558] = {.lex_state = 67},
  [1559] = {.lex_state = 67},
  [1560] = {.lex_state = 67},
  [1561] = {.lex_state = 67},
  [1562] = {.lex_state = 67},
  [1563] = {.lex_state = 67},
  [1564] = {.lex_state = 67},
  [1565] = {.lex_state = 67},
  [1566] = {.lex_state = 67},
  [1567] = {.lex_state = 67},
  [1568] = {.lex_state = 67},
  [1569] = {.lex_state = 67},
  [1570] = {.lex_state = 67},
  [1571] = {.lex_state = 67},
  [1572] = {.lex_state = 67},
  [1573] = {.lex_state = 67},
  [1574] = {.lex_state = 67},
  [1575] = {.lex_state = 67},
  [1576] = {.lex_state = 67},
  [1577] = {.lex_state = 67},
  [1578] = {.lex_state = 67},
  [1579] = {.lex_state = 67},
  [1580] = {.lex_state = 67},
  [1581] = {.lex_state = 67},
  [1582] = {.lex_state = 67},
  [1583] = {.lex_state = 67},
  [1584] = {.lex_state = 67},
  [1585] = {.lex_state = 67},
  [1586] = {.lex_state = 67},
  [1587] = {.lex_state = 67},
  [1588] = {.lex_state = 67},
  [1589] = {.lex_state = 67},
  [1590] = {.lex_state = 67},
  [1591] = {.lex_state = 67},
  [1592] = {.lex_state = 67},
  [1593] = {.lex_state = 68},
  [1594] = {.lex_state = 67},
  [1595] = {.lex_state = 67},
  [1596] = {.lex_state = 67},
  [1597] = {.lex_state = 67},
  [1598] = {.lex_state = 67},
  [1599] = {.lex_state = 67},
  [1600] = {.lex_state = 62},
  [1601] = {.lex_state = 67},
  [1602] = {.lex_state = 67},
  [1603] = {.lex_state = 67},
  [1604] = {.lex_state = 67},
  [1605] = {.lex_state = 67},
  [1606] = {.lex_state = 67},
  [1607] = {.lex_state = 68},
  [1608] = {.lex_state = 67},
  [1609] = {.lex_state = 67},
  [1610] = {.lex_state = 67},
  [1611] = {.lex_state = 31},
  [1612] = {.lex_state = 62},
  [1613] = {.lex_state = 68},
  [1614] = {.lex_state = 67},
  [1615] = {.lex_state = 67},
  [1616] = {.lex_state = 67},
  [1617] = {.lex_state = 62},
  [1618] = {.lex_state = 67},
  [1619] = {.lex_state = 67},
  [1620] = {.lex_state = 67},
  [1621] = {.lex_state = 68},
  [1622] = {.lex_state = 67},
  [1623] = {.lex_state = 62},
  [1624] = {.lex_state = 68},
  [1625] = {.lex_state = 62},
  [1626] = {.lex_state = 68},
  [1627] = {.lex_state = 62},
  [1628] = {.lex_state = 62},
  [1629] = {.lex_state = 62},
  [1630] = {.lex_state = 68},
  [1631] = {.lex_state = 62},
  [1632] = {.lex_state = 68},
  [1633] = {.lex_state = 68},
  [1634] = {.lex_state = 62},
  [1635] = {.lex_state = 62},
  [1636] = {.lex_state = 62},
  [1637] = {.lex_state = 62},
  [1638] = {.lex_state = 62},
  [1639] = {.lex_state = 62},
  [1640] = {.lex_state = 62},
  [1641] = {.lex_state = 62},
  [1642] = {.lex_state = 67},
  [1643] = {.lex_state = 68},
  [1644] = {.lex_state = 62},
  [1645] = {.lex_state = 62},
  [1646] = {.lex_state = 62},
  [1647] = {.lex_state = 62},
  [1648] = {.lex_state = 62},
  [1649] = {.lex_state = 68},
  [1650] = {.lex_state = 62},
  [1651] = {.lex_state = 68},
  [1652] = {.lex_state = 62},
  [1653] = {.lex_state = 62},
  [1654] = {.lex_state = 62},
  [1655] = {.lex_state = 68},
  [1656] = {.lex_state = 62},
  [1657] = {.lex_state = 67},
  [1658] = {.lex_state = 68},
  [1659] = {.lex_state = 68},
  [1660] = {.lex_state = 67},
  [1661] = {.lex_state = 68},
  [1662] = {.lex_state = 68},
  [1663] = {.lex_state = 67},
  [1664] = {.lex_state = 68},
  [1665] = {.lex_state = 62},
  [1666] = {.lex_state = 68},
  [1667] = {.lex_state = 62},
  [1668] = {.lex_state = 62},
  [1669] = {.lex_state = 62},
  [1670] = {.lex_state = 62},
  [1671] = {.lex_state = 62},
  [1672] = {.lex_state = 62},
  [1673] = {.lex_state = 62},
  [1674] = {.lex_state = 62},
  [1675] = {.lex_state = 62},
  [1676] = {.lex_state = 62},
  [1677] = {.lex_state = 62},
  [1678] = {.lex_state = 62},
  [1679] = {.lex_state = 68},
  [1680] = {.lex_state = 67},
  [1681] = {.lex_state = 62},
  [1682] = {.lex_state = 62},
  [1683] = {.lex_state = 62},
  [1684] = {.lex_state = 62},
  [1685] = {.lex_state = 67},
  [1686] = {.lex_state = 67},
  [1687] = {.lex_state = 31},
  [1688] = {.lex_state = 31},
  [1689] = {.lex_state = 31},
  [1690] = {.lex_state = 31},
  [1691] = {.lex_state = 31},
  [1692] = {.lex_state = 31},
  [1693] = {.lex_state = 31},
  [1694] = {.lex_state = 31},
  [1695] = {.lex_state = 31},
  [1696] = {.lex_state = 31},
  [1697] = {.lex_state = 31},
  [1698] = {.lex_state = 31},
  [1699] = {.lex_state = 31},
  [1700] = {.lex_state = 31},
  [1701] = {.lex_state = 31},
  [1702] = {.lex_state = 67},
  [1703] = {.lex_state = 31},
  [1704] = {.lex_state = 31},
  [1705] = {.lex_state = 31},
  [1706] = {.lex_state = 31},
  [1707] = {.lex_state = 31},
  [1708] = {.lex_state = 67},
  [1709] = {.lex_state = 31},
  [1710] = {.lex_state = 31},
  [1711] = {.lex_state = 31},
  [1712] = {.lex_state = 31},
  [1713] = {.lex_state = 31},
  [1714] = {.lex_state = 31},
  [1715] = {.lex_state = 67},
  [1716] = {.lex_state = 31},
  [1717] = {.lex_state = 31},
  [1718] = {.lex_state = 31},
  [1719] = {.lex_state = 31},
  [1720] = {.lex_state = 68},
  [1721] = {.lex_state = 68},
  [1722] = {.lex_state = 31},
  [1723] = {.lex_state = 31},
  [1724] = {.lex_state = 31},
  [1725] = {.lex_state = 31},
  [1726] = {.lex_state = 31},
  [1727] = {.lex_state = 67},
  [1728] = {.lex_state = 67},
  [1729] = {.lex_state = 67},
  [1730] = {.lex_state = 67},
  [1731] = {.lex_state = 67},
  [1732] = {.lex_state = 67},
  [1733] = {.lex_state = 67},
  [1734] = {.lex_state = 67},
  [1735] = {.lex_state = 67},
  [1736] = {.lex_state = 67},
  [1737] = {.lex_state = 67},
  [1738] = {.lex_state = 67},
  [1739] = {.lex_state = 67},
  [1740] = {.lex_state = 67},
  [1741] = {.lex_state = 67},
  [1742] = {.lex_state = 67},
  [1743] = {.lex_state = 67},
  [1744] = {.lex_state = 67},
  [1745] = {.lex_state = 67},
  [1746] = {.lex_state = 67},
  [1747] = {.lex_state = 67},
  [1748] = {.lex_state = 67},
  [1749] = {.lex_state = 67},
  [1750] = {.lex_state = 67},
  [1751] = {.lex_state = 67},
  [1752] = {.lex_state = 67},
  [1753] = {.lex_state = 67},
  [1754] = {.lex_state = 67},
  [1755] = {.lex_state = 67},
  [1756] = {.lex_state = 67},
  [1757] = {.lex_state = 67},
  [1758] = {.lex_state = 67},
  [1759] = {.lex_state = 67},
  [1760] = {.lex_state = 67},
  [1761] = {.lex_state = 67},
  [1762] = {.lex_state = 67},
  [1763] = {.lex_state = 67},
  [1764] = {.lex_state = 67},
  [1765] = {.lex_state = 67},
  [1766] = {.lex_state = 67},
  [1767] = {.lex_state = 67},
  [1768] = {.lex_state = 67},
  [1769] = {.lex_state = 67},
  [1770] = {.lex_state = 67},
  [1771] = {.lex_state = 67},
  [1772] = {.lex_state = 67},
  [1773] = {.lex_state = 67},
  [1774] = {.lex_state = 67},
  [1775] = {.lex_state = 67},
  [1776] = {.lex_state = 67},
  [1777] = {.lex_state = 67},
  [1778] = {.lex_state = 67},
  [1779] = {.lex_state = 67},
  [1780] = {.lex_state = 67},
  [1781] = {.lex_state = 67},
  [1782] = {.lex_state = 67},
  [1783] = {.lex_state = 67},
  [1784] = {.lex_state = 67},
  [1785] = {.lex_state = 67},
  [1786] = {.lex_state = 67},
  [1787] = {.lex_state = 67},
  [1788] = {.lex_state = 67},
  [1789] = {.lex_state = 67},
  [1790] = {.lex_state = 67},
  [1791] = {.lex_state = 67},
  [1792] = {.lex_state = 67},
  [1793] = {.lex_state = 67},
  [1794] = {.lex_state = 67},
  [1795] = {.lex_state = 67},
  [1796] = {.lex_state = 67},
  [1797] = {.lex_state = 67},
  [1798] = {.lex_state = 65},
  [1799] = {.lex_state = 67},
  [1800] = {.lex_state = 67},
  [1801] = {.lex_state = 67},
  [1802] = {.lex_state = 67},
  [1803] = {.lex_state = 67},
  [1804] = {.lex_state = 67},
  [1805] = {.lex_state = 67},
  [1806] = {.lex_state = 67},
  [1807] = {.lex_state = 67},
  [1808] = {.lex_state = 67},
  [1809] = {.lex_state = 67},
  [1810] = {.lex_state = 67},
  [1811] = {.lex_state = 67},
  [1812] = {.lex_state = 67},
  [1813] = {.lex_state = 67},
  [1814] = {.lex_state = 67},
  [1815] = {.lex_state = 67},
  [1816] = {.lex_state = 67},
  [1817] = {.lex_state = 67},
  [1818] = {.lex_state = 67},
  [1819] = {.lex_state = 67},
  [1820] = {.lex_state = 67},
  [1821] = {.lex_state = 67},
  [1822] = {.lex_state = 67},
  [1823] = {.lex_state = 67},
  [1824] = {.lex_state = 67},
  [1825] = {.lex_state = 67},
  [1826] = {.lex_state = 72},
  [1827] = {.lex_state = 67},
  [1828] = {.lex_state = 67},
  [1829] = {.lex_state = 67},
  [1830] = {.lex_state = 67},
  [1831] = {.lex_state = 67},
  [1832] = {.lex_state = 67},
  [1833] = {.lex_state = 67},
  [1834] = {.lex_state = 67},
  [1835] = {.lex_state = 67},
  [1836] = {.lex_state = 67},
  [1837] = {.lex_state = 72},
  [1838] = {.lex_state = 67},
  [1839] = {.lex_state = 67},
  [1840] = {.lex_state = 67},
  [1841] = {.lex_state = 67},
  [1842] = {.lex_state = 67},
  [1843] = {.lex_state = 67},
  [1844] = {.lex_state = 67},
  [1845] = {.lex_state = 67},
  [1846] = {.lex_state = 67},
  [1847] = {.lex_state = 67},
  [1848] = {.lex_state = 67},
  [1849] = {.lex_state = 67},
  [1850] = {.lex_state = 67},
  [1851] = {.lex_state = 67},
  [1852] = {.lex_state = 67},
  [1853] = {.lex_state = 67},
  [1854] = {.lex_state = 67},
  [1855] = {.lex_state = 67},
  [1856] = {.lex_state = 67},
  [1857] = {.lex_state = 65},
  [1858] = {.lex_state = 67},
  [1859] = {.lex_state = 67},
  [1860] = {.lex_state = 67},
  [1861] = {.lex_state = 67},
  [1862] = {.lex_state = 67},
  [1863] = {.lex_state = 67},
  [1864] = {.lex_state = 67},
  [1865] = {.lex_state = 69},
  [1866] = {.lex_state = 67},
  [1867] = {.lex_state = 67},
  [1868] = {.lex_state = 67},
  [1869] = {.lex_state = 67},
  [1870] = {.lex_state = 67},
  [1871] = {.lex_state = 67},
  [1872] = {.lex_state = 67},
  [1873] = {.lex_state = 67},
  [1874] = {.lex_state = 67},
  [1875] = {.lex_state = 67},
  [1876] = {.lex_state = 67},
  [1877] = {.lex_state = 67},
  [1878] = {.lex_state = 67},
  [1879] = {.lex_state = 72},
  [1880] = {.lex_state = 67},
  [1881] = {.lex_state = 67},
  [1882] = {.lex_state = 67},
  [1883] = {.lex_state = 67},
  [1884] = {.lex_state = 69},
  [1885] = {.lex_state = 67},
  [1886] = {.lex_state = 67},
  [1887] = {.lex_state = 67},
  [1888] = {.lex_state = 67},
  [1889] = {.lex_state = 67},
  [1890] = {.lex_state = 67},
  [1891] = {.lex_state = 67},
  [1892] = {.lex_state = 63},
  [1893] = {.lex_state = 67},
  [1894] = {.lex_state = 67},
  [1895] = {.lex_state = 67},
  [1896] = {.lex_state = 67},
  [1897] = {.lex_state = 67},
  [1898] = {.lex_state = 67},
  [1899] = {.lex_state = 67},
  [1900] = {.lex_state = 67},
  [1901] = {.lex_state = 67},
  [1902] = {.lex_state = 67},
  [1903] = {.lex_state = 67},
  [1904] = {.lex_state = 67},
  [1905] = {.lex_state = 67},
  [1906] = {.lex_state = 67},
  [1907] = {.lex_state = 65},
  [1908] = {.lex_state = 67},
  [1909] = {.lex_state = 67},
  [1910] = {.lex_state = 65},
  [1911] = {.lex_state = 67},
  [1912] = {.lex_state = 69},
  [1913] = {.lex_state = 67},
  [1914] = {.lex_state = 67},
  [1915] = {.lex_state = 0},
  [1916] = {.lex_state = 67},
  [1917] = {.lex_state = 67},
  [1918] = {.lex_state = 67},
  [1919] = {.lex_state = 67},
  [1920] = {.lex_state = 67},
  [1921] = {.lex_state = 67},
  [1922] = {.lex_state = 67},
  [1923] = {.lex_state = 67},
  [1924] = {.lex_state = 67},
  [1925] = {.lex_state = 67},
  [1926] = {.lex_state = 67},
  [1927] = {.lex_state = 67},
  [1928] = {.lex_state = 0},
  [1929] = {.lex_state = 63},
  [1930] = {.lex_state = 67},
  [1931] = {.lex_state = 71},
  [1932] = {.lex_state = 144},
  [1933] = {.lex_state = 144},
  [1934] = {.lex_state = 67},
  [1935] = {.lex_state = 144},
  [1936] = {.lex_state = 144},
  [1937] = {.lex_state = 71},
  [1938] = {.lex_state = 63},
  [1939] = {.lex_state = 63},
  [1940] = {.lex_state = 71},
  [1941] = {.lex_state = 63},
  [1942] = {.lex_state = 67},
  [1943] = {.lex_state = 144},
  [1944] = {.lex_state = 71},
  [1945] = {.lex_state = 144},
  [1946] = {.lex_state = 63},
  [1947] = {.lex_state = 71},
  [1948] = {.lex_state = 67},
  [1949] = {.lex_state = 0},
  [1950] = {.lex_state = 144},
  [1951] = {.lex_state = 67},
  [1952] = {.lex_state = 67},
  [1953] = {.lex_state = 144},
  [1954] = {.lex_state = 144},
  [1955] = {.lex_state = 144},
  [1956] = {.lex_state = 144},
  [1957] = {.lex_state = 144},
  [1958] = {.lex_state = 144},
  [1959] = {.lex_state = 144},
  [1960] = {.lex_state = 144},
  [1961] = {.lex_state = 144},
  [1962] = {.lex_state = 144},
  [1963] = {.lex_state = 144},
  [1964] = {.lex_state = 144},
  [1965] = {.lex_state = 144},
  [1966] = {.lex_state = 144},
  [1967] = {.lex_state = 144},
  [1968] = {.lex_state = 144},
  [1969] = {.lex_state = 144},
  [1970] = {.lex_state = 144},
  [1971] = {.lex_state = 144},
  [1972] = {.lex_state = 144},
  [1973] = {.lex_state = 144},
  [1974] = {.lex_state = 144},
  [1975] = {.lex_state = 144},
  [1976] = {.lex_state = 144},
  [1977] = {.lex_state = 144},
  [1978] = {.lex_state = 144},
  [1979] = {.lex_state = 144},
  [1980] = {.lex_state = 144},
  [1981] = {.lex_state = 144},
  [1982] = {.lex_state = 67},
  [1983] = {.lex_state = 144},
  [1984] = {.lex_state = 144},
  [1985] = {.lex_state = 144},
  [1986] = {.lex_state = 144},
  [1987] = {.lex_state = 69},
  [1988] = {.lex_state = 144},
  [1989] = {.lex_state = 144},
  [1990] = {.lex_state = 144},
  [1991] = {.lex_state = 144},
  [1992] = {.lex_state = 144},
  [1993] = {.lex_state = 69},
  [1994] = {.lex_state = 144},
  [1995] = {.lex_state = 144},
  [1996] = {.lex_state = 144},
  [1997] = {.lex_state = 144},
  [1998] = {.lex_state = 144},
  [1999] = {.lex_state = 144},
  [2000] = {.lex_state = 144},
  [2001] = {.lex_state = 144},
  [2002] = {.lex_state = 144},
  [2003] = {.lex_state = 69},
  [2004] = {.lex_state = 144},
  [2005] = {.lex_state = 144},
  [2006] = {.lex_state = 144},
  [2007] = {.lex_state = 144},
  [2008] = {.lex_state = 144},
  [2009] = {.lex_state = 144},
  [2010] = {.lex_state = 144},
  [2011] = {.lex_state = 144},
  [2012] = {.lex_state = 144},
  [2013] = {.lex_state = 144},
  [2014] = {.lex_state = 144},
  [2015] = {.lex_state = 144},
  [2016] = {.lex_state = 144},
  [2017] = {.lex_state = 69},
  [2018] = {.lex_state = 144},
  [2019] = {.lex_state = 144},
  [2020] = {.lex_state = 144},
  [2021] = {.lex_state = 144},
  [2022] = {.lex_state = 144},
  [2023] = {.lex_state = 144},
  [2024] = {.lex_state = 144},
  [2025] = {.lex_state = 144},
  [2026] = {.lex_state = 144},
  [2027] = {.lex_state = 144},
  [2028] = {.lex_state = 144},
  [2029] = {.lex_state = 69},
  [2030] = {.lex_state = 144},
  [2031] = {.lex_state = 144},
  [2032] = {.lex_state = 144},
  [2033] = {.lex_state = 144},
  [2034] = {.lex_state = 144},
  [2035] = {.lex_state = 144},
  [2036] = {.lex_state = 144},
  [2037] = {.lex_state = 69},
  [2038] = {.lex_state = 144},
  [2039] = {.lex_state = 144},
  [2040] = {.lex_state = 144},
  [2041] = {.lex_state = 144},
  [2042] = {.lex_state = 0},
  [2043] = {.lex_state = 144},
  [2044] = {.lex_state = 144},
  [2045] = {.lex_state = 67},
  [2046] = {.lex_state = 144},
  [2047] = {.lex_state = 144},
  [2048] = {.lex_state = 65},
  [2049] = {.lex_state = 144},
  [2050] = {.lex_state = 144},
  [2051] = {.lex_state = 67},
  [2052] = {.lex_state = 144},
  [2053] = {.lex_state = 144},
  [2054] = {.lex_state = 144},
  [2055] = {.lex_state = 67},
  [2056] = {.lex_state = 65},
  [2057] = {.lex_state = 69},
  [2058] = {.lex_state = 69},
  [2059] = {.lex_state = 69},
  [2060] = {.lex_state = 67},
  [2061] = {.lex_state = 69},
  [2062] = {.lex_state = 69},
  [2063] = {.lex_state = 144},
  [2064] = {.lex_state = 67},
  [2065] = {.lex_state = 144},
  [2066] = {.lex_state = 144},
  [2067] = {.lex_state = 65},
  [2068] = {.lex_state = 144},
  [2069] = {.lex_state = 144},
  [2070] = {.lex_state = 67},
  [2071] = {.lex_state = 67},
  [2072] = {.lex_state = 67},
  [2073] = {.lex_state = 144},
  [2074] = {.lex_state = 67},
  [2075] = {.lex_state = 144},
  [2076] = {.lex_state = 67},
  [2077] = {.lex_state = 67},
  [2078] = {.lex_state = 0},
  [2079] = {.lex_state = 67},
  [2080] = {.lex_state = 67},
  [2081] = {.lex_state = 67},
  [2082] = {.lex_state = 144},
  [2083] = {.lex_state = 65},
  [2084] = {.lex_state = 0},
  [2085] = {.lex_state = 144},
  [2086] = {.lex_state = 144},
  [2087] = {.lex_state = 67},
  [2088] = {.lex_state = 67},
  [2089] = {.lex_state = 144},
  [2090] = {.lex_state = 67},
  [2091] = {.lex_state = 67},
  [2092] = {.lex_state = 144},
  [2093] = {.lex_state = 67},
  [2094] = {.lex_state = 144},
  [2095] = {.lex_state = 144},
  [2096] = {.lex_state = 67},
  [2097] = {.lex_state = 72},
  [2098] = {.lex_state = 67},
  [2099] = {.lex_state = 67},
  [2100] = {.lex_state = 67},
  [2101] = {.lex_state = 67},
  [2102] = {.lex_state = 72},
  [2103] = {.lex_state = 67},
  [2104] = {.lex_state = 67},
  [2105] = {.lex_state = 69},
  [2106] = {.lex_state = 67},
  [2107] = {.lex_state = 72},
  [2108] = {.lex_state = 72},
  [2109] = {.lex_state = 144},
  [2110] = {.lex_state = 69},
  [2111] = {.lex_state = 67},
  [2112] = {.lex_state = 67},
  [2113] = {.lex_state = 144},
  [2114] = {.lex_state = 72},
  [2115] = {.lex_state = 144},
  [2116] = {.lex_state = 67},
  [2117] = {.lex_state = 0},
  [2118] = {.lex_state = 72},
  [2119] = {.lex_state = 67},
  [2120] = {.lex_state = 144},
  [2121] = {.lex_state = 0},
  [2122] = {.lex_state = 67},
  [2123] = {.lex_state = 72},
  [2124] = {.lex_state = 67},
  [2125] = {.lex_state = 67},
  [2126] = {.lex_state = 67},
  [2127] = {.lex_state = 67},
  [2128] = {.lex_state = 72},
  [2129] = {.lex_state = 67},
  [2130] = {.lex_state = 67},
  [2131] = {.lex_state = 0},
  [2132] = {.lex_state = 144},
  [2133] = {.lex_state = 72},
  [2134] = {.lex_state = 67},
  [2135] = {.lex_state = 144},
  [2136] = {.lex_state = 67},
  [2137] = {.lex_state = 67},
  [2138] = {.lex_state = 144},
  [2139] = {.lex_state = 65},
  [2140] = {.lex_state = 72},
  [2141] = {.lex_state = 67},
  [2142] = {.lex_state = 69},
  [2143] = {.lex_state = 67},
  [2144] = {.lex_state = 67},
  [2145] = {.lex_state = 67},
  [2146] = {.lex_state = 67},
  [2147] = {.lex_state = 72},
  [2148] = {.lex_state = 67},
  [2149] = {.lex_state = 67},
  [2150] = {.lex_state = 57},
  [2151] = {.lex_state = 65},
  [2152] = {.lex_state = 144},
  [2153] = {.lex_state = 144},
  [2154] = {.lex_state = 144},
  [2155] = {.lex_state = 144},
  [2156] = {.lex_state = 144},
  [2157] = {.lex_state = 144},
  [2158] = {.lex_state = 67},
  [2159] = {.lex_state = 144},
  [2160] = {.lex_state = 144},
  [2161] = {.lex_state = 67},
  [2162] = {.lex_state = 144},
  [2163] = {.lex_state = 67},
  [2164] = {.lex_state = 67},
  [2165] = {.lex_state = 144},
  [2166] = {.lex_state = 144},
  [2167] = {.lex_state = 144},
  [2168] = {.lex_state = 67},
  [2169] = {.lex_state = 144},
  [2170] = {.lex_state = 69},
  [2171] = {.lex_state = 67},
  [2172] = {.lex_state = 144},
  [2173] = {.lex_state = 67},
  [2174] = {.lex_state = 67},
  [2175] = {.lex_state = 67},
  [2176] = {.lex_state = 144},
  [2177] = {.lex_state = 67},
  [2178] = {.lex_state = 144},
  [2179] = {.lex_state = 65},
  [2180] = {.lex_state = 67},
  [2181] = {.lex_state = 144},
  [2182] = {.lex_state = 67},
  [2183] = {.lex_state = 67},
  [2184] = {.lex_state = 67},
  [2185] = {.lex_state = 0},
  [2186] = {.lex_state = 67},
  [2187] = {.lex_state = 144},
  [2188] = {.lex_state = 0},
  [2189] = {.lex_state = 144},
  [2190] = {.lex_state = 144},
  [2191] = {.lex_state = 0},
  [2192] = {.lex_state = 67},
  [2193] = {.lex_state = 67},
  [2194] = {.lex_state = 36},
  [2195] = {.lex_state = 67},
  [2196] = {.lex_state = 144},
  [2197] = {.lex_state = 67},
  [2198] = {.lex_state = 67},
  [2199] = {.lex_state = 36},
  [2200] = {.lex_state = 0},
  [2201] = {.lex_state = 0},
  [2202] = {.lex_state = 43},
  [2203] = {.lex_state = 45},
  [2204] = {.lex_state = 144},
  [2205] = {.lex_state = 65},
  [2206] = {.lex_state = 144},
  [2207] = {.lex_state = 65},
  [2208] = {.lex_state = 144},
  [2209] = {.lex_state = 67},
  [2210] = {.lex_state = 67},
  [2211] = {.lex_state = 36},
  [2212] = {.lex_state = 67},
  [2213] = {.lex_state = 67},
  [2214] = {.lex_state = 144},
  [2215] = {.lex_state = 0},
  [2216] = {.lex_state = 36},
  [2217] = {.lex_state = 67},
  [2218] = {.lex_state = 36},
  [2219] = {.lex_state = 0},
  [2220] = {.lex_state = 67},
  [2221] = {.lex_state = 67},
  [2222] = {.lex_state = 67},
  [2223] = {.lex_state = 0},
  [2224] = {.lex_state = 65},
  [2225] = {.lex_state = 144},
  [2226] = {.lex_state = 43},
  [2227] = {.lex_state = 36},
  [2228] = {.lex_state = 0},
  [2229] = {.lex_state = 67},
  [2230] = {.lex_state = 144},
  [2231] = {.lex_state = 67},
  [2232] = {.lex_state = 67},
  [2233] = {.lex_state = 43},
  [2234] = {.lex_state = 45},
  [2235] = {.lex_state = 67},
  [2236] = {.lex_state = 67},
  [2237] = {.lex_state = 67},
  [2238] = {.lex_state = 67},
  [2239] = {.lex_state = 43},
  [2240] = {.lex_state = 144},
  [2241] = {.lex_state = 57},
  [2242] = {.lex_state = 45},
  [2243] = {.lex_state = 36},
  [2244] = {.lex_state = 43},
  [2245] = {.lex_state = 69},
  [2246] = {.lex_state = 67},
  [2247] = {.lex_state = 67},
  [2248] = {.lex_state = 36},
  [2249] = {.lex_state = 67},
  [2250] = {.lex_state = 67},
  [2251] = {.lex_state = 67},
  [2252] = {.lex_state = 67},
  [2253] = {.lex_state = 43},
  [2254] = {.lex_state = 67},
  [2255] = {.lex_state = 43},
  [2256] = {.lex_state = 67},
  [2257] = {.lex_state = 67},
  [2258] = {.lex_state = 36},
  [2259] = {.lex_state = 43},
  [2260] = {.lex_state = 45},
  [2261] = {.lex_state = 67},
  [2262] = {.lex_state = 144},
  [2263] = {.lex_state = 43},
  [2264] = {.lex_state = 45},
  [2265] = {.lex_state = 67},
  [2266] = {.lex_state = 67},
  [2267] = {.lex_state = 67},
  [2268] = {.lex_state = 38},
  [2269] = {.lex_state = 0},
  [2270] = {.lex_state = 67},
  [2271] = {.lex_state = 0},
  [2272] = {.lex_state = 0},
  [2273] = {.lex_state = 0},
  [2274] = {.lex_state = 0},
  [2275] = {.lex_state = 0},
  [2276] = {.lex_state = 0},
  [2277] = {.lex_state = 0},
  [2278] = {.lex_state = 67},
  [2279] = {.lex_state = 39},
  [2280] = {.lex_state = 0},
  [2281] = {.lex_state = 0},
  [2282] = {.lex_state = 0},
  [2283] = {.lex_state = 0},
  [2284] = {.lex_state = 0},
  [2285] = {.lex_state = 0},
  [2286] = {.lex_state = 38},
  [2287] = {.lex_state = 39},
  [2288] = {.lex_state = 0},
  [2289] = {.lex_state = 0},
  [2290] = {.lex_state = 0},
  [2291] = {.lex_state = 0},
  [2292] = {.lex_state = 0},
  [2293] = {.lex_state = 0},
  [2294] = {.lex_state = 0},
  [2295] = {.lex_state = 0},
  [2296] = {.lex_state = 0},
  [2297] = {.lex_state = 0},
  [2298] = {.lex_state = 0},
  [2299] = {.lex_state = 0},
  [2300] = {.lex_state = 0},
  [2301] = {.lex_state = 0},
  [2302] = {.lex_state = 0},
  [2303] = {.lex_state = 67},
  [2304] = {.lex_state = 0},
  [2305] = {.lex_state = 0},
  [2306] = {.lex_state = 57},
  [2307] = {.lex_state = 67},
  [2308] = {.lex_state = 0},
  [2309] = {.lex_state = 0},
  [2310] = {.lex_state = 57},
  [2311] = {.lex_state = 67},
  [2312] = {.lex_state = 0},
  [2313] = {.lex_state = 0},
  [2314] = {.lex_state = 0},
  [2315] = {.lex_state = 67},
  [2316] = {.lex_state = 0},
  [2317] = {.lex_state = 0},
  [2318] = {.lex_state = 45},
  [2319] = {.lex_state = 67},
  [2320] = {.lex_state = 0},
  [2321] = {.lex_state = 0},
  [2322] = {.lex_state = 67},
  [2323] = {.lex_state = 0},
  [2324] = {.lex_state = 0},
  [2325] = {.lex_state = 57},
  [2326] = {.lex_state = 0},
  [2327] = {.lex_state = 0},
  [2328] = {.lex_state = 0},
  [2329] = {.lex_state = 0},
  [2330] = {.lex_state = 0},
  [2331] = {.lex_state = 67},
  [2332] = {.lex_state = 67},
  [2333] = {.lex_state = 0},
  [2334] = {.lex_state = 0},
  [2335] = {.lex_state = 0},
  [2336] = {.lex_state = 0},
  [2337] = {.lex_state = 67},
  [2338] = {.lex_state = 0},
  [2339] = {.lex_state = 67},
  [2340] = {.lex_state = 57},
  [2341] = {.lex_state = 0},
  [2342] = {.lex_state = 0},
  [2343] = {.lex_state = 39},
  [2344] = {.lex_state = 67},
  [2345] = {.lex_state = 0},
  [2346] = {.lex_state = 67},
  [2347] = {.lex_state = 0},
  [2348] = {.lex_state = 0},
  [2349] = {.lex_state = 0},
  [2350] = {.lex_state = 0},
  [2351] = {.lex_state = 0},
  [2352] = {.lex_state = 0},
  [2353] = {.lex_state = 0},
  [2354] = {.lex_state = 0},
  [2355] = {.lex_state = 0},
  [2356] = {.lex_state = 0},
  [2357] = {.lex_state = 0},
  [2358] = {.lex_state = 0},
  [2359] = {.lex_state = 0},
  [2360] = {.lex_state = 0},
  [2361] = {.lex_state = 0},
  [2362] = {.lex_state = 0},
  [2363] = {.lex_state = 0},
  [2364] = {.lex_state = 0},
  [2365] = {.lex_state = 57},
  [2366] = {.lex_state = 57},
  [2367] = {.lex_state = 0},
  [2368] = {.lex_state = 0},
  [2369] = {.lex_state = 0},
  [2370] = {.lex_state = 39},
  [2371] = {.lex_state = 0},
  [2372] = {.lex_state = 0},
  [2373] = {.lex_state = 0},
  [2374] = {.lex_state = 0},
  [2375] = {.lex_state = 0},
  [2376] = {.lex_state = 0},
  [2377] = {.lex_state = 0},
  [2378] = {.lex_state = 0},
  [2379] = {.lex_state = 0},
  [2380] = {.lex_state = 45},
  [2381] = {.lex_state = 45},
  [2382] = {.lex_state = 38},
  [2383] = {.lex_state = 0},
  [2384] = {.lex_state = 67},
  [2385] = {.lex_state = 0},
  [2386] = {.lex_state = 0},
  [2387] = {.lex_state = 38},
  [2388] = {.lex_state = 57},
  [2389] = {.lex_state = 0},
  [2390] = {.lex_state = 0},
  [2391] = {.lex_state = 0},
  [2392] = {.lex_state = 0},
  [2393] = {.lex_state = 0},
  [2394] = {.lex_state = 0},
  [2395] = {.lex_state = 0},
  [2396] = {.lex_state = 38},
  [2397] = {.lex_state = 0},
  [2398] = {.lex_state = 0},
  [2399] = {.lex_state = 0},
  [2400] = {.lex_state = 0},
  [2401] = {.lex_state = 0},
  [2402] = {.lex_state = 0},
  [2403] = {.lex_state = 0},
  [2404] = {.lex_state = 0},
  [2405] = {.lex_state = 0},
  [2406] = {.lex_state = 0},
  [2407] = {.lex_state = 0},
  [2408] = {.lex_state = 0},
  [2409] = {.lex_state = 67},
  [2410] = {.lex_state = 0},
  [2411] = {.lex_state = 39},
  [2412] = {.lex_state = 0},
  [2413] = {.lex_state = 0},
  [2414] = {.lex_state = 0},
  [2415] = {.lex_state = 0},
  [2416] = {.lex_state = 0},
  [2417] = {.lex_state = 0},
  [2418] = {.lex_state = 0},
  [2419] = {.lex_state = 0},
  [2420] = {.lex_state = 0},
  [2421] = {.lex_state = 0},
  [2422] = {.lex_state = 0},
  [2423] = {.lex_state = 0},
  [2424] = {.lex_state = 0},
  [2425] = {.lex_state = 0},
  [2426] = {.lex_state = 0},
  [2427] = {.lex_state = 0},
  [2428] = {.lex_state = 0},
  [2429] = {.lex_state = 67},
  [2430] = {.lex_state = 0},
  [2431] = {.lex_state = 0},
  [2432] = {.lex_state = 0},
  [2433] = {.lex_state = 0},
  [2434] = {.lex_state = 0},
  [2435] = {.lex_state = 0},
  [2436] = {.lex_state = 0},
  [2437] = {.lex_state = 0},
  [2438] = {.lex_state = 0},
  [2439] = {.lex_state = 0},
  [2440] = {.lex_state = 0},
  [2441] = {.lex_state = 0},
  [2442] = {.lex_state = 0},
  [2443] = {.lex_state = 0},
  [2444] = {.lex_state = 0},
  [2445] = {.lex_state = 0},
  [2446] = {.lex_state = 0},
  [2447] = {.lex_state = 0},
  [2448] = {.lex_state = 0},
  [2449] = {.lex_state = 0},
  [2450] = {.lex_state = 0},
  [2451] = {.lex_state = 0},
  [2452] = {.lex_state = 0},
  [2453] = {.lex_state = 0},
  [2454] = {.lex_state = 0},
  [2455] = {.lex_state = 0},
  [2456] = {.lex_state = 0},
  [2457] = {.lex_state = 0},
  [2458] = {.lex_state = 0},
  [2459] = {.lex_state = 0},
  [2460] = {.lex_state = 0},
  [2461] = {.lex_state = 67},
  [2462] = {.lex_state = 0},
  [2463] = {.lex_state = 67},
  [2464] = {.lex_state = 0},
  [2465] = {.lex_state = 0},
  [2466] = {.lex_state = 0},
  [2467] = {.lex_state = 0},
  [2468] = {.lex_state = 0},
  [2469] = {.lex_state = 0},
  [2470] = {.lex_state = 0},
  [2471] = {.lex_state = 0},
  [2472] = {.lex_state = 0},
  [2473] = {.lex_state = 0},
  [2474] = {.lex_state = 45},
  [2475] = {.lex_state = 0},
  [2476] = {.lex_state = 0},
  [2477] = {.lex_state = 0},
  [2478] = {.lex_state = 0},
  [2479] = {.lex_state = 0},
  [2480] = {.lex_state = 0},
  [2481] = {.lex_state = 0},
  [2482] = {.lex_state = 0},
  [2483] = {.lex_state = 37},
  [2484] = {.lex_state = 144},
  [2485] = {.lex_state = 144},
  [2486] = {.lex_state = 144},
  [2487] = {.lex_state = 67},
  [2488] = {.lex_state = 0},
  [2489] = {.lex_state = 0},
  [2490] = {.lex_state = 144},
  [2491] = {.lex_state = 0},
  [2492] = {.lex_state = 0},
  [2493] = {.lex_state = 0},
  [2494] = {.lex_state = 144},
  [2495] = {.lex_state = 0},
  [2496] = {.lex_state = 0},
  [2497] = {.lex_state = 0},
  [2498] = {.lex_state = 0},
  [2499] = {.lex_state = 144},
  [2500] = {.lex_state = 0},
  [2501] = {.lex_state = 37},
  [2502] = {.lex_state = 0},
  [2503] = {.lex_state = 0},
  [2504] = {.lex_state = 0},
  [2505] = {.lex_state = 144},
  [2506] = {.lex_state = 144},
  [2507] = {.lex_state = 37},
  [2508] = {.lex_state = 144},
  [2509] = {.lex_state = 37},
  [2510] = {.lex_state = 144},
  [2511] = {.lex_state = 37},
  [2512] = {.lex_state = 0},
  [2513] = {.lex_state = 144},
  [2514] = {.lex_state = 0},
  [2515] = {.lex_state = 144},
  [2516] = {.lex_state = 0},
  [2517] = {.lex_state = 37},
  [2518] = {.lex_state = 0},
  [2519] = {.lex_state = 0},
  [2520] = {.lex_state = 0},
  [2521] = {.lex_state = 37},
  [2522] = {.lex_state = 37},
  [2523] = {.lex_state = 0},
  [2524] = {.lex_state = 0},
  [2525] = {.lex_state = 144},
  [2526] = {.lex_state = 0},
  [2527] = {.lex_state = 0},
  [2528] = {.lex_state = 0},
  [2529] = {.lex_state = 144},
  [2530] = {.lex_state = 67},
  [2531] = {.lex_state = 144},
  [2532] = {.lex_state = 144},
  [2533] = {.lex_state = 37},
  [2534] = {.lex_state = 144},
  [2535] = {.lex_state = 144},
  [2536] = {.lex_state = 144},
  [2537] = {.lex_state = 0},
  [2538] = {.lex_state = 144},
  [2539] = {.lex_state = 0},
  [2540] = {.lex_state = 57},
  [2541] = {.lex_state = 37},
  [2542] = {.lex_state = 67},
  [2543] = {.lex_state = 67},
  [2544] = {.lex_state = 37},
  [2545] = {.lex_state = 37},
  [2546] = {.lex_state = 144},
  [2547] = {.lex_state = 67},
  [2548] = {.lex_state = 57},
  [2549] = {.lex_state = 0},
  [2550] = {.lex_state = 0},
  [2551] = {.lex_state = 144},
  [2552] = {.lex_state = 0},
  [2553] = {.lex_state = 0},
  [2554] = {.lex_state = 37},
  [2555] = {.lex_state = 0},
  [2556] = {.lex_state = 37},
  [2557] = {.lex_state = 0},
  [2558] = {.lex_state = 144},
  [2559] = {.lex_state = 144},
  [2560] = {.lex_state = 57},
  [2561] = {.lex_state = 0},
  [2562] = {.lex_state = 0},
  [2563] = {.lex_state = 0},
  [2564] = {.lex_state = 67},
  [2565] = {.lex_state = 0},
  [2566] = {.lex_state = 0},
  [2567] = {.lex_state = 144},
  [2568] = {.lex_state = 0},
  [2569] = {.lex_state = 0},
  [2570] = {.lex_state = 37},
  [2571] = {.lex_state = 144},
  [2572] = {.lex_state = 67},
  [2573] = {.lex_state = 144},
  [2574] = {.lex_state = 67},
  [2575] = {.lex_state = 37},
  [2576] = {.lex_state = 144},
  [2577] = {.lex_state = 144},
  [2578] = {.lex_state = 0},
  [2579] = {.lex_state = 144},
  [2580] = {.lex_state = 144},
  [2581] = {.lex_state = 144},
  [2582] = {.lex_state = 37},
  [2583] = {.lex_state = 0},
  [2584] = {.lex_state = 67},
  [2585] = {.lex_state = 0},
  [2586] = {.lex_state = 67},
  [2587] = {.lex_state = 0},
  [2588] = {.lex_state = 144},
  [2589] = {.lex_state = 0},
  [2590] = {.lex_state = 38},
  [2591] = {.lex_state = 0},
  [2592] = {.lex_state = 67},
  [2593] = {.lex_state = 0},
  [2594] = {.lex_state = 38},
  [2595] = {.lex_state = 60},
  [2596] = {.lex_state = 0},
  [2597] = {.lex_state = 38},
  [2598] = {.lex_state = 0},
  [2599] = {.lex_state = 67},
  [2600] = {.lex_state = 0},
  [2601] = {.lex_state = 0},
  [2602] = {.lex_state = 38},
  [2603] = {.lex_state = 67},
  [2604] = {.lex_state = 0},
  [2605] = {.lex_state = 0},
  [2606] = {.lex_state = 0},
  [2607] = {.lex_state = 0},
  [2608] = {.lex_state = 0},
  [2609] = {.lex_state = 0},
  [2610] = {.lex_state = 0},
  [2611] = {.lex_state = 67},
  [2612] = {.lex_state = 67},
  [2613] = {.lex_state = 0},
  [2614] = {.lex_state = 0},
  [2615] = {.lex_state = 0},
  [2616] = {.lex_state = 0},
  [2617] = {.lex_state = 67},
  [2618] = {.lex_state = 67},
  [2619] = {.lex_state = 38},
  [2620] = {.lex_state = 38},
  [2621] = {.lex_state = 38},
  [2622] = {.lex_state = 55},
  [2623] = {.lex_state = 67},
  [2624] = {.lex_state = 67},
  [2625] = {.lex_state = 67},
  [2626] = {.lex_state = 144},
  [2627] = {.lex_state = 144},
  [2628] = {.lex_state = 0},
  [2629] = {.lex_state = 55},
  [2630] = {.lex_state = 0},
  [2631] = {.lex_state = 0},
  [2632] = {.lex_state = 67},
  [2633] = {.lex_state = 67},
  [2634] = {.lex_state = 0},
  [2635] = {.lex_state = 67},
  [2636] = {.lex_state = 67},
  [2637] = {.lex_state = 0},
  [2638] = {.lex_state = 0},
  [2639] = {.lex_state = 67},
  [2640] = {.lex_state = 0},
  [2641] = {.lex_state = 0},
  [2642] = {.lex_state = 0},
  [2643] = {.lex_state = 67},
  [2644] = {.lex_state = 38},
  [2645] = {.lex_state = 67},
  [2646] = {.lex_state = 0},
  [2647] = {.lex_state = 55},
  [2648] = {.lex_state = 38},
  [2649] = {.lex_state = 0},
  [2650] = {.lex_state = 0},
  [2651] = {.lex_state = 67},
  [2652] = {.lex_state = 67},
  [2653] = {.lex_state = 67},
  [2654] = {.lex_state = 38},
  [2655] = {.lex_state = 67},
  [2656] = {.lex_state = 38},
  [2657] = {.lex_state = 38},
  [2658] = {.lex_state = 0},
  [2659] = {.lex_state = 38},
  [2660] = {.lex_state = 38},
  [2661] = {.lex_state = 38},
  [2662] = {.lex_state = 0},
  [2663] = {.lex_state = 67},
  [2664] = {.lex_state = 38},
  [2665] = {.lex_state = 38},
  [2666] = {.lex_state = 0},
  [2667] = {.lex_state = 67},
  [2668] = {.lex_state = 38},
  [2669] = {.lex_state = 38},
  [2670] = {.lex_state = 144},
  [2671] = {.lex_state = 0},
  [2672] = {.lex_state = 67},
  [2673] = {.lex_state = 38},
  [2674] = {.lex_state = 0},
  [2675] = {.lex_state = 55},
  [2676] = {.lex_state = 55},
  [2677] = {.lex_state = 55},
  [2678] = {.lex_state = 38},
  [2679] = {.lex_state = 0},
  [2680] = {.lex_state = 0},
  [2681] = {.lex_state = 0},
  [2682] = {.lex_state = 38},
  [2683] = {.lex_state = 144},
  [2684] = {.lex_state = 0},
  [2685] = {.lex_state = 55},
  [2686] = {.lex_state = 55},
  [2687] = {.lex_state = 67},
  [2688] = {.lex_state = 67},
  [2689] = {.lex_state = 55},
  [2690] = {.lex_state = 55},
  [2691] = {.lex_state = 55},
  [2692] = {.lex_state = 38},
  [2693] = {.lex_state = 55},
  [2694] = {.lex_state = 55},
  [2695] = {.lex_state = 0},
  [2696] = {.lex_state = 67},
  [2697] = {.lex_state = 0},
  [2698] = {.lex_state = 0},
  [2699] = {.lex_state = 38},
  [2700] = {.lex_state = 0},
  [2701] = {.lex_state = 0},
  [2702] = {.lex_state = 0},
  [2703] = {.lex_state = 55},
  [2704] = {.lex_state = 0},
  [2705] = {.lex_state = 0},
  [2706] = {.lex_state = 0},
  [2707] = {.lex_state = 55},
  [2708] = {.lex_state = 55},
  [2709] = {.lex_state = 55},
  [2710] = {.lex_state = 0},
  [2711] = {.lex_state = 55},
  [2712] = {.lex_state = 55},
  [2713] = {.lex_state = 67},
  [2714] = {.lex_state = 55},
  [2715] = {.lex_state = 0},
  [2716] = {.lex_state = 0},
  [2717] = {.lex_state = 0},
  [2718] = {.lex_state = 55},
  [2719] = {.lex_state = 55},
  [2720] = {.lex_state = 0},
  [2721] = {.lex_state = 0},
  [2722] = {.lex_state = 55},
  [2723] = {.lex_state = 55},
  [2724] = {.lex_state = 0},
  [2725] = {.lex_state = 55},
  [2726] = {.lex_state = 55},
  [2727] = {.lex_state = 0},
  [2728] = {.lex_state = 38},
  [2729] = {.lex_state = 55},
  [2730] = {.lex_state = 55},
  [2731] = {.lex_state = 144},
  [2732] = {.lex_state = 67},
  [2733] = {.lex_state = 67},
  [2734] = {.lex_state = 0},
  [2735] = {.lex_state = 0},
  [2736] = {.lex_state = 0},
  [2737] = {.lex_state = 67},
  [2738] = {.lex_state = 67},
  [2739] = {.lex_state = 0},
  [2740] = {.lex_state = 0},
  [2741] = {.lex_state = 55},
  [2742] = {.lex_state = 55},
  [2743] = {.lex_state = 55},
  [2744] = {.lex_state = 67},
  [2745] = {.lex_state = 55},
  [2746] = {.lex_state = 0},
  [2747] = {.lex_state = 0},
  [2748] = {.lex_state = 0},
  [2749] = {.lex_state = 38},
  [2750] = {.lex_state = 55},
  [2751] = {.lex_state = 67},
  [2752] = {.lex_state = 0},
  [2753] = {.lex_state = 55},
  [2754] = {.lex_state = 0},
  [2755] = {.lex_state = 0},
  [2756] = {.lex_state = 0},
  [2757] = {.lex_state = 67},
  [2758] = {.lex_state = 0},
  [2759] = {.lex_state = 0},
  [2760] = {.lex_state = 55},
  [2761] = {.lex_state = 55},
  [2762] = {.lex_state = 0},
  [2763] = {.lex_state = 144},
  [2764] = {.lex_state = 55},
  [2765] = {.lex_state = 0},
  [2766] = {.lex_state = 38},
  [2767] = {.lex_state = 38},
  [2768] = {.lex_state = 0},
  [2769] = {.lex_state = 0},
  [2770] = {.lex_state = 0},
  [2771] = {.lex_state = 0},
  [2772] = {.lex_state = 0},
  [2773] = {.lex_state = 0},
  [2774] = {.lex_state = 38},
  [2775] = {.lex_state = 0},
  [2776] = {.lex_state = 67},
  [2777] = {.lex_state = 0},
  [2778] = {.lex_state = 0},
  [2779] = {.lex_state = 0},
  [2780] = {.lex_state = 0},
  [2781] = {.lex_state = 144},
  [2782] = {.lex_state = 67},
  [2783] = {.lex_state = 0},
  [2784] = {.lex_state = 67},
  [2785] = {.lex_state = 67},
  [2786] = {.lex_state = 67},
  [2787] = {.lex_state = 0},
  [2788] = {.lex_state = 0},
  [2789] = {.lex_state = 0},
  [2790] = {.lex_state = 0},
  [2791] = {.lex_state = 0},
  [2792] = {.lex_state = 38},
  [2793] = {.lex_state = 144},
  [2794] = {.lex_state = 0},
  [2795] = {.lex_state = 0},
  [2796] = {.lex_state = 144},
  [2797] = {.lex_state = 55},
  [2798] = {.lex_state = 67},
  [2799] = {.lex_state = 0},
  [2800] = {.lex_state = 67},
  [2801] = {.lex_state = 60},
  [2802] = {.lex_state = 0},
  [2803] = {.lex_state = 55},
  [2804] = {.lex_state = 55},
  [2805] = {.lex_state = 67},
  [2806] = {.lex_state = 0},
  [2807] = {.lex_state = 67},
  [2808] = {.lex_state = 38},
  [2809] = {.lex_state = 0},
  [2810] = {.lex_state = 0},
  [2811] = {.lex_state = 67},
  [2812] = {.lex_state = 0},
  [2813] = {.lex_state = 55},
  [2814] = {.lex_state = 0},
  [2815] = {.lex_state = 55},
  [2816] = {.lex_state = 0},
  [2817] = {.lex_state = 0},
  [2818] = {.lex_state = 0},
  [2819] = {.lex_state = 0},
  [2820] = {.lex_state = 38},
  [2821] = {.lex_state = 0},
  [2822] = {.lex_state = 38},
  [2823] = {.lex_state = 0},
  [2824] = {.lex_state = 55},
  [2825] = {.lex_state = 0},
  [2826] = {.lex_state = 144},
  [2827] = {.lex_state = 55},
  [2828] = {.lex_state = 0},
  [2829] = {.lex_state = 60},
  [2830] = {.lex_state = 0},
  [2831] = {.lex_state = 55},
  [2832] = {.lex_state = 67},
  [2833] = {.lex_state = 0},
  [2834] = {.lex_state = 55},
  [2835] = {.lex_state = 38},
  [2836] = {.lex_state = 55},
  [2837] = {.lex_state = 0},
  [2838] = {.lex_state = 0},
  [2839] = {.lex_state = 55},
  [2840] = {.lex_state = 67},
  [2841] = {.lex_state = 0},
  [2842] = {.lex_state = 0},
  [2843] = {.lex_state = 0},
  [2844] = {.lex_state = 55},
  [2845] = {.lex_state = 0},
  [2846] = {.lex_state = 60},
  [2847] = {.lex_state = 0},
  [2848] = {.lex_state = 0},
  [2849] = {.lex_state = 67},
  [2850] = {.lex_state = 67},
  [2851] = {.lex_state = 38},
  [2852] = {.lex_state = 0},
  [2853] = {.lex_state = 55},
  [2854] = {.lex_state = 0},
  [2855] = {.lex_state = 0},
  [2856] = {.lex_state = 0},
  [2857] = {.lex_state = 55},
  [2858] = {.lex_state = 38},
  [2859] = {.lex_state = 55},
  [2860] = {.lex_state = 144},
  [2861] = {.lex_state = 55},
  [2862] = {.lex_state = 38},
  [2863] = {.lex_state = 60},
  [2864] = {.lex_state = 38},
  [2865] = {.lex_state = 38},
  [2866] = {.lex_state = 67},
  [2867] = {.lex_state = 55},
  [2868] = {.lex_state = 55},
  [2869] = {.lex_state = 0},
  [2870] = {.lex_state = 38},
  [2871] = {.lex_state = 55},
  [2872] = {.lex_state = 0},
  [2873] = {.lex_state = 38},
  [2874] = {.lex_state = 0},
  [2875] = {.lex_state = 0},
  [2876] = {.lex_state = 0},
  [2877] = {.lex_state = 144},
  [2878] = {.lex_state = 0},
  [2879] = {.lex_state = 55},
  [2880] = {.lex_state = 55},
  [2881] = {.lex_state = 0},
  [2882] = {.lex_state = 55},
  [2883] = {.lex_state = 0},
  [2884] = {.lex_state = 0},
  [2885] = {.lex_state = 55},
  [2886] = {.lex_state = 144},
  [2887] = {.lex_state = 38},
  [2888] = {.lex_state = 144},
  [2889] = {.lex_state = 0},
  [2890] = {.lex_state = 0},
  [2891] = {.lex_state = 0},
  [2892] = {.lex_state = 0},
  [2893] = {.lex_state = 144},
  [2894] = {.lex_state = 38},
  [2895] = {.lex_state = 38},
  [2896] = {.lex_state = 0},
  [2897] = {.lex_state = 0},
  [2898] = {.lex_state = 0},
  [2899] = {.lex_state = 0},
  [2900] = {.lex_state = 0},
  [2901] = {.lex_state = 0},
  [2902] = {.lex_state = 0},
  [2903] = {.lex_state = 0},
  [2904] = {.lex_state = 144},
  [2905] = {.lex_state = 0},
  [2906] = {.lex_state = 0},
  [2907] = {.lex_state = 144},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [aux_sym_preproc_include_token1] = ACTIONS(1),
    [aux_sym_preproc_def_token1] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [aux_sym_preproc_if_token1] = ACTIONS(1),
    [aux_sym_preproc_if_token2] = ACTIONS(1),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1),
    [aux_sym_preproc_else_token1] = ACTIONS(1),
    [aux_sym_preproc_elif_token1] = ACTIONS(1),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1),
    [sym_preproc_directive] = ACTIONS(1),
    [anon_sym_LPAREN2] = ACTIONS(1),
    [anon_sym_defined] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_subroutine] = ACTIONS(1),
    [anon_sym_invariant] = ACTIONS(1),
    [anon_sym_precise] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_out] = ACTIONS(1),
    [anon_sym_inout] = ACTIONS(1),
    [anon_sym_uniform] = ACTIONS(1),
    [anon_sym_shared] = ACTIONS(1),
    [anon_sym_attribute] = ACTIONS(1),
    [anon_sym_varying] = ACTIONS(1),
    [anon_sym_buffer] = ACTIONS(1),
    [anon_sym_coherent] = ACTIONS(1),
    [anon_sym_readonly] = ACTIONS(1),
    [anon_sym_writeonly] = ACTIONS(1),
    [anon_sym_precision] = ACTIONS(1),
    [anon_sym_highp] = ACTIONS(1),
    [anon_sym_mediump] = ACTIONS(1),
    [anon_sym_lowp] = ACTIONS(1),
    [anon_sym_centroid] = ACTIONS(1),
    [anon_sym_sample] = ACTIONS(1),
    [anon_sym_patch] = ACTIONS(1),
    [anon_sym_smooth] = ACTIONS(1),
    [anon_sym_flat] = ACTIONS(1),
    [anon_sym_noperspective] = ACTIONS(1),
    [anon_sym___extension__] = ACTIONS(1),
    [anon_sym_typedef] = ACTIONS(1),
    [anon_sym_extern] = ACTIONS(1),
    [anon_sym___attribute__] = ACTIONS(1),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1),
    [anon_sym___declspec] = ACTIONS(1),
    [anon_sym___based] = ACTIONS(1),
    [anon_sym___cdecl] = ACTIONS(1),
    [anon_sym___clrcall] = ACTIONS(1),
    [anon_sym___stdcall] = ACTIONS(1),
    [anon_sym___fastcall] = ACTIONS(1),
    [anon_sym___thiscall] = ACTIONS(1),
    [anon_sym___vectorcall] = ACTIONS(1),
    [sym_ms_restrict_modifier] = ACTIONS(1),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(1),
    [sym_ms_signed_ptr_modifier] = ACTIONS(1),
    [anon_sym__unaligned] = ACTIONS(1),
    [anon_sym___unaligned] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_signed] = ACTIONS(1),
    [anon_sym_unsigned] = ACTIONS(1),
    [anon_sym_long] = ACTIONS(1),
    [anon_sym_short] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_auto] = ACTIONS(1),
    [anon_sym_register] = ACTIONS(1),
    [anon_sym_inline] = ACTIONS(1),
    [anon_sym___inline] = ACTIONS(1),
    [anon_sym___inline__] = ACTIONS(1),
    [anon_sym___forceinline] = ACTIONS(1),
    [anon_sym_thread_local] = ACTIONS(1),
    [anon_sym___thread] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_constexpr] = ACTIONS(1),
    [anon_sym_volatile] = ACTIONS(1),
    [anon_sym_restrict] = ACTIONS(1),
    [anon_sym___restrict__] = ACTIONS(1),
    [anon_sym__Atomic] = ACTIONS(1),
    [anon_sym__Noreturn] = ACTIONS(1),
    [anon_sym_noreturn] = ACTIONS(1),
    [sym_primitive_type] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_union] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_goto] = ACTIONS(1),
    [anon_sym___try] = ACTIONS(1),
    [anon_sym___except] = ACTIONS(1),
    [anon_sym___finally] = ACTIONS(1),
    [anon_sym___leave] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_sizeof] = ACTIONS(1),
    [anon_sym___alignof__] = ACTIONS(1),
    [anon_sym___alignof] = ACTIONS(1),
    [anon_sym__alignof] = ACTIONS(1),
    [anon_sym_alignof] = ACTIONS(1),
    [anon_sym__Alignof] = ACTIONS(1),
    [anon_sym_offsetof] = ACTIONS(1),
    [anon_sym__Generic] = ACTIONS(1),
    [anon_sym_asm] = ACTIONS(1),
    [anon_sym___asm__] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [sym_number_literal] = ACTIONS(1),
    [anon_sym_L_SQUOTE] = ACTIONS(1),
    [anon_sym_u_SQUOTE] = ACTIONS(1),
    [anon_sym_U_SQUOTE] = ACTIONS(1),
    [anon_sym_u8_SQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_L_DQUOTE] = ACTIONS(1),
    [anon_sym_u_DQUOTE] = ACTIONS(1),
    [anon_sym_U_DQUOTE] = ACTIONS(1),
    [anon_sym_u8_DQUOTE] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [anon_sym_NULL] = ACTIONS(1),
    [anon_sym_nullptr] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [anon_sym_require] = ACTIONS(1),
    [anon_sym_enable] = ACTIONS(1),
    [anon_sym_warn] = ACTIONS(1),
    [anon_sym_disable] = ACTIONS(1),
    [anon_sym_rayPayloadEXT] = ACTIONS(1),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1),
    [anon_sym_hitAttributeEXT] = ACTIONS(1),
    [anon_sym_callableDataEXT] = ACTIONS(1),
    [anon_sym_callableDataInEXT] = ACTIONS(1),
    [anon_sym_shaderRecordEXT] = ACTIONS(1),
    [anon_sym_rayPayloadNV] = ACTIONS(1),
    [anon_sym_rayPayloadInNV] = ACTIONS(1),
    [anon_sym_hitAttributeNV] = ACTIONS(1),
    [anon_sym_callableDataNV] = ACTIONS(1),
    [anon_sym_callableDataInNV] = ACTIONS(1),
    [anon_sym_shaderRecordNV] = ACTIONS(1),
    [anon_sym_layout] = ACTIONS(1),
  },
  [1] = {
    [sym_translation_unit] = STATE(2601),
    [sym_preproc_include] = STATE(52),
    [sym_preproc_def] = STATE(52),
    [sym_preproc_function_def] = STATE(52),
    [sym_preproc_call] = STATE(52),
    [sym_preproc_if] = STATE(52),
    [sym_preproc_ifdef] = STATE(52),
    [sym_function_definition] = STATE(52),
    [sym_declaration] = STATE(52),
    [sym_type_definition] = STATE(52),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1614),
    [sym_linkage_specification] = STATE(52),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_ms_call_modifier] = STATE(1157),
    [sym_compound_statement] = STATE(52),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1325),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(52),
    [sym_labeled_statement] = STATE(52),
    [sym__top_level_expression_statement] = STATE(52),
    [sym_if_statement] = STATE(52),
    [sym_switch_statement] = STATE(52),
    [sym_case_statement] = STATE(52),
    [sym_while_statement] = STATE(52),
    [sym_do_statement] = STATE(52),
    [sym_for_statement] = STATE(52),
    [sym_return_statement] = STATE(52),
    [sym_break_statement] = STATE(52),
    [sym_continue_statement] = STATE(52),
    [sym_goto_statement] = STATE(52),
    [sym__expression] = STATE(1576),
    [sym__expression_not_binary] = STATE(1575),
    [sym__string] = STATE(1575),
    [sym_conditional_expression] = STATE(1575),
    [sym_assignment_expression] = STATE(1575),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1575),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1575),
    [sym_cast_expression] = STATE(1575),
    [sym_sizeof_expression] = STATE(1575),
    [sym_alignof_expression] = STATE(1575),
    [sym_offsetof_expression] = STATE(1575),
    [sym_generic_expression] = STATE(1575),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1575),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1575),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1575),
    [sym_concatenated_string] = STATE(1575),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1575),
    [sym__empty_declaration] = STATE(52),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_preproc_extension] = STATE(52),
    [sym_extension_storage_class] = STATE(724),
    [sym_layout_specification] = STATE(724),
    [aux_sym_translation_unit_repeat1] = STATE(52),
    [aux_sym_declaration_repeat1] = STATE(724),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(676),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [aux_sym_preproc_include_token1] = ACTIONS(9),
    [aux_sym_preproc_def_token1] = ACTIONS(11),
    [aux_sym_preproc_if_token1] = ACTIONS(13),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(15),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(15),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(27),
    [anon_sym_invariant] = ACTIONS(29),
    [anon_sym_precise] = ACTIONS(29),
    [anon_sym_in] = ACTIONS(31),
    [anon_sym_out] = ACTIONS(31),
    [anon_sym_inout] = ACTIONS(31),
    [anon_sym_uniform] = ACTIONS(31),
    [anon_sym_shared] = ACTIONS(31),
    [anon_sym_attribute] = ACTIONS(31),
    [anon_sym_varying] = ACTIONS(31),
    [anon_sym_buffer] = ACTIONS(31),
    [anon_sym_coherent] = ACTIONS(31),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_writeonly] = ACTIONS(31),
    [anon_sym_precision] = ACTIONS(31),
    [anon_sym_highp] = ACTIONS(31),
    [anon_sym_mediump] = ACTIONS(31),
    [anon_sym_lowp] = ACTIONS(31),
    [anon_sym_centroid] = ACTIONS(31),
    [anon_sym_sample] = ACTIONS(31),
    [anon_sym_patch] = ACTIONS(31),
    [anon_sym_smooth] = ACTIONS(31),
    [anon_sym_flat] = ACTIONS(31),
    [anon_sym_noperspective] = ACTIONS(31),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_default] = ACTIONS(69),
    [anon_sym_while] = ACTIONS(71),
    [anon_sym_do] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(75),
    [anon_sym_return] = ACTIONS(77),
    [anon_sym_break] = ACTIONS(79),
    [anon_sym_continue] = ACTIONS(81),
    [anon_sym_goto] = ACTIONS(83),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [2] = {
    [sym_preproc_include] = STATE(10),
    [sym_preproc_def] = STATE(10),
    [sym_preproc_function_def] = STATE(10),
    [sym_preproc_call] = STATE(10),
    [sym_preproc_if] = STATE(10),
    [sym_preproc_ifdef] = STATE(10),
    [sym_preproc_else] = STATE(2764),
    [sym_preproc_elif] = STATE(2764),
    [sym_preproc_elifdef] = STATE(2764),
    [sym_function_definition] = STATE(10),
    [sym_declaration] = STATE(10),
    [sym_type_definition] = STATE(10),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1618),
    [sym_linkage_specification] = STATE(10),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_ms_call_modifier] = STATE(1162),
    [sym_compound_statement] = STATE(10),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1328),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(10),
    [sym_labeled_statement] = STATE(10),
    [sym_expression_statement] = STATE(10),
    [sym_if_statement] = STATE(10),
    [sym_switch_statement] = STATE(10),
    [sym_case_statement] = STATE(10),
    [sym_while_statement] = STATE(10),
    [sym_do_statement] = STATE(10),
    [sym_for_statement] = STATE(10),
    [sym_return_statement] = STATE(10),
    [sym_break_statement] = STATE(10),
    [sym_continue_statement] = STATE(10),
    [sym_goto_statement] = STATE(10),
    [sym_seh_try_statement] = STATE(10),
    [sym_seh_leave_statement] = STATE(10),
    [sym__expression] = STATE(1517),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2806),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym__empty_declaration] = STATE(10),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_preproc_extension] = STATE(10),
    [sym_extension_storage_class] = STATE(720),
    [sym_layout_specification] = STATE(720),
    [aux_sym_preproc_if_repeat1] = STATE(10),
    [aux_sym_declaration_repeat1] = STATE(720),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(686),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(111),
    [aux_sym_preproc_include_token1] = ACTIONS(113),
    [aux_sym_preproc_def_token1] = ACTIONS(115),
    [aux_sym_preproc_if_token1] = ACTIONS(117),
    [aux_sym_preproc_if_token2] = ACTIONS(119),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(121),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(121),
    [aux_sym_preproc_else_token1] = ACTIONS(123),
    [aux_sym_preproc_elif_token1] = ACTIONS(125),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(127),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(127),
    [sym_preproc_directive] = ACTIONS(129),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(131),
    [anon_sym_invariant] = ACTIONS(133),
    [anon_sym_precise] = ACTIONS(133),
    [anon_sym_SEMI] = ACTIONS(135),
    [anon_sym_in] = ACTIONS(137),
    [anon_sym_out] = ACTIONS(137),
    [anon_sym_inout] = ACTIONS(137),
    [anon_sym_uniform] = ACTIONS(137),
    [anon_sym_shared] = ACTIONS(137),
    [anon_sym_attribute] = ACTIONS(137),
    [anon_sym_varying] = ACTIONS(137),
    [anon_sym_buffer] = ACTIONS(137),
    [anon_sym_coherent] = ACTIONS(137),
    [anon_sym_readonly] = ACTIONS(137),
    [anon_sym_writeonly] = ACTIONS(137),
    [anon_sym_precision] = ACTIONS(137),
    [anon_sym_highp] = ACTIONS(137),
    [anon_sym_mediump] = ACTIONS(137),
    [anon_sym_lowp] = ACTIONS(137),
    [anon_sym_centroid] = ACTIONS(137),
    [anon_sym_sample] = ACTIONS(137),
    [anon_sym_patch] = ACTIONS(137),
    [anon_sym_smooth] = ACTIONS(137),
    [anon_sym_flat] = ACTIONS(137),
    [anon_sym_noperspective] = ACTIONS(137),
    [anon_sym___extension__] = ACTIONS(139),
    [anon_sym_typedef] = ACTIONS(141),
    [anon_sym_extern] = ACTIONS(143),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(147),
    [anon_sym_switch] = ACTIONS(149),
    [anon_sym_case] = ACTIONS(151),
    [anon_sym_default] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_return] = ACTIONS(161),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(165),
    [anon_sym_goto] = ACTIONS(167),
    [anon_sym___try] = ACTIONS(169),
    [anon_sym___leave] = ACTIONS(171),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [3] = {
    [sym_preproc_include] = STATE(23),
    [sym_preproc_def] = STATE(23),
    [sym_preproc_function_def] = STATE(23),
    [sym_preproc_call] = STATE(23),
    [sym_preproc_if] = STATE(23),
    [sym_preproc_ifdef] = STATE(23),
    [sym_preproc_else] = STATE(2867),
    [sym_preproc_elif] = STATE(2867),
    [sym_preproc_elifdef] = STATE(2867),
    [sym_function_definition] = STATE(23),
    [sym_declaration] = STATE(23),
    [sym_type_definition] = STATE(23),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1618),
    [sym_linkage_specification] = STATE(23),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_ms_call_modifier] = STATE(1162),
    [sym_compound_statement] = STATE(23),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1328),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(23),
    [sym_labeled_statement] = STATE(23),
    [sym_expression_statement] = STATE(23),
    [sym_if_statement] = STATE(23),
    [sym_switch_statement] = STATE(23),
    [sym_case_statement] = STATE(23),
    [sym_while_statement] = STATE(23),
    [sym_do_statement] = STATE(23),
    [sym_for_statement] = STATE(23),
    [sym_return_statement] = STATE(23),
    [sym_break_statement] = STATE(23),
    [sym_continue_statement] = STATE(23),
    [sym_goto_statement] = STATE(23),
    [sym_seh_try_statement] = STATE(23),
    [sym_seh_leave_statement] = STATE(23),
    [sym__expression] = STATE(1517),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2806),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym__empty_declaration] = STATE(23),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_preproc_extension] = STATE(23),
    [sym_extension_storage_class] = STATE(720),
    [sym_layout_specification] = STATE(720),
    [aux_sym_preproc_if_repeat1] = STATE(23),
    [aux_sym_declaration_repeat1] = STATE(720),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(686),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(111),
    [aux_sym_preproc_include_token1] = ACTIONS(113),
    [aux_sym_preproc_def_token1] = ACTIONS(115),
    [aux_sym_preproc_if_token1] = ACTIONS(117),
    [aux_sym_preproc_if_token2] = ACTIONS(177),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(121),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(121),
    [aux_sym_preproc_else_token1] = ACTIONS(123),
    [aux_sym_preproc_elif_token1] = ACTIONS(125),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(127),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(127),
    [sym_preproc_directive] = ACTIONS(129),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(131),
    [anon_sym_invariant] = ACTIONS(133),
    [anon_sym_precise] = ACTIONS(133),
    [anon_sym_SEMI] = ACTIONS(135),
    [anon_sym_in] = ACTIONS(137),
    [anon_sym_out] = ACTIONS(137),
    [anon_sym_inout] = ACTIONS(137),
    [anon_sym_uniform] = ACTIONS(137),
    [anon_sym_shared] = ACTIONS(137),
    [anon_sym_attribute] = ACTIONS(137),
    [anon_sym_varying] = ACTIONS(137),
    [anon_sym_buffer] = ACTIONS(137),
    [anon_sym_coherent] = ACTIONS(137),
    [anon_sym_readonly] = ACTIONS(137),
    [anon_sym_writeonly] = ACTIONS(137),
    [anon_sym_precision] = ACTIONS(137),
    [anon_sym_highp] = ACTIONS(137),
    [anon_sym_mediump] = ACTIONS(137),
    [anon_sym_lowp] = ACTIONS(137),
    [anon_sym_centroid] = ACTIONS(137),
    [anon_sym_sample] = ACTIONS(137),
    [anon_sym_patch] = ACTIONS(137),
    [anon_sym_smooth] = ACTIONS(137),
    [anon_sym_flat] = ACTIONS(137),
    [anon_sym_noperspective] = ACTIONS(137),
    [anon_sym___extension__] = ACTIONS(139),
    [anon_sym_typedef] = ACTIONS(141),
    [anon_sym_extern] = ACTIONS(143),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(147),
    [anon_sym_switch] = ACTIONS(149),
    [anon_sym_case] = ACTIONS(151),
    [anon_sym_default] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_return] = ACTIONS(161),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(165),
    [anon_sym_goto] = ACTIONS(167),
    [anon_sym___try] = ACTIONS(169),
    [anon_sym___leave] = ACTIONS(171),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [4] = {
    [sym_preproc_include] = STATE(23),
    [sym_preproc_def] = STATE(23),
    [sym_preproc_function_def] = STATE(23),
    [sym_preproc_call] = STATE(23),
    [sym_preproc_if] = STATE(23),
    [sym_preproc_ifdef] = STATE(23),
    [sym_preproc_else] = STATE(2844),
    [sym_preproc_elif] = STATE(2844),
    [sym_preproc_elifdef] = STATE(2844),
    [sym_function_definition] = STATE(23),
    [sym_declaration] = STATE(23),
    [sym_type_definition] = STATE(23),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1618),
    [sym_linkage_specification] = STATE(23),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_ms_call_modifier] = STATE(1162),
    [sym_compound_statement] = STATE(23),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1328),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(23),
    [sym_labeled_statement] = STATE(23),
    [sym_expression_statement] = STATE(23),
    [sym_if_statement] = STATE(23),
    [sym_switch_statement] = STATE(23),
    [sym_case_statement] = STATE(23),
    [sym_while_statement] = STATE(23),
    [sym_do_statement] = STATE(23),
    [sym_for_statement] = STATE(23),
    [sym_return_statement] = STATE(23),
    [sym_break_statement] = STATE(23),
    [sym_continue_statement] = STATE(23),
    [sym_goto_statement] = STATE(23),
    [sym_seh_try_statement] = STATE(23),
    [sym_seh_leave_statement] = STATE(23),
    [sym__expression] = STATE(1517),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2806),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym__empty_declaration] = STATE(23),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_preproc_extension] = STATE(23),
    [sym_extension_storage_class] = STATE(720),
    [sym_layout_specification] = STATE(720),
    [aux_sym_preproc_if_repeat1] = STATE(23),
    [aux_sym_declaration_repeat1] = STATE(720),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(686),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(111),
    [aux_sym_preproc_include_token1] = ACTIONS(113),
    [aux_sym_preproc_def_token1] = ACTIONS(115),
    [aux_sym_preproc_if_token1] = ACTIONS(117),
    [aux_sym_preproc_if_token2] = ACTIONS(179),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(121),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(121),
    [aux_sym_preproc_else_token1] = ACTIONS(123),
    [aux_sym_preproc_elif_token1] = ACTIONS(125),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(127),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(127),
    [sym_preproc_directive] = ACTIONS(129),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(131),
    [anon_sym_invariant] = ACTIONS(133),
    [anon_sym_precise] = ACTIONS(133),
    [anon_sym_SEMI] = ACTIONS(135),
    [anon_sym_in] = ACTIONS(137),
    [anon_sym_out] = ACTIONS(137),
    [anon_sym_inout] = ACTIONS(137),
    [anon_sym_uniform] = ACTIONS(137),
    [anon_sym_shared] = ACTIONS(137),
    [anon_sym_attribute] = ACTIONS(137),
    [anon_sym_varying] = ACTIONS(137),
    [anon_sym_buffer] = ACTIONS(137),
    [anon_sym_coherent] = ACTIONS(137),
    [anon_sym_readonly] = ACTIONS(137),
    [anon_sym_writeonly] = ACTIONS(137),
    [anon_sym_precision] = ACTIONS(137),
    [anon_sym_highp] = ACTIONS(137),
    [anon_sym_mediump] = ACTIONS(137),
    [anon_sym_lowp] = ACTIONS(137),
    [anon_sym_centroid] = ACTIONS(137),
    [anon_sym_sample] = ACTIONS(137),
    [anon_sym_patch] = ACTIONS(137),
    [anon_sym_smooth] = ACTIONS(137),
    [anon_sym_flat] = ACTIONS(137),
    [anon_sym_noperspective] = ACTIONS(137),
    [anon_sym___extension__] = ACTIONS(139),
    [anon_sym_typedef] = ACTIONS(141),
    [anon_sym_extern] = ACTIONS(143),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(147),
    [anon_sym_switch] = ACTIONS(149),
    [anon_sym_case] = ACTIONS(151),
    [anon_sym_default] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_return] = ACTIONS(161),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(165),
    [anon_sym_goto] = ACTIONS(167),
    [anon_sym___try] = ACTIONS(169),
    [anon_sym___leave] = ACTIONS(171),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [5] = {
    [sym_preproc_include] = STATE(23),
    [sym_preproc_def] = STATE(23),
    [sym_preproc_function_def] = STATE(23),
    [sym_preproc_call] = STATE(23),
    [sym_preproc_if] = STATE(23),
    [sym_preproc_ifdef] = STATE(23),
    [sym_preproc_else] = STATE(2693),
    [sym_preproc_elif] = STATE(2693),
    [sym_preproc_elifdef] = STATE(2693),
    [sym_function_definition] = STATE(23),
    [sym_declaration] = STATE(23),
    [sym_type_definition] = STATE(23),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1618),
    [sym_linkage_specification] = STATE(23),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_ms_call_modifier] = STATE(1162),
    [sym_compound_statement] = STATE(23),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1328),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(23),
    [sym_labeled_statement] = STATE(23),
    [sym_expression_statement] = STATE(23),
    [sym_if_statement] = STATE(23),
    [sym_switch_statement] = STATE(23),
    [sym_case_statement] = STATE(23),
    [sym_while_statement] = STATE(23),
    [sym_do_statement] = STATE(23),
    [sym_for_statement] = STATE(23),
    [sym_return_statement] = STATE(23),
    [sym_break_statement] = STATE(23),
    [sym_continue_statement] = STATE(23),
    [sym_goto_statement] = STATE(23),
    [sym_seh_try_statement] = STATE(23),
    [sym_seh_leave_statement] = STATE(23),
    [sym__expression] = STATE(1517),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2806),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym__empty_declaration] = STATE(23),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_preproc_extension] = STATE(23),
    [sym_extension_storage_class] = STATE(720),
    [sym_layout_specification] = STATE(720),
    [aux_sym_preproc_if_repeat1] = STATE(23),
    [aux_sym_declaration_repeat1] = STATE(720),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(686),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(111),
    [aux_sym_preproc_include_token1] = ACTIONS(113),
    [aux_sym_preproc_def_token1] = ACTIONS(115),
    [aux_sym_preproc_if_token1] = ACTIONS(117),
    [aux_sym_preproc_if_token2] = ACTIONS(181),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(121),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(121),
    [aux_sym_preproc_else_token1] = ACTIONS(123),
    [aux_sym_preproc_elif_token1] = ACTIONS(125),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(127),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(127),
    [sym_preproc_directive] = ACTIONS(129),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(131),
    [anon_sym_invariant] = ACTIONS(133),
    [anon_sym_precise] = ACTIONS(133),
    [anon_sym_SEMI] = ACTIONS(135),
    [anon_sym_in] = ACTIONS(137),
    [anon_sym_out] = ACTIONS(137),
    [anon_sym_inout] = ACTIONS(137),
    [anon_sym_uniform] = ACTIONS(137),
    [anon_sym_shared] = ACTIONS(137),
    [anon_sym_attribute] = ACTIONS(137),
    [anon_sym_varying] = ACTIONS(137),
    [anon_sym_buffer] = ACTIONS(137),
    [anon_sym_coherent] = ACTIONS(137),
    [anon_sym_readonly] = ACTIONS(137),
    [anon_sym_writeonly] = ACTIONS(137),
    [anon_sym_precision] = ACTIONS(137),
    [anon_sym_highp] = ACTIONS(137),
    [anon_sym_mediump] = ACTIONS(137),
    [anon_sym_lowp] = ACTIONS(137),
    [anon_sym_centroid] = ACTIONS(137),
    [anon_sym_sample] = ACTIONS(137),
    [anon_sym_patch] = ACTIONS(137),
    [anon_sym_smooth] = ACTIONS(137),
    [anon_sym_flat] = ACTIONS(137),
    [anon_sym_noperspective] = ACTIONS(137),
    [anon_sym___extension__] = ACTIONS(139),
    [anon_sym_typedef] = ACTIONS(141),
    [anon_sym_extern] = ACTIONS(143),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(147),
    [anon_sym_switch] = ACTIONS(149),
    [anon_sym_case] = ACTIONS(151),
    [anon_sym_default] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_return] = ACTIONS(161),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(165),
    [anon_sym_goto] = ACTIONS(167),
    [anon_sym___try] = ACTIONS(169),
    [anon_sym___leave] = ACTIONS(171),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [6] = {
    [sym_preproc_include] = STATE(3),
    [sym_preproc_def] = STATE(3),
    [sym_preproc_function_def] = STATE(3),
    [sym_preproc_call] = STATE(3),
    [sym_preproc_if] = STATE(3),
    [sym_preproc_ifdef] = STATE(3),
    [sym_preproc_else] = STATE(2629),
    [sym_preproc_elif] = STATE(2629),
    [sym_preproc_elifdef] = STATE(2629),
    [sym_function_definition] = STATE(3),
    [sym_declaration] = STATE(3),
    [sym_type_definition] = STATE(3),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1618),
    [sym_linkage_specification] = STATE(3),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_ms_call_modifier] = STATE(1162),
    [sym_compound_statement] = STATE(3),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1328),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(3),
    [sym_labeled_statement] = STATE(3),
    [sym_expression_statement] = STATE(3),
    [sym_if_statement] = STATE(3),
    [sym_switch_statement] = STATE(3),
    [sym_case_statement] = STATE(3),
    [sym_while_statement] = STATE(3),
    [sym_do_statement] = STATE(3),
    [sym_for_statement] = STATE(3),
    [sym_return_statement] = STATE(3),
    [sym_break_statement] = STATE(3),
    [sym_continue_statement] = STATE(3),
    [sym_goto_statement] = STATE(3),
    [sym_seh_try_statement] = STATE(3),
    [sym_seh_leave_statement] = STATE(3),
    [sym__expression] = STATE(1517),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2806),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym__empty_declaration] = STATE(3),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_preproc_extension] = STATE(3),
    [sym_extension_storage_class] = STATE(720),
    [sym_layout_specification] = STATE(720),
    [aux_sym_preproc_if_repeat1] = STATE(3),
    [aux_sym_declaration_repeat1] = STATE(720),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(686),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(111),
    [aux_sym_preproc_include_token1] = ACTIONS(113),
    [aux_sym_preproc_def_token1] = ACTIONS(115),
    [aux_sym_preproc_if_token1] = ACTIONS(117),
    [aux_sym_preproc_if_token2] = ACTIONS(183),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(121),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(121),
    [aux_sym_preproc_else_token1] = ACTIONS(123),
    [aux_sym_preproc_elif_token1] = ACTIONS(125),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(127),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(127),
    [sym_preproc_directive] = ACTIONS(129),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(131),
    [anon_sym_invariant] = ACTIONS(133),
    [anon_sym_precise] = ACTIONS(133),
    [anon_sym_SEMI] = ACTIONS(135),
    [anon_sym_in] = ACTIONS(137),
    [anon_sym_out] = ACTIONS(137),
    [anon_sym_inout] = ACTIONS(137),
    [anon_sym_uniform] = ACTIONS(137),
    [anon_sym_shared] = ACTIONS(137),
    [anon_sym_attribute] = ACTIONS(137),
    [anon_sym_varying] = ACTIONS(137),
    [anon_sym_buffer] = ACTIONS(137),
    [anon_sym_coherent] = ACTIONS(137),
    [anon_sym_readonly] = ACTIONS(137),
    [anon_sym_writeonly] = ACTIONS(137),
    [anon_sym_precision] = ACTIONS(137),
    [anon_sym_highp] = ACTIONS(137),
    [anon_sym_mediump] = ACTIONS(137),
    [anon_sym_lowp] = ACTIONS(137),
    [anon_sym_centroid] = ACTIONS(137),
    [anon_sym_sample] = ACTIONS(137),
    [anon_sym_patch] = ACTIONS(137),
    [anon_sym_smooth] = ACTIONS(137),
    [anon_sym_flat] = ACTIONS(137),
    [anon_sym_noperspective] = ACTIONS(137),
    [anon_sym___extension__] = ACTIONS(139),
    [anon_sym_typedef] = ACTIONS(141),
    [anon_sym_extern] = ACTIONS(143),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(147),
    [anon_sym_switch] = ACTIONS(149),
    [anon_sym_case] = ACTIONS(151),
    [anon_sym_default] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_return] = ACTIONS(161),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(165),
    [anon_sym_goto] = ACTIONS(167),
    [anon_sym___try] = ACTIONS(169),
    [anon_sym___leave] = ACTIONS(171),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [7] = {
    [sym_preproc_include] = STATE(5),
    [sym_preproc_def] = STATE(5),
    [sym_preproc_function_def] = STATE(5),
    [sym_preproc_call] = STATE(5),
    [sym_preproc_if] = STATE(5),
    [sym_preproc_ifdef] = STATE(5),
    [sym_preproc_else] = STATE(2622),
    [sym_preproc_elif] = STATE(2622),
    [sym_preproc_elifdef] = STATE(2622),
    [sym_function_definition] = STATE(5),
    [sym_declaration] = STATE(5),
    [sym_type_definition] = STATE(5),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1618),
    [sym_linkage_specification] = STATE(5),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_ms_call_modifier] = STATE(1162),
    [sym_compound_statement] = STATE(5),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1328),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(5),
    [sym_labeled_statement] = STATE(5),
    [sym_expression_statement] = STATE(5),
    [sym_if_statement] = STATE(5),
    [sym_switch_statement] = STATE(5),
    [sym_case_statement] = STATE(5),
    [sym_while_statement] = STATE(5),
    [sym_do_statement] = STATE(5),
    [sym_for_statement] = STATE(5),
    [sym_return_statement] = STATE(5),
    [sym_break_statement] = STATE(5),
    [sym_continue_statement] = STATE(5),
    [sym_goto_statement] = STATE(5),
    [sym_seh_try_statement] = STATE(5),
    [sym_seh_leave_statement] = STATE(5),
    [sym__expression] = STATE(1517),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2806),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym__empty_declaration] = STATE(5),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_preproc_extension] = STATE(5),
    [sym_extension_storage_class] = STATE(720),
    [sym_layout_specification] = STATE(720),
    [aux_sym_preproc_if_repeat1] = STATE(5),
    [aux_sym_declaration_repeat1] = STATE(720),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(686),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(111),
    [aux_sym_preproc_include_token1] = ACTIONS(113),
    [aux_sym_preproc_def_token1] = ACTIONS(115),
    [aux_sym_preproc_if_token1] = ACTIONS(117),
    [aux_sym_preproc_if_token2] = ACTIONS(185),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(121),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(121),
    [aux_sym_preproc_else_token1] = ACTIONS(123),
    [aux_sym_preproc_elif_token1] = ACTIONS(125),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(127),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(127),
    [sym_preproc_directive] = ACTIONS(129),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(131),
    [anon_sym_invariant] = ACTIONS(133),
    [anon_sym_precise] = ACTIONS(133),
    [anon_sym_SEMI] = ACTIONS(135),
    [anon_sym_in] = ACTIONS(137),
    [anon_sym_out] = ACTIONS(137),
    [anon_sym_inout] = ACTIONS(137),
    [anon_sym_uniform] = ACTIONS(137),
    [anon_sym_shared] = ACTIONS(137),
    [anon_sym_attribute] = ACTIONS(137),
    [anon_sym_varying] = ACTIONS(137),
    [anon_sym_buffer] = ACTIONS(137),
    [anon_sym_coherent] = ACTIONS(137),
    [anon_sym_readonly] = ACTIONS(137),
    [anon_sym_writeonly] = ACTIONS(137),
    [anon_sym_precision] = ACTIONS(137),
    [anon_sym_highp] = ACTIONS(137),
    [anon_sym_mediump] = ACTIONS(137),
    [anon_sym_lowp] = ACTIONS(137),
    [anon_sym_centroid] = ACTIONS(137),
    [anon_sym_sample] = ACTIONS(137),
    [anon_sym_patch] = ACTIONS(137),
    [anon_sym_smooth] = ACTIONS(137),
    [anon_sym_flat] = ACTIONS(137),
    [anon_sym_noperspective] = ACTIONS(137),
    [anon_sym___extension__] = ACTIONS(139),
    [anon_sym_typedef] = ACTIONS(141),
    [anon_sym_extern] = ACTIONS(143),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(147),
    [anon_sym_switch] = ACTIONS(149),
    [anon_sym_case] = ACTIONS(151),
    [anon_sym_default] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_return] = ACTIONS(161),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(165),
    [anon_sym_goto] = ACTIONS(167),
    [anon_sym___try] = ACTIONS(169),
    [anon_sym___leave] = ACTIONS(171),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [8] = {
    [sym_preproc_include] = STATE(11),
    [sym_preproc_def] = STATE(11),
    [sym_preproc_function_def] = STATE(11),
    [sym_preproc_call] = STATE(11),
    [sym_preproc_if] = STATE(11),
    [sym_preproc_ifdef] = STATE(11),
    [sym_preproc_else] = STATE(2885),
    [sym_preproc_elif] = STATE(2885),
    [sym_preproc_elifdef] = STATE(2885),
    [sym_function_definition] = STATE(11),
    [sym_declaration] = STATE(11),
    [sym_type_definition] = STATE(11),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1618),
    [sym_linkage_specification] = STATE(11),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_ms_call_modifier] = STATE(1162),
    [sym_compound_statement] = STATE(11),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1328),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(11),
    [sym_labeled_statement] = STATE(11),
    [sym_expression_statement] = STATE(11),
    [sym_if_statement] = STATE(11),
    [sym_switch_statement] = STATE(11),
    [sym_case_statement] = STATE(11),
    [sym_while_statement] = STATE(11),
    [sym_do_statement] = STATE(11),
    [sym_for_statement] = STATE(11),
    [sym_return_statement] = STATE(11),
    [sym_break_statement] = STATE(11),
    [sym_continue_statement] = STATE(11),
    [sym_goto_statement] = STATE(11),
    [sym_seh_try_statement] = STATE(11),
    [sym_seh_leave_statement] = STATE(11),
    [sym__expression] = STATE(1517),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2806),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym__empty_declaration] = STATE(11),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_preproc_extension] = STATE(11),
    [sym_extension_storage_class] = STATE(720),
    [sym_layout_specification] = STATE(720),
    [aux_sym_preproc_if_repeat1] = STATE(11),
    [aux_sym_declaration_repeat1] = STATE(720),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(686),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(111),
    [aux_sym_preproc_include_token1] = ACTIONS(113),
    [aux_sym_preproc_def_token1] = ACTIONS(115),
    [aux_sym_preproc_if_token1] = ACTIONS(117),
    [aux_sym_preproc_if_token2] = ACTIONS(187),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(121),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(121),
    [aux_sym_preproc_else_token1] = ACTIONS(123),
    [aux_sym_preproc_elif_token1] = ACTIONS(125),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(127),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(127),
    [sym_preproc_directive] = ACTIONS(129),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(131),
    [anon_sym_invariant] = ACTIONS(133),
    [anon_sym_precise] = ACTIONS(133),
    [anon_sym_SEMI] = ACTIONS(135),
    [anon_sym_in] = ACTIONS(137),
    [anon_sym_out] = ACTIONS(137),
    [anon_sym_inout] = ACTIONS(137),
    [anon_sym_uniform] = ACTIONS(137),
    [anon_sym_shared] = ACTIONS(137),
    [anon_sym_attribute] = ACTIONS(137),
    [anon_sym_varying] = ACTIONS(137),
    [anon_sym_buffer] = ACTIONS(137),
    [anon_sym_coherent] = ACTIONS(137),
    [anon_sym_readonly] = ACTIONS(137),
    [anon_sym_writeonly] = ACTIONS(137),
    [anon_sym_precision] = ACTIONS(137),
    [anon_sym_highp] = ACTIONS(137),
    [anon_sym_mediump] = ACTIONS(137),
    [anon_sym_lowp] = ACTIONS(137),
    [anon_sym_centroid] = ACTIONS(137),
    [anon_sym_sample] = ACTIONS(137),
    [anon_sym_patch] = ACTIONS(137),
    [anon_sym_smooth] = ACTIONS(137),
    [anon_sym_flat] = ACTIONS(137),
    [anon_sym_noperspective] = ACTIONS(137),
    [anon_sym___extension__] = ACTIONS(139),
    [anon_sym_typedef] = ACTIONS(141),
    [anon_sym_extern] = ACTIONS(143),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(147),
    [anon_sym_switch] = ACTIONS(149),
    [anon_sym_case] = ACTIONS(151),
    [anon_sym_default] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_return] = ACTIONS(161),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(165),
    [anon_sym_goto] = ACTIONS(167),
    [anon_sym___try] = ACTIONS(169),
    [anon_sym___leave] = ACTIONS(171),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [9] = {
    [sym_preproc_include] = STATE(4),
    [sym_preproc_def] = STATE(4),
    [sym_preproc_function_def] = STATE(4),
    [sym_preproc_call] = STATE(4),
    [sym_preproc_if] = STATE(4),
    [sym_preproc_ifdef] = STATE(4),
    [sym_preproc_else] = STATE(2824),
    [sym_preproc_elif] = STATE(2824),
    [sym_preproc_elifdef] = STATE(2824),
    [sym_function_definition] = STATE(4),
    [sym_declaration] = STATE(4),
    [sym_type_definition] = STATE(4),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1618),
    [sym_linkage_specification] = STATE(4),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_ms_call_modifier] = STATE(1162),
    [sym_compound_statement] = STATE(4),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1328),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(4),
    [sym_labeled_statement] = STATE(4),
    [sym_expression_statement] = STATE(4),
    [sym_if_statement] = STATE(4),
    [sym_switch_statement] = STATE(4),
    [sym_case_statement] = STATE(4),
    [sym_while_statement] = STATE(4),
    [sym_do_statement] = STATE(4),
    [sym_for_statement] = STATE(4),
    [sym_return_statement] = STATE(4),
    [sym_break_statement] = STATE(4),
    [sym_continue_statement] = STATE(4),
    [sym_goto_statement] = STATE(4),
    [sym_seh_try_statement] = STATE(4),
    [sym_seh_leave_statement] = STATE(4),
    [sym__expression] = STATE(1517),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2806),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym__empty_declaration] = STATE(4),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_preproc_extension] = STATE(4),
    [sym_extension_storage_class] = STATE(720),
    [sym_layout_specification] = STATE(720),
    [aux_sym_preproc_if_repeat1] = STATE(4),
    [aux_sym_declaration_repeat1] = STATE(720),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(686),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(111),
    [aux_sym_preproc_include_token1] = ACTIONS(113),
    [aux_sym_preproc_def_token1] = ACTIONS(115),
    [aux_sym_preproc_if_token1] = ACTIONS(117),
    [aux_sym_preproc_if_token2] = ACTIONS(189),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(121),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(121),
    [aux_sym_preproc_else_token1] = ACTIONS(123),
    [aux_sym_preproc_elif_token1] = ACTIONS(125),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(127),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(127),
    [sym_preproc_directive] = ACTIONS(129),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(131),
    [anon_sym_invariant] = ACTIONS(133),
    [anon_sym_precise] = ACTIONS(133),
    [anon_sym_SEMI] = ACTIONS(135),
    [anon_sym_in] = ACTIONS(137),
    [anon_sym_out] = ACTIONS(137),
    [anon_sym_inout] = ACTIONS(137),
    [anon_sym_uniform] = ACTIONS(137),
    [anon_sym_shared] = ACTIONS(137),
    [anon_sym_attribute] = ACTIONS(137),
    [anon_sym_varying] = ACTIONS(137),
    [anon_sym_buffer] = ACTIONS(137),
    [anon_sym_coherent] = ACTIONS(137),
    [anon_sym_readonly] = ACTIONS(137),
    [anon_sym_writeonly] = ACTIONS(137),
    [anon_sym_precision] = ACTIONS(137),
    [anon_sym_highp] = ACTIONS(137),
    [anon_sym_mediump] = ACTIONS(137),
    [anon_sym_lowp] = ACTIONS(137),
    [anon_sym_centroid] = ACTIONS(137),
    [anon_sym_sample] = ACTIONS(137),
    [anon_sym_patch] = ACTIONS(137),
    [anon_sym_smooth] = ACTIONS(137),
    [anon_sym_flat] = ACTIONS(137),
    [anon_sym_noperspective] = ACTIONS(137),
    [anon_sym___extension__] = ACTIONS(139),
    [anon_sym_typedef] = ACTIONS(141),
    [anon_sym_extern] = ACTIONS(143),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(147),
    [anon_sym_switch] = ACTIONS(149),
    [anon_sym_case] = ACTIONS(151),
    [anon_sym_default] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_return] = ACTIONS(161),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(165),
    [anon_sym_goto] = ACTIONS(167),
    [anon_sym___try] = ACTIONS(169),
    [anon_sym___leave] = ACTIONS(171),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [10] = {
    [sym_preproc_include] = STATE(23),
    [sym_preproc_def] = STATE(23),
    [sym_preproc_function_def] = STATE(23),
    [sym_preproc_call] = STATE(23),
    [sym_preproc_if] = STATE(23),
    [sym_preproc_ifdef] = STATE(23),
    [sym_preproc_else] = STATE(2729),
    [sym_preproc_elif] = STATE(2729),
    [sym_preproc_elifdef] = STATE(2729),
    [sym_function_definition] = STATE(23),
    [sym_declaration] = STATE(23),
    [sym_type_definition] = STATE(23),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1618),
    [sym_linkage_specification] = STATE(23),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_ms_call_modifier] = STATE(1162),
    [sym_compound_statement] = STATE(23),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1328),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(23),
    [sym_labeled_statement] = STATE(23),
    [sym_expression_statement] = STATE(23),
    [sym_if_statement] = STATE(23),
    [sym_switch_statement] = STATE(23),
    [sym_case_statement] = STATE(23),
    [sym_while_statement] = STATE(23),
    [sym_do_statement] = STATE(23),
    [sym_for_statement] = STATE(23),
    [sym_return_statement] = STATE(23),
    [sym_break_statement] = STATE(23),
    [sym_continue_statement] = STATE(23),
    [sym_goto_statement] = STATE(23),
    [sym_seh_try_statement] = STATE(23),
    [sym_seh_leave_statement] = STATE(23),
    [sym__expression] = STATE(1517),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2806),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym__empty_declaration] = STATE(23),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_preproc_extension] = STATE(23),
    [sym_extension_storage_class] = STATE(720),
    [sym_layout_specification] = STATE(720),
    [aux_sym_preproc_if_repeat1] = STATE(23),
    [aux_sym_declaration_repeat1] = STATE(720),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(686),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(111),
    [aux_sym_preproc_include_token1] = ACTIONS(113),
    [aux_sym_preproc_def_token1] = ACTIONS(115),
    [aux_sym_preproc_if_token1] = ACTIONS(117),
    [aux_sym_preproc_if_token2] = ACTIONS(191),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(121),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(121),
    [aux_sym_preproc_else_token1] = ACTIONS(123),
    [aux_sym_preproc_elif_token1] = ACTIONS(125),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(127),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(127),
    [sym_preproc_directive] = ACTIONS(129),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(131),
    [anon_sym_invariant] = ACTIONS(133),
    [anon_sym_precise] = ACTIONS(133),
    [anon_sym_SEMI] = ACTIONS(135),
    [anon_sym_in] = ACTIONS(137),
    [anon_sym_out] = ACTIONS(137),
    [anon_sym_inout] = ACTIONS(137),
    [anon_sym_uniform] = ACTIONS(137),
    [anon_sym_shared] = ACTIONS(137),
    [anon_sym_attribute] = ACTIONS(137),
    [anon_sym_varying] = ACTIONS(137),
    [anon_sym_buffer] = ACTIONS(137),
    [anon_sym_coherent] = ACTIONS(137),
    [anon_sym_readonly] = ACTIONS(137),
    [anon_sym_writeonly] = ACTIONS(137),
    [anon_sym_precision] = ACTIONS(137),
    [anon_sym_highp] = ACTIONS(137),
    [anon_sym_mediump] = ACTIONS(137),
    [anon_sym_lowp] = ACTIONS(137),
    [anon_sym_centroid] = ACTIONS(137),
    [anon_sym_sample] = ACTIONS(137),
    [anon_sym_patch] = ACTIONS(137),
    [anon_sym_smooth] = ACTIONS(137),
    [anon_sym_flat] = ACTIONS(137),
    [anon_sym_noperspective] = ACTIONS(137),
    [anon_sym___extension__] = ACTIONS(139),
    [anon_sym_typedef] = ACTIONS(141),
    [anon_sym_extern] = ACTIONS(143),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(147),
    [anon_sym_switch] = ACTIONS(149),
    [anon_sym_case] = ACTIONS(151),
    [anon_sym_default] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_return] = ACTIONS(161),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(165),
    [anon_sym_goto] = ACTIONS(167),
    [anon_sym___try] = ACTIONS(169),
    [anon_sym___leave] = ACTIONS(171),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [11] = {
    [sym_preproc_include] = STATE(23),
    [sym_preproc_def] = STATE(23),
    [sym_preproc_function_def] = STATE(23),
    [sym_preproc_call] = STATE(23),
    [sym_preproc_if] = STATE(23),
    [sym_preproc_ifdef] = STATE(23),
    [sym_preproc_else] = STATE(2859),
    [sym_preproc_elif] = STATE(2859),
    [sym_preproc_elifdef] = STATE(2859),
    [sym_function_definition] = STATE(23),
    [sym_declaration] = STATE(23),
    [sym_type_definition] = STATE(23),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1618),
    [sym_linkage_specification] = STATE(23),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_ms_call_modifier] = STATE(1162),
    [sym_compound_statement] = STATE(23),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1328),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(23),
    [sym_labeled_statement] = STATE(23),
    [sym_expression_statement] = STATE(23),
    [sym_if_statement] = STATE(23),
    [sym_switch_statement] = STATE(23),
    [sym_case_statement] = STATE(23),
    [sym_while_statement] = STATE(23),
    [sym_do_statement] = STATE(23),
    [sym_for_statement] = STATE(23),
    [sym_return_statement] = STATE(23),
    [sym_break_statement] = STATE(23),
    [sym_continue_statement] = STATE(23),
    [sym_goto_statement] = STATE(23),
    [sym_seh_try_statement] = STATE(23),
    [sym_seh_leave_statement] = STATE(23),
    [sym__expression] = STATE(1517),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2806),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym__empty_declaration] = STATE(23),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_preproc_extension] = STATE(23),
    [sym_extension_storage_class] = STATE(720),
    [sym_layout_specification] = STATE(720),
    [aux_sym_preproc_if_repeat1] = STATE(23),
    [aux_sym_declaration_repeat1] = STATE(720),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(686),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(111),
    [aux_sym_preproc_include_token1] = ACTIONS(113),
    [aux_sym_preproc_def_token1] = ACTIONS(115),
    [aux_sym_preproc_if_token1] = ACTIONS(117),
    [aux_sym_preproc_if_token2] = ACTIONS(193),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(121),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(121),
    [aux_sym_preproc_else_token1] = ACTIONS(123),
    [aux_sym_preproc_elif_token1] = ACTIONS(125),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(127),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(127),
    [sym_preproc_directive] = ACTIONS(129),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(131),
    [anon_sym_invariant] = ACTIONS(133),
    [anon_sym_precise] = ACTIONS(133),
    [anon_sym_SEMI] = ACTIONS(135),
    [anon_sym_in] = ACTIONS(137),
    [anon_sym_out] = ACTIONS(137),
    [anon_sym_inout] = ACTIONS(137),
    [anon_sym_uniform] = ACTIONS(137),
    [anon_sym_shared] = ACTIONS(137),
    [anon_sym_attribute] = ACTIONS(137),
    [anon_sym_varying] = ACTIONS(137),
    [anon_sym_buffer] = ACTIONS(137),
    [anon_sym_coherent] = ACTIONS(137),
    [anon_sym_readonly] = ACTIONS(137),
    [anon_sym_writeonly] = ACTIONS(137),
    [anon_sym_precision] = ACTIONS(137),
    [anon_sym_highp] = ACTIONS(137),
    [anon_sym_mediump] = ACTIONS(137),
    [anon_sym_lowp] = ACTIONS(137),
    [anon_sym_centroid] = ACTIONS(137),
    [anon_sym_sample] = ACTIONS(137),
    [anon_sym_patch] = ACTIONS(137),
    [anon_sym_smooth] = ACTIONS(137),
    [anon_sym_flat] = ACTIONS(137),
    [anon_sym_noperspective] = ACTIONS(137),
    [anon_sym___extension__] = ACTIONS(139),
    [anon_sym_typedef] = ACTIONS(141),
    [anon_sym_extern] = ACTIONS(143),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(147),
    [anon_sym_switch] = ACTIONS(149),
    [anon_sym_case] = ACTIONS(151),
    [anon_sym_default] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_return] = ACTIONS(161),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(165),
    [anon_sym_goto] = ACTIONS(167),
    [anon_sym___try] = ACTIONS(169),
    [anon_sym___leave] = ACTIONS(171),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [12] = {
    [sym_preproc_include] = STATE(27),
    [sym_preproc_def] = STATE(27),
    [sym_preproc_function_def] = STATE(27),
    [sym_preproc_call] = STATE(27),
    [sym_preproc_if] = STATE(27),
    [sym_preproc_ifdef] = STATE(27),
    [sym_preproc_else] = STATE(2726),
    [sym_preproc_elif] = STATE(2726),
    [sym_function_definition] = STATE(27),
    [sym_declaration] = STATE(27),
    [sym_type_definition] = STATE(27),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1606),
    [sym_linkage_specification] = STATE(27),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_ms_call_modifier] = STATE(1174),
    [sym_compound_statement] = STATE(27),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1330),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(27),
    [sym_labeled_statement] = STATE(27),
    [sym_expression_statement] = STATE(27),
    [sym_if_statement] = STATE(27),
    [sym_switch_statement] = STATE(27),
    [sym_case_statement] = STATE(27),
    [sym_while_statement] = STATE(27),
    [sym_do_statement] = STATE(27),
    [sym_for_statement] = STATE(27),
    [sym_return_statement] = STATE(27),
    [sym_break_statement] = STATE(27),
    [sym_continue_statement] = STATE(27),
    [sym_goto_statement] = STATE(27),
    [sym_seh_try_statement] = STATE(27),
    [sym_seh_leave_statement] = STATE(27),
    [sym__expression] = STATE(1480),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2777),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym__empty_declaration] = STATE(27),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_preproc_extension] = STATE(27),
    [sym_extension_storage_class] = STATE(727),
    [sym_layout_specification] = STATE(727),
    [aux_sym_preproc_if_repeat1] = STATE(27),
    [aux_sym_declaration_repeat1] = STATE(727),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(663),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(195),
    [aux_sym_preproc_include_token1] = ACTIONS(197),
    [aux_sym_preproc_def_token1] = ACTIONS(199),
    [aux_sym_preproc_if_token1] = ACTIONS(201),
    [aux_sym_preproc_if_token2] = ACTIONS(203),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(205),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(205),
    [aux_sym_preproc_else_token1] = ACTIONS(123),
    [aux_sym_preproc_elif_token1] = ACTIONS(125),
    [sym_preproc_directive] = ACTIONS(207),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(209),
    [anon_sym_invariant] = ACTIONS(211),
    [anon_sym_precise] = ACTIONS(211),
    [anon_sym_SEMI] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(215),
    [anon_sym_out] = ACTIONS(215),
    [anon_sym_inout] = ACTIONS(215),
    [anon_sym_uniform] = ACTIONS(215),
    [anon_sym_shared] = ACTIONS(215),
    [anon_sym_attribute] = ACTIONS(215),
    [anon_sym_varying] = ACTIONS(215),
    [anon_sym_buffer] = ACTIONS(215),
    [anon_sym_coherent] = ACTIONS(215),
    [anon_sym_readonly] = ACTIONS(215),
    [anon_sym_writeonly] = ACTIONS(215),
    [anon_sym_precision] = ACTIONS(215),
    [anon_sym_highp] = ACTIONS(215),
    [anon_sym_mediump] = ACTIONS(215),
    [anon_sym_lowp] = ACTIONS(215),
    [anon_sym_centroid] = ACTIONS(215),
    [anon_sym_sample] = ACTIONS(215),
    [anon_sym_patch] = ACTIONS(215),
    [anon_sym_smooth] = ACTIONS(215),
    [anon_sym_flat] = ACTIONS(215),
    [anon_sym_noperspective] = ACTIONS(215),
    [anon_sym___extension__] = ACTIONS(217),
    [anon_sym_typedef] = ACTIONS(219),
    [anon_sym_extern] = ACTIONS(221),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(223),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_case] = ACTIONS(229),
    [anon_sym_default] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_do] = ACTIONS(235),
    [anon_sym_for] = ACTIONS(237),
    [anon_sym_return] = ACTIONS(239),
    [anon_sym_break] = ACTIONS(241),
    [anon_sym_continue] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym___try] = ACTIONS(247),
    [anon_sym___leave] = ACTIONS(249),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [13] = {
    [sym_preproc_include] = STATE(27),
    [sym_preproc_def] = STATE(27),
    [sym_preproc_function_def] = STATE(27),
    [sym_preproc_call] = STATE(27),
    [sym_preproc_if] = STATE(27),
    [sym_preproc_ifdef] = STATE(27),
    [sym_preproc_else] = STATE(2760),
    [sym_preproc_elif] = STATE(2760),
    [sym_function_definition] = STATE(27),
    [sym_declaration] = STATE(27),
    [sym_type_definition] = STATE(27),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1606),
    [sym_linkage_specification] = STATE(27),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_ms_call_modifier] = STATE(1174),
    [sym_compound_statement] = STATE(27),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1330),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(27),
    [sym_labeled_statement] = STATE(27),
    [sym_expression_statement] = STATE(27),
    [sym_if_statement] = STATE(27),
    [sym_switch_statement] = STATE(27),
    [sym_case_statement] = STATE(27),
    [sym_while_statement] = STATE(27),
    [sym_do_statement] = STATE(27),
    [sym_for_statement] = STATE(27),
    [sym_return_statement] = STATE(27),
    [sym_break_statement] = STATE(27),
    [sym_continue_statement] = STATE(27),
    [sym_goto_statement] = STATE(27),
    [sym_seh_try_statement] = STATE(27),
    [sym_seh_leave_statement] = STATE(27),
    [sym__expression] = STATE(1480),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2777),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym__empty_declaration] = STATE(27),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_preproc_extension] = STATE(27),
    [sym_extension_storage_class] = STATE(727),
    [sym_layout_specification] = STATE(727),
    [aux_sym_preproc_if_repeat1] = STATE(27),
    [aux_sym_declaration_repeat1] = STATE(727),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(663),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(195),
    [aux_sym_preproc_include_token1] = ACTIONS(197),
    [aux_sym_preproc_def_token1] = ACTIONS(199),
    [aux_sym_preproc_if_token1] = ACTIONS(201),
    [aux_sym_preproc_if_token2] = ACTIONS(251),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(205),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(205),
    [aux_sym_preproc_else_token1] = ACTIONS(123),
    [aux_sym_preproc_elif_token1] = ACTIONS(125),
    [sym_preproc_directive] = ACTIONS(207),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(209),
    [anon_sym_invariant] = ACTIONS(211),
    [anon_sym_precise] = ACTIONS(211),
    [anon_sym_SEMI] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(215),
    [anon_sym_out] = ACTIONS(215),
    [anon_sym_inout] = ACTIONS(215),
    [anon_sym_uniform] = ACTIONS(215),
    [anon_sym_shared] = ACTIONS(215),
    [anon_sym_attribute] = ACTIONS(215),
    [anon_sym_varying] = ACTIONS(215),
    [anon_sym_buffer] = ACTIONS(215),
    [anon_sym_coherent] = ACTIONS(215),
    [anon_sym_readonly] = ACTIONS(215),
    [anon_sym_writeonly] = ACTIONS(215),
    [anon_sym_precision] = ACTIONS(215),
    [anon_sym_highp] = ACTIONS(215),
    [anon_sym_mediump] = ACTIONS(215),
    [anon_sym_lowp] = ACTIONS(215),
    [anon_sym_centroid] = ACTIONS(215),
    [anon_sym_sample] = ACTIONS(215),
    [anon_sym_patch] = ACTIONS(215),
    [anon_sym_smooth] = ACTIONS(215),
    [anon_sym_flat] = ACTIONS(215),
    [anon_sym_noperspective] = ACTIONS(215),
    [anon_sym___extension__] = ACTIONS(217),
    [anon_sym_typedef] = ACTIONS(219),
    [anon_sym_extern] = ACTIONS(221),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(223),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_case] = ACTIONS(229),
    [anon_sym_default] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_do] = ACTIONS(235),
    [anon_sym_for] = ACTIONS(237),
    [anon_sym_return] = ACTIONS(239),
    [anon_sym_break] = ACTIONS(241),
    [anon_sym_continue] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym___try] = ACTIONS(247),
    [anon_sym___leave] = ACTIONS(249),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [14] = {
    [sym_preproc_include] = STATE(12),
    [sym_preproc_def] = STATE(12),
    [sym_preproc_function_def] = STATE(12),
    [sym_preproc_call] = STATE(12),
    [sym_preproc_if] = STATE(12),
    [sym_preproc_ifdef] = STATE(12),
    [sym_preproc_else] = STATE(2761),
    [sym_preproc_elif] = STATE(2761),
    [sym_function_definition] = STATE(12),
    [sym_declaration] = STATE(12),
    [sym_type_definition] = STATE(12),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1606),
    [sym_linkage_specification] = STATE(12),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_ms_call_modifier] = STATE(1174),
    [sym_compound_statement] = STATE(12),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1330),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(12),
    [sym_labeled_statement] = STATE(12),
    [sym_expression_statement] = STATE(12),
    [sym_if_statement] = STATE(12),
    [sym_switch_statement] = STATE(12),
    [sym_case_statement] = STATE(12),
    [sym_while_statement] = STATE(12),
    [sym_do_statement] = STATE(12),
    [sym_for_statement] = STATE(12),
    [sym_return_statement] = STATE(12),
    [sym_break_statement] = STATE(12),
    [sym_continue_statement] = STATE(12),
    [sym_goto_statement] = STATE(12),
    [sym_seh_try_statement] = STATE(12),
    [sym_seh_leave_statement] = STATE(12),
    [sym__expression] = STATE(1480),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2777),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym__empty_declaration] = STATE(12),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_preproc_extension] = STATE(12),
    [sym_extension_storage_class] = STATE(727),
    [sym_layout_specification] = STATE(727),
    [aux_sym_preproc_if_repeat1] = STATE(12),
    [aux_sym_declaration_repeat1] = STATE(727),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(663),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(195),
    [aux_sym_preproc_include_token1] = ACTIONS(197),
    [aux_sym_preproc_def_token1] = ACTIONS(199),
    [aux_sym_preproc_if_token1] = ACTIONS(201),
    [aux_sym_preproc_if_token2] = ACTIONS(253),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(205),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(205),
    [aux_sym_preproc_else_token1] = ACTIONS(123),
    [aux_sym_preproc_elif_token1] = ACTIONS(125),
    [sym_preproc_directive] = ACTIONS(207),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(209),
    [anon_sym_invariant] = ACTIONS(211),
    [anon_sym_precise] = ACTIONS(211),
    [anon_sym_SEMI] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(215),
    [anon_sym_out] = ACTIONS(215),
    [anon_sym_inout] = ACTIONS(215),
    [anon_sym_uniform] = ACTIONS(215),
    [anon_sym_shared] = ACTIONS(215),
    [anon_sym_attribute] = ACTIONS(215),
    [anon_sym_varying] = ACTIONS(215),
    [anon_sym_buffer] = ACTIONS(215),
    [anon_sym_coherent] = ACTIONS(215),
    [anon_sym_readonly] = ACTIONS(215),
    [anon_sym_writeonly] = ACTIONS(215),
    [anon_sym_precision] = ACTIONS(215),
    [anon_sym_highp] = ACTIONS(215),
    [anon_sym_mediump] = ACTIONS(215),
    [anon_sym_lowp] = ACTIONS(215),
    [anon_sym_centroid] = ACTIONS(215),
    [anon_sym_sample] = ACTIONS(215),
    [anon_sym_patch] = ACTIONS(215),
    [anon_sym_smooth] = ACTIONS(215),
    [anon_sym_flat] = ACTIONS(215),
    [anon_sym_noperspective] = ACTIONS(215),
    [anon_sym___extension__] = ACTIONS(217),
    [anon_sym_typedef] = ACTIONS(219),
    [anon_sym_extern] = ACTIONS(221),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(223),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_case] = ACTIONS(229),
    [anon_sym_default] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_do] = ACTIONS(235),
    [anon_sym_for] = ACTIONS(237),
    [anon_sym_return] = ACTIONS(239),
    [anon_sym_break] = ACTIONS(241),
    [anon_sym_continue] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym___try] = ACTIONS(247),
    [anon_sym___leave] = ACTIONS(249),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [15] = {
    [sym_preproc_include] = STATE(13),
    [sym_preproc_def] = STATE(13),
    [sym_preproc_function_def] = STATE(13),
    [sym_preproc_call] = STATE(13),
    [sym_preproc_if] = STATE(13),
    [sym_preproc_ifdef] = STATE(13),
    [sym_preproc_else] = STATE(2813),
    [sym_preproc_elif] = STATE(2813),
    [sym_function_definition] = STATE(13),
    [sym_declaration] = STATE(13),
    [sym_type_definition] = STATE(13),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1606),
    [sym_linkage_specification] = STATE(13),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_ms_call_modifier] = STATE(1174),
    [sym_compound_statement] = STATE(13),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1330),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(13),
    [sym_labeled_statement] = STATE(13),
    [sym_expression_statement] = STATE(13),
    [sym_if_statement] = STATE(13),
    [sym_switch_statement] = STATE(13),
    [sym_case_statement] = STATE(13),
    [sym_while_statement] = STATE(13),
    [sym_do_statement] = STATE(13),
    [sym_for_statement] = STATE(13),
    [sym_return_statement] = STATE(13),
    [sym_break_statement] = STATE(13),
    [sym_continue_statement] = STATE(13),
    [sym_goto_statement] = STATE(13),
    [sym_seh_try_statement] = STATE(13),
    [sym_seh_leave_statement] = STATE(13),
    [sym__expression] = STATE(1480),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2777),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym__empty_declaration] = STATE(13),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_preproc_extension] = STATE(13),
    [sym_extension_storage_class] = STATE(727),
    [sym_layout_specification] = STATE(727),
    [aux_sym_preproc_if_repeat1] = STATE(13),
    [aux_sym_declaration_repeat1] = STATE(727),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(663),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(195),
    [aux_sym_preproc_include_token1] = ACTIONS(197),
    [aux_sym_preproc_def_token1] = ACTIONS(199),
    [aux_sym_preproc_if_token1] = ACTIONS(201),
    [aux_sym_preproc_if_token2] = ACTIONS(255),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(205),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(205),
    [aux_sym_preproc_else_token1] = ACTIONS(123),
    [aux_sym_preproc_elif_token1] = ACTIONS(125),
    [sym_preproc_directive] = ACTIONS(207),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(209),
    [anon_sym_invariant] = ACTIONS(211),
    [anon_sym_precise] = ACTIONS(211),
    [anon_sym_SEMI] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(215),
    [anon_sym_out] = ACTIONS(215),
    [anon_sym_inout] = ACTIONS(215),
    [anon_sym_uniform] = ACTIONS(215),
    [anon_sym_shared] = ACTIONS(215),
    [anon_sym_attribute] = ACTIONS(215),
    [anon_sym_varying] = ACTIONS(215),
    [anon_sym_buffer] = ACTIONS(215),
    [anon_sym_coherent] = ACTIONS(215),
    [anon_sym_readonly] = ACTIONS(215),
    [anon_sym_writeonly] = ACTIONS(215),
    [anon_sym_precision] = ACTIONS(215),
    [anon_sym_highp] = ACTIONS(215),
    [anon_sym_mediump] = ACTIONS(215),
    [anon_sym_lowp] = ACTIONS(215),
    [anon_sym_centroid] = ACTIONS(215),
    [anon_sym_sample] = ACTIONS(215),
    [anon_sym_patch] = ACTIONS(215),
    [anon_sym_smooth] = ACTIONS(215),
    [anon_sym_flat] = ACTIONS(215),
    [anon_sym_noperspective] = ACTIONS(215),
    [anon_sym___extension__] = ACTIONS(217),
    [anon_sym_typedef] = ACTIONS(219),
    [anon_sym_extern] = ACTIONS(221),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(223),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_case] = ACTIONS(229),
    [anon_sym_default] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_do] = ACTIONS(235),
    [anon_sym_for] = ACTIONS(237),
    [anon_sym_return] = ACTIONS(239),
    [anon_sym_break] = ACTIONS(241),
    [anon_sym_continue] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym___try] = ACTIONS(247),
    [anon_sym___leave] = ACTIONS(249),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [16] = {
    [sym_preproc_include] = STATE(27),
    [sym_preproc_def] = STATE(27),
    [sym_preproc_function_def] = STATE(27),
    [sym_preproc_call] = STATE(27),
    [sym_preproc_if] = STATE(27),
    [sym_preproc_ifdef] = STATE(27),
    [sym_preproc_else] = STATE(2853),
    [sym_preproc_elif] = STATE(2853),
    [sym_function_definition] = STATE(27),
    [sym_declaration] = STATE(27),
    [sym_type_definition] = STATE(27),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1606),
    [sym_linkage_specification] = STATE(27),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_ms_call_modifier] = STATE(1174),
    [sym_compound_statement] = STATE(27),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1330),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(27),
    [sym_labeled_statement] = STATE(27),
    [sym_expression_statement] = STATE(27),
    [sym_if_statement] = STATE(27),
    [sym_switch_statement] = STATE(27),
    [sym_case_statement] = STATE(27),
    [sym_while_statement] = STATE(27),
    [sym_do_statement] = STATE(27),
    [sym_for_statement] = STATE(27),
    [sym_return_statement] = STATE(27),
    [sym_break_statement] = STATE(27),
    [sym_continue_statement] = STATE(27),
    [sym_goto_statement] = STATE(27),
    [sym_seh_try_statement] = STATE(27),
    [sym_seh_leave_statement] = STATE(27),
    [sym__expression] = STATE(1480),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2777),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym__empty_declaration] = STATE(27),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_preproc_extension] = STATE(27),
    [sym_extension_storage_class] = STATE(727),
    [sym_layout_specification] = STATE(727),
    [aux_sym_preproc_if_repeat1] = STATE(27),
    [aux_sym_declaration_repeat1] = STATE(727),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(663),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(195),
    [aux_sym_preproc_include_token1] = ACTIONS(197),
    [aux_sym_preproc_def_token1] = ACTIONS(199),
    [aux_sym_preproc_if_token1] = ACTIONS(201),
    [aux_sym_preproc_if_token2] = ACTIONS(257),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(205),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(205),
    [aux_sym_preproc_else_token1] = ACTIONS(123),
    [aux_sym_preproc_elif_token1] = ACTIONS(125),
    [sym_preproc_directive] = ACTIONS(207),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(209),
    [anon_sym_invariant] = ACTIONS(211),
    [anon_sym_precise] = ACTIONS(211),
    [anon_sym_SEMI] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(215),
    [anon_sym_out] = ACTIONS(215),
    [anon_sym_inout] = ACTIONS(215),
    [anon_sym_uniform] = ACTIONS(215),
    [anon_sym_shared] = ACTIONS(215),
    [anon_sym_attribute] = ACTIONS(215),
    [anon_sym_varying] = ACTIONS(215),
    [anon_sym_buffer] = ACTIONS(215),
    [anon_sym_coherent] = ACTIONS(215),
    [anon_sym_readonly] = ACTIONS(215),
    [anon_sym_writeonly] = ACTIONS(215),
    [anon_sym_precision] = ACTIONS(215),
    [anon_sym_highp] = ACTIONS(215),
    [anon_sym_mediump] = ACTIONS(215),
    [anon_sym_lowp] = ACTIONS(215),
    [anon_sym_centroid] = ACTIONS(215),
    [anon_sym_sample] = ACTIONS(215),
    [anon_sym_patch] = ACTIONS(215),
    [anon_sym_smooth] = ACTIONS(215),
    [anon_sym_flat] = ACTIONS(215),
    [anon_sym_noperspective] = ACTIONS(215),
    [anon_sym___extension__] = ACTIONS(217),
    [anon_sym_typedef] = ACTIONS(219),
    [anon_sym_extern] = ACTIONS(221),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(223),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_case] = ACTIONS(229),
    [anon_sym_default] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_do] = ACTIONS(235),
    [anon_sym_for] = ACTIONS(237),
    [anon_sym_return] = ACTIONS(239),
    [anon_sym_break] = ACTIONS(241),
    [anon_sym_continue] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym___try] = ACTIONS(247),
    [anon_sym___leave] = ACTIONS(249),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [17] = {
    [sym_preproc_include] = STATE(27),
    [sym_preproc_def] = STATE(27),
    [sym_preproc_function_def] = STATE(27),
    [sym_preproc_call] = STATE(27),
    [sym_preproc_if] = STATE(27),
    [sym_preproc_ifdef] = STATE(27),
    [sym_preproc_else] = STATE(2815),
    [sym_preproc_elif] = STATE(2815),
    [sym_function_definition] = STATE(27),
    [sym_declaration] = STATE(27),
    [sym_type_definition] = STATE(27),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1606),
    [sym_linkage_specification] = STATE(27),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_ms_call_modifier] = STATE(1174),
    [sym_compound_statement] = STATE(27),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1330),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(27),
    [sym_labeled_statement] = STATE(27),
    [sym_expression_statement] = STATE(27),
    [sym_if_statement] = STATE(27),
    [sym_switch_statement] = STATE(27),
    [sym_case_statement] = STATE(27),
    [sym_while_statement] = STATE(27),
    [sym_do_statement] = STATE(27),
    [sym_for_statement] = STATE(27),
    [sym_return_statement] = STATE(27),
    [sym_break_statement] = STATE(27),
    [sym_continue_statement] = STATE(27),
    [sym_goto_statement] = STATE(27),
    [sym_seh_try_statement] = STATE(27),
    [sym_seh_leave_statement] = STATE(27),
    [sym__expression] = STATE(1480),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2777),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym__empty_declaration] = STATE(27),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_preproc_extension] = STATE(27),
    [sym_extension_storage_class] = STATE(727),
    [sym_layout_specification] = STATE(727),
    [aux_sym_preproc_if_repeat1] = STATE(27),
    [aux_sym_declaration_repeat1] = STATE(727),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(663),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(195),
    [aux_sym_preproc_include_token1] = ACTIONS(197),
    [aux_sym_preproc_def_token1] = ACTIONS(199),
    [aux_sym_preproc_if_token1] = ACTIONS(201),
    [aux_sym_preproc_if_token2] = ACTIONS(259),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(205),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(205),
    [aux_sym_preproc_else_token1] = ACTIONS(123),
    [aux_sym_preproc_elif_token1] = ACTIONS(125),
    [sym_preproc_directive] = ACTIONS(207),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(209),
    [anon_sym_invariant] = ACTIONS(211),
    [anon_sym_precise] = ACTIONS(211),
    [anon_sym_SEMI] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(215),
    [anon_sym_out] = ACTIONS(215),
    [anon_sym_inout] = ACTIONS(215),
    [anon_sym_uniform] = ACTIONS(215),
    [anon_sym_shared] = ACTIONS(215),
    [anon_sym_attribute] = ACTIONS(215),
    [anon_sym_varying] = ACTIONS(215),
    [anon_sym_buffer] = ACTIONS(215),
    [anon_sym_coherent] = ACTIONS(215),
    [anon_sym_readonly] = ACTIONS(215),
    [anon_sym_writeonly] = ACTIONS(215),
    [anon_sym_precision] = ACTIONS(215),
    [anon_sym_highp] = ACTIONS(215),
    [anon_sym_mediump] = ACTIONS(215),
    [anon_sym_lowp] = ACTIONS(215),
    [anon_sym_centroid] = ACTIONS(215),
    [anon_sym_sample] = ACTIONS(215),
    [anon_sym_patch] = ACTIONS(215),
    [anon_sym_smooth] = ACTIONS(215),
    [anon_sym_flat] = ACTIONS(215),
    [anon_sym_noperspective] = ACTIONS(215),
    [anon_sym___extension__] = ACTIONS(217),
    [anon_sym_typedef] = ACTIONS(219),
    [anon_sym_extern] = ACTIONS(221),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(223),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_case] = ACTIONS(229),
    [anon_sym_default] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_do] = ACTIONS(235),
    [anon_sym_for] = ACTIONS(237),
    [anon_sym_return] = ACTIONS(239),
    [anon_sym_break] = ACTIONS(241),
    [anon_sym_continue] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym___try] = ACTIONS(247),
    [anon_sym___leave] = ACTIONS(249),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [18] = {
    [sym_preproc_include] = STATE(27),
    [sym_preproc_def] = STATE(27),
    [sym_preproc_function_def] = STATE(27),
    [sym_preproc_call] = STATE(27),
    [sym_preproc_if] = STATE(27),
    [sym_preproc_ifdef] = STATE(27),
    [sym_preproc_else] = STATE(2703),
    [sym_preproc_elif] = STATE(2703),
    [sym_function_definition] = STATE(27),
    [sym_declaration] = STATE(27),
    [sym_type_definition] = STATE(27),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1606),
    [sym_linkage_specification] = STATE(27),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_ms_call_modifier] = STATE(1174),
    [sym_compound_statement] = STATE(27),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1330),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(27),
    [sym_labeled_statement] = STATE(27),
    [sym_expression_statement] = STATE(27),
    [sym_if_statement] = STATE(27),
    [sym_switch_statement] = STATE(27),
    [sym_case_statement] = STATE(27),
    [sym_while_statement] = STATE(27),
    [sym_do_statement] = STATE(27),
    [sym_for_statement] = STATE(27),
    [sym_return_statement] = STATE(27),
    [sym_break_statement] = STATE(27),
    [sym_continue_statement] = STATE(27),
    [sym_goto_statement] = STATE(27),
    [sym_seh_try_statement] = STATE(27),
    [sym_seh_leave_statement] = STATE(27),
    [sym__expression] = STATE(1480),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2777),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym__empty_declaration] = STATE(27),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_preproc_extension] = STATE(27),
    [sym_extension_storage_class] = STATE(727),
    [sym_layout_specification] = STATE(727),
    [aux_sym_preproc_if_repeat1] = STATE(27),
    [aux_sym_declaration_repeat1] = STATE(727),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(663),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(195),
    [aux_sym_preproc_include_token1] = ACTIONS(197),
    [aux_sym_preproc_def_token1] = ACTIONS(199),
    [aux_sym_preproc_if_token1] = ACTIONS(201),
    [aux_sym_preproc_if_token2] = ACTIONS(261),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(205),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(205),
    [aux_sym_preproc_else_token1] = ACTIONS(123),
    [aux_sym_preproc_elif_token1] = ACTIONS(125),
    [sym_preproc_directive] = ACTIONS(207),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(209),
    [anon_sym_invariant] = ACTIONS(211),
    [anon_sym_precise] = ACTIONS(211),
    [anon_sym_SEMI] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(215),
    [anon_sym_out] = ACTIONS(215),
    [anon_sym_inout] = ACTIONS(215),
    [anon_sym_uniform] = ACTIONS(215),
    [anon_sym_shared] = ACTIONS(215),
    [anon_sym_attribute] = ACTIONS(215),
    [anon_sym_varying] = ACTIONS(215),
    [anon_sym_buffer] = ACTIONS(215),
    [anon_sym_coherent] = ACTIONS(215),
    [anon_sym_readonly] = ACTIONS(215),
    [anon_sym_writeonly] = ACTIONS(215),
    [anon_sym_precision] = ACTIONS(215),
    [anon_sym_highp] = ACTIONS(215),
    [anon_sym_mediump] = ACTIONS(215),
    [anon_sym_lowp] = ACTIONS(215),
    [anon_sym_centroid] = ACTIONS(215),
    [anon_sym_sample] = ACTIONS(215),
    [anon_sym_patch] = ACTIONS(215),
    [anon_sym_smooth] = ACTIONS(215),
    [anon_sym_flat] = ACTIONS(215),
    [anon_sym_noperspective] = ACTIONS(215),
    [anon_sym___extension__] = ACTIONS(217),
    [anon_sym_typedef] = ACTIONS(219),
    [anon_sym_extern] = ACTIONS(221),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(223),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_case] = ACTIONS(229),
    [anon_sym_default] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_do] = ACTIONS(235),
    [anon_sym_for] = ACTIONS(237),
    [anon_sym_return] = ACTIONS(239),
    [anon_sym_break] = ACTIONS(241),
    [anon_sym_continue] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym___try] = ACTIONS(247),
    [anon_sym___leave] = ACTIONS(249),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [19] = {
    [sym_preproc_include] = STATE(16),
    [sym_preproc_def] = STATE(16),
    [sym_preproc_function_def] = STATE(16),
    [sym_preproc_call] = STATE(16),
    [sym_preproc_if] = STATE(16),
    [sym_preproc_ifdef] = STATE(16),
    [sym_preproc_else] = STATE(2861),
    [sym_preproc_elif] = STATE(2861),
    [sym_function_definition] = STATE(16),
    [sym_declaration] = STATE(16),
    [sym_type_definition] = STATE(16),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1606),
    [sym_linkage_specification] = STATE(16),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_ms_call_modifier] = STATE(1174),
    [sym_compound_statement] = STATE(16),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1330),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(16),
    [sym_labeled_statement] = STATE(16),
    [sym_expression_statement] = STATE(16),
    [sym_if_statement] = STATE(16),
    [sym_switch_statement] = STATE(16),
    [sym_case_statement] = STATE(16),
    [sym_while_statement] = STATE(16),
    [sym_do_statement] = STATE(16),
    [sym_for_statement] = STATE(16),
    [sym_return_statement] = STATE(16),
    [sym_break_statement] = STATE(16),
    [sym_continue_statement] = STATE(16),
    [sym_goto_statement] = STATE(16),
    [sym_seh_try_statement] = STATE(16),
    [sym_seh_leave_statement] = STATE(16),
    [sym__expression] = STATE(1480),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2777),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym__empty_declaration] = STATE(16),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_preproc_extension] = STATE(16),
    [sym_extension_storage_class] = STATE(727),
    [sym_layout_specification] = STATE(727),
    [aux_sym_preproc_if_repeat1] = STATE(16),
    [aux_sym_declaration_repeat1] = STATE(727),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(663),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(195),
    [aux_sym_preproc_include_token1] = ACTIONS(197),
    [aux_sym_preproc_def_token1] = ACTIONS(199),
    [aux_sym_preproc_if_token1] = ACTIONS(201),
    [aux_sym_preproc_if_token2] = ACTIONS(263),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(205),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(205),
    [aux_sym_preproc_else_token1] = ACTIONS(123),
    [aux_sym_preproc_elif_token1] = ACTIONS(125),
    [sym_preproc_directive] = ACTIONS(207),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(209),
    [anon_sym_invariant] = ACTIONS(211),
    [anon_sym_precise] = ACTIONS(211),
    [anon_sym_SEMI] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(215),
    [anon_sym_out] = ACTIONS(215),
    [anon_sym_inout] = ACTIONS(215),
    [anon_sym_uniform] = ACTIONS(215),
    [anon_sym_shared] = ACTIONS(215),
    [anon_sym_attribute] = ACTIONS(215),
    [anon_sym_varying] = ACTIONS(215),
    [anon_sym_buffer] = ACTIONS(215),
    [anon_sym_coherent] = ACTIONS(215),
    [anon_sym_readonly] = ACTIONS(215),
    [anon_sym_writeonly] = ACTIONS(215),
    [anon_sym_precision] = ACTIONS(215),
    [anon_sym_highp] = ACTIONS(215),
    [anon_sym_mediump] = ACTIONS(215),
    [anon_sym_lowp] = ACTIONS(215),
    [anon_sym_centroid] = ACTIONS(215),
    [anon_sym_sample] = ACTIONS(215),
    [anon_sym_patch] = ACTIONS(215),
    [anon_sym_smooth] = ACTIONS(215),
    [anon_sym_flat] = ACTIONS(215),
    [anon_sym_noperspective] = ACTIONS(215),
    [anon_sym___extension__] = ACTIONS(217),
    [anon_sym_typedef] = ACTIONS(219),
    [anon_sym_extern] = ACTIONS(221),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(223),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_case] = ACTIONS(229),
    [anon_sym_default] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_do] = ACTIONS(235),
    [anon_sym_for] = ACTIONS(237),
    [anon_sym_return] = ACTIONS(239),
    [anon_sym_break] = ACTIONS(241),
    [anon_sym_continue] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym___try] = ACTIONS(247),
    [anon_sym___leave] = ACTIONS(249),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [20] = {
    [sym_preproc_include] = STATE(21),
    [sym_preproc_def] = STATE(21),
    [sym_preproc_function_def] = STATE(21),
    [sym_preproc_call] = STATE(21),
    [sym_preproc_if] = STATE(21),
    [sym_preproc_ifdef] = STATE(21),
    [sym_preproc_else] = STATE(2742),
    [sym_preproc_elif] = STATE(2742),
    [sym_function_definition] = STATE(21),
    [sym_declaration] = STATE(21),
    [sym_type_definition] = STATE(21),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1606),
    [sym_linkage_specification] = STATE(21),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_ms_call_modifier] = STATE(1174),
    [sym_compound_statement] = STATE(21),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1330),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(21),
    [sym_labeled_statement] = STATE(21),
    [sym_expression_statement] = STATE(21),
    [sym_if_statement] = STATE(21),
    [sym_switch_statement] = STATE(21),
    [sym_case_statement] = STATE(21),
    [sym_while_statement] = STATE(21),
    [sym_do_statement] = STATE(21),
    [sym_for_statement] = STATE(21),
    [sym_return_statement] = STATE(21),
    [sym_break_statement] = STATE(21),
    [sym_continue_statement] = STATE(21),
    [sym_goto_statement] = STATE(21),
    [sym_seh_try_statement] = STATE(21),
    [sym_seh_leave_statement] = STATE(21),
    [sym__expression] = STATE(1480),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2777),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym__empty_declaration] = STATE(21),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_preproc_extension] = STATE(21),
    [sym_extension_storage_class] = STATE(727),
    [sym_layout_specification] = STATE(727),
    [aux_sym_preproc_if_repeat1] = STATE(21),
    [aux_sym_declaration_repeat1] = STATE(727),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(663),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(195),
    [aux_sym_preproc_include_token1] = ACTIONS(197),
    [aux_sym_preproc_def_token1] = ACTIONS(199),
    [aux_sym_preproc_if_token1] = ACTIONS(201),
    [aux_sym_preproc_if_token2] = ACTIONS(265),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(205),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(205),
    [aux_sym_preproc_else_token1] = ACTIONS(123),
    [aux_sym_preproc_elif_token1] = ACTIONS(125),
    [sym_preproc_directive] = ACTIONS(207),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(209),
    [anon_sym_invariant] = ACTIONS(211),
    [anon_sym_precise] = ACTIONS(211),
    [anon_sym_SEMI] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(215),
    [anon_sym_out] = ACTIONS(215),
    [anon_sym_inout] = ACTIONS(215),
    [anon_sym_uniform] = ACTIONS(215),
    [anon_sym_shared] = ACTIONS(215),
    [anon_sym_attribute] = ACTIONS(215),
    [anon_sym_varying] = ACTIONS(215),
    [anon_sym_buffer] = ACTIONS(215),
    [anon_sym_coherent] = ACTIONS(215),
    [anon_sym_readonly] = ACTIONS(215),
    [anon_sym_writeonly] = ACTIONS(215),
    [anon_sym_precision] = ACTIONS(215),
    [anon_sym_highp] = ACTIONS(215),
    [anon_sym_mediump] = ACTIONS(215),
    [anon_sym_lowp] = ACTIONS(215),
    [anon_sym_centroid] = ACTIONS(215),
    [anon_sym_sample] = ACTIONS(215),
    [anon_sym_patch] = ACTIONS(215),
    [anon_sym_smooth] = ACTIONS(215),
    [anon_sym_flat] = ACTIONS(215),
    [anon_sym_noperspective] = ACTIONS(215),
    [anon_sym___extension__] = ACTIONS(217),
    [anon_sym_typedef] = ACTIONS(219),
    [anon_sym_extern] = ACTIONS(221),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(223),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_case] = ACTIONS(229),
    [anon_sym_default] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_do] = ACTIONS(235),
    [anon_sym_for] = ACTIONS(237),
    [anon_sym_return] = ACTIONS(239),
    [anon_sym_break] = ACTIONS(241),
    [anon_sym_continue] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym___try] = ACTIONS(247),
    [anon_sym___leave] = ACTIONS(249),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [21] = {
    [sym_preproc_include] = STATE(27),
    [sym_preproc_def] = STATE(27),
    [sym_preproc_function_def] = STATE(27),
    [sym_preproc_call] = STATE(27),
    [sym_preproc_if] = STATE(27),
    [sym_preproc_ifdef] = STATE(27),
    [sym_preproc_else] = STATE(2722),
    [sym_preproc_elif] = STATE(2722),
    [sym_function_definition] = STATE(27),
    [sym_declaration] = STATE(27),
    [sym_type_definition] = STATE(27),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1606),
    [sym_linkage_specification] = STATE(27),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_ms_call_modifier] = STATE(1174),
    [sym_compound_statement] = STATE(27),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1330),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(27),
    [sym_labeled_statement] = STATE(27),
    [sym_expression_statement] = STATE(27),
    [sym_if_statement] = STATE(27),
    [sym_switch_statement] = STATE(27),
    [sym_case_statement] = STATE(27),
    [sym_while_statement] = STATE(27),
    [sym_do_statement] = STATE(27),
    [sym_for_statement] = STATE(27),
    [sym_return_statement] = STATE(27),
    [sym_break_statement] = STATE(27),
    [sym_continue_statement] = STATE(27),
    [sym_goto_statement] = STATE(27),
    [sym_seh_try_statement] = STATE(27),
    [sym_seh_leave_statement] = STATE(27),
    [sym__expression] = STATE(1480),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2777),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym__empty_declaration] = STATE(27),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_preproc_extension] = STATE(27),
    [sym_extension_storage_class] = STATE(727),
    [sym_layout_specification] = STATE(727),
    [aux_sym_preproc_if_repeat1] = STATE(27),
    [aux_sym_declaration_repeat1] = STATE(727),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(663),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(195),
    [aux_sym_preproc_include_token1] = ACTIONS(197),
    [aux_sym_preproc_def_token1] = ACTIONS(199),
    [aux_sym_preproc_if_token1] = ACTIONS(201),
    [aux_sym_preproc_if_token2] = ACTIONS(267),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(205),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(205),
    [aux_sym_preproc_else_token1] = ACTIONS(123),
    [aux_sym_preproc_elif_token1] = ACTIONS(125),
    [sym_preproc_directive] = ACTIONS(207),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(209),
    [anon_sym_invariant] = ACTIONS(211),
    [anon_sym_precise] = ACTIONS(211),
    [anon_sym_SEMI] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(215),
    [anon_sym_out] = ACTIONS(215),
    [anon_sym_inout] = ACTIONS(215),
    [anon_sym_uniform] = ACTIONS(215),
    [anon_sym_shared] = ACTIONS(215),
    [anon_sym_attribute] = ACTIONS(215),
    [anon_sym_varying] = ACTIONS(215),
    [anon_sym_buffer] = ACTIONS(215),
    [anon_sym_coherent] = ACTIONS(215),
    [anon_sym_readonly] = ACTIONS(215),
    [anon_sym_writeonly] = ACTIONS(215),
    [anon_sym_precision] = ACTIONS(215),
    [anon_sym_highp] = ACTIONS(215),
    [anon_sym_mediump] = ACTIONS(215),
    [anon_sym_lowp] = ACTIONS(215),
    [anon_sym_centroid] = ACTIONS(215),
    [anon_sym_sample] = ACTIONS(215),
    [anon_sym_patch] = ACTIONS(215),
    [anon_sym_smooth] = ACTIONS(215),
    [anon_sym_flat] = ACTIONS(215),
    [anon_sym_noperspective] = ACTIONS(215),
    [anon_sym___extension__] = ACTIONS(217),
    [anon_sym_typedef] = ACTIONS(219),
    [anon_sym_extern] = ACTIONS(221),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(223),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_case] = ACTIONS(229),
    [anon_sym_default] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_do] = ACTIONS(235),
    [anon_sym_for] = ACTIONS(237),
    [anon_sym_return] = ACTIONS(239),
    [anon_sym_break] = ACTIONS(241),
    [anon_sym_continue] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym___try] = ACTIONS(247),
    [anon_sym___leave] = ACTIONS(249),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [22] = {
    [sym_preproc_include] = STATE(24),
    [sym_preproc_def] = STATE(24),
    [sym_preproc_function_def] = STATE(24),
    [sym_preproc_call] = STATE(24),
    [sym_preproc_if] = STATE(24),
    [sym_preproc_ifdef] = STATE(24),
    [sym_preproc_else] = STATE(2836),
    [sym_preproc_elif] = STATE(2836),
    [sym_function_definition] = STATE(24),
    [sym_declaration] = STATE(24),
    [sym_type_definition] = STATE(24),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1606),
    [sym_linkage_specification] = STATE(24),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_ms_call_modifier] = STATE(1174),
    [sym_compound_statement] = STATE(24),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1330),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(24),
    [sym_labeled_statement] = STATE(24),
    [sym_expression_statement] = STATE(24),
    [sym_if_statement] = STATE(24),
    [sym_switch_statement] = STATE(24),
    [sym_case_statement] = STATE(24),
    [sym_while_statement] = STATE(24),
    [sym_do_statement] = STATE(24),
    [sym_for_statement] = STATE(24),
    [sym_return_statement] = STATE(24),
    [sym_break_statement] = STATE(24),
    [sym_continue_statement] = STATE(24),
    [sym_goto_statement] = STATE(24),
    [sym_seh_try_statement] = STATE(24),
    [sym_seh_leave_statement] = STATE(24),
    [sym__expression] = STATE(1480),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2777),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym__empty_declaration] = STATE(24),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_preproc_extension] = STATE(24),
    [sym_extension_storage_class] = STATE(727),
    [sym_layout_specification] = STATE(727),
    [aux_sym_preproc_if_repeat1] = STATE(24),
    [aux_sym_declaration_repeat1] = STATE(727),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(663),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(195),
    [aux_sym_preproc_include_token1] = ACTIONS(197),
    [aux_sym_preproc_def_token1] = ACTIONS(199),
    [aux_sym_preproc_if_token1] = ACTIONS(201),
    [aux_sym_preproc_if_token2] = ACTIONS(269),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(205),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(205),
    [aux_sym_preproc_else_token1] = ACTIONS(123),
    [aux_sym_preproc_elif_token1] = ACTIONS(125),
    [sym_preproc_directive] = ACTIONS(207),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(209),
    [anon_sym_invariant] = ACTIONS(211),
    [anon_sym_precise] = ACTIONS(211),
    [anon_sym_SEMI] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(215),
    [anon_sym_out] = ACTIONS(215),
    [anon_sym_inout] = ACTIONS(215),
    [anon_sym_uniform] = ACTIONS(215),
    [anon_sym_shared] = ACTIONS(215),
    [anon_sym_attribute] = ACTIONS(215),
    [anon_sym_varying] = ACTIONS(215),
    [anon_sym_buffer] = ACTIONS(215),
    [anon_sym_coherent] = ACTIONS(215),
    [anon_sym_readonly] = ACTIONS(215),
    [anon_sym_writeonly] = ACTIONS(215),
    [anon_sym_precision] = ACTIONS(215),
    [anon_sym_highp] = ACTIONS(215),
    [anon_sym_mediump] = ACTIONS(215),
    [anon_sym_lowp] = ACTIONS(215),
    [anon_sym_centroid] = ACTIONS(215),
    [anon_sym_sample] = ACTIONS(215),
    [anon_sym_patch] = ACTIONS(215),
    [anon_sym_smooth] = ACTIONS(215),
    [anon_sym_flat] = ACTIONS(215),
    [anon_sym_noperspective] = ACTIONS(215),
    [anon_sym___extension__] = ACTIONS(217),
    [anon_sym_typedef] = ACTIONS(219),
    [anon_sym_extern] = ACTIONS(221),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(223),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_case] = ACTIONS(229),
    [anon_sym_default] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_do] = ACTIONS(235),
    [anon_sym_for] = ACTIONS(237),
    [anon_sym_return] = ACTIONS(239),
    [anon_sym_break] = ACTIONS(241),
    [anon_sym_continue] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym___try] = ACTIONS(247),
    [anon_sym___leave] = ACTIONS(249),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [23] = {
    [sym_preproc_include] = STATE(23),
    [sym_preproc_def] = STATE(23),
    [sym_preproc_function_def] = STATE(23),
    [sym_preproc_call] = STATE(23),
    [sym_preproc_if] = STATE(23),
    [sym_preproc_ifdef] = STATE(23),
    [sym_function_definition] = STATE(23),
    [sym_declaration] = STATE(23),
    [sym_type_definition] = STATE(23),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1618),
    [sym_linkage_specification] = STATE(23),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_ms_call_modifier] = STATE(1162),
    [sym_compound_statement] = STATE(23),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1328),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(23),
    [sym_labeled_statement] = STATE(23),
    [sym_expression_statement] = STATE(23),
    [sym_if_statement] = STATE(23),
    [sym_switch_statement] = STATE(23),
    [sym_case_statement] = STATE(23),
    [sym_while_statement] = STATE(23),
    [sym_do_statement] = STATE(23),
    [sym_for_statement] = STATE(23),
    [sym_return_statement] = STATE(23),
    [sym_break_statement] = STATE(23),
    [sym_continue_statement] = STATE(23),
    [sym_goto_statement] = STATE(23),
    [sym_seh_try_statement] = STATE(23),
    [sym_seh_leave_statement] = STATE(23),
    [sym__expression] = STATE(1517),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2806),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym__empty_declaration] = STATE(23),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_preproc_extension] = STATE(23),
    [sym_extension_storage_class] = STATE(720),
    [sym_layout_specification] = STATE(720),
    [aux_sym_preproc_if_repeat1] = STATE(23),
    [aux_sym_declaration_repeat1] = STATE(720),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(686),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(271),
    [aux_sym_preproc_include_token1] = ACTIONS(274),
    [aux_sym_preproc_def_token1] = ACTIONS(277),
    [aux_sym_preproc_if_token1] = ACTIONS(280),
    [aux_sym_preproc_if_token2] = ACTIONS(283),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(285),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(285),
    [aux_sym_preproc_else_token1] = ACTIONS(283),
    [aux_sym_preproc_elif_token1] = ACTIONS(283),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(283),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(283),
    [sym_preproc_directive] = ACTIONS(288),
    [anon_sym_LPAREN2] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(297),
    [anon_sym_PLUS] = ACTIONS(297),
    [anon_sym_STAR] = ACTIONS(300),
    [anon_sym_AMP] = ACTIONS(300),
    [anon_sym_subroutine] = ACTIONS(303),
    [anon_sym_invariant] = ACTIONS(306),
    [anon_sym_precise] = ACTIONS(306),
    [anon_sym_SEMI] = ACTIONS(309),
    [anon_sym_in] = ACTIONS(312),
    [anon_sym_out] = ACTIONS(312),
    [anon_sym_inout] = ACTIONS(312),
    [anon_sym_uniform] = ACTIONS(312),
    [anon_sym_shared] = ACTIONS(312),
    [anon_sym_attribute] = ACTIONS(312),
    [anon_sym_varying] = ACTIONS(312),
    [anon_sym_buffer] = ACTIONS(312),
    [anon_sym_coherent] = ACTIONS(312),
    [anon_sym_readonly] = ACTIONS(312),
    [anon_sym_writeonly] = ACTIONS(312),
    [anon_sym_precision] = ACTIONS(312),
    [anon_sym_highp] = ACTIONS(312),
    [anon_sym_mediump] = ACTIONS(312),
    [anon_sym_lowp] = ACTIONS(312),
    [anon_sym_centroid] = ACTIONS(312),
    [anon_sym_sample] = ACTIONS(312),
    [anon_sym_patch] = ACTIONS(312),
    [anon_sym_smooth] = ACTIONS(312),
    [anon_sym_flat] = ACTIONS(312),
    [anon_sym_noperspective] = ACTIONS(312),
    [anon_sym___extension__] = ACTIONS(315),
    [anon_sym_typedef] = ACTIONS(318),
    [anon_sym_extern] = ACTIONS(321),
    [anon_sym___attribute__] = ACTIONS(324),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(327),
    [anon_sym___declspec] = ACTIONS(330),
    [anon_sym___cdecl] = ACTIONS(333),
    [anon_sym___clrcall] = ACTIONS(333),
    [anon_sym___stdcall] = ACTIONS(333),
    [anon_sym___fastcall] = ACTIONS(333),
    [anon_sym___thiscall] = ACTIONS(333),
    [anon_sym___vectorcall] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(336),
    [anon_sym_signed] = ACTIONS(339),
    [anon_sym_unsigned] = ACTIONS(339),
    [anon_sym_long] = ACTIONS(339),
    [anon_sym_short] = ACTIONS(339),
    [anon_sym_static] = ACTIONS(342),
    [anon_sym_auto] = ACTIONS(342),
    [anon_sym_register] = ACTIONS(342),
    [anon_sym_inline] = ACTIONS(342),
    [anon_sym___inline] = ACTIONS(342),
    [anon_sym___inline__] = ACTIONS(342),
    [anon_sym___forceinline] = ACTIONS(342),
    [anon_sym_thread_local] = ACTIONS(342),
    [anon_sym___thread] = ACTIONS(342),
    [anon_sym_const] = ACTIONS(345),
    [anon_sym_constexpr] = ACTIONS(345),
    [anon_sym_volatile] = ACTIONS(345),
    [anon_sym_restrict] = ACTIONS(345),
    [anon_sym___restrict__] = ACTIONS(345),
    [anon_sym__Atomic] = ACTIONS(345),
    [anon_sym__Noreturn] = ACTIONS(345),
    [anon_sym_noreturn] = ACTIONS(345),
    [sym_primitive_type] = ACTIONS(348),
    [anon_sym_enum] = ACTIONS(351),
    [anon_sym_struct] = ACTIONS(354),
    [anon_sym_union] = ACTIONS(357),
    [anon_sym_if] = ACTIONS(360),
    [anon_sym_switch] = ACTIONS(363),
    [anon_sym_case] = ACTIONS(366),
    [anon_sym_default] = ACTIONS(369),
    [anon_sym_while] = ACTIONS(372),
    [anon_sym_do] = ACTIONS(375),
    [anon_sym_for] = ACTIONS(378),
    [anon_sym_return] = ACTIONS(381),
    [anon_sym_break] = ACTIONS(384),
    [anon_sym_continue] = ACTIONS(387),
    [anon_sym_goto] = ACTIONS(390),
    [anon_sym___try] = ACTIONS(393),
    [anon_sym___leave] = ACTIONS(396),
    [anon_sym_DASH_DASH] = ACTIONS(399),
    [anon_sym_PLUS_PLUS] = ACTIONS(399),
    [anon_sym_sizeof] = ACTIONS(402),
    [anon_sym___alignof__] = ACTIONS(405),
    [anon_sym___alignof] = ACTIONS(405),
    [anon_sym__alignof] = ACTIONS(405),
    [anon_sym_alignof] = ACTIONS(405),
    [anon_sym__Alignof] = ACTIONS(405),
    [anon_sym_offsetof] = ACTIONS(408),
    [anon_sym__Generic] = ACTIONS(411),
    [anon_sym_asm] = ACTIONS(414),
    [anon_sym___asm__] = ACTIONS(414),
    [sym_number_literal] = ACTIONS(417),
    [anon_sym_L_SQUOTE] = ACTIONS(420),
    [anon_sym_u_SQUOTE] = ACTIONS(420),
    [anon_sym_U_SQUOTE] = ACTIONS(420),
    [anon_sym_u8_SQUOTE] = ACTIONS(420),
    [anon_sym_SQUOTE] = ACTIONS(420),
    [anon_sym_L_DQUOTE] = ACTIONS(423),
    [anon_sym_u_DQUOTE] = ACTIONS(423),
    [anon_sym_U_DQUOTE] = ACTIONS(423),
    [anon_sym_u8_DQUOTE] = ACTIONS(423),
    [anon_sym_DQUOTE] = ACTIONS(423),
    [sym_true] = ACTIONS(426),
    [sym_false] = ACTIONS(426),
    [anon_sym_NULL] = ACTIONS(429),
    [anon_sym_nullptr] = ACTIONS(429),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(432),
    [anon_sym_rayPayloadInEXT] = ACTIONS(432),
    [anon_sym_hitAttributeEXT] = ACTIONS(432),
    [anon_sym_callableDataEXT] = ACTIONS(432),
    [anon_sym_callableDataInEXT] = ACTIONS(432),
    [anon_sym_shaderRecordEXT] = ACTIONS(432),
    [anon_sym_rayPayloadNV] = ACTIONS(432),
    [anon_sym_rayPayloadInNV] = ACTIONS(432),
    [anon_sym_hitAttributeNV] = ACTIONS(432),
    [anon_sym_callableDataNV] = ACTIONS(432),
    [anon_sym_callableDataInNV] = ACTIONS(432),
    [anon_sym_shaderRecordNV] = ACTIONS(432),
    [anon_sym_layout] = ACTIONS(435),
  },
  [24] = {
    [sym_preproc_include] = STATE(27),
    [sym_preproc_def] = STATE(27),
    [sym_preproc_function_def] = STATE(27),
    [sym_preproc_call] = STATE(27),
    [sym_preproc_if] = STATE(27),
    [sym_preproc_ifdef] = STATE(27),
    [sym_preproc_else] = STATE(2857),
    [sym_preproc_elif] = STATE(2857),
    [sym_function_definition] = STATE(27),
    [sym_declaration] = STATE(27),
    [sym_type_definition] = STATE(27),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1606),
    [sym_linkage_specification] = STATE(27),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_ms_call_modifier] = STATE(1174),
    [sym_compound_statement] = STATE(27),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1330),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(27),
    [sym_labeled_statement] = STATE(27),
    [sym_expression_statement] = STATE(27),
    [sym_if_statement] = STATE(27),
    [sym_switch_statement] = STATE(27),
    [sym_case_statement] = STATE(27),
    [sym_while_statement] = STATE(27),
    [sym_do_statement] = STATE(27),
    [sym_for_statement] = STATE(27),
    [sym_return_statement] = STATE(27),
    [sym_break_statement] = STATE(27),
    [sym_continue_statement] = STATE(27),
    [sym_goto_statement] = STATE(27),
    [sym_seh_try_statement] = STATE(27),
    [sym_seh_leave_statement] = STATE(27),
    [sym__expression] = STATE(1480),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2777),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym__empty_declaration] = STATE(27),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_preproc_extension] = STATE(27),
    [sym_extension_storage_class] = STATE(727),
    [sym_layout_specification] = STATE(727),
    [aux_sym_preproc_if_repeat1] = STATE(27),
    [aux_sym_declaration_repeat1] = STATE(727),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(663),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(195),
    [aux_sym_preproc_include_token1] = ACTIONS(197),
    [aux_sym_preproc_def_token1] = ACTIONS(199),
    [aux_sym_preproc_if_token1] = ACTIONS(201),
    [aux_sym_preproc_if_token2] = ACTIONS(438),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(205),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(205),
    [aux_sym_preproc_else_token1] = ACTIONS(123),
    [aux_sym_preproc_elif_token1] = ACTIONS(125),
    [sym_preproc_directive] = ACTIONS(207),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(209),
    [anon_sym_invariant] = ACTIONS(211),
    [anon_sym_precise] = ACTIONS(211),
    [anon_sym_SEMI] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(215),
    [anon_sym_out] = ACTIONS(215),
    [anon_sym_inout] = ACTIONS(215),
    [anon_sym_uniform] = ACTIONS(215),
    [anon_sym_shared] = ACTIONS(215),
    [anon_sym_attribute] = ACTIONS(215),
    [anon_sym_varying] = ACTIONS(215),
    [anon_sym_buffer] = ACTIONS(215),
    [anon_sym_coherent] = ACTIONS(215),
    [anon_sym_readonly] = ACTIONS(215),
    [anon_sym_writeonly] = ACTIONS(215),
    [anon_sym_precision] = ACTIONS(215),
    [anon_sym_highp] = ACTIONS(215),
    [anon_sym_mediump] = ACTIONS(215),
    [anon_sym_lowp] = ACTIONS(215),
    [anon_sym_centroid] = ACTIONS(215),
    [anon_sym_sample] = ACTIONS(215),
    [anon_sym_patch] = ACTIONS(215),
    [anon_sym_smooth] = ACTIONS(215),
    [anon_sym_flat] = ACTIONS(215),
    [anon_sym_noperspective] = ACTIONS(215),
    [anon_sym___extension__] = ACTIONS(217),
    [anon_sym_typedef] = ACTIONS(219),
    [anon_sym_extern] = ACTIONS(221),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(223),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_case] = ACTIONS(229),
    [anon_sym_default] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_do] = ACTIONS(235),
    [anon_sym_for] = ACTIONS(237),
    [anon_sym_return] = ACTIONS(239),
    [anon_sym_break] = ACTIONS(241),
    [anon_sym_continue] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym___try] = ACTIONS(247),
    [anon_sym___leave] = ACTIONS(249),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [25] = {
    [sym_preproc_include] = STATE(18),
    [sym_preproc_def] = STATE(18),
    [sym_preproc_function_def] = STATE(18),
    [sym_preproc_call] = STATE(18),
    [sym_preproc_if] = STATE(18),
    [sym_preproc_ifdef] = STATE(18),
    [sym_preproc_else] = STATE(2647),
    [sym_preproc_elif] = STATE(2647),
    [sym_function_definition] = STATE(18),
    [sym_declaration] = STATE(18),
    [sym_type_definition] = STATE(18),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1606),
    [sym_linkage_specification] = STATE(18),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_ms_call_modifier] = STATE(1174),
    [sym_compound_statement] = STATE(18),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1330),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(18),
    [sym_labeled_statement] = STATE(18),
    [sym_expression_statement] = STATE(18),
    [sym_if_statement] = STATE(18),
    [sym_switch_statement] = STATE(18),
    [sym_case_statement] = STATE(18),
    [sym_while_statement] = STATE(18),
    [sym_do_statement] = STATE(18),
    [sym_for_statement] = STATE(18),
    [sym_return_statement] = STATE(18),
    [sym_break_statement] = STATE(18),
    [sym_continue_statement] = STATE(18),
    [sym_goto_statement] = STATE(18),
    [sym_seh_try_statement] = STATE(18),
    [sym_seh_leave_statement] = STATE(18),
    [sym__expression] = STATE(1480),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2777),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym__empty_declaration] = STATE(18),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_preproc_extension] = STATE(18),
    [sym_extension_storage_class] = STATE(727),
    [sym_layout_specification] = STATE(727),
    [aux_sym_preproc_if_repeat1] = STATE(18),
    [aux_sym_declaration_repeat1] = STATE(727),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(663),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(195),
    [aux_sym_preproc_include_token1] = ACTIONS(197),
    [aux_sym_preproc_def_token1] = ACTIONS(199),
    [aux_sym_preproc_if_token1] = ACTIONS(201),
    [aux_sym_preproc_if_token2] = ACTIONS(440),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(205),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(205),
    [aux_sym_preproc_else_token1] = ACTIONS(123),
    [aux_sym_preproc_elif_token1] = ACTIONS(125),
    [sym_preproc_directive] = ACTIONS(207),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(209),
    [anon_sym_invariant] = ACTIONS(211),
    [anon_sym_precise] = ACTIONS(211),
    [anon_sym_SEMI] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(215),
    [anon_sym_out] = ACTIONS(215),
    [anon_sym_inout] = ACTIONS(215),
    [anon_sym_uniform] = ACTIONS(215),
    [anon_sym_shared] = ACTIONS(215),
    [anon_sym_attribute] = ACTIONS(215),
    [anon_sym_varying] = ACTIONS(215),
    [anon_sym_buffer] = ACTIONS(215),
    [anon_sym_coherent] = ACTIONS(215),
    [anon_sym_readonly] = ACTIONS(215),
    [anon_sym_writeonly] = ACTIONS(215),
    [anon_sym_precision] = ACTIONS(215),
    [anon_sym_highp] = ACTIONS(215),
    [anon_sym_mediump] = ACTIONS(215),
    [anon_sym_lowp] = ACTIONS(215),
    [anon_sym_centroid] = ACTIONS(215),
    [anon_sym_sample] = ACTIONS(215),
    [anon_sym_patch] = ACTIONS(215),
    [anon_sym_smooth] = ACTIONS(215),
    [anon_sym_flat] = ACTIONS(215),
    [anon_sym_noperspective] = ACTIONS(215),
    [anon_sym___extension__] = ACTIONS(217),
    [anon_sym_typedef] = ACTIONS(219),
    [anon_sym_extern] = ACTIONS(221),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(223),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_case] = ACTIONS(229),
    [anon_sym_default] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_do] = ACTIONS(235),
    [anon_sym_for] = ACTIONS(237),
    [anon_sym_return] = ACTIONS(239),
    [anon_sym_break] = ACTIONS(241),
    [anon_sym_continue] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym___try] = ACTIONS(247),
    [anon_sym___leave] = ACTIONS(249),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [26] = {
    [sym_preproc_include] = STATE(17),
    [sym_preproc_def] = STATE(17),
    [sym_preproc_function_def] = STATE(17),
    [sym_preproc_call] = STATE(17),
    [sym_preproc_if] = STATE(17),
    [sym_preproc_ifdef] = STATE(17),
    [sym_preproc_else] = STATE(2868),
    [sym_preproc_elif] = STATE(2868),
    [sym_function_definition] = STATE(17),
    [sym_declaration] = STATE(17),
    [sym_type_definition] = STATE(17),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1606),
    [sym_linkage_specification] = STATE(17),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_ms_call_modifier] = STATE(1174),
    [sym_compound_statement] = STATE(17),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1330),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(17),
    [sym_labeled_statement] = STATE(17),
    [sym_expression_statement] = STATE(17),
    [sym_if_statement] = STATE(17),
    [sym_switch_statement] = STATE(17),
    [sym_case_statement] = STATE(17),
    [sym_while_statement] = STATE(17),
    [sym_do_statement] = STATE(17),
    [sym_for_statement] = STATE(17),
    [sym_return_statement] = STATE(17),
    [sym_break_statement] = STATE(17),
    [sym_continue_statement] = STATE(17),
    [sym_goto_statement] = STATE(17),
    [sym_seh_try_statement] = STATE(17),
    [sym_seh_leave_statement] = STATE(17),
    [sym__expression] = STATE(1480),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2777),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym__empty_declaration] = STATE(17),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_preproc_extension] = STATE(17),
    [sym_extension_storage_class] = STATE(727),
    [sym_layout_specification] = STATE(727),
    [aux_sym_preproc_if_repeat1] = STATE(17),
    [aux_sym_declaration_repeat1] = STATE(727),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(663),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(195),
    [aux_sym_preproc_include_token1] = ACTIONS(197),
    [aux_sym_preproc_def_token1] = ACTIONS(199),
    [aux_sym_preproc_if_token1] = ACTIONS(201),
    [aux_sym_preproc_if_token2] = ACTIONS(442),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(205),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(205),
    [aux_sym_preproc_else_token1] = ACTIONS(123),
    [aux_sym_preproc_elif_token1] = ACTIONS(125),
    [sym_preproc_directive] = ACTIONS(207),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(209),
    [anon_sym_invariant] = ACTIONS(211),
    [anon_sym_precise] = ACTIONS(211),
    [anon_sym_SEMI] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(215),
    [anon_sym_out] = ACTIONS(215),
    [anon_sym_inout] = ACTIONS(215),
    [anon_sym_uniform] = ACTIONS(215),
    [anon_sym_shared] = ACTIONS(215),
    [anon_sym_attribute] = ACTIONS(215),
    [anon_sym_varying] = ACTIONS(215),
    [anon_sym_buffer] = ACTIONS(215),
    [anon_sym_coherent] = ACTIONS(215),
    [anon_sym_readonly] = ACTIONS(215),
    [anon_sym_writeonly] = ACTIONS(215),
    [anon_sym_precision] = ACTIONS(215),
    [anon_sym_highp] = ACTIONS(215),
    [anon_sym_mediump] = ACTIONS(215),
    [anon_sym_lowp] = ACTIONS(215),
    [anon_sym_centroid] = ACTIONS(215),
    [anon_sym_sample] = ACTIONS(215),
    [anon_sym_patch] = ACTIONS(215),
    [anon_sym_smooth] = ACTIONS(215),
    [anon_sym_flat] = ACTIONS(215),
    [anon_sym_noperspective] = ACTIONS(215),
    [anon_sym___extension__] = ACTIONS(217),
    [anon_sym_typedef] = ACTIONS(219),
    [anon_sym_extern] = ACTIONS(221),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(223),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_case] = ACTIONS(229),
    [anon_sym_default] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_do] = ACTIONS(235),
    [anon_sym_for] = ACTIONS(237),
    [anon_sym_return] = ACTIONS(239),
    [anon_sym_break] = ACTIONS(241),
    [anon_sym_continue] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym___try] = ACTIONS(247),
    [anon_sym___leave] = ACTIONS(249),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [27] = {
    [sym_preproc_include] = STATE(27),
    [sym_preproc_def] = STATE(27),
    [sym_preproc_function_def] = STATE(27),
    [sym_preproc_call] = STATE(27),
    [sym_preproc_if] = STATE(27),
    [sym_preproc_ifdef] = STATE(27),
    [sym_function_definition] = STATE(27),
    [sym_declaration] = STATE(27),
    [sym_type_definition] = STATE(27),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1606),
    [sym_linkage_specification] = STATE(27),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_ms_call_modifier] = STATE(1174),
    [sym_compound_statement] = STATE(27),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1330),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(27),
    [sym_labeled_statement] = STATE(27),
    [sym_expression_statement] = STATE(27),
    [sym_if_statement] = STATE(27),
    [sym_switch_statement] = STATE(27),
    [sym_case_statement] = STATE(27),
    [sym_while_statement] = STATE(27),
    [sym_do_statement] = STATE(27),
    [sym_for_statement] = STATE(27),
    [sym_return_statement] = STATE(27),
    [sym_break_statement] = STATE(27),
    [sym_continue_statement] = STATE(27),
    [sym_goto_statement] = STATE(27),
    [sym_seh_try_statement] = STATE(27),
    [sym_seh_leave_statement] = STATE(27),
    [sym__expression] = STATE(1480),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2777),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym__empty_declaration] = STATE(27),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_preproc_extension] = STATE(27),
    [sym_extension_storage_class] = STATE(727),
    [sym_layout_specification] = STATE(727),
    [aux_sym_preproc_if_repeat1] = STATE(27),
    [aux_sym_declaration_repeat1] = STATE(727),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(663),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(444),
    [aux_sym_preproc_include_token1] = ACTIONS(447),
    [aux_sym_preproc_def_token1] = ACTIONS(450),
    [aux_sym_preproc_if_token1] = ACTIONS(453),
    [aux_sym_preproc_if_token2] = ACTIONS(283),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(456),
    [aux_sym_preproc_else_token1] = ACTIONS(283),
    [aux_sym_preproc_elif_token1] = ACTIONS(283),
    [sym_preproc_directive] = ACTIONS(459),
    [anon_sym_LPAREN2] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(297),
    [anon_sym_PLUS] = ACTIONS(297),
    [anon_sym_STAR] = ACTIONS(300),
    [anon_sym_AMP] = ACTIONS(300),
    [anon_sym_subroutine] = ACTIONS(462),
    [anon_sym_invariant] = ACTIONS(465),
    [anon_sym_precise] = ACTIONS(465),
    [anon_sym_SEMI] = ACTIONS(468),
    [anon_sym_in] = ACTIONS(471),
    [anon_sym_out] = ACTIONS(471),
    [anon_sym_inout] = ACTIONS(471),
    [anon_sym_uniform] = ACTIONS(471),
    [anon_sym_shared] = ACTIONS(471),
    [anon_sym_attribute] = ACTIONS(471),
    [anon_sym_varying] = ACTIONS(471),
    [anon_sym_buffer] = ACTIONS(471),
    [anon_sym_coherent] = ACTIONS(471),
    [anon_sym_readonly] = ACTIONS(471),
    [anon_sym_writeonly] = ACTIONS(471),
    [anon_sym_precision] = ACTIONS(471),
    [anon_sym_highp] = ACTIONS(471),
    [anon_sym_mediump] = ACTIONS(471),
    [anon_sym_lowp] = ACTIONS(471),
    [anon_sym_centroid] = ACTIONS(471),
    [anon_sym_sample] = ACTIONS(471),
    [anon_sym_patch] = ACTIONS(471),
    [anon_sym_smooth] = ACTIONS(471),
    [anon_sym_flat] = ACTIONS(471),
    [anon_sym_noperspective] = ACTIONS(471),
    [anon_sym___extension__] = ACTIONS(474),
    [anon_sym_typedef] = ACTIONS(477),
    [anon_sym_extern] = ACTIONS(480),
    [anon_sym___attribute__] = ACTIONS(324),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(327),
    [anon_sym___declspec] = ACTIONS(330),
    [anon_sym___cdecl] = ACTIONS(333),
    [anon_sym___clrcall] = ACTIONS(333),
    [anon_sym___stdcall] = ACTIONS(333),
    [anon_sym___fastcall] = ACTIONS(333),
    [anon_sym___thiscall] = ACTIONS(333),
    [anon_sym___vectorcall] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(483),
    [anon_sym_signed] = ACTIONS(339),
    [anon_sym_unsigned] = ACTIONS(339),
    [anon_sym_long] = ACTIONS(339),
    [anon_sym_short] = ACTIONS(339),
    [anon_sym_static] = ACTIONS(342),
    [anon_sym_auto] = ACTIONS(342),
    [anon_sym_register] = ACTIONS(342),
    [anon_sym_inline] = ACTIONS(342),
    [anon_sym___inline] = ACTIONS(342),
    [anon_sym___inline__] = ACTIONS(342),
    [anon_sym___forceinline] = ACTIONS(342),
    [anon_sym_thread_local] = ACTIONS(342),
    [anon_sym___thread] = ACTIONS(342),
    [anon_sym_const] = ACTIONS(345),
    [anon_sym_constexpr] = ACTIONS(345),
    [anon_sym_volatile] = ACTIONS(345),
    [anon_sym_restrict] = ACTIONS(345),
    [anon_sym___restrict__] = ACTIONS(345),
    [anon_sym__Atomic] = ACTIONS(345),
    [anon_sym__Noreturn] = ACTIONS(345),
    [anon_sym_noreturn] = ACTIONS(345),
    [sym_primitive_type] = ACTIONS(348),
    [anon_sym_enum] = ACTIONS(351),
    [anon_sym_struct] = ACTIONS(354),
    [anon_sym_union] = ACTIONS(357),
    [anon_sym_if] = ACTIONS(486),
    [anon_sym_switch] = ACTIONS(489),
    [anon_sym_case] = ACTIONS(492),
    [anon_sym_default] = ACTIONS(495),
    [anon_sym_while] = ACTIONS(498),
    [anon_sym_do] = ACTIONS(501),
    [anon_sym_for] = ACTIONS(504),
    [anon_sym_return] = ACTIONS(507),
    [anon_sym_break] = ACTIONS(510),
    [anon_sym_continue] = ACTIONS(513),
    [anon_sym_goto] = ACTIONS(516),
    [anon_sym___try] = ACTIONS(519),
    [anon_sym___leave] = ACTIONS(522),
    [anon_sym_DASH_DASH] = ACTIONS(399),
    [anon_sym_PLUS_PLUS] = ACTIONS(399),
    [anon_sym_sizeof] = ACTIONS(402),
    [anon_sym___alignof__] = ACTIONS(405),
    [anon_sym___alignof] = ACTIONS(405),
    [anon_sym__alignof] = ACTIONS(405),
    [anon_sym_alignof] = ACTIONS(405),
    [anon_sym__Alignof] = ACTIONS(405),
    [anon_sym_offsetof] = ACTIONS(408),
    [anon_sym__Generic] = ACTIONS(411),
    [anon_sym_asm] = ACTIONS(414),
    [anon_sym___asm__] = ACTIONS(414),
    [sym_number_literal] = ACTIONS(417),
    [anon_sym_L_SQUOTE] = ACTIONS(420),
    [anon_sym_u_SQUOTE] = ACTIONS(420),
    [anon_sym_U_SQUOTE] = ACTIONS(420),
    [anon_sym_u8_SQUOTE] = ACTIONS(420),
    [anon_sym_SQUOTE] = ACTIONS(420),
    [anon_sym_L_DQUOTE] = ACTIONS(423),
    [anon_sym_u_DQUOTE] = ACTIONS(423),
    [anon_sym_U_DQUOTE] = ACTIONS(423),
    [anon_sym_u8_DQUOTE] = ACTIONS(423),
    [anon_sym_DQUOTE] = ACTIONS(423),
    [sym_true] = ACTIONS(426),
    [sym_false] = ACTIONS(426),
    [anon_sym_NULL] = ACTIONS(429),
    [anon_sym_nullptr] = ACTIONS(429),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(432),
    [anon_sym_rayPayloadInEXT] = ACTIONS(432),
    [anon_sym_hitAttributeEXT] = ACTIONS(432),
    [anon_sym_callableDataEXT] = ACTIONS(432),
    [anon_sym_callableDataInEXT] = ACTIONS(432),
    [anon_sym_shaderRecordEXT] = ACTIONS(432),
    [anon_sym_rayPayloadNV] = ACTIONS(432),
    [anon_sym_rayPayloadInNV] = ACTIONS(432),
    [anon_sym_hitAttributeNV] = ACTIONS(432),
    [anon_sym_callableDataNV] = ACTIONS(432),
    [anon_sym_callableDataInNV] = ACTIONS(432),
    [anon_sym_shaderRecordNV] = ACTIONS(432),
    [anon_sym_layout] = ACTIONS(435),
  },
  [28] = {
    [sym_preproc_include] = STATE(43),
    [sym_preproc_def] = STATE(43),
    [sym_preproc_function_def] = STATE(43),
    [sym_preproc_call] = STATE(43),
    [sym_preproc_if] = STATE(43),
    [sym_preproc_ifdef] = STATE(43),
    [sym_function_definition] = STATE(43),
    [sym_declaration] = STATE(43),
    [sym_type_definition] = STATE(43),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1603),
    [sym_linkage_specification] = STATE(43),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_ms_call_modifier] = STATE(1173),
    [sym_compound_statement] = STATE(43),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1329),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(43),
    [sym_labeled_statement] = STATE(43),
    [sym_expression_statement] = STATE(43),
    [sym_if_statement] = STATE(43),
    [sym_switch_statement] = STATE(43),
    [sym_case_statement] = STATE(43),
    [sym_while_statement] = STATE(43),
    [sym_do_statement] = STATE(43),
    [sym_for_statement] = STATE(43),
    [sym_return_statement] = STATE(43),
    [sym_break_statement] = STATE(43),
    [sym_continue_statement] = STATE(43),
    [sym_goto_statement] = STATE(43),
    [sym_seh_try_statement] = STATE(43),
    [sym_seh_leave_statement] = STATE(43),
    [sym__expression] = STATE(1479),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2606),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym__empty_declaration] = STATE(43),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_preproc_extension] = STATE(43),
    [sym_extension_storage_class] = STATE(719),
    [sym_layout_specification] = STATE(719),
    [aux_sym_preproc_if_repeat1] = STATE(43),
    [aux_sym_declaration_repeat1] = STATE(719),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(668),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(525),
    [aux_sym_preproc_include_token1] = ACTIONS(527),
    [aux_sym_preproc_def_token1] = ACTIONS(529),
    [aux_sym_preproc_if_token1] = ACTIONS(531),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(533),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(533),
    [sym_preproc_directive] = ACTIONS(535),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(537),
    [anon_sym_invariant] = ACTIONS(539),
    [anon_sym_precise] = ACTIONS(539),
    [anon_sym_SEMI] = ACTIONS(541),
    [anon_sym_in] = ACTIONS(543),
    [anon_sym_out] = ACTIONS(543),
    [anon_sym_inout] = ACTIONS(543),
    [anon_sym_uniform] = ACTIONS(543),
    [anon_sym_shared] = ACTIONS(543),
    [anon_sym_attribute] = ACTIONS(543),
    [anon_sym_varying] = ACTIONS(543),
    [anon_sym_buffer] = ACTIONS(543),
    [anon_sym_coherent] = ACTIONS(543),
    [anon_sym_readonly] = ACTIONS(543),
    [anon_sym_writeonly] = ACTIONS(543),
    [anon_sym_precision] = ACTIONS(543),
    [anon_sym_highp] = ACTIONS(543),
    [anon_sym_mediump] = ACTIONS(543),
    [anon_sym_lowp] = ACTIONS(543),
    [anon_sym_centroid] = ACTIONS(543),
    [anon_sym_sample] = ACTIONS(543),
    [anon_sym_patch] = ACTIONS(543),
    [anon_sym_smooth] = ACTIONS(543),
    [anon_sym_flat] = ACTIONS(543),
    [anon_sym_noperspective] = ACTIONS(543),
    [anon_sym___extension__] = ACTIONS(545),
    [anon_sym_typedef] = ACTIONS(547),
    [anon_sym_extern] = ACTIONS(549),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_RBRACE] = ACTIONS(553),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_switch] = ACTIONS(557),
    [anon_sym_case] = ACTIONS(559),
    [anon_sym_default] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [anon_sym_do] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(569),
    [anon_sym_break] = ACTIONS(571),
    [anon_sym_continue] = ACTIONS(573),
    [anon_sym_goto] = ACTIONS(575),
    [anon_sym___try] = ACTIONS(577),
    [anon_sym___leave] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [29] = {
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_function_definition] = STATE(38),
    [sym_declaration] = STATE(38),
    [sym_type_definition] = STATE(38),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1603),
    [sym_linkage_specification] = STATE(38),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_ms_call_modifier] = STATE(1173),
    [sym_compound_statement] = STATE(38),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1329),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(38),
    [sym_labeled_statement] = STATE(38),
    [sym_expression_statement] = STATE(38),
    [sym_if_statement] = STATE(38),
    [sym_switch_statement] = STATE(38),
    [sym_case_statement] = STATE(38),
    [sym_while_statement] = STATE(38),
    [sym_do_statement] = STATE(38),
    [sym_for_statement] = STATE(38),
    [sym_return_statement] = STATE(38),
    [sym_break_statement] = STATE(38),
    [sym_continue_statement] = STATE(38),
    [sym_goto_statement] = STATE(38),
    [sym_seh_try_statement] = STATE(38),
    [sym_seh_leave_statement] = STATE(38),
    [sym__expression] = STATE(1479),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2606),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym__empty_declaration] = STATE(38),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_preproc_extension] = STATE(38),
    [sym_extension_storage_class] = STATE(719),
    [sym_layout_specification] = STATE(719),
    [aux_sym_preproc_if_repeat1] = STATE(38),
    [aux_sym_declaration_repeat1] = STATE(719),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(668),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(525),
    [aux_sym_preproc_include_token1] = ACTIONS(527),
    [aux_sym_preproc_def_token1] = ACTIONS(529),
    [aux_sym_preproc_if_token1] = ACTIONS(531),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(533),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(533),
    [sym_preproc_directive] = ACTIONS(535),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(537),
    [anon_sym_invariant] = ACTIONS(539),
    [anon_sym_precise] = ACTIONS(539),
    [anon_sym_SEMI] = ACTIONS(541),
    [anon_sym_in] = ACTIONS(543),
    [anon_sym_out] = ACTIONS(543),
    [anon_sym_inout] = ACTIONS(543),
    [anon_sym_uniform] = ACTIONS(543),
    [anon_sym_shared] = ACTIONS(543),
    [anon_sym_attribute] = ACTIONS(543),
    [anon_sym_varying] = ACTIONS(543),
    [anon_sym_buffer] = ACTIONS(543),
    [anon_sym_coherent] = ACTIONS(543),
    [anon_sym_readonly] = ACTIONS(543),
    [anon_sym_writeonly] = ACTIONS(543),
    [anon_sym_precision] = ACTIONS(543),
    [anon_sym_highp] = ACTIONS(543),
    [anon_sym_mediump] = ACTIONS(543),
    [anon_sym_lowp] = ACTIONS(543),
    [anon_sym_centroid] = ACTIONS(543),
    [anon_sym_sample] = ACTIONS(543),
    [anon_sym_patch] = ACTIONS(543),
    [anon_sym_smooth] = ACTIONS(543),
    [anon_sym_flat] = ACTIONS(543),
    [anon_sym_noperspective] = ACTIONS(543),
    [anon_sym___extension__] = ACTIONS(545),
    [anon_sym_typedef] = ACTIONS(547),
    [anon_sym_extern] = ACTIONS(549),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_RBRACE] = ACTIONS(581),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_switch] = ACTIONS(557),
    [anon_sym_case] = ACTIONS(559),
    [anon_sym_default] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [anon_sym_do] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(569),
    [anon_sym_break] = ACTIONS(571),
    [anon_sym_continue] = ACTIONS(573),
    [anon_sym_goto] = ACTIONS(575),
    [anon_sym___try] = ACTIONS(577),
    [anon_sym___leave] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [30] = {
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_function_definition] = STATE(38),
    [sym_declaration] = STATE(38),
    [sym_type_definition] = STATE(38),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1603),
    [sym_linkage_specification] = STATE(38),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_ms_call_modifier] = STATE(1173),
    [sym_compound_statement] = STATE(38),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1329),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(38),
    [sym_labeled_statement] = STATE(38),
    [sym_expression_statement] = STATE(38),
    [sym_if_statement] = STATE(38),
    [sym_switch_statement] = STATE(38),
    [sym_case_statement] = STATE(38),
    [sym_while_statement] = STATE(38),
    [sym_do_statement] = STATE(38),
    [sym_for_statement] = STATE(38),
    [sym_return_statement] = STATE(38),
    [sym_break_statement] = STATE(38),
    [sym_continue_statement] = STATE(38),
    [sym_goto_statement] = STATE(38),
    [sym_seh_try_statement] = STATE(38),
    [sym_seh_leave_statement] = STATE(38),
    [sym__expression] = STATE(1479),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2606),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym__empty_declaration] = STATE(38),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_preproc_extension] = STATE(38),
    [sym_extension_storage_class] = STATE(719),
    [sym_layout_specification] = STATE(719),
    [aux_sym_preproc_if_repeat1] = STATE(38),
    [aux_sym_declaration_repeat1] = STATE(719),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(668),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(525),
    [aux_sym_preproc_include_token1] = ACTIONS(527),
    [aux_sym_preproc_def_token1] = ACTIONS(529),
    [aux_sym_preproc_if_token1] = ACTIONS(531),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(533),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(533),
    [sym_preproc_directive] = ACTIONS(535),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(537),
    [anon_sym_invariant] = ACTIONS(539),
    [anon_sym_precise] = ACTIONS(539),
    [anon_sym_SEMI] = ACTIONS(541),
    [anon_sym_in] = ACTIONS(543),
    [anon_sym_out] = ACTIONS(543),
    [anon_sym_inout] = ACTIONS(543),
    [anon_sym_uniform] = ACTIONS(543),
    [anon_sym_shared] = ACTIONS(543),
    [anon_sym_attribute] = ACTIONS(543),
    [anon_sym_varying] = ACTIONS(543),
    [anon_sym_buffer] = ACTIONS(543),
    [anon_sym_coherent] = ACTIONS(543),
    [anon_sym_readonly] = ACTIONS(543),
    [anon_sym_writeonly] = ACTIONS(543),
    [anon_sym_precision] = ACTIONS(543),
    [anon_sym_highp] = ACTIONS(543),
    [anon_sym_mediump] = ACTIONS(543),
    [anon_sym_lowp] = ACTIONS(543),
    [anon_sym_centroid] = ACTIONS(543),
    [anon_sym_sample] = ACTIONS(543),
    [anon_sym_patch] = ACTIONS(543),
    [anon_sym_smooth] = ACTIONS(543),
    [anon_sym_flat] = ACTIONS(543),
    [anon_sym_noperspective] = ACTIONS(543),
    [anon_sym___extension__] = ACTIONS(545),
    [anon_sym_typedef] = ACTIONS(547),
    [anon_sym_extern] = ACTIONS(549),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_RBRACE] = ACTIONS(583),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_switch] = ACTIONS(557),
    [anon_sym_case] = ACTIONS(559),
    [anon_sym_default] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [anon_sym_do] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(569),
    [anon_sym_break] = ACTIONS(571),
    [anon_sym_continue] = ACTIONS(573),
    [anon_sym_goto] = ACTIONS(575),
    [anon_sym___try] = ACTIONS(577),
    [anon_sym___leave] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [31] = {
    [sym_preproc_include] = STATE(30),
    [sym_preproc_def] = STATE(30),
    [sym_preproc_function_def] = STATE(30),
    [sym_preproc_call] = STATE(30),
    [sym_preproc_if] = STATE(30),
    [sym_preproc_ifdef] = STATE(30),
    [sym_function_definition] = STATE(30),
    [sym_declaration] = STATE(30),
    [sym_type_definition] = STATE(30),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1603),
    [sym_linkage_specification] = STATE(30),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_ms_call_modifier] = STATE(1173),
    [sym_compound_statement] = STATE(30),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1329),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(30),
    [sym_labeled_statement] = STATE(30),
    [sym_expression_statement] = STATE(30),
    [sym_if_statement] = STATE(30),
    [sym_switch_statement] = STATE(30),
    [sym_case_statement] = STATE(30),
    [sym_while_statement] = STATE(30),
    [sym_do_statement] = STATE(30),
    [sym_for_statement] = STATE(30),
    [sym_return_statement] = STATE(30),
    [sym_break_statement] = STATE(30),
    [sym_continue_statement] = STATE(30),
    [sym_goto_statement] = STATE(30),
    [sym_seh_try_statement] = STATE(30),
    [sym_seh_leave_statement] = STATE(30),
    [sym__expression] = STATE(1479),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2606),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym__empty_declaration] = STATE(30),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_preproc_extension] = STATE(30),
    [sym_extension_storage_class] = STATE(719),
    [sym_layout_specification] = STATE(719),
    [aux_sym_preproc_if_repeat1] = STATE(30),
    [aux_sym_declaration_repeat1] = STATE(719),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(668),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(525),
    [aux_sym_preproc_include_token1] = ACTIONS(527),
    [aux_sym_preproc_def_token1] = ACTIONS(529),
    [aux_sym_preproc_if_token1] = ACTIONS(531),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(533),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(533),
    [sym_preproc_directive] = ACTIONS(535),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(537),
    [anon_sym_invariant] = ACTIONS(539),
    [anon_sym_precise] = ACTIONS(539),
    [anon_sym_SEMI] = ACTIONS(541),
    [anon_sym_in] = ACTIONS(543),
    [anon_sym_out] = ACTIONS(543),
    [anon_sym_inout] = ACTIONS(543),
    [anon_sym_uniform] = ACTIONS(543),
    [anon_sym_shared] = ACTIONS(543),
    [anon_sym_attribute] = ACTIONS(543),
    [anon_sym_varying] = ACTIONS(543),
    [anon_sym_buffer] = ACTIONS(543),
    [anon_sym_coherent] = ACTIONS(543),
    [anon_sym_readonly] = ACTIONS(543),
    [anon_sym_writeonly] = ACTIONS(543),
    [anon_sym_precision] = ACTIONS(543),
    [anon_sym_highp] = ACTIONS(543),
    [anon_sym_mediump] = ACTIONS(543),
    [anon_sym_lowp] = ACTIONS(543),
    [anon_sym_centroid] = ACTIONS(543),
    [anon_sym_sample] = ACTIONS(543),
    [anon_sym_patch] = ACTIONS(543),
    [anon_sym_smooth] = ACTIONS(543),
    [anon_sym_flat] = ACTIONS(543),
    [anon_sym_noperspective] = ACTIONS(543),
    [anon_sym___extension__] = ACTIONS(545),
    [anon_sym_typedef] = ACTIONS(547),
    [anon_sym_extern] = ACTIONS(549),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_RBRACE] = ACTIONS(585),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_switch] = ACTIONS(557),
    [anon_sym_case] = ACTIONS(559),
    [anon_sym_default] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [anon_sym_do] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(569),
    [anon_sym_break] = ACTIONS(571),
    [anon_sym_continue] = ACTIONS(573),
    [anon_sym_goto] = ACTIONS(575),
    [anon_sym___try] = ACTIONS(577),
    [anon_sym___leave] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [32] = {
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_function_definition] = STATE(38),
    [sym_declaration] = STATE(38),
    [sym_type_definition] = STATE(38),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1603),
    [sym_linkage_specification] = STATE(38),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_ms_call_modifier] = STATE(1173),
    [sym_compound_statement] = STATE(38),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1329),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(38),
    [sym_labeled_statement] = STATE(38),
    [sym_expression_statement] = STATE(38),
    [sym_if_statement] = STATE(38),
    [sym_switch_statement] = STATE(38),
    [sym_case_statement] = STATE(38),
    [sym_while_statement] = STATE(38),
    [sym_do_statement] = STATE(38),
    [sym_for_statement] = STATE(38),
    [sym_return_statement] = STATE(38),
    [sym_break_statement] = STATE(38),
    [sym_continue_statement] = STATE(38),
    [sym_goto_statement] = STATE(38),
    [sym_seh_try_statement] = STATE(38),
    [sym_seh_leave_statement] = STATE(38),
    [sym__expression] = STATE(1479),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2606),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym__empty_declaration] = STATE(38),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_preproc_extension] = STATE(38),
    [sym_extension_storage_class] = STATE(719),
    [sym_layout_specification] = STATE(719),
    [aux_sym_preproc_if_repeat1] = STATE(38),
    [aux_sym_declaration_repeat1] = STATE(719),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(668),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(525),
    [aux_sym_preproc_include_token1] = ACTIONS(527),
    [aux_sym_preproc_def_token1] = ACTIONS(529),
    [aux_sym_preproc_if_token1] = ACTIONS(531),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(533),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(533),
    [sym_preproc_directive] = ACTIONS(535),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(537),
    [anon_sym_invariant] = ACTIONS(539),
    [anon_sym_precise] = ACTIONS(539),
    [anon_sym_SEMI] = ACTIONS(541),
    [anon_sym_in] = ACTIONS(543),
    [anon_sym_out] = ACTIONS(543),
    [anon_sym_inout] = ACTIONS(543),
    [anon_sym_uniform] = ACTIONS(543),
    [anon_sym_shared] = ACTIONS(543),
    [anon_sym_attribute] = ACTIONS(543),
    [anon_sym_varying] = ACTIONS(543),
    [anon_sym_buffer] = ACTIONS(543),
    [anon_sym_coherent] = ACTIONS(543),
    [anon_sym_readonly] = ACTIONS(543),
    [anon_sym_writeonly] = ACTIONS(543),
    [anon_sym_precision] = ACTIONS(543),
    [anon_sym_highp] = ACTIONS(543),
    [anon_sym_mediump] = ACTIONS(543),
    [anon_sym_lowp] = ACTIONS(543),
    [anon_sym_centroid] = ACTIONS(543),
    [anon_sym_sample] = ACTIONS(543),
    [anon_sym_patch] = ACTIONS(543),
    [anon_sym_smooth] = ACTIONS(543),
    [anon_sym_flat] = ACTIONS(543),
    [anon_sym_noperspective] = ACTIONS(543),
    [anon_sym___extension__] = ACTIONS(545),
    [anon_sym_typedef] = ACTIONS(547),
    [anon_sym_extern] = ACTIONS(549),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_RBRACE] = ACTIONS(587),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_switch] = ACTIONS(557),
    [anon_sym_case] = ACTIONS(559),
    [anon_sym_default] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [anon_sym_do] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(569),
    [anon_sym_break] = ACTIONS(571),
    [anon_sym_continue] = ACTIONS(573),
    [anon_sym_goto] = ACTIONS(575),
    [anon_sym___try] = ACTIONS(577),
    [anon_sym___leave] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [33] = {
    [sym_preproc_include] = STATE(32),
    [sym_preproc_def] = STATE(32),
    [sym_preproc_function_def] = STATE(32),
    [sym_preproc_call] = STATE(32),
    [sym_preproc_if] = STATE(32),
    [sym_preproc_ifdef] = STATE(32),
    [sym_function_definition] = STATE(32),
    [sym_declaration] = STATE(32),
    [sym_type_definition] = STATE(32),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1603),
    [sym_linkage_specification] = STATE(32),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_ms_call_modifier] = STATE(1173),
    [sym_compound_statement] = STATE(32),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1329),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(32),
    [sym_labeled_statement] = STATE(32),
    [sym_expression_statement] = STATE(32),
    [sym_if_statement] = STATE(32),
    [sym_switch_statement] = STATE(32),
    [sym_case_statement] = STATE(32),
    [sym_while_statement] = STATE(32),
    [sym_do_statement] = STATE(32),
    [sym_for_statement] = STATE(32),
    [sym_return_statement] = STATE(32),
    [sym_break_statement] = STATE(32),
    [sym_continue_statement] = STATE(32),
    [sym_goto_statement] = STATE(32),
    [sym_seh_try_statement] = STATE(32),
    [sym_seh_leave_statement] = STATE(32),
    [sym__expression] = STATE(1479),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2606),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym__empty_declaration] = STATE(32),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_preproc_extension] = STATE(32),
    [sym_extension_storage_class] = STATE(719),
    [sym_layout_specification] = STATE(719),
    [aux_sym_preproc_if_repeat1] = STATE(32),
    [aux_sym_declaration_repeat1] = STATE(719),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(668),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(525),
    [aux_sym_preproc_include_token1] = ACTIONS(527),
    [aux_sym_preproc_def_token1] = ACTIONS(529),
    [aux_sym_preproc_if_token1] = ACTIONS(531),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(533),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(533),
    [sym_preproc_directive] = ACTIONS(535),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(537),
    [anon_sym_invariant] = ACTIONS(539),
    [anon_sym_precise] = ACTIONS(539),
    [anon_sym_SEMI] = ACTIONS(541),
    [anon_sym_in] = ACTIONS(543),
    [anon_sym_out] = ACTIONS(543),
    [anon_sym_inout] = ACTIONS(543),
    [anon_sym_uniform] = ACTIONS(543),
    [anon_sym_shared] = ACTIONS(543),
    [anon_sym_attribute] = ACTIONS(543),
    [anon_sym_varying] = ACTIONS(543),
    [anon_sym_buffer] = ACTIONS(543),
    [anon_sym_coherent] = ACTIONS(543),
    [anon_sym_readonly] = ACTIONS(543),
    [anon_sym_writeonly] = ACTIONS(543),
    [anon_sym_precision] = ACTIONS(543),
    [anon_sym_highp] = ACTIONS(543),
    [anon_sym_mediump] = ACTIONS(543),
    [anon_sym_lowp] = ACTIONS(543),
    [anon_sym_centroid] = ACTIONS(543),
    [anon_sym_sample] = ACTIONS(543),
    [anon_sym_patch] = ACTIONS(543),
    [anon_sym_smooth] = ACTIONS(543),
    [anon_sym_flat] = ACTIONS(543),
    [anon_sym_noperspective] = ACTIONS(543),
    [anon_sym___extension__] = ACTIONS(545),
    [anon_sym_typedef] = ACTIONS(547),
    [anon_sym_extern] = ACTIONS(549),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_RBRACE] = ACTIONS(589),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_switch] = ACTIONS(557),
    [anon_sym_case] = ACTIONS(559),
    [anon_sym_default] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [anon_sym_do] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(569),
    [anon_sym_break] = ACTIONS(571),
    [anon_sym_continue] = ACTIONS(573),
    [anon_sym_goto] = ACTIONS(575),
    [anon_sym___try] = ACTIONS(577),
    [anon_sym___leave] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [34] = {
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_function_definition] = STATE(38),
    [sym_declaration] = STATE(38),
    [sym_type_definition] = STATE(38),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1603),
    [sym_linkage_specification] = STATE(38),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_ms_call_modifier] = STATE(1173),
    [sym_compound_statement] = STATE(38),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1329),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(38),
    [sym_labeled_statement] = STATE(38),
    [sym_expression_statement] = STATE(38),
    [sym_if_statement] = STATE(38),
    [sym_switch_statement] = STATE(38),
    [sym_case_statement] = STATE(38),
    [sym_while_statement] = STATE(38),
    [sym_do_statement] = STATE(38),
    [sym_for_statement] = STATE(38),
    [sym_return_statement] = STATE(38),
    [sym_break_statement] = STATE(38),
    [sym_continue_statement] = STATE(38),
    [sym_goto_statement] = STATE(38),
    [sym_seh_try_statement] = STATE(38),
    [sym_seh_leave_statement] = STATE(38),
    [sym__expression] = STATE(1479),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2606),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym__empty_declaration] = STATE(38),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_preproc_extension] = STATE(38),
    [sym_extension_storage_class] = STATE(719),
    [sym_layout_specification] = STATE(719),
    [aux_sym_preproc_if_repeat1] = STATE(38),
    [aux_sym_declaration_repeat1] = STATE(719),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(668),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(525),
    [aux_sym_preproc_include_token1] = ACTIONS(527),
    [aux_sym_preproc_def_token1] = ACTIONS(529),
    [aux_sym_preproc_if_token1] = ACTIONS(531),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(533),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(533),
    [sym_preproc_directive] = ACTIONS(535),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(537),
    [anon_sym_invariant] = ACTIONS(539),
    [anon_sym_precise] = ACTIONS(539),
    [anon_sym_SEMI] = ACTIONS(541),
    [anon_sym_in] = ACTIONS(543),
    [anon_sym_out] = ACTIONS(543),
    [anon_sym_inout] = ACTIONS(543),
    [anon_sym_uniform] = ACTIONS(543),
    [anon_sym_shared] = ACTIONS(543),
    [anon_sym_attribute] = ACTIONS(543),
    [anon_sym_varying] = ACTIONS(543),
    [anon_sym_buffer] = ACTIONS(543),
    [anon_sym_coherent] = ACTIONS(543),
    [anon_sym_readonly] = ACTIONS(543),
    [anon_sym_writeonly] = ACTIONS(543),
    [anon_sym_precision] = ACTIONS(543),
    [anon_sym_highp] = ACTIONS(543),
    [anon_sym_mediump] = ACTIONS(543),
    [anon_sym_lowp] = ACTIONS(543),
    [anon_sym_centroid] = ACTIONS(543),
    [anon_sym_sample] = ACTIONS(543),
    [anon_sym_patch] = ACTIONS(543),
    [anon_sym_smooth] = ACTIONS(543),
    [anon_sym_flat] = ACTIONS(543),
    [anon_sym_noperspective] = ACTIONS(543),
    [anon_sym___extension__] = ACTIONS(545),
    [anon_sym_typedef] = ACTIONS(547),
    [anon_sym_extern] = ACTIONS(549),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_RBRACE] = ACTIONS(591),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_switch] = ACTIONS(557),
    [anon_sym_case] = ACTIONS(559),
    [anon_sym_default] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [anon_sym_do] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(569),
    [anon_sym_break] = ACTIONS(571),
    [anon_sym_continue] = ACTIONS(573),
    [anon_sym_goto] = ACTIONS(575),
    [anon_sym___try] = ACTIONS(577),
    [anon_sym___leave] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [35] = {
    [sym_preproc_include] = STATE(34),
    [sym_preproc_def] = STATE(34),
    [sym_preproc_function_def] = STATE(34),
    [sym_preproc_call] = STATE(34),
    [sym_preproc_if] = STATE(34),
    [sym_preproc_ifdef] = STATE(34),
    [sym_function_definition] = STATE(34),
    [sym_declaration] = STATE(34),
    [sym_type_definition] = STATE(34),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1603),
    [sym_linkage_specification] = STATE(34),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_ms_call_modifier] = STATE(1173),
    [sym_compound_statement] = STATE(34),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1329),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(34),
    [sym_labeled_statement] = STATE(34),
    [sym_expression_statement] = STATE(34),
    [sym_if_statement] = STATE(34),
    [sym_switch_statement] = STATE(34),
    [sym_case_statement] = STATE(34),
    [sym_while_statement] = STATE(34),
    [sym_do_statement] = STATE(34),
    [sym_for_statement] = STATE(34),
    [sym_return_statement] = STATE(34),
    [sym_break_statement] = STATE(34),
    [sym_continue_statement] = STATE(34),
    [sym_goto_statement] = STATE(34),
    [sym_seh_try_statement] = STATE(34),
    [sym_seh_leave_statement] = STATE(34),
    [sym__expression] = STATE(1479),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2606),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym__empty_declaration] = STATE(34),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_preproc_extension] = STATE(34),
    [sym_extension_storage_class] = STATE(719),
    [sym_layout_specification] = STATE(719),
    [aux_sym_preproc_if_repeat1] = STATE(34),
    [aux_sym_declaration_repeat1] = STATE(719),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(668),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(525),
    [aux_sym_preproc_include_token1] = ACTIONS(527),
    [aux_sym_preproc_def_token1] = ACTIONS(529),
    [aux_sym_preproc_if_token1] = ACTIONS(531),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(533),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(533),
    [sym_preproc_directive] = ACTIONS(535),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(537),
    [anon_sym_invariant] = ACTIONS(539),
    [anon_sym_precise] = ACTIONS(539),
    [anon_sym_SEMI] = ACTIONS(541),
    [anon_sym_in] = ACTIONS(543),
    [anon_sym_out] = ACTIONS(543),
    [anon_sym_inout] = ACTIONS(543),
    [anon_sym_uniform] = ACTIONS(543),
    [anon_sym_shared] = ACTIONS(543),
    [anon_sym_attribute] = ACTIONS(543),
    [anon_sym_varying] = ACTIONS(543),
    [anon_sym_buffer] = ACTIONS(543),
    [anon_sym_coherent] = ACTIONS(543),
    [anon_sym_readonly] = ACTIONS(543),
    [anon_sym_writeonly] = ACTIONS(543),
    [anon_sym_precision] = ACTIONS(543),
    [anon_sym_highp] = ACTIONS(543),
    [anon_sym_mediump] = ACTIONS(543),
    [anon_sym_lowp] = ACTIONS(543),
    [anon_sym_centroid] = ACTIONS(543),
    [anon_sym_sample] = ACTIONS(543),
    [anon_sym_patch] = ACTIONS(543),
    [anon_sym_smooth] = ACTIONS(543),
    [anon_sym_flat] = ACTIONS(543),
    [anon_sym_noperspective] = ACTIONS(543),
    [anon_sym___extension__] = ACTIONS(545),
    [anon_sym_typedef] = ACTIONS(547),
    [anon_sym_extern] = ACTIONS(549),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_RBRACE] = ACTIONS(593),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_switch] = ACTIONS(557),
    [anon_sym_case] = ACTIONS(559),
    [anon_sym_default] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [anon_sym_do] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(569),
    [anon_sym_break] = ACTIONS(571),
    [anon_sym_continue] = ACTIONS(573),
    [anon_sym_goto] = ACTIONS(575),
    [anon_sym___try] = ACTIONS(577),
    [anon_sym___leave] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [36] = {
    [sym_preproc_include] = STATE(50),
    [sym_preproc_def] = STATE(50),
    [sym_preproc_function_def] = STATE(50),
    [sym_preproc_call] = STATE(50),
    [sym_preproc_if] = STATE(50),
    [sym_preproc_ifdef] = STATE(50),
    [sym_function_definition] = STATE(50),
    [sym_declaration] = STATE(50),
    [sym_type_definition] = STATE(50),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1603),
    [sym_linkage_specification] = STATE(50),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_ms_call_modifier] = STATE(1173),
    [sym_compound_statement] = STATE(50),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1329),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(50),
    [sym_labeled_statement] = STATE(50),
    [sym_expression_statement] = STATE(50),
    [sym_if_statement] = STATE(50),
    [sym_switch_statement] = STATE(50),
    [sym_case_statement] = STATE(50),
    [sym_while_statement] = STATE(50),
    [sym_do_statement] = STATE(50),
    [sym_for_statement] = STATE(50),
    [sym_return_statement] = STATE(50),
    [sym_break_statement] = STATE(50),
    [sym_continue_statement] = STATE(50),
    [sym_goto_statement] = STATE(50),
    [sym_seh_try_statement] = STATE(50),
    [sym_seh_leave_statement] = STATE(50),
    [sym__expression] = STATE(1479),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2606),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym__empty_declaration] = STATE(50),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_preproc_extension] = STATE(50),
    [sym_extension_storage_class] = STATE(719),
    [sym_layout_specification] = STATE(719),
    [aux_sym_preproc_if_repeat1] = STATE(50),
    [aux_sym_declaration_repeat1] = STATE(719),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(668),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(525),
    [aux_sym_preproc_include_token1] = ACTIONS(527),
    [aux_sym_preproc_def_token1] = ACTIONS(529),
    [aux_sym_preproc_if_token1] = ACTIONS(531),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(533),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(533),
    [sym_preproc_directive] = ACTIONS(535),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(537),
    [anon_sym_invariant] = ACTIONS(539),
    [anon_sym_precise] = ACTIONS(539),
    [anon_sym_SEMI] = ACTIONS(541),
    [anon_sym_in] = ACTIONS(543),
    [anon_sym_out] = ACTIONS(543),
    [anon_sym_inout] = ACTIONS(543),
    [anon_sym_uniform] = ACTIONS(543),
    [anon_sym_shared] = ACTIONS(543),
    [anon_sym_attribute] = ACTIONS(543),
    [anon_sym_varying] = ACTIONS(543),
    [anon_sym_buffer] = ACTIONS(543),
    [anon_sym_coherent] = ACTIONS(543),
    [anon_sym_readonly] = ACTIONS(543),
    [anon_sym_writeonly] = ACTIONS(543),
    [anon_sym_precision] = ACTIONS(543),
    [anon_sym_highp] = ACTIONS(543),
    [anon_sym_mediump] = ACTIONS(543),
    [anon_sym_lowp] = ACTIONS(543),
    [anon_sym_centroid] = ACTIONS(543),
    [anon_sym_sample] = ACTIONS(543),
    [anon_sym_patch] = ACTIONS(543),
    [anon_sym_smooth] = ACTIONS(543),
    [anon_sym_flat] = ACTIONS(543),
    [anon_sym_noperspective] = ACTIONS(543),
    [anon_sym___extension__] = ACTIONS(545),
    [anon_sym_typedef] = ACTIONS(547),
    [anon_sym_extern] = ACTIONS(549),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_RBRACE] = ACTIONS(595),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_switch] = ACTIONS(557),
    [anon_sym_case] = ACTIONS(559),
    [anon_sym_default] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [anon_sym_do] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(569),
    [anon_sym_break] = ACTIONS(571),
    [anon_sym_continue] = ACTIONS(573),
    [anon_sym_goto] = ACTIONS(575),
    [anon_sym___try] = ACTIONS(577),
    [anon_sym___leave] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [37] = {
    [sym_preproc_include] = STATE(48),
    [sym_preproc_def] = STATE(48),
    [sym_preproc_function_def] = STATE(48),
    [sym_preproc_call] = STATE(48),
    [sym_preproc_if] = STATE(48),
    [sym_preproc_ifdef] = STATE(48),
    [sym_function_definition] = STATE(48),
    [sym_declaration] = STATE(48),
    [sym_type_definition] = STATE(48),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1604),
    [sym_linkage_specification] = STATE(48),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_ms_call_modifier] = STATE(1156),
    [sym_compound_statement] = STATE(48),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1327),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(48),
    [sym_labeled_statement] = STATE(48),
    [sym_expression_statement] = STATE(48),
    [sym_if_statement] = STATE(48),
    [sym_switch_statement] = STATE(48),
    [sym_case_statement] = STATE(48),
    [sym_while_statement] = STATE(48),
    [sym_do_statement] = STATE(48),
    [sym_for_statement] = STATE(48),
    [sym_return_statement] = STATE(48),
    [sym_break_statement] = STATE(48),
    [sym_continue_statement] = STATE(48),
    [sym_goto_statement] = STATE(48),
    [sym_seh_try_statement] = STATE(48),
    [sym_seh_leave_statement] = STATE(48),
    [sym__expression] = STATE(1522),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2775),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym__empty_declaration] = STATE(48),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_preproc_extension] = STATE(48),
    [sym_extension_storage_class] = STATE(723),
    [sym_layout_specification] = STATE(723),
    [aux_sym_preproc_if_repeat1] = STATE(48),
    [aux_sym_declaration_repeat1] = STATE(723),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(662),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(597),
    [aux_sym_preproc_include_token1] = ACTIONS(599),
    [aux_sym_preproc_def_token1] = ACTIONS(601),
    [aux_sym_preproc_if_token1] = ACTIONS(603),
    [aux_sym_preproc_if_token2] = ACTIONS(605),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(607),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(607),
    [sym_preproc_directive] = ACTIONS(609),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(611),
    [anon_sym_invariant] = ACTIONS(613),
    [anon_sym_precise] = ACTIONS(613),
    [anon_sym_SEMI] = ACTIONS(615),
    [anon_sym_in] = ACTIONS(617),
    [anon_sym_out] = ACTIONS(617),
    [anon_sym_inout] = ACTIONS(617),
    [anon_sym_uniform] = ACTIONS(617),
    [anon_sym_shared] = ACTIONS(617),
    [anon_sym_attribute] = ACTIONS(617),
    [anon_sym_varying] = ACTIONS(617),
    [anon_sym_buffer] = ACTIONS(617),
    [anon_sym_coherent] = ACTIONS(617),
    [anon_sym_readonly] = ACTIONS(617),
    [anon_sym_writeonly] = ACTIONS(617),
    [anon_sym_precision] = ACTIONS(617),
    [anon_sym_highp] = ACTIONS(617),
    [anon_sym_mediump] = ACTIONS(617),
    [anon_sym_lowp] = ACTIONS(617),
    [anon_sym_centroid] = ACTIONS(617),
    [anon_sym_sample] = ACTIONS(617),
    [anon_sym_patch] = ACTIONS(617),
    [anon_sym_smooth] = ACTIONS(617),
    [anon_sym_flat] = ACTIONS(617),
    [anon_sym_noperspective] = ACTIONS(617),
    [anon_sym___extension__] = ACTIONS(619),
    [anon_sym_typedef] = ACTIONS(621),
    [anon_sym_extern] = ACTIONS(623),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(625),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(627),
    [anon_sym_switch] = ACTIONS(629),
    [anon_sym_case] = ACTIONS(631),
    [anon_sym_default] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_do] = ACTIONS(637),
    [anon_sym_for] = ACTIONS(639),
    [anon_sym_return] = ACTIONS(641),
    [anon_sym_break] = ACTIONS(643),
    [anon_sym_continue] = ACTIONS(645),
    [anon_sym_goto] = ACTIONS(647),
    [anon_sym___try] = ACTIONS(649),
    [anon_sym___leave] = ACTIONS(651),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [38] = {
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_function_definition] = STATE(38),
    [sym_declaration] = STATE(38),
    [sym_type_definition] = STATE(38),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1603),
    [sym_linkage_specification] = STATE(38),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_ms_call_modifier] = STATE(1173),
    [sym_compound_statement] = STATE(38),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1329),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(38),
    [sym_labeled_statement] = STATE(38),
    [sym_expression_statement] = STATE(38),
    [sym_if_statement] = STATE(38),
    [sym_switch_statement] = STATE(38),
    [sym_case_statement] = STATE(38),
    [sym_while_statement] = STATE(38),
    [sym_do_statement] = STATE(38),
    [sym_for_statement] = STATE(38),
    [sym_return_statement] = STATE(38),
    [sym_break_statement] = STATE(38),
    [sym_continue_statement] = STATE(38),
    [sym_goto_statement] = STATE(38),
    [sym_seh_try_statement] = STATE(38),
    [sym_seh_leave_statement] = STATE(38),
    [sym__expression] = STATE(1479),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2606),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym__empty_declaration] = STATE(38),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_preproc_extension] = STATE(38),
    [sym_extension_storage_class] = STATE(719),
    [sym_layout_specification] = STATE(719),
    [aux_sym_preproc_if_repeat1] = STATE(38),
    [aux_sym_declaration_repeat1] = STATE(719),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(668),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(653),
    [aux_sym_preproc_include_token1] = ACTIONS(656),
    [aux_sym_preproc_def_token1] = ACTIONS(659),
    [aux_sym_preproc_if_token1] = ACTIONS(662),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(665),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(665),
    [sym_preproc_directive] = ACTIONS(668),
    [anon_sym_LPAREN2] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(297),
    [anon_sym_PLUS] = ACTIONS(297),
    [anon_sym_STAR] = ACTIONS(300),
    [anon_sym_AMP] = ACTIONS(300),
    [anon_sym_subroutine] = ACTIONS(671),
    [anon_sym_invariant] = ACTIONS(674),
    [anon_sym_precise] = ACTIONS(674),
    [anon_sym_SEMI] = ACTIONS(677),
    [anon_sym_in] = ACTIONS(680),
    [anon_sym_out] = ACTIONS(680),
    [anon_sym_inout] = ACTIONS(680),
    [anon_sym_uniform] = ACTIONS(680),
    [anon_sym_shared] = ACTIONS(680),
    [anon_sym_attribute] = ACTIONS(680),
    [anon_sym_varying] = ACTIONS(680),
    [anon_sym_buffer] = ACTIONS(680),
    [anon_sym_coherent] = ACTIONS(680),
    [anon_sym_readonly] = ACTIONS(680),
    [anon_sym_writeonly] = ACTIONS(680),
    [anon_sym_precision] = ACTIONS(680),
    [anon_sym_highp] = ACTIONS(680),
    [anon_sym_mediump] = ACTIONS(680),
    [anon_sym_lowp] = ACTIONS(680),
    [anon_sym_centroid] = ACTIONS(680),
    [anon_sym_sample] = ACTIONS(680),
    [anon_sym_patch] = ACTIONS(680),
    [anon_sym_smooth] = ACTIONS(680),
    [anon_sym_flat] = ACTIONS(680),
    [anon_sym_noperspective] = ACTIONS(680),
    [anon_sym___extension__] = ACTIONS(683),
    [anon_sym_typedef] = ACTIONS(686),
    [anon_sym_extern] = ACTIONS(689),
    [anon_sym___attribute__] = ACTIONS(324),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(327),
    [anon_sym___declspec] = ACTIONS(330),
    [anon_sym___cdecl] = ACTIONS(333),
    [anon_sym___clrcall] = ACTIONS(333),
    [anon_sym___stdcall] = ACTIONS(333),
    [anon_sym___fastcall] = ACTIONS(333),
    [anon_sym___thiscall] = ACTIONS(333),
    [anon_sym___vectorcall] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(692),
    [anon_sym_RBRACE] = ACTIONS(695),
    [anon_sym_signed] = ACTIONS(339),
    [anon_sym_unsigned] = ACTIONS(339),
    [anon_sym_long] = ACTIONS(339),
    [anon_sym_short] = ACTIONS(339),
    [anon_sym_static] = ACTIONS(342),
    [anon_sym_auto] = ACTIONS(342),
    [anon_sym_register] = ACTIONS(342),
    [anon_sym_inline] = ACTIONS(342),
    [anon_sym___inline] = ACTIONS(342),
    [anon_sym___inline__] = ACTIONS(342),
    [anon_sym___forceinline] = ACTIONS(342),
    [anon_sym_thread_local] = ACTIONS(342),
    [anon_sym___thread] = ACTIONS(342),
    [anon_sym_const] = ACTIONS(345),
    [anon_sym_constexpr] = ACTIONS(345),
    [anon_sym_volatile] = ACTIONS(345),
    [anon_sym_restrict] = ACTIONS(345),
    [anon_sym___restrict__] = ACTIONS(345),
    [anon_sym__Atomic] = ACTIONS(345),
    [anon_sym__Noreturn] = ACTIONS(345),
    [anon_sym_noreturn] = ACTIONS(345),
    [sym_primitive_type] = ACTIONS(348),
    [anon_sym_enum] = ACTIONS(351),
    [anon_sym_struct] = ACTIONS(354),
    [anon_sym_union] = ACTIONS(357),
    [anon_sym_if] = ACTIONS(697),
    [anon_sym_switch] = ACTIONS(700),
    [anon_sym_case] = ACTIONS(703),
    [anon_sym_default] = ACTIONS(706),
    [anon_sym_while] = ACTIONS(709),
    [anon_sym_do] = ACTIONS(712),
    [anon_sym_for] = ACTIONS(715),
    [anon_sym_return] = ACTIONS(718),
    [anon_sym_break] = ACTIONS(721),
    [anon_sym_continue] = ACTIONS(724),
    [anon_sym_goto] = ACTIONS(727),
    [anon_sym___try] = ACTIONS(730),
    [anon_sym___leave] = ACTIONS(733),
    [anon_sym_DASH_DASH] = ACTIONS(399),
    [anon_sym_PLUS_PLUS] = ACTIONS(399),
    [anon_sym_sizeof] = ACTIONS(402),
    [anon_sym___alignof__] = ACTIONS(405),
    [anon_sym___alignof] = ACTIONS(405),
    [anon_sym__alignof] = ACTIONS(405),
    [anon_sym_alignof] = ACTIONS(405),
    [anon_sym__Alignof] = ACTIONS(405),
    [anon_sym_offsetof] = ACTIONS(408),
    [anon_sym__Generic] = ACTIONS(411),
    [anon_sym_asm] = ACTIONS(414),
    [anon_sym___asm__] = ACTIONS(414),
    [sym_number_literal] = ACTIONS(417),
    [anon_sym_L_SQUOTE] = ACTIONS(420),
    [anon_sym_u_SQUOTE] = ACTIONS(420),
    [anon_sym_U_SQUOTE] = ACTIONS(420),
    [anon_sym_u8_SQUOTE] = ACTIONS(420),
    [anon_sym_SQUOTE] = ACTIONS(420),
    [anon_sym_L_DQUOTE] = ACTIONS(423),
    [anon_sym_u_DQUOTE] = ACTIONS(423),
    [anon_sym_U_DQUOTE] = ACTIONS(423),
    [anon_sym_u8_DQUOTE] = ACTIONS(423),
    [anon_sym_DQUOTE] = ACTIONS(423),
    [sym_true] = ACTIONS(426),
    [sym_false] = ACTIONS(426),
    [anon_sym_NULL] = ACTIONS(429),
    [anon_sym_nullptr] = ACTIONS(429),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(432),
    [anon_sym_rayPayloadInEXT] = ACTIONS(432),
    [anon_sym_hitAttributeEXT] = ACTIONS(432),
    [anon_sym_callableDataEXT] = ACTIONS(432),
    [anon_sym_callableDataInEXT] = ACTIONS(432),
    [anon_sym_shaderRecordEXT] = ACTIONS(432),
    [anon_sym_rayPayloadNV] = ACTIONS(432),
    [anon_sym_rayPayloadInNV] = ACTIONS(432),
    [anon_sym_hitAttributeNV] = ACTIONS(432),
    [anon_sym_callableDataNV] = ACTIONS(432),
    [anon_sym_callableDataInNV] = ACTIONS(432),
    [anon_sym_shaderRecordNV] = ACTIONS(432),
    [anon_sym_layout] = ACTIONS(435),
  },
  [39] = {
    [sym_preproc_include] = STATE(39),
    [sym_preproc_def] = STATE(39),
    [sym_preproc_function_def] = STATE(39),
    [sym_preproc_call] = STATE(39),
    [sym_preproc_if] = STATE(39),
    [sym_preproc_ifdef] = STATE(39),
    [sym_function_definition] = STATE(39),
    [sym_declaration] = STATE(39),
    [sym_type_definition] = STATE(39),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1604),
    [sym_linkage_specification] = STATE(39),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_ms_call_modifier] = STATE(1156),
    [sym_compound_statement] = STATE(39),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1327),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(39),
    [sym_labeled_statement] = STATE(39),
    [sym_expression_statement] = STATE(39),
    [sym_if_statement] = STATE(39),
    [sym_switch_statement] = STATE(39),
    [sym_case_statement] = STATE(39),
    [sym_while_statement] = STATE(39),
    [sym_do_statement] = STATE(39),
    [sym_for_statement] = STATE(39),
    [sym_return_statement] = STATE(39),
    [sym_break_statement] = STATE(39),
    [sym_continue_statement] = STATE(39),
    [sym_goto_statement] = STATE(39),
    [sym_seh_try_statement] = STATE(39),
    [sym_seh_leave_statement] = STATE(39),
    [sym__expression] = STATE(1522),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2775),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym__empty_declaration] = STATE(39),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_preproc_extension] = STATE(39),
    [sym_extension_storage_class] = STATE(723),
    [sym_layout_specification] = STATE(723),
    [aux_sym_preproc_if_repeat1] = STATE(39),
    [aux_sym_declaration_repeat1] = STATE(723),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(662),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(736),
    [aux_sym_preproc_include_token1] = ACTIONS(739),
    [aux_sym_preproc_def_token1] = ACTIONS(742),
    [aux_sym_preproc_if_token1] = ACTIONS(745),
    [aux_sym_preproc_if_token2] = ACTIONS(283),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(748),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(748),
    [sym_preproc_directive] = ACTIONS(751),
    [anon_sym_LPAREN2] = ACTIONS(291),
    [anon_sym_BANG] = ACTIONS(294),
    [anon_sym_TILDE] = ACTIONS(294),
    [anon_sym_DASH] = ACTIONS(297),
    [anon_sym_PLUS] = ACTIONS(297),
    [anon_sym_STAR] = ACTIONS(300),
    [anon_sym_AMP] = ACTIONS(300),
    [anon_sym_subroutine] = ACTIONS(754),
    [anon_sym_invariant] = ACTIONS(757),
    [anon_sym_precise] = ACTIONS(757),
    [anon_sym_SEMI] = ACTIONS(760),
    [anon_sym_in] = ACTIONS(763),
    [anon_sym_out] = ACTIONS(763),
    [anon_sym_inout] = ACTIONS(763),
    [anon_sym_uniform] = ACTIONS(763),
    [anon_sym_shared] = ACTIONS(763),
    [anon_sym_attribute] = ACTIONS(763),
    [anon_sym_varying] = ACTIONS(763),
    [anon_sym_buffer] = ACTIONS(763),
    [anon_sym_coherent] = ACTIONS(763),
    [anon_sym_readonly] = ACTIONS(763),
    [anon_sym_writeonly] = ACTIONS(763),
    [anon_sym_precision] = ACTIONS(763),
    [anon_sym_highp] = ACTIONS(763),
    [anon_sym_mediump] = ACTIONS(763),
    [anon_sym_lowp] = ACTIONS(763),
    [anon_sym_centroid] = ACTIONS(763),
    [anon_sym_sample] = ACTIONS(763),
    [anon_sym_patch] = ACTIONS(763),
    [anon_sym_smooth] = ACTIONS(763),
    [anon_sym_flat] = ACTIONS(763),
    [anon_sym_noperspective] = ACTIONS(763),
    [anon_sym___extension__] = ACTIONS(766),
    [anon_sym_typedef] = ACTIONS(769),
    [anon_sym_extern] = ACTIONS(772),
    [anon_sym___attribute__] = ACTIONS(324),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(327),
    [anon_sym___declspec] = ACTIONS(330),
    [anon_sym___cdecl] = ACTIONS(333),
    [anon_sym___clrcall] = ACTIONS(333),
    [anon_sym___stdcall] = ACTIONS(333),
    [anon_sym___fastcall] = ACTIONS(333),
    [anon_sym___thiscall] = ACTIONS(333),
    [anon_sym___vectorcall] = ACTIONS(333),
    [anon_sym_LBRACE] = ACTIONS(775),
    [anon_sym_signed] = ACTIONS(339),
    [anon_sym_unsigned] = ACTIONS(339),
    [anon_sym_long] = ACTIONS(339),
    [anon_sym_short] = ACTIONS(339),
    [anon_sym_static] = ACTIONS(342),
    [anon_sym_auto] = ACTIONS(342),
    [anon_sym_register] = ACTIONS(342),
    [anon_sym_inline] = ACTIONS(342),
    [anon_sym___inline] = ACTIONS(342),
    [anon_sym___inline__] = ACTIONS(342),
    [anon_sym___forceinline] = ACTIONS(342),
    [anon_sym_thread_local] = ACTIONS(342),
    [anon_sym___thread] = ACTIONS(342),
    [anon_sym_const] = ACTIONS(345),
    [anon_sym_constexpr] = ACTIONS(345),
    [anon_sym_volatile] = ACTIONS(345),
    [anon_sym_restrict] = ACTIONS(345),
    [anon_sym___restrict__] = ACTIONS(345),
    [anon_sym__Atomic] = ACTIONS(345),
    [anon_sym__Noreturn] = ACTIONS(345),
    [anon_sym_noreturn] = ACTIONS(345),
    [sym_primitive_type] = ACTIONS(348),
    [anon_sym_enum] = ACTIONS(351),
    [anon_sym_struct] = ACTIONS(354),
    [anon_sym_union] = ACTIONS(357),
    [anon_sym_if] = ACTIONS(778),
    [anon_sym_switch] = ACTIONS(781),
    [anon_sym_case] = ACTIONS(784),
    [anon_sym_default] = ACTIONS(787),
    [anon_sym_while] = ACTIONS(790),
    [anon_sym_do] = ACTIONS(793),
    [anon_sym_for] = ACTIONS(796),
    [anon_sym_return] = ACTIONS(799),
    [anon_sym_break] = ACTIONS(802),
    [anon_sym_continue] = ACTIONS(805),
    [anon_sym_goto] = ACTIONS(808),
    [anon_sym___try] = ACTIONS(811),
    [anon_sym___leave] = ACTIONS(814),
    [anon_sym_DASH_DASH] = ACTIONS(399),
    [anon_sym_PLUS_PLUS] = ACTIONS(399),
    [anon_sym_sizeof] = ACTIONS(402),
    [anon_sym___alignof__] = ACTIONS(405),
    [anon_sym___alignof] = ACTIONS(405),
    [anon_sym__alignof] = ACTIONS(405),
    [anon_sym_alignof] = ACTIONS(405),
    [anon_sym__Alignof] = ACTIONS(405),
    [anon_sym_offsetof] = ACTIONS(408),
    [anon_sym__Generic] = ACTIONS(411),
    [anon_sym_asm] = ACTIONS(414),
    [anon_sym___asm__] = ACTIONS(414),
    [sym_number_literal] = ACTIONS(417),
    [anon_sym_L_SQUOTE] = ACTIONS(420),
    [anon_sym_u_SQUOTE] = ACTIONS(420),
    [anon_sym_U_SQUOTE] = ACTIONS(420),
    [anon_sym_u8_SQUOTE] = ACTIONS(420),
    [anon_sym_SQUOTE] = ACTIONS(420),
    [anon_sym_L_DQUOTE] = ACTIONS(423),
    [anon_sym_u_DQUOTE] = ACTIONS(423),
    [anon_sym_U_DQUOTE] = ACTIONS(423),
    [anon_sym_u8_DQUOTE] = ACTIONS(423),
    [anon_sym_DQUOTE] = ACTIONS(423),
    [sym_true] = ACTIONS(426),
    [sym_false] = ACTIONS(426),
    [anon_sym_NULL] = ACTIONS(429),
    [anon_sym_nullptr] = ACTIONS(429),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(432),
    [anon_sym_rayPayloadInEXT] = ACTIONS(432),
    [anon_sym_hitAttributeEXT] = ACTIONS(432),
    [anon_sym_callableDataEXT] = ACTIONS(432),
    [anon_sym_callableDataInEXT] = ACTIONS(432),
    [anon_sym_shaderRecordEXT] = ACTIONS(432),
    [anon_sym_rayPayloadNV] = ACTIONS(432),
    [anon_sym_rayPayloadInNV] = ACTIONS(432),
    [anon_sym_hitAttributeNV] = ACTIONS(432),
    [anon_sym_callableDataNV] = ACTIONS(432),
    [anon_sym_callableDataInNV] = ACTIONS(432),
    [anon_sym_shaderRecordNV] = ACTIONS(432),
    [anon_sym_layout] = ACTIONS(435),
  },
  [40] = {
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_function_definition] = STATE(38),
    [sym_declaration] = STATE(38),
    [sym_type_definition] = STATE(38),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1603),
    [sym_linkage_specification] = STATE(38),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_ms_call_modifier] = STATE(1173),
    [sym_compound_statement] = STATE(38),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1329),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(38),
    [sym_labeled_statement] = STATE(38),
    [sym_expression_statement] = STATE(38),
    [sym_if_statement] = STATE(38),
    [sym_switch_statement] = STATE(38),
    [sym_case_statement] = STATE(38),
    [sym_while_statement] = STATE(38),
    [sym_do_statement] = STATE(38),
    [sym_for_statement] = STATE(38),
    [sym_return_statement] = STATE(38),
    [sym_break_statement] = STATE(38),
    [sym_continue_statement] = STATE(38),
    [sym_goto_statement] = STATE(38),
    [sym_seh_try_statement] = STATE(38),
    [sym_seh_leave_statement] = STATE(38),
    [sym__expression] = STATE(1479),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2606),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym__empty_declaration] = STATE(38),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_preproc_extension] = STATE(38),
    [sym_extension_storage_class] = STATE(719),
    [sym_layout_specification] = STATE(719),
    [aux_sym_preproc_if_repeat1] = STATE(38),
    [aux_sym_declaration_repeat1] = STATE(719),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(668),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(525),
    [aux_sym_preproc_include_token1] = ACTIONS(527),
    [aux_sym_preproc_def_token1] = ACTIONS(529),
    [aux_sym_preproc_if_token1] = ACTIONS(531),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(533),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(533),
    [sym_preproc_directive] = ACTIONS(535),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(537),
    [anon_sym_invariant] = ACTIONS(539),
    [anon_sym_precise] = ACTIONS(539),
    [anon_sym_SEMI] = ACTIONS(541),
    [anon_sym_in] = ACTIONS(543),
    [anon_sym_out] = ACTIONS(543),
    [anon_sym_inout] = ACTIONS(543),
    [anon_sym_uniform] = ACTIONS(543),
    [anon_sym_shared] = ACTIONS(543),
    [anon_sym_attribute] = ACTIONS(543),
    [anon_sym_varying] = ACTIONS(543),
    [anon_sym_buffer] = ACTIONS(543),
    [anon_sym_coherent] = ACTIONS(543),
    [anon_sym_readonly] = ACTIONS(543),
    [anon_sym_writeonly] = ACTIONS(543),
    [anon_sym_precision] = ACTIONS(543),
    [anon_sym_highp] = ACTIONS(543),
    [anon_sym_mediump] = ACTIONS(543),
    [anon_sym_lowp] = ACTIONS(543),
    [anon_sym_centroid] = ACTIONS(543),
    [anon_sym_sample] = ACTIONS(543),
    [anon_sym_patch] = ACTIONS(543),
    [anon_sym_smooth] = ACTIONS(543),
    [anon_sym_flat] = ACTIONS(543),
    [anon_sym_noperspective] = ACTIONS(543),
    [anon_sym___extension__] = ACTIONS(545),
    [anon_sym_typedef] = ACTIONS(547),
    [anon_sym_extern] = ACTIONS(549),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_RBRACE] = ACTIONS(817),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_switch] = ACTIONS(557),
    [anon_sym_case] = ACTIONS(559),
    [anon_sym_default] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [anon_sym_do] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(569),
    [anon_sym_break] = ACTIONS(571),
    [anon_sym_continue] = ACTIONS(573),
    [anon_sym_goto] = ACTIONS(575),
    [anon_sym___try] = ACTIONS(577),
    [anon_sym___leave] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [41] = {
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_function_definition] = STATE(38),
    [sym_declaration] = STATE(38),
    [sym_type_definition] = STATE(38),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1603),
    [sym_linkage_specification] = STATE(38),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_ms_call_modifier] = STATE(1173),
    [sym_compound_statement] = STATE(38),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1329),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(38),
    [sym_labeled_statement] = STATE(38),
    [sym_expression_statement] = STATE(38),
    [sym_if_statement] = STATE(38),
    [sym_switch_statement] = STATE(38),
    [sym_case_statement] = STATE(38),
    [sym_while_statement] = STATE(38),
    [sym_do_statement] = STATE(38),
    [sym_for_statement] = STATE(38),
    [sym_return_statement] = STATE(38),
    [sym_break_statement] = STATE(38),
    [sym_continue_statement] = STATE(38),
    [sym_goto_statement] = STATE(38),
    [sym_seh_try_statement] = STATE(38),
    [sym_seh_leave_statement] = STATE(38),
    [sym__expression] = STATE(1479),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2606),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym__empty_declaration] = STATE(38),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_preproc_extension] = STATE(38),
    [sym_extension_storage_class] = STATE(719),
    [sym_layout_specification] = STATE(719),
    [aux_sym_preproc_if_repeat1] = STATE(38),
    [aux_sym_declaration_repeat1] = STATE(719),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(668),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(525),
    [aux_sym_preproc_include_token1] = ACTIONS(527),
    [aux_sym_preproc_def_token1] = ACTIONS(529),
    [aux_sym_preproc_if_token1] = ACTIONS(531),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(533),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(533),
    [sym_preproc_directive] = ACTIONS(535),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(537),
    [anon_sym_invariant] = ACTIONS(539),
    [anon_sym_precise] = ACTIONS(539),
    [anon_sym_SEMI] = ACTIONS(541),
    [anon_sym_in] = ACTIONS(543),
    [anon_sym_out] = ACTIONS(543),
    [anon_sym_inout] = ACTIONS(543),
    [anon_sym_uniform] = ACTIONS(543),
    [anon_sym_shared] = ACTIONS(543),
    [anon_sym_attribute] = ACTIONS(543),
    [anon_sym_varying] = ACTIONS(543),
    [anon_sym_buffer] = ACTIONS(543),
    [anon_sym_coherent] = ACTIONS(543),
    [anon_sym_readonly] = ACTIONS(543),
    [anon_sym_writeonly] = ACTIONS(543),
    [anon_sym_precision] = ACTIONS(543),
    [anon_sym_highp] = ACTIONS(543),
    [anon_sym_mediump] = ACTIONS(543),
    [anon_sym_lowp] = ACTIONS(543),
    [anon_sym_centroid] = ACTIONS(543),
    [anon_sym_sample] = ACTIONS(543),
    [anon_sym_patch] = ACTIONS(543),
    [anon_sym_smooth] = ACTIONS(543),
    [anon_sym_flat] = ACTIONS(543),
    [anon_sym_noperspective] = ACTIONS(543),
    [anon_sym___extension__] = ACTIONS(545),
    [anon_sym_typedef] = ACTIONS(547),
    [anon_sym_extern] = ACTIONS(549),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_RBRACE] = ACTIONS(819),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_switch] = ACTIONS(557),
    [anon_sym_case] = ACTIONS(559),
    [anon_sym_default] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [anon_sym_do] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(569),
    [anon_sym_break] = ACTIONS(571),
    [anon_sym_continue] = ACTIONS(573),
    [anon_sym_goto] = ACTIONS(575),
    [anon_sym___try] = ACTIONS(577),
    [anon_sym___leave] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [42] = {
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1603),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_ms_call_modifier] = STATE(1173),
    [sym_compound_statement] = STATE(41),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1329),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(41),
    [sym_labeled_statement] = STATE(41),
    [sym_expression_statement] = STATE(41),
    [sym_if_statement] = STATE(41),
    [sym_switch_statement] = STATE(41),
    [sym_case_statement] = STATE(41),
    [sym_while_statement] = STATE(41),
    [sym_do_statement] = STATE(41),
    [sym_for_statement] = STATE(41),
    [sym_return_statement] = STATE(41),
    [sym_break_statement] = STATE(41),
    [sym_continue_statement] = STATE(41),
    [sym_goto_statement] = STATE(41),
    [sym_seh_try_statement] = STATE(41),
    [sym_seh_leave_statement] = STATE(41),
    [sym__expression] = STATE(1479),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2606),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym__empty_declaration] = STATE(41),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_preproc_extension] = STATE(41),
    [sym_extension_storage_class] = STATE(719),
    [sym_layout_specification] = STATE(719),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym_declaration_repeat1] = STATE(719),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(668),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(525),
    [aux_sym_preproc_include_token1] = ACTIONS(527),
    [aux_sym_preproc_def_token1] = ACTIONS(529),
    [aux_sym_preproc_if_token1] = ACTIONS(531),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(533),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(533),
    [sym_preproc_directive] = ACTIONS(535),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(537),
    [anon_sym_invariant] = ACTIONS(539),
    [anon_sym_precise] = ACTIONS(539),
    [anon_sym_SEMI] = ACTIONS(541),
    [anon_sym_in] = ACTIONS(543),
    [anon_sym_out] = ACTIONS(543),
    [anon_sym_inout] = ACTIONS(543),
    [anon_sym_uniform] = ACTIONS(543),
    [anon_sym_shared] = ACTIONS(543),
    [anon_sym_attribute] = ACTIONS(543),
    [anon_sym_varying] = ACTIONS(543),
    [anon_sym_buffer] = ACTIONS(543),
    [anon_sym_coherent] = ACTIONS(543),
    [anon_sym_readonly] = ACTIONS(543),
    [anon_sym_writeonly] = ACTIONS(543),
    [anon_sym_precision] = ACTIONS(543),
    [anon_sym_highp] = ACTIONS(543),
    [anon_sym_mediump] = ACTIONS(543),
    [anon_sym_lowp] = ACTIONS(543),
    [anon_sym_centroid] = ACTIONS(543),
    [anon_sym_sample] = ACTIONS(543),
    [anon_sym_patch] = ACTIONS(543),
    [anon_sym_smooth] = ACTIONS(543),
    [anon_sym_flat] = ACTIONS(543),
    [anon_sym_noperspective] = ACTIONS(543),
    [anon_sym___extension__] = ACTIONS(545),
    [anon_sym_typedef] = ACTIONS(547),
    [anon_sym_extern] = ACTIONS(549),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_RBRACE] = ACTIONS(821),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_switch] = ACTIONS(557),
    [anon_sym_case] = ACTIONS(559),
    [anon_sym_default] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [anon_sym_do] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(569),
    [anon_sym_break] = ACTIONS(571),
    [anon_sym_continue] = ACTIONS(573),
    [anon_sym_goto] = ACTIONS(575),
    [anon_sym___try] = ACTIONS(577),
    [anon_sym___leave] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [43] = {
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_function_definition] = STATE(38),
    [sym_declaration] = STATE(38),
    [sym_type_definition] = STATE(38),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1603),
    [sym_linkage_specification] = STATE(38),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_ms_call_modifier] = STATE(1173),
    [sym_compound_statement] = STATE(38),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1329),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(38),
    [sym_labeled_statement] = STATE(38),
    [sym_expression_statement] = STATE(38),
    [sym_if_statement] = STATE(38),
    [sym_switch_statement] = STATE(38),
    [sym_case_statement] = STATE(38),
    [sym_while_statement] = STATE(38),
    [sym_do_statement] = STATE(38),
    [sym_for_statement] = STATE(38),
    [sym_return_statement] = STATE(38),
    [sym_break_statement] = STATE(38),
    [sym_continue_statement] = STATE(38),
    [sym_goto_statement] = STATE(38),
    [sym_seh_try_statement] = STATE(38),
    [sym_seh_leave_statement] = STATE(38),
    [sym__expression] = STATE(1479),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2606),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym__empty_declaration] = STATE(38),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_preproc_extension] = STATE(38),
    [sym_extension_storage_class] = STATE(719),
    [sym_layout_specification] = STATE(719),
    [aux_sym_preproc_if_repeat1] = STATE(38),
    [aux_sym_declaration_repeat1] = STATE(719),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(668),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(525),
    [aux_sym_preproc_include_token1] = ACTIONS(527),
    [aux_sym_preproc_def_token1] = ACTIONS(529),
    [aux_sym_preproc_if_token1] = ACTIONS(531),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(533),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(533),
    [sym_preproc_directive] = ACTIONS(535),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(537),
    [anon_sym_invariant] = ACTIONS(539),
    [anon_sym_precise] = ACTIONS(539),
    [anon_sym_SEMI] = ACTIONS(541),
    [anon_sym_in] = ACTIONS(543),
    [anon_sym_out] = ACTIONS(543),
    [anon_sym_inout] = ACTIONS(543),
    [anon_sym_uniform] = ACTIONS(543),
    [anon_sym_shared] = ACTIONS(543),
    [anon_sym_attribute] = ACTIONS(543),
    [anon_sym_varying] = ACTIONS(543),
    [anon_sym_buffer] = ACTIONS(543),
    [anon_sym_coherent] = ACTIONS(543),
    [anon_sym_readonly] = ACTIONS(543),
    [anon_sym_writeonly] = ACTIONS(543),
    [anon_sym_precision] = ACTIONS(543),
    [anon_sym_highp] = ACTIONS(543),
    [anon_sym_mediump] = ACTIONS(543),
    [anon_sym_lowp] = ACTIONS(543),
    [anon_sym_centroid] = ACTIONS(543),
    [anon_sym_sample] = ACTIONS(543),
    [anon_sym_patch] = ACTIONS(543),
    [anon_sym_smooth] = ACTIONS(543),
    [anon_sym_flat] = ACTIONS(543),
    [anon_sym_noperspective] = ACTIONS(543),
    [anon_sym___extension__] = ACTIONS(545),
    [anon_sym_typedef] = ACTIONS(547),
    [anon_sym_extern] = ACTIONS(549),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_RBRACE] = ACTIONS(823),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_switch] = ACTIONS(557),
    [anon_sym_case] = ACTIONS(559),
    [anon_sym_default] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [anon_sym_do] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(569),
    [anon_sym_break] = ACTIONS(571),
    [anon_sym_continue] = ACTIONS(573),
    [anon_sym_goto] = ACTIONS(575),
    [anon_sym___try] = ACTIONS(577),
    [anon_sym___leave] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [44] = {
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_function_definition] = STATE(38),
    [sym_declaration] = STATE(38),
    [sym_type_definition] = STATE(38),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1603),
    [sym_linkage_specification] = STATE(38),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_ms_call_modifier] = STATE(1173),
    [sym_compound_statement] = STATE(38),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1329),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(38),
    [sym_labeled_statement] = STATE(38),
    [sym_expression_statement] = STATE(38),
    [sym_if_statement] = STATE(38),
    [sym_switch_statement] = STATE(38),
    [sym_case_statement] = STATE(38),
    [sym_while_statement] = STATE(38),
    [sym_do_statement] = STATE(38),
    [sym_for_statement] = STATE(38),
    [sym_return_statement] = STATE(38),
    [sym_break_statement] = STATE(38),
    [sym_continue_statement] = STATE(38),
    [sym_goto_statement] = STATE(38),
    [sym_seh_try_statement] = STATE(38),
    [sym_seh_leave_statement] = STATE(38),
    [sym__expression] = STATE(1479),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2606),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym__empty_declaration] = STATE(38),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_preproc_extension] = STATE(38),
    [sym_extension_storage_class] = STATE(719),
    [sym_layout_specification] = STATE(719),
    [aux_sym_preproc_if_repeat1] = STATE(38),
    [aux_sym_declaration_repeat1] = STATE(719),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(668),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(525),
    [aux_sym_preproc_include_token1] = ACTIONS(527),
    [aux_sym_preproc_def_token1] = ACTIONS(529),
    [aux_sym_preproc_if_token1] = ACTIONS(531),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(533),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(533),
    [sym_preproc_directive] = ACTIONS(535),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(537),
    [anon_sym_invariant] = ACTIONS(539),
    [anon_sym_precise] = ACTIONS(539),
    [anon_sym_SEMI] = ACTIONS(541),
    [anon_sym_in] = ACTIONS(543),
    [anon_sym_out] = ACTIONS(543),
    [anon_sym_inout] = ACTIONS(543),
    [anon_sym_uniform] = ACTIONS(543),
    [anon_sym_shared] = ACTIONS(543),
    [anon_sym_attribute] = ACTIONS(543),
    [anon_sym_varying] = ACTIONS(543),
    [anon_sym_buffer] = ACTIONS(543),
    [anon_sym_coherent] = ACTIONS(543),
    [anon_sym_readonly] = ACTIONS(543),
    [anon_sym_writeonly] = ACTIONS(543),
    [anon_sym_precision] = ACTIONS(543),
    [anon_sym_highp] = ACTIONS(543),
    [anon_sym_mediump] = ACTIONS(543),
    [anon_sym_lowp] = ACTIONS(543),
    [anon_sym_centroid] = ACTIONS(543),
    [anon_sym_sample] = ACTIONS(543),
    [anon_sym_patch] = ACTIONS(543),
    [anon_sym_smooth] = ACTIONS(543),
    [anon_sym_flat] = ACTIONS(543),
    [anon_sym_noperspective] = ACTIONS(543),
    [anon_sym___extension__] = ACTIONS(545),
    [anon_sym_typedef] = ACTIONS(547),
    [anon_sym_extern] = ACTIONS(549),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_RBRACE] = ACTIONS(825),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_switch] = ACTIONS(557),
    [anon_sym_case] = ACTIONS(559),
    [anon_sym_default] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [anon_sym_do] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(569),
    [anon_sym_break] = ACTIONS(571),
    [anon_sym_continue] = ACTIONS(573),
    [anon_sym_goto] = ACTIONS(575),
    [anon_sym___try] = ACTIONS(577),
    [anon_sym___leave] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [45] = {
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym_declaration] = STATE(46),
    [sym_type_definition] = STATE(46),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1603),
    [sym_linkage_specification] = STATE(46),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_ms_call_modifier] = STATE(1173),
    [sym_compound_statement] = STATE(46),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1329),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(46),
    [sym_labeled_statement] = STATE(46),
    [sym_expression_statement] = STATE(46),
    [sym_if_statement] = STATE(46),
    [sym_switch_statement] = STATE(46),
    [sym_case_statement] = STATE(46),
    [sym_while_statement] = STATE(46),
    [sym_do_statement] = STATE(46),
    [sym_for_statement] = STATE(46),
    [sym_return_statement] = STATE(46),
    [sym_break_statement] = STATE(46),
    [sym_continue_statement] = STATE(46),
    [sym_goto_statement] = STATE(46),
    [sym_seh_try_statement] = STATE(46),
    [sym_seh_leave_statement] = STATE(46),
    [sym__expression] = STATE(1479),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2606),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym__empty_declaration] = STATE(46),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_preproc_extension] = STATE(46),
    [sym_extension_storage_class] = STATE(719),
    [sym_layout_specification] = STATE(719),
    [aux_sym_preproc_if_repeat1] = STATE(46),
    [aux_sym_declaration_repeat1] = STATE(719),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(668),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(525),
    [aux_sym_preproc_include_token1] = ACTIONS(527),
    [aux_sym_preproc_def_token1] = ACTIONS(529),
    [aux_sym_preproc_if_token1] = ACTIONS(531),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(533),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(533),
    [sym_preproc_directive] = ACTIONS(535),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(537),
    [anon_sym_invariant] = ACTIONS(539),
    [anon_sym_precise] = ACTIONS(539),
    [anon_sym_SEMI] = ACTIONS(541),
    [anon_sym_in] = ACTIONS(543),
    [anon_sym_out] = ACTIONS(543),
    [anon_sym_inout] = ACTIONS(543),
    [anon_sym_uniform] = ACTIONS(543),
    [anon_sym_shared] = ACTIONS(543),
    [anon_sym_attribute] = ACTIONS(543),
    [anon_sym_varying] = ACTIONS(543),
    [anon_sym_buffer] = ACTIONS(543),
    [anon_sym_coherent] = ACTIONS(543),
    [anon_sym_readonly] = ACTIONS(543),
    [anon_sym_writeonly] = ACTIONS(543),
    [anon_sym_precision] = ACTIONS(543),
    [anon_sym_highp] = ACTIONS(543),
    [anon_sym_mediump] = ACTIONS(543),
    [anon_sym_lowp] = ACTIONS(543),
    [anon_sym_centroid] = ACTIONS(543),
    [anon_sym_sample] = ACTIONS(543),
    [anon_sym_patch] = ACTIONS(543),
    [anon_sym_smooth] = ACTIONS(543),
    [anon_sym_flat] = ACTIONS(543),
    [anon_sym_noperspective] = ACTIONS(543),
    [anon_sym___extension__] = ACTIONS(545),
    [anon_sym_typedef] = ACTIONS(547),
    [anon_sym_extern] = ACTIONS(549),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_RBRACE] = ACTIONS(827),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_switch] = ACTIONS(557),
    [anon_sym_case] = ACTIONS(559),
    [anon_sym_default] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [anon_sym_do] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(569),
    [anon_sym_break] = ACTIONS(571),
    [anon_sym_continue] = ACTIONS(573),
    [anon_sym_goto] = ACTIONS(575),
    [anon_sym___try] = ACTIONS(577),
    [anon_sym___leave] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [46] = {
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_function_definition] = STATE(38),
    [sym_declaration] = STATE(38),
    [sym_type_definition] = STATE(38),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1603),
    [sym_linkage_specification] = STATE(38),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_ms_call_modifier] = STATE(1173),
    [sym_compound_statement] = STATE(38),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1329),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(38),
    [sym_labeled_statement] = STATE(38),
    [sym_expression_statement] = STATE(38),
    [sym_if_statement] = STATE(38),
    [sym_switch_statement] = STATE(38),
    [sym_case_statement] = STATE(38),
    [sym_while_statement] = STATE(38),
    [sym_do_statement] = STATE(38),
    [sym_for_statement] = STATE(38),
    [sym_return_statement] = STATE(38),
    [sym_break_statement] = STATE(38),
    [sym_continue_statement] = STATE(38),
    [sym_goto_statement] = STATE(38),
    [sym_seh_try_statement] = STATE(38),
    [sym_seh_leave_statement] = STATE(38),
    [sym__expression] = STATE(1479),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2606),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym__empty_declaration] = STATE(38),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_preproc_extension] = STATE(38),
    [sym_extension_storage_class] = STATE(719),
    [sym_layout_specification] = STATE(719),
    [aux_sym_preproc_if_repeat1] = STATE(38),
    [aux_sym_declaration_repeat1] = STATE(719),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(668),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(525),
    [aux_sym_preproc_include_token1] = ACTIONS(527),
    [aux_sym_preproc_def_token1] = ACTIONS(529),
    [aux_sym_preproc_if_token1] = ACTIONS(531),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(533),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(533),
    [sym_preproc_directive] = ACTIONS(535),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(537),
    [anon_sym_invariant] = ACTIONS(539),
    [anon_sym_precise] = ACTIONS(539),
    [anon_sym_SEMI] = ACTIONS(541),
    [anon_sym_in] = ACTIONS(543),
    [anon_sym_out] = ACTIONS(543),
    [anon_sym_inout] = ACTIONS(543),
    [anon_sym_uniform] = ACTIONS(543),
    [anon_sym_shared] = ACTIONS(543),
    [anon_sym_attribute] = ACTIONS(543),
    [anon_sym_varying] = ACTIONS(543),
    [anon_sym_buffer] = ACTIONS(543),
    [anon_sym_coherent] = ACTIONS(543),
    [anon_sym_readonly] = ACTIONS(543),
    [anon_sym_writeonly] = ACTIONS(543),
    [anon_sym_precision] = ACTIONS(543),
    [anon_sym_highp] = ACTIONS(543),
    [anon_sym_mediump] = ACTIONS(543),
    [anon_sym_lowp] = ACTIONS(543),
    [anon_sym_centroid] = ACTIONS(543),
    [anon_sym_sample] = ACTIONS(543),
    [anon_sym_patch] = ACTIONS(543),
    [anon_sym_smooth] = ACTIONS(543),
    [anon_sym_flat] = ACTIONS(543),
    [anon_sym_noperspective] = ACTIONS(543),
    [anon_sym___extension__] = ACTIONS(545),
    [anon_sym_typedef] = ACTIONS(547),
    [anon_sym_extern] = ACTIONS(549),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_RBRACE] = ACTIONS(829),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_switch] = ACTIONS(557),
    [anon_sym_case] = ACTIONS(559),
    [anon_sym_default] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [anon_sym_do] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(569),
    [anon_sym_break] = ACTIONS(571),
    [anon_sym_continue] = ACTIONS(573),
    [anon_sym_goto] = ACTIONS(575),
    [anon_sym___try] = ACTIONS(577),
    [anon_sym___leave] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [47] = {
    [sym_preproc_include] = STATE(29),
    [sym_preproc_def] = STATE(29),
    [sym_preproc_function_def] = STATE(29),
    [sym_preproc_call] = STATE(29),
    [sym_preproc_if] = STATE(29),
    [sym_preproc_ifdef] = STATE(29),
    [sym_function_definition] = STATE(29),
    [sym_declaration] = STATE(29),
    [sym_type_definition] = STATE(29),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1603),
    [sym_linkage_specification] = STATE(29),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_ms_call_modifier] = STATE(1173),
    [sym_compound_statement] = STATE(29),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1329),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(29),
    [sym_labeled_statement] = STATE(29),
    [sym_expression_statement] = STATE(29),
    [sym_if_statement] = STATE(29),
    [sym_switch_statement] = STATE(29),
    [sym_case_statement] = STATE(29),
    [sym_while_statement] = STATE(29),
    [sym_do_statement] = STATE(29),
    [sym_for_statement] = STATE(29),
    [sym_return_statement] = STATE(29),
    [sym_break_statement] = STATE(29),
    [sym_continue_statement] = STATE(29),
    [sym_goto_statement] = STATE(29),
    [sym_seh_try_statement] = STATE(29),
    [sym_seh_leave_statement] = STATE(29),
    [sym__expression] = STATE(1479),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2606),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym__empty_declaration] = STATE(29),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_preproc_extension] = STATE(29),
    [sym_extension_storage_class] = STATE(719),
    [sym_layout_specification] = STATE(719),
    [aux_sym_preproc_if_repeat1] = STATE(29),
    [aux_sym_declaration_repeat1] = STATE(719),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(668),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(525),
    [aux_sym_preproc_include_token1] = ACTIONS(527),
    [aux_sym_preproc_def_token1] = ACTIONS(529),
    [aux_sym_preproc_if_token1] = ACTIONS(531),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(533),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(533),
    [sym_preproc_directive] = ACTIONS(535),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(537),
    [anon_sym_invariant] = ACTIONS(539),
    [anon_sym_precise] = ACTIONS(539),
    [anon_sym_SEMI] = ACTIONS(541),
    [anon_sym_in] = ACTIONS(543),
    [anon_sym_out] = ACTIONS(543),
    [anon_sym_inout] = ACTIONS(543),
    [anon_sym_uniform] = ACTIONS(543),
    [anon_sym_shared] = ACTIONS(543),
    [anon_sym_attribute] = ACTIONS(543),
    [anon_sym_varying] = ACTIONS(543),
    [anon_sym_buffer] = ACTIONS(543),
    [anon_sym_coherent] = ACTIONS(543),
    [anon_sym_readonly] = ACTIONS(543),
    [anon_sym_writeonly] = ACTIONS(543),
    [anon_sym_precision] = ACTIONS(543),
    [anon_sym_highp] = ACTIONS(543),
    [anon_sym_mediump] = ACTIONS(543),
    [anon_sym_lowp] = ACTIONS(543),
    [anon_sym_centroid] = ACTIONS(543),
    [anon_sym_sample] = ACTIONS(543),
    [anon_sym_patch] = ACTIONS(543),
    [anon_sym_smooth] = ACTIONS(543),
    [anon_sym_flat] = ACTIONS(543),
    [anon_sym_noperspective] = ACTIONS(543),
    [anon_sym___extension__] = ACTIONS(545),
    [anon_sym_typedef] = ACTIONS(547),
    [anon_sym_extern] = ACTIONS(549),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_RBRACE] = ACTIONS(831),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_switch] = ACTIONS(557),
    [anon_sym_case] = ACTIONS(559),
    [anon_sym_default] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [anon_sym_do] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(569),
    [anon_sym_break] = ACTIONS(571),
    [anon_sym_continue] = ACTIONS(573),
    [anon_sym_goto] = ACTIONS(575),
    [anon_sym___try] = ACTIONS(577),
    [anon_sym___leave] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [48] = {
    [sym_preproc_include] = STATE(39),
    [sym_preproc_def] = STATE(39),
    [sym_preproc_function_def] = STATE(39),
    [sym_preproc_call] = STATE(39),
    [sym_preproc_if] = STATE(39),
    [sym_preproc_ifdef] = STATE(39),
    [sym_function_definition] = STATE(39),
    [sym_declaration] = STATE(39),
    [sym_type_definition] = STATE(39),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1604),
    [sym_linkage_specification] = STATE(39),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_ms_call_modifier] = STATE(1156),
    [sym_compound_statement] = STATE(39),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1327),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(39),
    [sym_labeled_statement] = STATE(39),
    [sym_expression_statement] = STATE(39),
    [sym_if_statement] = STATE(39),
    [sym_switch_statement] = STATE(39),
    [sym_case_statement] = STATE(39),
    [sym_while_statement] = STATE(39),
    [sym_do_statement] = STATE(39),
    [sym_for_statement] = STATE(39),
    [sym_return_statement] = STATE(39),
    [sym_break_statement] = STATE(39),
    [sym_continue_statement] = STATE(39),
    [sym_goto_statement] = STATE(39),
    [sym_seh_try_statement] = STATE(39),
    [sym_seh_leave_statement] = STATE(39),
    [sym__expression] = STATE(1522),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2775),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym__empty_declaration] = STATE(39),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_preproc_extension] = STATE(39),
    [sym_extension_storage_class] = STATE(723),
    [sym_layout_specification] = STATE(723),
    [aux_sym_preproc_if_repeat1] = STATE(39),
    [aux_sym_declaration_repeat1] = STATE(723),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(662),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(597),
    [aux_sym_preproc_include_token1] = ACTIONS(599),
    [aux_sym_preproc_def_token1] = ACTIONS(601),
    [aux_sym_preproc_if_token1] = ACTIONS(603),
    [aux_sym_preproc_if_token2] = ACTIONS(833),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(607),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(607),
    [sym_preproc_directive] = ACTIONS(609),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(611),
    [anon_sym_invariant] = ACTIONS(613),
    [anon_sym_precise] = ACTIONS(613),
    [anon_sym_SEMI] = ACTIONS(615),
    [anon_sym_in] = ACTIONS(617),
    [anon_sym_out] = ACTIONS(617),
    [anon_sym_inout] = ACTIONS(617),
    [anon_sym_uniform] = ACTIONS(617),
    [anon_sym_shared] = ACTIONS(617),
    [anon_sym_attribute] = ACTIONS(617),
    [anon_sym_varying] = ACTIONS(617),
    [anon_sym_buffer] = ACTIONS(617),
    [anon_sym_coherent] = ACTIONS(617),
    [anon_sym_readonly] = ACTIONS(617),
    [anon_sym_writeonly] = ACTIONS(617),
    [anon_sym_precision] = ACTIONS(617),
    [anon_sym_highp] = ACTIONS(617),
    [anon_sym_mediump] = ACTIONS(617),
    [anon_sym_lowp] = ACTIONS(617),
    [anon_sym_centroid] = ACTIONS(617),
    [anon_sym_sample] = ACTIONS(617),
    [anon_sym_patch] = ACTIONS(617),
    [anon_sym_smooth] = ACTIONS(617),
    [anon_sym_flat] = ACTIONS(617),
    [anon_sym_noperspective] = ACTIONS(617),
    [anon_sym___extension__] = ACTIONS(619),
    [anon_sym_typedef] = ACTIONS(621),
    [anon_sym_extern] = ACTIONS(623),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(625),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(627),
    [anon_sym_switch] = ACTIONS(629),
    [anon_sym_case] = ACTIONS(631),
    [anon_sym_default] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_do] = ACTIONS(637),
    [anon_sym_for] = ACTIONS(639),
    [anon_sym_return] = ACTIONS(641),
    [anon_sym_break] = ACTIONS(643),
    [anon_sym_continue] = ACTIONS(645),
    [anon_sym_goto] = ACTIONS(647),
    [anon_sym___try] = ACTIONS(649),
    [anon_sym___leave] = ACTIONS(651),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [49] = {
    [sym_preproc_include] = STATE(40),
    [sym_preproc_def] = STATE(40),
    [sym_preproc_function_def] = STATE(40),
    [sym_preproc_call] = STATE(40),
    [sym_preproc_if] = STATE(40),
    [sym_preproc_ifdef] = STATE(40),
    [sym_function_definition] = STATE(40),
    [sym_declaration] = STATE(40),
    [sym_type_definition] = STATE(40),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1603),
    [sym_linkage_specification] = STATE(40),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_ms_call_modifier] = STATE(1173),
    [sym_compound_statement] = STATE(40),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1329),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(40),
    [sym_labeled_statement] = STATE(40),
    [sym_expression_statement] = STATE(40),
    [sym_if_statement] = STATE(40),
    [sym_switch_statement] = STATE(40),
    [sym_case_statement] = STATE(40),
    [sym_while_statement] = STATE(40),
    [sym_do_statement] = STATE(40),
    [sym_for_statement] = STATE(40),
    [sym_return_statement] = STATE(40),
    [sym_break_statement] = STATE(40),
    [sym_continue_statement] = STATE(40),
    [sym_goto_statement] = STATE(40),
    [sym_seh_try_statement] = STATE(40),
    [sym_seh_leave_statement] = STATE(40),
    [sym__expression] = STATE(1479),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2606),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym__empty_declaration] = STATE(40),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_preproc_extension] = STATE(40),
    [sym_extension_storage_class] = STATE(719),
    [sym_layout_specification] = STATE(719),
    [aux_sym_preproc_if_repeat1] = STATE(40),
    [aux_sym_declaration_repeat1] = STATE(719),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(668),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(525),
    [aux_sym_preproc_include_token1] = ACTIONS(527),
    [aux_sym_preproc_def_token1] = ACTIONS(529),
    [aux_sym_preproc_if_token1] = ACTIONS(531),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(533),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(533),
    [sym_preproc_directive] = ACTIONS(535),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(537),
    [anon_sym_invariant] = ACTIONS(539),
    [anon_sym_precise] = ACTIONS(539),
    [anon_sym_SEMI] = ACTIONS(541),
    [anon_sym_in] = ACTIONS(543),
    [anon_sym_out] = ACTIONS(543),
    [anon_sym_inout] = ACTIONS(543),
    [anon_sym_uniform] = ACTIONS(543),
    [anon_sym_shared] = ACTIONS(543),
    [anon_sym_attribute] = ACTIONS(543),
    [anon_sym_varying] = ACTIONS(543),
    [anon_sym_buffer] = ACTIONS(543),
    [anon_sym_coherent] = ACTIONS(543),
    [anon_sym_readonly] = ACTIONS(543),
    [anon_sym_writeonly] = ACTIONS(543),
    [anon_sym_precision] = ACTIONS(543),
    [anon_sym_highp] = ACTIONS(543),
    [anon_sym_mediump] = ACTIONS(543),
    [anon_sym_lowp] = ACTIONS(543),
    [anon_sym_centroid] = ACTIONS(543),
    [anon_sym_sample] = ACTIONS(543),
    [anon_sym_patch] = ACTIONS(543),
    [anon_sym_smooth] = ACTIONS(543),
    [anon_sym_flat] = ACTIONS(543),
    [anon_sym_noperspective] = ACTIONS(543),
    [anon_sym___extension__] = ACTIONS(545),
    [anon_sym_typedef] = ACTIONS(547),
    [anon_sym_extern] = ACTIONS(549),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_RBRACE] = ACTIONS(835),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_switch] = ACTIONS(557),
    [anon_sym_case] = ACTIONS(559),
    [anon_sym_default] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [anon_sym_do] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(569),
    [anon_sym_break] = ACTIONS(571),
    [anon_sym_continue] = ACTIONS(573),
    [anon_sym_goto] = ACTIONS(575),
    [anon_sym___try] = ACTIONS(577),
    [anon_sym___leave] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [50] = {
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_function_definition] = STATE(38),
    [sym_declaration] = STATE(38),
    [sym_type_definition] = STATE(38),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1603),
    [sym_linkage_specification] = STATE(38),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_ms_call_modifier] = STATE(1173),
    [sym_compound_statement] = STATE(38),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1329),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(38),
    [sym_labeled_statement] = STATE(38),
    [sym_expression_statement] = STATE(38),
    [sym_if_statement] = STATE(38),
    [sym_switch_statement] = STATE(38),
    [sym_case_statement] = STATE(38),
    [sym_while_statement] = STATE(38),
    [sym_do_statement] = STATE(38),
    [sym_for_statement] = STATE(38),
    [sym_return_statement] = STATE(38),
    [sym_break_statement] = STATE(38),
    [sym_continue_statement] = STATE(38),
    [sym_goto_statement] = STATE(38),
    [sym_seh_try_statement] = STATE(38),
    [sym_seh_leave_statement] = STATE(38),
    [sym__expression] = STATE(1479),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2606),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym__empty_declaration] = STATE(38),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_preproc_extension] = STATE(38),
    [sym_extension_storage_class] = STATE(719),
    [sym_layout_specification] = STATE(719),
    [aux_sym_preproc_if_repeat1] = STATE(38),
    [aux_sym_declaration_repeat1] = STATE(719),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(668),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(525),
    [aux_sym_preproc_include_token1] = ACTIONS(527),
    [aux_sym_preproc_def_token1] = ACTIONS(529),
    [aux_sym_preproc_if_token1] = ACTIONS(531),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(533),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(533),
    [sym_preproc_directive] = ACTIONS(535),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(537),
    [anon_sym_invariant] = ACTIONS(539),
    [anon_sym_precise] = ACTIONS(539),
    [anon_sym_SEMI] = ACTIONS(541),
    [anon_sym_in] = ACTIONS(543),
    [anon_sym_out] = ACTIONS(543),
    [anon_sym_inout] = ACTIONS(543),
    [anon_sym_uniform] = ACTIONS(543),
    [anon_sym_shared] = ACTIONS(543),
    [anon_sym_attribute] = ACTIONS(543),
    [anon_sym_varying] = ACTIONS(543),
    [anon_sym_buffer] = ACTIONS(543),
    [anon_sym_coherent] = ACTIONS(543),
    [anon_sym_readonly] = ACTIONS(543),
    [anon_sym_writeonly] = ACTIONS(543),
    [anon_sym_precision] = ACTIONS(543),
    [anon_sym_highp] = ACTIONS(543),
    [anon_sym_mediump] = ACTIONS(543),
    [anon_sym_lowp] = ACTIONS(543),
    [anon_sym_centroid] = ACTIONS(543),
    [anon_sym_sample] = ACTIONS(543),
    [anon_sym_patch] = ACTIONS(543),
    [anon_sym_smooth] = ACTIONS(543),
    [anon_sym_flat] = ACTIONS(543),
    [anon_sym_noperspective] = ACTIONS(543),
    [anon_sym___extension__] = ACTIONS(545),
    [anon_sym_typedef] = ACTIONS(547),
    [anon_sym_extern] = ACTIONS(549),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_RBRACE] = ACTIONS(837),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_switch] = ACTIONS(557),
    [anon_sym_case] = ACTIONS(559),
    [anon_sym_default] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [anon_sym_do] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(569),
    [anon_sym_break] = ACTIONS(571),
    [anon_sym_continue] = ACTIONS(573),
    [anon_sym_goto] = ACTIONS(575),
    [anon_sym___try] = ACTIONS(577),
    [anon_sym___leave] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [51] = {
    [sym_preproc_include] = STATE(44),
    [sym_preproc_def] = STATE(44),
    [sym_preproc_function_def] = STATE(44),
    [sym_preproc_call] = STATE(44),
    [sym_preproc_if] = STATE(44),
    [sym_preproc_ifdef] = STATE(44),
    [sym_function_definition] = STATE(44),
    [sym_declaration] = STATE(44),
    [sym_type_definition] = STATE(44),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1603),
    [sym_linkage_specification] = STATE(44),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_ms_call_modifier] = STATE(1173),
    [sym_compound_statement] = STATE(44),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1329),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(44),
    [sym_labeled_statement] = STATE(44),
    [sym_expression_statement] = STATE(44),
    [sym_if_statement] = STATE(44),
    [sym_switch_statement] = STATE(44),
    [sym_case_statement] = STATE(44),
    [sym_while_statement] = STATE(44),
    [sym_do_statement] = STATE(44),
    [sym_for_statement] = STATE(44),
    [sym_return_statement] = STATE(44),
    [sym_break_statement] = STATE(44),
    [sym_continue_statement] = STATE(44),
    [sym_goto_statement] = STATE(44),
    [sym_seh_try_statement] = STATE(44),
    [sym_seh_leave_statement] = STATE(44),
    [sym__expression] = STATE(1479),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2606),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym__empty_declaration] = STATE(44),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_preproc_extension] = STATE(44),
    [sym_extension_storage_class] = STATE(719),
    [sym_layout_specification] = STATE(719),
    [aux_sym_preproc_if_repeat1] = STATE(44),
    [aux_sym_declaration_repeat1] = STATE(719),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(668),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(525),
    [aux_sym_preproc_include_token1] = ACTIONS(527),
    [aux_sym_preproc_def_token1] = ACTIONS(529),
    [aux_sym_preproc_if_token1] = ACTIONS(531),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(533),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(533),
    [sym_preproc_directive] = ACTIONS(535),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(537),
    [anon_sym_invariant] = ACTIONS(539),
    [anon_sym_precise] = ACTIONS(539),
    [anon_sym_SEMI] = ACTIONS(541),
    [anon_sym_in] = ACTIONS(543),
    [anon_sym_out] = ACTIONS(543),
    [anon_sym_inout] = ACTIONS(543),
    [anon_sym_uniform] = ACTIONS(543),
    [anon_sym_shared] = ACTIONS(543),
    [anon_sym_attribute] = ACTIONS(543),
    [anon_sym_varying] = ACTIONS(543),
    [anon_sym_buffer] = ACTIONS(543),
    [anon_sym_coherent] = ACTIONS(543),
    [anon_sym_readonly] = ACTIONS(543),
    [anon_sym_writeonly] = ACTIONS(543),
    [anon_sym_precision] = ACTIONS(543),
    [anon_sym_highp] = ACTIONS(543),
    [anon_sym_mediump] = ACTIONS(543),
    [anon_sym_lowp] = ACTIONS(543),
    [anon_sym_centroid] = ACTIONS(543),
    [anon_sym_sample] = ACTIONS(543),
    [anon_sym_patch] = ACTIONS(543),
    [anon_sym_smooth] = ACTIONS(543),
    [anon_sym_flat] = ACTIONS(543),
    [anon_sym_noperspective] = ACTIONS(543),
    [anon_sym___extension__] = ACTIONS(545),
    [anon_sym_typedef] = ACTIONS(547),
    [anon_sym_extern] = ACTIONS(549),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_RBRACE] = ACTIONS(839),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_switch] = ACTIONS(557),
    [anon_sym_case] = ACTIONS(559),
    [anon_sym_default] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [anon_sym_do] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(569),
    [anon_sym_break] = ACTIONS(571),
    [anon_sym_continue] = ACTIONS(573),
    [anon_sym_goto] = ACTIONS(575),
    [anon_sym___try] = ACTIONS(577),
    [anon_sym___leave] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [52] = {
    [sym_preproc_include] = STATE(53),
    [sym_preproc_def] = STATE(53),
    [sym_preproc_function_def] = STATE(53),
    [sym_preproc_call] = STATE(53),
    [sym_preproc_if] = STATE(53),
    [sym_preproc_ifdef] = STATE(53),
    [sym_function_definition] = STATE(53),
    [sym_declaration] = STATE(53),
    [sym_type_definition] = STATE(53),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1614),
    [sym_linkage_specification] = STATE(53),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_ms_call_modifier] = STATE(1157),
    [sym_compound_statement] = STATE(53),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1325),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(53),
    [sym_labeled_statement] = STATE(53),
    [sym__top_level_expression_statement] = STATE(53),
    [sym_if_statement] = STATE(53),
    [sym_switch_statement] = STATE(53),
    [sym_case_statement] = STATE(53),
    [sym_while_statement] = STATE(53),
    [sym_do_statement] = STATE(53),
    [sym_for_statement] = STATE(53),
    [sym_return_statement] = STATE(53),
    [sym_break_statement] = STATE(53),
    [sym_continue_statement] = STATE(53),
    [sym_goto_statement] = STATE(53),
    [sym__expression] = STATE(1576),
    [sym__expression_not_binary] = STATE(1575),
    [sym__string] = STATE(1575),
    [sym_conditional_expression] = STATE(1575),
    [sym_assignment_expression] = STATE(1575),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1575),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1575),
    [sym_cast_expression] = STATE(1575),
    [sym_sizeof_expression] = STATE(1575),
    [sym_alignof_expression] = STATE(1575),
    [sym_offsetof_expression] = STATE(1575),
    [sym_generic_expression] = STATE(1575),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1575),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1575),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1575),
    [sym_concatenated_string] = STATE(1575),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1575),
    [sym__empty_declaration] = STATE(53),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_preproc_extension] = STATE(53),
    [sym_extension_storage_class] = STATE(724),
    [sym_layout_specification] = STATE(724),
    [aux_sym_translation_unit_repeat1] = STATE(53),
    [aux_sym_declaration_repeat1] = STATE(724),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(676),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [ts_builtin_sym_end] = ACTIONS(841),
    [sym_identifier] = ACTIONS(7),
    [aux_sym_preproc_include_token1] = ACTIONS(9),
    [aux_sym_preproc_def_token1] = ACTIONS(11),
    [aux_sym_preproc_if_token1] = ACTIONS(13),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(15),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(15),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(27),
    [anon_sym_invariant] = ACTIONS(29),
    [anon_sym_precise] = ACTIONS(29),
    [anon_sym_in] = ACTIONS(31),
    [anon_sym_out] = ACTIONS(31),
    [anon_sym_inout] = ACTIONS(31),
    [anon_sym_uniform] = ACTIONS(31),
    [anon_sym_shared] = ACTIONS(31),
    [anon_sym_attribute] = ACTIONS(31),
    [anon_sym_varying] = ACTIONS(31),
    [anon_sym_buffer] = ACTIONS(31),
    [anon_sym_coherent] = ACTIONS(31),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_writeonly] = ACTIONS(31),
    [anon_sym_precision] = ACTIONS(31),
    [anon_sym_highp] = ACTIONS(31),
    [anon_sym_mediump] = ACTIONS(31),
    [anon_sym_lowp] = ACTIONS(31),
    [anon_sym_centroid] = ACTIONS(31),
    [anon_sym_sample] = ACTIONS(31),
    [anon_sym_patch] = ACTIONS(31),
    [anon_sym_smooth] = ACTIONS(31),
    [anon_sym_flat] = ACTIONS(31),
    [anon_sym_noperspective] = ACTIONS(31),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_default] = ACTIONS(69),
    [anon_sym_while] = ACTIONS(71),
    [anon_sym_do] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(75),
    [anon_sym_return] = ACTIONS(77),
    [anon_sym_break] = ACTIONS(79),
    [anon_sym_continue] = ACTIONS(81),
    [anon_sym_goto] = ACTIONS(83),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(97),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(103),
    [sym_false] = ACTIONS(103),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [53] = {
    [sym_preproc_include] = STATE(53),
    [sym_preproc_def] = STATE(53),
    [sym_preproc_function_def] = STATE(53),
    [sym_preproc_call] = STATE(53),
    [sym_preproc_if] = STATE(53),
    [sym_preproc_ifdef] = STATE(53),
    [sym_function_definition] = STATE(53),
    [sym_declaration] = STATE(53),
    [sym_type_definition] = STATE(53),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1614),
    [sym_linkage_specification] = STATE(53),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_ms_call_modifier] = STATE(1157),
    [sym_compound_statement] = STATE(53),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1325),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(53),
    [sym_labeled_statement] = STATE(53),
    [sym__top_level_expression_statement] = STATE(53),
    [sym_if_statement] = STATE(53),
    [sym_switch_statement] = STATE(53),
    [sym_case_statement] = STATE(53),
    [sym_while_statement] = STATE(53),
    [sym_do_statement] = STATE(53),
    [sym_for_statement] = STATE(53),
    [sym_return_statement] = STATE(53),
    [sym_break_statement] = STATE(53),
    [sym_continue_statement] = STATE(53),
    [sym_goto_statement] = STATE(53),
    [sym__expression] = STATE(1576),
    [sym__expression_not_binary] = STATE(1575),
    [sym__string] = STATE(1575),
    [sym_conditional_expression] = STATE(1575),
    [sym_assignment_expression] = STATE(1575),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1575),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1575),
    [sym_cast_expression] = STATE(1575),
    [sym_sizeof_expression] = STATE(1575),
    [sym_alignof_expression] = STATE(1575),
    [sym_offsetof_expression] = STATE(1575),
    [sym_generic_expression] = STATE(1575),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1575),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1575),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1575),
    [sym_concatenated_string] = STATE(1575),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1575),
    [sym__empty_declaration] = STATE(53),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_preproc_extension] = STATE(53),
    [sym_extension_storage_class] = STATE(724),
    [sym_layout_specification] = STATE(724),
    [aux_sym_translation_unit_repeat1] = STATE(53),
    [aux_sym_declaration_repeat1] = STATE(724),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(676),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [ts_builtin_sym_end] = ACTIONS(843),
    [sym_identifier] = ACTIONS(845),
    [aux_sym_preproc_include_token1] = ACTIONS(848),
    [aux_sym_preproc_def_token1] = ACTIONS(851),
    [aux_sym_preproc_if_token1] = ACTIONS(854),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(857),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(857),
    [sym_preproc_directive] = ACTIONS(860),
    [anon_sym_LPAREN2] = ACTIONS(863),
    [anon_sym_BANG] = ACTIONS(866),
    [anon_sym_TILDE] = ACTIONS(866),
    [anon_sym_DASH] = ACTIONS(869),
    [anon_sym_PLUS] = ACTIONS(869),
    [anon_sym_STAR] = ACTIONS(872),
    [anon_sym_AMP] = ACTIONS(872),
    [anon_sym_subroutine] = ACTIONS(875),
    [anon_sym_invariant] = ACTIONS(878),
    [anon_sym_precise] = ACTIONS(878),
    [anon_sym_in] = ACTIONS(881),
    [anon_sym_out] = ACTIONS(881),
    [anon_sym_inout] = ACTIONS(881),
    [anon_sym_uniform] = ACTIONS(881),
    [anon_sym_shared] = ACTIONS(881),
    [anon_sym_attribute] = ACTIONS(881),
    [anon_sym_varying] = ACTIONS(881),
    [anon_sym_buffer] = ACTIONS(881),
    [anon_sym_coherent] = ACTIONS(881),
    [anon_sym_readonly] = ACTIONS(881),
    [anon_sym_writeonly] = ACTIONS(881),
    [anon_sym_precision] = ACTIONS(881),
    [anon_sym_highp] = ACTIONS(881),
    [anon_sym_mediump] = ACTIONS(881),
    [anon_sym_lowp] = ACTIONS(881),
    [anon_sym_centroid] = ACTIONS(881),
    [anon_sym_sample] = ACTIONS(881),
    [anon_sym_patch] = ACTIONS(881),
    [anon_sym_smooth] = ACTIONS(881),
    [anon_sym_flat] = ACTIONS(881),
    [anon_sym_noperspective] = ACTIONS(881),
    [anon_sym___extension__] = ACTIONS(884),
    [anon_sym_typedef] = ACTIONS(887),
    [anon_sym_extern] = ACTIONS(890),
    [anon_sym___attribute__] = ACTIONS(893),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(896),
    [anon_sym___declspec] = ACTIONS(899),
    [anon_sym___cdecl] = ACTIONS(902),
    [anon_sym___clrcall] = ACTIONS(902),
    [anon_sym___stdcall] = ACTIONS(902),
    [anon_sym___fastcall] = ACTIONS(902),
    [anon_sym___thiscall] = ACTIONS(902),
    [anon_sym___vectorcall] = ACTIONS(902),
    [anon_sym_LBRACE] = ACTIONS(905),
    [anon_sym_signed] = ACTIONS(908),
    [anon_sym_unsigned] = ACTIONS(908),
    [anon_sym_long] = ACTIONS(908),
    [anon_sym_short] = ACTIONS(908),
    [anon_sym_static] = ACTIONS(911),
    [anon_sym_auto] = ACTIONS(911),
    [anon_sym_register] = ACTIONS(911),
    [anon_sym_inline] = ACTIONS(911),
    [anon_sym___inline] = ACTIONS(911),
    [anon_sym___inline__] = ACTIONS(911),
    [anon_sym___forceinline] = ACTIONS(911),
    [anon_sym_thread_local] = ACTIONS(911),
    [anon_sym___thread] = ACTIONS(911),
    [anon_sym_const] = ACTIONS(914),
    [anon_sym_constexpr] = ACTIONS(914),
    [anon_sym_volatile] = ACTIONS(914),
    [anon_sym_restrict] = ACTIONS(914),
    [anon_sym___restrict__] = ACTIONS(914),
    [anon_sym__Atomic] = ACTIONS(914),
    [anon_sym__Noreturn] = ACTIONS(914),
    [anon_sym_noreturn] = ACTIONS(914),
    [sym_primitive_type] = ACTIONS(917),
    [anon_sym_enum] = ACTIONS(920),
    [anon_sym_struct] = ACTIONS(923),
    [anon_sym_union] = ACTIONS(926),
    [anon_sym_if] = ACTIONS(929),
    [anon_sym_switch] = ACTIONS(932),
    [anon_sym_case] = ACTIONS(935),
    [anon_sym_default] = ACTIONS(938),
    [anon_sym_while] = ACTIONS(941),
    [anon_sym_do] = ACTIONS(944),
    [anon_sym_for] = ACTIONS(947),
    [anon_sym_return] = ACTIONS(950),
    [anon_sym_break] = ACTIONS(953),
    [anon_sym_continue] = ACTIONS(956),
    [anon_sym_goto] = ACTIONS(959),
    [anon_sym_DASH_DASH] = ACTIONS(962),
    [anon_sym_PLUS_PLUS] = ACTIONS(962),
    [anon_sym_sizeof] = ACTIONS(965),
    [anon_sym___alignof__] = ACTIONS(968),
    [anon_sym___alignof] = ACTIONS(968),
    [anon_sym__alignof] = ACTIONS(968),
    [anon_sym_alignof] = ACTIONS(968),
    [anon_sym__Alignof] = ACTIONS(968),
    [anon_sym_offsetof] = ACTIONS(971),
    [anon_sym__Generic] = ACTIONS(974),
    [anon_sym_asm] = ACTIONS(977),
    [anon_sym___asm__] = ACTIONS(977),
    [sym_number_literal] = ACTIONS(980),
    [anon_sym_L_SQUOTE] = ACTIONS(983),
    [anon_sym_u_SQUOTE] = ACTIONS(983),
    [anon_sym_U_SQUOTE] = ACTIONS(983),
    [anon_sym_u8_SQUOTE] = ACTIONS(983),
    [anon_sym_SQUOTE] = ACTIONS(983),
    [anon_sym_L_DQUOTE] = ACTIONS(986),
    [anon_sym_u_DQUOTE] = ACTIONS(986),
    [anon_sym_U_DQUOTE] = ACTIONS(986),
    [anon_sym_u8_DQUOTE] = ACTIONS(986),
    [anon_sym_DQUOTE] = ACTIONS(986),
    [sym_true] = ACTIONS(989),
    [sym_false] = ACTIONS(989),
    [anon_sym_NULL] = ACTIONS(992),
    [anon_sym_nullptr] = ACTIONS(992),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(995),
    [anon_sym_rayPayloadInEXT] = ACTIONS(995),
    [anon_sym_hitAttributeEXT] = ACTIONS(995),
    [anon_sym_callableDataEXT] = ACTIONS(995),
    [anon_sym_callableDataInEXT] = ACTIONS(995),
    [anon_sym_shaderRecordEXT] = ACTIONS(995),
    [anon_sym_rayPayloadNV] = ACTIONS(995),
    [anon_sym_rayPayloadInNV] = ACTIONS(995),
    [anon_sym_hitAttributeNV] = ACTIONS(995),
    [anon_sym_callableDataNV] = ACTIONS(995),
    [anon_sym_callableDataInNV] = ACTIONS(995),
    [anon_sym_shaderRecordNV] = ACTIONS(995),
    [anon_sym_layout] = ACTIONS(998),
  },
  [54] = {
    [sym_declaration] = STATE(54),
    [sym_type_definition] = STATE(54),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1620),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_compound_statement] = STATE(54),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(54),
    [sym_labeled_statement] = STATE(54),
    [sym_expression_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_return_statement] = STATE(54),
    [sym_break_statement] = STATE(54),
    [sym_continue_statement] = STATE(54),
    [sym_goto_statement] = STATE(54),
    [sym_seh_try_statement] = STATE(54),
    [sym_seh_leave_statement] = STATE(54),
    [sym__expression] = STATE(1517),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2806),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(720),
    [sym_layout_specification] = STATE(720),
    [aux_sym_declaration_repeat1] = STATE(720),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(686),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [aux_sym_case_statement_repeat1] = STATE(54),
    [sym_identifier] = ACTIONS(1001),
    [aux_sym_preproc_include_token1] = ACTIONS(1004),
    [aux_sym_preproc_def_token1] = ACTIONS(1004),
    [aux_sym_preproc_if_token1] = ACTIONS(1004),
    [aux_sym_preproc_if_token2] = ACTIONS(1004),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1004),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1004),
    [aux_sym_preproc_else_token1] = ACTIONS(1004),
    [aux_sym_preproc_elif_token1] = ACTIONS(1004),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1004),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1004),
    [sym_preproc_directive] = ACTIONS(1004),
    [anon_sym_LPAREN2] = ACTIONS(1006),
    [anon_sym_BANG] = ACTIONS(1009),
    [anon_sym_TILDE] = ACTIONS(1009),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_STAR] = ACTIONS(1015),
    [anon_sym_AMP] = ACTIONS(1015),
    [anon_sym_subroutine] = ACTIONS(1018),
    [anon_sym_invariant] = ACTIONS(1021),
    [anon_sym_precise] = ACTIONS(1021),
    [anon_sym_SEMI] = ACTIONS(1024),
    [anon_sym_in] = ACTIONS(1018),
    [anon_sym_out] = ACTIONS(1018),
    [anon_sym_inout] = ACTIONS(1018),
    [anon_sym_uniform] = ACTIONS(1018),
    [anon_sym_shared] = ACTIONS(1018),
    [anon_sym_attribute] = ACTIONS(1018),
    [anon_sym_varying] = ACTIONS(1018),
    [anon_sym_buffer] = ACTIONS(1018),
    [anon_sym_coherent] = ACTIONS(1018),
    [anon_sym_readonly] = ACTIONS(1018),
    [anon_sym_writeonly] = ACTIONS(1018),
    [anon_sym_precision] = ACTIONS(1018),
    [anon_sym_highp] = ACTIONS(1018),
    [anon_sym_mediump] = ACTIONS(1018),
    [anon_sym_lowp] = ACTIONS(1018),
    [anon_sym_centroid] = ACTIONS(1018),
    [anon_sym_sample] = ACTIONS(1018),
    [anon_sym_patch] = ACTIONS(1018),
    [anon_sym_smooth] = ACTIONS(1018),
    [anon_sym_flat] = ACTIONS(1018),
    [anon_sym_noperspective] = ACTIONS(1018),
    [anon_sym___extension__] = ACTIONS(1027),
    [anon_sym_typedef] = ACTIONS(1030),
    [anon_sym_extern] = ACTIONS(1033),
    [anon_sym___attribute__] = ACTIONS(1036),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1039),
    [anon_sym___declspec] = ACTIONS(1042),
    [anon_sym___cdecl] = ACTIONS(1004),
    [anon_sym___clrcall] = ACTIONS(1004),
    [anon_sym___stdcall] = ACTIONS(1004),
    [anon_sym___fastcall] = ACTIONS(1004),
    [anon_sym___thiscall] = ACTIONS(1004),
    [anon_sym___vectorcall] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1045),
    [anon_sym_signed] = ACTIONS(1048),
    [anon_sym_unsigned] = ACTIONS(1048),
    [anon_sym_long] = ACTIONS(1048),
    [anon_sym_short] = ACTIONS(1048),
    [anon_sym_static] = ACTIONS(1033),
    [anon_sym_auto] = ACTIONS(1033),
    [anon_sym_register] = ACTIONS(1033),
    [anon_sym_inline] = ACTIONS(1033),
    [anon_sym___inline] = ACTIONS(1033),
    [anon_sym___inline__] = ACTIONS(1033),
    [anon_sym___forceinline] = ACTIONS(1033),
    [anon_sym_thread_local] = ACTIONS(1033),
    [anon_sym___thread] = ACTIONS(1033),
    [anon_sym_const] = ACTIONS(1051),
    [anon_sym_constexpr] = ACTIONS(1051),
    [anon_sym_volatile] = ACTIONS(1051),
    [anon_sym_restrict] = ACTIONS(1051),
    [anon_sym___restrict__] = ACTIONS(1051),
    [anon_sym__Atomic] = ACTIONS(1051),
    [anon_sym__Noreturn] = ACTIONS(1051),
    [anon_sym_noreturn] = ACTIONS(1051),
    [sym_primitive_type] = ACTIONS(1054),
    [anon_sym_enum] = ACTIONS(1057),
    [anon_sym_struct] = ACTIONS(1060),
    [anon_sym_union] = ACTIONS(1063),
    [anon_sym_if] = ACTIONS(1066),
    [anon_sym_else] = ACTIONS(1004),
    [anon_sym_switch] = ACTIONS(1069),
    [anon_sym_case] = ACTIONS(1004),
    [anon_sym_default] = ACTIONS(1004),
    [anon_sym_while] = ACTIONS(1072),
    [anon_sym_do] = ACTIONS(1075),
    [anon_sym_for] = ACTIONS(1078),
    [anon_sym_return] = ACTIONS(1081),
    [anon_sym_break] = ACTIONS(1084),
    [anon_sym_continue] = ACTIONS(1087),
    [anon_sym_goto] = ACTIONS(1090),
    [anon_sym___try] = ACTIONS(1093),
    [anon_sym___leave] = ACTIONS(1096),
    [anon_sym_DASH_DASH] = ACTIONS(1099),
    [anon_sym_PLUS_PLUS] = ACTIONS(1099),
    [anon_sym_sizeof] = ACTIONS(1102),
    [anon_sym___alignof__] = ACTIONS(1105),
    [anon_sym___alignof] = ACTIONS(1105),
    [anon_sym__alignof] = ACTIONS(1105),
    [anon_sym_alignof] = ACTIONS(1105),
    [anon_sym__Alignof] = ACTIONS(1105),
    [anon_sym_offsetof] = ACTIONS(1108),
    [anon_sym__Generic] = ACTIONS(1111),
    [anon_sym_asm] = ACTIONS(1114),
    [anon_sym___asm__] = ACTIONS(1114),
    [sym_number_literal] = ACTIONS(1117),
    [anon_sym_L_SQUOTE] = ACTIONS(1120),
    [anon_sym_u_SQUOTE] = ACTIONS(1120),
    [anon_sym_U_SQUOTE] = ACTIONS(1120),
    [anon_sym_u8_SQUOTE] = ACTIONS(1120),
    [anon_sym_SQUOTE] = ACTIONS(1120),
    [anon_sym_L_DQUOTE] = ACTIONS(1123),
    [anon_sym_u_DQUOTE] = ACTIONS(1123),
    [anon_sym_U_DQUOTE] = ACTIONS(1123),
    [anon_sym_u8_DQUOTE] = ACTIONS(1123),
    [anon_sym_DQUOTE] = ACTIONS(1123),
    [sym_true] = ACTIONS(1126),
    [sym_false] = ACTIONS(1126),
    [anon_sym_NULL] = ACTIONS(1129),
    [anon_sym_nullptr] = ACTIONS(1129),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1132),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1132),
    [anon_sym_hitAttributeEXT] = ACTIONS(1132),
    [anon_sym_callableDataEXT] = ACTIONS(1132),
    [anon_sym_callableDataInEXT] = ACTIONS(1132),
    [anon_sym_shaderRecordEXT] = ACTIONS(1132),
    [anon_sym_rayPayloadNV] = ACTIONS(1132),
    [anon_sym_rayPayloadInNV] = ACTIONS(1132),
    [anon_sym_hitAttributeNV] = ACTIONS(1132),
    [anon_sym_callableDataNV] = ACTIONS(1132),
    [anon_sym_callableDataInNV] = ACTIONS(1132),
    [anon_sym_shaderRecordNV] = ACTIONS(1132),
    [anon_sym_layout] = ACTIONS(1135),
  },
  [55] = {
    [sym_declaration] = STATE(54),
    [sym_type_definition] = STATE(54),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1620),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_compound_statement] = STATE(54),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(54),
    [sym_labeled_statement] = STATE(54),
    [sym_expression_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_return_statement] = STATE(54),
    [sym_break_statement] = STATE(54),
    [sym_continue_statement] = STATE(54),
    [sym_goto_statement] = STATE(54),
    [sym_seh_try_statement] = STATE(54),
    [sym_seh_leave_statement] = STATE(54),
    [sym__expression] = STATE(1517),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2806),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(720),
    [sym_layout_specification] = STATE(720),
    [aux_sym_declaration_repeat1] = STATE(720),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(686),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [aux_sym_case_statement_repeat1] = STATE(54),
    [sym_identifier] = ACTIONS(1138),
    [aux_sym_preproc_include_token1] = ACTIONS(1140),
    [aux_sym_preproc_def_token1] = ACTIONS(1140),
    [aux_sym_preproc_if_token1] = ACTIONS(1140),
    [aux_sym_preproc_if_token2] = ACTIONS(1140),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1140),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1140),
    [aux_sym_preproc_else_token1] = ACTIONS(1140),
    [aux_sym_preproc_elif_token1] = ACTIONS(1140),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1140),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1140),
    [sym_preproc_directive] = ACTIONS(1140),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(137),
    [anon_sym_invariant] = ACTIONS(133),
    [anon_sym_precise] = ACTIONS(133),
    [anon_sym_SEMI] = ACTIONS(135),
    [anon_sym_in] = ACTIONS(137),
    [anon_sym_out] = ACTIONS(137),
    [anon_sym_inout] = ACTIONS(137),
    [anon_sym_uniform] = ACTIONS(137),
    [anon_sym_shared] = ACTIONS(137),
    [anon_sym_attribute] = ACTIONS(137),
    [anon_sym_varying] = ACTIONS(137),
    [anon_sym_buffer] = ACTIONS(137),
    [anon_sym_coherent] = ACTIONS(137),
    [anon_sym_readonly] = ACTIONS(137),
    [anon_sym_writeonly] = ACTIONS(137),
    [anon_sym_precision] = ACTIONS(137),
    [anon_sym_highp] = ACTIONS(137),
    [anon_sym_mediump] = ACTIONS(137),
    [anon_sym_lowp] = ACTIONS(137),
    [anon_sym_centroid] = ACTIONS(137),
    [anon_sym_sample] = ACTIONS(137),
    [anon_sym_patch] = ACTIONS(137),
    [anon_sym_smooth] = ACTIONS(137),
    [anon_sym_flat] = ACTIONS(137),
    [anon_sym_noperspective] = ACTIONS(137),
    [anon_sym___extension__] = ACTIONS(139),
    [anon_sym_typedef] = ACTIONS(141),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(1140),
    [anon_sym___clrcall] = ACTIONS(1140),
    [anon_sym___stdcall] = ACTIONS(1140),
    [anon_sym___fastcall] = ACTIONS(1140),
    [anon_sym___thiscall] = ACTIONS(1140),
    [anon_sym___vectorcall] = ACTIONS(1140),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(147),
    [anon_sym_else] = ACTIONS(1140),
    [anon_sym_switch] = ACTIONS(149),
    [anon_sym_case] = ACTIONS(1140),
    [anon_sym_default] = ACTIONS(1140),
    [anon_sym_while] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_return] = ACTIONS(161),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(165),
    [anon_sym_goto] = ACTIONS(167),
    [anon_sym___try] = ACTIONS(169),
    [anon_sym___leave] = ACTIONS(171),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [56] = {
    [sym_declaration] = STATE(54),
    [sym_type_definition] = STATE(54),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1620),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_compound_statement] = STATE(54),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(54),
    [sym_labeled_statement] = STATE(54),
    [sym_expression_statement] = STATE(54),
    [sym_if_statement] = STATE(54),
    [sym_switch_statement] = STATE(54),
    [sym_while_statement] = STATE(54),
    [sym_do_statement] = STATE(54),
    [sym_for_statement] = STATE(54),
    [sym_return_statement] = STATE(54),
    [sym_break_statement] = STATE(54),
    [sym_continue_statement] = STATE(54),
    [sym_goto_statement] = STATE(54),
    [sym_seh_try_statement] = STATE(54),
    [sym_seh_leave_statement] = STATE(54),
    [sym__expression] = STATE(1517),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2806),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(720),
    [sym_layout_specification] = STATE(720),
    [aux_sym_declaration_repeat1] = STATE(720),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(686),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [aux_sym_case_statement_repeat1] = STATE(54),
    [sym_identifier] = ACTIONS(1138),
    [aux_sym_preproc_include_token1] = ACTIONS(1142),
    [aux_sym_preproc_def_token1] = ACTIONS(1142),
    [aux_sym_preproc_if_token1] = ACTIONS(1142),
    [aux_sym_preproc_if_token2] = ACTIONS(1142),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1142),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1142),
    [aux_sym_preproc_else_token1] = ACTIONS(1142),
    [aux_sym_preproc_elif_token1] = ACTIONS(1142),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1142),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1142),
    [sym_preproc_directive] = ACTIONS(1142),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(137),
    [anon_sym_invariant] = ACTIONS(133),
    [anon_sym_precise] = ACTIONS(133),
    [anon_sym_SEMI] = ACTIONS(135),
    [anon_sym_in] = ACTIONS(137),
    [anon_sym_out] = ACTIONS(137),
    [anon_sym_inout] = ACTIONS(137),
    [anon_sym_uniform] = ACTIONS(137),
    [anon_sym_shared] = ACTIONS(137),
    [anon_sym_attribute] = ACTIONS(137),
    [anon_sym_varying] = ACTIONS(137),
    [anon_sym_buffer] = ACTIONS(137),
    [anon_sym_coherent] = ACTIONS(137),
    [anon_sym_readonly] = ACTIONS(137),
    [anon_sym_writeonly] = ACTIONS(137),
    [anon_sym_precision] = ACTIONS(137),
    [anon_sym_highp] = ACTIONS(137),
    [anon_sym_mediump] = ACTIONS(137),
    [anon_sym_lowp] = ACTIONS(137),
    [anon_sym_centroid] = ACTIONS(137),
    [anon_sym_sample] = ACTIONS(137),
    [anon_sym_patch] = ACTIONS(137),
    [anon_sym_smooth] = ACTIONS(137),
    [anon_sym_flat] = ACTIONS(137),
    [anon_sym_noperspective] = ACTIONS(137),
    [anon_sym___extension__] = ACTIONS(139),
    [anon_sym_typedef] = ACTIONS(141),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(1142),
    [anon_sym___clrcall] = ACTIONS(1142),
    [anon_sym___stdcall] = ACTIONS(1142),
    [anon_sym___fastcall] = ACTIONS(1142),
    [anon_sym___thiscall] = ACTIONS(1142),
    [anon_sym___vectorcall] = ACTIONS(1142),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(147),
    [anon_sym_else] = ACTIONS(1142),
    [anon_sym_switch] = ACTIONS(149),
    [anon_sym_case] = ACTIONS(1142),
    [anon_sym_default] = ACTIONS(1142),
    [anon_sym_while] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_return] = ACTIONS(161),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(165),
    [anon_sym_goto] = ACTIONS(167),
    [anon_sym___try] = ACTIONS(169),
    [anon_sym___leave] = ACTIONS(171),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [57] = {
    [sym_declaration] = STATE(55),
    [sym_type_definition] = STATE(55),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1620),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_compound_statement] = STATE(55),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(55),
    [sym_labeled_statement] = STATE(55),
    [sym_expression_statement] = STATE(55),
    [sym_if_statement] = STATE(55),
    [sym_switch_statement] = STATE(55),
    [sym_while_statement] = STATE(55),
    [sym_do_statement] = STATE(55),
    [sym_for_statement] = STATE(55),
    [sym_return_statement] = STATE(55),
    [sym_break_statement] = STATE(55),
    [sym_continue_statement] = STATE(55),
    [sym_goto_statement] = STATE(55),
    [sym_seh_try_statement] = STATE(55),
    [sym_seh_leave_statement] = STATE(55),
    [sym__expression] = STATE(1517),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2806),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(720),
    [sym_layout_specification] = STATE(720),
    [aux_sym_declaration_repeat1] = STATE(720),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(686),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [aux_sym_case_statement_repeat1] = STATE(55),
    [sym_identifier] = ACTIONS(1138),
    [aux_sym_preproc_include_token1] = ACTIONS(1144),
    [aux_sym_preproc_def_token1] = ACTIONS(1144),
    [aux_sym_preproc_if_token1] = ACTIONS(1144),
    [aux_sym_preproc_if_token2] = ACTIONS(1144),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1144),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1144),
    [aux_sym_preproc_else_token1] = ACTIONS(1144),
    [aux_sym_preproc_elif_token1] = ACTIONS(1144),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1144),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1144),
    [sym_preproc_directive] = ACTIONS(1144),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(137),
    [anon_sym_invariant] = ACTIONS(133),
    [anon_sym_precise] = ACTIONS(133),
    [anon_sym_SEMI] = ACTIONS(135),
    [anon_sym_in] = ACTIONS(137),
    [anon_sym_out] = ACTIONS(137),
    [anon_sym_inout] = ACTIONS(137),
    [anon_sym_uniform] = ACTIONS(137),
    [anon_sym_shared] = ACTIONS(137),
    [anon_sym_attribute] = ACTIONS(137),
    [anon_sym_varying] = ACTIONS(137),
    [anon_sym_buffer] = ACTIONS(137),
    [anon_sym_coherent] = ACTIONS(137),
    [anon_sym_readonly] = ACTIONS(137),
    [anon_sym_writeonly] = ACTIONS(137),
    [anon_sym_precision] = ACTIONS(137),
    [anon_sym_highp] = ACTIONS(137),
    [anon_sym_mediump] = ACTIONS(137),
    [anon_sym_lowp] = ACTIONS(137),
    [anon_sym_centroid] = ACTIONS(137),
    [anon_sym_sample] = ACTIONS(137),
    [anon_sym_patch] = ACTIONS(137),
    [anon_sym_smooth] = ACTIONS(137),
    [anon_sym_flat] = ACTIONS(137),
    [anon_sym_noperspective] = ACTIONS(137),
    [anon_sym___extension__] = ACTIONS(139),
    [anon_sym_typedef] = ACTIONS(141),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(1144),
    [anon_sym___clrcall] = ACTIONS(1144),
    [anon_sym___stdcall] = ACTIONS(1144),
    [anon_sym___fastcall] = ACTIONS(1144),
    [anon_sym___thiscall] = ACTIONS(1144),
    [anon_sym___vectorcall] = ACTIONS(1144),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(147),
    [anon_sym_else] = ACTIONS(1144),
    [anon_sym_switch] = ACTIONS(149),
    [anon_sym_case] = ACTIONS(1144),
    [anon_sym_default] = ACTIONS(1144),
    [anon_sym_while] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_return] = ACTIONS(161),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(165),
    [anon_sym_goto] = ACTIONS(167),
    [anon_sym___try] = ACTIONS(169),
    [anon_sym___leave] = ACTIONS(171),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [58] = {
    [sym_declaration] = STATE(56),
    [sym_type_definition] = STATE(56),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1620),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_compound_statement] = STATE(56),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(56),
    [sym_labeled_statement] = STATE(56),
    [sym_expression_statement] = STATE(56),
    [sym_if_statement] = STATE(56),
    [sym_switch_statement] = STATE(56),
    [sym_while_statement] = STATE(56),
    [sym_do_statement] = STATE(56),
    [sym_for_statement] = STATE(56),
    [sym_return_statement] = STATE(56),
    [sym_break_statement] = STATE(56),
    [sym_continue_statement] = STATE(56),
    [sym_goto_statement] = STATE(56),
    [sym_seh_try_statement] = STATE(56),
    [sym_seh_leave_statement] = STATE(56),
    [sym__expression] = STATE(1517),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2806),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(720),
    [sym_layout_specification] = STATE(720),
    [aux_sym_declaration_repeat1] = STATE(720),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(686),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [aux_sym_case_statement_repeat1] = STATE(56),
    [sym_identifier] = ACTIONS(1138),
    [aux_sym_preproc_include_token1] = ACTIONS(1146),
    [aux_sym_preproc_def_token1] = ACTIONS(1146),
    [aux_sym_preproc_if_token1] = ACTIONS(1146),
    [aux_sym_preproc_if_token2] = ACTIONS(1146),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1146),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1146),
    [aux_sym_preproc_else_token1] = ACTIONS(1146),
    [aux_sym_preproc_elif_token1] = ACTIONS(1146),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1146),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1146),
    [sym_preproc_directive] = ACTIONS(1146),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(137),
    [anon_sym_invariant] = ACTIONS(133),
    [anon_sym_precise] = ACTIONS(133),
    [anon_sym_SEMI] = ACTIONS(135),
    [anon_sym_in] = ACTIONS(137),
    [anon_sym_out] = ACTIONS(137),
    [anon_sym_inout] = ACTIONS(137),
    [anon_sym_uniform] = ACTIONS(137),
    [anon_sym_shared] = ACTIONS(137),
    [anon_sym_attribute] = ACTIONS(137),
    [anon_sym_varying] = ACTIONS(137),
    [anon_sym_buffer] = ACTIONS(137),
    [anon_sym_coherent] = ACTIONS(137),
    [anon_sym_readonly] = ACTIONS(137),
    [anon_sym_writeonly] = ACTIONS(137),
    [anon_sym_precision] = ACTIONS(137),
    [anon_sym_highp] = ACTIONS(137),
    [anon_sym_mediump] = ACTIONS(137),
    [anon_sym_lowp] = ACTIONS(137),
    [anon_sym_centroid] = ACTIONS(137),
    [anon_sym_sample] = ACTIONS(137),
    [anon_sym_patch] = ACTIONS(137),
    [anon_sym_smooth] = ACTIONS(137),
    [anon_sym_flat] = ACTIONS(137),
    [anon_sym_noperspective] = ACTIONS(137),
    [anon_sym___extension__] = ACTIONS(139),
    [anon_sym_typedef] = ACTIONS(141),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(1146),
    [anon_sym___clrcall] = ACTIONS(1146),
    [anon_sym___stdcall] = ACTIONS(1146),
    [anon_sym___fastcall] = ACTIONS(1146),
    [anon_sym___thiscall] = ACTIONS(1146),
    [anon_sym___vectorcall] = ACTIONS(1146),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(147),
    [anon_sym_else] = ACTIONS(1146),
    [anon_sym_switch] = ACTIONS(149),
    [anon_sym_case] = ACTIONS(1146),
    [anon_sym_default] = ACTIONS(1146),
    [anon_sym_while] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_return] = ACTIONS(161),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(165),
    [anon_sym_goto] = ACTIONS(167),
    [anon_sym___try] = ACTIONS(169),
    [anon_sym___leave] = ACTIONS(171),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [59] = {
    [sym_declaration] = STATE(61),
    [sym_type_definition] = STATE(61),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1605),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_compound_statement] = STATE(61),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(61),
    [sym_labeled_statement] = STATE(61),
    [sym_expression_statement] = STATE(61),
    [sym_if_statement] = STATE(61),
    [sym_switch_statement] = STATE(61),
    [sym_while_statement] = STATE(61),
    [sym_do_statement] = STATE(61),
    [sym_for_statement] = STATE(61),
    [sym_return_statement] = STATE(61),
    [sym_break_statement] = STATE(61),
    [sym_continue_statement] = STATE(61),
    [sym_goto_statement] = STATE(61),
    [sym_seh_try_statement] = STATE(61),
    [sym_seh_leave_statement] = STATE(61),
    [sym__expression] = STATE(1480),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2777),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(727),
    [sym_layout_specification] = STATE(727),
    [aux_sym_declaration_repeat1] = STATE(727),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(663),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [aux_sym_case_statement_repeat1] = STATE(61),
    [sym_identifier] = ACTIONS(1148),
    [aux_sym_preproc_include_token1] = ACTIONS(1142),
    [aux_sym_preproc_def_token1] = ACTIONS(1142),
    [aux_sym_preproc_if_token1] = ACTIONS(1142),
    [aux_sym_preproc_if_token2] = ACTIONS(1142),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1142),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1142),
    [aux_sym_preproc_else_token1] = ACTIONS(1142),
    [aux_sym_preproc_elif_token1] = ACTIONS(1142),
    [sym_preproc_directive] = ACTIONS(1142),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(215),
    [anon_sym_invariant] = ACTIONS(211),
    [anon_sym_precise] = ACTIONS(211),
    [anon_sym_SEMI] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(215),
    [anon_sym_out] = ACTIONS(215),
    [anon_sym_inout] = ACTIONS(215),
    [anon_sym_uniform] = ACTIONS(215),
    [anon_sym_shared] = ACTIONS(215),
    [anon_sym_attribute] = ACTIONS(215),
    [anon_sym_varying] = ACTIONS(215),
    [anon_sym_buffer] = ACTIONS(215),
    [anon_sym_coherent] = ACTIONS(215),
    [anon_sym_readonly] = ACTIONS(215),
    [anon_sym_writeonly] = ACTIONS(215),
    [anon_sym_precision] = ACTIONS(215),
    [anon_sym_highp] = ACTIONS(215),
    [anon_sym_mediump] = ACTIONS(215),
    [anon_sym_lowp] = ACTIONS(215),
    [anon_sym_centroid] = ACTIONS(215),
    [anon_sym_sample] = ACTIONS(215),
    [anon_sym_patch] = ACTIONS(215),
    [anon_sym_smooth] = ACTIONS(215),
    [anon_sym_flat] = ACTIONS(215),
    [anon_sym_noperspective] = ACTIONS(215),
    [anon_sym___extension__] = ACTIONS(217),
    [anon_sym_typedef] = ACTIONS(219),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(1142),
    [anon_sym___clrcall] = ACTIONS(1142),
    [anon_sym___stdcall] = ACTIONS(1142),
    [anon_sym___fastcall] = ACTIONS(1142),
    [anon_sym___thiscall] = ACTIONS(1142),
    [anon_sym___vectorcall] = ACTIONS(1142),
    [anon_sym_LBRACE] = ACTIONS(223),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_else] = ACTIONS(1142),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_case] = ACTIONS(1142),
    [anon_sym_default] = ACTIONS(1142),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_do] = ACTIONS(235),
    [anon_sym_for] = ACTIONS(237),
    [anon_sym_return] = ACTIONS(239),
    [anon_sym_break] = ACTIONS(241),
    [anon_sym_continue] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym___try] = ACTIONS(247),
    [anon_sym___leave] = ACTIONS(249),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [60] = {
    [sym_declaration] = STATE(59),
    [sym_type_definition] = STATE(59),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1605),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_compound_statement] = STATE(59),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(59),
    [sym_labeled_statement] = STATE(59),
    [sym_expression_statement] = STATE(59),
    [sym_if_statement] = STATE(59),
    [sym_switch_statement] = STATE(59),
    [sym_while_statement] = STATE(59),
    [sym_do_statement] = STATE(59),
    [sym_for_statement] = STATE(59),
    [sym_return_statement] = STATE(59),
    [sym_break_statement] = STATE(59),
    [sym_continue_statement] = STATE(59),
    [sym_goto_statement] = STATE(59),
    [sym_seh_try_statement] = STATE(59),
    [sym_seh_leave_statement] = STATE(59),
    [sym__expression] = STATE(1480),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2777),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(727),
    [sym_layout_specification] = STATE(727),
    [aux_sym_declaration_repeat1] = STATE(727),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(663),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [aux_sym_case_statement_repeat1] = STATE(59),
    [sym_identifier] = ACTIONS(1148),
    [aux_sym_preproc_include_token1] = ACTIONS(1146),
    [aux_sym_preproc_def_token1] = ACTIONS(1146),
    [aux_sym_preproc_if_token1] = ACTIONS(1146),
    [aux_sym_preproc_if_token2] = ACTIONS(1146),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1146),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1146),
    [aux_sym_preproc_else_token1] = ACTIONS(1146),
    [aux_sym_preproc_elif_token1] = ACTIONS(1146),
    [sym_preproc_directive] = ACTIONS(1146),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(215),
    [anon_sym_invariant] = ACTIONS(211),
    [anon_sym_precise] = ACTIONS(211),
    [anon_sym_SEMI] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(215),
    [anon_sym_out] = ACTIONS(215),
    [anon_sym_inout] = ACTIONS(215),
    [anon_sym_uniform] = ACTIONS(215),
    [anon_sym_shared] = ACTIONS(215),
    [anon_sym_attribute] = ACTIONS(215),
    [anon_sym_varying] = ACTIONS(215),
    [anon_sym_buffer] = ACTIONS(215),
    [anon_sym_coherent] = ACTIONS(215),
    [anon_sym_readonly] = ACTIONS(215),
    [anon_sym_writeonly] = ACTIONS(215),
    [anon_sym_precision] = ACTIONS(215),
    [anon_sym_highp] = ACTIONS(215),
    [anon_sym_mediump] = ACTIONS(215),
    [anon_sym_lowp] = ACTIONS(215),
    [anon_sym_centroid] = ACTIONS(215),
    [anon_sym_sample] = ACTIONS(215),
    [anon_sym_patch] = ACTIONS(215),
    [anon_sym_smooth] = ACTIONS(215),
    [anon_sym_flat] = ACTIONS(215),
    [anon_sym_noperspective] = ACTIONS(215),
    [anon_sym___extension__] = ACTIONS(217),
    [anon_sym_typedef] = ACTIONS(219),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(1146),
    [anon_sym___clrcall] = ACTIONS(1146),
    [anon_sym___stdcall] = ACTIONS(1146),
    [anon_sym___fastcall] = ACTIONS(1146),
    [anon_sym___thiscall] = ACTIONS(1146),
    [anon_sym___vectorcall] = ACTIONS(1146),
    [anon_sym_LBRACE] = ACTIONS(223),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_else] = ACTIONS(1146),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_case] = ACTIONS(1146),
    [anon_sym_default] = ACTIONS(1146),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_do] = ACTIONS(235),
    [anon_sym_for] = ACTIONS(237),
    [anon_sym_return] = ACTIONS(239),
    [anon_sym_break] = ACTIONS(241),
    [anon_sym_continue] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym___try] = ACTIONS(247),
    [anon_sym___leave] = ACTIONS(249),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [61] = {
    [sym_declaration] = STATE(61),
    [sym_type_definition] = STATE(61),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1605),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_compound_statement] = STATE(61),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(61),
    [sym_labeled_statement] = STATE(61),
    [sym_expression_statement] = STATE(61),
    [sym_if_statement] = STATE(61),
    [sym_switch_statement] = STATE(61),
    [sym_while_statement] = STATE(61),
    [sym_do_statement] = STATE(61),
    [sym_for_statement] = STATE(61),
    [sym_return_statement] = STATE(61),
    [sym_break_statement] = STATE(61),
    [sym_continue_statement] = STATE(61),
    [sym_goto_statement] = STATE(61),
    [sym_seh_try_statement] = STATE(61),
    [sym_seh_leave_statement] = STATE(61),
    [sym__expression] = STATE(1480),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2777),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(727),
    [sym_layout_specification] = STATE(727),
    [aux_sym_declaration_repeat1] = STATE(727),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(663),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [aux_sym_case_statement_repeat1] = STATE(61),
    [sym_identifier] = ACTIONS(1150),
    [aux_sym_preproc_include_token1] = ACTIONS(1004),
    [aux_sym_preproc_def_token1] = ACTIONS(1004),
    [aux_sym_preproc_if_token1] = ACTIONS(1004),
    [aux_sym_preproc_if_token2] = ACTIONS(1004),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1004),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1004),
    [aux_sym_preproc_else_token1] = ACTIONS(1004),
    [aux_sym_preproc_elif_token1] = ACTIONS(1004),
    [sym_preproc_directive] = ACTIONS(1004),
    [anon_sym_LPAREN2] = ACTIONS(1006),
    [anon_sym_BANG] = ACTIONS(1009),
    [anon_sym_TILDE] = ACTIONS(1009),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_STAR] = ACTIONS(1015),
    [anon_sym_AMP] = ACTIONS(1015),
    [anon_sym_subroutine] = ACTIONS(1153),
    [anon_sym_invariant] = ACTIONS(1156),
    [anon_sym_precise] = ACTIONS(1156),
    [anon_sym_SEMI] = ACTIONS(1159),
    [anon_sym_in] = ACTIONS(1153),
    [anon_sym_out] = ACTIONS(1153),
    [anon_sym_inout] = ACTIONS(1153),
    [anon_sym_uniform] = ACTIONS(1153),
    [anon_sym_shared] = ACTIONS(1153),
    [anon_sym_attribute] = ACTIONS(1153),
    [anon_sym_varying] = ACTIONS(1153),
    [anon_sym_buffer] = ACTIONS(1153),
    [anon_sym_coherent] = ACTIONS(1153),
    [anon_sym_readonly] = ACTIONS(1153),
    [anon_sym_writeonly] = ACTIONS(1153),
    [anon_sym_precision] = ACTIONS(1153),
    [anon_sym_highp] = ACTIONS(1153),
    [anon_sym_mediump] = ACTIONS(1153),
    [anon_sym_lowp] = ACTIONS(1153),
    [anon_sym_centroid] = ACTIONS(1153),
    [anon_sym_sample] = ACTIONS(1153),
    [anon_sym_patch] = ACTIONS(1153),
    [anon_sym_smooth] = ACTIONS(1153),
    [anon_sym_flat] = ACTIONS(1153),
    [anon_sym_noperspective] = ACTIONS(1153),
    [anon_sym___extension__] = ACTIONS(1162),
    [anon_sym_typedef] = ACTIONS(1165),
    [anon_sym_extern] = ACTIONS(1033),
    [anon_sym___attribute__] = ACTIONS(1036),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1039),
    [anon_sym___declspec] = ACTIONS(1042),
    [anon_sym___cdecl] = ACTIONS(1004),
    [anon_sym___clrcall] = ACTIONS(1004),
    [anon_sym___stdcall] = ACTIONS(1004),
    [anon_sym___fastcall] = ACTIONS(1004),
    [anon_sym___thiscall] = ACTIONS(1004),
    [anon_sym___vectorcall] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1168),
    [anon_sym_signed] = ACTIONS(1048),
    [anon_sym_unsigned] = ACTIONS(1048),
    [anon_sym_long] = ACTIONS(1048),
    [anon_sym_short] = ACTIONS(1048),
    [anon_sym_static] = ACTIONS(1033),
    [anon_sym_auto] = ACTIONS(1033),
    [anon_sym_register] = ACTIONS(1033),
    [anon_sym_inline] = ACTIONS(1033),
    [anon_sym___inline] = ACTIONS(1033),
    [anon_sym___inline__] = ACTIONS(1033),
    [anon_sym___forceinline] = ACTIONS(1033),
    [anon_sym_thread_local] = ACTIONS(1033),
    [anon_sym___thread] = ACTIONS(1033),
    [anon_sym_const] = ACTIONS(1051),
    [anon_sym_constexpr] = ACTIONS(1051),
    [anon_sym_volatile] = ACTIONS(1051),
    [anon_sym_restrict] = ACTIONS(1051),
    [anon_sym___restrict__] = ACTIONS(1051),
    [anon_sym__Atomic] = ACTIONS(1051),
    [anon_sym__Noreturn] = ACTIONS(1051),
    [anon_sym_noreturn] = ACTIONS(1051),
    [sym_primitive_type] = ACTIONS(1054),
    [anon_sym_enum] = ACTIONS(1057),
    [anon_sym_struct] = ACTIONS(1060),
    [anon_sym_union] = ACTIONS(1063),
    [anon_sym_if] = ACTIONS(1171),
    [anon_sym_else] = ACTIONS(1004),
    [anon_sym_switch] = ACTIONS(1174),
    [anon_sym_case] = ACTIONS(1004),
    [anon_sym_default] = ACTIONS(1004),
    [anon_sym_while] = ACTIONS(1177),
    [anon_sym_do] = ACTIONS(1180),
    [anon_sym_for] = ACTIONS(1183),
    [anon_sym_return] = ACTIONS(1186),
    [anon_sym_break] = ACTIONS(1189),
    [anon_sym_continue] = ACTIONS(1192),
    [anon_sym_goto] = ACTIONS(1195),
    [anon_sym___try] = ACTIONS(1198),
    [anon_sym___leave] = ACTIONS(1201),
    [anon_sym_DASH_DASH] = ACTIONS(1099),
    [anon_sym_PLUS_PLUS] = ACTIONS(1099),
    [anon_sym_sizeof] = ACTIONS(1102),
    [anon_sym___alignof__] = ACTIONS(1105),
    [anon_sym___alignof] = ACTIONS(1105),
    [anon_sym__alignof] = ACTIONS(1105),
    [anon_sym_alignof] = ACTIONS(1105),
    [anon_sym__Alignof] = ACTIONS(1105),
    [anon_sym_offsetof] = ACTIONS(1108),
    [anon_sym__Generic] = ACTIONS(1111),
    [anon_sym_asm] = ACTIONS(1114),
    [anon_sym___asm__] = ACTIONS(1114),
    [sym_number_literal] = ACTIONS(1117),
    [anon_sym_L_SQUOTE] = ACTIONS(1120),
    [anon_sym_u_SQUOTE] = ACTIONS(1120),
    [anon_sym_U_SQUOTE] = ACTIONS(1120),
    [anon_sym_u8_SQUOTE] = ACTIONS(1120),
    [anon_sym_SQUOTE] = ACTIONS(1120),
    [anon_sym_L_DQUOTE] = ACTIONS(1123),
    [anon_sym_u_DQUOTE] = ACTIONS(1123),
    [anon_sym_U_DQUOTE] = ACTIONS(1123),
    [anon_sym_u8_DQUOTE] = ACTIONS(1123),
    [anon_sym_DQUOTE] = ACTIONS(1123),
    [sym_true] = ACTIONS(1126),
    [sym_false] = ACTIONS(1126),
    [anon_sym_NULL] = ACTIONS(1129),
    [anon_sym_nullptr] = ACTIONS(1129),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1132),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1132),
    [anon_sym_hitAttributeEXT] = ACTIONS(1132),
    [anon_sym_callableDataEXT] = ACTIONS(1132),
    [anon_sym_callableDataInEXT] = ACTIONS(1132),
    [anon_sym_shaderRecordEXT] = ACTIONS(1132),
    [anon_sym_rayPayloadNV] = ACTIONS(1132),
    [anon_sym_rayPayloadInNV] = ACTIONS(1132),
    [anon_sym_hitAttributeNV] = ACTIONS(1132),
    [anon_sym_callableDataNV] = ACTIONS(1132),
    [anon_sym_callableDataInNV] = ACTIONS(1132),
    [anon_sym_shaderRecordNV] = ACTIONS(1132),
    [anon_sym_layout] = ACTIONS(1135),
  },
  [62] = {
    [sym_declaration] = STATE(63),
    [sym_type_definition] = STATE(63),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1605),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_compound_statement] = STATE(63),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(63),
    [sym_labeled_statement] = STATE(63),
    [sym_expression_statement] = STATE(63),
    [sym_if_statement] = STATE(63),
    [sym_switch_statement] = STATE(63),
    [sym_while_statement] = STATE(63),
    [sym_do_statement] = STATE(63),
    [sym_for_statement] = STATE(63),
    [sym_return_statement] = STATE(63),
    [sym_break_statement] = STATE(63),
    [sym_continue_statement] = STATE(63),
    [sym_goto_statement] = STATE(63),
    [sym_seh_try_statement] = STATE(63),
    [sym_seh_leave_statement] = STATE(63),
    [sym__expression] = STATE(1480),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2777),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(727),
    [sym_layout_specification] = STATE(727),
    [aux_sym_declaration_repeat1] = STATE(727),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(663),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [aux_sym_case_statement_repeat1] = STATE(63),
    [sym_identifier] = ACTIONS(1148),
    [aux_sym_preproc_include_token1] = ACTIONS(1144),
    [aux_sym_preproc_def_token1] = ACTIONS(1144),
    [aux_sym_preproc_if_token1] = ACTIONS(1144),
    [aux_sym_preproc_if_token2] = ACTIONS(1144),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1144),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1144),
    [aux_sym_preproc_else_token1] = ACTIONS(1144),
    [aux_sym_preproc_elif_token1] = ACTIONS(1144),
    [sym_preproc_directive] = ACTIONS(1144),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(215),
    [anon_sym_invariant] = ACTIONS(211),
    [anon_sym_precise] = ACTIONS(211),
    [anon_sym_SEMI] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(215),
    [anon_sym_out] = ACTIONS(215),
    [anon_sym_inout] = ACTIONS(215),
    [anon_sym_uniform] = ACTIONS(215),
    [anon_sym_shared] = ACTIONS(215),
    [anon_sym_attribute] = ACTIONS(215),
    [anon_sym_varying] = ACTIONS(215),
    [anon_sym_buffer] = ACTIONS(215),
    [anon_sym_coherent] = ACTIONS(215),
    [anon_sym_readonly] = ACTIONS(215),
    [anon_sym_writeonly] = ACTIONS(215),
    [anon_sym_precision] = ACTIONS(215),
    [anon_sym_highp] = ACTIONS(215),
    [anon_sym_mediump] = ACTIONS(215),
    [anon_sym_lowp] = ACTIONS(215),
    [anon_sym_centroid] = ACTIONS(215),
    [anon_sym_sample] = ACTIONS(215),
    [anon_sym_patch] = ACTIONS(215),
    [anon_sym_smooth] = ACTIONS(215),
    [anon_sym_flat] = ACTIONS(215),
    [anon_sym_noperspective] = ACTIONS(215),
    [anon_sym___extension__] = ACTIONS(217),
    [anon_sym_typedef] = ACTIONS(219),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(1144),
    [anon_sym___clrcall] = ACTIONS(1144),
    [anon_sym___stdcall] = ACTIONS(1144),
    [anon_sym___fastcall] = ACTIONS(1144),
    [anon_sym___thiscall] = ACTIONS(1144),
    [anon_sym___vectorcall] = ACTIONS(1144),
    [anon_sym_LBRACE] = ACTIONS(223),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_else] = ACTIONS(1144),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_case] = ACTIONS(1144),
    [anon_sym_default] = ACTIONS(1144),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_do] = ACTIONS(235),
    [anon_sym_for] = ACTIONS(237),
    [anon_sym_return] = ACTIONS(239),
    [anon_sym_break] = ACTIONS(241),
    [anon_sym_continue] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym___try] = ACTIONS(247),
    [anon_sym___leave] = ACTIONS(249),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [63] = {
    [sym_declaration] = STATE(61),
    [sym_type_definition] = STATE(61),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1605),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_compound_statement] = STATE(61),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(61),
    [sym_labeled_statement] = STATE(61),
    [sym_expression_statement] = STATE(61),
    [sym_if_statement] = STATE(61),
    [sym_switch_statement] = STATE(61),
    [sym_while_statement] = STATE(61),
    [sym_do_statement] = STATE(61),
    [sym_for_statement] = STATE(61),
    [sym_return_statement] = STATE(61),
    [sym_break_statement] = STATE(61),
    [sym_continue_statement] = STATE(61),
    [sym_goto_statement] = STATE(61),
    [sym_seh_try_statement] = STATE(61),
    [sym_seh_leave_statement] = STATE(61),
    [sym__expression] = STATE(1480),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2777),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(727),
    [sym_layout_specification] = STATE(727),
    [aux_sym_declaration_repeat1] = STATE(727),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(663),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [aux_sym_case_statement_repeat1] = STATE(61),
    [sym_identifier] = ACTIONS(1148),
    [aux_sym_preproc_include_token1] = ACTIONS(1140),
    [aux_sym_preproc_def_token1] = ACTIONS(1140),
    [aux_sym_preproc_if_token1] = ACTIONS(1140),
    [aux_sym_preproc_if_token2] = ACTIONS(1140),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1140),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1140),
    [aux_sym_preproc_else_token1] = ACTIONS(1140),
    [aux_sym_preproc_elif_token1] = ACTIONS(1140),
    [sym_preproc_directive] = ACTIONS(1140),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(215),
    [anon_sym_invariant] = ACTIONS(211),
    [anon_sym_precise] = ACTIONS(211),
    [anon_sym_SEMI] = ACTIONS(213),
    [anon_sym_in] = ACTIONS(215),
    [anon_sym_out] = ACTIONS(215),
    [anon_sym_inout] = ACTIONS(215),
    [anon_sym_uniform] = ACTIONS(215),
    [anon_sym_shared] = ACTIONS(215),
    [anon_sym_attribute] = ACTIONS(215),
    [anon_sym_varying] = ACTIONS(215),
    [anon_sym_buffer] = ACTIONS(215),
    [anon_sym_coherent] = ACTIONS(215),
    [anon_sym_readonly] = ACTIONS(215),
    [anon_sym_writeonly] = ACTIONS(215),
    [anon_sym_precision] = ACTIONS(215),
    [anon_sym_highp] = ACTIONS(215),
    [anon_sym_mediump] = ACTIONS(215),
    [anon_sym_lowp] = ACTIONS(215),
    [anon_sym_centroid] = ACTIONS(215),
    [anon_sym_sample] = ACTIONS(215),
    [anon_sym_patch] = ACTIONS(215),
    [anon_sym_smooth] = ACTIONS(215),
    [anon_sym_flat] = ACTIONS(215),
    [anon_sym_noperspective] = ACTIONS(215),
    [anon_sym___extension__] = ACTIONS(217),
    [anon_sym_typedef] = ACTIONS(219),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(1140),
    [anon_sym___clrcall] = ACTIONS(1140),
    [anon_sym___stdcall] = ACTIONS(1140),
    [anon_sym___fastcall] = ACTIONS(1140),
    [anon_sym___thiscall] = ACTIONS(1140),
    [anon_sym___vectorcall] = ACTIONS(1140),
    [anon_sym_LBRACE] = ACTIONS(223),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_else] = ACTIONS(1140),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_case] = ACTIONS(1140),
    [anon_sym_default] = ACTIONS(1140),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_do] = ACTIONS(235),
    [anon_sym_for] = ACTIONS(237),
    [anon_sym_return] = ACTIONS(239),
    [anon_sym_break] = ACTIONS(241),
    [anon_sym_continue] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym___try] = ACTIONS(247),
    [anon_sym___leave] = ACTIONS(249),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [64] = {
    [sym_declaration] = STATE(67),
    [sym_type_definition] = STATE(67),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1608),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_compound_statement] = STATE(67),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(67),
    [sym_labeled_statement] = STATE(67),
    [sym_expression_statement] = STATE(67),
    [sym_if_statement] = STATE(67),
    [sym_switch_statement] = STATE(67),
    [sym_while_statement] = STATE(67),
    [sym_do_statement] = STATE(67),
    [sym_for_statement] = STATE(67),
    [sym_return_statement] = STATE(67),
    [sym_break_statement] = STATE(67),
    [sym_continue_statement] = STATE(67),
    [sym_goto_statement] = STATE(67),
    [sym_seh_try_statement] = STATE(67),
    [sym_seh_leave_statement] = STATE(67),
    [sym__expression] = STATE(1479),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2606),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(719),
    [sym_layout_specification] = STATE(719),
    [aux_sym_declaration_repeat1] = STATE(719),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(668),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [aux_sym_case_statement_repeat1] = STATE(67),
    [sym_identifier] = ACTIONS(1204),
    [aux_sym_preproc_include_token1] = ACTIONS(1140),
    [aux_sym_preproc_def_token1] = ACTIONS(1140),
    [aux_sym_preproc_if_token1] = ACTIONS(1140),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1140),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1140),
    [sym_preproc_directive] = ACTIONS(1140),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(543),
    [anon_sym_invariant] = ACTIONS(539),
    [anon_sym_precise] = ACTIONS(539),
    [anon_sym_SEMI] = ACTIONS(541),
    [anon_sym_in] = ACTIONS(543),
    [anon_sym_out] = ACTIONS(543),
    [anon_sym_inout] = ACTIONS(543),
    [anon_sym_uniform] = ACTIONS(543),
    [anon_sym_shared] = ACTIONS(543),
    [anon_sym_attribute] = ACTIONS(543),
    [anon_sym_varying] = ACTIONS(543),
    [anon_sym_buffer] = ACTIONS(543),
    [anon_sym_coherent] = ACTIONS(543),
    [anon_sym_readonly] = ACTIONS(543),
    [anon_sym_writeonly] = ACTIONS(543),
    [anon_sym_precision] = ACTIONS(543),
    [anon_sym_highp] = ACTIONS(543),
    [anon_sym_mediump] = ACTIONS(543),
    [anon_sym_lowp] = ACTIONS(543),
    [anon_sym_centroid] = ACTIONS(543),
    [anon_sym_sample] = ACTIONS(543),
    [anon_sym_patch] = ACTIONS(543),
    [anon_sym_smooth] = ACTIONS(543),
    [anon_sym_flat] = ACTIONS(543),
    [anon_sym_noperspective] = ACTIONS(543),
    [anon_sym___extension__] = ACTIONS(545),
    [anon_sym_typedef] = ACTIONS(547),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(1140),
    [anon_sym___clrcall] = ACTIONS(1140),
    [anon_sym___stdcall] = ACTIONS(1140),
    [anon_sym___fastcall] = ACTIONS(1140),
    [anon_sym___thiscall] = ACTIONS(1140),
    [anon_sym___vectorcall] = ACTIONS(1140),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_RBRACE] = ACTIONS(1206),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_else] = ACTIONS(1140),
    [anon_sym_switch] = ACTIONS(557),
    [anon_sym_case] = ACTIONS(1140),
    [anon_sym_default] = ACTIONS(1140),
    [anon_sym_while] = ACTIONS(563),
    [anon_sym_do] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(569),
    [anon_sym_break] = ACTIONS(571),
    [anon_sym_continue] = ACTIONS(573),
    [anon_sym_goto] = ACTIONS(575),
    [anon_sym___try] = ACTIONS(577),
    [anon_sym___leave] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [65] = {
    [sym_declaration] = STATE(78),
    [sym_type_definition] = STATE(78),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1601),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_compound_statement] = STATE(78),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(78),
    [sym_labeled_statement] = STATE(78),
    [sym_expression_statement] = STATE(78),
    [sym_if_statement] = STATE(78),
    [sym_switch_statement] = STATE(78),
    [sym_while_statement] = STATE(78),
    [sym_do_statement] = STATE(78),
    [sym_for_statement] = STATE(78),
    [sym_return_statement] = STATE(78),
    [sym_break_statement] = STATE(78),
    [sym_continue_statement] = STATE(78),
    [sym_goto_statement] = STATE(78),
    [sym_seh_try_statement] = STATE(78),
    [sym_seh_leave_statement] = STATE(78),
    [sym__expression] = STATE(1518),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2610),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(724),
    [sym_layout_specification] = STATE(724),
    [aux_sym_declaration_repeat1] = STATE(724),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(676),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [aux_sym_case_statement_repeat1] = STATE(78),
    [ts_builtin_sym_end] = ACTIONS(1206),
    [sym_identifier] = ACTIONS(1208),
    [aux_sym_preproc_include_token1] = ACTIONS(1140),
    [aux_sym_preproc_def_token1] = ACTIONS(1140),
    [aux_sym_preproc_if_token1] = ACTIONS(1140),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1140),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1140),
    [sym_preproc_directive] = ACTIONS(1140),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(31),
    [anon_sym_invariant] = ACTIONS(29),
    [anon_sym_precise] = ACTIONS(29),
    [anon_sym_SEMI] = ACTIONS(1210),
    [anon_sym_in] = ACTIONS(31),
    [anon_sym_out] = ACTIONS(31),
    [anon_sym_inout] = ACTIONS(31),
    [anon_sym_uniform] = ACTIONS(31),
    [anon_sym_shared] = ACTIONS(31),
    [anon_sym_attribute] = ACTIONS(31),
    [anon_sym_varying] = ACTIONS(31),
    [anon_sym_buffer] = ACTIONS(31),
    [anon_sym_coherent] = ACTIONS(31),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_writeonly] = ACTIONS(31),
    [anon_sym_precision] = ACTIONS(31),
    [anon_sym_highp] = ACTIONS(31),
    [anon_sym_mediump] = ACTIONS(31),
    [anon_sym_lowp] = ACTIONS(31),
    [anon_sym_centroid] = ACTIONS(31),
    [anon_sym_sample] = ACTIONS(31),
    [anon_sym_patch] = ACTIONS(31),
    [anon_sym_smooth] = ACTIONS(31),
    [anon_sym_flat] = ACTIONS(31),
    [anon_sym_noperspective] = ACTIONS(31),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(1140),
    [anon_sym___clrcall] = ACTIONS(1140),
    [anon_sym___stdcall] = ACTIONS(1140),
    [anon_sym___fastcall] = ACTIONS(1140),
    [anon_sym___thiscall] = ACTIONS(1140),
    [anon_sym___vectorcall] = ACTIONS(1140),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(63),
    [anon_sym_else] = ACTIONS(1140),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(1140),
    [anon_sym_default] = ACTIONS(1140),
    [anon_sym_while] = ACTIONS(71),
    [anon_sym_do] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(75),
    [anon_sym_return] = ACTIONS(77),
    [anon_sym_break] = ACTIONS(79),
    [anon_sym_continue] = ACTIONS(81),
    [anon_sym_goto] = ACTIONS(83),
    [anon_sym___try] = ACTIONS(1212),
    [anon_sym___leave] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [66] = {
    [sym_declaration] = STATE(67),
    [sym_type_definition] = STATE(67),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1608),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_compound_statement] = STATE(67),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(67),
    [sym_labeled_statement] = STATE(67),
    [sym_expression_statement] = STATE(67),
    [sym_if_statement] = STATE(67),
    [sym_switch_statement] = STATE(67),
    [sym_while_statement] = STATE(67),
    [sym_do_statement] = STATE(67),
    [sym_for_statement] = STATE(67),
    [sym_return_statement] = STATE(67),
    [sym_break_statement] = STATE(67),
    [sym_continue_statement] = STATE(67),
    [sym_goto_statement] = STATE(67),
    [sym_seh_try_statement] = STATE(67),
    [sym_seh_leave_statement] = STATE(67),
    [sym__expression] = STATE(1479),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2606),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(719),
    [sym_layout_specification] = STATE(719),
    [aux_sym_declaration_repeat1] = STATE(719),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(668),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [aux_sym_case_statement_repeat1] = STATE(67),
    [sym_identifier] = ACTIONS(1204),
    [aux_sym_preproc_include_token1] = ACTIONS(1142),
    [aux_sym_preproc_def_token1] = ACTIONS(1142),
    [aux_sym_preproc_if_token1] = ACTIONS(1142),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1142),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1142),
    [sym_preproc_directive] = ACTIONS(1142),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(543),
    [anon_sym_invariant] = ACTIONS(539),
    [anon_sym_precise] = ACTIONS(539),
    [anon_sym_SEMI] = ACTIONS(541),
    [anon_sym_in] = ACTIONS(543),
    [anon_sym_out] = ACTIONS(543),
    [anon_sym_inout] = ACTIONS(543),
    [anon_sym_uniform] = ACTIONS(543),
    [anon_sym_shared] = ACTIONS(543),
    [anon_sym_attribute] = ACTIONS(543),
    [anon_sym_varying] = ACTIONS(543),
    [anon_sym_buffer] = ACTIONS(543),
    [anon_sym_coherent] = ACTIONS(543),
    [anon_sym_readonly] = ACTIONS(543),
    [anon_sym_writeonly] = ACTIONS(543),
    [anon_sym_precision] = ACTIONS(543),
    [anon_sym_highp] = ACTIONS(543),
    [anon_sym_mediump] = ACTIONS(543),
    [anon_sym_lowp] = ACTIONS(543),
    [anon_sym_centroid] = ACTIONS(543),
    [anon_sym_sample] = ACTIONS(543),
    [anon_sym_patch] = ACTIONS(543),
    [anon_sym_smooth] = ACTIONS(543),
    [anon_sym_flat] = ACTIONS(543),
    [anon_sym_noperspective] = ACTIONS(543),
    [anon_sym___extension__] = ACTIONS(545),
    [anon_sym_typedef] = ACTIONS(547),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(1142),
    [anon_sym___clrcall] = ACTIONS(1142),
    [anon_sym___stdcall] = ACTIONS(1142),
    [anon_sym___fastcall] = ACTIONS(1142),
    [anon_sym___thiscall] = ACTIONS(1142),
    [anon_sym___vectorcall] = ACTIONS(1142),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_RBRACE] = ACTIONS(1216),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_else] = ACTIONS(1142),
    [anon_sym_switch] = ACTIONS(557),
    [anon_sym_case] = ACTIONS(1142),
    [anon_sym_default] = ACTIONS(1142),
    [anon_sym_while] = ACTIONS(563),
    [anon_sym_do] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(569),
    [anon_sym_break] = ACTIONS(571),
    [anon_sym_continue] = ACTIONS(573),
    [anon_sym_goto] = ACTIONS(575),
    [anon_sym___try] = ACTIONS(577),
    [anon_sym___leave] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [67] = {
    [sym_declaration] = STATE(67),
    [sym_type_definition] = STATE(67),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1608),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_compound_statement] = STATE(67),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(67),
    [sym_labeled_statement] = STATE(67),
    [sym_expression_statement] = STATE(67),
    [sym_if_statement] = STATE(67),
    [sym_switch_statement] = STATE(67),
    [sym_while_statement] = STATE(67),
    [sym_do_statement] = STATE(67),
    [sym_for_statement] = STATE(67),
    [sym_return_statement] = STATE(67),
    [sym_break_statement] = STATE(67),
    [sym_continue_statement] = STATE(67),
    [sym_goto_statement] = STATE(67),
    [sym_seh_try_statement] = STATE(67),
    [sym_seh_leave_statement] = STATE(67),
    [sym__expression] = STATE(1479),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2606),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(719),
    [sym_layout_specification] = STATE(719),
    [aux_sym_declaration_repeat1] = STATE(719),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(668),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [aux_sym_case_statement_repeat1] = STATE(67),
    [sym_identifier] = ACTIONS(1218),
    [aux_sym_preproc_include_token1] = ACTIONS(1004),
    [aux_sym_preproc_def_token1] = ACTIONS(1004),
    [aux_sym_preproc_if_token1] = ACTIONS(1004),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1004),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1004),
    [sym_preproc_directive] = ACTIONS(1004),
    [anon_sym_LPAREN2] = ACTIONS(1006),
    [anon_sym_BANG] = ACTIONS(1009),
    [anon_sym_TILDE] = ACTIONS(1009),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_STAR] = ACTIONS(1015),
    [anon_sym_AMP] = ACTIONS(1015),
    [anon_sym_subroutine] = ACTIONS(1221),
    [anon_sym_invariant] = ACTIONS(1224),
    [anon_sym_precise] = ACTIONS(1224),
    [anon_sym_SEMI] = ACTIONS(1227),
    [anon_sym_in] = ACTIONS(1221),
    [anon_sym_out] = ACTIONS(1221),
    [anon_sym_inout] = ACTIONS(1221),
    [anon_sym_uniform] = ACTIONS(1221),
    [anon_sym_shared] = ACTIONS(1221),
    [anon_sym_attribute] = ACTIONS(1221),
    [anon_sym_varying] = ACTIONS(1221),
    [anon_sym_buffer] = ACTIONS(1221),
    [anon_sym_coherent] = ACTIONS(1221),
    [anon_sym_readonly] = ACTIONS(1221),
    [anon_sym_writeonly] = ACTIONS(1221),
    [anon_sym_precision] = ACTIONS(1221),
    [anon_sym_highp] = ACTIONS(1221),
    [anon_sym_mediump] = ACTIONS(1221),
    [anon_sym_lowp] = ACTIONS(1221),
    [anon_sym_centroid] = ACTIONS(1221),
    [anon_sym_sample] = ACTIONS(1221),
    [anon_sym_patch] = ACTIONS(1221),
    [anon_sym_smooth] = ACTIONS(1221),
    [anon_sym_flat] = ACTIONS(1221),
    [anon_sym_noperspective] = ACTIONS(1221),
    [anon_sym___extension__] = ACTIONS(1230),
    [anon_sym_typedef] = ACTIONS(1233),
    [anon_sym_extern] = ACTIONS(1033),
    [anon_sym___attribute__] = ACTIONS(1036),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1039),
    [anon_sym___declspec] = ACTIONS(1042),
    [anon_sym___cdecl] = ACTIONS(1004),
    [anon_sym___clrcall] = ACTIONS(1004),
    [anon_sym___stdcall] = ACTIONS(1004),
    [anon_sym___fastcall] = ACTIONS(1004),
    [anon_sym___thiscall] = ACTIONS(1004),
    [anon_sym___vectorcall] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1236),
    [anon_sym_RBRACE] = ACTIONS(1239),
    [anon_sym_signed] = ACTIONS(1048),
    [anon_sym_unsigned] = ACTIONS(1048),
    [anon_sym_long] = ACTIONS(1048),
    [anon_sym_short] = ACTIONS(1048),
    [anon_sym_static] = ACTIONS(1033),
    [anon_sym_auto] = ACTIONS(1033),
    [anon_sym_register] = ACTIONS(1033),
    [anon_sym_inline] = ACTIONS(1033),
    [anon_sym___inline] = ACTIONS(1033),
    [anon_sym___inline__] = ACTIONS(1033),
    [anon_sym___forceinline] = ACTIONS(1033),
    [anon_sym_thread_local] = ACTIONS(1033),
    [anon_sym___thread] = ACTIONS(1033),
    [anon_sym_const] = ACTIONS(1051),
    [anon_sym_constexpr] = ACTIONS(1051),
    [anon_sym_volatile] = ACTIONS(1051),
    [anon_sym_restrict] = ACTIONS(1051),
    [anon_sym___restrict__] = ACTIONS(1051),
    [anon_sym__Atomic] = ACTIONS(1051),
    [anon_sym__Noreturn] = ACTIONS(1051),
    [anon_sym_noreturn] = ACTIONS(1051),
    [sym_primitive_type] = ACTIONS(1054),
    [anon_sym_enum] = ACTIONS(1057),
    [anon_sym_struct] = ACTIONS(1060),
    [anon_sym_union] = ACTIONS(1063),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_else] = ACTIONS(1004),
    [anon_sym_switch] = ACTIONS(1244),
    [anon_sym_case] = ACTIONS(1004),
    [anon_sym_default] = ACTIONS(1004),
    [anon_sym_while] = ACTIONS(1247),
    [anon_sym_do] = ACTIONS(1250),
    [anon_sym_for] = ACTIONS(1253),
    [anon_sym_return] = ACTIONS(1256),
    [anon_sym_break] = ACTIONS(1259),
    [anon_sym_continue] = ACTIONS(1262),
    [anon_sym_goto] = ACTIONS(1265),
    [anon_sym___try] = ACTIONS(1268),
    [anon_sym___leave] = ACTIONS(1271),
    [anon_sym_DASH_DASH] = ACTIONS(1099),
    [anon_sym_PLUS_PLUS] = ACTIONS(1099),
    [anon_sym_sizeof] = ACTIONS(1102),
    [anon_sym___alignof__] = ACTIONS(1105),
    [anon_sym___alignof] = ACTIONS(1105),
    [anon_sym__alignof] = ACTIONS(1105),
    [anon_sym_alignof] = ACTIONS(1105),
    [anon_sym__Alignof] = ACTIONS(1105),
    [anon_sym_offsetof] = ACTIONS(1108),
    [anon_sym__Generic] = ACTIONS(1111),
    [anon_sym_asm] = ACTIONS(1114),
    [anon_sym___asm__] = ACTIONS(1114),
    [sym_number_literal] = ACTIONS(1117),
    [anon_sym_L_SQUOTE] = ACTIONS(1120),
    [anon_sym_u_SQUOTE] = ACTIONS(1120),
    [anon_sym_U_SQUOTE] = ACTIONS(1120),
    [anon_sym_u8_SQUOTE] = ACTIONS(1120),
    [anon_sym_SQUOTE] = ACTIONS(1120),
    [anon_sym_L_DQUOTE] = ACTIONS(1123),
    [anon_sym_u_DQUOTE] = ACTIONS(1123),
    [anon_sym_U_DQUOTE] = ACTIONS(1123),
    [anon_sym_u8_DQUOTE] = ACTIONS(1123),
    [anon_sym_DQUOTE] = ACTIONS(1123),
    [sym_true] = ACTIONS(1126),
    [sym_false] = ACTIONS(1126),
    [anon_sym_NULL] = ACTIONS(1129),
    [anon_sym_nullptr] = ACTIONS(1129),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1132),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1132),
    [anon_sym_hitAttributeEXT] = ACTIONS(1132),
    [anon_sym_callableDataEXT] = ACTIONS(1132),
    [anon_sym_callableDataInEXT] = ACTIONS(1132),
    [anon_sym_shaderRecordEXT] = ACTIONS(1132),
    [anon_sym_rayPayloadNV] = ACTIONS(1132),
    [anon_sym_rayPayloadInNV] = ACTIONS(1132),
    [anon_sym_hitAttributeNV] = ACTIONS(1132),
    [anon_sym_callableDataNV] = ACTIONS(1132),
    [anon_sym_callableDataInNV] = ACTIONS(1132),
    [anon_sym_shaderRecordNV] = ACTIONS(1132),
    [anon_sym_layout] = ACTIONS(1135),
  },
  [68] = {
    [sym_declaration] = STATE(68),
    [sym_type_definition] = STATE(68),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1619),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_compound_statement] = STATE(68),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(68),
    [sym_labeled_statement] = STATE(68),
    [sym_expression_statement] = STATE(68),
    [sym_if_statement] = STATE(68),
    [sym_switch_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_do_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_return_statement] = STATE(68),
    [sym_break_statement] = STATE(68),
    [sym_continue_statement] = STATE(68),
    [sym_goto_statement] = STATE(68),
    [sym_seh_try_statement] = STATE(68),
    [sym_seh_leave_statement] = STATE(68),
    [sym__expression] = STATE(1522),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2775),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(723),
    [sym_layout_specification] = STATE(723),
    [aux_sym_declaration_repeat1] = STATE(723),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(662),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [aux_sym_case_statement_repeat1] = STATE(68),
    [sym_identifier] = ACTIONS(1274),
    [aux_sym_preproc_include_token1] = ACTIONS(1004),
    [aux_sym_preproc_def_token1] = ACTIONS(1004),
    [aux_sym_preproc_if_token1] = ACTIONS(1004),
    [aux_sym_preproc_if_token2] = ACTIONS(1004),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1004),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1004),
    [sym_preproc_directive] = ACTIONS(1004),
    [anon_sym_LPAREN2] = ACTIONS(1006),
    [anon_sym_BANG] = ACTIONS(1009),
    [anon_sym_TILDE] = ACTIONS(1009),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_STAR] = ACTIONS(1015),
    [anon_sym_AMP] = ACTIONS(1015),
    [anon_sym_subroutine] = ACTIONS(1277),
    [anon_sym_invariant] = ACTIONS(1280),
    [anon_sym_precise] = ACTIONS(1280),
    [anon_sym_SEMI] = ACTIONS(1283),
    [anon_sym_in] = ACTIONS(1277),
    [anon_sym_out] = ACTIONS(1277),
    [anon_sym_inout] = ACTIONS(1277),
    [anon_sym_uniform] = ACTIONS(1277),
    [anon_sym_shared] = ACTIONS(1277),
    [anon_sym_attribute] = ACTIONS(1277),
    [anon_sym_varying] = ACTIONS(1277),
    [anon_sym_buffer] = ACTIONS(1277),
    [anon_sym_coherent] = ACTIONS(1277),
    [anon_sym_readonly] = ACTIONS(1277),
    [anon_sym_writeonly] = ACTIONS(1277),
    [anon_sym_precision] = ACTIONS(1277),
    [anon_sym_highp] = ACTIONS(1277),
    [anon_sym_mediump] = ACTIONS(1277),
    [anon_sym_lowp] = ACTIONS(1277),
    [anon_sym_centroid] = ACTIONS(1277),
    [anon_sym_sample] = ACTIONS(1277),
    [anon_sym_patch] = ACTIONS(1277),
    [anon_sym_smooth] = ACTIONS(1277),
    [anon_sym_flat] = ACTIONS(1277),
    [anon_sym_noperspective] = ACTIONS(1277),
    [anon_sym___extension__] = ACTIONS(1286),
    [anon_sym_typedef] = ACTIONS(1289),
    [anon_sym_extern] = ACTIONS(1033),
    [anon_sym___attribute__] = ACTIONS(1036),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1039),
    [anon_sym___declspec] = ACTIONS(1042),
    [anon_sym___cdecl] = ACTIONS(1004),
    [anon_sym___clrcall] = ACTIONS(1004),
    [anon_sym___stdcall] = ACTIONS(1004),
    [anon_sym___fastcall] = ACTIONS(1004),
    [anon_sym___thiscall] = ACTIONS(1004),
    [anon_sym___vectorcall] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1292),
    [anon_sym_signed] = ACTIONS(1048),
    [anon_sym_unsigned] = ACTIONS(1048),
    [anon_sym_long] = ACTIONS(1048),
    [anon_sym_short] = ACTIONS(1048),
    [anon_sym_static] = ACTIONS(1033),
    [anon_sym_auto] = ACTIONS(1033),
    [anon_sym_register] = ACTIONS(1033),
    [anon_sym_inline] = ACTIONS(1033),
    [anon_sym___inline] = ACTIONS(1033),
    [anon_sym___inline__] = ACTIONS(1033),
    [anon_sym___forceinline] = ACTIONS(1033),
    [anon_sym_thread_local] = ACTIONS(1033),
    [anon_sym___thread] = ACTIONS(1033),
    [anon_sym_const] = ACTIONS(1051),
    [anon_sym_constexpr] = ACTIONS(1051),
    [anon_sym_volatile] = ACTIONS(1051),
    [anon_sym_restrict] = ACTIONS(1051),
    [anon_sym___restrict__] = ACTIONS(1051),
    [anon_sym__Atomic] = ACTIONS(1051),
    [anon_sym__Noreturn] = ACTIONS(1051),
    [anon_sym_noreturn] = ACTIONS(1051),
    [sym_primitive_type] = ACTIONS(1054),
    [anon_sym_enum] = ACTIONS(1057),
    [anon_sym_struct] = ACTIONS(1060),
    [anon_sym_union] = ACTIONS(1063),
    [anon_sym_if] = ACTIONS(1295),
    [anon_sym_else] = ACTIONS(1004),
    [anon_sym_switch] = ACTIONS(1298),
    [anon_sym_case] = ACTIONS(1004),
    [anon_sym_default] = ACTIONS(1004),
    [anon_sym_while] = ACTIONS(1301),
    [anon_sym_do] = ACTIONS(1304),
    [anon_sym_for] = ACTIONS(1307),
    [anon_sym_return] = ACTIONS(1310),
    [anon_sym_break] = ACTIONS(1313),
    [anon_sym_continue] = ACTIONS(1316),
    [anon_sym_goto] = ACTIONS(1319),
    [anon_sym___try] = ACTIONS(1322),
    [anon_sym___leave] = ACTIONS(1325),
    [anon_sym_DASH_DASH] = ACTIONS(1099),
    [anon_sym_PLUS_PLUS] = ACTIONS(1099),
    [anon_sym_sizeof] = ACTIONS(1102),
    [anon_sym___alignof__] = ACTIONS(1105),
    [anon_sym___alignof] = ACTIONS(1105),
    [anon_sym__alignof] = ACTIONS(1105),
    [anon_sym_alignof] = ACTIONS(1105),
    [anon_sym__Alignof] = ACTIONS(1105),
    [anon_sym_offsetof] = ACTIONS(1108),
    [anon_sym__Generic] = ACTIONS(1111),
    [anon_sym_asm] = ACTIONS(1114),
    [anon_sym___asm__] = ACTIONS(1114),
    [sym_number_literal] = ACTIONS(1117),
    [anon_sym_L_SQUOTE] = ACTIONS(1120),
    [anon_sym_u_SQUOTE] = ACTIONS(1120),
    [anon_sym_U_SQUOTE] = ACTIONS(1120),
    [anon_sym_u8_SQUOTE] = ACTIONS(1120),
    [anon_sym_SQUOTE] = ACTIONS(1120),
    [anon_sym_L_DQUOTE] = ACTIONS(1123),
    [anon_sym_u_DQUOTE] = ACTIONS(1123),
    [anon_sym_U_DQUOTE] = ACTIONS(1123),
    [anon_sym_u8_DQUOTE] = ACTIONS(1123),
    [anon_sym_DQUOTE] = ACTIONS(1123),
    [sym_true] = ACTIONS(1126),
    [sym_false] = ACTIONS(1126),
    [anon_sym_NULL] = ACTIONS(1129),
    [anon_sym_nullptr] = ACTIONS(1129),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1132),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1132),
    [anon_sym_hitAttributeEXT] = ACTIONS(1132),
    [anon_sym_callableDataEXT] = ACTIONS(1132),
    [anon_sym_callableDataInEXT] = ACTIONS(1132),
    [anon_sym_shaderRecordEXT] = ACTIONS(1132),
    [anon_sym_rayPayloadNV] = ACTIONS(1132),
    [anon_sym_rayPayloadInNV] = ACTIONS(1132),
    [anon_sym_hitAttributeNV] = ACTIONS(1132),
    [anon_sym_callableDataNV] = ACTIONS(1132),
    [anon_sym_callableDataInNV] = ACTIONS(1132),
    [anon_sym_shaderRecordNV] = ACTIONS(1132),
    [anon_sym_layout] = ACTIONS(1135),
  },
  [69] = {
    [sym_declaration] = STATE(68),
    [sym_type_definition] = STATE(68),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1619),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_compound_statement] = STATE(68),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(68),
    [sym_labeled_statement] = STATE(68),
    [sym_expression_statement] = STATE(68),
    [sym_if_statement] = STATE(68),
    [sym_switch_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_do_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_return_statement] = STATE(68),
    [sym_break_statement] = STATE(68),
    [sym_continue_statement] = STATE(68),
    [sym_goto_statement] = STATE(68),
    [sym_seh_try_statement] = STATE(68),
    [sym_seh_leave_statement] = STATE(68),
    [sym__expression] = STATE(1522),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2775),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(723),
    [sym_layout_specification] = STATE(723),
    [aux_sym_declaration_repeat1] = STATE(723),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(662),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [aux_sym_case_statement_repeat1] = STATE(68),
    [sym_identifier] = ACTIONS(1328),
    [aux_sym_preproc_include_token1] = ACTIONS(1140),
    [aux_sym_preproc_def_token1] = ACTIONS(1140),
    [aux_sym_preproc_if_token1] = ACTIONS(1140),
    [aux_sym_preproc_if_token2] = ACTIONS(1140),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1140),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1140),
    [sym_preproc_directive] = ACTIONS(1140),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(617),
    [anon_sym_invariant] = ACTIONS(613),
    [anon_sym_precise] = ACTIONS(613),
    [anon_sym_SEMI] = ACTIONS(615),
    [anon_sym_in] = ACTIONS(617),
    [anon_sym_out] = ACTIONS(617),
    [anon_sym_inout] = ACTIONS(617),
    [anon_sym_uniform] = ACTIONS(617),
    [anon_sym_shared] = ACTIONS(617),
    [anon_sym_attribute] = ACTIONS(617),
    [anon_sym_varying] = ACTIONS(617),
    [anon_sym_buffer] = ACTIONS(617),
    [anon_sym_coherent] = ACTIONS(617),
    [anon_sym_readonly] = ACTIONS(617),
    [anon_sym_writeonly] = ACTIONS(617),
    [anon_sym_precision] = ACTIONS(617),
    [anon_sym_highp] = ACTIONS(617),
    [anon_sym_mediump] = ACTIONS(617),
    [anon_sym_lowp] = ACTIONS(617),
    [anon_sym_centroid] = ACTIONS(617),
    [anon_sym_sample] = ACTIONS(617),
    [anon_sym_patch] = ACTIONS(617),
    [anon_sym_smooth] = ACTIONS(617),
    [anon_sym_flat] = ACTIONS(617),
    [anon_sym_noperspective] = ACTIONS(617),
    [anon_sym___extension__] = ACTIONS(619),
    [anon_sym_typedef] = ACTIONS(621),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(1140),
    [anon_sym___clrcall] = ACTIONS(1140),
    [anon_sym___stdcall] = ACTIONS(1140),
    [anon_sym___fastcall] = ACTIONS(1140),
    [anon_sym___thiscall] = ACTIONS(1140),
    [anon_sym___vectorcall] = ACTIONS(1140),
    [anon_sym_LBRACE] = ACTIONS(625),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(627),
    [anon_sym_else] = ACTIONS(1140),
    [anon_sym_switch] = ACTIONS(629),
    [anon_sym_case] = ACTIONS(1140),
    [anon_sym_default] = ACTIONS(1140),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_do] = ACTIONS(637),
    [anon_sym_for] = ACTIONS(639),
    [anon_sym_return] = ACTIONS(641),
    [anon_sym_break] = ACTIONS(643),
    [anon_sym_continue] = ACTIONS(645),
    [anon_sym_goto] = ACTIONS(647),
    [anon_sym___try] = ACTIONS(649),
    [anon_sym___leave] = ACTIONS(651),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [70] = {
    [sym_declaration] = STATE(65),
    [sym_type_definition] = STATE(65),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1601),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_compound_statement] = STATE(65),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(65),
    [sym_labeled_statement] = STATE(65),
    [sym_expression_statement] = STATE(65),
    [sym_if_statement] = STATE(65),
    [sym_switch_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_do_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_return_statement] = STATE(65),
    [sym_break_statement] = STATE(65),
    [sym_continue_statement] = STATE(65),
    [sym_goto_statement] = STATE(65),
    [sym_seh_try_statement] = STATE(65),
    [sym_seh_leave_statement] = STATE(65),
    [sym__expression] = STATE(1518),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2610),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(724),
    [sym_layout_specification] = STATE(724),
    [aux_sym_declaration_repeat1] = STATE(724),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(676),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [aux_sym_case_statement_repeat1] = STATE(65),
    [ts_builtin_sym_end] = ACTIONS(1330),
    [sym_identifier] = ACTIONS(1208),
    [aux_sym_preproc_include_token1] = ACTIONS(1144),
    [aux_sym_preproc_def_token1] = ACTIONS(1144),
    [aux_sym_preproc_if_token1] = ACTIONS(1144),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1144),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1144),
    [sym_preproc_directive] = ACTIONS(1144),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(31),
    [anon_sym_invariant] = ACTIONS(29),
    [anon_sym_precise] = ACTIONS(29),
    [anon_sym_SEMI] = ACTIONS(1210),
    [anon_sym_in] = ACTIONS(31),
    [anon_sym_out] = ACTIONS(31),
    [anon_sym_inout] = ACTIONS(31),
    [anon_sym_uniform] = ACTIONS(31),
    [anon_sym_shared] = ACTIONS(31),
    [anon_sym_attribute] = ACTIONS(31),
    [anon_sym_varying] = ACTIONS(31),
    [anon_sym_buffer] = ACTIONS(31),
    [anon_sym_coherent] = ACTIONS(31),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_writeonly] = ACTIONS(31),
    [anon_sym_precision] = ACTIONS(31),
    [anon_sym_highp] = ACTIONS(31),
    [anon_sym_mediump] = ACTIONS(31),
    [anon_sym_lowp] = ACTIONS(31),
    [anon_sym_centroid] = ACTIONS(31),
    [anon_sym_sample] = ACTIONS(31),
    [anon_sym_patch] = ACTIONS(31),
    [anon_sym_smooth] = ACTIONS(31),
    [anon_sym_flat] = ACTIONS(31),
    [anon_sym_noperspective] = ACTIONS(31),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(1144),
    [anon_sym___clrcall] = ACTIONS(1144),
    [anon_sym___stdcall] = ACTIONS(1144),
    [anon_sym___fastcall] = ACTIONS(1144),
    [anon_sym___thiscall] = ACTIONS(1144),
    [anon_sym___vectorcall] = ACTIONS(1144),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(63),
    [anon_sym_else] = ACTIONS(1144),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(1144),
    [anon_sym_default] = ACTIONS(1144),
    [anon_sym_while] = ACTIONS(71),
    [anon_sym_do] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(75),
    [anon_sym_return] = ACTIONS(77),
    [anon_sym_break] = ACTIONS(79),
    [anon_sym_continue] = ACTIONS(81),
    [anon_sym_goto] = ACTIONS(83),
    [anon_sym___try] = ACTIONS(1212),
    [anon_sym___leave] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [71] = {
    [sym_declaration] = STATE(78),
    [sym_type_definition] = STATE(78),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1601),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_compound_statement] = STATE(78),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(78),
    [sym_labeled_statement] = STATE(78),
    [sym_expression_statement] = STATE(78),
    [sym_if_statement] = STATE(78),
    [sym_switch_statement] = STATE(78),
    [sym_while_statement] = STATE(78),
    [sym_do_statement] = STATE(78),
    [sym_for_statement] = STATE(78),
    [sym_return_statement] = STATE(78),
    [sym_break_statement] = STATE(78),
    [sym_continue_statement] = STATE(78),
    [sym_goto_statement] = STATE(78),
    [sym_seh_try_statement] = STATE(78),
    [sym_seh_leave_statement] = STATE(78),
    [sym__expression] = STATE(1518),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2610),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(724),
    [sym_layout_specification] = STATE(724),
    [aux_sym_declaration_repeat1] = STATE(724),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(676),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [aux_sym_case_statement_repeat1] = STATE(78),
    [ts_builtin_sym_end] = ACTIONS(1216),
    [sym_identifier] = ACTIONS(1208),
    [aux_sym_preproc_include_token1] = ACTIONS(1142),
    [aux_sym_preproc_def_token1] = ACTIONS(1142),
    [aux_sym_preproc_if_token1] = ACTIONS(1142),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1142),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1142),
    [sym_preproc_directive] = ACTIONS(1142),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(31),
    [anon_sym_invariant] = ACTIONS(29),
    [anon_sym_precise] = ACTIONS(29),
    [anon_sym_SEMI] = ACTIONS(1210),
    [anon_sym_in] = ACTIONS(31),
    [anon_sym_out] = ACTIONS(31),
    [anon_sym_inout] = ACTIONS(31),
    [anon_sym_uniform] = ACTIONS(31),
    [anon_sym_shared] = ACTIONS(31),
    [anon_sym_attribute] = ACTIONS(31),
    [anon_sym_varying] = ACTIONS(31),
    [anon_sym_buffer] = ACTIONS(31),
    [anon_sym_coherent] = ACTIONS(31),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_writeonly] = ACTIONS(31),
    [anon_sym_precision] = ACTIONS(31),
    [anon_sym_highp] = ACTIONS(31),
    [anon_sym_mediump] = ACTIONS(31),
    [anon_sym_lowp] = ACTIONS(31),
    [anon_sym_centroid] = ACTIONS(31),
    [anon_sym_sample] = ACTIONS(31),
    [anon_sym_patch] = ACTIONS(31),
    [anon_sym_smooth] = ACTIONS(31),
    [anon_sym_flat] = ACTIONS(31),
    [anon_sym_noperspective] = ACTIONS(31),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(1142),
    [anon_sym___clrcall] = ACTIONS(1142),
    [anon_sym___stdcall] = ACTIONS(1142),
    [anon_sym___fastcall] = ACTIONS(1142),
    [anon_sym___thiscall] = ACTIONS(1142),
    [anon_sym___vectorcall] = ACTIONS(1142),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(63),
    [anon_sym_else] = ACTIONS(1142),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(1142),
    [anon_sym_default] = ACTIONS(1142),
    [anon_sym_while] = ACTIONS(71),
    [anon_sym_do] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(75),
    [anon_sym_return] = ACTIONS(77),
    [anon_sym_break] = ACTIONS(79),
    [anon_sym_continue] = ACTIONS(81),
    [anon_sym_goto] = ACTIONS(83),
    [anon_sym___try] = ACTIONS(1212),
    [anon_sym___leave] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [72] = {
    [sym_declaration] = STATE(68),
    [sym_type_definition] = STATE(68),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1619),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_compound_statement] = STATE(68),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(68),
    [sym_labeled_statement] = STATE(68),
    [sym_expression_statement] = STATE(68),
    [sym_if_statement] = STATE(68),
    [sym_switch_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_do_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_return_statement] = STATE(68),
    [sym_break_statement] = STATE(68),
    [sym_continue_statement] = STATE(68),
    [sym_goto_statement] = STATE(68),
    [sym_seh_try_statement] = STATE(68),
    [sym_seh_leave_statement] = STATE(68),
    [sym__expression] = STATE(1522),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2775),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(723),
    [sym_layout_specification] = STATE(723),
    [aux_sym_declaration_repeat1] = STATE(723),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(662),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [aux_sym_case_statement_repeat1] = STATE(68),
    [sym_identifier] = ACTIONS(1328),
    [aux_sym_preproc_include_token1] = ACTIONS(1142),
    [aux_sym_preproc_def_token1] = ACTIONS(1142),
    [aux_sym_preproc_if_token1] = ACTIONS(1142),
    [aux_sym_preproc_if_token2] = ACTIONS(1142),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1142),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1142),
    [sym_preproc_directive] = ACTIONS(1142),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(617),
    [anon_sym_invariant] = ACTIONS(613),
    [anon_sym_precise] = ACTIONS(613),
    [anon_sym_SEMI] = ACTIONS(615),
    [anon_sym_in] = ACTIONS(617),
    [anon_sym_out] = ACTIONS(617),
    [anon_sym_inout] = ACTIONS(617),
    [anon_sym_uniform] = ACTIONS(617),
    [anon_sym_shared] = ACTIONS(617),
    [anon_sym_attribute] = ACTIONS(617),
    [anon_sym_varying] = ACTIONS(617),
    [anon_sym_buffer] = ACTIONS(617),
    [anon_sym_coherent] = ACTIONS(617),
    [anon_sym_readonly] = ACTIONS(617),
    [anon_sym_writeonly] = ACTIONS(617),
    [anon_sym_precision] = ACTIONS(617),
    [anon_sym_highp] = ACTIONS(617),
    [anon_sym_mediump] = ACTIONS(617),
    [anon_sym_lowp] = ACTIONS(617),
    [anon_sym_centroid] = ACTIONS(617),
    [anon_sym_sample] = ACTIONS(617),
    [anon_sym_patch] = ACTIONS(617),
    [anon_sym_smooth] = ACTIONS(617),
    [anon_sym_flat] = ACTIONS(617),
    [anon_sym_noperspective] = ACTIONS(617),
    [anon_sym___extension__] = ACTIONS(619),
    [anon_sym_typedef] = ACTIONS(621),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(1142),
    [anon_sym___clrcall] = ACTIONS(1142),
    [anon_sym___stdcall] = ACTIONS(1142),
    [anon_sym___fastcall] = ACTIONS(1142),
    [anon_sym___thiscall] = ACTIONS(1142),
    [anon_sym___vectorcall] = ACTIONS(1142),
    [anon_sym_LBRACE] = ACTIONS(625),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(627),
    [anon_sym_else] = ACTIONS(1142),
    [anon_sym_switch] = ACTIONS(629),
    [anon_sym_case] = ACTIONS(1142),
    [anon_sym_default] = ACTIONS(1142),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_do] = ACTIONS(637),
    [anon_sym_for] = ACTIONS(639),
    [anon_sym_return] = ACTIONS(641),
    [anon_sym_break] = ACTIONS(643),
    [anon_sym_continue] = ACTIONS(645),
    [anon_sym_goto] = ACTIONS(647),
    [anon_sym___try] = ACTIONS(649),
    [anon_sym___leave] = ACTIONS(651),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [73] = {
    [sym_declaration] = STATE(69),
    [sym_type_definition] = STATE(69),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1619),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_compound_statement] = STATE(69),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(69),
    [sym_labeled_statement] = STATE(69),
    [sym_expression_statement] = STATE(69),
    [sym_if_statement] = STATE(69),
    [sym_switch_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_do_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_return_statement] = STATE(69),
    [sym_break_statement] = STATE(69),
    [sym_continue_statement] = STATE(69),
    [sym_goto_statement] = STATE(69),
    [sym_seh_try_statement] = STATE(69),
    [sym_seh_leave_statement] = STATE(69),
    [sym__expression] = STATE(1522),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2775),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(723),
    [sym_layout_specification] = STATE(723),
    [aux_sym_declaration_repeat1] = STATE(723),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(662),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [aux_sym_case_statement_repeat1] = STATE(69),
    [sym_identifier] = ACTIONS(1328),
    [aux_sym_preproc_include_token1] = ACTIONS(1144),
    [aux_sym_preproc_def_token1] = ACTIONS(1144),
    [aux_sym_preproc_if_token1] = ACTIONS(1144),
    [aux_sym_preproc_if_token2] = ACTIONS(1144),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1144),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1144),
    [sym_preproc_directive] = ACTIONS(1144),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(617),
    [anon_sym_invariant] = ACTIONS(613),
    [anon_sym_precise] = ACTIONS(613),
    [anon_sym_SEMI] = ACTIONS(615),
    [anon_sym_in] = ACTIONS(617),
    [anon_sym_out] = ACTIONS(617),
    [anon_sym_inout] = ACTIONS(617),
    [anon_sym_uniform] = ACTIONS(617),
    [anon_sym_shared] = ACTIONS(617),
    [anon_sym_attribute] = ACTIONS(617),
    [anon_sym_varying] = ACTIONS(617),
    [anon_sym_buffer] = ACTIONS(617),
    [anon_sym_coherent] = ACTIONS(617),
    [anon_sym_readonly] = ACTIONS(617),
    [anon_sym_writeonly] = ACTIONS(617),
    [anon_sym_precision] = ACTIONS(617),
    [anon_sym_highp] = ACTIONS(617),
    [anon_sym_mediump] = ACTIONS(617),
    [anon_sym_lowp] = ACTIONS(617),
    [anon_sym_centroid] = ACTIONS(617),
    [anon_sym_sample] = ACTIONS(617),
    [anon_sym_patch] = ACTIONS(617),
    [anon_sym_smooth] = ACTIONS(617),
    [anon_sym_flat] = ACTIONS(617),
    [anon_sym_noperspective] = ACTIONS(617),
    [anon_sym___extension__] = ACTIONS(619),
    [anon_sym_typedef] = ACTIONS(621),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(1144),
    [anon_sym___clrcall] = ACTIONS(1144),
    [anon_sym___stdcall] = ACTIONS(1144),
    [anon_sym___fastcall] = ACTIONS(1144),
    [anon_sym___thiscall] = ACTIONS(1144),
    [anon_sym___vectorcall] = ACTIONS(1144),
    [anon_sym_LBRACE] = ACTIONS(625),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(627),
    [anon_sym_else] = ACTIONS(1144),
    [anon_sym_switch] = ACTIONS(629),
    [anon_sym_case] = ACTIONS(1144),
    [anon_sym_default] = ACTIONS(1144),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_do] = ACTIONS(637),
    [anon_sym_for] = ACTIONS(639),
    [anon_sym_return] = ACTIONS(641),
    [anon_sym_break] = ACTIONS(643),
    [anon_sym_continue] = ACTIONS(645),
    [anon_sym_goto] = ACTIONS(647),
    [anon_sym___try] = ACTIONS(649),
    [anon_sym___leave] = ACTIONS(651),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [74] = {
    [sym_declaration] = STATE(64),
    [sym_type_definition] = STATE(64),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1608),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_compound_statement] = STATE(64),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(64),
    [sym_labeled_statement] = STATE(64),
    [sym_expression_statement] = STATE(64),
    [sym_if_statement] = STATE(64),
    [sym_switch_statement] = STATE(64),
    [sym_while_statement] = STATE(64),
    [sym_do_statement] = STATE(64),
    [sym_for_statement] = STATE(64),
    [sym_return_statement] = STATE(64),
    [sym_break_statement] = STATE(64),
    [sym_continue_statement] = STATE(64),
    [sym_goto_statement] = STATE(64),
    [sym_seh_try_statement] = STATE(64),
    [sym_seh_leave_statement] = STATE(64),
    [sym__expression] = STATE(1479),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2606),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(719),
    [sym_layout_specification] = STATE(719),
    [aux_sym_declaration_repeat1] = STATE(719),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(668),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [aux_sym_case_statement_repeat1] = STATE(64),
    [sym_identifier] = ACTIONS(1204),
    [aux_sym_preproc_include_token1] = ACTIONS(1144),
    [aux_sym_preproc_def_token1] = ACTIONS(1144),
    [aux_sym_preproc_if_token1] = ACTIONS(1144),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1144),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1144),
    [sym_preproc_directive] = ACTIONS(1144),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(543),
    [anon_sym_invariant] = ACTIONS(539),
    [anon_sym_precise] = ACTIONS(539),
    [anon_sym_SEMI] = ACTIONS(541),
    [anon_sym_in] = ACTIONS(543),
    [anon_sym_out] = ACTIONS(543),
    [anon_sym_inout] = ACTIONS(543),
    [anon_sym_uniform] = ACTIONS(543),
    [anon_sym_shared] = ACTIONS(543),
    [anon_sym_attribute] = ACTIONS(543),
    [anon_sym_varying] = ACTIONS(543),
    [anon_sym_buffer] = ACTIONS(543),
    [anon_sym_coherent] = ACTIONS(543),
    [anon_sym_readonly] = ACTIONS(543),
    [anon_sym_writeonly] = ACTIONS(543),
    [anon_sym_precision] = ACTIONS(543),
    [anon_sym_highp] = ACTIONS(543),
    [anon_sym_mediump] = ACTIONS(543),
    [anon_sym_lowp] = ACTIONS(543),
    [anon_sym_centroid] = ACTIONS(543),
    [anon_sym_sample] = ACTIONS(543),
    [anon_sym_patch] = ACTIONS(543),
    [anon_sym_smooth] = ACTIONS(543),
    [anon_sym_flat] = ACTIONS(543),
    [anon_sym_noperspective] = ACTIONS(543),
    [anon_sym___extension__] = ACTIONS(545),
    [anon_sym_typedef] = ACTIONS(547),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(1144),
    [anon_sym___clrcall] = ACTIONS(1144),
    [anon_sym___stdcall] = ACTIONS(1144),
    [anon_sym___fastcall] = ACTIONS(1144),
    [anon_sym___thiscall] = ACTIONS(1144),
    [anon_sym___vectorcall] = ACTIONS(1144),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_RBRACE] = ACTIONS(1330),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_else] = ACTIONS(1144),
    [anon_sym_switch] = ACTIONS(557),
    [anon_sym_case] = ACTIONS(1144),
    [anon_sym_default] = ACTIONS(1144),
    [anon_sym_while] = ACTIONS(563),
    [anon_sym_do] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(569),
    [anon_sym_break] = ACTIONS(571),
    [anon_sym_continue] = ACTIONS(573),
    [anon_sym_goto] = ACTIONS(575),
    [anon_sym___try] = ACTIONS(577),
    [anon_sym___leave] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [75] = {
    [sym_declaration] = STATE(66),
    [sym_type_definition] = STATE(66),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1608),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_compound_statement] = STATE(66),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(66),
    [sym_labeled_statement] = STATE(66),
    [sym_expression_statement] = STATE(66),
    [sym_if_statement] = STATE(66),
    [sym_switch_statement] = STATE(66),
    [sym_while_statement] = STATE(66),
    [sym_do_statement] = STATE(66),
    [sym_for_statement] = STATE(66),
    [sym_return_statement] = STATE(66),
    [sym_break_statement] = STATE(66),
    [sym_continue_statement] = STATE(66),
    [sym_goto_statement] = STATE(66),
    [sym_seh_try_statement] = STATE(66),
    [sym_seh_leave_statement] = STATE(66),
    [sym__expression] = STATE(1479),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2606),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(719),
    [sym_layout_specification] = STATE(719),
    [aux_sym_declaration_repeat1] = STATE(719),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(668),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [aux_sym_case_statement_repeat1] = STATE(66),
    [sym_identifier] = ACTIONS(1204),
    [aux_sym_preproc_include_token1] = ACTIONS(1146),
    [aux_sym_preproc_def_token1] = ACTIONS(1146),
    [aux_sym_preproc_if_token1] = ACTIONS(1146),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1146),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1146),
    [sym_preproc_directive] = ACTIONS(1146),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(543),
    [anon_sym_invariant] = ACTIONS(539),
    [anon_sym_precise] = ACTIONS(539),
    [anon_sym_SEMI] = ACTIONS(541),
    [anon_sym_in] = ACTIONS(543),
    [anon_sym_out] = ACTIONS(543),
    [anon_sym_inout] = ACTIONS(543),
    [anon_sym_uniform] = ACTIONS(543),
    [anon_sym_shared] = ACTIONS(543),
    [anon_sym_attribute] = ACTIONS(543),
    [anon_sym_varying] = ACTIONS(543),
    [anon_sym_buffer] = ACTIONS(543),
    [anon_sym_coherent] = ACTIONS(543),
    [anon_sym_readonly] = ACTIONS(543),
    [anon_sym_writeonly] = ACTIONS(543),
    [anon_sym_precision] = ACTIONS(543),
    [anon_sym_highp] = ACTIONS(543),
    [anon_sym_mediump] = ACTIONS(543),
    [anon_sym_lowp] = ACTIONS(543),
    [anon_sym_centroid] = ACTIONS(543),
    [anon_sym_sample] = ACTIONS(543),
    [anon_sym_patch] = ACTIONS(543),
    [anon_sym_smooth] = ACTIONS(543),
    [anon_sym_flat] = ACTIONS(543),
    [anon_sym_noperspective] = ACTIONS(543),
    [anon_sym___extension__] = ACTIONS(545),
    [anon_sym_typedef] = ACTIONS(547),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(1146),
    [anon_sym___clrcall] = ACTIONS(1146),
    [anon_sym___stdcall] = ACTIONS(1146),
    [anon_sym___fastcall] = ACTIONS(1146),
    [anon_sym___thiscall] = ACTIONS(1146),
    [anon_sym___vectorcall] = ACTIONS(1146),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_RBRACE] = ACTIONS(1332),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_else] = ACTIONS(1146),
    [anon_sym_switch] = ACTIONS(557),
    [anon_sym_case] = ACTIONS(1146),
    [anon_sym_default] = ACTIONS(1146),
    [anon_sym_while] = ACTIONS(563),
    [anon_sym_do] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(569),
    [anon_sym_break] = ACTIONS(571),
    [anon_sym_continue] = ACTIONS(573),
    [anon_sym_goto] = ACTIONS(575),
    [anon_sym___try] = ACTIONS(577),
    [anon_sym___leave] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [76] = {
    [sym_declaration] = STATE(71),
    [sym_type_definition] = STATE(71),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1601),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_compound_statement] = STATE(71),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(71),
    [sym_labeled_statement] = STATE(71),
    [sym_expression_statement] = STATE(71),
    [sym_if_statement] = STATE(71),
    [sym_switch_statement] = STATE(71),
    [sym_while_statement] = STATE(71),
    [sym_do_statement] = STATE(71),
    [sym_for_statement] = STATE(71),
    [sym_return_statement] = STATE(71),
    [sym_break_statement] = STATE(71),
    [sym_continue_statement] = STATE(71),
    [sym_goto_statement] = STATE(71),
    [sym_seh_try_statement] = STATE(71),
    [sym_seh_leave_statement] = STATE(71),
    [sym__expression] = STATE(1518),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2610),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(724),
    [sym_layout_specification] = STATE(724),
    [aux_sym_declaration_repeat1] = STATE(724),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(676),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [aux_sym_case_statement_repeat1] = STATE(71),
    [ts_builtin_sym_end] = ACTIONS(1332),
    [sym_identifier] = ACTIONS(1208),
    [aux_sym_preproc_include_token1] = ACTIONS(1146),
    [aux_sym_preproc_def_token1] = ACTIONS(1146),
    [aux_sym_preproc_if_token1] = ACTIONS(1146),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1146),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1146),
    [sym_preproc_directive] = ACTIONS(1146),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(31),
    [anon_sym_invariant] = ACTIONS(29),
    [anon_sym_precise] = ACTIONS(29),
    [anon_sym_SEMI] = ACTIONS(1210),
    [anon_sym_in] = ACTIONS(31),
    [anon_sym_out] = ACTIONS(31),
    [anon_sym_inout] = ACTIONS(31),
    [anon_sym_uniform] = ACTIONS(31),
    [anon_sym_shared] = ACTIONS(31),
    [anon_sym_attribute] = ACTIONS(31),
    [anon_sym_varying] = ACTIONS(31),
    [anon_sym_buffer] = ACTIONS(31),
    [anon_sym_coherent] = ACTIONS(31),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_writeonly] = ACTIONS(31),
    [anon_sym_precision] = ACTIONS(31),
    [anon_sym_highp] = ACTIONS(31),
    [anon_sym_mediump] = ACTIONS(31),
    [anon_sym_lowp] = ACTIONS(31),
    [anon_sym_centroid] = ACTIONS(31),
    [anon_sym_sample] = ACTIONS(31),
    [anon_sym_patch] = ACTIONS(31),
    [anon_sym_smooth] = ACTIONS(31),
    [anon_sym_flat] = ACTIONS(31),
    [anon_sym_noperspective] = ACTIONS(31),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(1146),
    [anon_sym___clrcall] = ACTIONS(1146),
    [anon_sym___stdcall] = ACTIONS(1146),
    [anon_sym___fastcall] = ACTIONS(1146),
    [anon_sym___thiscall] = ACTIONS(1146),
    [anon_sym___vectorcall] = ACTIONS(1146),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(63),
    [anon_sym_else] = ACTIONS(1146),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(1146),
    [anon_sym_default] = ACTIONS(1146),
    [anon_sym_while] = ACTIONS(71),
    [anon_sym_do] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(75),
    [anon_sym_return] = ACTIONS(77),
    [anon_sym_break] = ACTIONS(79),
    [anon_sym_continue] = ACTIONS(81),
    [anon_sym_goto] = ACTIONS(83),
    [anon_sym___try] = ACTIONS(1212),
    [anon_sym___leave] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [77] = {
    [sym_declaration] = STATE(72),
    [sym_type_definition] = STATE(72),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1619),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_compound_statement] = STATE(72),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(72),
    [sym_labeled_statement] = STATE(72),
    [sym_expression_statement] = STATE(72),
    [sym_if_statement] = STATE(72),
    [sym_switch_statement] = STATE(72),
    [sym_while_statement] = STATE(72),
    [sym_do_statement] = STATE(72),
    [sym_for_statement] = STATE(72),
    [sym_return_statement] = STATE(72),
    [sym_break_statement] = STATE(72),
    [sym_continue_statement] = STATE(72),
    [sym_goto_statement] = STATE(72),
    [sym_seh_try_statement] = STATE(72),
    [sym_seh_leave_statement] = STATE(72),
    [sym__expression] = STATE(1522),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2775),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(723),
    [sym_layout_specification] = STATE(723),
    [aux_sym_declaration_repeat1] = STATE(723),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(662),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [aux_sym_case_statement_repeat1] = STATE(72),
    [sym_identifier] = ACTIONS(1328),
    [aux_sym_preproc_include_token1] = ACTIONS(1146),
    [aux_sym_preproc_def_token1] = ACTIONS(1146),
    [aux_sym_preproc_if_token1] = ACTIONS(1146),
    [aux_sym_preproc_if_token2] = ACTIONS(1146),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1146),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1146),
    [sym_preproc_directive] = ACTIONS(1146),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(617),
    [anon_sym_invariant] = ACTIONS(613),
    [anon_sym_precise] = ACTIONS(613),
    [anon_sym_SEMI] = ACTIONS(615),
    [anon_sym_in] = ACTIONS(617),
    [anon_sym_out] = ACTIONS(617),
    [anon_sym_inout] = ACTIONS(617),
    [anon_sym_uniform] = ACTIONS(617),
    [anon_sym_shared] = ACTIONS(617),
    [anon_sym_attribute] = ACTIONS(617),
    [anon_sym_varying] = ACTIONS(617),
    [anon_sym_buffer] = ACTIONS(617),
    [anon_sym_coherent] = ACTIONS(617),
    [anon_sym_readonly] = ACTIONS(617),
    [anon_sym_writeonly] = ACTIONS(617),
    [anon_sym_precision] = ACTIONS(617),
    [anon_sym_highp] = ACTIONS(617),
    [anon_sym_mediump] = ACTIONS(617),
    [anon_sym_lowp] = ACTIONS(617),
    [anon_sym_centroid] = ACTIONS(617),
    [anon_sym_sample] = ACTIONS(617),
    [anon_sym_patch] = ACTIONS(617),
    [anon_sym_smooth] = ACTIONS(617),
    [anon_sym_flat] = ACTIONS(617),
    [anon_sym_noperspective] = ACTIONS(617),
    [anon_sym___extension__] = ACTIONS(619),
    [anon_sym_typedef] = ACTIONS(621),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(1146),
    [anon_sym___clrcall] = ACTIONS(1146),
    [anon_sym___stdcall] = ACTIONS(1146),
    [anon_sym___fastcall] = ACTIONS(1146),
    [anon_sym___thiscall] = ACTIONS(1146),
    [anon_sym___vectorcall] = ACTIONS(1146),
    [anon_sym_LBRACE] = ACTIONS(625),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(627),
    [anon_sym_else] = ACTIONS(1146),
    [anon_sym_switch] = ACTIONS(629),
    [anon_sym_case] = ACTIONS(1146),
    [anon_sym_default] = ACTIONS(1146),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_do] = ACTIONS(637),
    [anon_sym_for] = ACTIONS(639),
    [anon_sym_return] = ACTIONS(641),
    [anon_sym_break] = ACTIONS(643),
    [anon_sym_continue] = ACTIONS(645),
    [anon_sym_goto] = ACTIONS(647),
    [anon_sym___try] = ACTIONS(649),
    [anon_sym___leave] = ACTIONS(651),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [78] = {
    [sym_declaration] = STATE(78),
    [sym_type_definition] = STATE(78),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1601),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_compound_statement] = STATE(78),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(78),
    [sym_labeled_statement] = STATE(78),
    [sym_expression_statement] = STATE(78),
    [sym_if_statement] = STATE(78),
    [sym_switch_statement] = STATE(78),
    [sym_while_statement] = STATE(78),
    [sym_do_statement] = STATE(78),
    [sym_for_statement] = STATE(78),
    [sym_return_statement] = STATE(78),
    [sym_break_statement] = STATE(78),
    [sym_continue_statement] = STATE(78),
    [sym_goto_statement] = STATE(78),
    [sym_seh_try_statement] = STATE(78),
    [sym_seh_leave_statement] = STATE(78),
    [sym__expression] = STATE(1518),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2610),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(724),
    [sym_layout_specification] = STATE(724),
    [aux_sym_declaration_repeat1] = STATE(724),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(676),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [aux_sym_case_statement_repeat1] = STATE(78),
    [ts_builtin_sym_end] = ACTIONS(1239),
    [sym_identifier] = ACTIONS(1334),
    [aux_sym_preproc_include_token1] = ACTIONS(1004),
    [aux_sym_preproc_def_token1] = ACTIONS(1004),
    [aux_sym_preproc_if_token1] = ACTIONS(1004),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1004),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1004),
    [sym_preproc_directive] = ACTIONS(1004),
    [anon_sym_LPAREN2] = ACTIONS(1006),
    [anon_sym_BANG] = ACTIONS(1009),
    [anon_sym_TILDE] = ACTIONS(1009),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_STAR] = ACTIONS(1015),
    [anon_sym_AMP] = ACTIONS(1015),
    [anon_sym_subroutine] = ACTIONS(1337),
    [anon_sym_invariant] = ACTIONS(1340),
    [anon_sym_precise] = ACTIONS(1340),
    [anon_sym_SEMI] = ACTIONS(1343),
    [anon_sym_in] = ACTIONS(1337),
    [anon_sym_out] = ACTIONS(1337),
    [anon_sym_inout] = ACTIONS(1337),
    [anon_sym_uniform] = ACTIONS(1337),
    [anon_sym_shared] = ACTIONS(1337),
    [anon_sym_attribute] = ACTIONS(1337),
    [anon_sym_varying] = ACTIONS(1337),
    [anon_sym_buffer] = ACTIONS(1337),
    [anon_sym_coherent] = ACTIONS(1337),
    [anon_sym_readonly] = ACTIONS(1337),
    [anon_sym_writeonly] = ACTIONS(1337),
    [anon_sym_precision] = ACTIONS(1337),
    [anon_sym_highp] = ACTIONS(1337),
    [anon_sym_mediump] = ACTIONS(1337),
    [anon_sym_lowp] = ACTIONS(1337),
    [anon_sym_centroid] = ACTIONS(1337),
    [anon_sym_sample] = ACTIONS(1337),
    [anon_sym_patch] = ACTIONS(1337),
    [anon_sym_smooth] = ACTIONS(1337),
    [anon_sym_flat] = ACTIONS(1337),
    [anon_sym_noperspective] = ACTIONS(1337),
    [anon_sym___extension__] = ACTIONS(1346),
    [anon_sym_typedef] = ACTIONS(1349),
    [anon_sym_extern] = ACTIONS(1033),
    [anon_sym___attribute__] = ACTIONS(1036),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1039),
    [anon_sym___declspec] = ACTIONS(1042),
    [anon_sym___cdecl] = ACTIONS(1004),
    [anon_sym___clrcall] = ACTIONS(1004),
    [anon_sym___stdcall] = ACTIONS(1004),
    [anon_sym___fastcall] = ACTIONS(1004),
    [anon_sym___thiscall] = ACTIONS(1004),
    [anon_sym___vectorcall] = ACTIONS(1004),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_signed] = ACTIONS(1048),
    [anon_sym_unsigned] = ACTIONS(1048),
    [anon_sym_long] = ACTIONS(1048),
    [anon_sym_short] = ACTIONS(1048),
    [anon_sym_static] = ACTIONS(1033),
    [anon_sym_auto] = ACTIONS(1033),
    [anon_sym_register] = ACTIONS(1033),
    [anon_sym_inline] = ACTIONS(1033),
    [anon_sym___inline] = ACTIONS(1033),
    [anon_sym___inline__] = ACTIONS(1033),
    [anon_sym___forceinline] = ACTIONS(1033),
    [anon_sym_thread_local] = ACTIONS(1033),
    [anon_sym___thread] = ACTIONS(1033),
    [anon_sym_const] = ACTIONS(1051),
    [anon_sym_constexpr] = ACTIONS(1051),
    [anon_sym_volatile] = ACTIONS(1051),
    [anon_sym_restrict] = ACTIONS(1051),
    [anon_sym___restrict__] = ACTIONS(1051),
    [anon_sym__Atomic] = ACTIONS(1051),
    [anon_sym__Noreturn] = ACTIONS(1051),
    [anon_sym_noreturn] = ACTIONS(1051),
    [sym_primitive_type] = ACTIONS(1054),
    [anon_sym_enum] = ACTIONS(1057),
    [anon_sym_struct] = ACTIONS(1060),
    [anon_sym_union] = ACTIONS(1063),
    [anon_sym_if] = ACTIONS(1355),
    [anon_sym_else] = ACTIONS(1004),
    [anon_sym_switch] = ACTIONS(1358),
    [anon_sym_case] = ACTIONS(1004),
    [anon_sym_default] = ACTIONS(1004),
    [anon_sym_while] = ACTIONS(1361),
    [anon_sym_do] = ACTIONS(1364),
    [anon_sym_for] = ACTIONS(1367),
    [anon_sym_return] = ACTIONS(1370),
    [anon_sym_break] = ACTIONS(1373),
    [anon_sym_continue] = ACTIONS(1376),
    [anon_sym_goto] = ACTIONS(1379),
    [anon_sym___try] = ACTIONS(1382),
    [anon_sym___leave] = ACTIONS(1385),
    [anon_sym_DASH_DASH] = ACTIONS(1099),
    [anon_sym_PLUS_PLUS] = ACTIONS(1099),
    [anon_sym_sizeof] = ACTIONS(1102),
    [anon_sym___alignof__] = ACTIONS(1105),
    [anon_sym___alignof] = ACTIONS(1105),
    [anon_sym__alignof] = ACTIONS(1105),
    [anon_sym_alignof] = ACTIONS(1105),
    [anon_sym__Alignof] = ACTIONS(1105),
    [anon_sym_offsetof] = ACTIONS(1108),
    [anon_sym__Generic] = ACTIONS(1111),
    [anon_sym_asm] = ACTIONS(1114),
    [anon_sym___asm__] = ACTIONS(1114),
    [sym_number_literal] = ACTIONS(1117),
    [anon_sym_L_SQUOTE] = ACTIONS(1120),
    [anon_sym_u_SQUOTE] = ACTIONS(1120),
    [anon_sym_U_SQUOTE] = ACTIONS(1120),
    [anon_sym_u8_SQUOTE] = ACTIONS(1120),
    [anon_sym_SQUOTE] = ACTIONS(1120),
    [anon_sym_L_DQUOTE] = ACTIONS(1123),
    [anon_sym_u_DQUOTE] = ACTIONS(1123),
    [anon_sym_U_DQUOTE] = ACTIONS(1123),
    [anon_sym_u8_DQUOTE] = ACTIONS(1123),
    [anon_sym_DQUOTE] = ACTIONS(1123),
    [sym_true] = ACTIONS(1126),
    [sym_false] = ACTIONS(1126),
    [anon_sym_NULL] = ACTIONS(1129),
    [anon_sym_nullptr] = ACTIONS(1129),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1132),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1132),
    [anon_sym_hitAttributeEXT] = ACTIONS(1132),
    [anon_sym_callableDataEXT] = ACTIONS(1132),
    [anon_sym_callableDataInEXT] = ACTIONS(1132),
    [anon_sym_shaderRecordEXT] = ACTIONS(1132),
    [anon_sym_rayPayloadNV] = ACTIONS(1132),
    [anon_sym_rayPayloadInNV] = ACTIONS(1132),
    [anon_sym_hitAttributeNV] = ACTIONS(1132),
    [anon_sym_callableDataNV] = ACTIONS(1132),
    [anon_sym_callableDataInNV] = ACTIONS(1132),
    [anon_sym_shaderRecordNV] = ACTIONS(1132),
    [anon_sym_layout] = ACTIONS(1135),
  },
  [79] = {
    [sym_declaration] = STATE(83),
    [sym_type_definition] = STATE(83),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1601),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_compound_statement] = STATE(83),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(83),
    [sym_labeled_statement] = STATE(83),
    [sym_expression_statement] = STATE(83),
    [sym_if_statement] = STATE(83),
    [sym_switch_statement] = STATE(83),
    [sym_while_statement] = STATE(83),
    [sym_do_statement] = STATE(83),
    [sym_for_statement] = STATE(83),
    [sym_return_statement] = STATE(83),
    [sym_break_statement] = STATE(83),
    [sym_continue_statement] = STATE(83),
    [sym_goto_statement] = STATE(83),
    [sym_seh_try_statement] = STATE(83),
    [sym_seh_leave_statement] = STATE(83),
    [sym__expression] = STATE(1479),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2606),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(724),
    [sym_layout_specification] = STATE(724),
    [aux_sym_declaration_repeat1] = STATE(724),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(669),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [aux_sym_case_statement_repeat1] = STATE(83),
    [sym_identifier] = ACTIONS(1388),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(31),
    [anon_sym_invariant] = ACTIONS(29),
    [anon_sym_precise] = ACTIONS(29),
    [anon_sym_SEMI] = ACTIONS(541),
    [anon_sym_in] = ACTIONS(31),
    [anon_sym_out] = ACTIONS(31),
    [anon_sym_inout] = ACTIONS(31),
    [anon_sym_uniform] = ACTIONS(31),
    [anon_sym_shared] = ACTIONS(31),
    [anon_sym_attribute] = ACTIONS(31),
    [anon_sym_varying] = ACTIONS(31),
    [anon_sym_buffer] = ACTIONS(31),
    [anon_sym_coherent] = ACTIONS(31),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_writeonly] = ACTIONS(31),
    [anon_sym_precision] = ACTIONS(31),
    [anon_sym_highp] = ACTIONS(31),
    [anon_sym_mediump] = ACTIONS(31),
    [anon_sym_lowp] = ACTIONS(31),
    [anon_sym_centroid] = ACTIONS(31),
    [anon_sym_sample] = ACTIONS(31),
    [anon_sym_patch] = ACTIONS(31),
    [anon_sym_smooth] = ACTIONS(31),
    [anon_sym_flat] = ACTIONS(31),
    [anon_sym_noperspective] = ACTIONS(31),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(1390),
    [anon_sym_else] = ACTIONS(1146),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(1392),
    [anon_sym_do] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(1394),
    [anon_sym_return] = ACTIONS(77),
    [anon_sym_break] = ACTIONS(79),
    [anon_sym_continue] = ACTIONS(81),
    [anon_sym_goto] = ACTIONS(83),
    [anon_sym___try] = ACTIONS(1396),
    [anon_sym___leave] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [80] = {
    [sym_declaration] = STATE(80),
    [sym_type_definition] = STATE(80),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1601),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_compound_statement] = STATE(80),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(80),
    [sym_labeled_statement] = STATE(80),
    [sym_expression_statement] = STATE(80),
    [sym_if_statement] = STATE(80),
    [sym_switch_statement] = STATE(80),
    [sym_while_statement] = STATE(80),
    [sym_do_statement] = STATE(80),
    [sym_for_statement] = STATE(80),
    [sym_return_statement] = STATE(80),
    [sym_break_statement] = STATE(80),
    [sym_continue_statement] = STATE(80),
    [sym_goto_statement] = STATE(80),
    [sym_seh_try_statement] = STATE(80),
    [sym_seh_leave_statement] = STATE(80),
    [sym__expression] = STATE(1479),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2606),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(724),
    [sym_layout_specification] = STATE(724),
    [aux_sym_declaration_repeat1] = STATE(724),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(669),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [aux_sym_case_statement_repeat1] = STATE(80),
    [sym_identifier] = ACTIONS(1398),
    [anon_sym_LPAREN2] = ACTIONS(1006),
    [anon_sym_BANG] = ACTIONS(1009),
    [anon_sym_TILDE] = ACTIONS(1009),
    [anon_sym_DASH] = ACTIONS(1012),
    [anon_sym_PLUS] = ACTIONS(1012),
    [anon_sym_STAR] = ACTIONS(1015),
    [anon_sym_AMP] = ACTIONS(1015),
    [anon_sym_subroutine] = ACTIONS(1337),
    [anon_sym_invariant] = ACTIONS(1340),
    [anon_sym_precise] = ACTIONS(1340),
    [anon_sym_SEMI] = ACTIONS(1227),
    [anon_sym_in] = ACTIONS(1337),
    [anon_sym_out] = ACTIONS(1337),
    [anon_sym_inout] = ACTIONS(1337),
    [anon_sym_uniform] = ACTIONS(1337),
    [anon_sym_shared] = ACTIONS(1337),
    [anon_sym_attribute] = ACTIONS(1337),
    [anon_sym_varying] = ACTIONS(1337),
    [anon_sym_buffer] = ACTIONS(1337),
    [anon_sym_coherent] = ACTIONS(1337),
    [anon_sym_readonly] = ACTIONS(1337),
    [anon_sym_writeonly] = ACTIONS(1337),
    [anon_sym_precision] = ACTIONS(1337),
    [anon_sym_highp] = ACTIONS(1337),
    [anon_sym_mediump] = ACTIONS(1337),
    [anon_sym_lowp] = ACTIONS(1337),
    [anon_sym_centroid] = ACTIONS(1337),
    [anon_sym_sample] = ACTIONS(1337),
    [anon_sym_patch] = ACTIONS(1337),
    [anon_sym_smooth] = ACTIONS(1337),
    [anon_sym_flat] = ACTIONS(1337),
    [anon_sym_noperspective] = ACTIONS(1337),
    [anon_sym___extension__] = ACTIONS(1346),
    [anon_sym_typedef] = ACTIONS(1349),
    [anon_sym_extern] = ACTIONS(1033),
    [anon_sym___attribute__] = ACTIONS(1036),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1039),
    [anon_sym___declspec] = ACTIONS(1042),
    [anon_sym_LBRACE] = ACTIONS(1352),
    [anon_sym_signed] = ACTIONS(1048),
    [anon_sym_unsigned] = ACTIONS(1048),
    [anon_sym_long] = ACTIONS(1048),
    [anon_sym_short] = ACTIONS(1048),
    [anon_sym_static] = ACTIONS(1033),
    [anon_sym_auto] = ACTIONS(1033),
    [anon_sym_register] = ACTIONS(1033),
    [anon_sym_inline] = ACTIONS(1033),
    [anon_sym___inline] = ACTIONS(1033),
    [anon_sym___inline__] = ACTIONS(1033),
    [anon_sym___forceinline] = ACTIONS(1033),
    [anon_sym_thread_local] = ACTIONS(1033),
    [anon_sym___thread] = ACTIONS(1033),
    [anon_sym_const] = ACTIONS(1051),
    [anon_sym_constexpr] = ACTIONS(1051),
    [anon_sym_volatile] = ACTIONS(1051),
    [anon_sym_restrict] = ACTIONS(1051),
    [anon_sym___restrict__] = ACTIONS(1051),
    [anon_sym__Atomic] = ACTIONS(1051),
    [anon_sym__Noreturn] = ACTIONS(1051),
    [anon_sym_noreturn] = ACTIONS(1051),
    [sym_primitive_type] = ACTIONS(1054),
    [anon_sym_enum] = ACTIONS(1057),
    [anon_sym_struct] = ACTIONS(1060),
    [anon_sym_union] = ACTIONS(1063),
    [anon_sym_if] = ACTIONS(1401),
    [anon_sym_else] = ACTIONS(1004),
    [anon_sym_switch] = ACTIONS(1358),
    [anon_sym_while] = ACTIONS(1404),
    [anon_sym_do] = ACTIONS(1364),
    [anon_sym_for] = ACTIONS(1407),
    [anon_sym_return] = ACTIONS(1370),
    [anon_sym_break] = ACTIONS(1373),
    [anon_sym_continue] = ACTIONS(1376),
    [anon_sym_goto] = ACTIONS(1379),
    [anon_sym___try] = ACTIONS(1410),
    [anon_sym___leave] = ACTIONS(1271),
    [anon_sym_DASH_DASH] = ACTIONS(1099),
    [anon_sym_PLUS_PLUS] = ACTIONS(1099),
    [anon_sym_sizeof] = ACTIONS(1102),
    [anon_sym___alignof__] = ACTIONS(1105),
    [anon_sym___alignof] = ACTIONS(1105),
    [anon_sym__alignof] = ACTIONS(1105),
    [anon_sym_alignof] = ACTIONS(1105),
    [anon_sym__Alignof] = ACTIONS(1105),
    [anon_sym_offsetof] = ACTIONS(1108),
    [anon_sym__Generic] = ACTIONS(1111),
    [anon_sym_asm] = ACTIONS(1114),
    [anon_sym___asm__] = ACTIONS(1114),
    [sym_number_literal] = ACTIONS(1117),
    [anon_sym_L_SQUOTE] = ACTIONS(1120),
    [anon_sym_u_SQUOTE] = ACTIONS(1120),
    [anon_sym_U_SQUOTE] = ACTIONS(1120),
    [anon_sym_u8_SQUOTE] = ACTIONS(1120),
    [anon_sym_SQUOTE] = ACTIONS(1120),
    [anon_sym_L_DQUOTE] = ACTIONS(1123),
    [anon_sym_u_DQUOTE] = ACTIONS(1123),
    [anon_sym_U_DQUOTE] = ACTIONS(1123),
    [anon_sym_u8_DQUOTE] = ACTIONS(1123),
    [anon_sym_DQUOTE] = ACTIONS(1123),
    [sym_true] = ACTIONS(1126),
    [sym_false] = ACTIONS(1126),
    [anon_sym_NULL] = ACTIONS(1129),
    [anon_sym_nullptr] = ACTIONS(1129),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1132),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1132),
    [anon_sym_hitAttributeEXT] = ACTIONS(1132),
    [anon_sym_callableDataEXT] = ACTIONS(1132),
    [anon_sym_callableDataInEXT] = ACTIONS(1132),
    [anon_sym_shaderRecordEXT] = ACTIONS(1132),
    [anon_sym_rayPayloadNV] = ACTIONS(1132),
    [anon_sym_rayPayloadInNV] = ACTIONS(1132),
    [anon_sym_hitAttributeNV] = ACTIONS(1132),
    [anon_sym_callableDataNV] = ACTIONS(1132),
    [anon_sym_callableDataInNV] = ACTIONS(1132),
    [anon_sym_shaderRecordNV] = ACTIONS(1132),
    [anon_sym_layout] = ACTIONS(1135),
  },
  [81] = {
    [sym_declaration] = STATE(82),
    [sym_type_definition] = STATE(82),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1601),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_compound_statement] = STATE(82),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(82),
    [sym_labeled_statement] = STATE(82),
    [sym_expression_statement] = STATE(82),
    [sym_if_statement] = STATE(82),
    [sym_switch_statement] = STATE(82),
    [sym_while_statement] = STATE(82),
    [sym_do_statement] = STATE(82),
    [sym_for_statement] = STATE(82),
    [sym_return_statement] = STATE(82),
    [sym_break_statement] = STATE(82),
    [sym_continue_statement] = STATE(82),
    [sym_goto_statement] = STATE(82),
    [sym_seh_try_statement] = STATE(82),
    [sym_seh_leave_statement] = STATE(82),
    [sym__expression] = STATE(1479),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2606),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(724),
    [sym_layout_specification] = STATE(724),
    [aux_sym_declaration_repeat1] = STATE(724),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(669),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [aux_sym_case_statement_repeat1] = STATE(82),
    [sym_identifier] = ACTIONS(1388),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(31),
    [anon_sym_invariant] = ACTIONS(29),
    [anon_sym_precise] = ACTIONS(29),
    [anon_sym_SEMI] = ACTIONS(541),
    [anon_sym_in] = ACTIONS(31),
    [anon_sym_out] = ACTIONS(31),
    [anon_sym_inout] = ACTIONS(31),
    [anon_sym_uniform] = ACTIONS(31),
    [anon_sym_shared] = ACTIONS(31),
    [anon_sym_attribute] = ACTIONS(31),
    [anon_sym_varying] = ACTIONS(31),
    [anon_sym_buffer] = ACTIONS(31),
    [anon_sym_coherent] = ACTIONS(31),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_writeonly] = ACTIONS(31),
    [anon_sym_precision] = ACTIONS(31),
    [anon_sym_highp] = ACTIONS(31),
    [anon_sym_mediump] = ACTIONS(31),
    [anon_sym_lowp] = ACTIONS(31),
    [anon_sym_centroid] = ACTIONS(31),
    [anon_sym_sample] = ACTIONS(31),
    [anon_sym_patch] = ACTIONS(31),
    [anon_sym_smooth] = ACTIONS(31),
    [anon_sym_flat] = ACTIONS(31),
    [anon_sym_noperspective] = ACTIONS(31),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(1390),
    [anon_sym_else] = ACTIONS(1144),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(1392),
    [anon_sym_do] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(1394),
    [anon_sym_return] = ACTIONS(77),
    [anon_sym_break] = ACTIONS(79),
    [anon_sym_continue] = ACTIONS(81),
    [anon_sym_goto] = ACTIONS(83),
    [anon_sym___try] = ACTIONS(1396),
    [anon_sym___leave] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [82] = {
    [sym_declaration] = STATE(80),
    [sym_type_definition] = STATE(80),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1601),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_compound_statement] = STATE(80),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(80),
    [sym_labeled_statement] = STATE(80),
    [sym_expression_statement] = STATE(80),
    [sym_if_statement] = STATE(80),
    [sym_switch_statement] = STATE(80),
    [sym_while_statement] = STATE(80),
    [sym_do_statement] = STATE(80),
    [sym_for_statement] = STATE(80),
    [sym_return_statement] = STATE(80),
    [sym_break_statement] = STATE(80),
    [sym_continue_statement] = STATE(80),
    [sym_goto_statement] = STATE(80),
    [sym_seh_try_statement] = STATE(80),
    [sym_seh_leave_statement] = STATE(80),
    [sym__expression] = STATE(1479),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2606),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(724),
    [sym_layout_specification] = STATE(724),
    [aux_sym_declaration_repeat1] = STATE(724),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(669),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [aux_sym_case_statement_repeat1] = STATE(80),
    [sym_identifier] = ACTIONS(1388),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(31),
    [anon_sym_invariant] = ACTIONS(29),
    [anon_sym_precise] = ACTIONS(29),
    [anon_sym_SEMI] = ACTIONS(541),
    [anon_sym_in] = ACTIONS(31),
    [anon_sym_out] = ACTIONS(31),
    [anon_sym_inout] = ACTIONS(31),
    [anon_sym_uniform] = ACTIONS(31),
    [anon_sym_shared] = ACTIONS(31),
    [anon_sym_attribute] = ACTIONS(31),
    [anon_sym_varying] = ACTIONS(31),
    [anon_sym_buffer] = ACTIONS(31),
    [anon_sym_coherent] = ACTIONS(31),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_writeonly] = ACTIONS(31),
    [anon_sym_precision] = ACTIONS(31),
    [anon_sym_highp] = ACTIONS(31),
    [anon_sym_mediump] = ACTIONS(31),
    [anon_sym_lowp] = ACTIONS(31),
    [anon_sym_centroid] = ACTIONS(31),
    [anon_sym_sample] = ACTIONS(31),
    [anon_sym_patch] = ACTIONS(31),
    [anon_sym_smooth] = ACTIONS(31),
    [anon_sym_flat] = ACTIONS(31),
    [anon_sym_noperspective] = ACTIONS(31),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(1390),
    [anon_sym_else] = ACTIONS(1140),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(1392),
    [anon_sym_do] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(1394),
    [anon_sym_return] = ACTIONS(77),
    [anon_sym_break] = ACTIONS(79),
    [anon_sym_continue] = ACTIONS(81),
    [anon_sym_goto] = ACTIONS(83),
    [anon_sym___try] = ACTIONS(1396),
    [anon_sym___leave] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [83] = {
    [sym_declaration] = STATE(80),
    [sym_type_definition] = STATE(80),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1601),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(747),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_compound_statement] = STATE(80),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_attributed_statement] = STATE(80),
    [sym_labeled_statement] = STATE(80),
    [sym_expression_statement] = STATE(80),
    [sym_if_statement] = STATE(80),
    [sym_switch_statement] = STATE(80),
    [sym_while_statement] = STATE(80),
    [sym_do_statement] = STATE(80),
    [sym_for_statement] = STATE(80),
    [sym_return_statement] = STATE(80),
    [sym_break_statement] = STATE(80),
    [sym_continue_statement] = STATE(80),
    [sym_goto_statement] = STATE(80),
    [sym_seh_try_statement] = STATE(80),
    [sym_seh_leave_statement] = STATE(80),
    [sym__expression] = STATE(1479),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2606),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(724),
    [sym_layout_specification] = STATE(724),
    [aux_sym_declaration_repeat1] = STATE(724),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_attributed_declarator_repeat1] = STATE(669),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [aux_sym_case_statement_repeat1] = STATE(80),
    [sym_identifier] = ACTIONS(1388),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(31),
    [anon_sym_invariant] = ACTIONS(29),
    [anon_sym_precise] = ACTIONS(29),
    [anon_sym_SEMI] = ACTIONS(541),
    [anon_sym_in] = ACTIONS(31),
    [anon_sym_out] = ACTIONS(31),
    [anon_sym_inout] = ACTIONS(31),
    [anon_sym_uniform] = ACTIONS(31),
    [anon_sym_shared] = ACTIONS(31),
    [anon_sym_attribute] = ACTIONS(31),
    [anon_sym_varying] = ACTIONS(31),
    [anon_sym_buffer] = ACTIONS(31),
    [anon_sym_coherent] = ACTIONS(31),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_writeonly] = ACTIONS(31),
    [anon_sym_precision] = ACTIONS(31),
    [anon_sym_highp] = ACTIONS(31),
    [anon_sym_mediump] = ACTIONS(31),
    [anon_sym_lowp] = ACTIONS(31),
    [anon_sym_centroid] = ACTIONS(31),
    [anon_sym_sample] = ACTIONS(31),
    [anon_sym_patch] = ACTIONS(31),
    [anon_sym_smooth] = ACTIONS(31),
    [anon_sym_flat] = ACTIONS(31),
    [anon_sym_noperspective] = ACTIONS(31),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(41),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_if] = ACTIONS(1390),
    [anon_sym_else] = ACTIONS(1142),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_while] = ACTIONS(1392),
    [anon_sym_do] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(1394),
    [anon_sym_return] = ACTIONS(77),
    [anon_sym_break] = ACTIONS(79),
    [anon_sym_continue] = ACTIONS(81),
    [anon_sym_goto] = ACTIONS(83),
    [anon_sym___try] = ACTIONS(1396),
    [anon_sym___leave] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [84] = {
    [sym_declaration] = STATE(876),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1609),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(1192),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym__for_statement_body] = STATE(2906),
    [sym__expression] = STATE(1541),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2905),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(722),
    [sym_layout_specification] = STATE(722),
    [aux_sym_declaration_repeat1] = STATE(722),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(1413),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(1415),
    [anon_sym_invariant] = ACTIONS(1417),
    [anon_sym_precise] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1419),
    [anon_sym_in] = ACTIONS(1415),
    [anon_sym_out] = ACTIONS(1415),
    [anon_sym_inout] = ACTIONS(1415),
    [anon_sym_uniform] = ACTIONS(1415),
    [anon_sym_shared] = ACTIONS(1415),
    [anon_sym_attribute] = ACTIONS(1415),
    [anon_sym_varying] = ACTIONS(1415),
    [anon_sym_buffer] = ACTIONS(1415),
    [anon_sym_coherent] = ACTIONS(1415),
    [anon_sym_readonly] = ACTIONS(1415),
    [anon_sym_writeonly] = ACTIONS(1415),
    [anon_sym_precision] = ACTIONS(1415),
    [anon_sym_highp] = ACTIONS(1415),
    [anon_sym_mediump] = ACTIONS(1415),
    [anon_sym_lowp] = ACTIONS(1415),
    [anon_sym_centroid] = ACTIONS(1415),
    [anon_sym_sample] = ACTIONS(1415),
    [anon_sym_patch] = ACTIONS(1415),
    [anon_sym_smooth] = ACTIONS(1415),
    [anon_sym_flat] = ACTIONS(1415),
    [anon_sym_noperspective] = ACTIONS(1415),
    [anon_sym___extension__] = ACTIONS(53),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1421),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [85] = {
    [sym_declaration] = STATE(876),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1609),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(1192),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym__for_statement_body] = STATE(2666),
    [sym__expression] = STATE(1541),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2905),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(722),
    [sym_layout_specification] = STATE(722),
    [aux_sym_declaration_repeat1] = STATE(722),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(1413),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(1415),
    [anon_sym_invariant] = ACTIONS(1417),
    [anon_sym_precise] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1419),
    [anon_sym_in] = ACTIONS(1415),
    [anon_sym_out] = ACTIONS(1415),
    [anon_sym_inout] = ACTIONS(1415),
    [anon_sym_uniform] = ACTIONS(1415),
    [anon_sym_shared] = ACTIONS(1415),
    [anon_sym_attribute] = ACTIONS(1415),
    [anon_sym_varying] = ACTIONS(1415),
    [anon_sym_buffer] = ACTIONS(1415),
    [anon_sym_coherent] = ACTIONS(1415),
    [anon_sym_readonly] = ACTIONS(1415),
    [anon_sym_writeonly] = ACTIONS(1415),
    [anon_sym_precision] = ACTIONS(1415),
    [anon_sym_highp] = ACTIONS(1415),
    [anon_sym_mediump] = ACTIONS(1415),
    [anon_sym_lowp] = ACTIONS(1415),
    [anon_sym_centroid] = ACTIONS(1415),
    [anon_sym_sample] = ACTIONS(1415),
    [anon_sym_patch] = ACTIONS(1415),
    [anon_sym_smooth] = ACTIONS(1415),
    [anon_sym_flat] = ACTIONS(1415),
    [anon_sym_noperspective] = ACTIONS(1415),
    [anon_sym___extension__] = ACTIONS(53),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1421),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [86] = {
    [sym_declaration] = STATE(876),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1609),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(1192),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym__for_statement_body] = STATE(2583),
    [sym__expression] = STATE(1541),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2905),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(722),
    [sym_layout_specification] = STATE(722),
    [aux_sym_declaration_repeat1] = STATE(722),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(1413),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(1415),
    [anon_sym_invariant] = ACTIONS(1417),
    [anon_sym_precise] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1419),
    [anon_sym_in] = ACTIONS(1415),
    [anon_sym_out] = ACTIONS(1415),
    [anon_sym_inout] = ACTIONS(1415),
    [anon_sym_uniform] = ACTIONS(1415),
    [anon_sym_shared] = ACTIONS(1415),
    [anon_sym_attribute] = ACTIONS(1415),
    [anon_sym_varying] = ACTIONS(1415),
    [anon_sym_buffer] = ACTIONS(1415),
    [anon_sym_coherent] = ACTIONS(1415),
    [anon_sym_readonly] = ACTIONS(1415),
    [anon_sym_writeonly] = ACTIONS(1415),
    [anon_sym_precision] = ACTIONS(1415),
    [anon_sym_highp] = ACTIONS(1415),
    [anon_sym_mediump] = ACTIONS(1415),
    [anon_sym_lowp] = ACTIONS(1415),
    [anon_sym_centroid] = ACTIONS(1415),
    [anon_sym_sample] = ACTIONS(1415),
    [anon_sym_patch] = ACTIONS(1415),
    [anon_sym_smooth] = ACTIONS(1415),
    [anon_sym_flat] = ACTIONS(1415),
    [anon_sym_noperspective] = ACTIONS(1415),
    [anon_sym___extension__] = ACTIONS(53),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1421),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [87] = {
    [sym_declaration] = STATE(876),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1609),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(1192),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym__for_statement_body] = STATE(2634),
    [sym__expression] = STATE(1541),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2905),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(722),
    [sym_layout_specification] = STATE(722),
    [aux_sym_declaration_repeat1] = STATE(722),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(1413),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(1415),
    [anon_sym_invariant] = ACTIONS(1417),
    [anon_sym_precise] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1419),
    [anon_sym_in] = ACTIONS(1415),
    [anon_sym_out] = ACTIONS(1415),
    [anon_sym_inout] = ACTIONS(1415),
    [anon_sym_uniform] = ACTIONS(1415),
    [anon_sym_shared] = ACTIONS(1415),
    [anon_sym_attribute] = ACTIONS(1415),
    [anon_sym_varying] = ACTIONS(1415),
    [anon_sym_buffer] = ACTIONS(1415),
    [anon_sym_coherent] = ACTIONS(1415),
    [anon_sym_readonly] = ACTIONS(1415),
    [anon_sym_writeonly] = ACTIONS(1415),
    [anon_sym_precision] = ACTIONS(1415),
    [anon_sym_highp] = ACTIONS(1415),
    [anon_sym_mediump] = ACTIONS(1415),
    [anon_sym_lowp] = ACTIONS(1415),
    [anon_sym_centroid] = ACTIONS(1415),
    [anon_sym_sample] = ACTIONS(1415),
    [anon_sym_patch] = ACTIONS(1415),
    [anon_sym_smooth] = ACTIONS(1415),
    [anon_sym_flat] = ACTIONS(1415),
    [anon_sym_noperspective] = ACTIONS(1415),
    [anon_sym___extension__] = ACTIONS(53),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1421),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [88] = {
    [sym_declaration] = STATE(876),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1609),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(1192),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym__for_statement_body] = STATE(2716),
    [sym__expression] = STATE(1541),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2905),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(722),
    [sym_layout_specification] = STATE(722),
    [aux_sym_declaration_repeat1] = STATE(722),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(1413),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(1415),
    [anon_sym_invariant] = ACTIONS(1417),
    [anon_sym_precise] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1419),
    [anon_sym_in] = ACTIONS(1415),
    [anon_sym_out] = ACTIONS(1415),
    [anon_sym_inout] = ACTIONS(1415),
    [anon_sym_uniform] = ACTIONS(1415),
    [anon_sym_shared] = ACTIONS(1415),
    [anon_sym_attribute] = ACTIONS(1415),
    [anon_sym_varying] = ACTIONS(1415),
    [anon_sym_buffer] = ACTIONS(1415),
    [anon_sym_coherent] = ACTIONS(1415),
    [anon_sym_readonly] = ACTIONS(1415),
    [anon_sym_writeonly] = ACTIONS(1415),
    [anon_sym_precision] = ACTIONS(1415),
    [anon_sym_highp] = ACTIONS(1415),
    [anon_sym_mediump] = ACTIONS(1415),
    [anon_sym_lowp] = ACTIONS(1415),
    [anon_sym_centroid] = ACTIONS(1415),
    [anon_sym_sample] = ACTIONS(1415),
    [anon_sym_patch] = ACTIONS(1415),
    [anon_sym_smooth] = ACTIONS(1415),
    [anon_sym_flat] = ACTIONS(1415),
    [anon_sym_noperspective] = ACTIONS(1415),
    [anon_sym___extension__] = ACTIONS(53),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1421),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [89] = {
    [sym_declaration] = STATE(876),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1609),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(1192),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym__for_statement_body] = STATE(2825),
    [sym__expression] = STATE(1541),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2905),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(722),
    [sym_layout_specification] = STATE(722),
    [aux_sym_declaration_repeat1] = STATE(722),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(1413),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_subroutine] = ACTIONS(1415),
    [anon_sym_invariant] = ACTIONS(1417),
    [anon_sym_precise] = ACTIONS(1417),
    [anon_sym_SEMI] = ACTIONS(1419),
    [anon_sym_in] = ACTIONS(1415),
    [anon_sym_out] = ACTIONS(1415),
    [anon_sym_inout] = ACTIONS(1415),
    [anon_sym_uniform] = ACTIONS(1415),
    [anon_sym_shared] = ACTIONS(1415),
    [anon_sym_attribute] = ACTIONS(1415),
    [anon_sym_varying] = ACTIONS(1415),
    [anon_sym_buffer] = ACTIONS(1415),
    [anon_sym_coherent] = ACTIONS(1415),
    [anon_sym_readonly] = ACTIONS(1415),
    [anon_sym_writeonly] = ACTIONS(1415),
    [anon_sym_precision] = ACTIONS(1415),
    [anon_sym_highp] = ACTIONS(1415),
    [anon_sym_mediump] = ACTIONS(1415),
    [anon_sym_lowp] = ACTIONS(1415),
    [anon_sym_centroid] = ACTIONS(1415),
    [anon_sym_sample] = ACTIONS(1415),
    [anon_sym_patch] = ACTIONS(1415),
    [anon_sym_smooth] = ACTIONS(1415),
    [anon_sym_flat] = ACTIONS(1415),
    [anon_sym_noperspective] = ACTIONS(1415),
    [anon_sym___extension__] = ACTIONS(53),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1421),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [90] = {
    [sym_else_clause] = STATE(100),
    [sym_identifier] = ACTIONS(1423),
    [aux_sym_preproc_include_token1] = ACTIONS(1423),
    [aux_sym_preproc_def_token1] = ACTIONS(1423),
    [aux_sym_preproc_if_token1] = ACTIONS(1423),
    [aux_sym_preproc_if_token2] = ACTIONS(1423),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1423),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1423),
    [aux_sym_preproc_else_token1] = ACTIONS(1423),
    [aux_sym_preproc_elif_token1] = ACTIONS(1423),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1423),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1423),
    [sym_preproc_directive] = ACTIONS(1423),
    [anon_sym_LPAREN2] = ACTIONS(1425),
    [anon_sym_BANG] = ACTIONS(1425),
    [anon_sym_TILDE] = ACTIONS(1425),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1425),
    [anon_sym_AMP] = ACTIONS(1425),
    [anon_sym_subroutine] = ACTIONS(1423),
    [anon_sym_invariant] = ACTIONS(1423),
    [anon_sym_precise] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1425),
    [anon_sym_in] = ACTIONS(1423),
    [anon_sym_out] = ACTIONS(1423),
    [anon_sym_inout] = ACTIONS(1423),
    [anon_sym_uniform] = ACTIONS(1423),
    [anon_sym_shared] = ACTIONS(1423),
    [anon_sym_attribute] = ACTIONS(1423),
    [anon_sym_varying] = ACTIONS(1423),
    [anon_sym_buffer] = ACTIONS(1423),
    [anon_sym_coherent] = ACTIONS(1423),
    [anon_sym_readonly] = ACTIONS(1423),
    [anon_sym_writeonly] = ACTIONS(1423),
    [anon_sym_precision] = ACTIONS(1423),
    [anon_sym_highp] = ACTIONS(1423),
    [anon_sym_mediump] = ACTIONS(1423),
    [anon_sym_lowp] = ACTIONS(1423),
    [anon_sym_centroid] = ACTIONS(1423),
    [anon_sym_sample] = ACTIONS(1423),
    [anon_sym_patch] = ACTIONS(1423),
    [anon_sym_smooth] = ACTIONS(1423),
    [anon_sym_flat] = ACTIONS(1423),
    [anon_sym_noperspective] = ACTIONS(1423),
    [anon_sym___extension__] = ACTIONS(1423),
    [anon_sym_typedef] = ACTIONS(1423),
    [anon_sym_extern] = ACTIONS(1423),
    [anon_sym___attribute__] = ACTIONS(1423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1425),
    [anon_sym___declspec] = ACTIONS(1423),
    [anon_sym___cdecl] = ACTIONS(1423),
    [anon_sym___clrcall] = ACTIONS(1423),
    [anon_sym___stdcall] = ACTIONS(1423),
    [anon_sym___fastcall] = ACTIONS(1423),
    [anon_sym___thiscall] = ACTIONS(1423),
    [anon_sym___vectorcall] = ACTIONS(1423),
    [anon_sym_LBRACE] = ACTIONS(1425),
    [anon_sym_signed] = ACTIONS(1423),
    [anon_sym_unsigned] = ACTIONS(1423),
    [anon_sym_long] = ACTIONS(1423),
    [anon_sym_short] = ACTIONS(1423),
    [anon_sym_static] = ACTIONS(1423),
    [anon_sym_auto] = ACTIONS(1423),
    [anon_sym_register] = ACTIONS(1423),
    [anon_sym_inline] = ACTIONS(1423),
    [anon_sym___inline] = ACTIONS(1423),
    [anon_sym___inline__] = ACTIONS(1423),
    [anon_sym___forceinline] = ACTIONS(1423),
    [anon_sym_thread_local] = ACTIONS(1423),
    [anon_sym___thread] = ACTIONS(1423),
    [anon_sym_const] = ACTIONS(1423),
    [anon_sym_constexpr] = ACTIONS(1423),
    [anon_sym_volatile] = ACTIONS(1423),
    [anon_sym_restrict] = ACTIONS(1423),
    [anon_sym___restrict__] = ACTIONS(1423),
    [anon_sym__Atomic] = ACTIONS(1423),
    [anon_sym__Noreturn] = ACTIONS(1423),
    [anon_sym_noreturn] = ACTIONS(1423),
    [sym_primitive_type] = ACTIONS(1423),
    [anon_sym_enum] = ACTIONS(1423),
    [anon_sym_struct] = ACTIONS(1423),
    [anon_sym_union] = ACTIONS(1423),
    [anon_sym_if] = ACTIONS(1423),
    [anon_sym_else] = ACTIONS(1427),
    [anon_sym_switch] = ACTIONS(1423),
    [anon_sym_case] = ACTIONS(1423),
    [anon_sym_default] = ACTIONS(1423),
    [anon_sym_while] = ACTIONS(1423),
    [anon_sym_do] = ACTIONS(1423),
    [anon_sym_for] = ACTIONS(1423),
    [anon_sym_return] = ACTIONS(1423),
    [anon_sym_break] = ACTIONS(1423),
    [anon_sym_continue] = ACTIONS(1423),
    [anon_sym_goto] = ACTIONS(1423),
    [anon_sym___try] = ACTIONS(1423),
    [anon_sym___leave] = ACTIONS(1423),
    [anon_sym_DASH_DASH] = ACTIONS(1425),
    [anon_sym_PLUS_PLUS] = ACTIONS(1425),
    [anon_sym_sizeof] = ACTIONS(1423),
    [anon_sym___alignof__] = ACTIONS(1423),
    [anon_sym___alignof] = ACTIONS(1423),
    [anon_sym__alignof] = ACTIONS(1423),
    [anon_sym_alignof] = ACTIONS(1423),
    [anon_sym__Alignof] = ACTIONS(1423),
    [anon_sym_offsetof] = ACTIONS(1423),
    [anon_sym__Generic] = ACTIONS(1423),
    [anon_sym_asm] = ACTIONS(1423),
    [anon_sym___asm__] = ACTIONS(1423),
    [sym_number_literal] = ACTIONS(1425),
    [anon_sym_L_SQUOTE] = ACTIONS(1425),
    [anon_sym_u_SQUOTE] = ACTIONS(1425),
    [anon_sym_U_SQUOTE] = ACTIONS(1425),
    [anon_sym_u8_SQUOTE] = ACTIONS(1425),
    [anon_sym_SQUOTE] = ACTIONS(1425),
    [anon_sym_L_DQUOTE] = ACTIONS(1425),
    [anon_sym_u_DQUOTE] = ACTIONS(1425),
    [anon_sym_U_DQUOTE] = ACTIONS(1425),
    [anon_sym_u8_DQUOTE] = ACTIONS(1425),
    [anon_sym_DQUOTE] = ACTIONS(1425),
    [sym_true] = ACTIONS(1423),
    [sym_false] = ACTIONS(1423),
    [anon_sym_NULL] = ACTIONS(1423),
    [anon_sym_nullptr] = ACTIONS(1423),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1423),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1423),
    [anon_sym_hitAttributeEXT] = ACTIONS(1423),
    [anon_sym_callableDataEXT] = ACTIONS(1423),
    [anon_sym_callableDataInEXT] = ACTIONS(1423),
    [anon_sym_shaderRecordEXT] = ACTIONS(1423),
    [anon_sym_rayPayloadNV] = ACTIONS(1423),
    [anon_sym_rayPayloadInNV] = ACTIONS(1423),
    [anon_sym_hitAttributeNV] = ACTIONS(1423),
    [anon_sym_callableDataNV] = ACTIONS(1423),
    [anon_sym_callableDataInNV] = ACTIONS(1423),
    [anon_sym_shaderRecordNV] = ACTIONS(1423),
    [anon_sym_layout] = ACTIONS(1423),
  },
  [91] = {
    [sym_identifier] = ACTIONS(1429),
    [aux_sym_preproc_include_token1] = ACTIONS(1429),
    [aux_sym_preproc_def_token1] = ACTIONS(1429),
    [aux_sym_preproc_if_token1] = ACTIONS(1429),
    [aux_sym_preproc_if_token2] = ACTIONS(1429),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1429),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1429),
    [aux_sym_preproc_else_token1] = ACTIONS(1429),
    [aux_sym_preproc_elif_token1] = ACTIONS(1429),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1429),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1429),
    [sym_preproc_directive] = ACTIONS(1429),
    [anon_sym_LPAREN2] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1431),
    [anon_sym_TILDE] = ACTIONS(1431),
    [anon_sym_DASH] = ACTIONS(1429),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_STAR] = ACTIONS(1431),
    [anon_sym_AMP] = ACTIONS(1431),
    [anon_sym_subroutine] = ACTIONS(1429),
    [anon_sym_invariant] = ACTIONS(1429),
    [anon_sym_precise] = ACTIONS(1429),
    [anon_sym_SEMI] = ACTIONS(1431),
    [anon_sym_in] = ACTIONS(1429),
    [anon_sym_out] = ACTIONS(1429),
    [anon_sym_inout] = ACTIONS(1429),
    [anon_sym_uniform] = ACTIONS(1429),
    [anon_sym_shared] = ACTIONS(1429),
    [anon_sym_attribute] = ACTIONS(1429),
    [anon_sym_varying] = ACTIONS(1429),
    [anon_sym_buffer] = ACTIONS(1429),
    [anon_sym_coherent] = ACTIONS(1429),
    [anon_sym_readonly] = ACTIONS(1429),
    [anon_sym_writeonly] = ACTIONS(1429),
    [anon_sym_precision] = ACTIONS(1429),
    [anon_sym_highp] = ACTIONS(1429),
    [anon_sym_mediump] = ACTIONS(1429),
    [anon_sym_lowp] = ACTIONS(1429),
    [anon_sym_centroid] = ACTIONS(1429),
    [anon_sym_sample] = ACTIONS(1429),
    [anon_sym_patch] = ACTIONS(1429),
    [anon_sym_smooth] = ACTIONS(1429),
    [anon_sym_flat] = ACTIONS(1429),
    [anon_sym_noperspective] = ACTIONS(1429),
    [anon_sym___extension__] = ACTIONS(1429),
    [anon_sym_typedef] = ACTIONS(1429),
    [anon_sym_extern] = ACTIONS(1429),
    [anon_sym___attribute__] = ACTIONS(1429),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1431),
    [anon_sym___declspec] = ACTIONS(1429),
    [anon_sym___cdecl] = ACTIONS(1429),
    [anon_sym___clrcall] = ACTIONS(1429),
    [anon_sym___stdcall] = ACTIONS(1429),
    [anon_sym___fastcall] = ACTIONS(1429),
    [anon_sym___thiscall] = ACTIONS(1429),
    [anon_sym___vectorcall] = ACTIONS(1429),
    [anon_sym_LBRACE] = ACTIONS(1431),
    [anon_sym_signed] = ACTIONS(1429),
    [anon_sym_unsigned] = ACTIONS(1429),
    [anon_sym_long] = ACTIONS(1429),
    [anon_sym_short] = ACTIONS(1429),
    [anon_sym_static] = ACTIONS(1429),
    [anon_sym_auto] = ACTIONS(1429),
    [anon_sym_register] = ACTIONS(1429),
    [anon_sym_inline] = ACTIONS(1429),
    [anon_sym___inline] = ACTIONS(1429),
    [anon_sym___inline__] = ACTIONS(1429),
    [anon_sym___forceinline] = ACTIONS(1429),
    [anon_sym_thread_local] = ACTIONS(1429),
    [anon_sym___thread] = ACTIONS(1429),
    [anon_sym_const] = ACTIONS(1429),
    [anon_sym_constexpr] = ACTIONS(1429),
    [anon_sym_volatile] = ACTIONS(1429),
    [anon_sym_restrict] = ACTIONS(1429),
    [anon_sym___restrict__] = ACTIONS(1429),
    [anon_sym__Atomic] = ACTIONS(1429),
    [anon_sym__Noreturn] = ACTIONS(1429),
    [anon_sym_noreturn] = ACTIONS(1429),
    [sym_primitive_type] = ACTIONS(1429),
    [anon_sym_enum] = ACTIONS(1429),
    [anon_sym_struct] = ACTIONS(1429),
    [anon_sym_union] = ACTIONS(1429),
    [anon_sym_if] = ACTIONS(1429),
    [anon_sym_else] = ACTIONS(1429),
    [anon_sym_switch] = ACTIONS(1429),
    [anon_sym_case] = ACTIONS(1429),
    [anon_sym_default] = ACTIONS(1429),
    [anon_sym_while] = ACTIONS(1429),
    [anon_sym_do] = ACTIONS(1429),
    [anon_sym_for] = ACTIONS(1429),
    [anon_sym_return] = ACTIONS(1429),
    [anon_sym_break] = ACTIONS(1429),
    [anon_sym_continue] = ACTIONS(1429),
    [anon_sym_goto] = ACTIONS(1429),
    [anon_sym___try] = ACTIONS(1429),
    [anon_sym___leave] = ACTIONS(1429),
    [anon_sym_DASH_DASH] = ACTIONS(1431),
    [anon_sym_PLUS_PLUS] = ACTIONS(1431),
    [anon_sym_sizeof] = ACTIONS(1429),
    [anon_sym___alignof__] = ACTIONS(1429),
    [anon_sym___alignof] = ACTIONS(1429),
    [anon_sym__alignof] = ACTIONS(1429),
    [anon_sym_alignof] = ACTIONS(1429),
    [anon_sym__Alignof] = ACTIONS(1429),
    [anon_sym_offsetof] = ACTIONS(1429),
    [anon_sym__Generic] = ACTIONS(1429),
    [anon_sym_asm] = ACTIONS(1429),
    [anon_sym___asm__] = ACTIONS(1429),
    [sym_number_literal] = ACTIONS(1431),
    [anon_sym_L_SQUOTE] = ACTIONS(1431),
    [anon_sym_u_SQUOTE] = ACTIONS(1431),
    [anon_sym_U_SQUOTE] = ACTIONS(1431),
    [anon_sym_u8_SQUOTE] = ACTIONS(1431),
    [anon_sym_SQUOTE] = ACTIONS(1431),
    [anon_sym_L_DQUOTE] = ACTIONS(1431),
    [anon_sym_u_DQUOTE] = ACTIONS(1431),
    [anon_sym_U_DQUOTE] = ACTIONS(1431),
    [anon_sym_u8_DQUOTE] = ACTIONS(1431),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_true] = ACTIONS(1429),
    [sym_false] = ACTIONS(1429),
    [anon_sym_NULL] = ACTIONS(1429),
    [anon_sym_nullptr] = ACTIONS(1429),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1429),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1429),
    [anon_sym_hitAttributeEXT] = ACTIONS(1429),
    [anon_sym_callableDataEXT] = ACTIONS(1429),
    [anon_sym_callableDataInEXT] = ACTIONS(1429),
    [anon_sym_shaderRecordEXT] = ACTIONS(1429),
    [anon_sym_rayPayloadNV] = ACTIONS(1429),
    [anon_sym_rayPayloadInNV] = ACTIONS(1429),
    [anon_sym_hitAttributeNV] = ACTIONS(1429),
    [anon_sym_callableDataNV] = ACTIONS(1429),
    [anon_sym_callableDataInNV] = ACTIONS(1429),
    [anon_sym_shaderRecordNV] = ACTIONS(1429),
    [anon_sym_layout] = ACTIONS(1429),
  },
  [92] = {
    [sym_identifier] = ACTIONS(1433),
    [aux_sym_preproc_include_token1] = ACTIONS(1433),
    [aux_sym_preproc_def_token1] = ACTIONS(1433),
    [aux_sym_preproc_if_token1] = ACTIONS(1433),
    [aux_sym_preproc_if_token2] = ACTIONS(1433),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1433),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1433),
    [aux_sym_preproc_else_token1] = ACTIONS(1433),
    [aux_sym_preproc_elif_token1] = ACTIONS(1433),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1433),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1433),
    [sym_preproc_directive] = ACTIONS(1433),
    [anon_sym_LPAREN2] = ACTIONS(1435),
    [anon_sym_BANG] = ACTIONS(1435),
    [anon_sym_TILDE] = ACTIONS(1435),
    [anon_sym_DASH] = ACTIONS(1433),
    [anon_sym_PLUS] = ACTIONS(1433),
    [anon_sym_STAR] = ACTIONS(1435),
    [anon_sym_AMP] = ACTIONS(1435),
    [anon_sym_subroutine] = ACTIONS(1433),
    [anon_sym_invariant] = ACTIONS(1433),
    [anon_sym_precise] = ACTIONS(1433),
    [anon_sym_SEMI] = ACTIONS(1435),
    [anon_sym_in] = ACTIONS(1433),
    [anon_sym_out] = ACTIONS(1433),
    [anon_sym_inout] = ACTIONS(1433),
    [anon_sym_uniform] = ACTIONS(1433),
    [anon_sym_shared] = ACTIONS(1433),
    [anon_sym_attribute] = ACTIONS(1433),
    [anon_sym_varying] = ACTIONS(1433),
    [anon_sym_buffer] = ACTIONS(1433),
    [anon_sym_coherent] = ACTIONS(1433),
    [anon_sym_readonly] = ACTIONS(1433),
    [anon_sym_writeonly] = ACTIONS(1433),
    [anon_sym_precision] = ACTIONS(1433),
    [anon_sym_highp] = ACTIONS(1433),
    [anon_sym_mediump] = ACTIONS(1433),
    [anon_sym_lowp] = ACTIONS(1433),
    [anon_sym_centroid] = ACTIONS(1433),
    [anon_sym_sample] = ACTIONS(1433),
    [anon_sym_patch] = ACTIONS(1433),
    [anon_sym_smooth] = ACTIONS(1433),
    [anon_sym_flat] = ACTIONS(1433),
    [anon_sym_noperspective] = ACTIONS(1433),
    [anon_sym___extension__] = ACTIONS(1433),
    [anon_sym_typedef] = ACTIONS(1433),
    [anon_sym_extern] = ACTIONS(1433),
    [anon_sym___attribute__] = ACTIONS(1433),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1435),
    [anon_sym___declspec] = ACTIONS(1433),
    [anon_sym___cdecl] = ACTIONS(1433),
    [anon_sym___clrcall] = ACTIONS(1433),
    [anon_sym___stdcall] = ACTIONS(1433),
    [anon_sym___fastcall] = ACTIONS(1433),
    [anon_sym___thiscall] = ACTIONS(1433),
    [anon_sym___vectorcall] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(1435),
    [anon_sym_signed] = ACTIONS(1433),
    [anon_sym_unsigned] = ACTIONS(1433),
    [anon_sym_long] = ACTIONS(1433),
    [anon_sym_short] = ACTIONS(1433),
    [anon_sym_static] = ACTIONS(1433),
    [anon_sym_auto] = ACTIONS(1433),
    [anon_sym_register] = ACTIONS(1433),
    [anon_sym_inline] = ACTIONS(1433),
    [anon_sym___inline] = ACTIONS(1433),
    [anon_sym___inline__] = ACTIONS(1433),
    [anon_sym___forceinline] = ACTIONS(1433),
    [anon_sym_thread_local] = ACTIONS(1433),
    [anon_sym___thread] = ACTIONS(1433),
    [anon_sym_const] = ACTIONS(1433),
    [anon_sym_constexpr] = ACTIONS(1433),
    [anon_sym_volatile] = ACTIONS(1433),
    [anon_sym_restrict] = ACTIONS(1433),
    [anon_sym___restrict__] = ACTIONS(1433),
    [anon_sym__Atomic] = ACTIONS(1433),
    [anon_sym__Noreturn] = ACTIONS(1433),
    [anon_sym_noreturn] = ACTIONS(1433),
    [sym_primitive_type] = ACTIONS(1433),
    [anon_sym_enum] = ACTIONS(1433),
    [anon_sym_struct] = ACTIONS(1433),
    [anon_sym_union] = ACTIONS(1433),
    [anon_sym_if] = ACTIONS(1433),
    [anon_sym_else] = ACTIONS(1433),
    [anon_sym_switch] = ACTIONS(1433),
    [anon_sym_case] = ACTIONS(1433),
    [anon_sym_default] = ACTIONS(1433),
    [anon_sym_while] = ACTIONS(1433),
    [anon_sym_do] = ACTIONS(1433),
    [anon_sym_for] = ACTIONS(1433),
    [anon_sym_return] = ACTIONS(1433),
    [anon_sym_break] = ACTIONS(1433),
    [anon_sym_continue] = ACTIONS(1433),
    [anon_sym_goto] = ACTIONS(1433),
    [anon_sym___try] = ACTIONS(1433),
    [anon_sym___leave] = ACTIONS(1433),
    [anon_sym_DASH_DASH] = ACTIONS(1435),
    [anon_sym_PLUS_PLUS] = ACTIONS(1435),
    [anon_sym_sizeof] = ACTIONS(1433),
    [anon_sym___alignof__] = ACTIONS(1433),
    [anon_sym___alignof] = ACTIONS(1433),
    [anon_sym__alignof] = ACTIONS(1433),
    [anon_sym_alignof] = ACTIONS(1433),
    [anon_sym__Alignof] = ACTIONS(1433),
    [anon_sym_offsetof] = ACTIONS(1433),
    [anon_sym__Generic] = ACTIONS(1433),
    [anon_sym_asm] = ACTIONS(1433),
    [anon_sym___asm__] = ACTIONS(1433),
    [sym_number_literal] = ACTIONS(1435),
    [anon_sym_L_SQUOTE] = ACTIONS(1435),
    [anon_sym_u_SQUOTE] = ACTIONS(1435),
    [anon_sym_U_SQUOTE] = ACTIONS(1435),
    [anon_sym_u8_SQUOTE] = ACTIONS(1435),
    [anon_sym_SQUOTE] = ACTIONS(1435),
    [anon_sym_L_DQUOTE] = ACTIONS(1435),
    [anon_sym_u_DQUOTE] = ACTIONS(1435),
    [anon_sym_U_DQUOTE] = ACTIONS(1435),
    [anon_sym_u8_DQUOTE] = ACTIONS(1435),
    [anon_sym_DQUOTE] = ACTIONS(1435),
    [sym_true] = ACTIONS(1433),
    [sym_false] = ACTIONS(1433),
    [anon_sym_NULL] = ACTIONS(1433),
    [anon_sym_nullptr] = ACTIONS(1433),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1433),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1433),
    [anon_sym_hitAttributeEXT] = ACTIONS(1433),
    [anon_sym_callableDataEXT] = ACTIONS(1433),
    [anon_sym_callableDataInEXT] = ACTIONS(1433),
    [anon_sym_shaderRecordEXT] = ACTIONS(1433),
    [anon_sym_rayPayloadNV] = ACTIONS(1433),
    [anon_sym_rayPayloadInNV] = ACTIONS(1433),
    [anon_sym_hitAttributeNV] = ACTIONS(1433),
    [anon_sym_callableDataNV] = ACTIONS(1433),
    [anon_sym_callableDataInNV] = ACTIONS(1433),
    [anon_sym_shaderRecordNV] = ACTIONS(1433),
    [anon_sym_layout] = ACTIONS(1433),
  },
  [93] = {
    [sym_identifier] = ACTIONS(1437),
    [aux_sym_preproc_include_token1] = ACTIONS(1437),
    [aux_sym_preproc_def_token1] = ACTIONS(1437),
    [aux_sym_preproc_if_token1] = ACTIONS(1437),
    [aux_sym_preproc_if_token2] = ACTIONS(1437),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1437),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1437),
    [aux_sym_preproc_else_token1] = ACTIONS(1437),
    [aux_sym_preproc_elif_token1] = ACTIONS(1437),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1437),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1437),
    [sym_preproc_directive] = ACTIONS(1437),
    [anon_sym_LPAREN2] = ACTIONS(1439),
    [anon_sym_BANG] = ACTIONS(1439),
    [anon_sym_TILDE] = ACTIONS(1439),
    [anon_sym_DASH] = ACTIONS(1437),
    [anon_sym_PLUS] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(1439),
    [anon_sym_AMP] = ACTIONS(1439),
    [anon_sym_subroutine] = ACTIONS(1437),
    [anon_sym_invariant] = ACTIONS(1437),
    [anon_sym_precise] = ACTIONS(1437),
    [anon_sym_SEMI] = ACTIONS(1439),
    [anon_sym_in] = ACTIONS(1437),
    [anon_sym_out] = ACTIONS(1437),
    [anon_sym_inout] = ACTIONS(1437),
    [anon_sym_uniform] = ACTIONS(1437),
    [anon_sym_shared] = ACTIONS(1437),
    [anon_sym_attribute] = ACTIONS(1437),
    [anon_sym_varying] = ACTIONS(1437),
    [anon_sym_buffer] = ACTIONS(1437),
    [anon_sym_coherent] = ACTIONS(1437),
    [anon_sym_readonly] = ACTIONS(1437),
    [anon_sym_writeonly] = ACTIONS(1437),
    [anon_sym_precision] = ACTIONS(1437),
    [anon_sym_highp] = ACTIONS(1437),
    [anon_sym_mediump] = ACTIONS(1437),
    [anon_sym_lowp] = ACTIONS(1437),
    [anon_sym_centroid] = ACTIONS(1437),
    [anon_sym_sample] = ACTIONS(1437),
    [anon_sym_patch] = ACTIONS(1437),
    [anon_sym_smooth] = ACTIONS(1437),
    [anon_sym_flat] = ACTIONS(1437),
    [anon_sym_noperspective] = ACTIONS(1437),
    [anon_sym___extension__] = ACTIONS(1437),
    [anon_sym_typedef] = ACTIONS(1437),
    [anon_sym_extern] = ACTIONS(1437),
    [anon_sym___attribute__] = ACTIONS(1437),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1439),
    [anon_sym___declspec] = ACTIONS(1437),
    [anon_sym___cdecl] = ACTIONS(1437),
    [anon_sym___clrcall] = ACTIONS(1437),
    [anon_sym___stdcall] = ACTIONS(1437),
    [anon_sym___fastcall] = ACTIONS(1437),
    [anon_sym___thiscall] = ACTIONS(1437),
    [anon_sym___vectorcall] = ACTIONS(1437),
    [anon_sym_LBRACE] = ACTIONS(1439),
    [anon_sym_signed] = ACTIONS(1437),
    [anon_sym_unsigned] = ACTIONS(1437),
    [anon_sym_long] = ACTIONS(1437),
    [anon_sym_short] = ACTIONS(1437),
    [anon_sym_static] = ACTIONS(1437),
    [anon_sym_auto] = ACTIONS(1437),
    [anon_sym_register] = ACTIONS(1437),
    [anon_sym_inline] = ACTIONS(1437),
    [anon_sym___inline] = ACTIONS(1437),
    [anon_sym___inline__] = ACTIONS(1437),
    [anon_sym___forceinline] = ACTIONS(1437),
    [anon_sym_thread_local] = ACTIONS(1437),
    [anon_sym___thread] = ACTIONS(1437),
    [anon_sym_const] = ACTIONS(1437),
    [anon_sym_constexpr] = ACTIONS(1437),
    [anon_sym_volatile] = ACTIONS(1437),
    [anon_sym_restrict] = ACTIONS(1437),
    [anon_sym___restrict__] = ACTIONS(1437),
    [anon_sym__Atomic] = ACTIONS(1437),
    [anon_sym__Noreturn] = ACTIONS(1437),
    [anon_sym_noreturn] = ACTIONS(1437),
    [sym_primitive_type] = ACTIONS(1437),
    [anon_sym_enum] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(1437),
    [anon_sym_union] = ACTIONS(1437),
    [anon_sym_if] = ACTIONS(1437),
    [anon_sym_else] = ACTIONS(1437),
    [anon_sym_switch] = ACTIONS(1437),
    [anon_sym_case] = ACTIONS(1437),
    [anon_sym_default] = ACTIONS(1437),
    [anon_sym_while] = ACTIONS(1437),
    [anon_sym_do] = ACTIONS(1437),
    [anon_sym_for] = ACTIONS(1437),
    [anon_sym_return] = ACTIONS(1437),
    [anon_sym_break] = ACTIONS(1437),
    [anon_sym_continue] = ACTIONS(1437),
    [anon_sym_goto] = ACTIONS(1437),
    [anon_sym___try] = ACTIONS(1437),
    [anon_sym___leave] = ACTIONS(1437),
    [anon_sym_DASH_DASH] = ACTIONS(1439),
    [anon_sym_PLUS_PLUS] = ACTIONS(1439),
    [anon_sym_sizeof] = ACTIONS(1437),
    [anon_sym___alignof__] = ACTIONS(1437),
    [anon_sym___alignof] = ACTIONS(1437),
    [anon_sym__alignof] = ACTIONS(1437),
    [anon_sym_alignof] = ACTIONS(1437),
    [anon_sym__Alignof] = ACTIONS(1437),
    [anon_sym_offsetof] = ACTIONS(1437),
    [anon_sym__Generic] = ACTIONS(1437),
    [anon_sym_asm] = ACTIONS(1437),
    [anon_sym___asm__] = ACTIONS(1437),
    [sym_number_literal] = ACTIONS(1439),
    [anon_sym_L_SQUOTE] = ACTIONS(1439),
    [anon_sym_u_SQUOTE] = ACTIONS(1439),
    [anon_sym_U_SQUOTE] = ACTIONS(1439),
    [anon_sym_u8_SQUOTE] = ACTIONS(1439),
    [anon_sym_SQUOTE] = ACTIONS(1439),
    [anon_sym_L_DQUOTE] = ACTIONS(1439),
    [anon_sym_u_DQUOTE] = ACTIONS(1439),
    [anon_sym_U_DQUOTE] = ACTIONS(1439),
    [anon_sym_u8_DQUOTE] = ACTIONS(1439),
    [anon_sym_DQUOTE] = ACTIONS(1439),
    [sym_true] = ACTIONS(1437),
    [sym_false] = ACTIONS(1437),
    [anon_sym_NULL] = ACTIONS(1437),
    [anon_sym_nullptr] = ACTIONS(1437),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1437),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1437),
    [anon_sym_hitAttributeEXT] = ACTIONS(1437),
    [anon_sym_callableDataEXT] = ACTIONS(1437),
    [anon_sym_callableDataInEXT] = ACTIONS(1437),
    [anon_sym_shaderRecordEXT] = ACTIONS(1437),
    [anon_sym_rayPayloadNV] = ACTIONS(1437),
    [anon_sym_rayPayloadInNV] = ACTIONS(1437),
    [anon_sym_hitAttributeNV] = ACTIONS(1437),
    [anon_sym_callableDataNV] = ACTIONS(1437),
    [anon_sym_callableDataInNV] = ACTIONS(1437),
    [anon_sym_shaderRecordNV] = ACTIONS(1437),
    [anon_sym_layout] = ACTIONS(1437),
  },
  [94] = {
    [sym_identifier] = ACTIONS(1441),
    [aux_sym_preproc_include_token1] = ACTIONS(1441),
    [aux_sym_preproc_def_token1] = ACTIONS(1441),
    [aux_sym_preproc_if_token1] = ACTIONS(1441),
    [aux_sym_preproc_if_token2] = ACTIONS(1441),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1441),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1441),
    [aux_sym_preproc_else_token1] = ACTIONS(1441),
    [aux_sym_preproc_elif_token1] = ACTIONS(1441),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1441),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1441),
    [sym_preproc_directive] = ACTIONS(1441),
    [anon_sym_LPAREN2] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(1443),
    [anon_sym_TILDE] = ACTIONS(1443),
    [anon_sym_DASH] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_STAR] = ACTIONS(1443),
    [anon_sym_AMP] = ACTIONS(1443),
    [anon_sym_subroutine] = ACTIONS(1441),
    [anon_sym_invariant] = ACTIONS(1441),
    [anon_sym_precise] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1443),
    [anon_sym_in] = ACTIONS(1441),
    [anon_sym_out] = ACTIONS(1441),
    [anon_sym_inout] = ACTIONS(1441),
    [anon_sym_uniform] = ACTIONS(1441),
    [anon_sym_shared] = ACTIONS(1441),
    [anon_sym_attribute] = ACTIONS(1441),
    [anon_sym_varying] = ACTIONS(1441),
    [anon_sym_buffer] = ACTIONS(1441),
    [anon_sym_coherent] = ACTIONS(1441),
    [anon_sym_readonly] = ACTIONS(1441),
    [anon_sym_writeonly] = ACTIONS(1441),
    [anon_sym_precision] = ACTIONS(1441),
    [anon_sym_highp] = ACTIONS(1441),
    [anon_sym_mediump] = ACTIONS(1441),
    [anon_sym_lowp] = ACTIONS(1441),
    [anon_sym_centroid] = ACTIONS(1441),
    [anon_sym_sample] = ACTIONS(1441),
    [anon_sym_patch] = ACTIONS(1441),
    [anon_sym_smooth] = ACTIONS(1441),
    [anon_sym_flat] = ACTIONS(1441),
    [anon_sym_noperspective] = ACTIONS(1441),
    [anon_sym___extension__] = ACTIONS(1441),
    [anon_sym_typedef] = ACTIONS(1441),
    [anon_sym_extern] = ACTIONS(1441),
    [anon_sym___attribute__] = ACTIONS(1441),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1443),
    [anon_sym___declspec] = ACTIONS(1441),
    [anon_sym___cdecl] = ACTIONS(1441),
    [anon_sym___clrcall] = ACTIONS(1441),
    [anon_sym___stdcall] = ACTIONS(1441),
    [anon_sym___fastcall] = ACTIONS(1441),
    [anon_sym___thiscall] = ACTIONS(1441),
    [anon_sym___vectorcall] = ACTIONS(1441),
    [anon_sym_LBRACE] = ACTIONS(1443),
    [anon_sym_signed] = ACTIONS(1441),
    [anon_sym_unsigned] = ACTIONS(1441),
    [anon_sym_long] = ACTIONS(1441),
    [anon_sym_short] = ACTIONS(1441),
    [anon_sym_static] = ACTIONS(1441),
    [anon_sym_auto] = ACTIONS(1441),
    [anon_sym_register] = ACTIONS(1441),
    [anon_sym_inline] = ACTIONS(1441),
    [anon_sym___inline] = ACTIONS(1441),
    [anon_sym___inline__] = ACTIONS(1441),
    [anon_sym___forceinline] = ACTIONS(1441),
    [anon_sym_thread_local] = ACTIONS(1441),
    [anon_sym___thread] = ACTIONS(1441),
    [anon_sym_const] = ACTIONS(1441),
    [anon_sym_constexpr] = ACTIONS(1441),
    [anon_sym_volatile] = ACTIONS(1441),
    [anon_sym_restrict] = ACTIONS(1441),
    [anon_sym___restrict__] = ACTIONS(1441),
    [anon_sym__Atomic] = ACTIONS(1441),
    [anon_sym__Noreturn] = ACTIONS(1441),
    [anon_sym_noreturn] = ACTIONS(1441),
    [sym_primitive_type] = ACTIONS(1441),
    [anon_sym_enum] = ACTIONS(1441),
    [anon_sym_struct] = ACTIONS(1441),
    [anon_sym_union] = ACTIONS(1441),
    [anon_sym_if] = ACTIONS(1441),
    [anon_sym_else] = ACTIONS(1441),
    [anon_sym_switch] = ACTIONS(1441),
    [anon_sym_case] = ACTIONS(1441),
    [anon_sym_default] = ACTIONS(1441),
    [anon_sym_while] = ACTIONS(1441),
    [anon_sym_do] = ACTIONS(1441),
    [anon_sym_for] = ACTIONS(1441),
    [anon_sym_return] = ACTIONS(1441),
    [anon_sym_break] = ACTIONS(1441),
    [anon_sym_continue] = ACTIONS(1441),
    [anon_sym_goto] = ACTIONS(1441),
    [anon_sym___try] = ACTIONS(1441),
    [anon_sym___leave] = ACTIONS(1441),
    [anon_sym_DASH_DASH] = ACTIONS(1443),
    [anon_sym_PLUS_PLUS] = ACTIONS(1443),
    [anon_sym_sizeof] = ACTIONS(1441),
    [anon_sym___alignof__] = ACTIONS(1441),
    [anon_sym___alignof] = ACTIONS(1441),
    [anon_sym__alignof] = ACTIONS(1441),
    [anon_sym_alignof] = ACTIONS(1441),
    [anon_sym__Alignof] = ACTIONS(1441),
    [anon_sym_offsetof] = ACTIONS(1441),
    [anon_sym__Generic] = ACTIONS(1441),
    [anon_sym_asm] = ACTIONS(1441),
    [anon_sym___asm__] = ACTIONS(1441),
    [sym_number_literal] = ACTIONS(1443),
    [anon_sym_L_SQUOTE] = ACTIONS(1443),
    [anon_sym_u_SQUOTE] = ACTIONS(1443),
    [anon_sym_U_SQUOTE] = ACTIONS(1443),
    [anon_sym_u8_SQUOTE] = ACTIONS(1443),
    [anon_sym_SQUOTE] = ACTIONS(1443),
    [anon_sym_L_DQUOTE] = ACTIONS(1443),
    [anon_sym_u_DQUOTE] = ACTIONS(1443),
    [anon_sym_U_DQUOTE] = ACTIONS(1443),
    [anon_sym_u8_DQUOTE] = ACTIONS(1443),
    [anon_sym_DQUOTE] = ACTIONS(1443),
    [sym_true] = ACTIONS(1441),
    [sym_false] = ACTIONS(1441),
    [anon_sym_NULL] = ACTIONS(1441),
    [anon_sym_nullptr] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1441),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1441),
    [anon_sym_hitAttributeEXT] = ACTIONS(1441),
    [anon_sym_callableDataEXT] = ACTIONS(1441),
    [anon_sym_callableDataInEXT] = ACTIONS(1441),
    [anon_sym_shaderRecordEXT] = ACTIONS(1441),
    [anon_sym_rayPayloadNV] = ACTIONS(1441),
    [anon_sym_rayPayloadInNV] = ACTIONS(1441),
    [anon_sym_hitAttributeNV] = ACTIONS(1441),
    [anon_sym_callableDataNV] = ACTIONS(1441),
    [anon_sym_callableDataInNV] = ACTIONS(1441),
    [anon_sym_shaderRecordNV] = ACTIONS(1441),
    [anon_sym_layout] = ACTIONS(1441),
  },
  [95] = {
    [sym_identifier] = ACTIONS(1445),
    [aux_sym_preproc_include_token1] = ACTIONS(1445),
    [aux_sym_preproc_def_token1] = ACTIONS(1445),
    [aux_sym_preproc_if_token1] = ACTIONS(1445),
    [aux_sym_preproc_if_token2] = ACTIONS(1445),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1445),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1445),
    [aux_sym_preproc_else_token1] = ACTIONS(1445),
    [aux_sym_preproc_elif_token1] = ACTIONS(1445),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1445),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1445),
    [sym_preproc_directive] = ACTIONS(1445),
    [anon_sym_LPAREN2] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1447),
    [anon_sym_TILDE] = ACTIONS(1447),
    [anon_sym_DASH] = ACTIONS(1445),
    [anon_sym_PLUS] = ACTIONS(1445),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_subroutine] = ACTIONS(1445),
    [anon_sym_invariant] = ACTIONS(1445),
    [anon_sym_precise] = ACTIONS(1445),
    [anon_sym_SEMI] = ACTIONS(1447),
    [anon_sym_in] = ACTIONS(1445),
    [anon_sym_out] = ACTIONS(1445),
    [anon_sym_inout] = ACTIONS(1445),
    [anon_sym_uniform] = ACTIONS(1445),
    [anon_sym_shared] = ACTIONS(1445),
    [anon_sym_attribute] = ACTIONS(1445),
    [anon_sym_varying] = ACTIONS(1445),
    [anon_sym_buffer] = ACTIONS(1445),
    [anon_sym_coherent] = ACTIONS(1445),
    [anon_sym_readonly] = ACTIONS(1445),
    [anon_sym_writeonly] = ACTIONS(1445),
    [anon_sym_precision] = ACTIONS(1445),
    [anon_sym_highp] = ACTIONS(1445),
    [anon_sym_mediump] = ACTIONS(1445),
    [anon_sym_lowp] = ACTIONS(1445),
    [anon_sym_centroid] = ACTIONS(1445),
    [anon_sym_sample] = ACTIONS(1445),
    [anon_sym_patch] = ACTIONS(1445),
    [anon_sym_smooth] = ACTIONS(1445),
    [anon_sym_flat] = ACTIONS(1445),
    [anon_sym_noperspective] = ACTIONS(1445),
    [anon_sym___extension__] = ACTIONS(1445),
    [anon_sym_typedef] = ACTIONS(1445),
    [anon_sym_extern] = ACTIONS(1445),
    [anon_sym___attribute__] = ACTIONS(1445),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1447),
    [anon_sym___declspec] = ACTIONS(1445),
    [anon_sym___cdecl] = ACTIONS(1445),
    [anon_sym___clrcall] = ACTIONS(1445),
    [anon_sym___stdcall] = ACTIONS(1445),
    [anon_sym___fastcall] = ACTIONS(1445),
    [anon_sym___thiscall] = ACTIONS(1445),
    [anon_sym___vectorcall] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(1447),
    [anon_sym_signed] = ACTIONS(1445),
    [anon_sym_unsigned] = ACTIONS(1445),
    [anon_sym_long] = ACTIONS(1445),
    [anon_sym_short] = ACTIONS(1445),
    [anon_sym_static] = ACTIONS(1445),
    [anon_sym_auto] = ACTIONS(1445),
    [anon_sym_register] = ACTIONS(1445),
    [anon_sym_inline] = ACTIONS(1445),
    [anon_sym___inline] = ACTIONS(1445),
    [anon_sym___inline__] = ACTIONS(1445),
    [anon_sym___forceinline] = ACTIONS(1445),
    [anon_sym_thread_local] = ACTIONS(1445),
    [anon_sym___thread] = ACTIONS(1445),
    [anon_sym_const] = ACTIONS(1445),
    [anon_sym_constexpr] = ACTIONS(1445),
    [anon_sym_volatile] = ACTIONS(1445),
    [anon_sym_restrict] = ACTIONS(1445),
    [anon_sym___restrict__] = ACTIONS(1445),
    [anon_sym__Atomic] = ACTIONS(1445),
    [anon_sym__Noreturn] = ACTIONS(1445),
    [anon_sym_noreturn] = ACTIONS(1445),
    [sym_primitive_type] = ACTIONS(1445),
    [anon_sym_enum] = ACTIONS(1445),
    [anon_sym_struct] = ACTIONS(1445),
    [anon_sym_union] = ACTIONS(1445),
    [anon_sym_if] = ACTIONS(1445),
    [anon_sym_else] = ACTIONS(1445),
    [anon_sym_switch] = ACTIONS(1445),
    [anon_sym_case] = ACTIONS(1445),
    [anon_sym_default] = ACTIONS(1445),
    [anon_sym_while] = ACTIONS(1445),
    [anon_sym_do] = ACTIONS(1445),
    [anon_sym_for] = ACTIONS(1445),
    [anon_sym_return] = ACTIONS(1445),
    [anon_sym_break] = ACTIONS(1445),
    [anon_sym_continue] = ACTIONS(1445),
    [anon_sym_goto] = ACTIONS(1445),
    [anon_sym___try] = ACTIONS(1445),
    [anon_sym___leave] = ACTIONS(1445),
    [anon_sym_DASH_DASH] = ACTIONS(1447),
    [anon_sym_PLUS_PLUS] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1445),
    [anon_sym___alignof__] = ACTIONS(1445),
    [anon_sym___alignof] = ACTIONS(1445),
    [anon_sym__alignof] = ACTIONS(1445),
    [anon_sym_alignof] = ACTIONS(1445),
    [anon_sym__Alignof] = ACTIONS(1445),
    [anon_sym_offsetof] = ACTIONS(1445),
    [anon_sym__Generic] = ACTIONS(1445),
    [anon_sym_asm] = ACTIONS(1445),
    [anon_sym___asm__] = ACTIONS(1445),
    [sym_number_literal] = ACTIONS(1447),
    [anon_sym_L_SQUOTE] = ACTIONS(1447),
    [anon_sym_u_SQUOTE] = ACTIONS(1447),
    [anon_sym_U_SQUOTE] = ACTIONS(1447),
    [anon_sym_u8_SQUOTE] = ACTIONS(1447),
    [anon_sym_SQUOTE] = ACTIONS(1447),
    [anon_sym_L_DQUOTE] = ACTIONS(1447),
    [anon_sym_u_DQUOTE] = ACTIONS(1447),
    [anon_sym_U_DQUOTE] = ACTIONS(1447),
    [anon_sym_u8_DQUOTE] = ACTIONS(1447),
    [anon_sym_DQUOTE] = ACTIONS(1447),
    [sym_true] = ACTIONS(1445),
    [sym_false] = ACTIONS(1445),
    [anon_sym_NULL] = ACTIONS(1445),
    [anon_sym_nullptr] = ACTIONS(1445),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1445),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1445),
    [anon_sym_hitAttributeEXT] = ACTIONS(1445),
    [anon_sym_callableDataEXT] = ACTIONS(1445),
    [anon_sym_callableDataInEXT] = ACTIONS(1445),
    [anon_sym_shaderRecordEXT] = ACTIONS(1445),
    [anon_sym_rayPayloadNV] = ACTIONS(1445),
    [anon_sym_rayPayloadInNV] = ACTIONS(1445),
    [anon_sym_hitAttributeNV] = ACTIONS(1445),
    [anon_sym_callableDataNV] = ACTIONS(1445),
    [anon_sym_callableDataInNV] = ACTIONS(1445),
    [anon_sym_shaderRecordNV] = ACTIONS(1445),
    [anon_sym_layout] = ACTIONS(1445),
  },
  [96] = {
    [sym_identifier] = ACTIONS(1449),
    [aux_sym_preproc_include_token1] = ACTIONS(1449),
    [aux_sym_preproc_def_token1] = ACTIONS(1449),
    [aux_sym_preproc_if_token1] = ACTIONS(1449),
    [aux_sym_preproc_if_token2] = ACTIONS(1449),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1449),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1449),
    [aux_sym_preproc_else_token1] = ACTIONS(1449),
    [aux_sym_preproc_elif_token1] = ACTIONS(1449),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1449),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1449),
    [sym_preproc_directive] = ACTIONS(1449),
    [anon_sym_LPAREN2] = ACTIONS(1451),
    [anon_sym_BANG] = ACTIONS(1451),
    [anon_sym_TILDE] = ACTIONS(1451),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_STAR] = ACTIONS(1451),
    [anon_sym_AMP] = ACTIONS(1451),
    [anon_sym_subroutine] = ACTIONS(1449),
    [anon_sym_invariant] = ACTIONS(1449),
    [anon_sym_precise] = ACTIONS(1449),
    [anon_sym_SEMI] = ACTIONS(1451),
    [anon_sym_in] = ACTIONS(1449),
    [anon_sym_out] = ACTIONS(1449),
    [anon_sym_inout] = ACTIONS(1449),
    [anon_sym_uniform] = ACTIONS(1449),
    [anon_sym_shared] = ACTIONS(1449),
    [anon_sym_attribute] = ACTIONS(1449),
    [anon_sym_varying] = ACTIONS(1449),
    [anon_sym_buffer] = ACTIONS(1449),
    [anon_sym_coherent] = ACTIONS(1449),
    [anon_sym_readonly] = ACTIONS(1449),
    [anon_sym_writeonly] = ACTIONS(1449),
    [anon_sym_precision] = ACTIONS(1449),
    [anon_sym_highp] = ACTIONS(1449),
    [anon_sym_mediump] = ACTIONS(1449),
    [anon_sym_lowp] = ACTIONS(1449),
    [anon_sym_centroid] = ACTIONS(1449),
    [anon_sym_sample] = ACTIONS(1449),
    [anon_sym_patch] = ACTIONS(1449),
    [anon_sym_smooth] = ACTIONS(1449),
    [anon_sym_flat] = ACTIONS(1449),
    [anon_sym_noperspective] = ACTIONS(1449),
    [anon_sym___extension__] = ACTIONS(1449),
    [anon_sym_typedef] = ACTIONS(1449),
    [anon_sym_extern] = ACTIONS(1449),
    [anon_sym___attribute__] = ACTIONS(1449),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1451),
    [anon_sym___declspec] = ACTIONS(1449),
    [anon_sym___cdecl] = ACTIONS(1449),
    [anon_sym___clrcall] = ACTIONS(1449),
    [anon_sym___stdcall] = ACTIONS(1449),
    [anon_sym___fastcall] = ACTIONS(1449),
    [anon_sym___thiscall] = ACTIONS(1449),
    [anon_sym___vectorcall] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_signed] = ACTIONS(1449),
    [anon_sym_unsigned] = ACTIONS(1449),
    [anon_sym_long] = ACTIONS(1449),
    [anon_sym_short] = ACTIONS(1449),
    [anon_sym_static] = ACTIONS(1449),
    [anon_sym_auto] = ACTIONS(1449),
    [anon_sym_register] = ACTIONS(1449),
    [anon_sym_inline] = ACTIONS(1449),
    [anon_sym___inline] = ACTIONS(1449),
    [anon_sym___inline__] = ACTIONS(1449),
    [anon_sym___forceinline] = ACTIONS(1449),
    [anon_sym_thread_local] = ACTIONS(1449),
    [anon_sym___thread] = ACTIONS(1449),
    [anon_sym_const] = ACTIONS(1449),
    [anon_sym_constexpr] = ACTIONS(1449),
    [anon_sym_volatile] = ACTIONS(1449),
    [anon_sym_restrict] = ACTIONS(1449),
    [anon_sym___restrict__] = ACTIONS(1449),
    [anon_sym__Atomic] = ACTIONS(1449),
    [anon_sym__Noreturn] = ACTIONS(1449),
    [anon_sym_noreturn] = ACTIONS(1449),
    [sym_primitive_type] = ACTIONS(1449),
    [anon_sym_enum] = ACTIONS(1449),
    [anon_sym_struct] = ACTIONS(1449),
    [anon_sym_union] = ACTIONS(1449),
    [anon_sym_if] = ACTIONS(1449),
    [anon_sym_else] = ACTIONS(1449),
    [anon_sym_switch] = ACTIONS(1449),
    [anon_sym_case] = ACTIONS(1449),
    [anon_sym_default] = ACTIONS(1449),
    [anon_sym_while] = ACTIONS(1449),
    [anon_sym_do] = ACTIONS(1449),
    [anon_sym_for] = ACTIONS(1449),
    [anon_sym_return] = ACTIONS(1449),
    [anon_sym_break] = ACTIONS(1449),
    [anon_sym_continue] = ACTIONS(1449),
    [anon_sym_goto] = ACTIONS(1449),
    [anon_sym___try] = ACTIONS(1449),
    [anon_sym___leave] = ACTIONS(1449),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym___alignof__] = ACTIONS(1449),
    [anon_sym___alignof] = ACTIONS(1449),
    [anon_sym__alignof] = ACTIONS(1449),
    [anon_sym_alignof] = ACTIONS(1449),
    [anon_sym__Alignof] = ACTIONS(1449),
    [anon_sym_offsetof] = ACTIONS(1449),
    [anon_sym__Generic] = ACTIONS(1449),
    [anon_sym_asm] = ACTIONS(1449),
    [anon_sym___asm__] = ACTIONS(1449),
    [sym_number_literal] = ACTIONS(1451),
    [anon_sym_L_SQUOTE] = ACTIONS(1451),
    [anon_sym_u_SQUOTE] = ACTIONS(1451),
    [anon_sym_U_SQUOTE] = ACTIONS(1451),
    [anon_sym_u8_SQUOTE] = ACTIONS(1451),
    [anon_sym_SQUOTE] = ACTIONS(1451),
    [anon_sym_L_DQUOTE] = ACTIONS(1451),
    [anon_sym_u_DQUOTE] = ACTIONS(1451),
    [anon_sym_U_DQUOTE] = ACTIONS(1451),
    [anon_sym_u8_DQUOTE] = ACTIONS(1451),
    [anon_sym_DQUOTE] = ACTIONS(1451),
    [sym_true] = ACTIONS(1449),
    [sym_false] = ACTIONS(1449),
    [anon_sym_NULL] = ACTIONS(1449),
    [anon_sym_nullptr] = ACTIONS(1449),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1449),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1449),
    [anon_sym_hitAttributeEXT] = ACTIONS(1449),
    [anon_sym_callableDataEXT] = ACTIONS(1449),
    [anon_sym_callableDataInEXT] = ACTIONS(1449),
    [anon_sym_shaderRecordEXT] = ACTIONS(1449),
    [anon_sym_rayPayloadNV] = ACTIONS(1449),
    [anon_sym_rayPayloadInNV] = ACTIONS(1449),
    [anon_sym_hitAttributeNV] = ACTIONS(1449),
    [anon_sym_callableDataNV] = ACTIONS(1449),
    [anon_sym_callableDataInNV] = ACTIONS(1449),
    [anon_sym_shaderRecordNV] = ACTIONS(1449),
    [anon_sym_layout] = ACTIONS(1449),
  },
  [97] = {
    [sym_identifier] = ACTIONS(1449),
    [aux_sym_preproc_include_token1] = ACTIONS(1449),
    [aux_sym_preproc_def_token1] = ACTIONS(1449),
    [aux_sym_preproc_if_token1] = ACTIONS(1449),
    [aux_sym_preproc_if_token2] = ACTIONS(1449),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1449),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1449),
    [aux_sym_preproc_else_token1] = ACTIONS(1449),
    [aux_sym_preproc_elif_token1] = ACTIONS(1449),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1449),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1449),
    [sym_preproc_directive] = ACTIONS(1449),
    [anon_sym_LPAREN2] = ACTIONS(1451),
    [anon_sym_BANG] = ACTIONS(1451),
    [anon_sym_TILDE] = ACTIONS(1451),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_STAR] = ACTIONS(1451),
    [anon_sym_AMP] = ACTIONS(1451),
    [anon_sym_subroutine] = ACTIONS(1449),
    [anon_sym_invariant] = ACTIONS(1449),
    [anon_sym_precise] = ACTIONS(1449),
    [anon_sym_SEMI] = ACTIONS(1451),
    [anon_sym_in] = ACTIONS(1449),
    [anon_sym_out] = ACTIONS(1449),
    [anon_sym_inout] = ACTIONS(1449),
    [anon_sym_uniform] = ACTIONS(1449),
    [anon_sym_shared] = ACTIONS(1449),
    [anon_sym_attribute] = ACTIONS(1449),
    [anon_sym_varying] = ACTIONS(1449),
    [anon_sym_buffer] = ACTIONS(1449),
    [anon_sym_coherent] = ACTIONS(1449),
    [anon_sym_readonly] = ACTIONS(1449),
    [anon_sym_writeonly] = ACTIONS(1449),
    [anon_sym_precision] = ACTIONS(1449),
    [anon_sym_highp] = ACTIONS(1449),
    [anon_sym_mediump] = ACTIONS(1449),
    [anon_sym_lowp] = ACTIONS(1449),
    [anon_sym_centroid] = ACTIONS(1449),
    [anon_sym_sample] = ACTIONS(1449),
    [anon_sym_patch] = ACTIONS(1449),
    [anon_sym_smooth] = ACTIONS(1449),
    [anon_sym_flat] = ACTIONS(1449),
    [anon_sym_noperspective] = ACTIONS(1449),
    [anon_sym___extension__] = ACTIONS(1449),
    [anon_sym_typedef] = ACTIONS(1449),
    [anon_sym_extern] = ACTIONS(1449),
    [anon_sym___attribute__] = ACTIONS(1449),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1451),
    [anon_sym___declspec] = ACTIONS(1449),
    [anon_sym___cdecl] = ACTIONS(1449),
    [anon_sym___clrcall] = ACTIONS(1449),
    [anon_sym___stdcall] = ACTIONS(1449),
    [anon_sym___fastcall] = ACTIONS(1449),
    [anon_sym___thiscall] = ACTIONS(1449),
    [anon_sym___vectorcall] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_signed] = ACTIONS(1449),
    [anon_sym_unsigned] = ACTIONS(1449),
    [anon_sym_long] = ACTIONS(1449),
    [anon_sym_short] = ACTIONS(1449),
    [anon_sym_static] = ACTIONS(1449),
    [anon_sym_auto] = ACTIONS(1449),
    [anon_sym_register] = ACTIONS(1449),
    [anon_sym_inline] = ACTIONS(1449),
    [anon_sym___inline] = ACTIONS(1449),
    [anon_sym___inline__] = ACTIONS(1449),
    [anon_sym___forceinline] = ACTIONS(1449),
    [anon_sym_thread_local] = ACTIONS(1449),
    [anon_sym___thread] = ACTIONS(1449),
    [anon_sym_const] = ACTIONS(1449),
    [anon_sym_constexpr] = ACTIONS(1449),
    [anon_sym_volatile] = ACTIONS(1449),
    [anon_sym_restrict] = ACTIONS(1449),
    [anon_sym___restrict__] = ACTIONS(1449),
    [anon_sym__Atomic] = ACTIONS(1449),
    [anon_sym__Noreturn] = ACTIONS(1449),
    [anon_sym_noreturn] = ACTIONS(1449),
    [sym_primitive_type] = ACTIONS(1449),
    [anon_sym_enum] = ACTIONS(1449),
    [anon_sym_struct] = ACTIONS(1449),
    [anon_sym_union] = ACTIONS(1449),
    [anon_sym_if] = ACTIONS(1449),
    [anon_sym_else] = ACTIONS(1449),
    [anon_sym_switch] = ACTIONS(1449),
    [anon_sym_case] = ACTIONS(1449),
    [anon_sym_default] = ACTIONS(1449),
    [anon_sym_while] = ACTIONS(1449),
    [anon_sym_do] = ACTIONS(1449),
    [anon_sym_for] = ACTIONS(1449),
    [anon_sym_return] = ACTIONS(1449),
    [anon_sym_break] = ACTIONS(1449),
    [anon_sym_continue] = ACTIONS(1449),
    [anon_sym_goto] = ACTIONS(1449),
    [anon_sym___try] = ACTIONS(1449),
    [anon_sym___leave] = ACTIONS(1449),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym___alignof__] = ACTIONS(1449),
    [anon_sym___alignof] = ACTIONS(1449),
    [anon_sym__alignof] = ACTIONS(1449),
    [anon_sym_alignof] = ACTIONS(1449),
    [anon_sym__Alignof] = ACTIONS(1449),
    [anon_sym_offsetof] = ACTIONS(1449),
    [anon_sym__Generic] = ACTIONS(1449),
    [anon_sym_asm] = ACTIONS(1449),
    [anon_sym___asm__] = ACTIONS(1449),
    [sym_number_literal] = ACTIONS(1451),
    [anon_sym_L_SQUOTE] = ACTIONS(1451),
    [anon_sym_u_SQUOTE] = ACTIONS(1451),
    [anon_sym_U_SQUOTE] = ACTIONS(1451),
    [anon_sym_u8_SQUOTE] = ACTIONS(1451),
    [anon_sym_SQUOTE] = ACTIONS(1451),
    [anon_sym_L_DQUOTE] = ACTIONS(1451),
    [anon_sym_u_DQUOTE] = ACTIONS(1451),
    [anon_sym_U_DQUOTE] = ACTIONS(1451),
    [anon_sym_u8_DQUOTE] = ACTIONS(1451),
    [anon_sym_DQUOTE] = ACTIONS(1451),
    [sym_true] = ACTIONS(1449),
    [sym_false] = ACTIONS(1449),
    [anon_sym_NULL] = ACTIONS(1449),
    [anon_sym_nullptr] = ACTIONS(1449),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1449),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1449),
    [anon_sym_hitAttributeEXT] = ACTIONS(1449),
    [anon_sym_callableDataEXT] = ACTIONS(1449),
    [anon_sym_callableDataInEXT] = ACTIONS(1449),
    [anon_sym_shaderRecordEXT] = ACTIONS(1449),
    [anon_sym_rayPayloadNV] = ACTIONS(1449),
    [anon_sym_rayPayloadInNV] = ACTIONS(1449),
    [anon_sym_hitAttributeNV] = ACTIONS(1449),
    [anon_sym_callableDataNV] = ACTIONS(1449),
    [anon_sym_callableDataInNV] = ACTIONS(1449),
    [anon_sym_shaderRecordNV] = ACTIONS(1449),
    [anon_sym_layout] = ACTIONS(1449),
  },
  [98] = {
    [sym_identifier] = ACTIONS(1453),
    [aux_sym_preproc_include_token1] = ACTIONS(1453),
    [aux_sym_preproc_def_token1] = ACTIONS(1453),
    [aux_sym_preproc_if_token1] = ACTIONS(1453),
    [aux_sym_preproc_if_token2] = ACTIONS(1453),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1453),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1453),
    [aux_sym_preproc_else_token1] = ACTIONS(1453),
    [aux_sym_preproc_elif_token1] = ACTIONS(1453),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1453),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1453),
    [sym_preproc_directive] = ACTIONS(1453),
    [anon_sym_LPAREN2] = ACTIONS(1455),
    [anon_sym_BANG] = ACTIONS(1455),
    [anon_sym_TILDE] = ACTIONS(1455),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_STAR] = ACTIONS(1455),
    [anon_sym_AMP] = ACTIONS(1455),
    [anon_sym_subroutine] = ACTIONS(1453),
    [anon_sym_invariant] = ACTIONS(1453),
    [anon_sym_precise] = ACTIONS(1453),
    [anon_sym_SEMI] = ACTIONS(1455),
    [anon_sym_in] = ACTIONS(1453),
    [anon_sym_out] = ACTIONS(1453),
    [anon_sym_inout] = ACTIONS(1453),
    [anon_sym_uniform] = ACTIONS(1453),
    [anon_sym_shared] = ACTIONS(1453),
    [anon_sym_attribute] = ACTIONS(1453),
    [anon_sym_varying] = ACTIONS(1453),
    [anon_sym_buffer] = ACTIONS(1453),
    [anon_sym_coherent] = ACTIONS(1453),
    [anon_sym_readonly] = ACTIONS(1453),
    [anon_sym_writeonly] = ACTIONS(1453),
    [anon_sym_precision] = ACTIONS(1453),
    [anon_sym_highp] = ACTIONS(1453),
    [anon_sym_mediump] = ACTIONS(1453),
    [anon_sym_lowp] = ACTIONS(1453),
    [anon_sym_centroid] = ACTIONS(1453),
    [anon_sym_sample] = ACTIONS(1453),
    [anon_sym_patch] = ACTIONS(1453),
    [anon_sym_smooth] = ACTIONS(1453),
    [anon_sym_flat] = ACTIONS(1453),
    [anon_sym_noperspective] = ACTIONS(1453),
    [anon_sym___extension__] = ACTIONS(1453),
    [anon_sym_typedef] = ACTIONS(1453),
    [anon_sym_extern] = ACTIONS(1453),
    [anon_sym___attribute__] = ACTIONS(1453),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1455),
    [anon_sym___declspec] = ACTIONS(1453),
    [anon_sym___cdecl] = ACTIONS(1453),
    [anon_sym___clrcall] = ACTIONS(1453),
    [anon_sym___stdcall] = ACTIONS(1453),
    [anon_sym___fastcall] = ACTIONS(1453),
    [anon_sym___thiscall] = ACTIONS(1453),
    [anon_sym___vectorcall] = ACTIONS(1453),
    [anon_sym_LBRACE] = ACTIONS(1455),
    [anon_sym_signed] = ACTIONS(1453),
    [anon_sym_unsigned] = ACTIONS(1453),
    [anon_sym_long] = ACTIONS(1453),
    [anon_sym_short] = ACTIONS(1453),
    [anon_sym_static] = ACTIONS(1453),
    [anon_sym_auto] = ACTIONS(1453),
    [anon_sym_register] = ACTIONS(1453),
    [anon_sym_inline] = ACTIONS(1453),
    [anon_sym___inline] = ACTIONS(1453),
    [anon_sym___inline__] = ACTIONS(1453),
    [anon_sym___forceinline] = ACTIONS(1453),
    [anon_sym_thread_local] = ACTIONS(1453),
    [anon_sym___thread] = ACTIONS(1453),
    [anon_sym_const] = ACTIONS(1453),
    [anon_sym_constexpr] = ACTIONS(1453),
    [anon_sym_volatile] = ACTIONS(1453),
    [anon_sym_restrict] = ACTIONS(1453),
    [anon_sym___restrict__] = ACTIONS(1453),
    [anon_sym__Atomic] = ACTIONS(1453),
    [anon_sym__Noreturn] = ACTIONS(1453),
    [anon_sym_noreturn] = ACTIONS(1453),
    [sym_primitive_type] = ACTIONS(1453),
    [anon_sym_enum] = ACTIONS(1453),
    [anon_sym_struct] = ACTIONS(1453),
    [anon_sym_union] = ACTIONS(1453),
    [anon_sym_if] = ACTIONS(1453),
    [anon_sym_else] = ACTIONS(1453),
    [anon_sym_switch] = ACTIONS(1453),
    [anon_sym_case] = ACTIONS(1453),
    [anon_sym_default] = ACTIONS(1453),
    [anon_sym_while] = ACTIONS(1453),
    [anon_sym_do] = ACTIONS(1453),
    [anon_sym_for] = ACTIONS(1453),
    [anon_sym_return] = ACTIONS(1453),
    [anon_sym_break] = ACTIONS(1453),
    [anon_sym_continue] = ACTIONS(1453),
    [anon_sym_goto] = ACTIONS(1453),
    [anon_sym___try] = ACTIONS(1453),
    [anon_sym___leave] = ACTIONS(1453),
    [anon_sym_DASH_DASH] = ACTIONS(1455),
    [anon_sym_PLUS_PLUS] = ACTIONS(1455),
    [anon_sym_sizeof] = ACTIONS(1453),
    [anon_sym___alignof__] = ACTIONS(1453),
    [anon_sym___alignof] = ACTIONS(1453),
    [anon_sym__alignof] = ACTIONS(1453),
    [anon_sym_alignof] = ACTIONS(1453),
    [anon_sym__Alignof] = ACTIONS(1453),
    [anon_sym_offsetof] = ACTIONS(1453),
    [anon_sym__Generic] = ACTIONS(1453),
    [anon_sym_asm] = ACTIONS(1453),
    [anon_sym___asm__] = ACTIONS(1453),
    [sym_number_literal] = ACTIONS(1455),
    [anon_sym_L_SQUOTE] = ACTIONS(1455),
    [anon_sym_u_SQUOTE] = ACTIONS(1455),
    [anon_sym_U_SQUOTE] = ACTIONS(1455),
    [anon_sym_u8_SQUOTE] = ACTIONS(1455),
    [anon_sym_SQUOTE] = ACTIONS(1455),
    [anon_sym_L_DQUOTE] = ACTIONS(1455),
    [anon_sym_u_DQUOTE] = ACTIONS(1455),
    [anon_sym_U_DQUOTE] = ACTIONS(1455),
    [anon_sym_u8_DQUOTE] = ACTIONS(1455),
    [anon_sym_DQUOTE] = ACTIONS(1455),
    [sym_true] = ACTIONS(1453),
    [sym_false] = ACTIONS(1453),
    [anon_sym_NULL] = ACTIONS(1453),
    [anon_sym_nullptr] = ACTIONS(1453),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1453),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1453),
    [anon_sym_hitAttributeEXT] = ACTIONS(1453),
    [anon_sym_callableDataEXT] = ACTIONS(1453),
    [anon_sym_callableDataInEXT] = ACTIONS(1453),
    [anon_sym_shaderRecordEXT] = ACTIONS(1453),
    [anon_sym_rayPayloadNV] = ACTIONS(1453),
    [anon_sym_rayPayloadInNV] = ACTIONS(1453),
    [anon_sym_hitAttributeNV] = ACTIONS(1453),
    [anon_sym_callableDataNV] = ACTIONS(1453),
    [anon_sym_callableDataInNV] = ACTIONS(1453),
    [anon_sym_shaderRecordNV] = ACTIONS(1453),
    [anon_sym_layout] = ACTIONS(1453),
  },
  [99] = {
    [sym_identifier] = ACTIONS(1457),
    [aux_sym_preproc_include_token1] = ACTIONS(1457),
    [aux_sym_preproc_def_token1] = ACTIONS(1457),
    [aux_sym_preproc_if_token1] = ACTIONS(1457),
    [aux_sym_preproc_if_token2] = ACTIONS(1457),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1457),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1457),
    [aux_sym_preproc_else_token1] = ACTIONS(1457),
    [aux_sym_preproc_elif_token1] = ACTIONS(1457),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1457),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1457),
    [sym_preproc_directive] = ACTIONS(1457),
    [anon_sym_LPAREN2] = ACTIONS(1459),
    [anon_sym_BANG] = ACTIONS(1459),
    [anon_sym_TILDE] = ACTIONS(1459),
    [anon_sym_DASH] = ACTIONS(1457),
    [anon_sym_PLUS] = ACTIONS(1457),
    [anon_sym_STAR] = ACTIONS(1459),
    [anon_sym_AMP] = ACTIONS(1459),
    [anon_sym_subroutine] = ACTIONS(1457),
    [anon_sym_invariant] = ACTIONS(1457),
    [anon_sym_precise] = ACTIONS(1457),
    [anon_sym_SEMI] = ACTIONS(1459),
    [anon_sym_in] = ACTIONS(1457),
    [anon_sym_out] = ACTIONS(1457),
    [anon_sym_inout] = ACTIONS(1457),
    [anon_sym_uniform] = ACTIONS(1457),
    [anon_sym_shared] = ACTIONS(1457),
    [anon_sym_attribute] = ACTIONS(1457),
    [anon_sym_varying] = ACTIONS(1457),
    [anon_sym_buffer] = ACTIONS(1457),
    [anon_sym_coherent] = ACTIONS(1457),
    [anon_sym_readonly] = ACTIONS(1457),
    [anon_sym_writeonly] = ACTIONS(1457),
    [anon_sym_precision] = ACTIONS(1457),
    [anon_sym_highp] = ACTIONS(1457),
    [anon_sym_mediump] = ACTIONS(1457),
    [anon_sym_lowp] = ACTIONS(1457),
    [anon_sym_centroid] = ACTIONS(1457),
    [anon_sym_sample] = ACTIONS(1457),
    [anon_sym_patch] = ACTIONS(1457),
    [anon_sym_smooth] = ACTIONS(1457),
    [anon_sym_flat] = ACTIONS(1457),
    [anon_sym_noperspective] = ACTIONS(1457),
    [anon_sym___extension__] = ACTIONS(1457),
    [anon_sym_typedef] = ACTIONS(1457),
    [anon_sym_extern] = ACTIONS(1457),
    [anon_sym___attribute__] = ACTIONS(1457),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1459),
    [anon_sym___declspec] = ACTIONS(1457),
    [anon_sym___cdecl] = ACTIONS(1457),
    [anon_sym___clrcall] = ACTIONS(1457),
    [anon_sym___stdcall] = ACTIONS(1457),
    [anon_sym___fastcall] = ACTIONS(1457),
    [anon_sym___thiscall] = ACTIONS(1457),
    [anon_sym___vectorcall] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(1459),
    [anon_sym_signed] = ACTIONS(1457),
    [anon_sym_unsigned] = ACTIONS(1457),
    [anon_sym_long] = ACTIONS(1457),
    [anon_sym_short] = ACTIONS(1457),
    [anon_sym_static] = ACTIONS(1457),
    [anon_sym_auto] = ACTIONS(1457),
    [anon_sym_register] = ACTIONS(1457),
    [anon_sym_inline] = ACTIONS(1457),
    [anon_sym___inline] = ACTIONS(1457),
    [anon_sym___inline__] = ACTIONS(1457),
    [anon_sym___forceinline] = ACTIONS(1457),
    [anon_sym_thread_local] = ACTIONS(1457),
    [anon_sym___thread] = ACTIONS(1457),
    [anon_sym_const] = ACTIONS(1457),
    [anon_sym_constexpr] = ACTIONS(1457),
    [anon_sym_volatile] = ACTIONS(1457),
    [anon_sym_restrict] = ACTIONS(1457),
    [anon_sym___restrict__] = ACTIONS(1457),
    [anon_sym__Atomic] = ACTIONS(1457),
    [anon_sym__Noreturn] = ACTIONS(1457),
    [anon_sym_noreturn] = ACTIONS(1457),
    [sym_primitive_type] = ACTIONS(1457),
    [anon_sym_enum] = ACTIONS(1457),
    [anon_sym_struct] = ACTIONS(1457),
    [anon_sym_union] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1457),
    [anon_sym_else] = ACTIONS(1457),
    [anon_sym_switch] = ACTIONS(1457),
    [anon_sym_case] = ACTIONS(1457),
    [anon_sym_default] = ACTIONS(1457),
    [anon_sym_while] = ACTIONS(1457),
    [anon_sym_do] = ACTIONS(1457),
    [anon_sym_for] = ACTIONS(1457),
    [anon_sym_return] = ACTIONS(1457),
    [anon_sym_break] = ACTIONS(1457),
    [anon_sym_continue] = ACTIONS(1457),
    [anon_sym_goto] = ACTIONS(1457),
    [anon_sym___try] = ACTIONS(1457),
    [anon_sym___leave] = ACTIONS(1457),
    [anon_sym_DASH_DASH] = ACTIONS(1459),
    [anon_sym_PLUS_PLUS] = ACTIONS(1459),
    [anon_sym_sizeof] = ACTIONS(1457),
    [anon_sym___alignof__] = ACTIONS(1457),
    [anon_sym___alignof] = ACTIONS(1457),
    [anon_sym__alignof] = ACTIONS(1457),
    [anon_sym_alignof] = ACTIONS(1457),
    [anon_sym__Alignof] = ACTIONS(1457),
    [anon_sym_offsetof] = ACTIONS(1457),
    [anon_sym__Generic] = ACTIONS(1457),
    [anon_sym_asm] = ACTIONS(1457),
    [anon_sym___asm__] = ACTIONS(1457),
    [sym_number_literal] = ACTIONS(1459),
    [anon_sym_L_SQUOTE] = ACTIONS(1459),
    [anon_sym_u_SQUOTE] = ACTIONS(1459),
    [anon_sym_U_SQUOTE] = ACTIONS(1459),
    [anon_sym_u8_SQUOTE] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1459),
    [anon_sym_L_DQUOTE] = ACTIONS(1459),
    [anon_sym_u_DQUOTE] = ACTIONS(1459),
    [anon_sym_U_DQUOTE] = ACTIONS(1459),
    [anon_sym_u8_DQUOTE] = ACTIONS(1459),
    [anon_sym_DQUOTE] = ACTIONS(1459),
    [sym_true] = ACTIONS(1457),
    [sym_false] = ACTIONS(1457),
    [anon_sym_NULL] = ACTIONS(1457),
    [anon_sym_nullptr] = ACTIONS(1457),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1457),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1457),
    [anon_sym_hitAttributeEXT] = ACTIONS(1457),
    [anon_sym_callableDataEXT] = ACTIONS(1457),
    [anon_sym_callableDataInEXT] = ACTIONS(1457),
    [anon_sym_shaderRecordEXT] = ACTIONS(1457),
    [anon_sym_rayPayloadNV] = ACTIONS(1457),
    [anon_sym_rayPayloadInNV] = ACTIONS(1457),
    [anon_sym_hitAttributeNV] = ACTIONS(1457),
    [anon_sym_callableDataNV] = ACTIONS(1457),
    [anon_sym_callableDataInNV] = ACTIONS(1457),
    [anon_sym_shaderRecordNV] = ACTIONS(1457),
    [anon_sym_layout] = ACTIONS(1457),
  },
  [100] = {
    [sym_identifier] = ACTIONS(1461),
    [aux_sym_preproc_include_token1] = ACTIONS(1461),
    [aux_sym_preproc_def_token1] = ACTIONS(1461),
    [aux_sym_preproc_if_token1] = ACTIONS(1461),
    [aux_sym_preproc_if_token2] = ACTIONS(1461),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1461),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1461),
    [aux_sym_preproc_else_token1] = ACTIONS(1461),
    [aux_sym_preproc_elif_token1] = ACTIONS(1461),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1461),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1461),
    [sym_preproc_directive] = ACTIONS(1461),
    [anon_sym_LPAREN2] = ACTIONS(1463),
    [anon_sym_BANG] = ACTIONS(1463),
    [anon_sym_TILDE] = ACTIONS(1463),
    [anon_sym_DASH] = ACTIONS(1461),
    [anon_sym_PLUS] = ACTIONS(1461),
    [anon_sym_STAR] = ACTIONS(1463),
    [anon_sym_AMP] = ACTIONS(1463),
    [anon_sym_subroutine] = ACTIONS(1461),
    [anon_sym_invariant] = ACTIONS(1461),
    [anon_sym_precise] = ACTIONS(1461),
    [anon_sym_SEMI] = ACTIONS(1463),
    [anon_sym_in] = ACTIONS(1461),
    [anon_sym_out] = ACTIONS(1461),
    [anon_sym_inout] = ACTIONS(1461),
    [anon_sym_uniform] = ACTIONS(1461),
    [anon_sym_shared] = ACTIONS(1461),
    [anon_sym_attribute] = ACTIONS(1461),
    [anon_sym_varying] = ACTIONS(1461),
    [anon_sym_buffer] = ACTIONS(1461),
    [anon_sym_coherent] = ACTIONS(1461),
    [anon_sym_readonly] = ACTIONS(1461),
    [anon_sym_writeonly] = ACTIONS(1461),
    [anon_sym_precision] = ACTIONS(1461),
    [anon_sym_highp] = ACTIONS(1461),
    [anon_sym_mediump] = ACTIONS(1461),
    [anon_sym_lowp] = ACTIONS(1461),
    [anon_sym_centroid] = ACTIONS(1461),
    [anon_sym_sample] = ACTIONS(1461),
    [anon_sym_patch] = ACTIONS(1461),
    [anon_sym_smooth] = ACTIONS(1461),
    [anon_sym_flat] = ACTIONS(1461),
    [anon_sym_noperspective] = ACTIONS(1461),
    [anon_sym___extension__] = ACTIONS(1461),
    [anon_sym_typedef] = ACTIONS(1461),
    [anon_sym_extern] = ACTIONS(1461),
    [anon_sym___attribute__] = ACTIONS(1461),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1463),
    [anon_sym___declspec] = ACTIONS(1461),
    [anon_sym___cdecl] = ACTIONS(1461),
    [anon_sym___clrcall] = ACTIONS(1461),
    [anon_sym___stdcall] = ACTIONS(1461),
    [anon_sym___fastcall] = ACTIONS(1461),
    [anon_sym___thiscall] = ACTIONS(1461),
    [anon_sym___vectorcall] = ACTIONS(1461),
    [anon_sym_LBRACE] = ACTIONS(1463),
    [anon_sym_signed] = ACTIONS(1461),
    [anon_sym_unsigned] = ACTIONS(1461),
    [anon_sym_long] = ACTIONS(1461),
    [anon_sym_short] = ACTIONS(1461),
    [anon_sym_static] = ACTIONS(1461),
    [anon_sym_auto] = ACTIONS(1461),
    [anon_sym_register] = ACTIONS(1461),
    [anon_sym_inline] = ACTIONS(1461),
    [anon_sym___inline] = ACTIONS(1461),
    [anon_sym___inline__] = ACTIONS(1461),
    [anon_sym___forceinline] = ACTIONS(1461),
    [anon_sym_thread_local] = ACTIONS(1461),
    [anon_sym___thread] = ACTIONS(1461),
    [anon_sym_const] = ACTIONS(1461),
    [anon_sym_constexpr] = ACTIONS(1461),
    [anon_sym_volatile] = ACTIONS(1461),
    [anon_sym_restrict] = ACTIONS(1461),
    [anon_sym___restrict__] = ACTIONS(1461),
    [anon_sym__Atomic] = ACTIONS(1461),
    [anon_sym__Noreturn] = ACTIONS(1461),
    [anon_sym_noreturn] = ACTIONS(1461),
    [sym_primitive_type] = ACTIONS(1461),
    [anon_sym_enum] = ACTIONS(1461),
    [anon_sym_struct] = ACTIONS(1461),
    [anon_sym_union] = ACTIONS(1461),
    [anon_sym_if] = ACTIONS(1461),
    [anon_sym_else] = ACTIONS(1461),
    [anon_sym_switch] = ACTIONS(1461),
    [anon_sym_case] = ACTIONS(1461),
    [anon_sym_default] = ACTIONS(1461),
    [anon_sym_while] = ACTIONS(1461),
    [anon_sym_do] = ACTIONS(1461),
    [anon_sym_for] = ACTIONS(1461),
    [anon_sym_return] = ACTIONS(1461),
    [anon_sym_break] = ACTIONS(1461),
    [anon_sym_continue] = ACTIONS(1461),
    [anon_sym_goto] = ACTIONS(1461),
    [anon_sym___try] = ACTIONS(1461),
    [anon_sym___leave] = ACTIONS(1461),
    [anon_sym_DASH_DASH] = ACTIONS(1463),
    [anon_sym_PLUS_PLUS] = ACTIONS(1463),
    [anon_sym_sizeof] = ACTIONS(1461),
    [anon_sym___alignof__] = ACTIONS(1461),
    [anon_sym___alignof] = ACTIONS(1461),
    [anon_sym__alignof] = ACTIONS(1461),
    [anon_sym_alignof] = ACTIONS(1461),
    [anon_sym__Alignof] = ACTIONS(1461),
    [anon_sym_offsetof] = ACTIONS(1461),
    [anon_sym__Generic] = ACTIONS(1461),
    [anon_sym_asm] = ACTIONS(1461),
    [anon_sym___asm__] = ACTIONS(1461),
    [sym_number_literal] = ACTIONS(1463),
    [anon_sym_L_SQUOTE] = ACTIONS(1463),
    [anon_sym_u_SQUOTE] = ACTIONS(1463),
    [anon_sym_U_SQUOTE] = ACTIONS(1463),
    [anon_sym_u8_SQUOTE] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1463),
    [anon_sym_L_DQUOTE] = ACTIONS(1463),
    [anon_sym_u_DQUOTE] = ACTIONS(1463),
    [anon_sym_U_DQUOTE] = ACTIONS(1463),
    [anon_sym_u8_DQUOTE] = ACTIONS(1463),
    [anon_sym_DQUOTE] = ACTIONS(1463),
    [sym_true] = ACTIONS(1461),
    [sym_false] = ACTIONS(1461),
    [anon_sym_NULL] = ACTIONS(1461),
    [anon_sym_nullptr] = ACTIONS(1461),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1461),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1461),
    [anon_sym_hitAttributeEXT] = ACTIONS(1461),
    [anon_sym_callableDataEXT] = ACTIONS(1461),
    [anon_sym_callableDataInEXT] = ACTIONS(1461),
    [anon_sym_shaderRecordEXT] = ACTIONS(1461),
    [anon_sym_rayPayloadNV] = ACTIONS(1461),
    [anon_sym_rayPayloadInNV] = ACTIONS(1461),
    [anon_sym_hitAttributeNV] = ACTIONS(1461),
    [anon_sym_callableDataNV] = ACTIONS(1461),
    [anon_sym_callableDataInNV] = ACTIONS(1461),
    [anon_sym_shaderRecordNV] = ACTIONS(1461),
    [anon_sym_layout] = ACTIONS(1461),
  },
  [101] = {
    [sym_identifier] = ACTIONS(1465),
    [aux_sym_preproc_include_token1] = ACTIONS(1465),
    [aux_sym_preproc_def_token1] = ACTIONS(1465),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_if_token2] = ACTIONS(1465),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1465),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1465),
    [aux_sym_preproc_else_token1] = ACTIONS(1465),
    [aux_sym_preproc_elif_token1] = ACTIONS(1465),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1465),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1465),
    [sym_preproc_directive] = ACTIONS(1465),
    [anon_sym_LPAREN2] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1467),
    [anon_sym_TILDE] = ACTIONS(1467),
    [anon_sym_DASH] = ACTIONS(1465),
    [anon_sym_PLUS] = ACTIONS(1465),
    [anon_sym_STAR] = ACTIONS(1467),
    [anon_sym_AMP] = ACTIONS(1467),
    [anon_sym_subroutine] = ACTIONS(1465),
    [anon_sym_invariant] = ACTIONS(1465),
    [anon_sym_precise] = ACTIONS(1465),
    [anon_sym_SEMI] = ACTIONS(1467),
    [anon_sym_in] = ACTIONS(1465),
    [anon_sym_out] = ACTIONS(1465),
    [anon_sym_inout] = ACTIONS(1465),
    [anon_sym_uniform] = ACTIONS(1465),
    [anon_sym_shared] = ACTIONS(1465),
    [anon_sym_attribute] = ACTIONS(1465),
    [anon_sym_varying] = ACTIONS(1465),
    [anon_sym_buffer] = ACTIONS(1465),
    [anon_sym_coherent] = ACTIONS(1465),
    [anon_sym_readonly] = ACTIONS(1465),
    [anon_sym_writeonly] = ACTIONS(1465),
    [anon_sym_precision] = ACTIONS(1465),
    [anon_sym_highp] = ACTIONS(1465),
    [anon_sym_mediump] = ACTIONS(1465),
    [anon_sym_lowp] = ACTIONS(1465),
    [anon_sym_centroid] = ACTIONS(1465),
    [anon_sym_sample] = ACTIONS(1465),
    [anon_sym_patch] = ACTIONS(1465),
    [anon_sym_smooth] = ACTIONS(1465),
    [anon_sym_flat] = ACTIONS(1465),
    [anon_sym_noperspective] = ACTIONS(1465),
    [anon_sym___extension__] = ACTIONS(1465),
    [anon_sym_typedef] = ACTIONS(1465),
    [anon_sym_extern] = ACTIONS(1465),
    [anon_sym___attribute__] = ACTIONS(1465),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1467),
    [anon_sym___declspec] = ACTIONS(1465),
    [anon_sym___cdecl] = ACTIONS(1465),
    [anon_sym___clrcall] = ACTIONS(1465),
    [anon_sym___stdcall] = ACTIONS(1465),
    [anon_sym___fastcall] = ACTIONS(1465),
    [anon_sym___thiscall] = ACTIONS(1465),
    [anon_sym___vectorcall] = ACTIONS(1465),
    [anon_sym_LBRACE] = ACTIONS(1467),
    [anon_sym_signed] = ACTIONS(1465),
    [anon_sym_unsigned] = ACTIONS(1465),
    [anon_sym_long] = ACTIONS(1465),
    [anon_sym_short] = ACTIONS(1465),
    [anon_sym_static] = ACTIONS(1465),
    [anon_sym_auto] = ACTIONS(1465),
    [anon_sym_register] = ACTIONS(1465),
    [anon_sym_inline] = ACTIONS(1465),
    [anon_sym___inline] = ACTIONS(1465),
    [anon_sym___inline__] = ACTIONS(1465),
    [anon_sym___forceinline] = ACTIONS(1465),
    [anon_sym_thread_local] = ACTIONS(1465),
    [anon_sym___thread] = ACTIONS(1465),
    [anon_sym_const] = ACTIONS(1465),
    [anon_sym_constexpr] = ACTIONS(1465),
    [anon_sym_volatile] = ACTIONS(1465),
    [anon_sym_restrict] = ACTIONS(1465),
    [anon_sym___restrict__] = ACTIONS(1465),
    [anon_sym__Atomic] = ACTIONS(1465),
    [anon_sym__Noreturn] = ACTIONS(1465),
    [anon_sym_noreturn] = ACTIONS(1465),
    [sym_primitive_type] = ACTIONS(1465),
    [anon_sym_enum] = ACTIONS(1465),
    [anon_sym_struct] = ACTIONS(1465),
    [anon_sym_union] = ACTIONS(1465),
    [anon_sym_if] = ACTIONS(1465),
    [anon_sym_else] = ACTIONS(1465),
    [anon_sym_switch] = ACTIONS(1465),
    [anon_sym_case] = ACTIONS(1465),
    [anon_sym_default] = ACTIONS(1465),
    [anon_sym_while] = ACTIONS(1465),
    [anon_sym_do] = ACTIONS(1465),
    [anon_sym_for] = ACTIONS(1465),
    [anon_sym_return] = ACTIONS(1465),
    [anon_sym_break] = ACTIONS(1465),
    [anon_sym_continue] = ACTIONS(1465),
    [anon_sym_goto] = ACTIONS(1465),
    [anon_sym___try] = ACTIONS(1465),
    [anon_sym___leave] = ACTIONS(1465),
    [anon_sym_DASH_DASH] = ACTIONS(1467),
    [anon_sym_PLUS_PLUS] = ACTIONS(1467),
    [anon_sym_sizeof] = ACTIONS(1465),
    [anon_sym___alignof__] = ACTIONS(1465),
    [anon_sym___alignof] = ACTIONS(1465),
    [anon_sym__alignof] = ACTIONS(1465),
    [anon_sym_alignof] = ACTIONS(1465),
    [anon_sym__Alignof] = ACTIONS(1465),
    [anon_sym_offsetof] = ACTIONS(1465),
    [anon_sym__Generic] = ACTIONS(1465),
    [anon_sym_asm] = ACTIONS(1465),
    [anon_sym___asm__] = ACTIONS(1465),
    [sym_number_literal] = ACTIONS(1467),
    [anon_sym_L_SQUOTE] = ACTIONS(1467),
    [anon_sym_u_SQUOTE] = ACTIONS(1467),
    [anon_sym_U_SQUOTE] = ACTIONS(1467),
    [anon_sym_u8_SQUOTE] = ACTIONS(1467),
    [anon_sym_SQUOTE] = ACTIONS(1467),
    [anon_sym_L_DQUOTE] = ACTIONS(1467),
    [anon_sym_u_DQUOTE] = ACTIONS(1467),
    [anon_sym_U_DQUOTE] = ACTIONS(1467),
    [anon_sym_u8_DQUOTE] = ACTIONS(1467),
    [anon_sym_DQUOTE] = ACTIONS(1467),
    [sym_true] = ACTIONS(1465),
    [sym_false] = ACTIONS(1465),
    [anon_sym_NULL] = ACTIONS(1465),
    [anon_sym_nullptr] = ACTIONS(1465),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1465),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1465),
    [anon_sym_hitAttributeEXT] = ACTIONS(1465),
    [anon_sym_callableDataEXT] = ACTIONS(1465),
    [anon_sym_callableDataInEXT] = ACTIONS(1465),
    [anon_sym_shaderRecordEXT] = ACTIONS(1465),
    [anon_sym_rayPayloadNV] = ACTIONS(1465),
    [anon_sym_rayPayloadInNV] = ACTIONS(1465),
    [anon_sym_hitAttributeNV] = ACTIONS(1465),
    [anon_sym_callableDataNV] = ACTIONS(1465),
    [anon_sym_callableDataInNV] = ACTIONS(1465),
    [anon_sym_shaderRecordNV] = ACTIONS(1465),
    [anon_sym_layout] = ACTIONS(1465),
  },
  [102] = {
    [sym_identifier] = ACTIONS(1469),
    [aux_sym_preproc_include_token1] = ACTIONS(1469),
    [aux_sym_preproc_def_token1] = ACTIONS(1469),
    [aux_sym_preproc_if_token1] = ACTIONS(1469),
    [aux_sym_preproc_if_token2] = ACTIONS(1469),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1469),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1469),
    [aux_sym_preproc_else_token1] = ACTIONS(1469),
    [aux_sym_preproc_elif_token1] = ACTIONS(1469),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1469),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1469),
    [sym_preproc_directive] = ACTIONS(1469),
    [anon_sym_LPAREN2] = ACTIONS(1471),
    [anon_sym_BANG] = ACTIONS(1471),
    [anon_sym_TILDE] = ACTIONS(1471),
    [anon_sym_DASH] = ACTIONS(1469),
    [anon_sym_PLUS] = ACTIONS(1469),
    [anon_sym_STAR] = ACTIONS(1471),
    [anon_sym_AMP] = ACTIONS(1471),
    [anon_sym_subroutine] = ACTIONS(1469),
    [anon_sym_invariant] = ACTIONS(1469),
    [anon_sym_precise] = ACTIONS(1469),
    [anon_sym_SEMI] = ACTIONS(1471),
    [anon_sym_in] = ACTIONS(1469),
    [anon_sym_out] = ACTIONS(1469),
    [anon_sym_inout] = ACTIONS(1469),
    [anon_sym_uniform] = ACTIONS(1469),
    [anon_sym_shared] = ACTIONS(1469),
    [anon_sym_attribute] = ACTIONS(1469),
    [anon_sym_varying] = ACTIONS(1469),
    [anon_sym_buffer] = ACTIONS(1469),
    [anon_sym_coherent] = ACTIONS(1469),
    [anon_sym_readonly] = ACTIONS(1469),
    [anon_sym_writeonly] = ACTIONS(1469),
    [anon_sym_precision] = ACTIONS(1469),
    [anon_sym_highp] = ACTIONS(1469),
    [anon_sym_mediump] = ACTIONS(1469),
    [anon_sym_lowp] = ACTIONS(1469),
    [anon_sym_centroid] = ACTIONS(1469),
    [anon_sym_sample] = ACTIONS(1469),
    [anon_sym_patch] = ACTIONS(1469),
    [anon_sym_smooth] = ACTIONS(1469),
    [anon_sym_flat] = ACTIONS(1469),
    [anon_sym_noperspective] = ACTIONS(1469),
    [anon_sym___extension__] = ACTIONS(1469),
    [anon_sym_typedef] = ACTIONS(1469),
    [anon_sym_extern] = ACTIONS(1469),
    [anon_sym___attribute__] = ACTIONS(1469),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1471),
    [anon_sym___declspec] = ACTIONS(1469),
    [anon_sym___cdecl] = ACTIONS(1469),
    [anon_sym___clrcall] = ACTIONS(1469),
    [anon_sym___stdcall] = ACTIONS(1469),
    [anon_sym___fastcall] = ACTIONS(1469),
    [anon_sym___thiscall] = ACTIONS(1469),
    [anon_sym___vectorcall] = ACTIONS(1469),
    [anon_sym_LBRACE] = ACTIONS(1471),
    [anon_sym_signed] = ACTIONS(1469),
    [anon_sym_unsigned] = ACTIONS(1469),
    [anon_sym_long] = ACTIONS(1469),
    [anon_sym_short] = ACTIONS(1469),
    [anon_sym_static] = ACTIONS(1469),
    [anon_sym_auto] = ACTIONS(1469),
    [anon_sym_register] = ACTIONS(1469),
    [anon_sym_inline] = ACTIONS(1469),
    [anon_sym___inline] = ACTIONS(1469),
    [anon_sym___inline__] = ACTIONS(1469),
    [anon_sym___forceinline] = ACTIONS(1469),
    [anon_sym_thread_local] = ACTIONS(1469),
    [anon_sym___thread] = ACTIONS(1469),
    [anon_sym_const] = ACTIONS(1469),
    [anon_sym_constexpr] = ACTIONS(1469),
    [anon_sym_volatile] = ACTIONS(1469),
    [anon_sym_restrict] = ACTIONS(1469),
    [anon_sym___restrict__] = ACTIONS(1469),
    [anon_sym__Atomic] = ACTIONS(1469),
    [anon_sym__Noreturn] = ACTIONS(1469),
    [anon_sym_noreturn] = ACTIONS(1469),
    [sym_primitive_type] = ACTIONS(1469),
    [anon_sym_enum] = ACTIONS(1469),
    [anon_sym_struct] = ACTIONS(1469),
    [anon_sym_union] = ACTIONS(1469),
    [anon_sym_if] = ACTIONS(1469),
    [anon_sym_else] = ACTIONS(1469),
    [anon_sym_switch] = ACTIONS(1469),
    [anon_sym_case] = ACTIONS(1469),
    [anon_sym_default] = ACTIONS(1469),
    [anon_sym_while] = ACTIONS(1469),
    [anon_sym_do] = ACTIONS(1469),
    [anon_sym_for] = ACTIONS(1469),
    [anon_sym_return] = ACTIONS(1469),
    [anon_sym_break] = ACTIONS(1469),
    [anon_sym_continue] = ACTIONS(1469),
    [anon_sym_goto] = ACTIONS(1469),
    [anon_sym___try] = ACTIONS(1469),
    [anon_sym___leave] = ACTIONS(1469),
    [anon_sym_DASH_DASH] = ACTIONS(1471),
    [anon_sym_PLUS_PLUS] = ACTIONS(1471),
    [anon_sym_sizeof] = ACTIONS(1469),
    [anon_sym___alignof__] = ACTIONS(1469),
    [anon_sym___alignof] = ACTIONS(1469),
    [anon_sym__alignof] = ACTIONS(1469),
    [anon_sym_alignof] = ACTIONS(1469),
    [anon_sym__Alignof] = ACTIONS(1469),
    [anon_sym_offsetof] = ACTIONS(1469),
    [anon_sym__Generic] = ACTIONS(1469),
    [anon_sym_asm] = ACTIONS(1469),
    [anon_sym___asm__] = ACTIONS(1469),
    [sym_number_literal] = ACTIONS(1471),
    [anon_sym_L_SQUOTE] = ACTIONS(1471),
    [anon_sym_u_SQUOTE] = ACTIONS(1471),
    [anon_sym_U_SQUOTE] = ACTIONS(1471),
    [anon_sym_u8_SQUOTE] = ACTIONS(1471),
    [anon_sym_SQUOTE] = ACTIONS(1471),
    [anon_sym_L_DQUOTE] = ACTIONS(1471),
    [anon_sym_u_DQUOTE] = ACTIONS(1471),
    [anon_sym_U_DQUOTE] = ACTIONS(1471),
    [anon_sym_u8_DQUOTE] = ACTIONS(1471),
    [anon_sym_DQUOTE] = ACTIONS(1471),
    [sym_true] = ACTIONS(1469),
    [sym_false] = ACTIONS(1469),
    [anon_sym_NULL] = ACTIONS(1469),
    [anon_sym_nullptr] = ACTIONS(1469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1469),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1469),
    [anon_sym_hitAttributeEXT] = ACTIONS(1469),
    [anon_sym_callableDataEXT] = ACTIONS(1469),
    [anon_sym_callableDataInEXT] = ACTIONS(1469),
    [anon_sym_shaderRecordEXT] = ACTIONS(1469),
    [anon_sym_rayPayloadNV] = ACTIONS(1469),
    [anon_sym_rayPayloadInNV] = ACTIONS(1469),
    [anon_sym_hitAttributeNV] = ACTIONS(1469),
    [anon_sym_callableDataNV] = ACTIONS(1469),
    [anon_sym_callableDataInNV] = ACTIONS(1469),
    [anon_sym_shaderRecordNV] = ACTIONS(1469),
    [anon_sym_layout] = ACTIONS(1469),
  },
  [103] = {
    [ts_builtin_sym_end] = ACTIONS(1473),
    [sym_identifier] = ACTIONS(1475),
    [aux_sym_preproc_include_token1] = ACTIONS(1475),
    [aux_sym_preproc_def_token1] = ACTIONS(1475),
    [anon_sym_COMMA] = ACTIONS(1473),
    [anon_sym_RPAREN] = ACTIONS(1473),
    [aux_sym_preproc_if_token1] = ACTIONS(1475),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1475),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1475),
    [sym_preproc_directive] = ACTIONS(1475),
    [anon_sym_LPAREN2] = ACTIONS(1473),
    [anon_sym_BANG] = ACTIONS(1473),
    [anon_sym_TILDE] = ACTIONS(1473),
    [anon_sym_DASH] = ACTIONS(1475),
    [anon_sym_PLUS] = ACTIONS(1475),
    [anon_sym_STAR] = ACTIONS(1473),
    [anon_sym_AMP] = ACTIONS(1473),
    [anon_sym_subroutine] = ACTIONS(1475),
    [anon_sym_invariant] = ACTIONS(1475),
    [anon_sym_precise] = ACTIONS(1475),
    [anon_sym_SEMI] = ACTIONS(1473),
    [anon_sym_in] = ACTIONS(1475),
    [anon_sym_out] = ACTIONS(1475),
    [anon_sym_inout] = ACTIONS(1475),
    [anon_sym_uniform] = ACTIONS(1475),
    [anon_sym_shared] = ACTIONS(1475),
    [anon_sym_attribute] = ACTIONS(1475),
    [anon_sym_varying] = ACTIONS(1475),
    [anon_sym_buffer] = ACTIONS(1475),
    [anon_sym_coherent] = ACTIONS(1475),
    [anon_sym_readonly] = ACTIONS(1475),
    [anon_sym_writeonly] = ACTIONS(1475),
    [anon_sym_precision] = ACTIONS(1475),
    [anon_sym_highp] = ACTIONS(1475),
    [anon_sym_mediump] = ACTIONS(1475),
    [anon_sym_lowp] = ACTIONS(1475),
    [anon_sym_centroid] = ACTIONS(1475),
    [anon_sym_sample] = ACTIONS(1475),
    [anon_sym_patch] = ACTIONS(1475),
    [anon_sym_smooth] = ACTIONS(1475),
    [anon_sym_flat] = ACTIONS(1475),
    [anon_sym_noperspective] = ACTIONS(1475),
    [anon_sym___extension__] = ACTIONS(1475),
    [anon_sym_typedef] = ACTIONS(1475),
    [anon_sym_extern] = ACTIONS(1475),
    [anon_sym___attribute__] = ACTIONS(1475),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1473),
    [anon_sym___declspec] = ACTIONS(1475),
    [anon_sym___cdecl] = ACTIONS(1475),
    [anon_sym___clrcall] = ACTIONS(1475),
    [anon_sym___stdcall] = ACTIONS(1475),
    [anon_sym___fastcall] = ACTIONS(1475),
    [anon_sym___thiscall] = ACTIONS(1475),
    [anon_sym___vectorcall] = ACTIONS(1475),
    [anon_sym_LBRACE] = ACTIONS(1473),
    [anon_sym_signed] = ACTIONS(1475),
    [anon_sym_unsigned] = ACTIONS(1475),
    [anon_sym_long] = ACTIONS(1475),
    [anon_sym_short] = ACTIONS(1475),
    [anon_sym_static] = ACTIONS(1475),
    [anon_sym_auto] = ACTIONS(1475),
    [anon_sym_register] = ACTIONS(1475),
    [anon_sym_inline] = ACTIONS(1475),
    [anon_sym___inline] = ACTIONS(1475),
    [anon_sym___inline__] = ACTIONS(1475),
    [anon_sym___forceinline] = ACTIONS(1475),
    [anon_sym_thread_local] = ACTIONS(1475),
    [anon_sym___thread] = ACTIONS(1475),
    [anon_sym_const] = ACTIONS(1475),
    [anon_sym_constexpr] = ACTIONS(1475),
    [anon_sym_volatile] = ACTIONS(1475),
    [anon_sym_restrict] = ACTIONS(1475),
    [anon_sym___restrict__] = ACTIONS(1475),
    [anon_sym__Atomic] = ACTIONS(1475),
    [anon_sym__Noreturn] = ACTIONS(1475),
    [anon_sym_noreturn] = ACTIONS(1475),
    [sym_primitive_type] = ACTIONS(1475),
    [anon_sym_enum] = ACTIONS(1475),
    [anon_sym_struct] = ACTIONS(1475),
    [anon_sym_union] = ACTIONS(1475),
    [anon_sym_if] = ACTIONS(1475),
    [anon_sym_else] = ACTIONS(1475),
    [anon_sym_switch] = ACTIONS(1475),
    [anon_sym_case] = ACTIONS(1475),
    [anon_sym_default] = ACTIONS(1475),
    [anon_sym_while] = ACTIONS(1475),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_for] = ACTIONS(1475),
    [anon_sym_return] = ACTIONS(1475),
    [anon_sym_break] = ACTIONS(1475),
    [anon_sym_continue] = ACTIONS(1475),
    [anon_sym_goto] = ACTIONS(1475),
    [anon_sym___try] = ACTIONS(1475),
    [anon_sym___except] = ACTIONS(1475),
    [anon_sym___finally] = ACTIONS(1475),
    [anon_sym___leave] = ACTIONS(1475),
    [anon_sym_DASH_DASH] = ACTIONS(1473),
    [anon_sym_PLUS_PLUS] = ACTIONS(1473),
    [anon_sym_sizeof] = ACTIONS(1475),
    [anon_sym___alignof__] = ACTIONS(1475),
    [anon_sym___alignof] = ACTIONS(1475),
    [anon_sym__alignof] = ACTIONS(1475),
    [anon_sym_alignof] = ACTIONS(1475),
    [anon_sym__Alignof] = ACTIONS(1475),
    [anon_sym_offsetof] = ACTIONS(1475),
    [anon_sym__Generic] = ACTIONS(1475),
    [anon_sym_asm] = ACTIONS(1475),
    [anon_sym___asm__] = ACTIONS(1475),
    [sym_number_literal] = ACTIONS(1473),
    [anon_sym_L_SQUOTE] = ACTIONS(1473),
    [anon_sym_u_SQUOTE] = ACTIONS(1473),
    [anon_sym_U_SQUOTE] = ACTIONS(1473),
    [anon_sym_u8_SQUOTE] = ACTIONS(1473),
    [anon_sym_SQUOTE] = ACTIONS(1473),
    [anon_sym_L_DQUOTE] = ACTIONS(1473),
    [anon_sym_u_DQUOTE] = ACTIONS(1473),
    [anon_sym_U_DQUOTE] = ACTIONS(1473),
    [anon_sym_u8_DQUOTE] = ACTIONS(1473),
    [anon_sym_DQUOTE] = ACTIONS(1473),
    [sym_true] = ACTIONS(1475),
    [sym_false] = ACTIONS(1475),
    [anon_sym_NULL] = ACTIONS(1475),
    [anon_sym_nullptr] = ACTIONS(1475),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1475),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1475),
    [anon_sym_hitAttributeEXT] = ACTIONS(1475),
    [anon_sym_callableDataEXT] = ACTIONS(1475),
    [anon_sym_callableDataInEXT] = ACTIONS(1475),
    [anon_sym_shaderRecordEXT] = ACTIONS(1475),
    [anon_sym_rayPayloadNV] = ACTIONS(1475),
    [anon_sym_rayPayloadInNV] = ACTIONS(1475),
    [anon_sym_hitAttributeNV] = ACTIONS(1475),
    [anon_sym_callableDataNV] = ACTIONS(1475),
    [anon_sym_callableDataInNV] = ACTIONS(1475),
    [anon_sym_shaderRecordNV] = ACTIONS(1475),
    [anon_sym_layout] = ACTIONS(1475),
  },
  [104] = {
    [sym_identifier] = ACTIONS(1469),
    [aux_sym_preproc_include_token1] = ACTIONS(1469),
    [aux_sym_preproc_def_token1] = ACTIONS(1469),
    [aux_sym_preproc_if_token1] = ACTIONS(1469),
    [aux_sym_preproc_if_token2] = ACTIONS(1469),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1469),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1469),
    [aux_sym_preproc_else_token1] = ACTIONS(1469),
    [aux_sym_preproc_elif_token1] = ACTIONS(1469),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1469),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1469),
    [sym_preproc_directive] = ACTIONS(1469),
    [anon_sym_LPAREN2] = ACTIONS(1471),
    [anon_sym_BANG] = ACTIONS(1471),
    [anon_sym_TILDE] = ACTIONS(1471),
    [anon_sym_DASH] = ACTIONS(1469),
    [anon_sym_PLUS] = ACTIONS(1469),
    [anon_sym_STAR] = ACTIONS(1471),
    [anon_sym_AMP] = ACTIONS(1471),
    [anon_sym_subroutine] = ACTIONS(1469),
    [anon_sym_invariant] = ACTIONS(1469),
    [anon_sym_precise] = ACTIONS(1469),
    [anon_sym_SEMI] = ACTIONS(1471),
    [anon_sym_in] = ACTIONS(1469),
    [anon_sym_out] = ACTIONS(1469),
    [anon_sym_inout] = ACTIONS(1469),
    [anon_sym_uniform] = ACTIONS(1469),
    [anon_sym_shared] = ACTIONS(1469),
    [anon_sym_attribute] = ACTIONS(1469),
    [anon_sym_varying] = ACTIONS(1469),
    [anon_sym_buffer] = ACTIONS(1469),
    [anon_sym_coherent] = ACTIONS(1469),
    [anon_sym_readonly] = ACTIONS(1469),
    [anon_sym_writeonly] = ACTIONS(1469),
    [anon_sym_precision] = ACTIONS(1469),
    [anon_sym_highp] = ACTIONS(1469),
    [anon_sym_mediump] = ACTIONS(1469),
    [anon_sym_lowp] = ACTIONS(1469),
    [anon_sym_centroid] = ACTIONS(1469),
    [anon_sym_sample] = ACTIONS(1469),
    [anon_sym_patch] = ACTIONS(1469),
    [anon_sym_smooth] = ACTIONS(1469),
    [anon_sym_flat] = ACTIONS(1469),
    [anon_sym_noperspective] = ACTIONS(1469),
    [anon_sym___extension__] = ACTIONS(1469),
    [anon_sym_typedef] = ACTIONS(1469),
    [anon_sym_extern] = ACTIONS(1469),
    [anon_sym___attribute__] = ACTIONS(1469),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1471),
    [anon_sym___declspec] = ACTIONS(1469),
    [anon_sym___cdecl] = ACTIONS(1469),
    [anon_sym___clrcall] = ACTIONS(1469),
    [anon_sym___stdcall] = ACTIONS(1469),
    [anon_sym___fastcall] = ACTIONS(1469),
    [anon_sym___thiscall] = ACTIONS(1469),
    [anon_sym___vectorcall] = ACTIONS(1469),
    [anon_sym_LBRACE] = ACTIONS(1471),
    [anon_sym_signed] = ACTIONS(1469),
    [anon_sym_unsigned] = ACTIONS(1469),
    [anon_sym_long] = ACTIONS(1469),
    [anon_sym_short] = ACTIONS(1469),
    [anon_sym_static] = ACTIONS(1469),
    [anon_sym_auto] = ACTIONS(1469),
    [anon_sym_register] = ACTIONS(1469),
    [anon_sym_inline] = ACTIONS(1469),
    [anon_sym___inline] = ACTIONS(1469),
    [anon_sym___inline__] = ACTIONS(1469),
    [anon_sym___forceinline] = ACTIONS(1469),
    [anon_sym_thread_local] = ACTIONS(1469),
    [anon_sym___thread] = ACTIONS(1469),
    [anon_sym_const] = ACTIONS(1469),
    [anon_sym_constexpr] = ACTIONS(1469),
    [anon_sym_volatile] = ACTIONS(1469),
    [anon_sym_restrict] = ACTIONS(1469),
    [anon_sym___restrict__] = ACTIONS(1469),
    [anon_sym__Atomic] = ACTIONS(1469),
    [anon_sym__Noreturn] = ACTIONS(1469),
    [anon_sym_noreturn] = ACTIONS(1469),
    [sym_primitive_type] = ACTIONS(1469),
    [anon_sym_enum] = ACTIONS(1469),
    [anon_sym_struct] = ACTIONS(1469),
    [anon_sym_union] = ACTIONS(1469),
    [anon_sym_if] = ACTIONS(1469),
    [anon_sym_else] = ACTIONS(1469),
    [anon_sym_switch] = ACTIONS(1469),
    [anon_sym_case] = ACTIONS(1469),
    [anon_sym_default] = ACTIONS(1469),
    [anon_sym_while] = ACTIONS(1469),
    [anon_sym_do] = ACTIONS(1469),
    [anon_sym_for] = ACTIONS(1469),
    [anon_sym_return] = ACTIONS(1469),
    [anon_sym_break] = ACTIONS(1469),
    [anon_sym_continue] = ACTIONS(1469),
    [anon_sym_goto] = ACTIONS(1469),
    [anon_sym___try] = ACTIONS(1469),
    [anon_sym___leave] = ACTIONS(1469),
    [anon_sym_DASH_DASH] = ACTIONS(1471),
    [anon_sym_PLUS_PLUS] = ACTIONS(1471),
    [anon_sym_sizeof] = ACTIONS(1469),
    [anon_sym___alignof__] = ACTIONS(1469),
    [anon_sym___alignof] = ACTIONS(1469),
    [anon_sym__alignof] = ACTIONS(1469),
    [anon_sym_alignof] = ACTIONS(1469),
    [anon_sym__Alignof] = ACTIONS(1469),
    [anon_sym_offsetof] = ACTIONS(1469),
    [anon_sym__Generic] = ACTIONS(1469),
    [anon_sym_asm] = ACTIONS(1469),
    [anon_sym___asm__] = ACTIONS(1469),
    [sym_number_literal] = ACTIONS(1471),
    [anon_sym_L_SQUOTE] = ACTIONS(1471),
    [anon_sym_u_SQUOTE] = ACTIONS(1471),
    [anon_sym_U_SQUOTE] = ACTIONS(1471),
    [anon_sym_u8_SQUOTE] = ACTIONS(1471),
    [anon_sym_SQUOTE] = ACTIONS(1471),
    [anon_sym_L_DQUOTE] = ACTIONS(1471),
    [anon_sym_u_DQUOTE] = ACTIONS(1471),
    [anon_sym_U_DQUOTE] = ACTIONS(1471),
    [anon_sym_u8_DQUOTE] = ACTIONS(1471),
    [anon_sym_DQUOTE] = ACTIONS(1471),
    [sym_true] = ACTIONS(1469),
    [sym_false] = ACTIONS(1469),
    [anon_sym_NULL] = ACTIONS(1469),
    [anon_sym_nullptr] = ACTIONS(1469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1469),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1469),
    [anon_sym_hitAttributeEXT] = ACTIONS(1469),
    [anon_sym_callableDataEXT] = ACTIONS(1469),
    [anon_sym_callableDataInEXT] = ACTIONS(1469),
    [anon_sym_shaderRecordEXT] = ACTIONS(1469),
    [anon_sym_rayPayloadNV] = ACTIONS(1469),
    [anon_sym_rayPayloadInNV] = ACTIONS(1469),
    [anon_sym_hitAttributeNV] = ACTIONS(1469),
    [anon_sym_callableDataNV] = ACTIONS(1469),
    [anon_sym_callableDataInNV] = ACTIONS(1469),
    [anon_sym_shaderRecordNV] = ACTIONS(1469),
    [anon_sym_layout] = ACTIONS(1469),
  },
  [105] = {
    [sym_identifier] = ACTIONS(1477),
    [aux_sym_preproc_include_token1] = ACTIONS(1477),
    [aux_sym_preproc_def_token1] = ACTIONS(1477),
    [aux_sym_preproc_if_token1] = ACTIONS(1477),
    [aux_sym_preproc_if_token2] = ACTIONS(1477),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1477),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1477),
    [aux_sym_preproc_else_token1] = ACTIONS(1477),
    [aux_sym_preproc_elif_token1] = ACTIONS(1477),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1477),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1477),
    [sym_preproc_directive] = ACTIONS(1477),
    [anon_sym_LPAREN2] = ACTIONS(1479),
    [anon_sym_BANG] = ACTIONS(1479),
    [anon_sym_TILDE] = ACTIONS(1479),
    [anon_sym_DASH] = ACTIONS(1477),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_AMP] = ACTIONS(1479),
    [anon_sym_subroutine] = ACTIONS(1477),
    [anon_sym_invariant] = ACTIONS(1477),
    [anon_sym_precise] = ACTIONS(1477),
    [anon_sym_SEMI] = ACTIONS(1479),
    [anon_sym_in] = ACTIONS(1477),
    [anon_sym_out] = ACTIONS(1477),
    [anon_sym_inout] = ACTIONS(1477),
    [anon_sym_uniform] = ACTIONS(1477),
    [anon_sym_shared] = ACTIONS(1477),
    [anon_sym_attribute] = ACTIONS(1477),
    [anon_sym_varying] = ACTIONS(1477),
    [anon_sym_buffer] = ACTIONS(1477),
    [anon_sym_coherent] = ACTIONS(1477),
    [anon_sym_readonly] = ACTIONS(1477),
    [anon_sym_writeonly] = ACTIONS(1477),
    [anon_sym_precision] = ACTIONS(1477),
    [anon_sym_highp] = ACTIONS(1477),
    [anon_sym_mediump] = ACTIONS(1477),
    [anon_sym_lowp] = ACTIONS(1477),
    [anon_sym_centroid] = ACTIONS(1477),
    [anon_sym_sample] = ACTIONS(1477),
    [anon_sym_patch] = ACTIONS(1477),
    [anon_sym_smooth] = ACTIONS(1477),
    [anon_sym_flat] = ACTIONS(1477),
    [anon_sym_noperspective] = ACTIONS(1477),
    [anon_sym___extension__] = ACTIONS(1477),
    [anon_sym_typedef] = ACTIONS(1477),
    [anon_sym_extern] = ACTIONS(1477),
    [anon_sym___attribute__] = ACTIONS(1477),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1479),
    [anon_sym___declspec] = ACTIONS(1477),
    [anon_sym___cdecl] = ACTIONS(1477),
    [anon_sym___clrcall] = ACTIONS(1477),
    [anon_sym___stdcall] = ACTIONS(1477),
    [anon_sym___fastcall] = ACTIONS(1477),
    [anon_sym___thiscall] = ACTIONS(1477),
    [anon_sym___vectorcall] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(1479),
    [anon_sym_signed] = ACTIONS(1477),
    [anon_sym_unsigned] = ACTIONS(1477),
    [anon_sym_long] = ACTIONS(1477),
    [anon_sym_short] = ACTIONS(1477),
    [anon_sym_static] = ACTIONS(1477),
    [anon_sym_auto] = ACTIONS(1477),
    [anon_sym_register] = ACTIONS(1477),
    [anon_sym_inline] = ACTIONS(1477),
    [anon_sym___inline] = ACTIONS(1477),
    [anon_sym___inline__] = ACTIONS(1477),
    [anon_sym___forceinline] = ACTIONS(1477),
    [anon_sym_thread_local] = ACTIONS(1477),
    [anon_sym___thread] = ACTIONS(1477),
    [anon_sym_const] = ACTIONS(1477),
    [anon_sym_constexpr] = ACTIONS(1477),
    [anon_sym_volatile] = ACTIONS(1477),
    [anon_sym_restrict] = ACTIONS(1477),
    [anon_sym___restrict__] = ACTIONS(1477),
    [anon_sym__Atomic] = ACTIONS(1477),
    [anon_sym__Noreturn] = ACTIONS(1477),
    [anon_sym_noreturn] = ACTIONS(1477),
    [sym_primitive_type] = ACTIONS(1477),
    [anon_sym_enum] = ACTIONS(1477),
    [anon_sym_struct] = ACTIONS(1477),
    [anon_sym_union] = ACTIONS(1477),
    [anon_sym_if] = ACTIONS(1477),
    [anon_sym_else] = ACTIONS(1477),
    [anon_sym_switch] = ACTIONS(1477),
    [anon_sym_case] = ACTIONS(1477),
    [anon_sym_default] = ACTIONS(1477),
    [anon_sym_while] = ACTIONS(1477),
    [anon_sym_do] = ACTIONS(1477),
    [anon_sym_for] = ACTIONS(1477),
    [anon_sym_return] = ACTIONS(1477),
    [anon_sym_break] = ACTIONS(1477),
    [anon_sym_continue] = ACTIONS(1477),
    [anon_sym_goto] = ACTIONS(1477),
    [anon_sym___try] = ACTIONS(1477),
    [anon_sym___leave] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1479),
    [anon_sym_PLUS_PLUS] = ACTIONS(1479),
    [anon_sym_sizeof] = ACTIONS(1477),
    [anon_sym___alignof__] = ACTIONS(1477),
    [anon_sym___alignof] = ACTIONS(1477),
    [anon_sym__alignof] = ACTIONS(1477),
    [anon_sym_alignof] = ACTIONS(1477),
    [anon_sym__Alignof] = ACTIONS(1477),
    [anon_sym_offsetof] = ACTIONS(1477),
    [anon_sym__Generic] = ACTIONS(1477),
    [anon_sym_asm] = ACTIONS(1477),
    [anon_sym___asm__] = ACTIONS(1477),
    [sym_number_literal] = ACTIONS(1479),
    [anon_sym_L_SQUOTE] = ACTIONS(1479),
    [anon_sym_u_SQUOTE] = ACTIONS(1479),
    [anon_sym_U_SQUOTE] = ACTIONS(1479),
    [anon_sym_u8_SQUOTE] = ACTIONS(1479),
    [anon_sym_SQUOTE] = ACTIONS(1479),
    [anon_sym_L_DQUOTE] = ACTIONS(1479),
    [anon_sym_u_DQUOTE] = ACTIONS(1479),
    [anon_sym_U_DQUOTE] = ACTIONS(1479),
    [anon_sym_u8_DQUOTE] = ACTIONS(1479),
    [anon_sym_DQUOTE] = ACTIONS(1479),
    [sym_true] = ACTIONS(1477),
    [sym_false] = ACTIONS(1477),
    [anon_sym_NULL] = ACTIONS(1477),
    [anon_sym_nullptr] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1477),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1477),
    [anon_sym_hitAttributeEXT] = ACTIONS(1477),
    [anon_sym_callableDataEXT] = ACTIONS(1477),
    [anon_sym_callableDataInEXT] = ACTIONS(1477),
    [anon_sym_shaderRecordEXT] = ACTIONS(1477),
    [anon_sym_rayPayloadNV] = ACTIONS(1477),
    [anon_sym_rayPayloadInNV] = ACTIONS(1477),
    [anon_sym_hitAttributeNV] = ACTIONS(1477),
    [anon_sym_callableDataNV] = ACTIONS(1477),
    [anon_sym_callableDataInNV] = ACTIONS(1477),
    [anon_sym_shaderRecordNV] = ACTIONS(1477),
    [anon_sym_layout] = ACTIONS(1477),
  },
  [106] = {
    [sym_identifier] = ACTIONS(1477),
    [aux_sym_preproc_include_token1] = ACTIONS(1477),
    [aux_sym_preproc_def_token1] = ACTIONS(1477),
    [aux_sym_preproc_if_token1] = ACTIONS(1477),
    [aux_sym_preproc_if_token2] = ACTIONS(1477),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1477),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1477),
    [aux_sym_preproc_else_token1] = ACTIONS(1477),
    [aux_sym_preproc_elif_token1] = ACTIONS(1477),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1477),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1477),
    [sym_preproc_directive] = ACTIONS(1477),
    [anon_sym_LPAREN2] = ACTIONS(1479),
    [anon_sym_BANG] = ACTIONS(1479),
    [anon_sym_TILDE] = ACTIONS(1479),
    [anon_sym_DASH] = ACTIONS(1477),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_AMP] = ACTIONS(1479),
    [anon_sym_subroutine] = ACTIONS(1477),
    [anon_sym_invariant] = ACTIONS(1477),
    [anon_sym_precise] = ACTIONS(1477),
    [anon_sym_SEMI] = ACTIONS(1479),
    [anon_sym_in] = ACTIONS(1477),
    [anon_sym_out] = ACTIONS(1477),
    [anon_sym_inout] = ACTIONS(1477),
    [anon_sym_uniform] = ACTIONS(1477),
    [anon_sym_shared] = ACTIONS(1477),
    [anon_sym_attribute] = ACTIONS(1477),
    [anon_sym_varying] = ACTIONS(1477),
    [anon_sym_buffer] = ACTIONS(1477),
    [anon_sym_coherent] = ACTIONS(1477),
    [anon_sym_readonly] = ACTIONS(1477),
    [anon_sym_writeonly] = ACTIONS(1477),
    [anon_sym_precision] = ACTIONS(1477),
    [anon_sym_highp] = ACTIONS(1477),
    [anon_sym_mediump] = ACTIONS(1477),
    [anon_sym_lowp] = ACTIONS(1477),
    [anon_sym_centroid] = ACTIONS(1477),
    [anon_sym_sample] = ACTIONS(1477),
    [anon_sym_patch] = ACTIONS(1477),
    [anon_sym_smooth] = ACTIONS(1477),
    [anon_sym_flat] = ACTIONS(1477),
    [anon_sym_noperspective] = ACTIONS(1477),
    [anon_sym___extension__] = ACTIONS(1477),
    [anon_sym_typedef] = ACTIONS(1477),
    [anon_sym_extern] = ACTIONS(1477),
    [anon_sym___attribute__] = ACTIONS(1477),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1479),
    [anon_sym___declspec] = ACTIONS(1477),
    [anon_sym___cdecl] = ACTIONS(1477),
    [anon_sym___clrcall] = ACTIONS(1477),
    [anon_sym___stdcall] = ACTIONS(1477),
    [anon_sym___fastcall] = ACTIONS(1477),
    [anon_sym___thiscall] = ACTIONS(1477),
    [anon_sym___vectorcall] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(1479),
    [anon_sym_signed] = ACTIONS(1477),
    [anon_sym_unsigned] = ACTIONS(1477),
    [anon_sym_long] = ACTIONS(1477),
    [anon_sym_short] = ACTIONS(1477),
    [anon_sym_static] = ACTIONS(1477),
    [anon_sym_auto] = ACTIONS(1477),
    [anon_sym_register] = ACTIONS(1477),
    [anon_sym_inline] = ACTIONS(1477),
    [anon_sym___inline] = ACTIONS(1477),
    [anon_sym___inline__] = ACTIONS(1477),
    [anon_sym___forceinline] = ACTIONS(1477),
    [anon_sym_thread_local] = ACTIONS(1477),
    [anon_sym___thread] = ACTIONS(1477),
    [anon_sym_const] = ACTIONS(1477),
    [anon_sym_constexpr] = ACTIONS(1477),
    [anon_sym_volatile] = ACTIONS(1477),
    [anon_sym_restrict] = ACTIONS(1477),
    [anon_sym___restrict__] = ACTIONS(1477),
    [anon_sym__Atomic] = ACTIONS(1477),
    [anon_sym__Noreturn] = ACTIONS(1477),
    [anon_sym_noreturn] = ACTIONS(1477),
    [sym_primitive_type] = ACTIONS(1477),
    [anon_sym_enum] = ACTIONS(1477),
    [anon_sym_struct] = ACTIONS(1477),
    [anon_sym_union] = ACTIONS(1477),
    [anon_sym_if] = ACTIONS(1477),
    [anon_sym_else] = ACTIONS(1477),
    [anon_sym_switch] = ACTIONS(1477),
    [anon_sym_case] = ACTIONS(1477),
    [anon_sym_default] = ACTIONS(1477),
    [anon_sym_while] = ACTIONS(1477),
    [anon_sym_do] = ACTIONS(1477),
    [anon_sym_for] = ACTIONS(1477),
    [anon_sym_return] = ACTIONS(1477),
    [anon_sym_break] = ACTIONS(1477),
    [anon_sym_continue] = ACTIONS(1477),
    [anon_sym_goto] = ACTIONS(1477),
    [anon_sym___try] = ACTIONS(1477),
    [anon_sym___leave] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1479),
    [anon_sym_PLUS_PLUS] = ACTIONS(1479),
    [anon_sym_sizeof] = ACTIONS(1477),
    [anon_sym___alignof__] = ACTIONS(1477),
    [anon_sym___alignof] = ACTIONS(1477),
    [anon_sym__alignof] = ACTIONS(1477),
    [anon_sym_alignof] = ACTIONS(1477),
    [anon_sym__Alignof] = ACTIONS(1477),
    [anon_sym_offsetof] = ACTIONS(1477),
    [anon_sym__Generic] = ACTIONS(1477),
    [anon_sym_asm] = ACTIONS(1477),
    [anon_sym___asm__] = ACTIONS(1477),
    [sym_number_literal] = ACTIONS(1479),
    [anon_sym_L_SQUOTE] = ACTIONS(1479),
    [anon_sym_u_SQUOTE] = ACTIONS(1479),
    [anon_sym_U_SQUOTE] = ACTIONS(1479),
    [anon_sym_u8_SQUOTE] = ACTIONS(1479),
    [anon_sym_SQUOTE] = ACTIONS(1479),
    [anon_sym_L_DQUOTE] = ACTIONS(1479),
    [anon_sym_u_DQUOTE] = ACTIONS(1479),
    [anon_sym_U_DQUOTE] = ACTIONS(1479),
    [anon_sym_u8_DQUOTE] = ACTIONS(1479),
    [anon_sym_DQUOTE] = ACTIONS(1479),
    [sym_true] = ACTIONS(1477),
    [sym_false] = ACTIONS(1477),
    [anon_sym_NULL] = ACTIONS(1477),
    [anon_sym_nullptr] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1477),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1477),
    [anon_sym_hitAttributeEXT] = ACTIONS(1477),
    [anon_sym_callableDataEXT] = ACTIONS(1477),
    [anon_sym_callableDataInEXT] = ACTIONS(1477),
    [anon_sym_shaderRecordEXT] = ACTIONS(1477),
    [anon_sym_rayPayloadNV] = ACTIONS(1477),
    [anon_sym_rayPayloadInNV] = ACTIONS(1477),
    [anon_sym_hitAttributeNV] = ACTIONS(1477),
    [anon_sym_callableDataNV] = ACTIONS(1477),
    [anon_sym_callableDataInNV] = ACTIONS(1477),
    [anon_sym_shaderRecordNV] = ACTIONS(1477),
    [anon_sym_layout] = ACTIONS(1477),
  },
  [107] = {
    [sym_identifier] = ACTIONS(1481),
    [aux_sym_preproc_include_token1] = ACTIONS(1481),
    [aux_sym_preproc_def_token1] = ACTIONS(1481),
    [aux_sym_preproc_if_token1] = ACTIONS(1481),
    [aux_sym_preproc_if_token2] = ACTIONS(1481),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1481),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1481),
    [aux_sym_preproc_else_token1] = ACTIONS(1481),
    [aux_sym_preproc_elif_token1] = ACTIONS(1481),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1481),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1481),
    [sym_preproc_directive] = ACTIONS(1481),
    [anon_sym_LPAREN2] = ACTIONS(1483),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_DASH] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_STAR] = ACTIONS(1483),
    [anon_sym_AMP] = ACTIONS(1483),
    [anon_sym_subroutine] = ACTIONS(1481),
    [anon_sym_invariant] = ACTIONS(1481),
    [anon_sym_precise] = ACTIONS(1481),
    [anon_sym_SEMI] = ACTIONS(1483),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_out] = ACTIONS(1481),
    [anon_sym_inout] = ACTIONS(1481),
    [anon_sym_uniform] = ACTIONS(1481),
    [anon_sym_shared] = ACTIONS(1481),
    [anon_sym_attribute] = ACTIONS(1481),
    [anon_sym_varying] = ACTIONS(1481),
    [anon_sym_buffer] = ACTIONS(1481),
    [anon_sym_coherent] = ACTIONS(1481),
    [anon_sym_readonly] = ACTIONS(1481),
    [anon_sym_writeonly] = ACTIONS(1481),
    [anon_sym_precision] = ACTIONS(1481),
    [anon_sym_highp] = ACTIONS(1481),
    [anon_sym_mediump] = ACTIONS(1481),
    [anon_sym_lowp] = ACTIONS(1481),
    [anon_sym_centroid] = ACTIONS(1481),
    [anon_sym_sample] = ACTIONS(1481),
    [anon_sym_patch] = ACTIONS(1481),
    [anon_sym_smooth] = ACTIONS(1481),
    [anon_sym_flat] = ACTIONS(1481),
    [anon_sym_noperspective] = ACTIONS(1481),
    [anon_sym___extension__] = ACTIONS(1481),
    [anon_sym_typedef] = ACTIONS(1481),
    [anon_sym_extern] = ACTIONS(1481),
    [anon_sym___attribute__] = ACTIONS(1481),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1483),
    [anon_sym___declspec] = ACTIONS(1481),
    [anon_sym___cdecl] = ACTIONS(1481),
    [anon_sym___clrcall] = ACTIONS(1481),
    [anon_sym___stdcall] = ACTIONS(1481),
    [anon_sym___fastcall] = ACTIONS(1481),
    [anon_sym___thiscall] = ACTIONS(1481),
    [anon_sym___vectorcall] = ACTIONS(1481),
    [anon_sym_LBRACE] = ACTIONS(1483),
    [anon_sym_signed] = ACTIONS(1481),
    [anon_sym_unsigned] = ACTIONS(1481),
    [anon_sym_long] = ACTIONS(1481),
    [anon_sym_short] = ACTIONS(1481),
    [anon_sym_static] = ACTIONS(1481),
    [anon_sym_auto] = ACTIONS(1481),
    [anon_sym_register] = ACTIONS(1481),
    [anon_sym_inline] = ACTIONS(1481),
    [anon_sym___inline] = ACTIONS(1481),
    [anon_sym___inline__] = ACTIONS(1481),
    [anon_sym___forceinline] = ACTIONS(1481),
    [anon_sym_thread_local] = ACTIONS(1481),
    [anon_sym___thread] = ACTIONS(1481),
    [anon_sym_const] = ACTIONS(1481),
    [anon_sym_constexpr] = ACTIONS(1481),
    [anon_sym_volatile] = ACTIONS(1481),
    [anon_sym_restrict] = ACTIONS(1481),
    [anon_sym___restrict__] = ACTIONS(1481),
    [anon_sym__Atomic] = ACTIONS(1481),
    [anon_sym__Noreturn] = ACTIONS(1481),
    [anon_sym_noreturn] = ACTIONS(1481),
    [sym_primitive_type] = ACTIONS(1481),
    [anon_sym_enum] = ACTIONS(1481),
    [anon_sym_struct] = ACTIONS(1481),
    [anon_sym_union] = ACTIONS(1481),
    [anon_sym_if] = ACTIONS(1481),
    [anon_sym_else] = ACTIONS(1481),
    [anon_sym_switch] = ACTIONS(1481),
    [anon_sym_case] = ACTIONS(1481),
    [anon_sym_default] = ACTIONS(1481),
    [anon_sym_while] = ACTIONS(1481),
    [anon_sym_do] = ACTIONS(1481),
    [anon_sym_for] = ACTIONS(1481),
    [anon_sym_return] = ACTIONS(1481),
    [anon_sym_break] = ACTIONS(1481),
    [anon_sym_continue] = ACTIONS(1481),
    [anon_sym_goto] = ACTIONS(1481),
    [anon_sym___try] = ACTIONS(1481),
    [anon_sym___leave] = ACTIONS(1481),
    [anon_sym_DASH_DASH] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1483),
    [anon_sym_sizeof] = ACTIONS(1481),
    [anon_sym___alignof__] = ACTIONS(1481),
    [anon_sym___alignof] = ACTIONS(1481),
    [anon_sym__alignof] = ACTIONS(1481),
    [anon_sym_alignof] = ACTIONS(1481),
    [anon_sym__Alignof] = ACTIONS(1481),
    [anon_sym_offsetof] = ACTIONS(1481),
    [anon_sym__Generic] = ACTIONS(1481),
    [anon_sym_asm] = ACTIONS(1481),
    [anon_sym___asm__] = ACTIONS(1481),
    [sym_number_literal] = ACTIONS(1483),
    [anon_sym_L_SQUOTE] = ACTIONS(1483),
    [anon_sym_u_SQUOTE] = ACTIONS(1483),
    [anon_sym_U_SQUOTE] = ACTIONS(1483),
    [anon_sym_u8_SQUOTE] = ACTIONS(1483),
    [anon_sym_SQUOTE] = ACTIONS(1483),
    [anon_sym_L_DQUOTE] = ACTIONS(1483),
    [anon_sym_u_DQUOTE] = ACTIONS(1483),
    [anon_sym_U_DQUOTE] = ACTIONS(1483),
    [anon_sym_u8_DQUOTE] = ACTIONS(1483),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_true] = ACTIONS(1481),
    [sym_false] = ACTIONS(1481),
    [anon_sym_NULL] = ACTIONS(1481),
    [anon_sym_nullptr] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1481),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1481),
    [anon_sym_hitAttributeEXT] = ACTIONS(1481),
    [anon_sym_callableDataEXT] = ACTIONS(1481),
    [anon_sym_callableDataInEXT] = ACTIONS(1481),
    [anon_sym_shaderRecordEXT] = ACTIONS(1481),
    [anon_sym_rayPayloadNV] = ACTIONS(1481),
    [anon_sym_rayPayloadInNV] = ACTIONS(1481),
    [anon_sym_hitAttributeNV] = ACTIONS(1481),
    [anon_sym_callableDataNV] = ACTIONS(1481),
    [anon_sym_callableDataInNV] = ACTIONS(1481),
    [anon_sym_shaderRecordNV] = ACTIONS(1481),
    [anon_sym_layout] = ACTIONS(1481),
  },
  [108] = {
    [sym_identifier] = ACTIONS(1481),
    [aux_sym_preproc_include_token1] = ACTIONS(1481),
    [aux_sym_preproc_def_token1] = ACTIONS(1481),
    [aux_sym_preproc_if_token1] = ACTIONS(1481),
    [aux_sym_preproc_if_token2] = ACTIONS(1481),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1481),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1481),
    [aux_sym_preproc_else_token1] = ACTIONS(1481),
    [aux_sym_preproc_elif_token1] = ACTIONS(1481),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1481),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1481),
    [sym_preproc_directive] = ACTIONS(1481),
    [anon_sym_LPAREN2] = ACTIONS(1483),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_DASH] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_STAR] = ACTIONS(1483),
    [anon_sym_AMP] = ACTIONS(1483),
    [anon_sym_subroutine] = ACTIONS(1481),
    [anon_sym_invariant] = ACTIONS(1481),
    [anon_sym_precise] = ACTIONS(1481),
    [anon_sym_SEMI] = ACTIONS(1483),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_out] = ACTIONS(1481),
    [anon_sym_inout] = ACTIONS(1481),
    [anon_sym_uniform] = ACTIONS(1481),
    [anon_sym_shared] = ACTIONS(1481),
    [anon_sym_attribute] = ACTIONS(1481),
    [anon_sym_varying] = ACTIONS(1481),
    [anon_sym_buffer] = ACTIONS(1481),
    [anon_sym_coherent] = ACTIONS(1481),
    [anon_sym_readonly] = ACTIONS(1481),
    [anon_sym_writeonly] = ACTIONS(1481),
    [anon_sym_precision] = ACTIONS(1481),
    [anon_sym_highp] = ACTIONS(1481),
    [anon_sym_mediump] = ACTIONS(1481),
    [anon_sym_lowp] = ACTIONS(1481),
    [anon_sym_centroid] = ACTIONS(1481),
    [anon_sym_sample] = ACTIONS(1481),
    [anon_sym_patch] = ACTIONS(1481),
    [anon_sym_smooth] = ACTIONS(1481),
    [anon_sym_flat] = ACTIONS(1481),
    [anon_sym_noperspective] = ACTIONS(1481),
    [anon_sym___extension__] = ACTIONS(1481),
    [anon_sym_typedef] = ACTIONS(1481),
    [anon_sym_extern] = ACTIONS(1481),
    [anon_sym___attribute__] = ACTIONS(1481),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1483),
    [anon_sym___declspec] = ACTIONS(1481),
    [anon_sym___cdecl] = ACTIONS(1481),
    [anon_sym___clrcall] = ACTIONS(1481),
    [anon_sym___stdcall] = ACTIONS(1481),
    [anon_sym___fastcall] = ACTIONS(1481),
    [anon_sym___thiscall] = ACTIONS(1481),
    [anon_sym___vectorcall] = ACTIONS(1481),
    [anon_sym_LBRACE] = ACTIONS(1483),
    [anon_sym_signed] = ACTIONS(1481),
    [anon_sym_unsigned] = ACTIONS(1481),
    [anon_sym_long] = ACTIONS(1481),
    [anon_sym_short] = ACTIONS(1481),
    [anon_sym_static] = ACTIONS(1481),
    [anon_sym_auto] = ACTIONS(1481),
    [anon_sym_register] = ACTIONS(1481),
    [anon_sym_inline] = ACTIONS(1481),
    [anon_sym___inline] = ACTIONS(1481),
    [anon_sym___inline__] = ACTIONS(1481),
    [anon_sym___forceinline] = ACTIONS(1481),
    [anon_sym_thread_local] = ACTIONS(1481),
    [anon_sym___thread] = ACTIONS(1481),
    [anon_sym_const] = ACTIONS(1481),
    [anon_sym_constexpr] = ACTIONS(1481),
    [anon_sym_volatile] = ACTIONS(1481),
    [anon_sym_restrict] = ACTIONS(1481),
    [anon_sym___restrict__] = ACTIONS(1481),
    [anon_sym__Atomic] = ACTIONS(1481),
    [anon_sym__Noreturn] = ACTIONS(1481),
    [anon_sym_noreturn] = ACTIONS(1481),
    [sym_primitive_type] = ACTIONS(1481),
    [anon_sym_enum] = ACTIONS(1481),
    [anon_sym_struct] = ACTIONS(1481),
    [anon_sym_union] = ACTIONS(1481),
    [anon_sym_if] = ACTIONS(1481),
    [anon_sym_else] = ACTIONS(1481),
    [anon_sym_switch] = ACTIONS(1481),
    [anon_sym_case] = ACTIONS(1481),
    [anon_sym_default] = ACTIONS(1481),
    [anon_sym_while] = ACTIONS(1481),
    [anon_sym_do] = ACTIONS(1481),
    [anon_sym_for] = ACTIONS(1481),
    [anon_sym_return] = ACTIONS(1481),
    [anon_sym_break] = ACTIONS(1481),
    [anon_sym_continue] = ACTIONS(1481),
    [anon_sym_goto] = ACTIONS(1481),
    [anon_sym___try] = ACTIONS(1481),
    [anon_sym___leave] = ACTIONS(1481),
    [anon_sym_DASH_DASH] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1483),
    [anon_sym_sizeof] = ACTIONS(1481),
    [anon_sym___alignof__] = ACTIONS(1481),
    [anon_sym___alignof] = ACTIONS(1481),
    [anon_sym__alignof] = ACTIONS(1481),
    [anon_sym_alignof] = ACTIONS(1481),
    [anon_sym__Alignof] = ACTIONS(1481),
    [anon_sym_offsetof] = ACTIONS(1481),
    [anon_sym__Generic] = ACTIONS(1481),
    [anon_sym_asm] = ACTIONS(1481),
    [anon_sym___asm__] = ACTIONS(1481),
    [sym_number_literal] = ACTIONS(1483),
    [anon_sym_L_SQUOTE] = ACTIONS(1483),
    [anon_sym_u_SQUOTE] = ACTIONS(1483),
    [anon_sym_U_SQUOTE] = ACTIONS(1483),
    [anon_sym_u8_SQUOTE] = ACTIONS(1483),
    [anon_sym_SQUOTE] = ACTIONS(1483),
    [anon_sym_L_DQUOTE] = ACTIONS(1483),
    [anon_sym_u_DQUOTE] = ACTIONS(1483),
    [anon_sym_U_DQUOTE] = ACTIONS(1483),
    [anon_sym_u8_DQUOTE] = ACTIONS(1483),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_true] = ACTIONS(1481),
    [sym_false] = ACTIONS(1481),
    [anon_sym_NULL] = ACTIONS(1481),
    [anon_sym_nullptr] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1481),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1481),
    [anon_sym_hitAttributeEXT] = ACTIONS(1481),
    [anon_sym_callableDataEXT] = ACTIONS(1481),
    [anon_sym_callableDataInEXT] = ACTIONS(1481),
    [anon_sym_shaderRecordEXT] = ACTIONS(1481),
    [anon_sym_rayPayloadNV] = ACTIONS(1481),
    [anon_sym_rayPayloadInNV] = ACTIONS(1481),
    [anon_sym_hitAttributeNV] = ACTIONS(1481),
    [anon_sym_callableDataNV] = ACTIONS(1481),
    [anon_sym_callableDataInNV] = ACTIONS(1481),
    [anon_sym_shaderRecordNV] = ACTIONS(1481),
    [anon_sym_layout] = ACTIONS(1481),
  },
  [109] = {
    [sym_identifier] = ACTIONS(1485),
    [aux_sym_preproc_include_token1] = ACTIONS(1485),
    [aux_sym_preproc_def_token1] = ACTIONS(1485),
    [aux_sym_preproc_if_token1] = ACTIONS(1485),
    [aux_sym_preproc_if_token2] = ACTIONS(1485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1485),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1485),
    [aux_sym_preproc_else_token1] = ACTIONS(1485),
    [aux_sym_preproc_elif_token1] = ACTIONS(1485),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1485),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1485),
    [sym_preproc_directive] = ACTIONS(1485),
    [anon_sym_LPAREN2] = ACTIONS(1487),
    [anon_sym_BANG] = ACTIONS(1487),
    [anon_sym_TILDE] = ACTIONS(1487),
    [anon_sym_DASH] = ACTIONS(1485),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_STAR] = ACTIONS(1487),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_subroutine] = ACTIONS(1485),
    [anon_sym_invariant] = ACTIONS(1485),
    [anon_sym_precise] = ACTIONS(1485),
    [anon_sym_SEMI] = ACTIONS(1487),
    [anon_sym_in] = ACTIONS(1485),
    [anon_sym_out] = ACTIONS(1485),
    [anon_sym_inout] = ACTIONS(1485),
    [anon_sym_uniform] = ACTIONS(1485),
    [anon_sym_shared] = ACTIONS(1485),
    [anon_sym_attribute] = ACTIONS(1485),
    [anon_sym_varying] = ACTIONS(1485),
    [anon_sym_buffer] = ACTIONS(1485),
    [anon_sym_coherent] = ACTIONS(1485),
    [anon_sym_readonly] = ACTIONS(1485),
    [anon_sym_writeonly] = ACTIONS(1485),
    [anon_sym_precision] = ACTIONS(1485),
    [anon_sym_highp] = ACTIONS(1485),
    [anon_sym_mediump] = ACTIONS(1485),
    [anon_sym_lowp] = ACTIONS(1485),
    [anon_sym_centroid] = ACTIONS(1485),
    [anon_sym_sample] = ACTIONS(1485),
    [anon_sym_patch] = ACTIONS(1485),
    [anon_sym_smooth] = ACTIONS(1485),
    [anon_sym_flat] = ACTIONS(1485),
    [anon_sym_noperspective] = ACTIONS(1485),
    [anon_sym___extension__] = ACTIONS(1485),
    [anon_sym_typedef] = ACTIONS(1485),
    [anon_sym_extern] = ACTIONS(1485),
    [anon_sym___attribute__] = ACTIONS(1485),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1487),
    [anon_sym___declspec] = ACTIONS(1485),
    [anon_sym___cdecl] = ACTIONS(1485),
    [anon_sym___clrcall] = ACTIONS(1485),
    [anon_sym___stdcall] = ACTIONS(1485),
    [anon_sym___fastcall] = ACTIONS(1485),
    [anon_sym___thiscall] = ACTIONS(1485),
    [anon_sym___vectorcall] = ACTIONS(1485),
    [anon_sym_LBRACE] = ACTIONS(1487),
    [anon_sym_signed] = ACTIONS(1485),
    [anon_sym_unsigned] = ACTIONS(1485),
    [anon_sym_long] = ACTIONS(1485),
    [anon_sym_short] = ACTIONS(1485),
    [anon_sym_static] = ACTIONS(1485),
    [anon_sym_auto] = ACTIONS(1485),
    [anon_sym_register] = ACTIONS(1485),
    [anon_sym_inline] = ACTIONS(1485),
    [anon_sym___inline] = ACTIONS(1485),
    [anon_sym___inline__] = ACTIONS(1485),
    [anon_sym___forceinline] = ACTIONS(1485),
    [anon_sym_thread_local] = ACTIONS(1485),
    [anon_sym___thread] = ACTIONS(1485),
    [anon_sym_const] = ACTIONS(1485),
    [anon_sym_constexpr] = ACTIONS(1485),
    [anon_sym_volatile] = ACTIONS(1485),
    [anon_sym_restrict] = ACTIONS(1485),
    [anon_sym___restrict__] = ACTIONS(1485),
    [anon_sym__Atomic] = ACTIONS(1485),
    [anon_sym__Noreturn] = ACTIONS(1485),
    [anon_sym_noreturn] = ACTIONS(1485),
    [sym_primitive_type] = ACTIONS(1485),
    [anon_sym_enum] = ACTIONS(1485),
    [anon_sym_struct] = ACTIONS(1485),
    [anon_sym_union] = ACTIONS(1485),
    [anon_sym_if] = ACTIONS(1485),
    [anon_sym_else] = ACTIONS(1485),
    [anon_sym_switch] = ACTIONS(1485),
    [anon_sym_case] = ACTIONS(1485),
    [anon_sym_default] = ACTIONS(1485),
    [anon_sym_while] = ACTIONS(1485),
    [anon_sym_do] = ACTIONS(1485),
    [anon_sym_for] = ACTIONS(1485),
    [anon_sym_return] = ACTIONS(1485),
    [anon_sym_break] = ACTIONS(1485),
    [anon_sym_continue] = ACTIONS(1485),
    [anon_sym_goto] = ACTIONS(1485),
    [anon_sym___try] = ACTIONS(1485),
    [anon_sym___leave] = ACTIONS(1485),
    [anon_sym_DASH_DASH] = ACTIONS(1487),
    [anon_sym_PLUS_PLUS] = ACTIONS(1487),
    [anon_sym_sizeof] = ACTIONS(1485),
    [anon_sym___alignof__] = ACTIONS(1485),
    [anon_sym___alignof] = ACTIONS(1485),
    [anon_sym__alignof] = ACTIONS(1485),
    [anon_sym_alignof] = ACTIONS(1485),
    [anon_sym__Alignof] = ACTIONS(1485),
    [anon_sym_offsetof] = ACTIONS(1485),
    [anon_sym__Generic] = ACTIONS(1485),
    [anon_sym_asm] = ACTIONS(1485),
    [anon_sym___asm__] = ACTIONS(1485),
    [sym_number_literal] = ACTIONS(1487),
    [anon_sym_L_SQUOTE] = ACTIONS(1487),
    [anon_sym_u_SQUOTE] = ACTIONS(1487),
    [anon_sym_U_SQUOTE] = ACTIONS(1487),
    [anon_sym_u8_SQUOTE] = ACTIONS(1487),
    [anon_sym_SQUOTE] = ACTIONS(1487),
    [anon_sym_L_DQUOTE] = ACTIONS(1487),
    [anon_sym_u_DQUOTE] = ACTIONS(1487),
    [anon_sym_U_DQUOTE] = ACTIONS(1487),
    [anon_sym_u8_DQUOTE] = ACTIONS(1487),
    [anon_sym_DQUOTE] = ACTIONS(1487),
    [sym_true] = ACTIONS(1485),
    [sym_false] = ACTIONS(1485),
    [anon_sym_NULL] = ACTIONS(1485),
    [anon_sym_nullptr] = ACTIONS(1485),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1485),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1485),
    [anon_sym_hitAttributeEXT] = ACTIONS(1485),
    [anon_sym_callableDataEXT] = ACTIONS(1485),
    [anon_sym_callableDataInEXT] = ACTIONS(1485),
    [anon_sym_shaderRecordEXT] = ACTIONS(1485),
    [anon_sym_rayPayloadNV] = ACTIONS(1485),
    [anon_sym_rayPayloadInNV] = ACTIONS(1485),
    [anon_sym_hitAttributeNV] = ACTIONS(1485),
    [anon_sym_callableDataNV] = ACTIONS(1485),
    [anon_sym_callableDataInNV] = ACTIONS(1485),
    [anon_sym_shaderRecordNV] = ACTIONS(1485),
    [anon_sym_layout] = ACTIONS(1485),
  },
  [110] = {
    [sym_identifier] = ACTIONS(1489),
    [aux_sym_preproc_include_token1] = ACTIONS(1489),
    [aux_sym_preproc_def_token1] = ACTIONS(1489),
    [aux_sym_preproc_if_token1] = ACTIONS(1489),
    [aux_sym_preproc_if_token2] = ACTIONS(1489),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1489),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1489),
    [aux_sym_preproc_else_token1] = ACTIONS(1489),
    [aux_sym_preproc_elif_token1] = ACTIONS(1489),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1489),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1489),
    [sym_preproc_directive] = ACTIONS(1489),
    [anon_sym_LPAREN2] = ACTIONS(1491),
    [anon_sym_BANG] = ACTIONS(1491),
    [anon_sym_TILDE] = ACTIONS(1491),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_STAR] = ACTIONS(1491),
    [anon_sym_AMP] = ACTIONS(1491),
    [anon_sym_subroutine] = ACTIONS(1489),
    [anon_sym_invariant] = ACTIONS(1489),
    [anon_sym_precise] = ACTIONS(1489),
    [anon_sym_SEMI] = ACTIONS(1491),
    [anon_sym_in] = ACTIONS(1489),
    [anon_sym_out] = ACTIONS(1489),
    [anon_sym_inout] = ACTIONS(1489),
    [anon_sym_uniform] = ACTIONS(1489),
    [anon_sym_shared] = ACTIONS(1489),
    [anon_sym_attribute] = ACTIONS(1489),
    [anon_sym_varying] = ACTIONS(1489),
    [anon_sym_buffer] = ACTIONS(1489),
    [anon_sym_coherent] = ACTIONS(1489),
    [anon_sym_readonly] = ACTIONS(1489),
    [anon_sym_writeonly] = ACTIONS(1489),
    [anon_sym_precision] = ACTIONS(1489),
    [anon_sym_highp] = ACTIONS(1489),
    [anon_sym_mediump] = ACTIONS(1489),
    [anon_sym_lowp] = ACTIONS(1489),
    [anon_sym_centroid] = ACTIONS(1489),
    [anon_sym_sample] = ACTIONS(1489),
    [anon_sym_patch] = ACTIONS(1489),
    [anon_sym_smooth] = ACTIONS(1489),
    [anon_sym_flat] = ACTIONS(1489),
    [anon_sym_noperspective] = ACTIONS(1489),
    [anon_sym___extension__] = ACTIONS(1489),
    [anon_sym_typedef] = ACTIONS(1489),
    [anon_sym_extern] = ACTIONS(1489),
    [anon_sym___attribute__] = ACTIONS(1489),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1491),
    [anon_sym___declspec] = ACTIONS(1489),
    [anon_sym___cdecl] = ACTIONS(1489),
    [anon_sym___clrcall] = ACTIONS(1489),
    [anon_sym___stdcall] = ACTIONS(1489),
    [anon_sym___fastcall] = ACTIONS(1489),
    [anon_sym___thiscall] = ACTIONS(1489),
    [anon_sym___vectorcall] = ACTIONS(1489),
    [anon_sym_LBRACE] = ACTIONS(1491),
    [anon_sym_signed] = ACTIONS(1489),
    [anon_sym_unsigned] = ACTIONS(1489),
    [anon_sym_long] = ACTIONS(1489),
    [anon_sym_short] = ACTIONS(1489),
    [anon_sym_static] = ACTIONS(1489),
    [anon_sym_auto] = ACTIONS(1489),
    [anon_sym_register] = ACTIONS(1489),
    [anon_sym_inline] = ACTIONS(1489),
    [anon_sym___inline] = ACTIONS(1489),
    [anon_sym___inline__] = ACTIONS(1489),
    [anon_sym___forceinline] = ACTIONS(1489),
    [anon_sym_thread_local] = ACTIONS(1489),
    [anon_sym___thread] = ACTIONS(1489),
    [anon_sym_const] = ACTIONS(1489),
    [anon_sym_constexpr] = ACTIONS(1489),
    [anon_sym_volatile] = ACTIONS(1489),
    [anon_sym_restrict] = ACTIONS(1489),
    [anon_sym___restrict__] = ACTIONS(1489),
    [anon_sym__Atomic] = ACTIONS(1489),
    [anon_sym__Noreturn] = ACTIONS(1489),
    [anon_sym_noreturn] = ACTIONS(1489),
    [sym_primitive_type] = ACTIONS(1489),
    [anon_sym_enum] = ACTIONS(1489),
    [anon_sym_struct] = ACTIONS(1489),
    [anon_sym_union] = ACTIONS(1489),
    [anon_sym_if] = ACTIONS(1489),
    [anon_sym_else] = ACTIONS(1489),
    [anon_sym_switch] = ACTIONS(1489),
    [anon_sym_case] = ACTIONS(1489),
    [anon_sym_default] = ACTIONS(1489),
    [anon_sym_while] = ACTIONS(1489),
    [anon_sym_do] = ACTIONS(1489),
    [anon_sym_for] = ACTIONS(1489),
    [anon_sym_return] = ACTIONS(1489),
    [anon_sym_break] = ACTIONS(1489),
    [anon_sym_continue] = ACTIONS(1489),
    [anon_sym_goto] = ACTIONS(1489),
    [anon_sym___try] = ACTIONS(1489),
    [anon_sym___leave] = ACTIONS(1489),
    [anon_sym_DASH_DASH] = ACTIONS(1491),
    [anon_sym_PLUS_PLUS] = ACTIONS(1491),
    [anon_sym_sizeof] = ACTIONS(1489),
    [anon_sym___alignof__] = ACTIONS(1489),
    [anon_sym___alignof] = ACTIONS(1489),
    [anon_sym__alignof] = ACTIONS(1489),
    [anon_sym_alignof] = ACTIONS(1489),
    [anon_sym__Alignof] = ACTIONS(1489),
    [anon_sym_offsetof] = ACTIONS(1489),
    [anon_sym__Generic] = ACTIONS(1489),
    [anon_sym_asm] = ACTIONS(1489),
    [anon_sym___asm__] = ACTIONS(1489),
    [sym_number_literal] = ACTIONS(1491),
    [anon_sym_L_SQUOTE] = ACTIONS(1491),
    [anon_sym_u_SQUOTE] = ACTIONS(1491),
    [anon_sym_U_SQUOTE] = ACTIONS(1491),
    [anon_sym_u8_SQUOTE] = ACTIONS(1491),
    [anon_sym_SQUOTE] = ACTIONS(1491),
    [anon_sym_L_DQUOTE] = ACTIONS(1491),
    [anon_sym_u_DQUOTE] = ACTIONS(1491),
    [anon_sym_U_DQUOTE] = ACTIONS(1491),
    [anon_sym_u8_DQUOTE] = ACTIONS(1491),
    [anon_sym_DQUOTE] = ACTIONS(1491),
    [sym_true] = ACTIONS(1489),
    [sym_false] = ACTIONS(1489),
    [anon_sym_NULL] = ACTIONS(1489),
    [anon_sym_nullptr] = ACTIONS(1489),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1489),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1489),
    [anon_sym_hitAttributeEXT] = ACTIONS(1489),
    [anon_sym_callableDataEXT] = ACTIONS(1489),
    [anon_sym_callableDataInEXT] = ACTIONS(1489),
    [anon_sym_shaderRecordEXT] = ACTIONS(1489),
    [anon_sym_rayPayloadNV] = ACTIONS(1489),
    [anon_sym_rayPayloadInNV] = ACTIONS(1489),
    [anon_sym_hitAttributeNV] = ACTIONS(1489),
    [anon_sym_callableDataNV] = ACTIONS(1489),
    [anon_sym_callableDataInNV] = ACTIONS(1489),
    [anon_sym_shaderRecordNV] = ACTIONS(1489),
    [anon_sym_layout] = ACTIONS(1489),
  },
  [111] = {
    [sym_identifier] = ACTIONS(1493),
    [aux_sym_preproc_include_token1] = ACTIONS(1493),
    [aux_sym_preproc_def_token1] = ACTIONS(1493),
    [aux_sym_preproc_if_token1] = ACTIONS(1493),
    [aux_sym_preproc_if_token2] = ACTIONS(1493),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1493),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1493),
    [aux_sym_preproc_else_token1] = ACTIONS(1493),
    [aux_sym_preproc_elif_token1] = ACTIONS(1493),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1493),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1493),
    [sym_preproc_directive] = ACTIONS(1493),
    [anon_sym_LPAREN2] = ACTIONS(1495),
    [anon_sym_BANG] = ACTIONS(1495),
    [anon_sym_TILDE] = ACTIONS(1495),
    [anon_sym_DASH] = ACTIONS(1493),
    [anon_sym_PLUS] = ACTIONS(1493),
    [anon_sym_STAR] = ACTIONS(1495),
    [anon_sym_AMP] = ACTIONS(1495),
    [anon_sym_subroutine] = ACTIONS(1493),
    [anon_sym_invariant] = ACTIONS(1493),
    [anon_sym_precise] = ACTIONS(1493),
    [anon_sym_SEMI] = ACTIONS(1495),
    [anon_sym_in] = ACTIONS(1493),
    [anon_sym_out] = ACTIONS(1493),
    [anon_sym_inout] = ACTIONS(1493),
    [anon_sym_uniform] = ACTIONS(1493),
    [anon_sym_shared] = ACTIONS(1493),
    [anon_sym_attribute] = ACTIONS(1493),
    [anon_sym_varying] = ACTIONS(1493),
    [anon_sym_buffer] = ACTIONS(1493),
    [anon_sym_coherent] = ACTIONS(1493),
    [anon_sym_readonly] = ACTIONS(1493),
    [anon_sym_writeonly] = ACTIONS(1493),
    [anon_sym_precision] = ACTIONS(1493),
    [anon_sym_highp] = ACTIONS(1493),
    [anon_sym_mediump] = ACTIONS(1493),
    [anon_sym_lowp] = ACTIONS(1493),
    [anon_sym_centroid] = ACTIONS(1493),
    [anon_sym_sample] = ACTIONS(1493),
    [anon_sym_patch] = ACTIONS(1493),
    [anon_sym_smooth] = ACTIONS(1493),
    [anon_sym_flat] = ACTIONS(1493),
    [anon_sym_noperspective] = ACTIONS(1493),
    [anon_sym___extension__] = ACTIONS(1493),
    [anon_sym_typedef] = ACTIONS(1493),
    [anon_sym_extern] = ACTIONS(1493),
    [anon_sym___attribute__] = ACTIONS(1493),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1495),
    [anon_sym___declspec] = ACTIONS(1493),
    [anon_sym___cdecl] = ACTIONS(1493),
    [anon_sym___clrcall] = ACTIONS(1493),
    [anon_sym___stdcall] = ACTIONS(1493),
    [anon_sym___fastcall] = ACTIONS(1493),
    [anon_sym___thiscall] = ACTIONS(1493),
    [anon_sym___vectorcall] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(1495),
    [anon_sym_signed] = ACTIONS(1493),
    [anon_sym_unsigned] = ACTIONS(1493),
    [anon_sym_long] = ACTIONS(1493),
    [anon_sym_short] = ACTIONS(1493),
    [anon_sym_static] = ACTIONS(1493),
    [anon_sym_auto] = ACTIONS(1493),
    [anon_sym_register] = ACTIONS(1493),
    [anon_sym_inline] = ACTIONS(1493),
    [anon_sym___inline] = ACTIONS(1493),
    [anon_sym___inline__] = ACTIONS(1493),
    [anon_sym___forceinline] = ACTIONS(1493),
    [anon_sym_thread_local] = ACTIONS(1493),
    [anon_sym___thread] = ACTIONS(1493),
    [anon_sym_const] = ACTIONS(1493),
    [anon_sym_constexpr] = ACTIONS(1493),
    [anon_sym_volatile] = ACTIONS(1493),
    [anon_sym_restrict] = ACTIONS(1493),
    [anon_sym___restrict__] = ACTIONS(1493),
    [anon_sym__Atomic] = ACTIONS(1493),
    [anon_sym__Noreturn] = ACTIONS(1493),
    [anon_sym_noreturn] = ACTIONS(1493),
    [sym_primitive_type] = ACTIONS(1493),
    [anon_sym_enum] = ACTIONS(1493),
    [anon_sym_struct] = ACTIONS(1493),
    [anon_sym_union] = ACTIONS(1493),
    [anon_sym_if] = ACTIONS(1493),
    [anon_sym_else] = ACTIONS(1493),
    [anon_sym_switch] = ACTIONS(1493),
    [anon_sym_case] = ACTIONS(1493),
    [anon_sym_default] = ACTIONS(1493),
    [anon_sym_while] = ACTIONS(1493),
    [anon_sym_do] = ACTIONS(1493),
    [anon_sym_for] = ACTIONS(1493),
    [anon_sym_return] = ACTIONS(1493),
    [anon_sym_break] = ACTIONS(1493),
    [anon_sym_continue] = ACTIONS(1493),
    [anon_sym_goto] = ACTIONS(1493),
    [anon_sym___try] = ACTIONS(1493),
    [anon_sym___leave] = ACTIONS(1493),
    [anon_sym_DASH_DASH] = ACTIONS(1495),
    [anon_sym_PLUS_PLUS] = ACTIONS(1495),
    [anon_sym_sizeof] = ACTIONS(1493),
    [anon_sym___alignof__] = ACTIONS(1493),
    [anon_sym___alignof] = ACTIONS(1493),
    [anon_sym__alignof] = ACTIONS(1493),
    [anon_sym_alignof] = ACTIONS(1493),
    [anon_sym__Alignof] = ACTIONS(1493),
    [anon_sym_offsetof] = ACTIONS(1493),
    [anon_sym__Generic] = ACTIONS(1493),
    [anon_sym_asm] = ACTIONS(1493),
    [anon_sym___asm__] = ACTIONS(1493),
    [sym_number_literal] = ACTIONS(1495),
    [anon_sym_L_SQUOTE] = ACTIONS(1495),
    [anon_sym_u_SQUOTE] = ACTIONS(1495),
    [anon_sym_U_SQUOTE] = ACTIONS(1495),
    [anon_sym_u8_SQUOTE] = ACTIONS(1495),
    [anon_sym_SQUOTE] = ACTIONS(1495),
    [anon_sym_L_DQUOTE] = ACTIONS(1495),
    [anon_sym_u_DQUOTE] = ACTIONS(1495),
    [anon_sym_U_DQUOTE] = ACTIONS(1495),
    [anon_sym_u8_DQUOTE] = ACTIONS(1495),
    [anon_sym_DQUOTE] = ACTIONS(1495),
    [sym_true] = ACTIONS(1493),
    [sym_false] = ACTIONS(1493),
    [anon_sym_NULL] = ACTIONS(1493),
    [anon_sym_nullptr] = ACTIONS(1493),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1493),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1493),
    [anon_sym_hitAttributeEXT] = ACTIONS(1493),
    [anon_sym_callableDataEXT] = ACTIONS(1493),
    [anon_sym_callableDataInEXT] = ACTIONS(1493),
    [anon_sym_shaderRecordEXT] = ACTIONS(1493),
    [anon_sym_rayPayloadNV] = ACTIONS(1493),
    [anon_sym_rayPayloadInNV] = ACTIONS(1493),
    [anon_sym_hitAttributeNV] = ACTIONS(1493),
    [anon_sym_callableDataNV] = ACTIONS(1493),
    [anon_sym_callableDataInNV] = ACTIONS(1493),
    [anon_sym_shaderRecordNV] = ACTIONS(1493),
    [anon_sym_layout] = ACTIONS(1493),
  },
  [112] = {
    [sym_identifier] = ACTIONS(1497),
    [aux_sym_preproc_include_token1] = ACTIONS(1497),
    [aux_sym_preproc_def_token1] = ACTIONS(1497),
    [aux_sym_preproc_if_token1] = ACTIONS(1497),
    [aux_sym_preproc_if_token2] = ACTIONS(1497),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1497),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1497),
    [aux_sym_preproc_else_token1] = ACTIONS(1497),
    [aux_sym_preproc_elif_token1] = ACTIONS(1497),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1497),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1497),
    [sym_preproc_directive] = ACTIONS(1497),
    [anon_sym_LPAREN2] = ACTIONS(1499),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_DASH] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1497),
    [anon_sym_STAR] = ACTIONS(1499),
    [anon_sym_AMP] = ACTIONS(1499),
    [anon_sym_subroutine] = ACTIONS(1497),
    [anon_sym_invariant] = ACTIONS(1497),
    [anon_sym_precise] = ACTIONS(1497),
    [anon_sym_SEMI] = ACTIONS(1499),
    [anon_sym_in] = ACTIONS(1497),
    [anon_sym_out] = ACTIONS(1497),
    [anon_sym_inout] = ACTIONS(1497),
    [anon_sym_uniform] = ACTIONS(1497),
    [anon_sym_shared] = ACTIONS(1497),
    [anon_sym_attribute] = ACTIONS(1497),
    [anon_sym_varying] = ACTIONS(1497),
    [anon_sym_buffer] = ACTIONS(1497),
    [anon_sym_coherent] = ACTIONS(1497),
    [anon_sym_readonly] = ACTIONS(1497),
    [anon_sym_writeonly] = ACTIONS(1497),
    [anon_sym_precision] = ACTIONS(1497),
    [anon_sym_highp] = ACTIONS(1497),
    [anon_sym_mediump] = ACTIONS(1497),
    [anon_sym_lowp] = ACTIONS(1497),
    [anon_sym_centroid] = ACTIONS(1497),
    [anon_sym_sample] = ACTIONS(1497),
    [anon_sym_patch] = ACTIONS(1497),
    [anon_sym_smooth] = ACTIONS(1497),
    [anon_sym_flat] = ACTIONS(1497),
    [anon_sym_noperspective] = ACTIONS(1497),
    [anon_sym___extension__] = ACTIONS(1497),
    [anon_sym_typedef] = ACTIONS(1497),
    [anon_sym_extern] = ACTIONS(1497),
    [anon_sym___attribute__] = ACTIONS(1497),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1499),
    [anon_sym___declspec] = ACTIONS(1497),
    [anon_sym___cdecl] = ACTIONS(1497),
    [anon_sym___clrcall] = ACTIONS(1497),
    [anon_sym___stdcall] = ACTIONS(1497),
    [anon_sym___fastcall] = ACTIONS(1497),
    [anon_sym___thiscall] = ACTIONS(1497),
    [anon_sym___vectorcall] = ACTIONS(1497),
    [anon_sym_LBRACE] = ACTIONS(1499),
    [anon_sym_signed] = ACTIONS(1497),
    [anon_sym_unsigned] = ACTIONS(1497),
    [anon_sym_long] = ACTIONS(1497),
    [anon_sym_short] = ACTIONS(1497),
    [anon_sym_static] = ACTIONS(1497),
    [anon_sym_auto] = ACTIONS(1497),
    [anon_sym_register] = ACTIONS(1497),
    [anon_sym_inline] = ACTIONS(1497),
    [anon_sym___inline] = ACTIONS(1497),
    [anon_sym___inline__] = ACTIONS(1497),
    [anon_sym___forceinline] = ACTIONS(1497),
    [anon_sym_thread_local] = ACTIONS(1497),
    [anon_sym___thread] = ACTIONS(1497),
    [anon_sym_const] = ACTIONS(1497),
    [anon_sym_constexpr] = ACTIONS(1497),
    [anon_sym_volatile] = ACTIONS(1497),
    [anon_sym_restrict] = ACTIONS(1497),
    [anon_sym___restrict__] = ACTIONS(1497),
    [anon_sym__Atomic] = ACTIONS(1497),
    [anon_sym__Noreturn] = ACTIONS(1497),
    [anon_sym_noreturn] = ACTIONS(1497),
    [sym_primitive_type] = ACTIONS(1497),
    [anon_sym_enum] = ACTIONS(1497),
    [anon_sym_struct] = ACTIONS(1497),
    [anon_sym_union] = ACTIONS(1497),
    [anon_sym_if] = ACTIONS(1497),
    [anon_sym_else] = ACTIONS(1497),
    [anon_sym_switch] = ACTIONS(1497),
    [anon_sym_case] = ACTIONS(1497),
    [anon_sym_default] = ACTIONS(1497),
    [anon_sym_while] = ACTIONS(1497),
    [anon_sym_do] = ACTIONS(1497),
    [anon_sym_for] = ACTIONS(1497),
    [anon_sym_return] = ACTIONS(1497),
    [anon_sym_break] = ACTIONS(1497),
    [anon_sym_continue] = ACTIONS(1497),
    [anon_sym_goto] = ACTIONS(1497),
    [anon_sym___try] = ACTIONS(1497),
    [anon_sym___leave] = ACTIONS(1497),
    [anon_sym_DASH_DASH] = ACTIONS(1499),
    [anon_sym_PLUS_PLUS] = ACTIONS(1499),
    [anon_sym_sizeof] = ACTIONS(1497),
    [anon_sym___alignof__] = ACTIONS(1497),
    [anon_sym___alignof] = ACTIONS(1497),
    [anon_sym__alignof] = ACTIONS(1497),
    [anon_sym_alignof] = ACTIONS(1497),
    [anon_sym__Alignof] = ACTIONS(1497),
    [anon_sym_offsetof] = ACTIONS(1497),
    [anon_sym__Generic] = ACTIONS(1497),
    [anon_sym_asm] = ACTIONS(1497),
    [anon_sym___asm__] = ACTIONS(1497),
    [sym_number_literal] = ACTIONS(1499),
    [anon_sym_L_SQUOTE] = ACTIONS(1499),
    [anon_sym_u_SQUOTE] = ACTIONS(1499),
    [anon_sym_U_SQUOTE] = ACTIONS(1499),
    [anon_sym_u8_SQUOTE] = ACTIONS(1499),
    [anon_sym_SQUOTE] = ACTIONS(1499),
    [anon_sym_L_DQUOTE] = ACTIONS(1499),
    [anon_sym_u_DQUOTE] = ACTIONS(1499),
    [anon_sym_U_DQUOTE] = ACTIONS(1499),
    [anon_sym_u8_DQUOTE] = ACTIONS(1499),
    [anon_sym_DQUOTE] = ACTIONS(1499),
    [sym_true] = ACTIONS(1497),
    [sym_false] = ACTIONS(1497),
    [anon_sym_NULL] = ACTIONS(1497),
    [anon_sym_nullptr] = ACTIONS(1497),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1497),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1497),
    [anon_sym_hitAttributeEXT] = ACTIONS(1497),
    [anon_sym_callableDataEXT] = ACTIONS(1497),
    [anon_sym_callableDataInEXT] = ACTIONS(1497),
    [anon_sym_shaderRecordEXT] = ACTIONS(1497),
    [anon_sym_rayPayloadNV] = ACTIONS(1497),
    [anon_sym_rayPayloadInNV] = ACTIONS(1497),
    [anon_sym_hitAttributeNV] = ACTIONS(1497),
    [anon_sym_callableDataNV] = ACTIONS(1497),
    [anon_sym_callableDataInNV] = ACTIONS(1497),
    [anon_sym_shaderRecordNV] = ACTIONS(1497),
    [anon_sym_layout] = ACTIONS(1497),
  },
  [113] = {
    [sym_identifier] = ACTIONS(1501),
    [aux_sym_preproc_include_token1] = ACTIONS(1501),
    [aux_sym_preproc_def_token1] = ACTIONS(1501),
    [aux_sym_preproc_if_token1] = ACTIONS(1501),
    [aux_sym_preproc_if_token2] = ACTIONS(1501),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1501),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1501),
    [aux_sym_preproc_else_token1] = ACTIONS(1501),
    [aux_sym_preproc_elif_token1] = ACTIONS(1501),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1501),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1501),
    [sym_preproc_directive] = ACTIONS(1501),
    [anon_sym_LPAREN2] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1503),
    [anon_sym_TILDE] = ACTIONS(1503),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_PLUS] = ACTIONS(1501),
    [anon_sym_STAR] = ACTIONS(1503),
    [anon_sym_AMP] = ACTIONS(1503),
    [anon_sym_subroutine] = ACTIONS(1501),
    [anon_sym_invariant] = ACTIONS(1501),
    [anon_sym_precise] = ACTIONS(1501),
    [anon_sym_SEMI] = ACTIONS(1503),
    [anon_sym_in] = ACTIONS(1501),
    [anon_sym_out] = ACTIONS(1501),
    [anon_sym_inout] = ACTIONS(1501),
    [anon_sym_uniform] = ACTIONS(1501),
    [anon_sym_shared] = ACTIONS(1501),
    [anon_sym_attribute] = ACTIONS(1501),
    [anon_sym_varying] = ACTIONS(1501),
    [anon_sym_buffer] = ACTIONS(1501),
    [anon_sym_coherent] = ACTIONS(1501),
    [anon_sym_readonly] = ACTIONS(1501),
    [anon_sym_writeonly] = ACTIONS(1501),
    [anon_sym_precision] = ACTIONS(1501),
    [anon_sym_highp] = ACTIONS(1501),
    [anon_sym_mediump] = ACTIONS(1501),
    [anon_sym_lowp] = ACTIONS(1501),
    [anon_sym_centroid] = ACTIONS(1501),
    [anon_sym_sample] = ACTIONS(1501),
    [anon_sym_patch] = ACTIONS(1501),
    [anon_sym_smooth] = ACTIONS(1501),
    [anon_sym_flat] = ACTIONS(1501),
    [anon_sym_noperspective] = ACTIONS(1501),
    [anon_sym___extension__] = ACTIONS(1501),
    [anon_sym_typedef] = ACTIONS(1501),
    [anon_sym_extern] = ACTIONS(1501),
    [anon_sym___attribute__] = ACTIONS(1501),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1503),
    [anon_sym___declspec] = ACTIONS(1501),
    [anon_sym___cdecl] = ACTIONS(1501),
    [anon_sym___clrcall] = ACTIONS(1501),
    [anon_sym___stdcall] = ACTIONS(1501),
    [anon_sym___fastcall] = ACTIONS(1501),
    [anon_sym___thiscall] = ACTIONS(1501),
    [anon_sym___vectorcall] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_signed] = ACTIONS(1501),
    [anon_sym_unsigned] = ACTIONS(1501),
    [anon_sym_long] = ACTIONS(1501),
    [anon_sym_short] = ACTIONS(1501),
    [anon_sym_static] = ACTIONS(1501),
    [anon_sym_auto] = ACTIONS(1501),
    [anon_sym_register] = ACTIONS(1501),
    [anon_sym_inline] = ACTIONS(1501),
    [anon_sym___inline] = ACTIONS(1501),
    [anon_sym___inline__] = ACTIONS(1501),
    [anon_sym___forceinline] = ACTIONS(1501),
    [anon_sym_thread_local] = ACTIONS(1501),
    [anon_sym___thread] = ACTIONS(1501),
    [anon_sym_const] = ACTIONS(1501),
    [anon_sym_constexpr] = ACTIONS(1501),
    [anon_sym_volatile] = ACTIONS(1501),
    [anon_sym_restrict] = ACTIONS(1501),
    [anon_sym___restrict__] = ACTIONS(1501),
    [anon_sym__Atomic] = ACTIONS(1501),
    [anon_sym__Noreturn] = ACTIONS(1501),
    [anon_sym_noreturn] = ACTIONS(1501),
    [sym_primitive_type] = ACTIONS(1501),
    [anon_sym_enum] = ACTIONS(1501),
    [anon_sym_struct] = ACTIONS(1501),
    [anon_sym_union] = ACTIONS(1501),
    [anon_sym_if] = ACTIONS(1501),
    [anon_sym_else] = ACTIONS(1501),
    [anon_sym_switch] = ACTIONS(1501),
    [anon_sym_case] = ACTIONS(1501),
    [anon_sym_default] = ACTIONS(1501),
    [anon_sym_while] = ACTIONS(1501),
    [anon_sym_do] = ACTIONS(1501),
    [anon_sym_for] = ACTIONS(1501),
    [anon_sym_return] = ACTIONS(1501),
    [anon_sym_break] = ACTIONS(1501),
    [anon_sym_continue] = ACTIONS(1501),
    [anon_sym_goto] = ACTIONS(1501),
    [anon_sym___try] = ACTIONS(1501),
    [anon_sym___leave] = ACTIONS(1501),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_sizeof] = ACTIONS(1501),
    [anon_sym___alignof__] = ACTIONS(1501),
    [anon_sym___alignof] = ACTIONS(1501),
    [anon_sym__alignof] = ACTIONS(1501),
    [anon_sym_alignof] = ACTIONS(1501),
    [anon_sym__Alignof] = ACTIONS(1501),
    [anon_sym_offsetof] = ACTIONS(1501),
    [anon_sym__Generic] = ACTIONS(1501),
    [anon_sym_asm] = ACTIONS(1501),
    [anon_sym___asm__] = ACTIONS(1501),
    [sym_number_literal] = ACTIONS(1503),
    [anon_sym_L_SQUOTE] = ACTIONS(1503),
    [anon_sym_u_SQUOTE] = ACTIONS(1503),
    [anon_sym_U_SQUOTE] = ACTIONS(1503),
    [anon_sym_u8_SQUOTE] = ACTIONS(1503),
    [anon_sym_SQUOTE] = ACTIONS(1503),
    [anon_sym_L_DQUOTE] = ACTIONS(1503),
    [anon_sym_u_DQUOTE] = ACTIONS(1503),
    [anon_sym_U_DQUOTE] = ACTIONS(1503),
    [anon_sym_u8_DQUOTE] = ACTIONS(1503),
    [anon_sym_DQUOTE] = ACTIONS(1503),
    [sym_true] = ACTIONS(1501),
    [sym_false] = ACTIONS(1501),
    [anon_sym_NULL] = ACTIONS(1501),
    [anon_sym_nullptr] = ACTIONS(1501),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1501),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1501),
    [anon_sym_hitAttributeEXT] = ACTIONS(1501),
    [anon_sym_callableDataEXT] = ACTIONS(1501),
    [anon_sym_callableDataInEXT] = ACTIONS(1501),
    [anon_sym_shaderRecordEXT] = ACTIONS(1501),
    [anon_sym_rayPayloadNV] = ACTIONS(1501),
    [anon_sym_rayPayloadInNV] = ACTIONS(1501),
    [anon_sym_hitAttributeNV] = ACTIONS(1501),
    [anon_sym_callableDataNV] = ACTIONS(1501),
    [anon_sym_callableDataInNV] = ACTIONS(1501),
    [anon_sym_shaderRecordNV] = ACTIONS(1501),
    [anon_sym_layout] = ACTIONS(1501),
  },
  [114] = {
    [sym_identifier] = ACTIONS(1505),
    [aux_sym_preproc_include_token1] = ACTIONS(1505),
    [aux_sym_preproc_def_token1] = ACTIONS(1505),
    [aux_sym_preproc_if_token1] = ACTIONS(1505),
    [aux_sym_preproc_if_token2] = ACTIONS(1505),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1505),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1505),
    [aux_sym_preproc_else_token1] = ACTIONS(1505),
    [aux_sym_preproc_elif_token1] = ACTIONS(1505),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1505),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1505),
    [sym_preproc_directive] = ACTIONS(1505),
    [anon_sym_LPAREN2] = ACTIONS(1507),
    [anon_sym_BANG] = ACTIONS(1507),
    [anon_sym_TILDE] = ACTIONS(1507),
    [anon_sym_DASH] = ACTIONS(1505),
    [anon_sym_PLUS] = ACTIONS(1505),
    [anon_sym_STAR] = ACTIONS(1507),
    [anon_sym_AMP] = ACTIONS(1507),
    [anon_sym_subroutine] = ACTIONS(1505),
    [anon_sym_invariant] = ACTIONS(1505),
    [anon_sym_precise] = ACTIONS(1505),
    [anon_sym_SEMI] = ACTIONS(1507),
    [anon_sym_in] = ACTIONS(1505),
    [anon_sym_out] = ACTIONS(1505),
    [anon_sym_inout] = ACTIONS(1505),
    [anon_sym_uniform] = ACTIONS(1505),
    [anon_sym_shared] = ACTIONS(1505),
    [anon_sym_attribute] = ACTIONS(1505),
    [anon_sym_varying] = ACTIONS(1505),
    [anon_sym_buffer] = ACTIONS(1505),
    [anon_sym_coherent] = ACTIONS(1505),
    [anon_sym_readonly] = ACTIONS(1505),
    [anon_sym_writeonly] = ACTIONS(1505),
    [anon_sym_precision] = ACTIONS(1505),
    [anon_sym_highp] = ACTIONS(1505),
    [anon_sym_mediump] = ACTIONS(1505),
    [anon_sym_lowp] = ACTIONS(1505),
    [anon_sym_centroid] = ACTIONS(1505),
    [anon_sym_sample] = ACTIONS(1505),
    [anon_sym_patch] = ACTIONS(1505),
    [anon_sym_smooth] = ACTIONS(1505),
    [anon_sym_flat] = ACTIONS(1505),
    [anon_sym_noperspective] = ACTIONS(1505),
    [anon_sym___extension__] = ACTIONS(1505),
    [anon_sym_typedef] = ACTIONS(1505),
    [anon_sym_extern] = ACTIONS(1505),
    [anon_sym___attribute__] = ACTIONS(1505),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1507),
    [anon_sym___declspec] = ACTIONS(1505),
    [anon_sym___cdecl] = ACTIONS(1505),
    [anon_sym___clrcall] = ACTIONS(1505),
    [anon_sym___stdcall] = ACTIONS(1505),
    [anon_sym___fastcall] = ACTIONS(1505),
    [anon_sym___thiscall] = ACTIONS(1505),
    [anon_sym___vectorcall] = ACTIONS(1505),
    [anon_sym_LBRACE] = ACTIONS(1507),
    [anon_sym_signed] = ACTIONS(1505),
    [anon_sym_unsigned] = ACTIONS(1505),
    [anon_sym_long] = ACTIONS(1505),
    [anon_sym_short] = ACTIONS(1505),
    [anon_sym_static] = ACTIONS(1505),
    [anon_sym_auto] = ACTIONS(1505),
    [anon_sym_register] = ACTIONS(1505),
    [anon_sym_inline] = ACTIONS(1505),
    [anon_sym___inline] = ACTIONS(1505),
    [anon_sym___inline__] = ACTIONS(1505),
    [anon_sym___forceinline] = ACTIONS(1505),
    [anon_sym_thread_local] = ACTIONS(1505),
    [anon_sym___thread] = ACTIONS(1505),
    [anon_sym_const] = ACTIONS(1505),
    [anon_sym_constexpr] = ACTIONS(1505),
    [anon_sym_volatile] = ACTIONS(1505),
    [anon_sym_restrict] = ACTIONS(1505),
    [anon_sym___restrict__] = ACTIONS(1505),
    [anon_sym__Atomic] = ACTIONS(1505),
    [anon_sym__Noreturn] = ACTIONS(1505),
    [anon_sym_noreturn] = ACTIONS(1505),
    [sym_primitive_type] = ACTIONS(1505),
    [anon_sym_enum] = ACTIONS(1505),
    [anon_sym_struct] = ACTIONS(1505),
    [anon_sym_union] = ACTIONS(1505),
    [anon_sym_if] = ACTIONS(1505),
    [anon_sym_else] = ACTIONS(1505),
    [anon_sym_switch] = ACTIONS(1505),
    [anon_sym_case] = ACTIONS(1505),
    [anon_sym_default] = ACTIONS(1505),
    [anon_sym_while] = ACTIONS(1505),
    [anon_sym_do] = ACTIONS(1505),
    [anon_sym_for] = ACTIONS(1505),
    [anon_sym_return] = ACTIONS(1505),
    [anon_sym_break] = ACTIONS(1505),
    [anon_sym_continue] = ACTIONS(1505),
    [anon_sym_goto] = ACTIONS(1505),
    [anon_sym___try] = ACTIONS(1505),
    [anon_sym___leave] = ACTIONS(1505),
    [anon_sym_DASH_DASH] = ACTIONS(1507),
    [anon_sym_PLUS_PLUS] = ACTIONS(1507),
    [anon_sym_sizeof] = ACTIONS(1505),
    [anon_sym___alignof__] = ACTIONS(1505),
    [anon_sym___alignof] = ACTIONS(1505),
    [anon_sym__alignof] = ACTIONS(1505),
    [anon_sym_alignof] = ACTIONS(1505),
    [anon_sym__Alignof] = ACTIONS(1505),
    [anon_sym_offsetof] = ACTIONS(1505),
    [anon_sym__Generic] = ACTIONS(1505),
    [anon_sym_asm] = ACTIONS(1505),
    [anon_sym___asm__] = ACTIONS(1505),
    [sym_number_literal] = ACTIONS(1507),
    [anon_sym_L_SQUOTE] = ACTIONS(1507),
    [anon_sym_u_SQUOTE] = ACTIONS(1507),
    [anon_sym_U_SQUOTE] = ACTIONS(1507),
    [anon_sym_u8_SQUOTE] = ACTIONS(1507),
    [anon_sym_SQUOTE] = ACTIONS(1507),
    [anon_sym_L_DQUOTE] = ACTIONS(1507),
    [anon_sym_u_DQUOTE] = ACTIONS(1507),
    [anon_sym_U_DQUOTE] = ACTIONS(1507),
    [anon_sym_u8_DQUOTE] = ACTIONS(1507),
    [anon_sym_DQUOTE] = ACTIONS(1507),
    [sym_true] = ACTIONS(1505),
    [sym_false] = ACTIONS(1505),
    [anon_sym_NULL] = ACTIONS(1505),
    [anon_sym_nullptr] = ACTIONS(1505),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1505),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1505),
    [anon_sym_hitAttributeEXT] = ACTIONS(1505),
    [anon_sym_callableDataEXT] = ACTIONS(1505),
    [anon_sym_callableDataInEXT] = ACTIONS(1505),
    [anon_sym_shaderRecordEXT] = ACTIONS(1505),
    [anon_sym_rayPayloadNV] = ACTIONS(1505),
    [anon_sym_rayPayloadInNV] = ACTIONS(1505),
    [anon_sym_hitAttributeNV] = ACTIONS(1505),
    [anon_sym_callableDataNV] = ACTIONS(1505),
    [anon_sym_callableDataInNV] = ACTIONS(1505),
    [anon_sym_shaderRecordNV] = ACTIONS(1505),
    [anon_sym_layout] = ACTIONS(1505),
  },
  [115] = {
    [sym_identifier] = ACTIONS(1509),
    [aux_sym_preproc_include_token1] = ACTIONS(1509),
    [aux_sym_preproc_def_token1] = ACTIONS(1509),
    [aux_sym_preproc_if_token1] = ACTIONS(1509),
    [aux_sym_preproc_if_token2] = ACTIONS(1509),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1509),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1509),
    [aux_sym_preproc_else_token1] = ACTIONS(1509),
    [aux_sym_preproc_elif_token1] = ACTIONS(1509),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1509),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1509),
    [sym_preproc_directive] = ACTIONS(1509),
    [anon_sym_LPAREN2] = ACTIONS(1511),
    [anon_sym_BANG] = ACTIONS(1511),
    [anon_sym_TILDE] = ACTIONS(1511),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_PLUS] = ACTIONS(1509),
    [anon_sym_STAR] = ACTIONS(1511),
    [anon_sym_AMP] = ACTIONS(1511),
    [anon_sym_subroutine] = ACTIONS(1509),
    [anon_sym_invariant] = ACTIONS(1509),
    [anon_sym_precise] = ACTIONS(1509),
    [anon_sym_SEMI] = ACTIONS(1511),
    [anon_sym_in] = ACTIONS(1509),
    [anon_sym_out] = ACTIONS(1509),
    [anon_sym_inout] = ACTIONS(1509),
    [anon_sym_uniform] = ACTIONS(1509),
    [anon_sym_shared] = ACTIONS(1509),
    [anon_sym_attribute] = ACTIONS(1509),
    [anon_sym_varying] = ACTIONS(1509),
    [anon_sym_buffer] = ACTIONS(1509),
    [anon_sym_coherent] = ACTIONS(1509),
    [anon_sym_readonly] = ACTIONS(1509),
    [anon_sym_writeonly] = ACTIONS(1509),
    [anon_sym_precision] = ACTIONS(1509),
    [anon_sym_highp] = ACTIONS(1509),
    [anon_sym_mediump] = ACTIONS(1509),
    [anon_sym_lowp] = ACTIONS(1509),
    [anon_sym_centroid] = ACTIONS(1509),
    [anon_sym_sample] = ACTIONS(1509),
    [anon_sym_patch] = ACTIONS(1509),
    [anon_sym_smooth] = ACTIONS(1509),
    [anon_sym_flat] = ACTIONS(1509),
    [anon_sym_noperspective] = ACTIONS(1509),
    [anon_sym___extension__] = ACTIONS(1509),
    [anon_sym_typedef] = ACTIONS(1509),
    [anon_sym_extern] = ACTIONS(1509),
    [anon_sym___attribute__] = ACTIONS(1509),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1511),
    [anon_sym___declspec] = ACTIONS(1509),
    [anon_sym___cdecl] = ACTIONS(1509),
    [anon_sym___clrcall] = ACTIONS(1509),
    [anon_sym___stdcall] = ACTIONS(1509),
    [anon_sym___fastcall] = ACTIONS(1509),
    [anon_sym___thiscall] = ACTIONS(1509),
    [anon_sym___vectorcall] = ACTIONS(1509),
    [anon_sym_LBRACE] = ACTIONS(1511),
    [anon_sym_signed] = ACTIONS(1509),
    [anon_sym_unsigned] = ACTIONS(1509),
    [anon_sym_long] = ACTIONS(1509),
    [anon_sym_short] = ACTIONS(1509),
    [anon_sym_static] = ACTIONS(1509),
    [anon_sym_auto] = ACTIONS(1509),
    [anon_sym_register] = ACTIONS(1509),
    [anon_sym_inline] = ACTIONS(1509),
    [anon_sym___inline] = ACTIONS(1509),
    [anon_sym___inline__] = ACTIONS(1509),
    [anon_sym___forceinline] = ACTIONS(1509),
    [anon_sym_thread_local] = ACTIONS(1509),
    [anon_sym___thread] = ACTIONS(1509),
    [anon_sym_const] = ACTIONS(1509),
    [anon_sym_constexpr] = ACTIONS(1509),
    [anon_sym_volatile] = ACTIONS(1509),
    [anon_sym_restrict] = ACTIONS(1509),
    [anon_sym___restrict__] = ACTIONS(1509),
    [anon_sym__Atomic] = ACTIONS(1509),
    [anon_sym__Noreturn] = ACTIONS(1509),
    [anon_sym_noreturn] = ACTIONS(1509),
    [sym_primitive_type] = ACTIONS(1509),
    [anon_sym_enum] = ACTIONS(1509),
    [anon_sym_struct] = ACTIONS(1509),
    [anon_sym_union] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1509),
    [anon_sym_else] = ACTIONS(1509),
    [anon_sym_switch] = ACTIONS(1509),
    [anon_sym_case] = ACTIONS(1509),
    [anon_sym_default] = ACTIONS(1509),
    [anon_sym_while] = ACTIONS(1509),
    [anon_sym_do] = ACTIONS(1509),
    [anon_sym_for] = ACTIONS(1509),
    [anon_sym_return] = ACTIONS(1509),
    [anon_sym_break] = ACTIONS(1509),
    [anon_sym_continue] = ACTIONS(1509),
    [anon_sym_goto] = ACTIONS(1509),
    [anon_sym___try] = ACTIONS(1509),
    [anon_sym___leave] = ACTIONS(1509),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_sizeof] = ACTIONS(1509),
    [anon_sym___alignof__] = ACTIONS(1509),
    [anon_sym___alignof] = ACTIONS(1509),
    [anon_sym__alignof] = ACTIONS(1509),
    [anon_sym_alignof] = ACTIONS(1509),
    [anon_sym__Alignof] = ACTIONS(1509),
    [anon_sym_offsetof] = ACTIONS(1509),
    [anon_sym__Generic] = ACTIONS(1509),
    [anon_sym_asm] = ACTIONS(1509),
    [anon_sym___asm__] = ACTIONS(1509),
    [sym_number_literal] = ACTIONS(1511),
    [anon_sym_L_SQUOTE] = ACTIONS(1511),
    [anon_sym_u_SQUOTE] = ACTIONS(1511),
    [anon_sym_U_SQUOTE] = ACTIONS(1511),
    [anon_sym_u8_SQUOTE] = ACTIONS(1511),
    [anon_sym_SQUOTE] = ACTIONS(1511),
    [anon_sym_L_DQUOTE] = ACTIONS(1511),
    [anon_sym_u_DQUOTE] = ACTIONS(1511),
    [anon_sym_U_DQUOTE] = ACTIONS(1511),
    [anon_sym_u8_DQUOTE] = ACTIONS(1511),
    [anon_sym_DQUOTE] = ACTIONS(1511),
    [sym_true] = ACTIONS(1509),
    [sym_false] = ACTIONS(1509),
    [anon_sym_NULL] = ACTIONS(1509),
    [anon_sym_nullptr] = ACTIONS(1509),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1509),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1509),
    [anon_sym_hitAttributeEXT] = ACTIONS(1509),
    [anon_sym_callableDataEXT] = ACTIONS(1509),
    [anon_sym_callableDataInEXT] = ACTIONS(1509),
    [anon_sym_shaderRecordEXT] = ACTIONS(1509),
    [anon_sym_rayPayloadNV] = ACTIONS(1509),
    [anon_sym_rayPayloadInNV] = ACTIONS(1509),
    [anon_sym_hitAttributeNV] = ACTIONS(1509),
    [anon_sym_callableDataNV] = ACTIONS(1509),
    [anon_sym_callableDataInNV] = ACTIONS(1509),
    [anon_sym_shaderRecordNV] = ACTIONS(1509),
    [anon_sym_layout] = ACTIONS(1509),
  },
  [116] = {
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token2] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [aux_sym_preproc_else_token1] = ACTIONS(1513),
    [aux_sym_preproc_elif_token1] = ACTIONS(1513),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [117] = {
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token2] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [aux_sym_preproc_else_token1] = ACTIONS(1513),
    [aux_sym_preproc_elif_token1] = ACTIONS(1513),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [118] = {
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token2] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [aux_sym_preproc_else_token1] = ACTIONS(1513),
    [aux_sym_preproc_elif_token1] = ACTIONS(1513),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [119] = {
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token2] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [aux_sym_preproc_else_token1] = ACTIONS(1513),
    [aux_sym_preproc_elif_token1] = ACTIONS(1513),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [120] = {
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token2] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [aux_sym_preproc_else_token1] = ACTIONS(1513),
    [aux_sym_preproc_elif_token1] = ACTIONS(1513),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [121] = {
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token2] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [aux_sym_preproc_else_token1] = ACTIONS(1513),
    [aux_sym_preproc_elif_token1] = ACTIONS(1513),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [122] = {
    [sym_identifier] = ACTIONS(1517),
    [aux_sym_preproc_include_token1] = ACTIONS(1517),
    [aux_sym_preproc_def_token1] = ACTIONS(1517),
    [aux_sym_preproc_if_token1] = ACTIONS(1517),
    [aux_sym_preproc_if_token2] = ACTIONS(1517),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1517),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1517),
    [aux_sym_preproc_else_token1] = ACTIONS(1517),
    [aux_sym_preproc_elif_token1] = ACTIONS(1517),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1517),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1517),
    [sym_preproc_directive] = ACTIONS(1517),
    [anon_sym_LPAREN2] = ACTIONS(1519),
    [anon_sym_BANG] = ACTIONS(1519),
    [anon_sym_TILDE] = ACTIONS(1519),
    [anon_sym_DASH] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_STAR] = ACTIONS(1519),
    [anon_sym_AMP] = ACTIONS(1519),
    [anon_sym_subroutine] = ACTIONS(1517),
    [anon_sym_invariant] = ACTIONS(1517),
    [anon_sym_precise] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1519),
    [anon_sym_in] = ACTIONS(1517),
    [anon_sym_out] = ACTIONS(1517),
    [anon_sym_inout] = ACTIONS(1517),
    [anon_sym_uniform] = ACTIONS(1517),
    [anon_sym_shared] = ACTIONS(1517),
    [anon_sym_attribute] = ACTIONS(1517),
    [anon_sym_varying] = ACTIONS(1517),
    [anon_sym_buffer] = ACTIONS(1517),
    [anon_sym_coherent] = ACTIONS(1517),
    [anon_sym_readonly] = ACTIONS(1517),
    [anon_sym_writeonly] = ACTIONS(1517),
    [anon_sym_precision] = ACTIONS(1517),
    [anon_sym_highp] = ACTIONS(1517),
    [anon_sym_mediump] = ACTIONS(1517),
    [anon_sym_lowp] = ACTIONS(1517),
    [anon_sym_centroid] = ACTIONS(1517),
    [anon_sym_sample] = ACTIONS(1517),
    [anon_sym_patch] = ACTIONS(1517),
    [anon_sym_smooth] = ACTIONS(1517),
    [anon_sym_flat] = ACTIONS(1517),
    [anon_sym_noperspective] = ACTIONS(1517),
    [anon_sym___extension__] = ACTIONS(1517),
    [anon_sym_typedef] = ACTIONS(1517),
    [anon_sym_extern] = ACTIONS(1517),
    [anon_sym___attribute__] = ACTIONS(1517),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1519),
    [anon_sym___declspec] = ACTIONS(1517),
    [anon_sym___cdecl] = ACTIONS(1517),
    [anon_sym___clrcall] = ACTIONS(1517),
    [anon_sym___stdcall] = ACTIONS(1517),
    [anon_sym___fastcall] = ACTIONS(1517),
    [anon_sym___thiscall] = ACTIONS(1517),
    [anon_sym___vectorcall] = ACTIONS(1517),
    [anon_sym_LBRACE] = ACTIONS(1519),
    [anon_sym_signed] = ACTIONS(1517),
    [anon_sym_unsigned] = ACTIONS(1517),
    [anon_sym_long] = ACTIONS(1517),
    [anon_sym_short] = ACTIONS(1517),
    [anon_sym_static] = ACTIONS(1517),
    [anon_sym_auto] = ACTIONS(1517),
    [anon_sym_register] = ACTIONS(1517),
    [anon_sym_inline] = ACTIONS(1517),
    [anon_sym___inline] = ACTIONS(1517),
    [anon_sym___inline__] = ACTIONS(1517),
    [anon_sym___forceinline] = ACTIONS(1517),
    [anon_sym_thread_local] = ACTIONS(1517),
    [anon_sym___thread] = ACTIONS(1517),
    [anon_sym_const] = ACTIONS(1517),
    [anon_sym_constexpr] = ACTIONS(1517),
    [anon_sym_volatile] = ACTIONS(1517),
    [anon_sym_restrict] = ACTIONS(1517),
    [anon_sym___restrict__] = ACTIONS(1517),
    [anon_sym__Atomic] = ACTIONS(1517),
    [anon_sym__Noreturn] = ACTIONS(1517),
    [anon_sym_noreturn] = ACTIONS(1517),
    [sym_primitive_type] = ACTIONS(1517),
    [anon_sym_enum] = ACTIONS(1517),
    [anon_sym_struct] = ACTIONS(1517),
    [anon_sym_union] = ACTIONS(1517),
    [anon_sym_if] = ACTIONS(1517),
    [anon_sym_else] = ACTIONS(1517),
    [anon_sym_switch] = ACTIONS(1517),
    [anon_sym_case] = ACTIONS(1517),
    [anon_sym_default] = ACTIONS(1517),
    [anon_sym_while] = ACTIONS(1517),
    [anon_sym_do] = ACTIONS(1517),
    [anon_sym_for] = ACTIONS(1517),
    [anon_sym_return] = ACTIONS(1517),
    [anon_sym_break] = ACTIONS(1517),
    [anon_sym_continue] = ACTIONS(1517),
    [anon_sym_goto] = ACTIONS(1517),
    [anon_sym___try] = ACTIONS(1517),
    [anon_sym___leave] = ACTIONS(1517),
    [anon_sym_DASH_DASH] = ACTIONS(1519),
    [anon_sym_PLUS_PLUS] = ACTIONS(1519),
    [anon_sym_sizeof] = ACTIONS(1517),
    [anon_sym___alignof__] = ACTIONS(1517),
    [anon_sym___alignof] = ACTIONS(1517),
    [anon_sym__alignof] = ACTIONS(1517),
    [anon_sym_alignof] = ACTIONS(1517),
    [anon_sym__Alignof] = ACTIONS(1517),
    [anon_sym_offsetof] = ACTIONS(1517),
    [anon_sym__Generic] = ACTIONS(1517),
    [anon_sym_asm] = ACTIONS(1517),
    [anon_sym___asm__] = ACTIONS(1517),
    [sym_number_literal] = ACTIONS(1519),
    [anon_sym_L_SQUOTE] = ACTIONS(1519),
    [anon_sym_u_SQUOTE] = ACTIONS(1519),
    [anon_sym_U_SQUOTE] = ACTIONS(1519),
    [anon_sym_u8_SQUOTE] = ACTIONS(1519),
    [anon_sym_SQUOTE] = ACTIONS(1519),
    [anon_sym_L_DQUOTE] = ACTIONS(1519),
    [anon_sym_u_DQUOTE] = ACTIONS(1519),
    [anon_sym_U_DQUOTE] = ACTIONS(1519),
    [anon_sym_u8_DQUOTE] = ACTIONS(1519),
    [anon_sym_DQUOTE] = ACTIONS(1519),
    [sym_true] = ACTIONS(1517),
    [sym_false] = ACTIONS(1517),
    [anon_sym_NULL] = ACTIONS(1517),
    [anon_sym_nullptr] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1517),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1517),
    [anon_sym_hitAttributeEXT] = ACTIONS(1517),
    [anon_sym_callableDataEXT] = ACTIONS(1517),
    [anon_sym_callableDataInEXT] = ACTIONS(1517),
    [anon_sym_shaderRecordEXT] = ACTIONS(1517),
    [anon_sym_rayPayloadNV] = ACTIONS(1517),
    [anon_sym_rayPayloadInNV] = ACTIONS(1517),
    [anon_sym_hitAttributeNV] = ACTIONS(1517),
    [anon_sym_callableDataNV] = ACTIONS(1517),
    [anon_sym_callableDataInNV] = ACTIONS(1517),
    [anon_sym_shaderRecordNV] = ACTIONS(1517),
    [anon_sym_layout] = ACTIONS(1517),
  },
  [123] = {
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token2] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [aux_sym_preproc_else_token1] = ACTIONS(1513),
    [aux_sym_preproc_elif_token1] = ACTIONS(1513),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [124] = {
    [sym_identifier] = ACTIONS(1521),
    [aux_sym_preproc_include_token1] = ACTIONS(1521),
    [aux_sym_preproc_def_token1] = ACTIONS(1521),
    [aux_sym_preproc_if_token1] = ACTIONS(1521),
    [aux_sym_preproc_if_token2] = ACTIONS(1521),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1521),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1521),
    [aux_sym_preproc_else_token1] = ACTIONS(1521),
    [aux_sym_preproc_elif_token1] = ACTIONS(1521),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1521),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1521),
    [sym_preproc_directive] = ACTIONS(1521),
    [anon_sym_LPAREN2] = ACTIONS(1523),
    [anon_sym_BANG] = ACTIONS(1523),
    [anon_sym_TILDE] = ACTIONS(1523),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_PLUS] = ACTIONS(1521),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_AMP] = ACTIONS(1523),
    [anon_sym_subroutine] = ACTIONS(1521),
    [anon_sym_invariant] = ACTIONS(1521),
    [anon_sym_precise] = ACTIONS(1521),
    [anon_sym_SEMI] = ACTIONS(1523),
    [anon_sym_in] = ACTIONS(1521),
    [anon_sym_out] = ACTIONS(1521),
    [anon_sym_inout] = ACTIONS(1521),
    [anon_sym_uniform] = ACTIONS(1521),
    [anon_sym_shared] = ACTIONS(1521),
    [anon_sym_attribute] = ACTIONS(1521),
    [anon_sym_varying] = ACTIONS(1521),
    [anon_sym_buffer] = ACTIONS(1521),
    [anon_sym_coherent] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_writeonly] = ACTIONS(1521),
    [anon_sym_precision] = ACTIONS(1521),
    [anon_sym_highp] = ACTIONS(1521),
    [anon_sym_mediump] = ACTIONS(1521),
    [anon_sym_lowp] = ACTIONS(1521),
    [anon_sym_centroid] = ACTIONS(1521),
    [anon_sym_sample] = ACTIONS(1521),
    [anon_sym_patch] = ACTIONS(1521),
    [anon_sym_smooth] = ACTIONS(1521),
    [anon_sym_flat] = ACTIONS(1521),
    [anon_sym_noperspective] = ACTIONS(1521),
    [anon_sym___extension__] = ACTIONS(1521),
    [anon_sym_typedef] = ACTIONS(1521),
    [anon_sym_extern] = ACTIONS(1521),
    [anon_sym___attribute__] = ACTIONS(1521),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1523),
    [anon_sym___declspec] = ACTIONS(1521),
    [anon_sym___cdecl] = ACTIONS(1521),
    [anon_sym___clrcall] = ACTIONS(1521),
    [anon_sym___stdcall] = ACTIONS(1521),
    [anon_sym___fastcall] = ACTIONS(1521),
    [anon_sym___thiscall] = ACTIONS(1521),
    [anon_sym___vectorcall] = ACTIONS(1521),
    [anon_sym_LBRACE] = ACTIONS(1523),
    [anon_sym_signed] = ACTIONS(1521),
    [anon_sym_unsigned] = ACTIONS(1521),
    [anon_sym_long] = ACTIONS(1521),
    [anon_sym_short] = ACTIONS(1521),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_auto] = ACTIONS(1521),
    [anon_sym_register] = ACTIONS(1521),
    [anon_sym_inline] = ACTIONS(1521),
    [anon_sym___inline] = ACTIONS(1521),
    [anon_sym___inline__] = ACTIONS(1521),
    [anon_sym___forceinline] = ACTIONS(1521),
    [anon_sym_thread_local] = ACTIONS(1521),
    [anon_sym___thread] = ACTIONS(1521),
    [anon_sym_const] = ACTIONS(1521),
    [anon_sym_constexpr] = ACTIONS(1521),
    [anon_sym_volatile] = ACTIONS(1521),
    [anon_sym_restrict] = ACTIONS(1521),
    [anon_sym___restrict__] = ACTIONS(1521),
    [anon_sym__Atomic] = ACTIONS(1521),
    [anon_sym__Noreturn] = ACTIONS(1521),
    [anon_sym_noreturn] = ACTIONS(1521),
    [sym_primitive_type] = ACTIONS(1521),
    [anon_sym_enum] = ACTIONS(1521),
    [anon_sym_struct] = ACTIONS(1521),
    [anon_sym_union] = ACTIONS(1521),
    [anon_sym_if] = ACTIONS(1521),
    [anon_sym_else] = ACTIONS(1521),
    [anon_sym_switch] = ACTIONS(1521),
    [anon_sym_case] = ACTIONS(1521),
    [anon_sym_default] = ACTIONS(1521),
    [anon_sym_while] = ACTIONS(1521),
    [anon_sym_do] = ACTIONS(1521),
    [anon_sym_for] = ACTIONS(1521),
    [anon_sym_return] = ACTIONS(1521),
    [anon_sym_break] = ACTIONS(1521),
    [anon_sym_continue] = ACTIONS(1521),
    [anon_sym_goto] = ACTIONS(1521),
    [anon_sym___try] = ACTIONS(1521),
    [anon_sym___leave] = ACTIONS(1521),
    [anon_sym_DASH_DASH] = ACTIONS(1523),
    [anon_sym_PLUS_PLUS] = ACTIONS(1523),
    [anon_sym_sizeof] = ACTIONS(1521),
    [anon_sym___alignof__] = ACTIONS(1521),
    [anon_sym___alignof] = ACTIONS(1521),
    [anon_sym__alignof] = ACTIONS(1521),
    [anon_sym_alignof] = ACTIONS(1521),
    [anon_sym__Alignof] = ACTIONS(1521),
    [anon_sym_offsetof] = ACTIONS(1521),
    [anon_sym__Generic] = ACTIONS(1521),
    [anon_sym_asm] = ACTIONS(1521),
    [anon_sym___asm__] = ACTIONS(1521),
    [sym_number_literal] = ACTIONS(1523),
    [anon_sym_L_SQUOTE] = ACTIONS(1523),
    [anon_sym_u_SQUOTE] = ACTIONS(1523),
    [anon_sym_U_SQUOTE] = ACTIONS(1523),
    [anon_sym_u8_SQUOTE] = ACTIONS(1523),
    [anon_sym_SQUOTE] = ACTIONS(1523),
    [anon_sym_L_DQUOTE] = ACTIONS(1523),
    [anon_sym_u_DQUOTE] = ACTIONS(1523),
    [anon_sym_U_DQUOTE] = ACTIONS(1523),
    [anon_sym_u8_DQUOTE] = ACTIONS(1523),
    [anon_sym_DQUOTE] = ACTIONS(1523),
    [sym_true] = ACTIONS(1521),
    [sym_false] = ACTIONS(1521),
    [anon_sym_NULL] = ACTIONS(1521),
    [anon_sym_nullptr] = ACTIONS(1521),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1521),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1521),
    [anon_sym_hitAttributeEXT] = ACTIONS(1521),
    [anon_sym_callableDataEXT] = ACTIONS(1521),
    [anon_sym_callableDataInEXT] = ACTIONS(1521),
    [anon_sym_shaderRecordEXT] = ACTIONS(1521),
    [anon_sym_rayPayloadNV] = ACTIONS(1521),
    [anon_sym_rayPayloadInNV] = ACTIONS(1521),
    [anon_sym_hitAttributeNV] = ACTIONS(1521),
    [anon_sym_callableDataNV] = ACTIONS(1521),
    [anon_sym_callableDataInNV] = ACTIONS(1521),
    [anon_sym_shaderRecordNV] = ACTIONS(1521),
    [anon_sym_layout] = ACTIONS(1521),
  },
  [125] = {
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token2] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [aux_sym_preproc_else_token1] = ACTIONS(1513),
    [aux_sym_preproc_elif_token1] = ACTIONS(1513),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [126] = {
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token2] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [aux_sym_preproc_else_token1] = ACTIONS(1513),
    [aux_sym_preproc_elif_token1] = ACTIONS(1513),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [127] = {
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token2] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [aux_sym_preproc_else_token1] = ACTIONS(1513),
    [aux_sym_preproc_elif_token1] = ACTIONS(1513),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [128] = {
    [sym_identifier] = ACTIONS(1525),
    [aux_sym_preproc_include_token1] = ACTIONS(1525),
    [aux_sym_preproc_def_token1] = ACTIONS(1525),
    [aux_sym_preproc_if_token1] = ACTIONS(1525),
    [aux_sym_preproc_if_token2] = ACTIONS(1525),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1525),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1525),
    [aux_sym_preproc_else_token1] = ACTIONS(1525),
    [aux_sym_preproc_elif_token1] = ACTIONS(1525),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1525),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1525),
    [sym_preproc_directive] = ACTIONS(1525),
    [anon_sym_LPAREN2] = ACTIONS(1527),
    [anon_sym_BANG] = ACTIONS(1527),
    [anon_sym_TILDE] = ACTIONS(1527),
    [anon_sym_DASH] = ACTIONS(1525),
    [anon_sym_PLUS] = ACTIONS(1525),
    [anon_sym_STAR] = ACTIONS(1527),
    [anon_sym_AMP] = ACTIONS(1527),
    [anon_sym_subroutine] = ACTIONS(1525),
    [anon_sym_invariant] = ACTIONS(1525),
    [anon_sym_precise] = ACTIONS(1525),
    [anon_sym_SEMI] = ACTIONS(1527),
    [anon_sym_in] = ACTIONS(1525),
    [anon_sym_out] = ACTIONS(1525),
    [anon_sym_inout] = ACTIONS(1525),
    [anon_sym_uniform] = ACTIONS(1525),
    [anon_sym_shared] = ACTIONS(1525),
    [anon_sym_attribute] = ACTIONS(1525),
    [anon_sym_varying] = ACTIONS(1525),
    [anon_sym_buffer] = ACTIONS(1525),
    [anon_sym_coherent] = ACTIONS(1525),
    [anon_sym_readonly] = ACTIONS(1525),
    [anon_sym_writeonly] = ACTIONS(1525),
    [anon_sym_precision] = ACTIONS(1525),
    [anon_sym_highp] = ACTIONS(1525),
    [anon_sym_mediump] = ACTIONS(1525),
    [anon_sym_lowp] = ACTIONS(1525),
    [anon_sym_centroid] = ACTIONS(1525),
    [anon_sym_sample] = ACTIONS(1525),
    [anon_sym_patch] = ACTIONS(1525),
    [anon_sym_smooth] = ACTIONS(1525),
    [anon_sym_flat] = ACTIONS(1525),
    [anon_sym_noperspective] = ACTIONS(1525),
    [anon_sym___extension__] = ACTIONS(1525),
    [anon_sym_typedef] = ACTIONS(1525),
    [anon_sym_extern] = ACTIONS(1525),
    [anon_sym___attribute__] = ACTIONS(1525),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1527),
    [anon_sym___declspec] = ACTIONS(1525),
    [anon_sym___cdecl] = ACTIONS(1525),
    [anon_sym___clrcall] = ACTIONS(1525),
    [anon_sym___stdcall] = ACTIONS(1525),
    [anon_sym___fastcall] = ACTIONS(1525),
    [anon_sym___thiscall] = ACTIONS(1525),
    [anon_sym___vectorcall] = ACTIONS(1525),
    [anon_sym_LBRACE] = ACTIONS(1527),
    [anon_sym_signed] = ACTIONS(1525),
    [anon_sym_unsigned] = ACTIONS(1525),
    [anon_sym_long] = ACTIONS(1525),
    [anon_sym_short] = ACTIONS(1525),
    [anon_sym_static] = ACTIONS(1525),
    [anon_sym_auto] = ACTIONS(1525),
    [anon_sym_register] = ACTIONS(1525),
    [anon_sym_inline] = ACTIONS(1525),
    [anon_sym___inline] = ACTIONS(1525),
    [anon_sym___inline__] = ACTIONS(1525),
    [anon_sym___forceinline] = ACTIONS(1525),
    [anon_sym_thread_local] = ACTIONS(1525),
    [anon_sym___thread] = ACTIONS(1525),
    [anon_sym_const] = ACTIONS(1525),
    [anon_sym_constexpr] = ACTIONS(1525),
    [anon_sym_volatile] = ACTIONS(1525),
    [anon_sym_restrict] = ACTIONS(1525),
    [anon_sym___restrict__] = ACTIONS(1525),
    [anon_sym__Atomic] = ACTIONS(1525),
    [anon_sym__Noreturn] = ACTIONS(1525),
    [anon_sym_noreturn] = ACTIONS(1525),
    [sym_primitive_type] = ACTIONS(1525),
    [anon_sym_enum] = ACTIONS(1525),
    [anon_sym_struct] = ACTIONS(1525),
    [anon_sym_union] = ACTIONS(1525),
    [anon_sym_if] = ACTIONS(1525),
    [anon_sym_else] = ACTIONS(1525),
    [anon_sym_switch] = ACTIONS(1525),
    [anon_sym_case] = ACTIONS(1525),
    [anon_sym_default] = ACTIONS(1525),
    [anon_sym_while] = ACTIONS(1525),
    [anon_sym_do] = ACTIONS(1525),
    [anon_sym_for] = ACTIONS(1525),
    [anon_sym_return] = ACTIONS(1525),
    [anon_sym_break] = ACTIONS(1525),
    [anon_sym_continue] = ACTIONS(1525),
    [anon_sym_goto] = ACTIONS(1525),
    [anon_sym___try] = ACTIONS(1525),
    [anon_sym___leave] = ACTIONS(1525),
    [anon_sym_DASH_DASH] = ACTIONS(1527),
    [anon_sym_PLUS_PLUS] = ACTIONS(1527),
    [anon_sym_sizeof] = ACTIONS(1525),
    [anon_sym___alignof__] = ACTIONS(1525),
    [anon_sym___alignof] = ACTIONS(1525),
    [anon_sym__alignof] = ACTIONS(1525),
    [anon_sym_alignof] = ACTIONS(1525),
    [anon_sym__Alignof] = ACTIONS(1525),
    [anon_sym_offsetof] = ACTIONS(1525),
    [anon_sym__Generic] = ACTIONS(1525),
    [anon_sym_asm] = ACTIONS(1525),
    [anon_sym___asm__] = ACTIONS(1525),
    [sym_number_literal] = ACTIONS(1527),
    [anon_sym_L_SQUOTE] = ACTIONS(1527),
    [anon_sym_u_SQUOTE] = ACTIONS(1527),
    [anon_sym_U_SQUOTE] = ACTIONS(1527),
    [anon_sym_u8_SQUOTE] = ACTIONS(1527),
    [anon_sym_SQUOTE] = ACTIONS(1527),
    [anon_sym_L_DQUOTE] = ACTIONS(1527),
    [anon_sym_u_DQUOTE] = ACTIONS(1527),
    [anon_sym_U_DQUOTE] = ACTIONS(1527),
    [anon_sym_u8_DQUOTE] = ACTIONS(1527),
    [anon_sym_DQUOTE] = ACTIONS(1527),
    [sym_true] = ACTIONS(1525),
    [sym_false] = ACTIONS(1525),
    [anon_sym_NULL] = ACTIONS(1525),
    [anon_sym_nullptr] = ACTIONS(1525),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1525),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1525),
    [anon_sym_hitAttributeEXT] = ACTIONS(1525),
    [anon_sym_callableDataEXT] = ACTIONS(1525),
    [anon_sym_callableDataInEXT] = ACTIONS(1525),
    [anon_sym_shaderRecordEXT] = ACTIONS(1525),
    [anon_sym_rayPayloadNV] = ACTIONS(1525),
    [anon_sym_rayPayloadInNV] = ACTIONS(1525),
    [anon_sym_hitAttributeNV] = ACTIONS(1525),
    [anon_sym_callableDataNV] = ACTIONS(1525),
    [anon_sym_callableDataInNV] = ACTIONS(1525),
    [anon_sym_shaderRecordNV] = ACTIONS(1525),
    [anon_sym_layout] = ACTIONS(1525),
  },
  [129] = {
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token2] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [aux_sym_preproc_else_token1] = ACTIONS(1513),
    [aux_sym_preproc_elif_token1] = ACTIONS(1513),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [130] = {
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token2] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [aux_sym_preproc_else_token1] = ACTIONS(1513),
    [aux_sym_preproc_elif_token1] = ACTIONS(1513),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [131] = {
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token2] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [aux_sym_preproc_else_token1] = ACTIONS(1513),
    [aux_sym_preproc_elif_token1] = ACTIONS(1513),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [132] = {
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token2] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [aux_sym_preproc_else_token1] = ACTIONS(1513),
    [aux_sym_preproc_elif_token1] = ACTIONS(1513),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [133] = {
    [ts_builtin_sym_end] = ACTIONS(1519),
    [sym_identifier] = ACTIONS(1517),
    [aux_sym_preproc_include_token1] = ACTIONS(1517),
    [aux_sym_preproc_def_token1] = ACTIONS(1517),
    [anon_sym_COMMA] = ACTIONS(1519),
    [anon_sym_RPAREN] = ACTIONS(1519),
    [aux_sym_preproc_if_token1] = ACTIONS(1517),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1517),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1517),
    [sym_preproc_directive] = ACTIONS(1517),
    [anon_sym_LPAREN2] = ACTIONS(1519),
    [anon_sym_BANG] = ACTIONS(1519),
    [anon_sym_TILDE] = ACTIONS(1519),
    [anon_sym_DASH] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_STAR] = ACTIONS(1519),
    [anon_sym_AMP] = ACTIONS(1519),
    [anon_sym_subroutine] = ACTIONS(1517),
    [anon_sym_invariant] = ACTIONS(1517),
    [anon_sym_precise] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1519),
    [anon_sym_in] = ACTIONS(1517),
    [anon_sym_out] = ACTIONS(1517),
    [anon_sym_inout] = ACTIONS(1517),
    [anon_sym_uniform] = ACTIONS(1517),
    [anon_sym_shared] = ACTIONS(1517),
    [anon_sym_attribute] = ACTIONS(1517),
    [anon_sym_varying] = ACTIONS(1517),
    [anon_sym_buffer] = ACTIONS(1517),
    [anon_sym_coherent] = ACTIONS(1517),
    [anon_sym_readonly] = ACTIONS(1517),
    [anon_sym_writeonly] = ACTIONS(1517),
    [anon_sym_precision] = ACTIONS(1517),
    [anon_sym_highp] = ACTIONS(1517),
    [anon_sym_mediump] = ACTIONS(1517),
    [anon_sym_lowp] = ACTIONS(1517),
    [anon_sym_centroid] = ACTIONS(1517),
    [anon_sym_sample] = ACTIONS(1517),
    [anon_sym_patch] = ACTIONS(1517),
    [anon_sym_smooth] = ACTIONS(1517),
    [anon_sym_flat] = ACTIONS(1517),
    [anon_sym_noperspective] = ACTIONS(1517),
    [anon_sym___extension__] = ACTIONS(1517),
    [anon_sym_typedef] = ACTIONS(1517),
    [anon_sym_extern] = ACTIONS(1517),
    [anon_sym___attribute__] = ACTIONS(1517),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1519),
    [anon_sym___declspec] = ACTIONS(1517),
    [anon_sym___cdecl] = ACTIONS(1517),
    [anon_sym___clrcall] = ACTIONS(1517),
    [anon_sym___stdcall] = ACTIONS(1517),
    [anon_sym___fastcall] = ACTIONS(1517),
    [anon_sym___thiscall] = ACTIONS(1517),
    [anon_sym___vectorcall] = ACTIONS(1517),
    [anon_sym_LBRACE] = ACTIONS(1519),
    [anon_sym_signed] = ACTIONS(1517),
    [anon_sym_unsigned] = ACTIONS(1517),
    [anon_sym_long] = ACTIONS(1517),
    [anon_sym_short] = ACTIONS(1517),
    [anon_sym_static] = ACTIONS(1517),
    [anon_sym_auto] = ACTIONS(1517),
    [anon_sym_register] = ACTIONS(1517),
    [anon_sym_inline] = ACTIONS(1517),
    [anon_sym___inline] = ACTIONS(1517),
    [anon_sym___inline__] = ACTIONS(1517),
    [anon_sym___forceinline] = ACTIONS(1517),
    [anon_sym_thread_local] = ACTIONS(1517),
    [anon_sym___thread] = ACTIONS(1517),
    [anon_sym_const] = ACTIONS(1517),
    [anon_sym_constexpr] = ACTIONS(1517),
    [anon_sym_volatile] = ACTIONS(1517),
    [anon_sym_restrict] = ACTIONS(1517),
    [anon_sym___restrict__] = ACTIONS(1517),
    [anon_sym__Atomic] = ACTIONS(1517),
    [anon_sym__Noreturn] = ACTIONS(1517),
    [anon_sym_noreturn] = ACTIONS(1517),
    [sym_primitive_type] = ACTIONS(1517),
    [anon_sym_enum] = ACTIONS(1517),
    [anon_sym_struct] = ACTIONS(1517),
    [anon_sym_union] = ACTIONS(1517),
    [anon_sym_if] = ACTIONS(1517),
    [anon_sym_else] = ACTIONS(1517),
    [anon_sym_switch] = ACTIONS(1517),
    [anon_sym_case] = ACTIONS(1517),
    [anon_sym_default] = ACTIONS(1517),
    [anon_sym_while] = ACTIONS(1517),
    [anon_sym_do] = ACTIONS(1517),
    [anon_sym_for] = ACTIONS(1517),
    [anon_sym_return] = ACTIONS(1517),
    [anon_sym_break] = ACTIONS(1517),
    [anon_sym_continue] = ACTIONS(1517),
    [anon_sym_goto] = ACTIONS(1517),
    [anon_sym___try] = ACTIONS(1517),
    [anon_sym___except] = ACTIONS(1517),
    [anon_sym___finally] = ACTIONS(1517),
    [anon_sym___leave] = ACTIONS(1517),
    [anon_sym_DASH_DASH] = ACTIONS(1519),
    [anon_sym_PLUS_PLUS] = ACTIONS(1519),
    [anon_sym_sizeof] = ACTIONS(1517),
    [anon_sym___alignof__] = ACTIONS(1517),
    [anon_sym___alignof] = ACTIONS(1517),
    [anon_sym__alignof] = ACTIONS(1517),
    [anon_sym_alignof] = ACTIONS(1517),
    [anon_sym__Alignof] = ACTIONS(1517),
    [anon_sym_offsetof] = ACTIONS(1517),
    [anon_sym__Generic] = ACTIONS(1517),
    [anon_sym_asm] = ACTIONS(1517),
    [anon_sym___asm__] = ACTIONS(1517),
    [sym_number_literal] = ACTIONS(1519),
    [anon_sym_L_SQUOTE] = ACTIONS(1519),
    [anon_sym_u_SQUOTE] = ACTIONS(1519),
    [anon_sym_U_SQUOTE] = ACTIONS(1519),
    [anon_sym_u8_SQUOTE] = ACTIONS(1519),
    [anon_sym_SQUOTE] = ACTIONS(1519),
    [anon_sym_L_DQUOTE] = ACTIONS(1519),
    [anon_sym_u_DQUOTE] = ACTIONS(1519),
    [anon_sym_U_DQUOTE] = ACTIONS(1519),
    [anon_sym_u8_DQUOTE] = ACTIONS(1519),
    [anon_sym_DQUOTE] = ACTIONS(1519),
    [sym_true] = ACTIONS(1517),
    [sym_false] = ACTIONS(1517),
    [anon_sym_NULL] = ACTIONS(1517),
    [anon_sym_nullptr] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1517),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1517),
    [anon_sym_hitAttributeEXT] = ACTIONS(1517),
    [anon_sym_callableDataEXT] = ACTIONS(1517),
    [anon_sym_callableDataInEXT] = ACTIONS(1517),
    [anon_sym_shaderRecordEXT] = ACTIONS(1517),
    [anon_sym_rayPayloadNV] = ACTIONS(1517),
    [anon_sym_rayPayloadInNV] = ACTIONS(1517),
    [anon_sym_hitAttributeNV] = ACTIONS(1517),
    [anon_sym_callableDataNV] = ACTIONS(1517),
    [anon_sym_callableDataInNV] = ACTIONS(1517),
    [anon_sym_shaderRecordNV] = ACTIONS(1517),
    [anon_sym_layout] = ACTIONS(1517),
  },
  [134] = {
    [sym_identifier] = ACTIONS(1529),
    [aux_sym_preproc_include_token1] = ACTIONS(1529),
    [aux_sym_preproc_def_token1] = ACTIONS(1529),
    [aux_sym_preproc_if_token1] = ACTIONS(1529),
    [aux_sym_preproc_if_token2] = ACTIONS(1529),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1529),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1529),
    [aux_sym_preproc_else_token1] = ACTIONS(1529),
    [aux_sym_preproc_elif_token1] = ACTIONS(1529),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1529),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1529),
    [sym_preproc_directive] = ACTIONS(1529),
    [anon_sym_LPAREN2] = ACTIONS(1531),
    [anon_sym_BANG] = ACTIONS(1531),
    [anon_sym_TILDE] = ACTIONS(1531),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_STAR] = ACTIONS(1531),
    [anon_sym_AMP] = ACTIONS(1531),
    [anon_sym_subroutine] = ACTIONS(1529),
    [anon_sym_invariant] = ACTIONS(1529),
    [anon_sym_precise] = ACTIONS(1529),
    [anon_sym_SEMI] = ACTIONS(1531),
    [anon_sym_in] = ACTIONS(1529),
    [anon_sym_out] = ACTIONS(1529),
    [anon_sym_inout] = ACTIONS(1529),
    [anon_sym_uniform] = ACTIONS(1529),
    [anon_sym_shared] = ACTIONS(1529),
    [anon_sym_attribute] = ACTIONS(1529),
    [anon_sym_varying] = ACTIONS(1529),
    [anon_sym_buffer] = ACTIONS(1529),
    [anon_sym_coherent] = ACTIONS(1529),
    [anon_sym_readonly] = ACTIONS(1529),
    [anon_sym_writeonly] = ACTIONS(1529),
    [anon_sym_precision] = ACTIONS(1529),
    [anon_sym_highp] = ACTIONS(1529),
    [anon_sym_mediump] = ACTIONS(1529),
    [anon_sym_lowp] = ACTIONS(1529),
    [anon_sym_centroid] = ACTIONS(1529),
    [anon_sym_sample] = ACTIONS(1529),
    [anon_sym_patch] = ACTIONS(1529),
    [anon_sym_smooth] = ACTIONS(1529),
    [anon_sym_flat] = ACTIONS(1529),
    [anon_sym_noperspective] = ACTIONS(1529),
    [anon_sym___extension__] = ACTIONS(1529),
    [anon_sym_typedef] = ACTIONS(1529),
    [anon_sym_extern] = ACTIONS(1529),
    [anon_sym___attribute__] = ACTIONS(1529),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1531),
    [anon_sym___declspec] = ACTIONS(1529),
    [anon_sym___cdecl] = ACTIONS(1529),
    [anon_sym___clrcall] = ACTIONS(1529),
    [anon_sym___stdcall] = ACTIONS(1529),
    [anon_sym___fastcall] = ACTIONS(1529),
    [anon_sym___thiscall] = ACTIONS(1529),
    [anon_sym___vectorcall] = ACTIONS(1529),
    [anon_sym_LBRACE] = ACTIONS(1531),
    [anon_sym_signed] = ACTIONS(1529),
    [anon_sym_unsigned] = ACTIONS(1529),
    [anon_sym_long] = ACTIONS(1529),
    [anon_sym_short] = ACTIONS(1529),
    [anon_sym_static] = ACTIONS(1529),
    [anon_sym_auto] = ACTIONS(1529),
    [anon_sym_register] = ACTIONS(1529),
    [anon_sym_inline] = ACTIONS(1529),
    [anon_sym___inline] = ACTIONS(1529),
    [anon_sym___inline__] = ACTIONS(1529),
    [anon_sym___forceinline] = ACTIONS(1529),
    [anon_sym_thread_local] = ACTIONS(1529),
    [anon_sym___thread] = ACTIONS(1529),
    [anon_sym_const] = ACTIONS(1529),
    [anon_sym_constexpr] = ACTIONS(1529),
    [anon_sym_volatile] = ACTIONS(1529),
    [anon_sym_restrict] = ACTIONS(1529),
    [anon_sym___restrict__] = ACTIONS(1529),
    [anon_sym__Atomic] = ACTIONS(1529),
    [anon_sym__Noreturn] = ACTIONS(1529),
    [anon_sym_noreturn] = ACTIONS(1529),
    [sym_primitive_type] = ACTIONS(1529),
    [anon_sym_enum] = ACTIONS(1529),
    [anon_sym_struct] = ACTIONS(1529),
    [anon_sym_union] = ACTIONS(1529),
    [anon_sym_if] = ACTIONS(1529),
    [anon_sym_else] = ACTIONS(1529),
    [anon_sym_switch] = ACTIONS(1529),
    [anon_sym_case] = ACTIONS(1529),
    [anon_sym_default] = ACTIONS(1529),
    [anon_sym_while] = ACTIONS(1529),
    [anon_sym_do] = ACTIONS(1529),
    [anon_sym_for] = ACTIONS(1529),
    [anon_sym_return] = ACTIONS(1529),
    [anon_sym_break] = ACTIONS(1529),
    [anon_sym_continue] = ACTIONS(1529),
    [anon_sym_goto] = ACTIONS(1529),
    [anon_sym___try] = ACTIONS(1529),
    [anon_sym___leave] = ACTIONS(1529),
    [anon_sym_DASH_DASH] = ACTIONS(1531),
    [anon_sym_PLUS_PLUS] = ACTIONS(1531),
    [anon_sym_sizeof] = ACTIONS(1529),
    [anon_sym___alignof__] = ACTIONS(1529),
    [anon_sym___alignof] = ACTIONS(1529),
    [anon_sym__alignof] = ACTIONS(1529),
    [anon_sym_alignof] = ACTIONS(1529),
    [anon_sym__Alignof] = ACTIONS(1529),
    [anon_sym_offsetof] = ACTIONS(1529),
    [anon_sym__Generic] = ACTIONS(1529),
    [anon_sym_asm] = ACTIONS(1529),
    [anon_sym___asm__] = ACTIONS(1529),
    [sym_number_literal] = ACTIONS(1531),
    [anon_sym_L_SQUOTE] = ACTIONS(1531),
    [anon_sym_u_SQUOTE] = ACTIONS(1531),
    [anon_sym_U_SQUOTE] = ACTIONS(1531),
    [anon_sym_u8_SQUOTE] = ACTIONS(1531),
    [anon_sym_SQUOTE] = ACTIONS(1531),
    [anon_sym_L_DQUOTE] = ACTIONS(1531),
    [anon_sym_u_DQUOTE] = ACTIONS(1531),
    [anon_sym_U_DQUOTE] = ACTIONS(1531),
    [anon_sym_u8_DQUOTE] = ACTIONS(1531),
    [anon_sym_DQUOTE] = ACTIONS(1531),
    [sym_true] = ACTIONS(1529),
    [sym_false] = ACTIONS(1529),
    [anon_sym_NULL] = ACTIONS(1529),
    [anon_sym_nullptr] = ACTIONS(1529),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1529),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1529),
    [anon_sym_hitAttributeEXT] = ACTIONS(1529),
    [anon_sym_callableDataEXT] = ACTIONS(1529),
    [anon_sym_callableDataInEXT] = ACTIONS(1529),
    [anon_sym_shaderRecordEXT] = ACTIONS(1529),
    [anon_sym_rayPayloadNV] = ACTIONS(1529),
    [anon_sym_rayPayloadInNV] = ACTIONS(1529),
    [anon_sym_hitAttributeNV] = ACTIONS(1529),
    [anon_sym_callableDataNV] = ACTIONS(1529),
    [anon_sym_callableDataInNV] = ACTIONS(1529),
    [anon_sym_shaderRecordNV] = ACTIONS(1529),
    [anon_sym_layout] = ACTIONS(1529),
  },
  [135] = {
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token2] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [aux_sym_preproc_else_token1] = ACTIONS(1513),
    [aux_sym_preproc_elif_token1] = ACTIONS(1513),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [136] = {
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token2] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [aux_sym_preproc_else_token1] = ACTIONS(1513),
    [aux_sym_preproc_elif_token1] = ACTIONS(1513),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [137] = {
    [sym_identifier] = ACTIONS(1533),
    [aux_sym_preproc_include_token1] = ACTIONS(1533),
    [aux_sym_preproc_def_token1] = ACTIONS(1533),
    [aux_sym_preproc_if_token1] = ACTIONS(1533),
    [aux_sym_preproc_if_token2] = ACTIONS(1533),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1533),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1533),
    [aux_sym_preproc_else_token1] = ACTIONS(1533),
    [aux_sym_preproc_elif_token1] = ACTIONS(1533),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1533),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1533),
    [sym_preproc_directive] = ACTIONS(1533),
    [anon_sym_LPAREN2] = ACTIONS(1535),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_subroutine] = ACTIONS(1533),
    [anon_sym_invariant] = ACTIONS(1533),
    [anon_sym_precise] = ACTIONS(1533),
    [anon_sym_SEMI] = ACTIONS(1535),
    [anon_sym_in] = ACTIONS(1533),
    [anon_sym_out] = ACTIONS(1533),
    [anon_sym_inout] = ACTIONS(1533),
    [anon_sym_uniform] = ACTIONS(1533),
    [anon_sym_shared] = ACTIONS(1533),
    [anon_sym_attribute] = ACTIONS(1533),
    [anon_sym_varying] = ACTIONS(1533),
    [anon_sym_buffer] = ACTIONS(1533),
    [anon_sym_coherent] = ACTIONS(1533),
    [anon_sym_readonly] = ACTIONS(1533),
    [anon_sym_writeonly] = ACTIONS(1533),
    [anon_sym_precision] = ACTIONS(1533),
    [anon_sym_highp] = ACTIONS(1533),
    [anon_sym_mediump] = ACTIONS(1533),
    [anon_sym_lowp] = ACTIONS(1533),
    [anon_sym_centroid] = ACTIONS(1533),
    [anon_sym_sample] = ACTIONS(1533),
    [anon_sym_patch] = ACTIONS(1533),
    [anon_sym_smooth] = ACTIONS(1533),
    [anon_sym_flat] = ACTIONS(1533),
    [anon_sym_noperspective] = ACTIONS(1533),
    [anon_sym___extension__] = ACTIONS(1533),
    [anon_sym_typedef] = ACTIONS(1533),
    [anon_sym_extern] = ACTIONS(1533),
    [anon_sym___attribute__] = ACTIONS(1533),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1535),
    [anon_sym___declspec] = ACTIONS(1533),
    [anon_sym___cdecl] = ACTIONS(1533),
    [anon_sym___clrcall] = ACTIONS(1533),
    [anon_sym___stdcall] = ACTIONS(1533),
    [anon_sym___fastcall] = ACTIONS(1533),
    [anon_sym___thiscall] = ACTIONS(1533),
    [anon_sym___vectorcall] = ACTIONS(1533),
    [anon_sym_LBRACE] = ACTIONS(1535),
    [anon_sym_signed] = ACTIONS(1533),
    [anon_sym_unsigned] = ACTIONS(1533),
    [anon_sym_long] = ACTIONS(1533),
    [anon_sym_short] = ACTIONS(1533),
    [anon_sym_static] = ACTIONS(1533),
    [anon_sym_auto] = ACTIONS(1533),
    [anon_sym_register] = ACTIONS(1533),
    [anon_sym_inline] = ACTIONS(1533),
    [anon_sym___inline] = ACTIONS(1533),
    [anon_sym___inline__] = ACTIONS(1533),
    [anon_sym___forceinline] = ACTIONS(1533),
    [anon_sym_thread_local] = ACTIONS(1533),
    [anon_sym___thread] = ACTIONS(1533),
    [anon_sym_const] = ACTIONS(1533),
    [anon_sym_constexpr] = ACTIONS(1533),
    [anon_sym_volatile] = ACTIONS(1533),
    [anon_sym_restrict] = ACTIONS(1533),
    [anon_sym___restrict__] = ACTIONS(1533),
    [anon_sym__Atomic] = ACTIONS(1533),
    [anon_sym__Noreturn] = ACTIONS(1533),
    [anon_sym_noreturn] = ACTIONS(1533),
    [sym_primitive_type] = ACTIONS(1533),
    [anon_sym_enum] = ACTIONS(1533),
    [anon_sym_struct] = ACTIONS(1533),
    [anon_sym_union] = ACTIONS(1533),
    [anon_sym_if] = ACTIONS(1533),
    [anon_sym_else] = ACTIONS(1533),
    [anon_sym_switch] = ACTIONS(1533),
    [anon_sym_case] = ACTIONS(1533),
    [anon_sym_default] = ACTIONS(1533),
    [anon_sym_while] = ACTIONS(1533),
    [anon_sym_do] = ACTIONS(1533),
    [anon_sym_for] = ACTIONS(1533),
    [anon_sym_return] = ACTIONS(1533),
    [anon_sym_break] = ACTIONS(1533),
    [anon_sym_continue] = ACTIONS(1533),
    [anon_sym_goto] = ACTIONS(1533),
    [anon_sym___try] = ACTIONS(1533),
    [anon_sym___leave] = ACTIONS(1533),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_sizeof] = ACTIONS(1533),
    [anon_sym___alignof__] = ACTIONS(1533),
    [anon_sym___alignof] = ACTIONS(1533),
    [anon_sym__alignof] = ACTIONS(1533),
    [anon_sym_alignof] = ACTIONS(1533),
    [anon_sym__Alignof] = ACTIONS(1533),
    [anon_sym_offsetof] = ACTIONS(1533),
    [anon_sym__Generic] = ACTIONS(1533),
    [anon_sym_asm] = ACTIONS(1533),
    [anon_sym___asm__] = ACTIONS(1533),
    [sym_number_literal] = ACTIONS(1535),
    [anon_sym_L_SQUOTE] = ACTIONS(1535),
    [anon_sym_u_SQUOTE] = ACTIONS(1535),
    [anon_sym_U_SQUOTE] = ACTIONS(1535),
    [anon_sym_u8_SQUOTE] = ACTIONS(1535),
    [anon_sym_SQUOTE] = ACTIONS(1535),
    [anon_sym_L_DQUOTE] = ACTIONS(1535),
    [anon_sym_u_DQUOTE] = ACTIONS(1535),
    [anon_sym_U_DQUOTE] = ACTIONS(1535),
    [anon_sym_u8_DQUOTE] = ACTIONS(1535),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_true] = ACTIONS(1533),
    [sym_false] = ACTIONS(1533),
    [anon_sym_NULL] = ACTIONS(1533),
    [anon_sym_nullptr] = ACTIONS(1533),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1533),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1533),
    [anon_sym_hitAttributeEXT] = ACTIONS(1533),
    [anon_sym_callableDataEXT] = ACTIONS(1533),
    [anon_sym_callableDataInEXT] = ACTIONS(1533),
    [anon_sym_shaderRecordEXT] = ACTIONS(1533),
    [anon_sym_rayPayloadNV] = ACTIONS(1533),
    [anon_sym_rayPayloadInNV] = ACTIONS(1533),
    [anon_sym_hitAttributeNV] = ACTIONS(1533),
    [anon_sym_callableDataNV] = ACTIONS(1533),
    [anon_sym_callableDataInNV] = ACTIONS(1533),
    [anon_sym_shaderRecordNV] = ACTIONS(1533),
    [anon_sym_layout] = ACTIONS(1533),
  },
  [138] = {
    [sym_identifier] = ACTIONS(1537),
    [aux_sym_preproc_include_token1] = ACTIONS(1537),
    [aux_sym_preproc_def_token1] = ACTIONS(1537),
    [aux_sym_preproc_if_token1] = ACTIONS(1537),
    [aux_sym_preproc_if_token2] = ACTIONS(1537),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1537),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1537),
    [aux_sym_preproc_else_token1] = ACTIONS(1537),
    [aux_sym_preproc_elif_token1] = ACTIONS(1537),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1537),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1537),
    [sym_preproc_directive] = ACTIONS(1537),
    [anon_sym_LPAREN2] = ACTIONS(1539),
    [anon_sym_BANG] = ACTIONS(1539),
    [anon_sym_TILDE] = ACTIONS(1539),
    [anon_sym_DASH] = ACTIONS(1537),
    [anon_sym_PLUS] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(1539),
    [anon_sym_AMP] = ACTIONS(1539),
    [anon_sym_subroutine] = ACTIONS(1537),
    [anon_sym_invariant] = ACTIONS(1537),
    [anon_sym_precise] = ACTIONS(1537),
    [anon_sym_SEMI] = ACTIONS(1539),
    [anon_sym_in] = ACTIONS(1537),
    [anon_sym_out] = ACTIONS(1537),
    [anon_sym_inout] = ACTIONS(1537),
    [anon_sym_uniform] = ACTIONS(1537),
    [anon_sym_shared] = ACTIONS(1537),
    [anon_sym_attribute] = ACTIONS(1537),
    [anon_sym_varying] = ACTIONS(1537),
    [anon_sym_buffer] = ACTIONS(1537),
    [anon_sym_coherent] = ACTIONS(1537),
    [anon_sym_readonly] = ACTIONS(1537),
    [anon_sym_writeonly] = ACTIONS(1537),
    [anon_sym_precision] = ACTIONS(1537),
    [anon_sym_highp] = ACTIONS(1537),
    [anon_sym_mediump] = ACTIONS(1537),
    [anon_sym_lowp] = ACTIONS(1537),
    [anon_sym_centroid] = ACTIONS(1537),
    [anon_sym_sample] = ACTIONS(1537),
    [anon_sym_patch] = ACTIONS(1537),
    [anon_sym_smooth] = ACTIONS(1537),
    [anon_sym_flat] = ACTIONS(1537),
    [anon_sym_noperspective] = ACTIONS(1537),
    [anon_sym___extension__] = ACTIONS(1537),
    [anon_sym_typedef] = ACTIONS(1537),
    [anon_sym_extern] = ACTIONS(1537),
    [anon_sym___attribute__] = ACTIONS(1537),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1539),
    [anon_sym___declspec] = ACTIONS(1537),
    [anon_sym___cdecl] = ACTIONS(1537),
    [anon_sym___clrcall] = ACTIONS(1537),
    [anon_sym___stdcall] = ACTIONS(1537),
    [anon_sym___fastcall] = ACTIONS(1537),
    [anon_sym___thiscall] = ACTIONS(1537),
    [anon_sym___vectorcall] = ACTIONS(1537),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_signed] = ACTIONS(1537),
    [anon_sym_unsigned] = ACTIONS(1537),
    [anon_sym_long] = ACTIONS(1537),
    [anon_sym_short] = ACTIONS(1537),
    [anon_sym_static] = ACTIONS(1537),
    [anon_sym_auto] = ACTIONS(1537),
    [anon_sym_register] = ACTIONS(1537),
    [anon_sym_inline] = ACTIONS(1537),
    [anon_sym___inline] = ACTIONS(1537),
    [anon_sym___inline__] = ACTIONS(1537),
    [anon_sym___forceinline] = ACTIONS(1537),
    [anon_sym_thread_local] = ACTIONS(1537),
    [anon_sym___thread] = ACTIONS(1537),
    [anon_sym_const] = ACTIONS(1537),
    [anon_sym_constexpr] = ACTIONS(1537),
    [anon_sym_volatile] = ACTIONS(1537),
    [anon_sym_restrict] = ACTIONS(1537),
    [anon_sym___restrict__] = ACTIONS(1537),
    [anon_sym__Atomic] = ACTIONS(1537),
    [anon_sym__Noreturn] = ACTIONS(1537),
    [anon_sym_noreturn] = ACTIONS(1537),
    [sym_primitive_type] = ACTIONS(1537),
    [anon_sym_enum] = ACTIONS(1537),
    [anon_sym_struct] = ACTIONS(1537),
    [anon_sym_union] = ACTIONS(1537),
    [anon_sym_if] = ACTIONS(1537),
    [anon_sym_else] = ACTIONS(1537),
    [anon_sym_switch] = ACTIONS(1537),
    [anon_sym_case] = ACTIONS(1537),
    [anon_sym_default] = ACTIONS(1537),
    [anon_sym_while] = ACTIONS(1537),
    [anon_sym_do] = ACTIONS(1537),
    [anon_sym_for] = ACTIONS(1537),
    [anon_sym_return] = ACTIONS(1537),
    [anon_sym_break] = ACTIONS(1537),
    [anon_sym_continue] = ACTIONS(1537),
    [anon_sym_goto] = ACTIONS(1537),
    [anon_sym___try] = ACTIONS(1537),
    [anon_sym___leave] = ACTIONS(1537),
    [anon_sym_DASH_DASH] = ACTIONS(1539),
    [anon_sym_PLUS_PLUS] = ACTIONS(1539),
    [anon_sym_sizeof] = ACTIONS(1537),
    [anon_sym___alignof__] = ACTIONS(1537),
    [anon_sym___alignof] = ACTIONS(1537),
    [anon_sym__alignof] = ACTIONS(1537),
    [anon_sym_alignof] = ACTIONS(1537),
    [anon_sym__Alignof] = ACTIONS(1537),
    [anon_sym_offsetof] = ACTIONS(1537),
    [anon_sym__Generic] = ACTIONS(1537),
    [anon_sym_asm] = ACTIONS(1537),
    [anon_sym___asm__] = ACTIONS(1537),
    [sym_number_literal] = ACTIONS(1539),
    [anon_sym_L_SQUOTE] = ACTIONS(1539),
    [anon_sym_u_SQUOTE] = ACTIONS(1539),
    [anon_sym_U_SQUOTE] = ACTIONS(1539),
    [anon_sym_u8_SQUOTE] = ACTIONS(1539),
    [anon_sym_SQUOTE] = ACTIONS(1539),
    [anon_sym_L_DQUOTE] = ACTIONS(1539),
    [anon_sym_u_DQUOTE] = ACTIONS(1539),
    [anon_sym_U_DQUOTE] = ACTIONS(1539),
    [anon_sym_u8_DQUOTE] = ACTIONS(1539),
    [anon_sym_DQUOTE] = ACTIONS(1539),
    [sym_true] = ACTIONS(1537),
    [sym_false] = ACTIONS(1537),
    [anon_sym_NULL] = ACTIONS(1537),
    [anon_sym_nullptr] = ACTIONS(1537),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1537),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1537),
    [anon_sym_hitAttributeEXT] = ACTIONS(1537),
    [anon_sym_callableDataEXT] = ACTIONS(1537),
    [anon_sym_callableDataInEXT] = ACTIONS(1537),
    [anon_sym_shaderRecordEXT] = ACTIONS(1537),
    [anon_sym_rayPayloadNV] = ACTIONS(1537),
    [anon_sym_rayPayloadInNV] = ACTIONS(1537),
    [anon_sym_hitAttributeNV] = ACTIONS(1537),
    [anon_sym_callableDataNV] = ACTIONS(1537),
    [anon_sym_callableDataInNV] = ACTIONS(1537),
    [anon_sym_shaderRecordNV] = ACTIONS(1537),
    [anon_sym_layout] = ACTIONS(1537),
  },
  [139] = {
    [sym_identifier] = ACTIONS(1537),
    [aux_sym_preproc_include_token1] = ACTIONS(1537),
    [aux_sym_preproc_def_token1] = ACTIONS(1537),
    [aux_sym_preproc_if_token1] = ACTIONS(1537),
    [aux_sym_preproc_if_token2] = ACTIONS(1537),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1537),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1537),
    [aux_sym_preproc_else_token1] = ACTIONS(1537),
    [aux_sym_preproc_elif_token1] = ACTIONS(1537),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1537),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1537),
    [sym_preproc_directive] = ACTIONS(1537),
    [anon_sym_LPAREN2] = ACTIONS(1539),
    [anon_sym_BANG] = ACTIONS(1539),
    [anon_sym_TILDE] = ACTIONS(1539),
    [anon_sym_DASH] = ACTIONS(1537),
    [anon_sym_PLUS] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(1539),
    [anon_sym_AMP] = ACTIONS(1539),
    [anon_sym_subroutine] = ACTIONS(1537),
    [anon_sym_invariant] = ACTIONS(1537),
    [anon_sym_precise] = ACTIONS(1537),
    [anon_sym_SEMI] = ACTIONS(1539),
    [anon_sym_in] = ACTIONS(1537),
    [anon_sym_out] = ACTIONS(1537),
    [anon_sym_inout] = ACTIONS(1537),
    [anon_sym_uniform] = ACTIONS(1537),
    [anon_sym_shared] = ACTIONS(1537),
    [anon_sym_attribute] = ACTIONS(1537),
    [anon_sym_varying] = ACTIONS(1537),
    [anon_sym_buffer] = ACTIONS(1537),
    [anon_sym_coherent] = ACTIONS(1537),
    [anon_sym_readonly] = ACTIONS(1537),
    [anon_sym_writeonly] = ACTIONS(1537),
    [anon_sym_precision] = ACTIONS(1537),
    [anon_sym_highp] = ACTIONS(1537),
    [anon_sym_mediump] = ACTIONS(1537),
    [anon_sym_lowp] = ACTIONS(1537),
    [anon_sym_centroid] = ACTIONS(1537),
    [anon_sym_sample] = ACTIONS(1537),
    [anon_sym_patch] = ACTIONS(1537),
    [anon_sym_smooth] = ACTIONS(1537),
    [anon_sym_flat] = ACTIONS(1537),
    [anon_sym_noperspective] = ACTIONS(1537),
    [anon_sym___extension__] = ACTIONS(1537),
    [anon_sym_typedef] = ACTIONS(1537),
    [anon_sym_extern] = ACTIONS(1537),
    [anon_sym___attribute__] = ACTIONS(1537),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1539),
    [anon_sym___declspec] = ACTIONS(1537),
    [anon_sym___cdecl] = ACTIONS(1537),
    [anon_sym___clrcall] = ACTIONS(1537),
    [anon_sym___stdcall] = ACTIONS(1537),
    [anon_sym___fastcall] = ACTIONS(1537),
    [anon_sym___thiscall] = ACTIONS(1537),
    [anon_sym___vectorcall] = ACTIONS(1537),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_signed] = ACTIONS(1537),
    [anon_sym_unsigned] = ACTIONS(1537),
    [anon_sym_long] = ACTIONS(1537),
    [anon_sym_short] = ACTIONS(1537),
    [anon_sym_static] = ACTIONS(1537),
    [anon_sym_auto] = ACTIONS(1537),
    [anon_sym_register] = ACTIONS(1537),
    [anon_sym_inline] = ACTIONS(1537),
    [anon_sym___inline] = ACTIONS(1537),
    [anon_sym___inline__] = ACTIONS(1537),
    [anon_sym___forceinline] = ACTIONS(1537),
    [anon_sym_thread_local] = ACTIONS(1537),
    [anon_sym___thread] = ACTIONS(1537),
    [anon_sym_const] = ACTIONS(1537),
    [anon_sym_constexpr] = ACTIONS(1537),
    [anon_sym_volatile] = ACTIONS(1537),
    [anon_sym_restrict] = ACTIONS(1537),
    [anon_sym___restrict__] = ACTIONS(1537),
    [anon_sym__Atomic] = ACTIONS(1537),
    [anon_sym__Noreturn] = ACTIONS(1537),
    [anon_sym_noreturn] = ACTIONS(1537),
    [sym_primitive_type] = ACTIONS(1537),
    [anon_sym_enum] = ACTIONS(1537),
    [anon_sym_struct] = ACTIONS(1537),
    [anon_sym_union] = ACTIONS(1537),
    [anon_sym_if] = ACTIONS(1537),
    [anon_sym_else] = ACTIONS(1537),
    [anon_sym_switch] = ACTIONS(1537),
    [anon_sym_case] = ACTIONS(1537),
    [anon_sym_default] = ACTIONS(1537),
    [anon_sym_while] = ACTIONS(1537),
    [anon_sym_do] = ACTIONS(1537),
    [anon_sym_for] = ACTIONS(1537),
    [anon_sym_return] = ACTIONS(1537),
    [anon_sym_break] = ACTIONS(1537),
    [anon_sym_continue] = ACTIONS(1537),
    [anon_sym_goto] = ACTIONS(1537),
    [anon_sym___try] = ACTIONS(1537),
    [anon_sym___leave] = ACTIONS(1537),
    [anon_sym_DASH_DASH] = ACTIONS(1539),
    [anon_sym_PLUS_PLUS] = ACTIONS(1539),
    [anon_sym_sizeof] = ACTIONS(1537),
    [anon_sym___alignof__] = ACTIONS(1537),
    [anon_sym___alignof] = ACTIONS(1537),
    [anon_sym__alignof] = ACTIONS(1537),
    [anon_sym_alignof] = ACTIONS(1537),
    [anon_sym__Alignof] = ACTIONS(1537),
    [anon_sym_offsetof] = ACTIONS(1537),
    [anon_sym__Generic] = ACTIONS(1537),
    [anon_sym_asm] = ACTIONS(1537),
    [anon_sym___asm__] = ACTIONS(1537),
    [sym_number_literal] = ACTIONS(1539),
    [anon_sym_L_SQUOTE] = ACTIONS(1539),
    [anon_sym_u_SQUOTE] = ACTIONS(1539),
    [anon_sym_U_SQUOTE] = ACTIONS(1539),
    [anon_sym_u8_SQUOTE] = ACTIONS(1539),
    [anon_sym_SQUOTE] = ACTIONS(1539),
    [anon_sym_L_DQUOTE] = ACTIONS(1539),
    [anon_sym_u_DQUOTE] = ACTIONS(1539),
    [anon_sym_U_DQUOTE] = ACTIONS(1539),
    [anon_sym_u8_DQUOTE] = ACTIONS(1539),
    [anon_sym_DQUOTE] = ACTIONS(1539),
    [sym_true] = ACTIONS(1537),
    [sym_false] = ACTIONS(1537),
    [anon_sym_NULL] = ACTIONS(1537),
    [anon_sym_nullptr] = ACTIONS(1537),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1537),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1537),
    [anon_sym_hitAttributeEXT] = ACTIONS(1537),
    [anon_sym_callableDataEXT] = ACTIONS(1537),
    [anon_sym_callableDataInEXT] = ACTIONS(1537),
    [anon_sym_shaderRecordEXT] = ACTIONS(1537),
    [anon_sym_rayPayloadNV] = ACTIONS(1537),
    [anon_sym_rayPayloadInNV] = ACTIONS(1537),
    [anon_sym_hitAttributeNV] = ACTIONS(1537),
    [anon_sym_callableDataNV] = ACTIONS(1537),
    [anon_sym_callableDataInNV] = ACTIONS(1537),
    [anon_sym_shaderRecordNV] = ACTIONS(1537),
    [anon_sym_layout] = ACTIONS(1537),
  },
  [140] = {
    [sym_identifier] = ACTIONS(1541),
    [aux_sym_preproc_include_token1] = ACTIONS(1541),
    [aux_sym_preproc_def_token1] = ACTIONS(1541),
    [aux_sym_preproc_if_token1] = ACTIONS(1541),
    [aux_sym_preproc_if_token2] = ACTIONS(1541),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1541),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1541),
    [aux_sym_preproc_else_token1] = ACTIONS(1541),
    [aux_sym_preproc_elif_token1] = ACTIONS(1541),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1541),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1541),
    [sym_preproc_directive] = ACTIONS(1541),
    [anon_sym_LPAREN2] = ACTIONS(1543),
    [anon_sym_BANG] = ACTIONS(1543),
    [anon_sym_TILDE] = ACTIONS(1543),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_STAR] = ACTIONS(1543),
    [anon_sym_AMP] = ACTIONS(1543),
    [anon_sym_subroutine] = ACTIONS(1541),
    [anon_sym_invariant] = ACTIONS(1541),
    [anon_sym_precise] = ACTIONS(1541),
    [anon_sym_SEMI] = ACTIONS(1543),
    [anon_sym_in] = ACTIONS(1541),
    [anon_sym_out] = ACTIONS(1541),
    [anon_sym_inout] = ACTIONS(1541),
    [anon_sym_uniform] = ACTIONS(1541),
    [anon_sym_shared] = ACTIONS(1541),
    [anon_sym_attribute] = ACTIONS(1541),
    [anon_sym_varying] = ACTIONS(1541),
    [anon_sym_buffer] = ACTIONS(1541),
    [anon_sym_coherent] = ACTIONS(1541),
    [anon_sym_readonly] = ACTIONS(1541),
    [anon_sym_writeonly] = ACTIONS(1541),
    [anon_sym_precision] = ACTIONS(1541),
    [anon_sym_highp] = ACTIONS(1541),
    [anon_sym_mediump] = ACTIONS(1541),
    [anon_sym_lowp] = ACTIONS(1541),
    [anon_sym_centroid] = ACTIONS(1541),
    [anon_sym_sample] = ACTIONS(1541),
    [anon_sym_patch] = ACTIONS(1541),
    [anon_sym_smooth] = ACTIONS(1541),
    [anon_sym_flat] = ACTIONS(1541),
    [anon_sym_noperspective] = ACTIONS(1541),
    [anon_sym___extension__] = ACTIONS(1541),
    [anon_sym_typedef] = ACTIONS(1541),
    [anon_sym_extern] = ACTIONS(1541),
    [anon_sym___attribute__] = ACTIONS(1541),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1543),
    [anon_sym___declspec] = ACTIONS(1541),
    [anon_sym___cdecl] = ACTIONS(1541),
    [anon_sym___clrcall] = ACTIONS(1541),
    [anon_sym___stdcall] = ACTIONS(1541),
    [anon_sym___fastcall] = ACTIONS(1541),
    [anon_sym___thiscall] = ACTIONS(1541),
    [anon_sym___vectorcall] = ACTIONS(1541),
    [anon_sym_LBRACE] = ACTIONS(1543),
    [anon_sym_signed] = ACTIONS(1541),
    [anon_sym_unsigned] = ACTIONS(1541),
    [anon_sym_long] = ACTIONS(1541),
    [anon_sym_short] = ACTIONS(1541),
    [anon_sym_static] = ACTIONS(1541),
    [anon_sym_auto] = ACTIONS(1541),
    [anon_sym_register] = ACTIONS(1541),
    [anon_sym_inline] = ACTIONS(1541),
    [anon_sym___inline] = ACTIONS(1541),
    [anon_sym___inline__] = ACTIONS(1541),
    [anon_sym___forceinline] = ACTIONS(1541),
    [anon_sym_thread_local] = ACTIONS(1541),
    [anon_sym___thread] = ACTIONS(1541),
    [anon_sym_const] = ACTIONS(1541),
    [anon_sym_constexpr] = ACTIONS(1541),
    [anon_sym_volatile] = ACTIONS(1541),
    [anon_sym_restrict] = ACTIONS(1541),
    [anon_sym___restrict__] = ACTIONS(1541),
    [anon_sym__Atomic] = ACTIONS(1541),
    [anon_sym__Noreturn] = ACTIONS(1541),
    [anon_sym_noreturn] = ACTIONS(1541),
    [sym_primitive_type] = ACTIONS(1541),
    [anon_sym_enum] = ACTIONS(1541),
    [anon_sym_struct] = ACTIONS(1541),
    [anon_sym_union] = ACTIONS(1541),
    [anon_sym_if] = ACTIONS(1541),
    [anon_sym_else] = ACTIONS(1541),
    [anon_sym_switch] = ACTIONS(1541),
    [anon_sym_case] = ACTIONS(1541),
    [anon_sym_default] = ACTIONS(1541),
    [anon_sym_while] = ACTIONS(1541),
    [anon_sym_do] = ACTIONS(1541),
    [anon_sym_for] = ACTIONS(1541),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_break] = ACTIONS(1541),
    [anon_sym_continue] = ACTIONS(1541),
    [anon_sym_goto] = ACTIONS(1541),
    [anon_sym___try] = ACTIONS(1541),
    [anon_sym___leave] = ACTIONS(1541),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_sizeof] = ACTIONS(1541),
    [anon_sym___alignof__] = ACTIONS(1541),
    [anon_sym___alignof] = ACTIONS(1541),
    [anon_sym__alignof] = ACTIONS(1541),
    [anon_sym_alignof] = ACTIONS(1541),
    [anon_sym__Alignof] = ACTIONS(1541),
    [anon_sym_offsetof] = ACTIONS(1541),
    [anon_sym__Generic] = ACTIONS(1541),
    [anon_sym_asm] = ACTIONS(1541),
    [anon_sym___asm__] = ACTIONS(1541),
    [sym_number_literal] = ACTIONS(1543),
    [anon_sym_L_SQUOTE] = ACTIONS(1543),
    [anon_sym_u_SQUOTE] = ACTIONS(1543),
    [anon_sym_U_SQUOTE] = ACTIONS(1543),
    [anon_sym_u8_SQUOTE] = ACTIONS(1543),
    [anon_sym_SQUOTE] = ACTIONS(1543),
    [anon_sym_L_DQUOTE] = ACTIONS(1543),
    [anon_sym_u_DQUOTE] = ACTIONS(1543),
    [anon_sym_U_DQUOTE] = ACTIONS(1543),
    [anon_sym_u8_DQUOTE] = ACTIONS(1543),
    [anon_sym_DQUOTE] = ACTIONS(1543),
    [sym_true] = ACTIONS(1541),
    [sym_false] = ACTIONS(1541),
    [anon_sym_NULL] = ACTIONS(1541),
    [anon_sym_nullptr] = ACTIONS(1541),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1541),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1541),
    [anon_sym_hitAttributeEXT] = ACTIONS(1541),
    [anon_sym_callableDataEXT] = ACTIONS(1541),
    [anon_sym_callableDataInEXT] = ACTIONS(1541),
    [anon_sym_shaderRecordEXT] = ACTIONS(1541),
    [anon_sym_rayPayloadNV] = ACTIONS(1541),
    [anon_sym_rayPayloadInNV] = ACTIONS(1541),
    [anon_sym_hitAttributeNV] = ACTIONS(1541),
    [anon_sym_callableDataNV] = ACTIONS(1541),
    [anon_sym_callableDataInNV] = ACTIONS(1541),
    [anon_sym_shaderRecordNV] = ACTIONS(1541),
    [anon_sym_layout] = ACTIONS(1541),
  },
  [141] = {
    [sym_identifier] = ACTIONS(1545),
    [aux_sym_preproc_include_token1] = ACTIONS(1545),
    [aux_sym_preproc_def_token1] = ACTIONS(1545),
    [aux_sym_preproc_if_token1] = ACTIONS(1545),
    [aux_sym_preproc_if_token2] = ACTIONS(1545),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1545),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1545),
    [aux_sym_preproc_else_token1] = ACTIONS(1545),
    [aux_sym_preproc_elif_token1] = ACTIONS(1545),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1545),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1545),
    [sym_preproc_directive] = ACTIONS(1545),
    [anon_sym_LPAREN2] = ACTIONS(1547),
    [anon_sym_BANG] = ACTIONS(1547),
    [anon_sym_TILDE] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1545),
    [anon_sym_PLUS] = ACTIONS(1545),
    [anon_sym_STAR] = ACTIONS(1547),
    [anon_sym_AMP] = ACTIONS(1547),
    [anon_sym_subroutine] = ACTIONS(1545),
    [anon_sym_invariant] = ACTIONS(1545),
    [anon_sym_precise] = ACTIONS(1545),
    [anon_sym_SEMI] = ACTIONS(1547),
    [anon_sym_in] = ACTIONS(1545),
    [anon_sym_out] = ACTIONS(1545),
    [anon_sym_inout] = ACTIONS(1545),
    [anon_sym_uniform] = ACTIONS(1545),
    [anon_sym_shared] = ACTIONS(1545),
    [anon_sym_attribute] = ACTIONS(1545),
    [anon_sym_varying] = ACTIONS(1545),
    [anon_sym_buffer] = ACTIONS(1545),
    [anon_sym_coherent] = ACTIONS(1545),
    [anon_sym_readonly] = ACTIONS(1545),
    [anon_sym_writeonly] = ACTIONS(1545),
    [anon_sym_precision] = ACTIONS(1545),
    [anon_sym_highp] = ACTIONS(1545),
    [anon_sym_mediump] = ACTIONS(1545),
    [anon_sym_lowp] = ACTIONS(1545),
    [anon_sym_centroid] = ACTIONS(1545),
    [anon_sym_sample] = ACTIONS(1545),
    [anon_sym_patch] = ACTIONS(1545),
    [anon_sym_smooth] = ACTIONS(1545),
    [anon_sym_flat] = ACTIONS(1545),
    [anon_sym_noperspective] = ACTIONS(1545),
    [anon_sym___extension__] = ACTIONS(1545),
    [anon_sym_typedef] = ACTIONS(1545),
    [anon_sym_extern] = ACTIONS(1545),
    [anon_sym___attribute__] = ACTIONS(1545),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1547),
    [anon_sym___declspec] = ACTIONS(1545),
    [anon_sym___cdecl] = ACTIONS(1545),
    [anon_sym___clrcall] = ACTIONS(1545),
    [anon_sym___stdcall] = ACTIONS(1545),
    [anon_sym___fastcall] = ACTIONS(1545),
    [anon_sym___thiscall] = ACTIONS(1545),
    [anon_sym___vectorcall] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(1547),
    [anon_sym_signed] = ACTIONS(1545),
    [anon_sym_unsigned] = ACTIONS(1545),
    [anon_sym_long] = ACTIONS(1545),
    [anon_sym_short] = ACTIONS(1545),
    [anon_sym_static] = ACTIONS(1545),
    [anon_sym_auto] = ACTIONS(1545),
    [anon_sym_register] = ACTIONS(1545),
    [anon_sym_inline] = ACTIONS(1545),
    [anon_sym___inline] = ACTIONS(1545),
    [anon_sym___inline__] = ACTIONS(1545),
    [anon_sym___forceinline] = ACTIONS(1545),
    [anon_sym_thread_local] = ACTIONS(1545),
    [anon_sym___thread] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(1545),
    [anon_sym_constexpr] = ACTIONS(1545),
    [anon_sym_volatile] = ACTIONS(1545),
    [anon_sym_restrict] = ACTIONS(1545),
    [anon_sym___restrict__] = ACTIONS(1545),
    [anon_sym__Atomic] = ACTIONS(1545),
    [anon_sym__Noreturn] = ACTIONS(1545),
    [anon_sym_noreturn] = ACTIONS(1545),
    [sym_primitive_type] = ACTIONS(1545),
    [anon_sym_enum] = ACTIONS(1545),
    [anon_sym_struct] = ACTIONS(1545),
    [anon_sym_union] = ACTIONS(1545),
    [anon_sym_if] = ACTIONS(1545),
    [anon_sym_else] = ACTIONS(1545),
    [anon_sym_switch] = ACTIONS(1545),
    [anon_sym_case] = ACTIONS(1545),
    [anon_sym_default] = ACTIONS(1545),
    [anon_sym_while] = ACTIONS(1545),
    [anon_sym_do] = ACTIONS(1545),
    [anon_sym_for] = ACTIONS(1545),
    [anon_sym_return] = ACTIONS(1545),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_continue] = ACTIONS(1545),
    [anon_sym_goto] = ACTIONS(1545),
    [anon_sym___try] = ACTIONS(1545),
    [anon_sym___leave] = ACTIONS(1545),
    [anon_sym_DASH_DASH] = ACTIONS(1547),
    [anon_sym_PLUS_PLUS] = ACTIONS(1547),
    [anon_sym_sizeof] = ACTIONS(1545),
    [anon_sym___alignof__] = ACTIONS(1545),
    [anon_sym___alignof] = ACTIONS(1545),
    [anon_sym__alignof] = ACTIONS(1545),
    [anon_sym_alignof] = ACTIONS(1545),
    [anon_sym__Alignof] = ACTIONS(1545),
    [anon_sym_offsetof] = ACTIONS(1545),
    [anon_sym__Generic] = ACTIONS(1545),
    [anon_sym_asm] = ACTIONS(1545),
    [anon_sym___asm__] = ACTIONS(1545),
    [sym_number_literal] = ACTIONS(1547),
    [anon_sym_L_SQUOTE] = ACTIONS(1547),
    [anon_sym_u_SQUOTE] = ACTIONS(1547),
    [anon_sym_U_SQUOTE] = ACTIONS(1547),
    [anon_sym_u8_SQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1547),
    [anon_sym_L_DQUOTE] = ACTIONS(1547),
    [anon_sym_u_DQUOTE] = ACTIONS(1547),
    [anon_sym_U_DQUOTE] = ACTIONS(1547),
    [anon_sym_u8_DQUOTE] = ACTIONS(1547),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [sym_true] = ACTIONS(1545),
    [sym_false] = ACTIONS(1545),
    [anon_sym_NULL] = ACTIONS(1545),
    [anon_sym_nullptr] = ACTIONS(1545),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1545),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1545),
    [anon_sym_hitAttributeEXT] = ACTIONS(1545),
    [anon_sym_callableDataEXT] = ACTIONS(1545),
    [anon_sym_callableDataInEXT] = ACTIONS(1545),
    [anon_sym_shaderRecordEXT] = ACTIONS(1545),
    [anon_sym_rayPayloadNV] = ACTIONS(1545),
    [anon_sym_rayPayloadInNV] = ACTIONS(1545),
    [anon_sym_hitAttributeNV] = ACTIONS(1545),
    [anon_sym_callableDataNV] = ACTIONS(1545),
    [anon_sym_callableDataInNV] = ACTIONS(1545),
    [anon_sym_shaderRecordNV] = ACTIONS(1545),
    [anon_sym_layout] = ACTIONS(1545),
  },
  [142] = {
    [sym_identifier] = ACTIONS(1545),
    [aux_sym_preproc_include_token1] = ACTIONS(1545),
    [aux_sym_preproc_def_token1] = ACTIONS(1545),
    [aux_sym_preproc_if_token1] = ACTIONS(1545),
    [aux_sym_preproc_if_token2] = ACTIONS(1545),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1545),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1545),
    [aux_sym_preproc_else_token1] = ACTIONS(1545),
    [aux_sym_preproc_elif_token1] = ACTIONS(1545),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1545),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1545),
    [sym_preproc_directive] = ACTIONS(1545),
    [anon_sym_LPAREN2] = ACTIONS(1547),
    [anon_sym_BANG] = ACTIONS(1547),
    [anon_sym_TILDE] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1545),
    [anon_sym_PLUS] = ACTIONS(1545),
    [anon_sym_STAR] = ACTIONS(1547),
    [anon_sym_AMP] = ACTIONS(1547),
    [anon_sym_subroutine] = ACTIONS(1545),
    [anon_sym_invariant] = ACTIONS(1545),
    [anon_sym_precise] = ACTIONS(1545),
    [anon_sym_SEMI] = ACTIONS(1547),
    [anon_sym_in] = ACTIONS(1545),
    [anon_sym_out] = ACTIONS(1545),
    [anon_sym_inout] = ACTIONS(1545),
    [anon_sym_uniform] = ACTIONS(1545),
    [anon_sym_shared] = ACTIONS(1545),
    [anon_sym_attribute] = ACTIONS(1545),
    [anon_sym_varying] = ACTIONS(1545),
    [anon_sym_buffer] = ACTIONS(1545),
    [anon_sym_coherent] = ACTIONS(1545),
    [anon_sym_readonly] = ACTIONS(1545),
    [anon_sym_writeonly] = ACTIONS(1545),
    [anon_sym_precision] = ACTIONS(1545),
    [anon_sym_highp] = ACTIONS(1545),
    [anon_sym_mediump] = ACTIONS(1545),
    [anon_sym_lowp] = ACTIONS(1545),
    [anon_sym_centroid] = ACTIONS(1545),
    [anon_sym_sample] = ACTIONS(1545),
    [anon_sym_patch] = ACTIONS(1545),
    [anon_sym_smooth] = ACTIONS(1545),
    [anon_sym_flat] = ACTIONS(1545),
    [anon_sym_noperspective] = ACTIONS(1545),
    [anon_sym___extension__] = ACTIONS(1545),
    [anon_sym_typedef] = ACTIONS(1545),
    [anon_sym_extern] = ACTIONS(1545),
    [anon_sym___attribute__] = ACTIONS(1545),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1547),
    [anon_sym___declspec] = ACTIONS(1545),
    [anon_sym___cdecl] = ACTIONS(1545),
    [anon_sym___clrcall] = ACTIONS(1545),
    [anon_sym___stdcall] = ACTIONS(1545),
    [anon_sym___fastcall] = ACTIONS(1545),
    [anon_sym___thiscall] = ACTIONS(1545),
    [anon_sym___vectorcall] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(1547),
    [anon_sym_signed] = ACTIONS(1545),
    [anon_sym_unsigned] = ACTIONS(1545),
    [anon_sym_long] = ACTIONS(1545),
    [anon_sym_short] = ACTIONS(1545),
    [anon_sym_static] = ACTIONS(1545),
    [anon_sym_auto] = ACTIONS(1545),
    [anon_sym_register] = ACTIONS(1545),
    [anon_sym_inline] = ACTIONS(1545),
    [anon_sym___inline] = ACTIONS(1545),
    [anon_sym___inline__] = ACTIONS(1545),
    [anon_sym___forceinline] = ACTIONS(1545),
    [anon_sym_thread_local] = ACTIONS(1545),
    [anon_sym___thread] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(1545),
    [anon_sym_constexpr] = ACTIONS(1545),
    [anon_sym_volatile] = ACTIONS(1545),
    [anon_sym_restrict] = ACTIONS(1545),
    [anon_sym___restrict__] = ACTIONS(1545),
    [anon_sym__Atomic] = ACTIONS(1545),
    [anon_sym__Noreturn] = ACTIONS(1545),
    [anon_sym_noreturn] = ACTIONS(1545),
    [sym_primitive_type] = ACTIONS(1545),
    [anon_sym_enum] = ACTIONS(1545),
    [anon_sym_struct] = ACTIONS(1545),
    [anon_sym_union] = ACTIONS(1545),
    [anon_sym_if] = ACTIONS(1545),
    [anon_sym_else] = ACTIONS(1545),
    [anon_sym_switch] = ACTIONS(1545),
    [anon_sym_case] = ACTIONS(1545),
    [anon_sym_default] = ACTIONS(1545),
    [anon_sym_while] = ACTIONS(1545),
    [anon_sym_do] = ACTIONS(1545),
    [anon_sym_for] = ACTIONS(1545),
    [anon_sym_return] = ACTIONS(1545),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_continue] = ACTIONS(1545),
    [anon_sym_goto] = ACTIONS(1545),
    [anon_sym___try] = ACTIONS(1545),
    [anon_sym___leave] = ACTIONS(1545),
    [anon_sym_DASH_DASH] = ACTIONS(1547),
    [anon_sym_PLUS_PLUS] = ACTIONS(1547),
    [anon_sym_sizeof] = ACTIONS(1545),
    [anon_sym___alignof__] = ACTIONS(1545),
    [anon_sym___alignof] = ACTIONS(1545),
    [anon_sym__alignof] = ACTIONS(1545),
    [anon_sym_alignof] = ACTIONS(1545),
    [anon_sym__Alignof] = ACTIONS(1545),
    [anon_sym_offsetof] = ACTIONS(1545),
    [anon_sym__Generic] = ACTIONS(1545),
    [anon_sym_asm] = ACTIONS(1545),
    [anon_sym___asm__] = ACTIONS(1545),
    [sym_number_literal] = ACTIONS(1547),
    [anon_sym_L_SQUOTE] = ACTIONS(1547),
    [anon_sym_u_SQUOTE] = ACTIONS(1547),
    [anon_sym_U_SQUOTE] = ACTIONS(1547),
    [anon_sym_u8_SQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1547),
    [anon_sym_L_DQUOTE] = ACTIONS(1547),
    [anon_sym_u_DQUOTE] = ACTIONS(1547),
    [anon_sym_U_DQUOTE] = ACTIONS(1547),
    [anon_sym_u8_DQUOTE] = ACTIONS(1547),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [sym_true] = ACTIONS(1545),
    [sym_false] = ACTIONS(1545),
    [anon_sym_NULL] = ACTIONS(1545),
    [anon_sym_nullptr] = ACTIONS(1545),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1545),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1545),
    [anon_sym_hitAttributeEXT] = ACTIONS(1545),
    [anon_sym_callableDataEXT] = ACTIONS(1545),
    [anon_sym_callableDataInEXT] = ACTIONS(1545),
    [anon_sym_shaderRecordEXT] = ACTIONS(1545),
    [anon_sym_rayPayloadNV] = ACTIONS(1545),
    [anon_sym_rayPayloadInNV] = ACTIONS(1545),
    [anon_sym_hitAttributeNV] = ACTIONS(1545),
    [anon_sym_callableDataNV] = ACTIONS(1545),
    [anon_sym_callableDataInNV] = ACTIONS(1545),
    [anon_sym_shaderRecordNV] = ACTIONS(1545),
    [anon_sym_layout] = ACTIONS(1545),
  },
  [143] = {
    [sym_identifier] = ACTIONS(1549),
    [aux_sym_preproc_include_token1] = ACTIONS(1549),
    [aux_sym_preproc_def_token1] = ACTIONS(1549),
    [aux_sym_preproc_if_token1] = ACTIONS(1549),
    [aux_sym_preproc_if_token2] = ACTIONS(1549),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1549),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1549),
    [aux_sym_preproc_else_token1] = ACTIONS(1549),
    [aux_sym_preproc_elif_token1] = ACTIONS(1549),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1549),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1549),
    [sym_preproc_directive] = ACTIONS(1549),
    [anon_sym_LPAREN2] = ACTIONS(1551),
    [anon_sym_BANG] = ACTIONS(1551),
    [anon_sym_TILDE] = ACTIONS(1551),
    [anon_sym_DASH] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_STAR] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(1551),
    [anon_sym_subroutine] = ACTIONS(1549),
    [anon_sym_invariant] = ACTIONS(1549),
    [anon_sym_precise] = ACTIONS(1549),
    [anon_sym_SEMI] = ACTIONS(1551),
    [anon_sym_in] = ACTIONS(1549),
    [anon_sym_out] = ACTIONS(1549),
    [anon_sym_inout] = ACTIONS(1549),
    [anon_sym_uniform] = ACTIONS(1549),
    [anon_sym_shared] = ACTIONS(1549),
    [anon_sym_attribute] = ACTIONS(1549),
    [anon_sym_varying] = ACTIONS(1549),
    [anon_sym_buffer] = ACTIONS(1549),
    [anon_sym_coherent] = ACTIONS(1549),
    [anon_sym_readonly] = ACTIONS(1549),
    [anon_sym_writeonly] = ACTIONS(1549),
    [anon_sym_precision] = ACTIONS(1549),
    [anon_sym_highp] = ACTIONS(1549),
    [anon_sym_mediump] = ACTIONS(1549),
    [anon_sym_lowp] = ACTIONS(1549),
    [anon_sym_centroid] = ACTIONS(1549),
    [anon_sym_sample] = ACTIONS(1549),
    [anon_sym_patch] = ACTIONS(1549),
    [anon_sym_smooth] = ACTIONS(1549),
    [anon_sym_flat] = ACTIONS(1549),
    [anon_sym_noperspective] = ACTIONS(1549),
    [anon_sym___extension__] = ACTIONS(1549),
    [anon_sym_typedef] = ACTIONS(1549),
    [anon_sym_extern] = ACTIONS(1549),
    [anon_sym___attribute__] = ACTIONS(1549),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1551),
    [anon_sym___declspec] = ACTIONS(1549),
    [anon_sym___cdecl] = ACTIONS(1549),
    [anon_sym___clrcall] = ACTIONS(1549),
    [anon_sym___stdcall] = ACTIONS(1549),
    [anon_sym___fastcall] = ACTIONS(1549),
    [anon_sym___thiscall] = ACTIONS(1549),
    [anon_sym___vectorcall] = ACTIONS(1549),
    [anon_sym_LBRACE] = ACTIONS(1551),
    [anon_sym_signed] = ACTIONS(1549),
    [anon_sym_unsigned] = ACTIONS(1549),
    [anon_sym_long] = ACTIONS(1549),
    [anon_sym_short] = ACTIONS(1549),
    [anon_sym_static] = ACTIONS(1549),
    [anon_sym_auto] = ACTIONS(1549),
    [anon_sym_register] = ACTIONS(1549),
    [anon_sym_inline] = ACTIONS(1549),
    [anon_sym___inline] = ACTIONS(1549),
    [anon_sym___inline__] = ACTIONS(1549),
    [anon_sym___forceinline] = ACTIONS(1549),
    [anon_sym_thread_local] = ACTIONS(1549),
    [anon_sym___thread] = ACTIONS(1549),
    [anon_sym_const] = ACTIONS(1549),
    [anon_sym_constexpr] = ACTIONS(1549),
    [anon_sym_volatile] = ACTIONS(1549),
    [anon_sym_restrict] = ACTIONS(1549),
    [anon_sym___restrict__] = ACTIONS(1549),
    [anon_sym__Atomic] = ACTIONS(1549),
    [anon_sym__Noreturn] = ACTIONS(1549),
    [anon_sym_noreturn] = ACTIONS(1549),
    [sym_primitive_type] = ACTIONS(1549),
    [anon_sym_enum] = ACTIONS(1549),
    [anon_sym_struct] = ACTIONS(1549),
    [anon_sym_union] = ACTIONS(1549),
    [anon_sym_if] = ACTIONS(1549),
    [anon_sym_else] = ACTIONS(1549),
    [anon_sym_switch] = ACTIONS(1549),
    [anon_sym_case] = ACTIONS(1549),
    [anon_sym_default] = ACTIONS(1549),
    [anon_sym_while] = ACTIONS(1549),
    [anon_sym_do] = ACTIONS(1549),
    [anon_sym_for] = ACTIONS(1549),
    [anon_sym_return] = ACTIONS(1549),
    [anon_sym_break] = ACTIONS(1549),
    [anon_sym_continue] = ACTIONS(1549),
    [anon_sym_goto] = ACTIONS(1549),
    [anon_sym___try] = ACTIONS(1549),
    [anon_sym___leave] = ACTIONS(1549),
    [anon_sym_DASH_DASH] = ACTIONS(1551),
    [anon_sym_PLUS_PLUS] = ACTIONS(1551),
    [anon_sym_sizeof] = ACTIONS(1549),
    [anon_sym___alignof__] = ACTIONS(1549),
    [anon_sym___alignof] = ACTIONS(1549),
    [anon_sym__alignof] = ACTIONS(1549),
    [anon_sym_alignof] = ACTIONS(1549),
    [anon_sym__Alignof] = ACTIONS(1549),
    [anon_sym_offsetof] = ACTIONS(1549),
    [anon_sym__Generic] = ACTIONS(1549),
    [anon_sym_asm] = ACTIONS(1549),
    [anon_sym___asm__] = ACTIONS(1549),
    [sym_number_literal] = ACTIONS(1551),
    [anon_sym_L_SQUOTE] = ACTIONS(1551),
    [anon_sym_u_SQUOTE] = ACTIONS(1551),
    [anon_sym_U_SQUOTE] = ACTIONS(1551),
    [anon_sym_u8_SQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1551),
    [anon_sym_L_DQUOTE] = ACTIONS(1551),
    [anon_sym_u_DQUOTE] = ACTIONS(1551),
    [anon_sym_U_DQUOTE] = ACTIONS(1551),
    [anon_sym_u8_DQUOTE] = ACTIONS(1551),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [sym_true] = ACTIONS(1549),
    [sym_false] = ACTIONS(1549),
    [anon_sym_NULL] = ACTIONS(1549),
    [anon_sym_nullptr] = ACTIONS(1549),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1549),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1549),
    [anon_sym_hitAttributeEXT] = ACTIONS(1549),
    [anon_sym_callableDataEXT] = ACTIONS(1549),
    [anon_sym_callableDataInEXT] = ACTIONS(1549),
    [anon_sym_shaderRecordEXT] = ACTIONS(1549),
    [anon_sym_rayPayloadNV] = ACTIONS(1549),
    [anon_sym_rayPayloadInNV] = ACTIONS(1549),
    [anon_sym_hitAttributeNV] = ACTIONS(1549),
    [anon_sym_callableDataNV] = ACTIONS(1549),
    [anon_sym_callableDataInNV] = ACTIONS(1549),
    [anon_sym_shaderRecordNV] = ACTIONS(1549),
    [anon_sym_layout] = ACTIONS(1549),
  },
  [144] = {
    [sym_identifier] = ACTIONS(1549),
    [aux_sym_preproc_include_token1] = ACTIONS(1549),
    [aux_sym_preproc_def_token1] = ACTIONS(1549),
    [aux_sym_preproc_if_token1] = ACTIONS(1549),
    [aux_sym_preproc_if_token2] = ACTIONS(1549),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1549),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1549),
    [aux_sym_preproc_else_token1] = ACTIONS(1549),
    [aux_sym_preproc_elif_token1] = ACTIONS(1549),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1549),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1549),
    [sym_preproc_directive] = ACTIONS(1549),
    [anon_sym_LPAREN2] = ACTIONS(1551),
    [anon_sym_BANG] = ACTIONS(1551),
    [anon_sym_TILDE] = ACTIONS(1551),
    [anon_sym_DASH] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_STAR] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(1551),
    [anon_sym_subroutine] = ACTIONS(1549),
    [anon_sym_invariant] = ACTIONS(1549),
    [anon_sym_precise] = ACTIONS(1549),
    [anon_sym_SEMI] = ACTIONS(1551),
    [anon_sym_in] = ACTIONS(1549),
    [anon_sym_out] = ACTIONS(1549),
    [anon_sym_inout] = ACTIONS(1549),
    [anon_sym_uniform] = ACTIONS(1549),
    [anon_sym_shared] = ACTIONS(1549),
    [anon_sym_attribute] = ACTIONS(1549),
    [anon_sym_varying] = ACTIONS(1549),
    [anon_sym_buffer] = ACTIONS(1549),
    [anon_sym_coherent] = ACTIONS(1549),
    [anon_sym_readonly] = ACTIONS(1549),
    [anon_sym_writeonly] = ACTIONS(1549),
    [anon_sym_precision] = ACTIONS(1549),
    [anon_sym_highp] = ACTIONS(1549),
    [anon_sym_mediump] = ACTIONS(1549),
    [anon_sym_lowp] = ACTIONS(1549),
    [anon_sym_centroid] = ACTIONS(1549),
    [anon_sym_sample] = ACTIONS(1549),
    [anon_sym_patch] = ACTIONS(1549),
    [anon_sym_smooth] = ACTIONS(1549),
    [anon_sym_flat] = ACTIONS(1549),
    [anon_sym_noperspective] = ACTIONS(1549),
    [anon_sym___extension__] = ACTIONS(1549),
    [anon_sym_typedef] = ACTIONS(1549),
    [anon_sym_extern] = ACTIONS(1549),
    [anon_sym___attribute__] = ACTIONS(1549),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1551),
    [anon_sym___declspec] = ACTIONS(1549),
    [anon_sym___cdecl] = ACTIONS(1549),
    [anon_sym___clrcall] = ACTIONS(1549),
    [anon_sym___stdcall] = ACTIONS(1549),
    [anon_sym___fastcall] = ACTIONS(1549),
    [anon_sym___thiscall] = ACTIONS(1549),
    [anon_sym___vectorcall] = ACTIONS(1549),
    [anon_sym_LBRACE] = ACTIONS(1551),
    [anon_sym_signed] = ACTIONS(1549),
    [anon_sym_unsigned] = ACTIONS(1549),
    [anon_sym_long] = ACTIONS(1549),
    [anon_sym_short] = ACTIONS(1549),
    [anon_sym_static] = ACTIONS(1549),
    [anon_sym_auto] = ACTIONS(1549),
    [anon_sym_register] = ACTIONS(1549),
    [anon_sym_inline] = ACTIONS(1549),
    [anon_sym___inline] = ACTIONS(1549),
    [anon_sym___inline__] = ACTIONS(1549),
    [anon_sym___forceinline] = ACTIONS(1549),
    [anon_sym_thread_local] = ACTIONS(1549),
    [anon_sym___thread] = ACTIONS(1549),
    [anon_sym_const] = ACTIONS(1549),
    [anon_sym_constexpr] = ACTIONS(1549),
    [anon_sym_volatile] = ACTIONS(1549),
    [anon_sym_restrict] = ACTIONS(1549),
    [anon_sym___restrict__] = ACTIONS(1549),
    [anon_sym__Atomic] = ACTIONS(1549),
    [anon_sym__Noreturn] = ACTIONS(1549),
    [anon_sym_noreturn] = ACTIONS(1549),
    [sym_primitive_type] = ACTIONS(1549),
    [anon_sym_enum] = ACTIONS(1549),
    [anon_sym_struct] = ACTIONS(1549),
    [anon_sym_union] = ACTIONS(1549),
    [anon_sym_if] = ACTIONS(1549),
    [anon_sym_else] = ACTIONS(1549),
    [anon_sym_switch] = ACTIONS(1549),
    [anon_sym_case] = ACTIONS(1549),
    [anon_sym_default] = ACTIONS(1549),
    [anon_sym_while] = ACTIONS(1549),
    [anon_sym_do] = ACTIONS(1549),
    [anon_sym_for] = ACTIONS(1549),
    [anon_sym_return] = ACTIONS(1549),
    [anon_sym_break] = ACTIONS(1549),
    [anon_sym_continue] = ACTIONS(1549),
    [anon_sym_goto] = ACTIONS(1549),
    [anon_sym___try] = ACTIONS(1549),
    [anon_sym___leave] = ACTIONS(1549),
    [anon_sym_DASH_DASH] = ACTIONS(1551),
    [anon_sym_PLUS_PLUS] = ACTIONS(1551),
    [anon_sym_sizeof] = ACTIONS(1549),
    [anon_sym___alignof__] = ACTIONS(1549),
    [anon_sym___alignof] = ACTIONS(1549),
    [anon_sym__alignof] = ACTIONS(1549),
    [anon_sym_alignof] = ACTIONS(1549),
    [anon_sym__Alignof] = ACTIONS(1549),
    [anon_sym_offsetof] = ACTIONS(1549),
    [anon_sym__Generic] = ACTIONS(1549),
    [anon_sym_asm] = ACTIONS(1549),
    [anon_sym___asm__] = ACTIONS(1549),
    [sym_number_literal] = ACTIONS(1551),
    [anon_sym_L_SQUOTE] = ACTIONS(1551),
    [anon_sym_u_SQUOTE] = ACTIONS(1551),
    [anon_sym_U_SQUOTE] = ACTIONS(1551),
    [anon_sym_u8_SQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1551),
    [anon_sym_L_DQUOTE] = ACTIONS(1551),
    [anon_sym_u_DQUOTE] = ACTIONS(1551),
    [anon_sym_U_DQUOTE] = ACTIONS(1551),
    [anon_sym_u8_DQUOTE] = ACTIONS(1551),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [sym_true] = ACTIONS(1549),
    [sym_false] = ACTIONS(1549),
    [anon_sym_NULL] = ACTIONS(1549),
    [anon_sym_nullptr] = ACTIONS(1549),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1549),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1549),
    [anon_sym_hitAttributeEXT] = ACTIONS(1549),
    [anon_sym_callableDataEXT] = ACTIONS(1549),
    [anon_sym_callableDataInEXT] = ACTIONS(1549),
    [anon_sym_shaderRecordEXT] = ACTIONS(1549),
    [anon_sym_rayPayloadNV] = ACTIONS(1549),
    [anon_sym_rayPayloadInNV] = ACTIONS(1549),
    [anon_sym_hitAttributeNV] = ACTIONS(1549),
    [anon_sym_callableDataNV] = ACTIONS(1549),
    [anon_sym_callableDataInNV] = ACTIONS(1549),
    [anon_sym_shaderRecordNV] = ACTIONS(1549),
    [anon_sym_layout] = ACTIONS(1549),
  },
  [145] = {
    [sym_identifier] = ACTIONS(1553),
    [aux_sym_preproc_include_token1] = ACTIONS(1553),
    [aux_sym_preproc_def_token1] = ACTIONS(1553),
    [aux_sym_preproc_if_token1] = ACTIONS(1553),
    [aux_sym_preproc_if_token2] = ACTIONS(1553),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1553),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1553),
    [aux_sym_preproc_else_token1] = ACTIONS(1553),
    [aux_sym_preproc_elif_token1] = ACTIONS(1553),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1553),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1553),
    [sym_preproc_directive] = ACTIONS(1553),
    [anon_sym_LPAREN2] = ACTIONS(1555),
    [anon_sym_BANG] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1555),
    [anon_sym_DASH] = ACTIONS(1553),
    [anon_sym_PLUS] = ACTIONS(1553),
    [anon_sym_STAR] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(1555),
    [anon_sym_subroutine] = ACTIONS(1553),
    [anon_sym_invariant] = ACTIONS(1553),
    [anon_sym_precise] = ACTIONS(1553),
    [anon_sym_SEMI] = ACTIONS(1555),
    [anon_sym_in] = ACTIONS(1553),
    [anon_sym_out] = ACTIONS(1553),
    [anon_sym_inout] = ACTIONS(1553),
    [anon_sym_uniform] = ACTIONS(1553),
    [anon_sym_shared] = ACTIONS(1553),
    [anon_sym_attribute] = ACTIONS(1553),
    [anon_sym_varying] = ACTIONS(1553),
    [anon_sym_buffer] = ACTIONS(1553),
    [anon_sym_coherent] = ACTIONS(1553),
    [anon_sym_readonly] = ACTIONS(1553),
    [anon_sym_writeonly] = ACTIONS(1553),
    [anon_sym_precision] = ACTIONS(1553),
    [anon_sym_highp] = ACTIONS(1553),
    [anon_sym_mediump] = ACTIONS(1553),
    [anon_sym_lowp] = ACTIONS(1553),
    [anon_sym_centroid] = ACTIONS(1553),
    [anon_sym_sample] = ACTIONS(1553),
    [anon_sym_patch] = ACTIONS(1553),
    [anon_sym_smooth] = ACTIONS(1553),
    [anon_sym_flat] = ACTIONS(1553),
    [anon_sym_noperspective] = ACTIONS(1553),
    [anon_sym___extension__] = ACTIONS(1553),
    [anon_sym_typedef] = ACTIONS(1553),
    [anon_sym_extern] = ACTIONS(1553),
    [anon_sym___attribute__] = ACTIONS(1553),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1555),
    [anon_sym___declspec] = ACTIONS(1553),
    [anon_sym___cdecl] = ACTIONS(1553),
    [anon_sym___clrcall] = ACTIONS(1553),
    [anon_sym___stdcall] = ACTIONS(1553),
    [anon_sym___fastcall] = ACTIONS(1553),
    [anon_sym___thiscall] = ACTIONS(1553),
    [anon_sym___vectorcall] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_signed] = ACTIONS(1553),
    [anon_sym_unsigned] = ACTIONS(1553),
    [anon_sym_long] = ACTIONS(1553),
    [anon_sym_short] = ACTIONS(1553),
    [anon_sym_static] = ACTIONS(1553),
    [anon_sym_auto] = ACTIONS(1553),
    [anon_sym_register] = ACTIONS(1553),
    [anon_sym_inline] = ACTIONS(1553),
    [anon_sym___inline] = ACTIONS(1553),
    [anon_sym___inline__] = ACTIONS(1553),
    [anon_sym___forceinline] = ACTIONS(1553),
    [anon_sym_thread_local] = ACTIONS(1553),
    [anon_sym___thread] = ACTIONS(1553),
    [anon_sym_const] = ACTIONS(1553),
    [anon_sym_constexpr] = ACTIONS(1553),
    [anon_sym_volatile] = ACTIONS(1553),
    [anon_sym_restrict] = ACTIONS(1553),
    [anon_sym___restrict__] = ACTIONS(1553),
    [anon_sym__Atomic] = ACTIONS(1553),
    [anon_sym__Noreturn] = ACTIONS(1553),
    [anon_sym_noreturn] = ACTIONS(1553),
    [sym_primitive_type] = ACTIONS(1553),
    [anon_sym_enum] = ACTIONS(1553),
    [anon_sym_struct] = ACTIONS(1553),
    [anon_sym_union] = ACTIONS(1553),
    [anon_sym_if] = ACTIONS(1553),
    [anon_sym_else] = ACTIONS(1553),
    [anon_sym_switch] = ACTIONS(1553),
    [anon_sym_case] = ACTIONS(1553),
    [anon_sym_default] = ACTIONS(1553),
    [anon_sym_while] = ACTIONS(1553),
    [anon_sym_do] = ACTIONS(1553),
    [anon_sym_for] = ACTIONS(1553),
    [anon_sym_return] = ACTIONS(1553),
    [anon_sym_break] = ACTIONS(1553),
    [anon_sym_continue] = ACTIONS(1553),
    [anon_sym_goto] = ACTIONS(1553),
    [anon_sym___try] = ACTIONS(1553),
    [anon_sym___leave] = ACTIONS(1553),
    [anon_sym_DASH_DASH] = ACTIONS(1555),
    [anon_sym_PLUS_PLUS] = ACTIONS(1555),
    [anon_sym_sizeof] = ACTIONS(1553),
    [anon_sym___alignof__] = ACTIONS(1553),
    [anon_sym___alignof] = ACTIONS(1553),
    [anon_sym__alignof] = ACTIONS(1553),
    [anon_sym_alignof] = ACTIONS(1553),
    [anon_sym__Alignof] = ACTIONS(1553),
    [anon_sym_offsetof] = ACTIONS(1553),
    [anon_sym__Generic] = ACTIONS(1553),
    [anon_sym_asm] = ACTIONS(1553),
    [anon_sym___asm__] = ACTIONS(1553),
    [sym_number_literal] = ACTIONS(1555),
    [anon_sym_L_SQUOTE] = ACTIONS(1555),
    [anon_sym_u_SQUOTE] = ACTIONS(1555),
    [anon_sym_U_SQUOTE] = ACTIONS(1555),
    [anon_sym_u8_SQUOTE] = ACTIONS(1555),
    [anon_sym_SQUOTE] = ACTIONS(1555),
    [anon_sym_L_DQUOTE] = ACTIONS(1555),
    [anon_sym_u_DQUOTE] = ACTIONS(1555),
    [anon_sym_U_DQUOTE] = ACTIONS(1555),
    [anon_sym_u8_DQUOTE] = ACTIONS(1555),
    [anon_sym_DQUOTE] = ACTIONS(1555),
    [sym_true] = ACTIONS(1553),
    [sym_false] = ACTIONS(1553),
    [anon_sym_NULL] = ACTIONS(1553),
    [anon_sym_nullptr] = ACTIONS(1553),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1553),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1553),
    [anon_sym_hitAttributeEXT] = ACTIONS(1553),
    [anon_sym_callableDataEXT] = ACTIONS(1553),
    [anon_sym_callableDataInEXT] = ACTIONS(1553),
    [anon_sym_shaderRecordEXT] = ACTIONS(1553),
    [anon_sym_rayPayloadNV] = ACTIONS(1553),
    [anon_sym_rayPayloadInNV] = ACTIONS(1553),
    [anon_sym_hitAttributeNV] = ACTIONS(1553),
    [anon_sym_callableDataNV] = ACTIONS(1553),
    [anon_sym_callableDataInNV] = ACTIONS(1553),
    [anon_sym_shaderRecordNV] = ACTIONS(1553),
    [anon_sym_layout] = ACTIONS(1553),
  },
  [146] = {
    [sym_identifier] = ACTIONS(1557),
    [aux_sym_preproc_include_token1] = ACTIONS(1557),
    [aux_sym_preproc_def_token1] = ACTIONS(1557),
    [aux_sym_preproc_if_token1] = ACTIONS(1557),
    [aux_sym_preproc_if_token2] = ACTIONS(1557),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1557),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1557),
    [aux_sym_preproc_else_token1] = ACTIONS(1557),
    [aux_sym_preproc_elif_token1] = ACTIONS(1557),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1557),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1557),
    [sym_preproc_directive] = ACTIONS(1557),
    [anon_sym_LPAREN2] = ACTIONS(1559),
    [anon_sym_BANG] = ACTIONS(1559),
    [anon_sym_TILDE] = ACTIONS(1559),
    [anon_sym_DASH] = ACTIONS(1557),
    [anon_sym_PLUS] = ACTIONS(1557),
    [anon_sym_STAR] = ACTIONS(1559),
    [anon_sym_AMP] = ACTIONS(1559),
    [anon_sym_subroutine] = ACTIONS(1557),
    [anon_sym_invariant] = ACTIONS(1557),
    [anon_sym_precise] = ACTIONS(1557),
    [anon_sym_SEMI] = ACTIONS(1559),
    [anon_sym_in] = ACTIONS(1557),
    [anon_sym_out] = ACTIONS(1557),
    [anon_sym_inout] = ACTIONS(1557),
    [anon_sym_uniform] = ACTIONS(1557),
    [anon_sym_shared] = ACTIONS(1557),
    [anon_sym_attribute] = ACTIONS(1557),
    [anon_sym_varying] = ACTIONS(1557),
    [anon_sym_buffer] = ACTIONS(1557),
    [anon_sym_coherent] = ACTIONS(1557),
    [anon_sym_readonly] = ACTIONS(1557),
    [anon_sym_writeonly] = ACTIONS(1557),
    [anon_sym_precision] = ACTIONS(1557),
    [anon_sym_highp] = ACTIONS(1557),
    [anon_sym_mediump] = ACTIONS(1557),
    [anon_sym_lowp] = ACTIONS(1557),
    [anon_sym_centroid] = ACTIONS(1557),
    [anon_sym_sample] = ACTIONS(1557),
    [anon_sym_patch] = ACTIONS(1557),
    [anon_sym_smooth] = ACTIONS(1557),
    [anon_sym_flat] = ACTIONS(1557),
    [anon_sym_noperspective] = ACTIONS(1557),
    [anon_sym___extension__] = ACTIONS(1557),
    [anon_sym_typedef] = ACTIONS(1557),
    [anon_sym_extern] = ACTIONS(1557),
    [anon_sym___attribute__] = ACTIONS(1557),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1559),
    [anon_sym___declspec] = ACTIONS(1557),
    [anon_sym___cdecl] = ACTIONS(1557),
    [anon_sym___clrcall] = ACTIONS(1557),
    [anon_sym___stdcall] = ACTIONS(1557),
    [anon_sym___fastcall] = ACTIONS(1557),
    [anon_sym___thiscall] = ACTIONS(1557),
    [anon_sym___vectorcall] = ACTIONS(1557),
    [anon_sym_LBRACE] = ACTIONS(1559),
    [anon_sym_signed] = ACTIONS(1557),
    [anon_sym_unsigned] = ACTIONS(1557),
    [anon_sym_long] = ACTIONS(1557),
    [anon_sym_short] = ACTIONS(1557),
    [anon_sym_static] = ACTIONS(1557),
    [anon_sym_auto] = ACTIONS(1557),
    [anon_sym_register] = ACTIONS(1557),
    [anon_sym_inline] = ACTIONS(1557),
    [anon_sym___inline] = ACTIONS(1557),
    [anon_sym___inline__] = ACTIONS(1557),
    [anon_sym___forceinline] = ACTIONS(1557),
    [anon_sym_thread_local] = ACTIONS(1557),
    [anon_sym___thread] = ACTIONS(1557),
    [anon_sym_const] = ACTIONS(1557),
    [anon_sym_constexpr] = ACTIONS(1557),
    [anon_sym_volatile] = ACTIONS(1557),
    [anon_sym_restrict] = ACTIONS(1557),
    [anon_sym___restrict__] = ACTIONS(1557),
    [anon_sym__Atomic] = ACTIONS(1557),
    [anon_sym__Noreturn] = ACTIONS(1557),
    [anon_sym_noreturn] = ACTIONS(1557),
    [sym_primitive_type] = ACTIONS(1557),
    [anon_sym_enum] = ACTIONS(1557),
    [anon_sym_struct] = ACTIONS(1557),
    [anon_sym_union] = ACTIONS(1557),
    [anon_sym_if] = ACTIONS(1557),
    [anon_sym_else] = ACTIONS(1557),
    [anon_sym_switch] = ACTIONS(1557),
    [anon_sym_case] = ACTIONS(1557),
    [anon_sym_default] = ACTIONS(1557),
    [anon_sym_while] = ACTIONS(1557),
    [anon_sym_do] = ACTIONS(1557),
    [anon_sym_for] = ACTIONS(1557),
    [anon_sym_return] = ACTIONS(1557),
    [anon_sym_break] = ACTIONS(1557),
    [anon_sym_continue] = ACTIONS(1557),
    [anon_sym_goto] = ACTIONS(1557),
    [anon_sym___try] = ACTIONS(1557),
    [anon_sym___leave] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1559),
    [anon_sym_PLUS_PLUS] = ACTIONS(1559),
    [anon_sym_sizeof] = ACTIONS(1557),
    [anon_sym___alignof__] = ACTIONS(1557),
    [anon_sym___alignof] = ACTIONS(1557),
    [anon_sym__alignof] = ACTIONS(1557),
    [anon_sym_alignof] = ACTIONS(1557),
    [anon_sym__Alignof] = ACTIONS(1557),
    [anon_sym_offsetof] = ACTIONS(1557),
    [anon_sym__Generic] = ACTIONS(1557),
    [anon_sym_asm] = ACTIONS(1557),
    [anon_sym___asm__] = ACTIONS(1557),
    [sym_number_literal] = ACTIONS(1559),
    [anon_sym_L_SQUOTE] = ACTIONS(1559),
    [anon_sym_u_SQUOTE] = ACTIONS(1559),
    [anon_sym_U_SQUOTE] = ACTIONS(1559),
    [anon_sym_u8_SQUOTE] = ACTIONS(1559),
    [anon_sym_SQUOTE] = ACTIONS(1559),
    [anon_sym_L_DQUOTE] = ACTIONS(1559),
    [anon_sym_u_DQUOTE] = ACTIONS(1559),
    [anon_sym_U_DQUOTE] = ACTIONS(1559),
    [anon_sym_u8_DQUOTE] = ACTIONS(1559),
    [anon_sym_DQUOTE] = ACTIONS(1559),
    [sym_true] = ACTIONS(1557),
    [sym_false] = ACTIONS(1557),
    [anon_sym_NULL] = ACTIONS(1557),
    [anon_sym_nullptr] = ACTIONS(1557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1557),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1557),
    [anon_sym_hitAttributeEXT] = ACTIONS(1557),
    [anon_sym_callableDataEXT] = ACTIONS(1557),
    [anon_sym_callableDataInEXT] = ACTIONS(1557),
    [anon_sym_shaderRecordEXT] = ACTIONS(1557),
    [anon_sym_rayPayloadNV] = ACTIONS(1557),
    [anon_sym_rayPayloadInNV] = ACTIONS(1557),
    [anon_sym_hitAttributeNV] = ACTIONS(1557),
    [anon_sym_callableDataNV] = ACTIONS(1557),
    [anon_sym_callableDataInNV] = ACTIONS(1557),
    [anon_sym_shaderRecordNV] = ACTIONS(1557),
    [anon_sym_layout] = ACTIONS(1557),
  },
  [147] = {
    [sym_identifier] = ACTIONS(1561),
    [aux_sym_preproc_include_token1] = ACTIONS(1561),
    [aux_sym_preproc_def_token1] = ACTIONS(1561),
    [aux_sym_preproc_if_token1] = ACTIONS(1561),
    [aux_sym_preproc_if_token2] = ACTIONS(1561),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1561),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1561),
    [aux_sym_preproc_else_token1] = ACTIONS(1561),
    [aux_sym_preproc_elif_token1] = ACTIONS(1561),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1561),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1561),
    [sym_preproc_directive] = ACTIONS(1561),
    [anon_sym_LPAREN2] = ACTIONS(1563),
    [anon_sym_BANG] = ACTIONS(1563),
    [anon_sym_TILDE] = ACTIONS(1563),
    [anon_sym_DASH] = ACTIONS(1561),
    [anon_sym_PLUS] = ACTIONS(1561),
    [anon_sym_STAR] = ACTIONS(1563),
    [anon_sym_AMP] = ACTIONS(1563),
    [anon_sym_subroutine] = ACTIONS(1561),
    [anon_sym_invariant] = ACTIONS(1561),
    [anon_sym_precise] = ACTIONS(1561),
    [anon_sym_SEMI] = ACTIONS(1563),
    [anon_sym_in] = ACTIONS(1561),
    [anon_sym_out] = ACTIONS(1561),
    [anon_sym_inout] = ACTIONS(1561),
    [anon_sym_uniform] = ACTIONS(1561),
    [anon_sym_shared] = ACTIONS(1561),
    [anon_sym_attribute] = ACTIONS(1561),
    [anon_sym_varying] = ACTIONS(1561),
    [anon_sym_buffer] = ACTIONS(1561),
    [anon_sym_coherent] = ACTIONS(1561),
    [anon_sym_readonly] = ACTIONS(1561),
    [anon_sym_writeonly] = ACTIONS(1561),
    [anon_sym_precision] = ACTIONS(1561),
    [anon_sym_highp] = ACTIONS(1561),
    [anon_sym_mediump] = ACTIONS(1561),
    [anon_sym_lowp] = ACTIONS(1561),
    [anon_sym_centroid] = ACTIONS(1561),
    [anon_sym_sample] = ACTIONS(1561),
    [anon_sym_patch] = ACTIONS(1561),
    [anon_sym_smooth] = ACTIONS(1561),
    [anon_sym_flat] = ACTIONS(1561),
    [anon_sym_noperspective] = ACTIONS(1561),
    [anon_sym___extension__] = ACTIONS(1561),
    [anon_sym_typedef] = ACTIONS(1561),
    [anon_sym_extern] = ACTIONS(1561),
    [anon_sym___attribute__] = ACTIONS(1561),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1563),
    [anon_sym___declspec] = ACTIONS(1561),
    [anon_sym___cdecl] = ACTIONS(1561),
    [anon_sym___clrcall] = ACTIONS(1561),
    [anon_sym___stdcall] = ACTIONS(1561),
    [anon_sym___fastcall] = ACTIONS(1561),
    [anon_sym___thiscall] = ACTIONS(1561),
    [anon_sym___vectorcall] = ACTIONS(1561),
    [anon_sym_LBRACE] = ACTIONS(1563),
    [anon_sym_signed] = ACTIONS(1561),
    [anon_sym_unsigned] = ACTIONS(1561),
    [anon_sym_long] = ACTIONS(1561),
    [anon_sym_short] = ACTIONS(1561),
    [anon_sym_static] = ACTIONS(1561),
    [anon_sym_auto] = ACTIONS(1561),
    [anon_sym_register] = ACTIONS(1561),
    [anon_sym_inline] = ACTIONS(1561),
    [anon_sym___inline] = ACTIONS(1561),
    [anon_sym___inline__] = ACTIONS(1561),
    [anon_sym___forceinline] = ACTIONS(1561),
    [anon_sym_thread_local] = ACTIONS(1561),
    [anon_sym___thread] = ACTIONS(1561),
    [anon_sym_const] = ACTIONS(1561),
    [anon_sym_constexpr] = ACTIONS(1561),
    [anon_sym_volatile] = ACTIONS(1561),
    [anon_sym_restrict] = ACTIONS(1561),
    [anon_sym___restrict__] = ACTIONS(1561),
    [anon_sym__Atomic] = ACTIONS(1561),
    [anon_sym__Noreturn] = ACTIONS(1561),
    [anon_sym_noreturn] = ACTIONS(1561),
    [sym_primitive_type] = ACTIONS(1561),
    [anon_sym_enum] = ACTIONS(1561),
    [anon_sym_struct] = ACTIONS(1561),
    [anon_sym_union] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1561),
    [anon_sym_else] = ACTIONS(1561),
    [anon_sym_switch] = ACTIONS(1561),
    [anon_sym_case] = ACTIONS(1561),
    [anon_sym_default] = ACTIONS(1561),
    [anon_sym_while] = ACTIONS(1561),
    [anon_sym_do] = ACTIONS(1561),
    [anon_sym_for] = ACTIONS(1561),
    [anon_sym_return] = ACTIONS(1561),
    [anon_sym_break] = ACTIONS(1561),
    [anon_sym_continue] = ACTIONS(1561),
    [anon_sym_goto] = ACTIONS(1561),
    [anon_sym___try] = ACTIONS(1561),
    [anon_sym___leave] = ACTIONS(1561),
    [anon_sym_DASH_DASH] = ACTIONS(1563),
    [anon_sym_PLUS_PLUS] = ACTIONS(1563),
    [anon_sym_sizeof] = ACTIONS(1561),
    [anon_sym___alignof__] = ACTIONS(1561),
    [anon_sym___alignof] = ACTIONS(1561),
    [anon_sym__alignof] = ACTIONS(1561),
    [anon_sym_alignof] = ACTIONS(1561),
    [anon_sym__Alignof] = ACTIONS(1561),
    [anon_sym_offsetof] = ACTIONS(1561),
    [anon_sym__Generic] = ACTIONS(1561),
    [anon_sym_asm] = ACTIONS(1561),
    [anon_sym___asm__] = ACTIONS(1561),
    [sym_number_literal] = ACTIONS(1563),
    [anon_sym_L_SQUOTE] = ACTIONS(1563),
    [anon_sym_u_SQUOTE] = ACTIONS(1563),
    [anon_sym_U_SQUOTE] = ACTIONS(1563),
    [anon_sym_u8_SQUOTE] = ACTIONS(1563),
    [anon_sym_SQUOTE] = ACTIONS(1563),
    [anon_sym_L_DQUOTE] = ACTIONS(1563),
    [anon_sym_u_DQUOTE] = ACTIONS(1563),
    [anon_sym_U_DQUOTE] = ACTIONS(1563),
    [anon_sym_u8_DQUOTE] = ACTIONS(1563),
    [anon_sym_DQUOTE] = ACTIONS(1563),
    [sym_true] = ACTIONS(1561),
    [sym_false] = ACTIONS(1561),
    [anon_sym_NULL] = ACTIONS(1561),
    [anon_sym_nullptr] = ACTIONS(1561),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1561),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1561),
    [anon_sym_hitAttributeEXT] = ACTIONS(1561),
    [anon_sym_callableDataEXT] = ACTIONS(1561),
    [anon_sym_callableDataInEXT] = ACTIONS(1561),
    [anon_sym_shaderRecordEXT] = ACTIONS(1561),
    [anon_sym_rayPayloadNV] = ACTIONS(1561),
    [anon_sym_rayPayloadInNV] = ACTIONS(1561),
    [anon_sym_hitAttributeNV] = ACTIONS(1561),
    [anon_sym_callableDataNV] = ACTIONS(1561),
    [anon_sym_callableDataInNV] = ACTIONS(1561),
    [anon_sym_shaderRecordNV] = ACTIONS(1561),
    [anon_sym_layout] = ACTIONS(1561),
  },
  [148] = {
    [sym_identifier] = ACTIONS(1565),
    [aux_sym_preproc_include_token1] = ACTIONS(1565),
    [aux_sym_preproc_def_token1] = ACTIONS(1565),
    [aux_sym_preproc_if_token1] = ACTIONS(1565),
    [aux_sym_preproc_if_token2] = ACTIONS(1565),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1565),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1565),
    [aux_sym_preproc_else_token1] = ACTIONS(1565),
    [aux_sym_preproc_elif_token1] = ACTIONS(1565),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1565),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1565),
    [sym_preproc_directive] = ACTIONS(1565),
    [anon_sym_LPAREN2] = ACTIONS(1567),
    [anon_sym_BANG] = ACTIONS(1567),
    [anon_sym_TILDE] = ACTIONS(1567),
    [anon_sym_DASH] = ACTIONS(1565),
    [anon_sym_PLUS] = ACTIONS(1565),
    [anon_sym_STAR] = ACTIONS(1567),
    [anon_sym_AMP] = ACTIONS(1567),
    [anon_sym_subroutine] = ACTIONS(1565),
    [anon_sym_invariant] = ACTIONS(1565),
    [anon_sym_precise] = ACTIONS(1565),
    [anon_sym_SEMI] = ACTIONS(1567),
    [anon_sym_in] = ACTIONS(1565),
    [anon_sym_out] = ACTIONS(1565),
    [anon_sym_inout] = ACTIONS(1565),
    [anon_sym_uniform] = ACTIONS(1565),
    [anon_sym_shared] = ACTIONS(1565),
    [anon_sym_attribute] = ACTIONS(1565),
    [anon_sym_varying] = ACTIONS(1565),
    [anon_sym_buffer] = ACTIONS(1565),
    [anon_sym_coherent] = ACTIONS(1565),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_writeonly] = ACTIONS(1565),
    [anon_sym_precision] = ACTIONS(1565),
    [anon_sym_highp] = ACTIONS(1565),
    [anon_sym_mediump] = ACTIONS(1565),
    [anon_sym_lowp] = ACTIONS(1565),
    [anon_sym_centroid] = ACTIONS(1565),
    [anon_sym_sample] = ACTIONS(1565),
    [anon_sym_patch] = ACTIONS(1565),
    [anon_sym_smooth] = ACTIONS(1565),
    [anon_sym_flat] = ACTIONS(1565),
    [anon_sym_noperspective] = ACTIONS(1565),
    [anon_sym___extension__] = ACTIONS(1565),
    [anon_sym_typedef] = ACTIONS(1565),
    [anon_sym_extern] = ACTIONS(1565),
    [anon_sym___attribute__] = ACTIONS(1565),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1567),
    [anon_sym___declspec] = ACTIONS(1565),
    [anon_sym___cdecl] = ACTIONS(1565),
    [anon_sym___clrcall] = ACTIONS(1565),
    [anon_sym___stdcall] = ACTIONS(1565),
    [anon_sym___fastcall] = ACTIONS(1565),
    [anon_sym___thiscall] = ACTIONS(1565),
    [anon_sym___vectorcall] = ACTIONS(1565),
    [anon_sym_LBRACE] = ACTIONS(1567),
    [anon_sym_signed] = ACTIONS(1565),
    [anon_sym_unsigned] = ACTIONS(1565),
    [anon_sym_long] = ACTIONS(1565),
    [anon_sym_short] = ACTIONS(1565),
    [anon_sym_static] = ACTIONS(1565),
    [anon_sym_auto] = ACTIONS(1565),
    [anon_sym_register] = ACTIONS(1565),
    [anon_sym_inline] = ACTIONS(1565),
    [anon_sym___inline] = ACTIONS(1565),
    [anon_sym___inline__] = ACTIONS(1565),
    [anon_sym___forceinline] = ACTIONS(1565),
    [anon_sym_thread_local] = ACTIONS(1565),
    [anon_sym___thread] = ACTIONS(1565),
    [anon_sym_const] = ACTIONS(1565),
    [anon_sym_constexpr] = ACTIONS(1565),
    [anon_sym_volatile] = ACTIONS(1565),
    [anon_sym_restrict] = ACTIONS(1565),
    [anon_sym___restrict__] = ACTIONS(1565),
    [anon_sym__Atomic] = ACTIONS(1565),
    [anon_sym__Noreturn] = ACTIONS(1565),
    [anon_sym_noreturn] = ACTIONS(1565),
    [sym_primitive_type] = ACTIONS(1565),
    [anon_sym_enum] = ACTIONS(1565),
    [anon_sym_struct] = ACTIONS(1565),
    [anon_sym_union] = ACTIONS(1565),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_else] = ACTIONS(1565),
    [anon_sym_switch] = ACTIONS(1565),
    [anon_sym_case] = ACTIONS(1565),
    [anon_sym_default] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1565),
    [anon_sym_do] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(1565),
    [anon_sym_return] = ACTIONS(1565),
    [anon_sym_break] = ACTIONS(1565),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_goto] = ACTIONS(1565),
    [anon_sym___try] = ACTIONS(1565),
    [anon_sym___leave] = ACTIONS(1565),
    [anon_sym_DASH_DASH] = ACTIONS(1567),
    [anon_sym_PLUS_PLUS] = ACTIONS(1567),
    [anon_sym_sizeof] = ACTIONS(1565),
    [anon_sym___alignof__] = ACTIONS(1565),
    [anon_sym___alignof] = ACTIONS(1565),
    [anon_sym__alignof] = ACTIONS(1565),
    [anon_sym_alignof] = ACTIONS(1565),
    [anon_sym__Alignof] = ACTIONS(1565),
    [anon_sym_offsetof] = ACTIONS(1565),
    [anon_sym__Generic] = ACTIONS(1565),
    [anon_sym_asm] = ACTIONS(1565),
    [anon_sym___asm__] = ACTIONS(1565),
    [sym_number_literal] = ACTIONS(1567),
    [anon_sym_L_SQUOTE] = ACTIONS(1567),
    [anon_sym_u_SQUOTE] = ACTIONS(1567),
    [anon_sym_U_SQUOTE] = ACTIONS(1567),
    [anon_sym_u8_SQUOTE] = ACTIONS(1567),
    [anon_sym_SQUOTE] = ACTIONS(1567),
    [anon_sym_L_DQUOTE] = ACTIONS(1567),
    [anon_sym_u_DQUOTE] = ACTIONS(1567),
    [anon_sym_U_DQUOTE] = ACTIONS(1567),
    [anon_sym_u8_DQUOTE] = ACTIONS(1567),
    [anon_sym_DQUOTE] = ACTIONS(1567),
    [sym_true] = ACTIONS(1565),
    [sym_false] = ACTIONS(1565),
    [anon_sym_NULL] = ACTIONS(1565),
    [anon_sym_nullptr] = ACTIONS(1565),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1565),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1565),
    [anon_sym_hitAttributeEXT] = ACTIONS(1565),
    [anon_sym_callableDataEXT] = ACTIONS(1565),
    [anon_sym_callableDataInEXT] = ACTIONS(1565),
    [anon_sym_shaderRecordEXT] = ACTIONS(1565),
    [anon_sym_rayPayloadNV] = ACTIONS(1565),
    [anon_sym_rayPayloadInNV] = ACTIONS(1565),
    [anon_sym_hitAttributeNV] = ACTIONS(1565),
    [anon_sym_callableDataNV] = ACTIONS(1565),
    [anon_sym_callableDataInNV] = ACTIONS(1565),
    [anon_sym_shaderRecordNV] = ACTIONS(1565),
    [anon_sym_layout] = ACTIONS(1565),
  },
  [149] = {
    [sym_identifier] = ACTIONS(1569),
    [aux_sym_preproc_include_token1] = ACTIONS(1569),
    [aux_sym_preproc_def_token1] = ACTIONS(1569),
    [aux_sym_preproc_if_token1] = ACTIONS(1569),
    [aux_sym_preproc_if_token2] = ACTIONS(1569),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1569),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1569),
    [aux_sym_preproc_else_token1] = ACTIONS(1569),
    [aux_sym_preproc_elif_token1] = ACTIONS(1569),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1569),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1569),
    [sym_preproc_directive] = ACTIONS(1569),
    [anon_sym_LPAREN2] = ACTIONS(1571),
    [anon_sym_BANG] = ACTIONS(1571),
    [anon_sym_TILDE] = ACTIONS(1571),
    [anon_sym_DASH] = ACTIONS(1569),
    [anon_sym_PLUS] = ACTIONS(1569),
    [anon_sym_STAR] = ACTIONS(1571),
    [anon_sym_AMP] = ACTIONS(1571),
    [anon_sym_subroutine] = ACTIONS(1569),
    [anon_sym_invariant] = ACTIONS(1569),
    [anon_sym_precise] = ACTIONS(1569),
    [anon_sym_SEMI] = ACTIONS(1571),
    [anon_sym_in] = ACTIONS(1569),
    [anon_sym_out] = ACTIONS(1569),
    [anon_sym_inout] = ACTIONS(1569),
    [anon_sym_uniform] = ACTIONS(1569),
    [anon_sym_shared] = ACTIONS(1569),
    [anon_sym_attribute] = ACTIONS(1569),
    [anon_sym_varying] = ACTIONS(1569),
    [anon_sym_buffer] = ACTIONS(1569),
    [anon_sym_coherent] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_writeonly] = ACTIONS(1569),
    [anon_sym_precision] = ACTIONS(1569),
    [anon_sym_highp] = ACTIONS(1569),
    [anon_sym_mediump] = ACTIONS(1569),
    [anon_sym_lowp] = ACTIONS(1569),
    [anon_sym_centroid] = ACTIONS(1569),
    [anon_sym_sample] = ACTIONS(1569),
    [anon_sym_patch] = ACTIONS(1569),
    [anon_sym_smooth] = ACTIONS(1569),
    [anon_sym_flat] = ACTIONS(1569),
    [anon_sym_noperspective] = ACTIONS(1569),
    [anon_sym___extension__] = ACTIONS(1569),
    [anon_sym_typedef] = ACTIONS(1569),
    [anon_sym_extern] = ACTIONS(1569),
    [anon_sym___attribute__] = ACTIONS(1569),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1571),
    [anon_sym___declspec] = ACTIONS(1569),
    [anon_sym___cdecl] = ACTIONS(1569),
    [anon_sym___clrcall] = ACTIONS(1569),
    [anon_sym___stdcall] = ACTIONS(1569),
    [anon_sym___fastcall] = ACTIONS(1569),
    [anon_sym___thiscall] = ACTIONS(1569),
    [anon_sym___vectorcall] = ACTIONS(1569),
    [anon_sym_LBRACE] = ACTIONS(1571),
    [anon_sym_signed] = ACTIONS(1569),
    [anon_sym_unsigned] = ACTIONS(1569),
    [anon_sym_long] = ACTIONS(1569),
    [anon_sym_short] = ACTIONS(1569),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_auto] = ACTIONS(1569),
    [anon_sym_register] = ACTIONS(1569),
    [anon_sym_inline] = ACTIONS(1569),
    [anon_sym___inline] = ACTIONS(1569),
    [anon_sym___inline__] = ACTIONS(1569),
    [anon_sym___forceinline] = ACTIONS(1569),
    [anon_sym_thread_local] = ACTIONS(1569),
    [anon_sym___thread] = ACTIONS(1569),
    [anon_sym_const] = ACTIONS(1569),
    [anon_sym_constexpr] = ACTIONS(1569),
    [anon_sym_volatile] = ACTIONS(1569),
    [anon_sym_restrict] = ACTIONS(1569),
    [anon_sym___restrict__] = ACTIONS(1569),
    [anon_sym__Atomic] = ACTIONS(1569),
    [anon_sym__Noreturn] = ACTIONS(1569),
    [anon_sym_noreturn] = ACTIONS(1569),
    [sym_primitive_type] = ACTIONS(1569),
    [anon_sym_enum] = ACTIONS(1569),
    [anon_sym_struct] = ACTIONS(1569),
    [anon_sym_union] = ACTIONS(1569),
    [anon_sym_if] = ACTIONS(1569),
    [anon_sym_else] = ACTIONS(1569),
    [anon_sym_switch] = ACTIONS(1569),
    [anon_sym_case] = ACTIONS(1569),
    [anon_sym_default] = ACTIONS(1569),
    [anon_sym_while] = ACTIONS(1569),
    [anon_sym_do] = ACTIONS(1569),
    [anon_sym_for] = ACTIONS(1569),
    [anon_sym_return] = ACTIONS(1569),
    [anon_sym_break] = ACTIONS(1569),
    [anon_sym_continue] = ACTIONS(1569),
    [anon_sym_goto] = ACTIONS(1569),
    [anon_sym___try] = ACTIONS(1569),
    [anon_sym___leave] = ACTIONS(1569),
    [anon_sym_DASH_DASH] = ACTIONS(1571),
    [anon_sym_PLUS_PLUS] = ACTIONS(1571),
    [anon_sym_sizeof] = ACTIONS(1569),
    [anon_sym___alignof__] = ACTIONS(1569),
    [anon_sym___alignof] = ACTIONS(1569),
    [anon_sym__alignof] = ACTIONS(1569),
    [anon_sym_alignof] = ACTIONS(1569),
    [anon_sym__Alignof] = ACTIONS(1569),
    [anon_sym_offsetof] = ACTIONS(1569),
    [anon_sym__Generic] = ACTIONS(1569),
    [anon_sym_asm] = ACTIONS(1569),
    [anon_sym___asm__] = ACTIONS(1569),
    [sym_number_literal] = ACTIONS(1571),
    [anon_sym_L_SQUOTE] = ACTIONS(1571),
    [anon_sym_u_SQUOTE] = ACTIONS(1571),
    [anon_sym_U_SQUOTE] = ACTIONS(1571),
    [anon_sym_u8_SQUOTE] = ACTIONS(1571),
    [anon_sym_SQUOTE] = ACTIONS(1571),
    [anon_sym_L_DQUOTE] = ACTIONS(1571),
    [anon_sym_u_DQUOTE] = ACTIONS(1571),
    [anon_sym_U_DQUOTE] = ACTIONS(1571),
    [anon_sym_u8_DQUOTE] = ACTIONS(1571),
    [anon_sym_DQUOTE] = ACTIONS(1571),
    [sym_true] = ACTIONS(1569),
    [sym_false] = ACTIONS(1569),
    [anon_sym_NULL] = ACTIONS(1569),
    [anon_sym_nullptr] = ACTIONS(1569),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1569),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1569),
    [anon_sym_hitAttributeEXT] = ACTIONS(1569),
    [anon_sym_callableDataEXT] = ACTIONS(1569),
    [anon_sym_callableDataInEXT] = ACTIONS(1569),
    [anon_sym_shaderRecordEXT] = ACTIONS(1569),
    [anon_sym_rayPayloadNV] = ACTIONS(1569),
    [anon_sym_rayPayloadInNV] = ACTIONS(1569),
    [anon_sym_hitAttributeNV] = ACTIONS(1569),
    [anon_sym_callableDataNV] = ACTIONS(1569),
    [anon_sym_callableDataInNV] = ACTIONS(1569),
    [anon_sym_shaderRecordNV] = ACTIONS(1569),
    [anon_sym_layout] = ACTIONS(1569),
  },
  [150] = {
    [sym_identifier] = ACTIONS(1573),
    [aux_sym_preproc_include_token1] = ACTIONS(1573),
    [aux_sym_preproc_def_token1] = ACTIONS(1573),
    [aux_sym_preproc_if_token1] = ACTIONS(1573),
    [aux_sym_preproc_if_token2] = ACTIONS(1573),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1573),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1573),
    [aux_sym_preproc_else_token1] = ACTIONS(1573),
    [aux_sym_preproc_elif_token1] = ACTIONS(1573),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1573),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1573),
    [sym_preproc_directive] = ACTIONS(1573),
    [anon_sym_LPAREN2] = ACTIONS(1575),
    [anon_sym_BANG] = ACTIONS(1575),
    [anon_sym_TILDE] = ACTIONS(1575),
    [anon_sym_DASH] = ACTIONS(1573),
    [anon_sym_PLUS] = ACTIONS(1573),
    [anon_sym_STAR] = ACTIONS(1575),
    [anon_sym_AMP] = ACTIONS(1575),
    [anon_sym_subroutine] = ACTIONS(1573),
    [anon_sym_invariant] = ACTIONS(1573),
    [anon_sym_precise] = ACTIONS(1573),
    [anon_sym_SEMI] = ACTIONS(1575),
    [anon_sym_in] = ACTIONS(1573),
    [anon_sym_out] = ACTIONS(1573),
    [anon_sym_inout] = ACTIONS(1573),
    [anon_sym_uniform] = ACTIONS(1573),
    [anon_sym_shared] = ACTIONS(1573),
    [anon_sym_attribute] = ACTIONS(1573),
    [anon_sym_varying] = ACTIONS(1573),
    [anon_sym_buffer] = ACTIONS(1573),
    [anon_sym_coherent] = ACTIONS(1573),
    [anon_sym_readonly] = ACTIONS(1573),
    [anon_sym_writeonly] = ACTIONS(1573),
    [anon_sym_precision] = ACTIONS(1573),
    [anon_sym_highp] = ACTIONS(1573),
    [anon_sym_mediump] = ACTIONS(1573),
    [anon_sym_lowp] = ACTIONS(1573),
    [anon_sym_centroid] = ACTIONS(1573),
    [anon_sym_sample] = ACTIONS(1573),
    [anon_sym_patch] = ACTIONS(1573),
    [anon_sym_smooth] = ACTIONS(1573),
    [anon_sym_flat] = ACTIONS(1573),
    [anon_sym_noperspective] = ACTIONS(1573),
    [anon_sym___extension__] = ACTIONS(1573),
    [anon_sym_typedef] = ACTIONS(1573),
    [anon_sym_extern] = ACTIONS(1573),
    [anon_sym___attribute__] = ACTIONS(1573),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1575),
    [anon_sym___declspec] = ACTIONS(1573),
    [anon_sym___cdecl] = ACTIONS(1573),
    [anon_sym___clrcall] = ACTIONS(1573),
    [anon_sym___stdcall] = ACTIONS(1573),
    [anon_sym___fastcall] = ACTIONS(1573),
    [anon_sym___thiscall] = ACTIONS(1573),
    [anon_sym___vectorcall] = ACTIONS(1573),
    [anon_sym_LBRACE] = ACTIONS(1575),
    [anon_sym_signed] = ACTIONS(1573),
    [anon_sym_unsigned] = ACTIONS(1573),
    [anon_sym_long] = ACTIONS(1573),
    [anon_sym_short] = ACTIONS(1573),
    [anon_sym_static] = ACTIONS(1573),
    [anon_sym_auto] = ACTIONS(1573),
    [anon_sym_register] = ACTIONS(1573),
    [anon_sym_inline] = ACTIONS(1573),
    [anon_sym___inline] = ACTIONS(1573),
    [anon_sym___inline__] = ACTIONS(1573),
    [anon_sym___forceinline] = ACTIONS(1573),
    [anon_sym_thread_local] = ACTIONS(1573),
    [anon_sym___thread] = ACTIONS(1573),
    [anon_sym_const] = ACTIONS(1573),
    [anon_sym_constexpr] = ACTIONS(1573),
    [anon_sym_volatile] = ACTIONS(1573),
    [anon_sym_restrict] = ACTIONS(1573),
    [anon_sym___restrict__] = ACTIONS(1573),
    [anon_sym__Atomic] = ACTIONS(1573),
    [anon_sym__Noreturn] = ACTIONS(1573),
    [anon_sym_noreturn] = ACTIONS(1573),
    [sym_primitive_type] = ACTIONS(1573),
    [anon_sym_enum] = ACTIONS(1573),
    [anon_sym_struct] = ACTIONS(1573),
    [anon_sym_union] = ACTIONS(1573),
    [anon_sym_if] = ACTIONS(1573),
    [anon_sym_else] = ACTIONS(1573),
    [anon_sym_switch] = ACTIONS(1573),
    [anon_sym_case] = ACTIONS(1573),
    [anon_sym_default] = ACTIONS(1573),
    [anon_sym_while] = ACTIONS(1573),
    [anon_sym_do] = ACTIONS(1573),
    [anon_sym_for] = ACTIONS(1573),
    [anon_sym_return] = ACTIONS(1573),
    [anon_sym_break] = ACTIONS(1573),
    [anon_sym_continue] = ACTIONS(1573),
    [anon_sym_goto] = ACTIONS(1573),
    [anon_sym___try] = ACTIONS(1573),
    [anon_sym___leave] = ACTIONS(1573),
    [anon_sym_DASH_DASH] = ACTIONS(1575),
    [anon_sym_PLUS_PLUS] = ACTIONS(1575),
    [anon_sym_sizeof] = ACTIONS(1573),
    [anon_sym___alignof__] = ACTIONS(1573),
    [anon_sym___alignof] = ACTIONS(1573),
    [anon_sym__alignof] = ACTIONS(1573),
    [anon_sym_alignof] = ACTIONS(1573),
    [anon_sym__Alignof] = ACTIONS(1573),
    [anon_sym_offsetof] = ACTIONS(1573),
    [anon_sym__Generic] = ACTIONS(1573),
    [anon_sym_asm] = ACTIONS(1573),
    [anon_sym___asm__] = ACTIONS(1573),
    [sym_number_literal] = ACTIONS(1575),
    [anon_sym_L_SQUOTE] = ACTIONS(1575),
    [anon_sym_u_SQUOTE] = ACTIONS(1575),
    [anon_sym_U_SQUOTE] = ACTIONS(1575),
    [anon_sym_u8_SQUOTE] = ACTIONS(1575),
    [anon_sym_SQUOTE] = ACTIONS(1575),
    [anon_sym_L_DQUOTE] = ACTIONS(1575),
    [anon_sym_u_DQUOTE] = ACTIONS(1575),
    [anon_sym_U_DQUOTE] = ACTIONS(1575),
    [anon_sym_u8_DQUOTE] = ACTIONS(1575),
    [anon_sym_DQUOTE] = ACTIONS(1575),
    [sym_true] = ACTIONS(1573),
    [sym_false] = ACTIONS(1573),
    [anon_sym_NULL] = ACTIONS(1573),
    [anon_sym_nullptr] = ACTIONS(1573),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1573),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1573),
    [anon_sym_hitAttributeEXT] = ACTIONS(1573),
    [anon_sym_callableDataEXT] = ACTIONS(1573),
    [anon_sym_callableDataInEXT] = ACTIONS(1573),
    [anon_sym_shaderRecordEXT] = ACTIONS(1573),
    [anon_sym_rayPayloadNV] = ACTIONS(1573),
    [anon_sym_rayPayloadInNV] = ACTIONS(1573),
    [anon_sym_hitAttributeNV] = ACTIONS(1573),
    [anon_sym_callableDataNV] = ACTIONS(1573),
    [anon_sym_callableDataInNV] = ACTIONS(1573),
    [anon_sym_shaderRecordNV] = ACTIONS(1573),
    [anon_sym_layout] = ACTIONS(1573),
  },
  [151] = {
    [sym_identifier] = ACTIONS(1577),
    [aux_sym_preproc_include_token1] = ACTIONS(1577),
    [aux_sym_preproc_def_token1] = ACTIONS(1577),
    [aux_sym_preproc_if_token1] = ACTIONS(1577),
    [aux_sym_preproc_if_token2] = ACTIONS(1577),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1577),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1577),
    [aux_sym_preproc_else_token1] = ACTIONS(1577),
    [aux_sym_preproc_elif_token1] = ACTIONS(1577),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1577),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1577),
    [sym_preproc_directive] = ACTIONS(1577),
    [anon_sym_LPAREN2] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1579),
    [anon_sym_TILDE] = ACTIONS(1579),
    [anon_sym_DASH] = ACTIONS(1577),
    [anon_sym_PLUS] = ACTIONS(1577),
    [anon_sym_STAR] = ACTIONS(1579),
    [anon_sym_AMP] = ACTIONS(1579),
    [anon_sym_subroutine] = ACTIONS(1577),
    [anon_sym_invariant] = ACTIONS(1577),
    [anon_sym_precise] = ACTIONS(1577),
    [anon_sym_SEMI] = ACTIONS(1579),
    [anon_sym_in] = ACTIONS(1577),
    [anon_sym_out] = ACTIONS(1577),
    [anon_sym_inout] = ACTIONS(1577),
    [anon_sym_uniform] = ACTIONS(1577),
    [anon_sym_shared] = ACTIONS(1577),
    [anon_sym_attribute] = ACTIONS(1577),
    [anon_sym_varying] = ACTIONS(1577),
    [anon_sym_buffer] = ACTIONS(1577),
    [anon_sym_coherent] = ACTIONS(1577),
    [anon_sym_readonly] = ACTIONS(1577),
    [anon_sym_writeonly] = ACTIONS(1577),
    [anon_sym_precision] = ACTIONS(1577),
    [anon_sym_highp] = ACTIONS(1577),
    [anon_sym_mediump] = ACTIONS(1577),
    [anon_sym_lowp] = ACTIONS(1577),
    [anon_sym_centroid] = ACTIONS(1577),
    [anon_sym_sample] = ACTIONS(1577),
    [anon_sym_patch] = ACTIONS(1577),
    [anon_sym_smooth] = ACTIONS(1577),
    [anon_sym_flat] = ACTIONS(1577),
    [anon_sym_noperspective] = ACTIONS(1577),
    [anon_sym___extension__] = ACTIONS(1577),
    [anon_sym_typedef] = ACTIONS(1577),
    [anon_sym_extern] = ACTIONS(1577),
    [anon_sym___attribute__] = ACTIONS(1577),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1579),
    [anon_sym___declspec] = ACTIONS(1577),
    [anon_sym___cdecl] = ACTIONS(1577),
    [anon_sym___clrcall] = ACTIONS(1577),
    [anon_sym___stdcall] = ACTIONS(1577),
    [anon_sym___fastcall] = ACTIONS(1577),
    [anon_sym___thiscall] = ACTIONS(1577),
    [anon_sym___vectorcall] = ACTIONS(1577),
    [anon_sym_LBRACE] = ACTIONS(1579),
    [anon_sym_signed] = ACTIONS(1577),
    [anon_sym_unsigned] = ACTIONS(1577),
    [anon_sym_long] = ACTIONS(1577),
    [anon_sym_short] = ACTIONS(1577),
    [anon_sym_static] = ACTIONS(1577),
    [anon_sym_auto] = ACTIONS(1577),
    [anon_sym_register] = ACTIONS(1577),
    [anon_sym_inline] = ACTIONS(1577),
    [anon_sym___inline] = ACTIONS(1577),
    [anon_sym___inline__] = ACTIONS(1577),
    [anon_sym___forceinline] = ACTIONS(1577),
    [anon_sym_thread_local] = ACTIONS(1577),
    [anon_sym___thread] = ACTIONS(1577),
    [anon_sym_const] = ACTIONS(1577),
    [anon_sym_constexpr] = ACTIONS(1577),
    [anon_sym_volatile] = ACTIONS(1577),
    [anon_sym_restrict] = ACTIONS(1577),
    [anon_sym___restrict__] = ACTIONS(1577),
    [anon_sym__Atomic] = ACTIONS(1577),
    [anon_sym__Noreturn] = ACTIONS(1577),
    [anon_sym_noreturn] = ACTIONS(1577),
    [sym_primitive_type] = ACTIONS(1577),
    [anon_sym_enum] = ACTIONS(1577),
    [anon_sym_struct] = ACTIONS(1577),
    [anon_sym_union] = ACTIONS(1577),
    [anon_sym_if] = ACTIONS(1577),
    [anon_sym_else] = ACTIONS(1577),
    [anon_sym_switch] = ACTIONS(1577),
    [anon_sym_case] = ACTIONS(1577),
    [anon_sym_default] = ACTIONS(1577),
    [anon_sym_while] = ACTIONS(1577),
    [anon_sym_do] = ACTIONS(1577),
    [anon_sym_for] = ACTIONS(1577),
    [anon_sym_return] = ACTIONS(1577),
    [anon_sym_break] = ACTIONS(1577),
    [anon_sym_continue] = ACTIONS(1577),
    [anon_sym_goto] = ACTIONS(1577),
    [anon_sym___try] = ACTIONS(1577),
    [anon_sym___leave] = ACTIONS(1577),
    [anon_sym_DASH_DASH] = ACTIONS(1579),
    [anon_sym_PLUS_PLUS] = ACTIONS(1579),
    [anon_sym_sizeof] = ACTIONS(1577),
    [anon_sym___alignof__] = ACTIONS(1577),
    [anon_sym___alignof] = ACTIONS(1577),
    [anon_sym__alignof] = ACTIONS(1577),
    [anon_sym_alignof] = ACTIONS(1577),
    [anon_sym__Alignof] = ACTIONS(1577),
    [anon_sym_offsetof] = ACTIONS(1577),
    [anon_sym__Generic] = ACTIONS(1577),
    [anon_sym_asm] = ACTIONS(1577),
    [anon_sym___asm__] = ACTIONS(1577),
    [sym_number_literal] = ACTIONS(1579),
    [anon_sym_L_SQUOTE] = ACTIONS(1579),
    [anon_sym_u_SQUOTE] = ACTIONS(1579),
    [anon_sym_U_SQUOTE] = ACTIONS(1579),
    [anon_sym_u8_SQUOTE] = ACTIONS(1579),
    [anon_sym_SQUOTE] = ACTIONS(1579),
    [anon_sym_L_DQUOTE] = ACTIONS(1579),
    [anon_sym_u_DQUOTE] = ACTIONS(1579),
    [anon_sym_U_DQUOTE] = ACTIONS(1579),
    [anon_sym_u8_DQUOTE] = ACTIONS(1579),
    [anon_sym_DQUOTE] = ACTIONS(1579),
    [sym_true] = ACTIONS(1577),
    [sym_false] = ACTIONS(1577),
    [anon_sym_NULL] = ACTIONS(1577),
    [anon_sym_nullptr] = ACTIONS(1577),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1577),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1577),
    [anon_sym_hitAttributeEXT] = ACTIONS(1577),
    [anon_sym_callableDataEXT] = ACTIONS(1577),
    [anon_sym_callableDataInEXT] = ACTIONS(1577),
    [anon_sym_shaderRecordEXT] = ACTIONS(1577),
    [anon_sym_rayPayloadNV] = ACTIONS(1577),
    [anon_sym_rayPayloadInNV] = ACTIONS(1577),
    [anon_sym_hitAttributeNV] = ACTIONS(1577),
    [anon_sym_callableDataNV] = ACTIONS(1577),
    [anon_sym_callableDataInNV] = ACTIONS(1577),
    [anon_sym_shaderRecordNV] = ACTIONS(1577),
    [anon_sym_layout] = ACTIONS(1577),
  },
  [152] = {
    [sym_identifier] = ACTIONS(1475),
    [aux_sym_preproc_include_token1] = ACTIONS(1475),
    [aux_sym_preproc_def_token1] = ACTIONS(1475),
    [aux_sym_preproc_if_token1] = ACTIONS(1475),
    [aux_sym_preproc_if_token2] = ACTIONS(1475),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1475),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1475),
    [aux_sym_preproc_else_token1] = ACTIONS(1475),
    [aux_sym_preproc_elif_token1] = ACTIONS(1475),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1475),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1475),
    [sym_preproc_directive] = ACTIONS(1475),
    [anon_sym_LPAREN2] = ACTIONS(1473),
    [anon_sym_BANG] = ACTIONS(1473),
    [anon_sym_TILDE] = ACTIONS(1473),
    [anon_sym_DASH] = ACTIONS(1475),
    [anon_sym_PLUS] = ACTIONS(1475),
    [anon_sym_STAR] = ACTIONS(1473),
    [anon_sym_AMP] = ACTIONS(1473),
    [anon_sym_subroutine] = ACTIONS(1475),
    [anon_sym_invariant] = ACTIONS(1475),
    [anon_sym_precise] = ACTIONS(1475),
    [anon_sym_SEMI] = ACTIONS(1473),
    [anon_sym_in] = ACTIONS(1475),
    [anon_sym_out] = ACTIONS(1475),
    [anon_sym_inout] = ACTIONS(1475),
    [anon_sym_uniform] = ACTIONS(1475),
    [anon_sym_shared] = ACTIONS(1475),
    [anon_sym_attribute] = ACTIONS(1475),
    [anon_sym_varying] = ACTIONS(1475),
    [anon_sym_buffer] = ACTIONS(1475),
    [anon_sym_coherent] = ACTIONS(1475),
    [anon_sym_readonly] = ACTIONS(1475),
    [anon_sym_writeonly] = ACTIONS(1475),
    [anon_sym_precision] = ACTIONS(1475),
    [anon_sym_highp] = ACTIONS(1475),
    [anon_sym_mediump] = ACTIONS(1475),
    [anon_sym_lowp] = ACTIONS(1475),
    [anon_sym_centroid] = ACTIONS(1475),
    [anon_sym_sample] = ACTIONS(1475),
    [anon_sym_patch] = ACTIONS(1475),
    [anon_sym_smooth] = ACTIONS(1475),
    [anon_sym_flat] = ACTIONS(1475),
    [anon_sym_noperspective] = ACTIONS(1475),
    [anon_sym___extension__] = ACTIONS(1475),
    [anon_sym_typedef] = ACTIONS(1475),
    [anon_sym_extern] = ACTIONS(1475),
    [anon_sym___attribute__] = ACTIONS(1475),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1473),
    [anon_sym___declspec] = ACTIONS(1475),
    [anon_sym___cdecl] = ACTIONS(1475),
    [anon_sym___clrcall] = ACTIONS(1475),
    [anon_sym___stdcall] = ACTIONS(1475),
    [anon_sym___fastcall] = ACTIONS(1475),
    [anon_sym___thiscall] = ACTIONS(1475),
    [anon_sym___vectorcall] = ACTIONS(1475),
    [anon_sym_LBRACE] = ACTIONS(1473),
    [anon_sym_signed] = ACTIONS(1475),
    [anon_sym_unsigned] = ACTIONS(1475),
    [anon_sym_long] = ACTIONS(1475),
    [anon_sym_short] = ACTIONS(1475),
    [anon_sym_static] = ACTIONS(1475),
    [anon_sym_auto] = ACTIONS(1475),
    [anon_sym_register] = ACTIONS(1475),
    [anon_sym_inline] = ACTIONS(1475),
    [anon_sym___inline] = ACTIONS(1475),
    [anon_sym___inline__] = ACTIONS(1475),
    [anon_sym___forceinline] = ACTIONS(1475),
    [anon_sym_thread_local] = ACTIONS(1475),
    [anon_sym___thread] = ACTIONS(1475),
    [anon_sym_const] = ACTIONS(1475),
    [anon_sym_constexpr] = ACTIONS(1475),
    [anon_sym_volatile] = ACTIONS(1475),
    [anon_sym_restrict] = ACTIONS(1475),
    [anon_sym___restrict__] = ACTIONS(1475),
    [anon_sym__Atomic] = ACTIONS(1475),
    [anon_sym__Noreturn] = ACTIONS(1475),
    [anon_sym_noreturn] = ACTIONS(1475),
    [sym_primitive_type] = ACTIONS(1475),
    [anon_sym_enum] = ACTIONS(1475),
    [anon_sym_struct] = ACTIONS(1475),
    [anon_sym_union] = ACTIONS(1475),
    [anon_sym_if] = ACTIONS(1475),
    [anon_sym_else] = ACTIONS(1475),
    [anon_sym_switch] = ACTIONS(1475),
    [anon_sym_case] = ACTIONS(1475),
    [anon_sym_default] = ACTIONS(1475),
    [anon_sym_while] = ACTIONS(1475),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_for] = ACTIONS(1475),
    [anon_sym_return] = ACTIONS(1475),
    [anon_sym_break] = ACTIONS(1475),
    [anon_sym_continue] = ACTIONS(1475),
    [anon_sym_goto] = ACTIONS(1475),
    [anon_sym___try] = ACTIONS(1475),
    [anon_sym___leave] = ACTIONS(1475),
    [anon_sym_DASH_DASH] = ACTIONS(1473),
    [anon_sym_PLUS_PLUS] = ACTIONS(1473),
    [anon_sym_sizeof] = ACTIONS(1475),
    [anon_sym___alignof__] = ACTIONS(1475),
    [anon_sym___alignof] = ACTIONS(1475),
    [anon_sym__alignof] = ACTIONS(1475),
    [anon_sym_alignof] = ACTIONS(1475),
    [anon_sym__Alignof] = ACTIONS(1475),
    [anon_sym_offsetof] = ACTIONS(1475),
    [anon_sym__Generic] = ACTIONS(1475),
    [anon_sym_asm] = ACTIONS(1475),
    [anon_sym___asm__] = ACTIONS(1475),
    [sym_number_literal] = ACTIONS(1473),
    [anon_sym_L_SQUOTE] = ACTIONS(1473),
    [anon_sym_u_SQUOTE] = ACTIONS(1473),
    [anon_sym_U_SQUOTE] = ACTIONS(1473),
    [anon_sym_u8_SQUOTE] = ACTIONS(1473),
    [anon_sym_SQUOTE] = ACTIONS(1473),
    [anon_sym_L_DQUOTE] = ACTIONS(1473),
    [anon_sym_u_DQUOTE] = ACTIONS(1473),
    [anon_sym_U_DQUOTE] = ACTIONS(1473),
    [anon_sym_u8_DQUOTE] = ACTIONS(1473),
    [anon_sym_DQUOTE] = ACTIONS(1473),
    [sym_true] = ACTIONS(1475),
    [sym_false] = ACTIONS(1475),
    [anon_sym_NULL] = ACTIONS(1475),
    [anon_sym_nullptr] = ACTIONS(1475),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1475),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1475),
    [anon_sym_hitAttributeEXT] = ACTIONS(1475),
    [anon_sym_callableDataEXT] = ACTIONS(1475),
    [anon_sym_callableDataInEXT] = ACTIONS(1475),
    [anon_sym_shaderRecordEXT] = ACTIONS(1475),
    [anon_sym_rayPayloadNV] = ACTIONS(1475),
    [anon_sym_rayPayloadInNV] = ACTIONS(1475),
    [anon_sym_hitAttributeNV] = ACTIONS(1475),
    [anon_sym_callableDataNV] = ACTIONS(1475),
    [anon_sym_callableDataInNV] = ACTIONS(1475),
    [anon_sym_shaderRecordNV] = ACTIONS(1475),
    [anon_sym_layout] = ACTIONS(1475),
  },
  [153] = {
    [sym_identifier] = ACTIONS(1581),
    [aux_sym_preproc_include_token1] = ACTIONS(1581),
    [aux_sym_preproc_def_token1] = ACTIONS(1581),
    [aux_sym_preproc_if_token1] = ACTIONS(1581),
    [aux_sym_preproc_if_token2] = ACTIONS(1581),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1581),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1581),
    [aux_sym_preproc_else_token1] = ACTIONS(1581),
    [aux_sym_preproc_elif_token1] = ACTIONS(1581),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1581),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1581),
    [sym_preproc_directive] = ACTIONS(1581),
    [anon_sym_LPAREN2] = ACTIONS(1583),
    [anon_sym_BANG] = ACTIONS(1583),
    [anon_sym_TILDE] = ACTIONS(1583),
    [anon_sym_DASH] = ACTIONS(1581),
    [anon_sym_PLUS] = ACTIONS(1581),
    [anon_sym_STAR] = ACTIONS(1583),
    [anon_sym_AMP] = ACTIONS(1583),
    [anon_sym_subroutine] = ACTIONS(1581),
    [anon_sym_invariant] = ACTIONS(1581),
    [anon_sym_precise] = ACTIONS(1581),
    [anon_sym_SEMI] = ACTIONS(1583),
    [anon_sym_in] = ACTIONS(1581),
    [anon_sym_out] = ACTIONS(1581),
    [anon_sym_inout] = ACTIONS(1581),
    [anon_sym_uniform] = ACTIONS(1581),
    [anon_sym_shared] = ACTIONS(1581),
    [anon_sym_attribute] = ACTIONS(1581),
    [anon_sym_varying] = ACTIONS(1581),
    [anon_sym_buffer] = ACTIONS(1581),
    [anon_sym_coherent] = ACTIONS(1581),
    [anon_sym_readonly] = ACTIONS(1581),
    [anon_sym_writeonly] = ACTIONS(1581),
    [anon_sym_precision] = ACTIONS(1581),
    [anon_sym_highp] = ACTIONS(1581),
    [anon_sym_mediump] = ACTIONS(1581),
    [anon_sym_lowp] = ACTIONS(1581),
    [anon_sym_centroid] = ACTIONS(1581),
    [anon_sym_sample] = ACTIONS(1581),
    [anon_sym_patch] = ACTIONS(1581),
    [anon_sym_smooth] = ACTIONS(1581),
    [anon_sym_flat] = ACTIONS(1581),
    [anon_sym_noperspective] = ACTIONS(1581),
    [anon_sym___extension__] = ACTIONS(1581),
    [anon_sym_typedef] = ACTIONS(1581),
    [anon_sym_extern] = ACTIONS(1581),
    [anon_sym___attribute__] = ACTIONS(1581),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1583),
    [anon_sym___declspec] = ACTIONS(1581),
    [anon_sym___cdecl] = ACTIONS(1581),
    [anon_sym___clrcall] = ACTIONS(1581),
    [anon_sym___stdcall] = ACTIONS(1581),
    [anon_sym___fastcall] = ACTIONS(1581),
    [anon_sym___thiscall] = ACTIONS(1581),
    [anon_sym___vectorcall] = ACTIONS(1581),
    [anon_sym_LBRACE] = ACTIONS(1583),
    [anon_sym_signed] = ACTIONS(1581),
    [anon_sym_unsigned] = ACTIONS(1581),
    [anon_sym_long] = ACTIONS(1581),
    [anon_sym_short] = ACTIONS(1581),
    [anon_sym_static] = ACTIONS(1581),
    [anon_sym_auto] = ACTIONS(1581),
    [anon_sym_register] = ACTIONS(1581),
    [anon_sym_inline] = ACTIONS(1581),
    [anon_sym___inline] = ACTIONS(1581),
    [anon_sym___inline__] = ACTIONS(1581),
    [anon_sym___forceinline] = ACTIONS(1581),
    [anon_sym_thread_local] = ACTIONS(1581),
    [anon_sym___thread] = ACTIONS(1581),
    [anon_sym_const] = ACTIONS(1581),
    [anon_sym_constexpr] = ACTIONS(1581),
    [anon_sym_volatile] = ACTIONS(1581),
    [anon_sym_restrict] = ACTIONS(1581),
    [anon_sym___restrict__] = ACTIONS(1581),
    [anon_sym__Atomic] = ACTIONS(1581),
    [anon_sym__Noreturn] = ACTIONS(1581),
    [anon_sym_noreturn] = ACTIONS(1581),
    [sym_primitive_type] = ACTIONS(1581),
    [anon_sym_enum] = ACTIONS(1581),
    [anon_sym_struct] = ACTIONS(1581),
    [anon_sym_union] = ACTIONS(1581),
    [anon_sym_if] = ACTIONS(1581),
    [anon_sym_else] = ACTIONS(1581),
    [anon_sym_switch] = ACTIONS(1581),
    [anon_sym_case] = ACTIONS(1581),
    [anon_sym_default] = ACTIONS(1581),
    [anon_sym_while] = ACTIONS(1581),
    [anon_sym_do] = ACTIONS(1581),
    [anon_sym_for] = ACTIONS(1581),
    [anon_sym_return] = ACTIONS(1581),
    [anon_sym_break] = ACTIONS(1581),
    [anon_sym_continue] = ACTIONS(1581),
    [anon_sym_goto] = ACTIONS(1581),
    [anon_sym___try] = ACTIONS(1581),
    [anon_sym___leave] = ACTIONS(1581),
    [anon_sym_DASH_DASH] = ACTIONS(1583),
    [anon_sym_PLUS_PLUS] = ACTIONS(1583),
    [anon_sym_sizeof] = ACTIONS(1581),
    [anon_sym___alignof__] = ACTIONS(1581),
    [anon_sym___alignof] = ACTIONS(1581),
    [anon_sym__alignof] = ACTIONS(1581),
    [anon_sym_alignof] = ACTIONS(1581),
    [anon_sym__Alignof] = ACTIONS(1581),
    [anon_sym_offsetof] = ACTIONS(1581),
    [anon_sym__Generic] = ACTIONS(1581),
    [anon_sym_asm] = ACTIONS(1581),
    [anon_sym___asm__] = ACTIONS(1581),
    [sym_number_literal] = ACTIONS(1583),
    [anon_sym_L_SQUOTE] = ACTIONS(1583),
    [anon_sym_u_SQUOTE] = ACTIONS(1583),
    [anon_sym_U_SQUOTE] = ACTIONS(1583),
    [anon_sym_u8_SQUOTE] = ACTIONS(1583),
    [anon_sym_SQUOTE] = ACTIONS(1583),
    [anon_sym_L_DQUOTE] = ACTIONS(1583),
    [anon_sym_u_DQUOTE] = ACTIONS(1583),
    [anon_sym_U_DQUOTE] = ACTIONS(1583),
    [anon_sym_u8_DQUOTE] = ACTIONS(1583),
    [anon_sym_DQUOTE] = ACTIONS(1583),
    [sym_true] = ACTIONS(1581),
    [sym_false] = ACTIONS(1581),
    [anon_sym_NULL] = ACTIONS(1581),
    [anon_sym_nullptr] = ACTIONS(1581),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1581),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1581),
    [anon_sym_hitAttributeEXT] = ACTIONS(1581),
    [anon_sym_callableDataEXT] = ACTIONS(1581),
    [anon_sym_callableDataInEXT] = ACTIONS(1581),
    [anon_sym_shaderRecordEXT] = ACTIONS(1581),
    [anon_sym_rayPayloadNV] = ACTIONS(1581),
    [anon_sym_rayPayloadInNV] = ACTIONS(1581),
    [anon_sym_hitAttributeNV] = ACTIONS(1581),
    [anon_sym_callableDataNV] = ACTIONS(1581),
    [anon_sym_callableDataInNV] = ACTIONS(1581),
    [anon_sym_shaderRecordNV] = ACTIONS(1581),
    [anon_sym_layout] = ACTIONS(1581),
  },
  [154] = {
    [sym_identifier] = ACTIONS(1581),
    [aux_sym_preproc_include_token1] = ACTIONS(1581),
    [aux_sym_preproc_def_token1] = ACTIONS(1581),
    [aux_sym_preproc_if_token1] = ACTIONS(1581),
    [aux_sym_preproc_if_token2] = ACTIONS(1581),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1581),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1581),
    [aux_sym_preproc_else_token1] = ACTIONS(1581),
    [aux_sym_preproc_elif_token1] = ACTIONS(1581),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1581),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1581),
    [sym_preproc_directive] = ACTIONS(1581),
    [anon_sym_LPAREN2] = ACTIONS(1583),
    [anon_sym_BANG] = ACTIONS(1583),
    [anon_sym_TILDE] = ACTIONS(1583),
    [anon_sym_DASH] = ACTIONS(1581),
    [anon_sym_PLUS] = ACTIONS(1581),
    [anon_sym_STAR] = ACTIONS(1583),
    [anon_sym_AMP] = ACTIONS(1583),
    [anon_sym_subroutine] = ACTIONS(1581),
    [anon_sym_invariant] = ACTIONS(1581),
    [anon_sym_precise] = ACTIONS(1581),
    [anon_sym_SEMI] = ACTIONS(1583),
    [anon_sym_in] = ACTIONS(1581),
    [anon_sym_out] = ACTIONS(1581),
    [anon_sym_inout] = ACTIONS(1581),
    [anon_sym_uniform] = ACTIONS(1581),
    [anon_sym_shared] = ACTIONS(1581),
    [anon_sym_attribute] = ACTIONS(1581),
    [anon_sym_varying] = ACTIONS(1581),
    [anon_sym_buffer] = ACTIONS(1581),
    [anon_sym_coherent] = ACTIONS(1581),
    [anon_sym_readonly] = ACTIONS(1581),
    [anon_sym_writeonly] = ACTIONS(1581),
    [anon_sym_precision] = ACTIONS(1581),
    [anon_sym_highp] = ACTIONS(1581),
    [anon_sym_mediump] = ACTIONS(1581),
    [anon_sym_lowp] = ACTIONS(1581),
    [anon_sym_centroid] = ACTIONS(1581),
    [anon_sym_sample] = ACTIONS(1581),
    [anon_sym_patch] = ACTIONS(1581),
    [anon_sym_smooth] = ACTIONS(1581),
    [anon_sym_flat] = ACTIONS(1581),
    [anon_sym_noperspective] = ACTIONS(1581),
    [anon_sym___extension__] = ACTIONS(1581),
    [anon_sym_typedef] = ACTIONS(1581),
    [anon_sym_extern] = ACTIONS(1581),
    [anon_sym___attribute__] = ACTIONS(1581),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1583),
    [anon_sym___declspec] = ACTIONS(1581),
    [anon_sym___cdecl] = ACTIONS(1581),
    [anon_sym___clrcall] = ACTIONS(1581),
    [anon_sym___stdcall] = ACTIONS(1581),
    [anon_sym___fastcall] = ACTIONS(1581),
    [anon_sym___thiscall] = ACTIONS(1581),
    [anon_sym___vectorcall] = ACTIONS(1581),
    [anon_sym_LBRACE] = ACTIONS(1583),
    [anon_sym_signed] = ACTIONS(1581),
    [anon_sym_unsigned] = ACTIONS(1581),
    [anon_sym_long] = ACTIONS(1581),
    [anon_sym_short] = ACTIONS(1581),
    [anon_sym_static] = ACTIONS(1581),
    [anon_sym_auto] = ACTIONS(1581),
    [anon_sym_register] = ACTIONS(1581),
    [anon_sym_inline] = ACTIONS(1581),
    [anon_sym___inline] = ACTIONS(1581),
    [anon_sym___inline__] = ACTIONS(1581),
    [anon_sym___forceinline] = ACTIONS(1581),
    [anon_sym_thread_local] = ACTIONS(1581),
    [anon_sym___thread] = ACTIONS(1581),
    [anon_sym_const] = ACTIONS(1581),
    [anon_sym_constexpr] = ACTIONS(1581),
    [anon_sym_volatile] = ACTIONS(1581),
    [anon_sym_restrict] = ACTIONS(1581),
    [anon_sym___restrict__] = ACTIONS(1581),
    [anon_sym__Atomic] = ACTIONS(1581),
    [anon_sym__Noreturn] = ACTIONS(1581),
    [anon_sym_noreturn] = ACTIONS(1581),
    [sym_primitive_type] = ACTIONS(1581),
    [anon_sym_enum] = ACTIONS(1581),
    [anon_sym_struct] = ACTIONS(1581),
    [anon_sym_union] = ACTIONS(1581),
    [anon_sym_if] = ACTIONS(1581),
    [anon_sym_else] = ACTIONS(1581),
    [anon_sym_switch] = ACTIONS(1581),
    [anon_sym_case] = ACTIONS(1581),
    [anon_sym_default] = ACTIONS(1581),
    [anon_sym_while] = ACTIONS(1581),
    [anon_sym_do] = ACTIONS(1581),
    [anon_sym_for] = ACTIONS(1581),
    [anon_sym_return] = ACTIONS(1581),
    [anon_sym_break] = ACTIONS(1581),
    [anon_sym_continue] = ACTIONS(1581),
    [anon_sym_goto] = ACTIONS(1581),
    [anon_sym___try] = ACTIONS(1581),
    [anon_sym___leave] = ACTIONS(1581),
    [anon_sym_DASH_DASH] = ACTIONS(1583),
    [anon_sym_PLUS_PLUS] = ACTIONS(1583),
    [anon_sym_sizeof] = ACTIONS(1581),
    [anon_sym___alignof__] = ACTIONS(1581),
    [anon_sym___alignof] = ACTIONS(1581),
    [anon_sym__alignof] = ACTIONS(1581),
    [anon_sym_alignof] = ACTIONS(1581),
    [anon_sym__Alignof] = ACTIONS(1581),
    [anon_sym_offsetof] = ACTIONS(1581),
    [anon_sym__Generic] = ACTIONS(1581),
    [anon_sym_asm] = ACTIONS(1581),
    [anon_sym___asm__] = ACTIONS(1581),
    [sym_number_literal] = ACTIONS(1583),
    [anon_sym_L_SQUOTE] = ACTIONS(1583),
    [anon_sym_u_SQUOTE] = ACTIONS(1583),
    [anon_sym_U_SQUOTE] = ACTIONS(1583),
    [anon_sym_u8_SQUOTE] = ACTIONS(1583),
    [anon_sym_SQUOTE] = ACTIONS(1583),
    [anon_sym_L_DQUOTE] = ACTIONS(1583),
    [anon_sym_u_DQUOTE] = ACTIONS(1583),
    [anon_sym_U_DQUOTE] = ACTIONS(1583),
    [anon_sym_u8_DQUOTE] = ACTIONS(1583),
    [anon_sym_DQUOTE] = ACTIONS(1583),
    [sym_true] = ACTIONS(1581),
    [sym_false] = ACTIONS(1581),
    [anon_sym_NULL] = ACTIONS(1581),
    [anon_sym_nullptr] = ACTIONS(1581),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1581),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1581),
    [anon_sym_hitAttributeEXT] = ACTIONS(1581),
    [anon_sym_callableDataEXT] = ACTIONS(1581),
    [anon_sym_callableDataInEXT] = ACTIONS(1581),
    [anon_sym_shaderRecordEXT] = ACTIONS(1581),
    [anon_sym_rayPayloadNV] = ACTIONS(1581),
    [anon_sym_rayPayloadInNV] = ACTIONS(1581),
    [anon_sym_hitAttributeNV] = ACTIONS(1581),
    [anon_sym_callableDataNV] = ACTIONS(1581),
    [anon_sym_callableDataInNV] = ACTIONS(1581),
    [anon_sym_shaderRecordNV] = ACTIONS(1581),
    [anon_sym_layout] = ACTIONS(1581),
  },
  [155] = {
    [sym_identifier] = ACTIONS(1585),
    [aux_sym_preproc_include_token1] = ACTIONS(1585),
    [aux_sym_preproc_def_token1] = ACTIONS(1585),
    [aux_sym_preproc_if_token1] = ACTIONS(1585),
    [aux_sym_preproc_if_token2] = ACTIONS(1585),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1585),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1585),
    [aux_sym_preproc_else_token1] = ACTIONS(1585),
    [aux_sym_preproc_elif_token1] = ACTIONS(1585),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1585),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1585),
    [sym_preproc_directive] = ACTIONS(1585),
    [anon_sym_LPAREN2] = ACTIONS(1587),
    [anon_sym_BANG] = ACTIONS(1587),
    [anon_sym_TILDE] = ACTIONS(1587),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_STAR] = ACTIONS(1587),
    [anon_sym_AMP] = ACTIONS(1587),
    [anon_sym_subroutine] = ACTIONS(1585),
    [anon_sym_invariant] = ACTIONS(1585),
    [anon_sym_precise] = ACTIONS(1585),
    [anon_sym_SEMI] = ACTIONS(1587),
    [anon_sym_in] = ACTIONS(1585),
    [anon_sym_out] = ACTIONS(1585),
    [anon_sym_inout] = ACTIONS(1585),
    [anon_sym_uniform] = ACTIONS(1585),
    [anon_sym_shared] = ACTIONS(1585),
    [anon_sym_attribute] = ACTIONS(1585),
    [anon_sym_varying] = ACTIONS(1585),
    [anon_sym_buffer] = ACTIONS(1585),
    [anon_sym_coherent] = ACTIONS(1585),
    [anon_sym_readonly] = ACTIONS(1585),
    [anon_sym_writeonly] = ACTIONS(1585),
    [anon_sym_precision] = ACTIONS(1585),
    [anon_sym_highp] = ACTIONS(1585),
    [anon_sym_mediump] = ACTIONS(1585),
    [anon_sym_lowp] = ACTIONS(1585),
    [anon_sym_centroid] = ACTIONS(1585),
    [anon_sym_sample] = ACTIONS(1585),
    [anon_sym_patch] = ACTIONS(1585),
    [anon_sym_smooth] = ACTIONS(1585),
    [anon_sym_flat] = ACTIONS(1585),
    [anon_sym_noperspective] = ACTIONS(1585),
    [anon_sym___extension__] = ACTIONS(1585),
    [anon_sym_typedef] = ACTIONS(1585),
    [anon_sym_extern] = ACTIONS(1585),
    [anon_sym___attribute__] = ACTIONS(1585),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1587),
    [anon_sym___declspec] = ACTIONS(1585),
    [anon_sym___cdecl] = ACTIONS(1585),
    [anon_sym___clrcall] = ACTIONS(1585),
    [anon_sym___stdcall] = ACTIONS(1585),
    [anon_sym___fastcall] = ACTIONS(1585),
    [anon_sym___thiscall] = ACTIONS(1585),
    [anon_sym___vectorcall] = ACTIONS(1585),
    [anon_sym_LBRACE] = ACTIONS(1587),
    [anon_sym_signed] = ACTIONS(1585),
    [anon_sym_unsigned] = ACTIONS(1585),
    [anon_sym_long] = ACTIONS(1585),
    [anon_sym_short] = ACTIONS(1585),
    [anon_sym_static] = ACTIONS(1585),
    [anon_sym_auto] = ACTIONS(1585),
    [anon_sym_register] = ACTIONS(1585),
    [anon_sym_inline] = ACTIONS(1585),
    [anon_sym___inline] = ACTIONS(1585),
    [anon_sym___inline__] = ACTIONS(1585),
    [anon_sym___forceinline] = ACTIONS(1585),
    [anon_sym_thread_local] = ACTIONS(1585),
    [anon_sym___thread] = ACTIONS(1585),
    [anon_sym_const] = ACTIONS(1585),
    [anon_sym_constexpr] = ACTIONS(1585),
    [anon_sym_volatile] = ACTIONS(1585),
    [anon_sym_restrict] = ACTIONS(1585),
    [anon_sym___restrict__] = ACTIONS(1585),
    [anon_sym__Atomic] = ACTIONS(1585),
    [anon_sym__Noreturn] = ACTIONS(1585),
    [anon_sym_noreturn] = ACTIONS(1585),
    [sym_primitive_type] = ACTIONS(1585),
    [anon_sym_enum] = ACTIONS(1585),
    [anon_sym_struct] = ACTIONS(1585),
    [anon_sym_union] = ACTIONS(1585),
    [anon_sym_if] = ACTIONS(1585),
    [anon_sym_else] = ACTIONS(1585),
    [anon_sym_switch] = ACTIONS(1585),
    [anon_sym_case] = ACTIONS(1585),
    [anon_sym_default] = ACTIONS(1585),
    [anon_sym_while] = ACTIONS(1585),
    [anon_sym_do] = ACTIONS(1585),
    [anon_sym_for] = ACTIONS(1585),
    [anon_sym_return] = ACTIONS(1585),
    [anon_sym_break] = ACTIONS(1585),
    [anon_sym_continue] = ACTIONS(1585),
    [anon_sym_goto] = ACTIONS(1585),
    [anon_sym___try] = ACTIONS(1585),
    [anon_sym___leave] = ACTIONS(1585),
    [anon_sym_DASH_DASH] = ACTIONS(1587),
    [anon_sym_PLUS_PLUS] = ACTIONS(1587),
    [anon_sym_sizeof] = ACTIONS(1585),
    [anon_sym___alignof__] = ACTIONS(1585),
    [anon_sym___alignof] = ACTIONS(1585),
    [anon_sym__alignof] = ACTIONS(1585),
    [anon_sym_alignof] = ACTIONS(1585),
    [anon_sym__Alignof] = ACTIONS(1585),
    [anon_sym_offsetof] = ACTIONS(1585),
    [anon_sym__Generic] = ACTIONS(1585),
    [anon_sym_asm] = ACTIONS(1585),
    [anon_sym___asm__] = ACTIONS(1585),
    [sym_number_literal] = ACTIONS(1587),
    [anon_sym_L_SQUOTE] = ACTIONS(1587),
    [anon_sym_u_SQUOTE] = ACTIONS(1587),
    [anon_sym_U_SQUOTE] = ACTIONS(1587),
    [anon_sym_u8_SQUOTE] = ACTIONS(1587),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_L_DQUOTE] = ACTIONS(1587),
    [anon_sym_u_DQUOTE] = ACTIONS(1587),
    [anon_sym_U_DQUOTE] = ACTIONS(1587),
    [anon_sym_u8_DQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_true] = ACTIONS(1585),
    [sym_false] = ACTIONS(1585),
    [anon_sym_NULL] = ACTIONS(1585),
    [anon_sym_nullptr] = ACTIONS(1585),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1585),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1585),
    [anon_sym_hitAttributeEXT] = ACTIONS(1585),
    [anon_sym_callableDataEXT] = ACTIONS(1585),
    [anon_sym_callableDataInEXT] = ACTIONS(1585),
    [anon_sym_shaderRecordEXT] = ACTIONS(1585),
    [anon_sym_rayPayloadNV] = ACTIONS(1585),
    [anon_sym_rayPayloadInNV] = ACTIONS(1585),
    [anon_sym_hitAttributeNV] = ACTIONS(1585),
    [anon_sym_callableDataNV] = ACTIONS(1585),
    [anon_sym_callableDataInNV] = ACTIONS(1585),
    [anon_sym_shaderRecordNV] = ACTIONS(1585),
    [anon_sym_layout] = ACTIONS(1585),
  },
  [156] = {
    [sym_else_clause] = STATE(200),
    [sym_identifier] = ACTIONS(1423),
    [aux_sym_preproc_include_token1] = ACTIONS(1423),
    [aux_sym_preproc_def_token1] = ACTIONS(1423),
    [aux_sym_preproc_if_token1] = ACTIONS(1423),
    [aux_sym_preproc_if_token2] = ACTIONS(1423),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1423),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1423),
    [aux_sym_preproc_else_token1] = ACTIONS(1423),
    [aux_sym_preproc_elif_token1] = ACTIONS(1423),
    [sym_preproc_directive] = ACTIONS(1423),
    [anon_sym_LPAREN2] = ACTIONS(1425),
    [anon_sym_BANG] = ACTIONS(1425),
    [anon_sym_TILDE] = ACTIONS(1425),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1425),
    [anon_sym_AMP] = ACTIONS(1425),
    [anon_sym_subroutine] = ACTIONS(1423),
    [anon_sym_invariant] = ACTIONS(1423),
    [anon_sym_precise] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1425),
    [anon_sym_in] = ACTIONS(1423),
    [anon_sym_out] = ACTIONS(1423),
    [anon_sym_inout] = ACTIONS(1423),
    [anon_sym_uniform] = ACTIONS(1423),
    [anon_sym_shared] = ACTIONS(1423),
    [anon_sym_attribute] = ACTIONS(1423),
    [anon_sym_varying] = ACTIONS(1423),
    [anon_sym_buffer] = ACTIONS(1423),
    [anon_sym_coherent] = ACTIONS(1423),
    [anon_sym_readonly] = ACTIONS(1423),
    [anon_sym_writeonly] = ACTIONS(1423),
    [anon_sym_precision] = ACTIONS(1423),
    [anon_sym_highp] = ACTIONS(1423),
    [anon_sym_mediump] = ACTIONS(1423),
    [anon_sym_lowp] = ACTIONS(1423),
    [anon_sym_centroid] = ACTIONS(1423),
    [anon_sym_sample] = ACTIONS(1423),
    [anon_sym_patch] = ACTIONS(1423),
    [anon_sym_smooth] = ACTIONS(1423),
    [anon_sym_flat] = ACTIONS(1423),
    [anon_sym_noperspective] = ACTIONS(1423),
    [anon_sym___extension__] = ACTIONS(1423),
    [anon_sym_typedef] = ACTIONS(1423),
    [anon_sym_extern] = ACTIONS(1423),
    [anon_sym___attribute__] = ACTIONS(1423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1425),
    [anon_sym___declspec] = ACTIONS(1423),
    [anon_sym___cdecl] = ACTIONS(1423),
    [anon_sym___clrcall] = ACTIONS(1423),
    [anon_sym___stdcall] = ACTIONS(1423),
    [anon_sym___fastcall] = ACTIONS(1423),
    [anon_sym___thiscall] = ACTIONS(1423),
    [anon_sym___vectorcall] = ACTIONS(1423),
    [anon_sym_LBRACE] = ACTIONS(1425),
    [anon_sym_signed] = ACTIONS(1423),
    [anon_sym_unsigned] = ACTIONS(1423),
    [anon_sym_long] = ACTIONS(1423),
    [anon_sym_short] = ACTIONS(1423),
    [anon_sym_static] = ACTIONS(1423),
    [anon_sym_auto] = ACTIONS(1423),
    [anon_sym_register] = ACTIONS(1423),
    [anon_sym_inline] = ACTIONS(1423),
    [anon_sym___inline] = ACTIONS(1423),
    [anon_sym___inline__] = ACTIONS(1423),
    [anon_sym___forceinline] = ACTIONS(1423),
    [anon_sym_thread_local] = ACTIONS(1423),
    [anon_sym___thread] = ACTIONS(1423),
    [anon_sym_const] = ACTIONS(1423),
    [anon_sym_constexpr] = ACTIONS(1423),
    [anon_sym_volatile] = ACTIONS(1423),
    [anon_sym_restrict] = ACTIONS(1423),
    [anon_sym___restrict__] = ACTIONS(1423),
    [anon_sym__Atomic] = ACTIONS(1423),
    [anon_sym__Noreturn] = ACTIONS(1423),
    [anon_sym_noreturn] = ACTIONS(1423),
    [sym_primitive_type] = ACTIONS(1423),
    [anon_sym_enum] = ACTIONS(1423),
    [anon_sym_struct] = ACTIONS(1423),
    [anon_sym_union] = ACTIONS(1423),
    [anon_sym_if] = ACTIONS(1423),
    [anon_sym_else] = ACTIONS(1589),
    [anon_sym_switch] = ACTIONS(1423),
    [anon_sym_case] = ACTIONS(1423),
    [anon_sym_default] = ACTIONS(1423),
    [anon_sym_while] = ACTIONS(1423),
    [anon_sym_do] = ACTIONS(1423),
    [anon_sym_for] = ACTIONS(1423),
    [anon_sym_return] = ACTIONS(1423),
    [anon_sym_break] = ACTIONS(1423),
    [anon_sym_continue] = ACTIONS(1423),
    [anon_sym_goto] = ACTIONS(1423),
    [anon_sym___try] = ACTIONS(1423),
    [anon_sym___leave] = ACTIONS(1423),
    [anon_sym_DASH_DASH] = ACTIONS(1425),
    [anon_sym_PLUS_PLUS] = ACTIONS(1425),
    [anon_sym_sizeof] = ACTIONS(1423),
    [anon_sym___alignof__] = ACTIONS(1423),
    [anon_sym___alignof] = ACTIONS(1423),
    [anon_sym__alignof] = ACTIONS(1423),
    [anon_sym_alignof] = ACTIONS(1423),
    [anon_sym__Alignof] = ACTIONS(1423),
    [anon_sym_offsetof] = ACTIONS(1423),
    [anon_sym__Generic] = ACTIONS(1423),
    [anon_sym_asm] = ACTIONS(1423),
    [anon_sym___asm__] = ACTIONS(1423),
    [sym_number_literal] = ACTIONS(1425),
    [anon_sym_L_SQUOTE] = ACTIONS(1425),
    [anon_sym_u_SQUOTE] = ACTIONS(1425),
    [anon_sym_U_SQUOTE] = ACTIONS(1425),
    [anon_sym_u8_SQUOTE] = ACTIONS(1425),
    [anon_sym_SQUOTE] = ACTIONS(1425),
    [anon_sym_L_DQUOTE] = ACTIONS(1425),
    [anon_sym_u_DQUOTE] = ACTIONS(1425),
    [anon_sym_U_DQUOTE] = ACTIONS(1425),
    [anon_sym_u8_DQUOTE] = ACTIONS(1425),
    [anon_sym_DQUOTE] = ACTIONS(1425),
    [sym_true] = ACTIONS(1423),
    [sym_false] = ACTIONS(1423),
    [anon_sym_NULL] = ACTIONS(1423),
    [anon_sym_nullptr] = ACTIONS(1423),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1423),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1423),
    [anon_sym_hitAttributeEXT] = ACTIONS(1423),
    [anon_sym_callableDataEXT] = ACTIONS(1423),
    [anon_sym_callableDataInEXT] = ACTIONS(1423),
    [anon_sym_shaderRecordEXT] = ACTIONS(1423),
    [anon_sym_rayPayloadNV] = ACTIONS(1423),
    [anon_sym_rayPayloadInNV] = ACTIONS(1423),
    [anon_sym_hitAttributeNV] = ACTIONS(1423),
    [anon_sym_callableDataNV] = ACTIONS(1423),
    [anon_sym_callableDataInNV] = ACTIONS(1423),
    [anon_sym_shaderRecordNV] = ACTIONS(1423),
    [anon_sym_layout] = ACTIONS(1423),
  },
  [157] = {
    [sym_identifier] = ACTIONS(1591),
    [aux_sym_preproc_include_token1] = ACTIONS(1591),
    [aux_sym_preproc_def_token1] = ACTIONS(1591),
    [aux_sym_preproc_if_token1] = ACTIONS(1591),
    [aux_sym_preproc_if_token2] = ACTIONS(1591),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1591),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1591),
    [aux_sym_preproc_else_token1] = ACTIONS(1591),
    [aux_sym_preproc_elif_token1] = ACTIONS(1591),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1591),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1591),
    [sym_preproc_directive] = ACTIONS(1591),
    [anon_sym_LPAREN2] = ACTIONS(1593),
    [anon_sym_BANG] = ACTIONS(1593),
    [anon_sym_TILDE] = ACTIONS(1593),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_STAR] = ACTIONS(1593),
    [anon_sym_AMP] = ACTIONS(1593),
    [anon_sym_subroutine] = ACTIONS(1591),
    [anon_sym_invariant] = ACTIONS(1591),
    [anon_sym_precise] = ACTIONS(1591),
    [anon_sym_SEMI] = ACTIONS(1593),
    [anon_sym_in] = ACTIONS(1591),
    [anon_sym_out] = ACTIONS(1591),
    [anon_sym_inout] = ACTIONS(1591),
    [anon_sym_uniform] = ACTIONS(1591),
    [anon_sym_shared] = ACTIONS(1591),
    [anon_sym_attribute] = ACTIONS(1591),
    [anon_sym_varying] = ACTIONS(1591),
    [anon_sym_buffer] = ACTIONS(1591),
    [anon_sym_coherent] = ACTIONS(1591),
    [anon_sym_readonly] = ACTIONS(1591),
    [anon_sym_writeonly] = ACTIONS(1591),
    [anon_sym_precision] = ACTIONS(1591),
    [anon_sym_highp] = ACTIONS(1591),
    [anon_sym_mediump] = ACTIONS(1591),
    [anon_sym_lowp] = ACTIONS(1591),
    [anon_sym_centroid] = ACTIONS(1591),
    [anon_sym_sample] = ACTIONS(1591),
    [anon_sym_patch] = ACTIONS(1591),
    [anon_sym_smooth] = ACTIONS(1591),
    [anon_sym_flat] = ACTIONS(1591),
    [anon_sym_noperspective] = ACTIONS(1591),
    [anon_sym___extension__] = ACTIONS(1591),
    [anon_sym_typedef] = ACTIONS(1591),
    [anon_sym_extern] = ACTIONS(1591),
    [anon_sym___attribute__] = ACTIONS(1591),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1593),
    [anon_sym___declspec] = ACTIONS(1591),
    [anon_sym___cdecl] = ACTIONS(1591),
    [anon_sym___clrcall] = ACTIONS(1591),
    [anon_sym___stdcall] = ACTIONS(1591),
    [anon_sym___fastcall] = ACTIONS(1591),
    [anon_sym___thiscall] = ACTIONS(1591),
    [anon_sym___vectorcall] = ACTIONS(1591),
    [anon_sym_LBRACE] = ACTIONS(1593),
    [anon_sym_signed] = ACTIONS(1591),
    [anon_sym_unsigned] = ACTIONS(1591),
    [anon_sym_long] = ACTIONS(1591),
    [anon_sym_short] = ACTIONS(1591),
    [anon_sym_static] = ACTIONS(1591),
    [anon_sym_auto] = ACTIONS(1591),
    [anon_sym_register] = ACTIONS(1591),
    [anon_sym_inline] = ACTIONS(1591),
    [anon_sym___inline] = ACTIONS(1591),
    [anon_sym___inline__] = ACTIONS(1591),
    [anon_sym___forceinline] = ACTIONS(1591),
    [anon_sym_thread_local] = ACTIONS(1591),
    [anon_sym___thread] = ACTIONS(1591),
    [anon_sym_const] = ACTIONS(1591),
    [anon_sym_constexpr] = ACTIONS(1591),
    [anon_sym_volatile] = ACTIONS(1591),
    [anon_sym_restrict] = ACTIONS(1591),
    [anon_sym___restrict__] = ACTIONS(1591),
    [anon_sym__Atomic] = ACTIONS(1591),
    [anon_sym__Noreturn] = ACTIONS(1591),
    [anon_sym_noreturn] = ACTIONS(1591),
    [sym_primitive_type] = ACTIONS(1591),
    [anon_sym_enum] = ACTIONS(1591),
    [anon_sym_struct] = ACTIONS(1591),
    [anon_sym_union] = ACTIONS(1591),
    [anon_sym_if] = ACTIONS(1591),
    [anon_sym_switch] = ACTIONS(1591),
    [anon_sym_case] = ACTIONS(1591),
    [anon_sym_default] = ACTIONS(1591),
    [anon_sym_while] = ACTIONS(1591),
    [anon_sym_do] = ACTIONS(1591),
    [anon_sym_for] = ACTIONS(1591),
    [anon_sym_return] = ACTIONS(1591),
    [anon_sym_break] = ACTIONS(1591),
    [anon_sym_continue] = ACTIONS(1591),
    [anon_sym_goto] = ACTIONS(1591),
    [anon_sym___try] = ACTIONS(1591),
    [anon_sym___leave] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1593),
    [anon_sym_PLUS_PLUS] = ACTIONS(1593),
    [anon_sym_sizeof] = ACTIONS(1591),
    [anon_sym___alignof__] = ACTIONS(1591),
    [anon_sym___alignof] = ACTIONS(1591),
    [anon_sym__alignof] = ACTIONS(1591),
    [anon_sym_alignof] = ACTIONS(1591),
    [anon_sym__Alignof] = ACTIONS(1591),
    [anon_sym_offsetof] = ACTIONS(1591),
    [anon_sym__Generic] = ACTIONS(1591),
    [anon_sym_asm] = ACTIONS(1591),
    [anon_sym___asm__] = ACTIONS(1591),
    [sym_number_literal] = ACTIONS(1593),
    [anon_sym_L_SQUOTE] = ACTIONS(1593),
    [anon_sym_u_SQUOTE] = ACTIONS(1593),
    [anon_sym_U_SQUOTE] = ACTIONS(1593),
    [anon_sym_u8_SQUOTE] = ACTIONS(1593),
    [anon_sym_SQUOTE] = ACTIONS(1593),
    [anon_sym_L_DQUOTE] = ACTIONS(1593),
    [anon_sym_u_DQUOTE] = ACTIONS(1593),
    [anon_sym_U_DQUOTE] = ACTIONS(1593),
    [anon_sym_u8_DQUOTE] = ACTIONS(1593),
    [anon_sym_DQUOTE] = ACTIONS(1593),
    [sym_true] = ACTIONS(1591),
    [sym_false] = ACTIONS(1591),
    [anon_sym_NULL] = ACTIONS(1591),
    [anon_sym_nullptr] = ACTIONS(1591),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1591),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1591),
    [anon_sym_hitAttributeEXT] = ACTIONS(1591),
    [anon_sym_callableDataEXT] = ACTIONS(1591),
    [anon_sym_callableDataInEXT] = ACTIONS(1591),
    [anon_sym_shaderRecordEXT] = ACTIONS(1591),
    [anon_sym_rayPayloadNV] = ACTIONS(1591),
    [anon_sym_rayPayloadInNV] = ACTIONS(1591),
    [anon_sym_hitAttributeNV] = ACTIONS(1591),
    [anon_sym_callableDataNV] = ACTIONS(1591),
    [anon_sym_callableDataInNV] = ACTIONS(1591),
    [anon_sym_shaderRecordNV] = ACTIONS(1591),
    [anon_sym_layout] = ACTIONS(1591),
  },
  [158] = {
    [sym_identifier] = ACTIONS(1595),
    [aux_sym_preproc_include_token1] = ACTIONS(1595),
    [aux_sym_preproc_def_token1] = ACTIONS(1595),
    [aux_sym_preproc_if_token1] = ACTIONS(1595),
    [aux_sym_preproc_if_token2] = ACTIONS(1595),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1595),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1595),
    [aux_sym_preproc_else_token1] = ACTIONS(1595),
    [aux_sym_preproc_elif_token1] = ACTIONS(1595),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1595),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1595),
    [sym_preproc_directive] = ACTIONS(1595),
    [anon_sym_LPAREN2] = ACTIONS(1597),
    [anon_sym_BANG] = ACTIONS(1597),
    [anon_sym_TILDE] = ACTIONS(1597),
    [anon_sym_DASH] = ACTIONS(1595),
    [anon_sym_PLUS] = ACTIONS(1595),
    [anon_sym_STAR] = ACTIONS(1597),
    [anon_sym_AMP] = ACTIONS(1597),
    [anon_sym_subroutine] = ACTIONS(1595),
    [anon_sym_invariant] = ACTIONS(1595),
    [anon_sym_precise] = ACTIONS(1595),
    [anon_sym_SEMI] = ACTIONS(1597),
    [anon_sym_in] = ACTIONS(1595),
    [anon_sym_out] = ACTIONS(1595),
    [anon_sym_inout] = ACTIONS(1595),
    [anon_sym_uniform] = ACTIONS(1595),
    [anon_sym_shared] = ACTIONS(1595),
    [anon_sym_attribute] = ACTIONS(1595),
    [anon_sym_varying] = ACTIONS(1595),
    [anon_sym_buffer] = ACTIONS(1595),
    [anon_sym_coherent] = ACTIONS(1595),
    [anon_sym_readonly] = ACTIONS(1595),
    [anon_sym_writeonly] = ACTIONS(1595),
    [anon_sym_precision] = ACTIONS(1595),
    [anon_sym_highp] = ACTIONS(1595),
    [anon_sym_mediump] = ACTIONS(1595),
    [anon_sym_lowp] = ACTIONS(1595),
    [anon_sym_centroid] = ACTIONS(1595),
    [anon_sym_sample] = ACTIONS(1595),
    [anon_sym_patch] = ACTIONS(1595),
    [anon_sym_smooth] = ACTIONS(1595),
    [anon_sym_flat] = ACTIONS(1595),
    [anon_sym_noperspective] = ACTIONS(1595),
    [anon_sym___extension__] = ACTIONS(1595),
    [anon_sym_typedef] = ACTIONS(1595),
    [anon_sym_extern] = ACTIONS(1595),
    [anon_sym___attribute__] = ACTIONS(1595),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1597),
    [anon_sym___declspec] = ACTIONS(1595),
    [anon_sym___cdecl] = ACTIONS(1595),
    [anon_sym___clrcall] = ACTIONS(1595),
    [anon_sym___stdcall] = ACTIONS(1595),
    [anon_sym___fastcall] = ACTIONS(1595),
    [anon_sym___thiscall] = ACTIONS(1595),
    [anon_sym___vectorcall] = ACTIONS(1595),
    [anon_sym_LBRACE] = ACTIONS(1597),
    [anon_sym_signed] = ACTIONS(1595),
    [anon_sym_unsigned] = ACTIONS(1595),
    [anon_sym_long] = ACTIONS(1595),
    [anon_sym_short] = ACTIONS(1595),
    [anon_sym_static] = ACTIONS(1595),
    [anon_sym_auto] = ACTIONS(1595),
    [anon_sym_register] = ACTIONS(1595),
    [anon_sym_inline] = ACTIONS(1595),
    [anon_sym___inline] = ACTIONS(1595),
    [anon_sym___inline__] = ACTIONS(1595),
    [anon_sym___forceinline] = ACTIONS(1595),
    [anon_sym_thread_local] = ACTIONS(1595),
    [anon_sym___thread] = ACTIONS(1595),
    [anon_sym_const] = ACTIONS(1595),
    [anon_sym_constexpr] = ACTIONS(1595),
    [anon_sym_volatile] = ACTIONS(1595),
    [anon_sym_restrict] = ACTIONS(1595),
    [anon_sym___restrict__] = ACTIONS(1595),
    [anon_sym__Atomic] = ACTIONS(1595),
    [anon_sym__Noreturn] = ACTIONS(1595),
    [anon_sym_noreturn] = ACTIONS(1595),
    [sym_primitive_type] = ACTIONS(1595),
    [anon_sym_enum] = ACTIONS(1595),
    [anon_sym_struct] = ACTIONS(1595),
    [anon_sym_union] = ACTIONS(1595),
    [anon_sym_if] = ACTIONS(1595),
    [anon_sym_switch] = ACTIONS(1595),
    [anon_sym_case] = ACTIONS(1595),
    [anon_sym_default] = ACTIONS(1595),
    [anon_sym_while] = ACTIONS(1595),
    [anon_sym_do] = ACTIONS(1595),
    [anon_sym_for] = ACTIONS(1595),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_break] = ACTIONS(1595),
    [anon_sym_continue] = ACTIONS(1595),
    [anon_sym_goto] = ACTIONS(1595),
    [anon_sym___try] = ACTIONS(1595),
    [anon_sym___leave] = ACTIONS(1595),
    [anon_sym_DASH_DASH] = ACTIONS(1597),
    [anon_sym_PLUS_PLUS] = ACTIONS(1597),
    [anon_sym_sizeof] = ACTIONS(1595),
    [anon_sym___alignof__] = ACTIONS(1595),
    [anon_sym___alignof] = ACTIONS(1595),
    [anon_sym__alignof] = ACTIONS(1595),
    [anon_sym_alignof] = ACTIONS(1595),
    [anon_sym__Alignof] = ACTIONS(1595),
    [anon_sym_offsetof] = ACTIONS(1595),
    [anon_sym__Generic] = ACTIONS(1595),
    [anon_sym_asm] = ACTIONS(1595),
    [anon_sym___asm__] = ACTIONS(1595),
    [sym_number_literal] = ACTIONS(1597),
    [anon_sym_L_SQUOTE] = ACTIONS(1597),
    [anon_sym_u_SQUOTE] = ACTIONS(1597),
    [anon_sym_U_SQUOTE] = ACTIONS(1597),
    [anon_sym_u8_SQUOTE] = ACTIONS(1597),
    [anon_sym_SQUOTE] = ACTIONS(1597),
    [anon_sym_L_DQUOTE] = ACTIONS(1597),
    [anon_sym_u_DQUOTE] = ACTIONS(1597),
    [anon_sym_U_DQUOTE] = ACTIONS(1597),
    [anon_sym_u8_DQUOTE] = ACTIONS(1597),
    [anon_sym_DQUOTE] = ACTIONS(1597),
    [sym_true] = ACTIONS(1595),
    [sym_false] = ACTIONS(1595),
    [anon_sym_NULL] = ACTIONS(1595),
    [anon_sym_nullptr] = ACTIONS(1595),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1595),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1595),
    [anon_sym_hitAttributeEXT] = ACTIONS(1595),
    [anon_sym_callableDataEXT] = ACTIONS(1595),
    [anon_sym_callableDataInEXT] = ACTIONS(1595),
    [anon_sym_shaderRecordEXT] = ACTIONS(1595),
    [anon_sym_rayPayloadNV] = ACTIONS(1595),
    [anon_sym_rayPayloadInNV] = ACTIONS(1595),
    [anon_sym_hitAttributeNV] = ACTIONS(1595),
    [anon_sym_callableDataNV] = ACTIONS(1595),
    [anon_sym_callableDataInNV] = ACTIONS(1595),
    [anon_sym_shaderRecordNV] = ACTIONS(1595),
    [anon_sym_layout] = ACTIONS(1595),
  },
  [159] = {
    [sym_identifier] = ACTIONS(1599),
    [aux_sym_preproc_include_token1] = ACTIONS(1599),
    [aux_sym_preproc_def_token1] = ACTIONS(1599),
    [aux_sym_preproc_if_token1] = ACTIONS(1599),
    [aux_sym_preproc_if_token2] = ACTIONS(1599),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1599),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1599),
    [aux_sym_preproc_else_token1] = ACTIONS(1599),
    [aux_sym_preproc_elif_token1] = ACTIONS(1599),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1599),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1599),
    [sym_preproc_directive] = ACTIONS(1599),
    [anon_sym_LPAREN2] = ACTIONS(1601),
    [anon_sym_BANG] = ACTIONS(1601),
    [anon_sym_TILDE] = ACTIONS(1601),
    [anon_sym_DASH] = ACTIONS(1599),
    [anon_sym_PLUS] = ACTIONS(1599),
    [anon_sym_STAR] = ACTIONS(1601),
    [anon_sym_AMP] = ACTIONS(1601),
    [anon_sym_subroutine] = ACTIONS(1599),
    [anon_sym_invariant] = ACTIONS(1599),
    [anon_sym_precise] = ACTIONS(1599),
    [anon_sym_SEMI] = ACTIONS(1601),
    [anon_sym_in] = ACTIONS(1599),
    [anon_sym_out] = ACTIONS(1599),
    [anon_sym_inout] = ACTIONS(1599),
    [anon_sym_uniform] = ACTIONS(1599),
    [anon_sym_shared] = ACTIONS(1599),
    [anon_sym_attribute] = ACTIONS(1599),
    [anon_sym_varying] = ACTIONS(1599),
    [anon_sym_buffer] = ACTIONS(1599),
    [anon_sym_coherent] = ACTIONS(1599),
    [anon_sym_readonly] = ACTIONS(1599),
    [anon_sym_writeonly] = ACTIONS(1599),
    [anon_sym_precision] = ACTIONS(1599),
    [anon_sym_highp] = ACTIONS(1599),
    [anon_sym_mediump] = ACTIONS(1599),
    [anon_sym_lowp] = ACTIONS(1599),
    [anon_sym_centroid] = ACTIONS(1599),
    [anon_sym_sample] = ACTIONS(1599),
    [anon_sym_patch] = ACTIONS(1599),
    [anon_sym_smooth] = ACTIONS(1599),
    [anon_sym_flat] = ACTIONS(1599),
    [anon_sym_noperspective] = ACTIONS(1599),
    [anon_sym___extension__] = ACTIONS(1599),
    [anon_sym_typedef] = ACTIONS(1599),
    [anon_sym_extern] = ACTIONS(1599),
    [anon_sym___attribute__] = ACTIONS(1599),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1601),
    [anon_sym___declspec] = ACTIONS(1599),
    [anon_sym___cdecl] = ACTIONS(1599),
    [anon_sym___clrcall] = ACTIONS(1599),
    [anon_sym___stdcall] = ACTIONS(1599),
    [anon_sym___fastcall] = ACTIONS(1599),
    [anon_sym___thiscall] = ACTIONS(1599),
    [anon_sym___vectorcall] = ACTIONS(1599),
    [anon_sym_LBRACE] = ACTIONS(1601),
    [anon_sym_signed] = ACTIONS(1599),
    [anon_sym_unsigned] = ACTIONS(1599),
    [anon_sym_long] = ACTIONS(1599),
    [anon_sym_short] = ACTIONS(1599),
    [anon_sym_static] = ACTIONS(1599),
    [anon_sym_auto] = ACTIONS(1599),
    [anon_sym_register] = ACTIONS(1599),
    [anon_sym_inline] = ACTIONS(1599),
    [anon_sym___inline] = ACTIONS(1599),
    [anon_sym___inline__] = ACTIONS(1599),
    [anon_sym___forceinline] = ACTIONS(1599),
    [anon_sym_thread_local] = ACTIONS(1599),
    [anon_sym___thread] = ACTIONS(1599),
    [anon_sym_const] = ACTIONS(1599),
    [anon_sym_constexpr] = ACTIONS(1599),
    [anon_sym_volatile] = ACTIONS(1599),
    [anon_sym_restrict] = ACTIONS(1599),
    [anon_sym___restrict__] = ACTIONS(1599),
    [anon_sym__Atomic] = ACTIONS(1599),
    [anon_sym__Noreturn] = ACTIONS(1599),
    [anon_sym_noreturn] = ACTIONS(1599),
    [sym_primitive_type] = ACTIONS(1599),
    [anon_sym_enum] = ACTIONS(1599),
    [anon_sym_struct] = ACTIONS(1599),
    [anon_sym_union] = ACTIONS(1599),
    [anon_sym_if] = ACTIONS(1599),
    [anon_sym_switch] = ACTIONS(1599),
    [anon_sym_case] = ACTIONS(1599),
    [anon_sym_default] = ACTIONS(1599),
    [anon_sym_while] = ACTIONS(1599),
    [anon_sym_do] = ACTIONS(1599),
    [anon_sym_for] = ACTIONS(1599),
    [anon_sym_return] = ACTIONS(1599),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_continue] = ACTIONS(1599),
    [anon_sym_goto] = ACTIONS(1599),
    [anon_sym___try] = ACTIONS(1599),
    [anon_sym___leave] = ACTIONS(1599),
    [anon_sym_DASH_DASH] = ACTIONS(1601),
    [anon_sym_PLUS_PLUS] = ACTIONS(1601),
    [anon_sym_sizeof] = ACTIONS(1599),
    [anon_sym___alignof__] = ACTIONS(1599),
    [anon_sym___alignof] = ACTIONS(1599),
    [anon_sym__alignof] = ACTIONS(1599),
    [anon_sym_alignof] = ACTIONS(1599),
    [anon_sym__Alignof] = ACTIONS(1599),
    [anon_sym_offsetof] = ACTIONS(1599),
    [anon_sym__Generic] = ACTIONS(1599),
    [anon_sym_asm] = ACTIONS(1599),
    [anon_sym___asm__] = ACTIONS(1599),
    [sym_number_literal] = ACTIONS(1601),
    [anon_sym_L_SQUOTE] = ACTIONS(1601),
    [anon_sym_u_SQUOTE] = ACTIONS(1601),
    [anon_sym_U_SQUOTE] = ACTIONS(1601),
    [anon_sym_u8_SQUOTE] = ACTIONS(1601),
    [anon_sym_SQUOTE] = ACTIONS(1601),
    [anon_sym_L_DQUOTE] = ACTIONS(1601),
    [anon_sym_u_DQUOTE] = ACTIONS(1601),
    [anon_sym_U_DQUOTE] = ACTIONS(1601),
    [anon_sym_u8_DQUOTE] = ACTIONS(1601),
    [anon_sym_DQUOTE] = ACTIONS(1601),
    [sym_true] = ACTIONS(1599),
    [sym_false] = ACTIONS(1599),
    [anon_sym_NULL] = ACTIONS(1599),
    [anon_sym_nullptr] = ACTIONS(1599),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1599),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1599),
    [anon_sym_hitAttributeEXT] = ACTIONS(1599),
    [anon_sym_callableDataEXT] = ACTIONS(1599),
    [anon_sym_callableDataInEXT] = ACTIONS(1599),
    [anon_sym_shaderRecordEXT] = ACTIONS(1599),
    [anon_sym_rayPayloadNV] = ACTIONS(1599),
    [anon_sym_rayPayloadInNV] = ACTIONS(1599),
    [anon_sym_hitAttributeNV] = ACTIONS(1599),
    [anon_sym_callableDataNV] = ACTIONS(1599),
    [anon_sym_callableDataInNV] = ACTIONS(1599),
    [anon_sym_shaderRecordNV] = ACTIONS(1599),
    [anon_sym_layout] = ACTIONS(1599),
  },
  [160] = {
    [sym_identifier] = ACTIONS(1603),
    [aux_sym_preproc_include_token1] = ACTIONS(1603),
    [aux_sym_preproc_def_token1] = ACTIONS(1603),
    [aux_sym_preproc_if_token1] = ACTIONS(1603),
    [aux_sym_preproc_if_token2] = ACTIONS(1603),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1603),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1603),
    [aux_sym_preproc_else_token1] = ACTIONS(1603),
    [aux_sym_preproc_elif_token1] = ACTIONS(1603),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1603),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1603),
    [sym_preproc_directive] = ACTIONS(1603),
    [anon_sym_LPAREN2] = ACTIONS(1605),
    [anon_sym_BANG] = ACTIONS(1605),
    [anon_sym_TILDE] = ACTIONS(1605),
    [anon_sym_DASH] = ACTIONS(1603),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_STAR] = ACTIONS(1605),
    [anon_sym_AMP] = ACTIONS(1605),
    [anon_sym_subroutine] = ACTIONS(1603),
    [anon_sym_invariant] = ACTIONS(1603),
    [anon_sym_precise] = ACTIONS(1603),
    [anon_sym_SEMI] = ACTIONS(1605),
    [anon_sym_in] = ACTIONS(1603),
    [anon_sym_out] = ACTIONS(1603),
    [anon_sym_inout] = ACTIONS(1603),
    [anon_sym_uniform] = ACTIONS(1603),
    [anon_sym_shared] = ACTIONS(1603),
    [anon_sym_attribute] = ACTIONS(1603),
    [anon_sym_varying] = ACTIONS(1603),
    [anon_sym_buffer] = ACTIONS(1603),
    [anon_sym_coherent] = ACTIONS(1603),
    [anon_sym_readonly] = ACTIONS(1603),
    [anon_sym_writeonly] = ACTIONS(1603),
    [anon_sym_precision] = ACTIONS(1603),
    [anon_sym_highp] = ACTIONS(1603),
    [anon_sym_mediump] = ACTIONS(1603),
    [anon_sym_lowp] = ACTIONS(1603),
    [anon_sym_centroid] = ACTIONS(1603),
    [anon_sym_sample] = ACTIONS(1603),
    [anon_sym_patch] = ACTIONS(1603),
    [anon_sym_smooth] = ACTIONS(1603),
    [anon_sym_flat] = ACTIONS(1603),
    [anon_sym_noperspective] = ACTIONS(1603),
    [anon_sym___extension__] = ACTIONS(1603),
    [anon_sym_typedef] = ACTIONS(1603),
    [anon_sym_extern] = ACTIONS(1603),
    [anon_sym___attribute__] = ACTIONS(1603),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1605),
    [anon_sym___declspec] = ACTIONS(1603),
    [anon_sym___cdecl] = ACTIONS(1603),
    [anon_sym___clrcall] = ACTIONS(1603),
    [anon_sym___stdcall] = ACTIONS(1603),
    [anon_sym___fastcall] = ACTIONS(1603),
    [anon_sym___thiscall] = ACTIONS(1603),
    [anon_sym___vectorcall] = ACTIONS(1603),
    [anon_sym_LBRACE] = ACTIONS(1605),
    [anon_sym_signed] = ACTIONS(1603),
    [anon_sym_unsigned] = ACTIONS(1603),
    [anon_sym_long] = ACTIONS(1603),
    [anon_sym_short] = ACTIONS(1603),
    [anon_sym_static] = ACTIONS(1603),
    [anon_sym_auto] = ACTIONS(1603),
    [anon_sym_register] = ACTIONS(1603),
    [anon_sym_inline] = ACTIONS(1603),
    [anon_sym___inline] = ACTIONS(1603),
    [anon_sym___inline__] = ACTIONS(1603),
    [anon_sym___forceinline] = ACTIONS(1603),
    [anon_sym_thread_local] = ACTIONS(1603),
    [anon_sym___thread] = ACTIONS(1603),
    [anon_sym_const] = ACTIONS(1603),
    [anon_sym_constexpr] = ACTIONS(1603),
    [anon_sym_volatile] = ACTIONS(1603),
    [anon_sym_restrict] = ACTIONS(1603),
    [anon_sym___restrict__] = ACTIONS(1603),
    [anon_sym__Atomic] = ACTIONS(1603),
    [anon_sym__Noreturn] = ACTIONS(1603),
    [anon_sym_noreturn] = ACTIONS(1603),
    [sym_primitive_type] = ACTIONS(1603),
    [anon_sym_enum] = ACTIONS(1603),
    [anon_sym_struct] = ACTIONS(1603),
    [anon_sym_union] = ACTIONS(1603),
    [anon_sym_if] = ACTIONS(1603),
    [anon_sym_switch] = ACTIONS(1603),
    [anon_sym_case] = ACTIONS(1603),
    [anon_sym_default] = ACTIONS(1603),
    [anon_sym_while] = ACTIONS(1603),
    [anon_sym_do] = ACTIONS(1603),
    [anon_sym_for] = ACTIONS(1603),
    [anon_sym_return] = ACTIONS(1603),
    [anon_sym_break] = ACTIONS(1603),
    [anon_sym_continue] = ACTIONS(1603),
    [anon_sym_goto] = ACTIONS(1603),
    [anon_sym___try] = ACTIONS(1603),
    [anon_sym___leave] = ACTIONS(1603),
    [anon_sym_DASH_DASH] = ACTIONS(1605),
    [anon_sym_PLUS_PLUS] = ACTIONS(1605),
    [anon_sym_sizeof] = ACTIONS(1603),
    [anon_sym___alignof__] = ACTIONS(1603),
    [anon_sym___alignof] = ACTIONS(1603),
    [anon_sym__alignof] = ACTIONS(1603),
    [anon_sym_alignof] = ACTIONS(1603),
    [anon_sym__Alignof] = ACTIONS(1603),
    [anon_sym_offsetof] = ACTIONS(1603),
    [anon_sym__Generic] = ACTIONS(1603),
    [anon_sym_asm] = ACTIONS(1603),
    [anon_sym___asm__] = ACTIONS(1603),
    [sym_number_literal] = ACTIONS(1605),
    [anon_sym_L_SQUOTE] = ACTIONS(1605),
    [anon_sym_u_SQUOTE] = ACTIONS(1605),
    [anon_sym_U_SQUOTE] = ACTIONS(1605),
    [anon_sym_u8_SQUOTE] = ACTIONS(1605),
    [anon_sym_SQUOTE] = ACTIONS(1605),
    [anon_sym_L_DQUOTE] = ACTIONS(1605),
    [anon_sym_u_DQUOTE] = ACTIONS(1605),
    [anon_sym_U_DQUOTE] = ACTIONS(1605),
    [anon_sym_u8_DQUOTE] = ACTIONS(1605),
    [anon_sym_DQUOTE] = ACTIONS(1605),
    [sym_true] = ACTIONS(1603),
    [sym_false] = ACTIONS(1603),
    [anon_sym_NULL] = ACTIONS(1603),
    [anon_sym_nullptr] = ACTIONS(1603),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1603),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1603),
    [anon_sym_hitAttributeEXT] = ACTIONS(1603),
    [anon_sym_callableDataEXT] = ACTIONS(1603),
    [anon_sym_callableDataInEXT] = ACTIONS(1603),
    [anon_sym_shaderRecordEXT] = ACTIONS(1603),
    [anon_sym_rayPayloadNV] = ACTIONS(1603),
    [anon_sym_rayPayloadInNV] = ACTIONS(1603),
    [anon_sym_hitAttributeNV] = ACTIONS(1603),
    [anon_sym_callableDataNV] = ACTIONS(1603),
    [anon_sym_callableDataInNV] = ACTIONS(1603),
    [anon_sym_shaderRecordNV] = ACTIONS(1603),
    [anon_sym_layout] = ACTIONS(1603),
  },
  [161] = {
    [sym_identifier] = ACTIONS(1607),
    [aux_sym_preproc_include_token1] = ACTIONS(1607),
    [aux_sym_preproc_def_token1] = ACTIONS(1607),
    [aux_sym_preproc_if_token1] = ACTIONS(1607),
    [aux_sym_preproc_if_token2] = ACTIONS(1607),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1607),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1607),
    [aux_sym_preproc_else_token1] = ACTIONS(1607),
    [aux_sym_preproc_elif_token1] = ACTIONS(1607),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1607),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1607),
    [sym_preproc_directive] = ACTIONS(1607),
    [anon_sym_LPAREN2] = ACTIONS(1609),
    [anon_sym_BANG] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1609),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_PLUS] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_AMP] = ACTIONS(1609),
    [anon_sym_subroutine] = ACTIONS(1607),
    [anon_sym_invariant] = ACTIONS(1607),
    [anon_sym_precise] = ACTIONS(1607),
    [anon_sym_SEMI] = ACTIONS(1609),
    [anon_sym_in] = ACTIONS(1607),
    [anon_sym_out] = ACTIONS(1607),
    [anon_sym_inout] = ACTIONS(1607),
    [anon_sym_uniform] = ACTIONS(1607),
    [anon_sym_shared] = ACTIONS(1607),
    [anon_sym_attribute] = ACTIONS(1607),
    [anon_sym_varying] = ACTIONS(1607),
    [anon_sym_buffer] = ACTIONS(1607),
    [anon_sym_coherent] = ACTIONS(1607),
    [anon_sym_readonly] = ACTIONS(1607),
    [anon_sym_writeonly] = ACTIONS(1607),
    [anon_sym_precision] = ACTIONS(1607),
    [anon_sym_highp] = ACTIONS(1607),
    [anon_sym_mediump] = ACTIONS(1607),
    [anon_sym_lowp] = ACTIONS(1607),
    [anon_sym_centroid] = ACTIONS(1607),
    [anon_sym_sample] = ACTIONS(1607),
    [anon_sym_patch] = ACTIONS(1607),
    [anon_sym_smooth] = ACTIONS(1607),
    [anon_sym_flat] = ACTIONS(1607),
    [anon_sym_noperspective] = ACTIONS(1607),
    [anon_sym___extension__] = ACTIONS(1607),
    [anon_sym_typedef] = ACTIONS(1607),
    [anon_sym_extern] = ACTIONS(1607),
    [anon_sym___attribute__] = ACTIONS(1607),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1609),
    [anon_sym___declspec] = ACTIONS(1607),
    [anon_sym___cdecl] = ACTIONS(1607),
    [anon_sym___clrcall] = ACTIONS(1607),
    [anon_sym___stdcall] = ACTIONS(1607),
    [anon_sym___fastcall] = ACTIONS(1607),
    [anon_sym___thiscall] = ACTIONS(1607),
    [anon_sym___vectorcall] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_signed] = ACTIONS(1607),
    [anon_sym_unsigned] = ACTIONS(1607),
    [anon_sym_long] = ACTIONS(1607),
    [anon_sym_short] = ACTIONS(1607),
    [anon_sym_static] = ACTIONS(1607),
    [anon_sym_auto] = ACTIONS(1607),
    [anon_sym_register] = ACTIONS(1607),
    [anon_sym_inline] = ACTIONS(1607),
    [anon_sym___inline] = ACTIONS(1607),
    [anon_sym___inline__] = ACTIONS(1607),
    [anon_sym___forceinline] = ACTIONS(1607),
    [anon_sym_thread_local] = ACTIONS(1607),
    [anon_sym___thread] = ACTIONS(1607),
    [anon_sym_const] = ACTIONS(1607),
    [anon_sym_constexpr] = ACTIONS(1607),
    [anon_sym_volatile] = ACTIONS(1607),
    [anon_sym_restrict] = ACTIONS(1607),
    [anon_sym___restrict__] = ACTIONS(1607),
    [anon_sym__Atomic] = ACTIONS(1607),
    [anon_sym__Noreturn] = ACTIONS(1607),
    [anon_sym_noreturn] = ACTIONS(1607),
    [sym_primitive_type] = ACTIONS(1607),
    [anon_sym_enum] = ACTIONS(1607),
    [anon_sym_struct] = ACTIONS(1607),
    [anon_sym_union] = ACTIONS(1607),
    [anon_sym_if] = ACTIONS(1607),
    [anon_sym_switch] = ACTIONS(1607),
    [anon_sym_case] = ACTIONS(1607),
    [anon_sym_default] = ACTIONS(1607),
    [anon_sym_while] = ACTIONS(1607),
    [anon_sym_do] = ACTIONS(1607),
    [anon_sym_for] = ACTIONS(1607),
    [anon_sym_return] = ACTIONS(1607),
    [anon_sym_break] = ACTIONS(1607),
    [anon_sym_continue] = ACTIONS(1607),
    [anon_sym_goto] = ACTIONS(1607),
    [anon_sym___try] = ACTIONS(1607),
    [anon_sym___leave] = ACTIONS(1607),
    [anon_sym_DASH_DASH] = ACTIONS(1609),
    [anon_sym_PLUS_PLUS] = ACTIONS(1609),
    [anon_sym_sizeof] = ACTIONS(1607),
    [anon_sym___alignof__] = ACTIONS(1607),
    [anon_sym___alignof] = ACTIONS(1607),
    [anon_sym__alignof] = ACTIONS(1607),
    [anon_sym_alignof] = ACTIONS(1607),
    [anon_sym__Alignof] = ACTIONS(1607),
    [anon_sym_offsetof] = ACTIONS(1607),
    [anon_sym__Generic] = ACTIONS(1607),
    [anon_sym_asm] = ACTIONS(1607),
    [anon_sym___asm__] = ACTIONS(1607),
    [sym_number_literal] = ACTIONS(1609),
    [anon_sym_L_SQUOTE] = ACTIONS(1609),
    [anon_sym_u_SQUOTE] = ACTIONS(1609),
    [anon_sym_U_SQUOTE] = ACTIONS(1609),
    [anon_sym_u8_SQUOTE] = ACTIONS(1609),
    [anon_sym_SQUOTE] = ACTIONS(1609),
    [anon_sym_L_DQUOTE] = ACTIONS(1609),
    [anon_sym_u_DQUOTE] = ACTIONS(1609),
    [anon_sym_U_DQUOTE] = ACTIONS(1609),
    [anon_sym_u8_DQUOTE] = ACTIONS(1609),
    [anon_sym_DQUOTE] = ACTIONS(1609),
    [sym_true] = ACTIONS(1607),
    [sym_false] = ACTIONS(1607),
    [anon_sym_NULL] = ACTIONS(1607),
    [anon_sym_nullptr] = ACTIONS(1607),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1607),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1607),
    [anon_sym_hitAttributeEXT] = ACTIONS(1607),
    [anon_sym_callableDataEXT] = ACTIONS(1607),
    [anon_sym_callableDataInEXT] = ACTIONS(1607),
    [anon_sym_shaderRecordEXT] = ACTIONS(1607),
    [anon_sym_rayPayloadNV] = ACTIONS(1607),
    [anon_sym_rayPayloadInNV] = ACTIONS(1607),
    [anon_sym_hitAttributeNV] = ACTIONS(1607),
    [anon_sym_callableDataNV] = ACTIONS(1607),
    [anon_sym_callableDataInNV] = ACTIONS(1607),
    [anon_sym_shaderRecordNV] = ACTIONS(1607),
    [anon_sym_layout] = ACTIONS(1607),
  },
  [162] = {
    [sym_identifier] = ACTIONS(1611),
    [aux_sym_preproc_include_token1] = ACTIONS(1611),
    [aux_sym_preproc_def_token1] = ACTIONS(1611),
    [aux_sym_preproc_if_token1] = ACTIONS(1611),
    [aux_sym_preproc_if_token2] = ACTIONS(1611),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1611),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1611),
    [aux_sym_preproc_else_token1] = ACTIONS(1611),
    [aux_sym_preproc_elif_token1] = ACTIONS(1611),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1611),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1611),
    [sym_preproc_directive] = ACTIONS(1611),
    [anon_sym_LPAREN2] = ACTIONS(1613),
    [anon_sym_BANG] = ACTIONS(1613),
    [anon_sym_TILDE] = ACTIONS(1613),
    [anon_sym_DASH] = ACTIONS(1611),
    [anon_sym_PLUS] = ACTIONS(1611),
    [anon_sym_STAR] = ACTIONS(1613),
    [anon_sym_AMP] = ACTIONS(1613),
    [anon_sym_subroutine] = ACTIONS(1611),
    [anon_sym_invariant] = ACTIONS(1611),
    [anon_sym_precise] = ACTIONS(1611),
    [anon_sym_SEMI] = ACTIONS(1613),
    [anon_sym_in] = ACTIONS(1611),
    [anon_sym_out] = ACTIONS(1611),
    [anon_sym_inout] = ACTIONS(1611),
    [anon_sym_uniform] = ACTIONS(1611),
    [anon_sym_shared] = ACTIONS(1611),
    [anon_sym_attribute] = ACTIONS(1611),
    [anon_sym_varying] = ACTIONS(1611),
    [anon_sym_buffer] = ACTIONS(1611),
    [anon_sym_coherent] = ACTIONS(1611),
    [anon_sym_readonly] = ACTIONS(1611),
    [anon_sym_writeonly] = ACTIONS(1611),
    [anon_sym_precision] = ACTIONS(1611),
    [anon_sym_highp] = ACTIONS(1611),
    [anon_sym_mediump] = ACTIONS(1611),
    [anon_sym_lowp] = ACTIONS(1611),
    [anon_sym_centroid] = ACTIONS(1611),
    [anon_sym_sample] = ACTIONS(1611),
    [anon_sym_patch] = ACTIONS(1611),
    [anon_sym_smooth] = ACTIONS(1611),
    [anon_sym_flat] = ACTIONS(1611),
    [anon_sym_noperspective] = ACTIONS(1611),
    [anon_sym___extension__] = ACTIONS(1611),
    [anon_sym_typedef] = ACTIONS(1611),
    [anon_sym_extern] = ACTIONS(1611),
    [anon_sym___attribute__] = ACTIONS(1611),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1613),
    [anon_sym___declspec] = ACTIONS(1611),
    [anon_sym___cdecl] = ACTIONS(1611),
    [anon_sym___clrcall] = ACTIONS(1611),
    [anon_sym___stdcall] = ACTIONS(1611),
    [anon_sym___fastcall] = ACTIONS(1611),
    [anon_sym___thiscall] = ACTIONS(1611),
    [anon_sym___vectorcall] = ACTIONS(1611),
    [anon_sym_LBRACE] = ACTIONS(1613),
    [anon_sym_signed] = ACTIONS(1611),
    [anon_sym_unsigned] = ACTIONS(1611),
    [anon_sym_long] = ACTIONS(1611),
    [anon_sym_short] = ACTIONS(1611),
    [anon_sym_static] = ACTIONS(1611),
    [anon_sym_auto] = ACTIONS(1611),
    [anon_sym_register] = ACTIONS(1611),
    [anon_sym_inline] = ACTIONS(1611),
    [anon_sym___inline] = ACTIONS(1611),
    [anon_sym___inline__] = ACTIONS(1611),
    [anon_sym___forceinline] = ACTIONS(1611),
    [anon_sym_thread_local] = ACTIONS(1611),
    [anon_sym___thread] = ACTIONS(1611),
    [anon_sym_const] = ACTIONS(1611),
    [anon_sym_constexpr] = ACTIONS(1611),
    [anon_sym_volatile] = ACTIONS(1611),
    [anon_sym_restrict] = ACTIONS(1611),
    [anon_sym___restrict__] = ACTIONS(1611),
    [anon_sym__Atomic] = ACTIONS(1611),
    [anon_sym__Noreturn] = ACTIONS(1611),
    [anon_sym_noreturn] = ACTIONS(1611),
    [sym_primitive_type] = ACTIONS(1611),
    [anon_sym_enum] = ACTIONS(1611),
    [anon_sym_struct] = ACTIONS(1611),
    [anon_sym_union] = ACTIONS(1611),
    [anon_sym_if] = ACTIONS(1611),
    [anon_sym_switch] = ACTIONS(1611),
    [anon_sym_case] = ACTIONS(1611),
    [anon_sym_default] = ACTIONS(1611),
    [anon_sym_while] = ACTIONS(1611),
    [anon_sym_do] = ACTIONS(1611),
    [anon_sym_for] = ACTIONS(1611),
    [anon_sym_return] = ACTIONS(1611),
    [anon_sym_break] = ACTIONS(1611),
    [anon_sym_continue] = ACTIONS(1611),
    [anon_sym_goto] = ACTIONS(1611),
    [anon_sym___try] = ACTIONS(1611),
    [anon_sym___leave] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1613),
    [anon_sym_PLUS_PLUS] = ACTIONS(1613),
    [anon_sym_sizeof] = ACTIONS(1611),
    [anon_sym___alignof__] = ACTIONS(1611),
    [anon_sym___alignof] = ACTIONS(1611),
    [anon_sym__alignof] = ACTIONS(1611),
    [anon_sym_alignof] = ACTIONS(1611),
    [anon_sym__Alignof] = ACTIONS(1611),
    [anon_sym_offsetof] = ACTIONS(1611),
    [anon_sym__Generic] = ACTIONS(1611),
    [anon_sym_asm] = ACTIONS(1611),
    [anon_sym___asm__] = ACTIONS(1611),
    [sym_number_literal] = ACTIONS(1613),
    [anon_sym_L_SQUOTE] = ACTIONS(1613),
    [anon_sym_u_SQUOTE] = ACTIONS(1613),
    [anon_sym_U_SQUOTE] = ACTIONS(1613),
    [anon_sym_u8_SQUOTE] = ACTIONS(1613),
    [anon_sym_SQUOTE] = ACTIONS(1613),
    [anon_sym_L_DQUOTE] = ACTIONS(1613),
    [anon_sym_u_DQUOTE] = ACTIONS(1613),
    [anon_sym_U_DQUOTE] = ACTIONS(1613),
    [anon_sym_u8_DQUOTE] = ACTIONS(1613),
    [anon_sym_DQUOTE] = ACTIONS(1613),
    [sym_true] = ACTIONS(1611),
    [sym_false] = ACTIONS(1611),
    [anon_sym_NULL] = ACTIONS(1611),
    [anon_sym_nullptr] = ACTIONS(1611),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1611),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1611),
    [anon_sym_hitAttributeEXT] = ACTIONS(1611),
    [anon_sym_callableDataEXT] = ACTIONS(1611),
    [anon_sym_callableDataInEXT] = ACTIONS(1611),
    [anon_sym_shaderRecordEXT] = ACTIONS(1611),
    [anon_sym_rayPayloadNV] = ACTIONS(1611),
    [anon_sym_rayPayloadInNV] = ACTIONS(1611),
    [anon_sym_hitAttributeNV] = ACTIONS(1611),
    [anon_sym_callableDataNV] = ACTIONS(1611),
    [anon_sym_callableDataInNV] = ACTIONS(1611),
    [anon_sym_shaderRecordNV] = ACTIONS(1611),
    [anon_sym_layout] = ACTIONS(1611),
  },
  [163] = {
    [sym_identifier] = ACTIONS(1615),
    [aux_sym_preproc_include_token1] = ACTIONS(1615),
    [aux_sym_preproc_def_token1] = ACTIONS(1615),
    [aux_sym_preproc_if_token1] = ACTIONS(1615),
    [aux_sym_preproc_if_token2] = ACTIONS(1615),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1615),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1615),
    [aux_sym_preproc_else_token1] = ACTIONS(1615),
    [aux_sym_preproc_elif_token1] = ACTIONS(1615),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1615),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1615),
    [sym_preproc_directive] = ACTIONS(1615),
    [anon_sym_LPAREN2] = ACTIONS(1617),
    [anon_sym_BANG] = ACTIONS(1617),
    [anon_sym_TILDE] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1615),
    [anon_sym_PLUS] = ACTIONS(1615),
    [anon_sym_STAR] = ACTIONS(1617),
    [anon_sym_AMP] = ACTIONS(1617),
    [anon_sym_subroutine] = ACTIONS(1615),
    [anon_sym_invariant] = ACTIONS(1615),
    [anon_sym_precise] = ACTIONS(1615),
    [anon_sym_SEMI] = ACTIONS(1617),
    [anon_sym_in] = ACTIONS(1615),
    [anon_sym_out] = ACTIONS(1615),
    [anon_sym_inout] = ACTIONS(1615),
    [anon_sym_uniform] = ACTIONS(1615),
    [anon_sym_shared] = ACTIONS(1615),
    [anon_sym_attribute] = ACTIONS(1615),
    [anon_sym_varying] = ACTIONS(1615),
    [anon_sym_buffer] = ACTIONS(1615),
    [anon_sym_coherent] = ACTIONS(1615),
    [anon_sym_readonly] = ACTIONS(1615),
    [anon_sym_writeonly] = ACTIONS(1615),
    [anon_sym_precision] = ACTIONS(1615),
    [anon_sym_highp] = ACTIONS(1615),
    [anon_sym_mediump] = ACTIONS(1615),
    [anon_sym_lowp] = ACTIONS(1615),
    [anon_sym_centroid] = ACTIONS(1615),
    [anon_sym_sample] = ACTIONS(1615),
    [anon_sym_patch] = ACTIONS(1615),
    [anon_sym_smooth] = ACTIONS(1615),
    [anon_sym_flat] = ACTIONS(1615),
    [anon_sym_noperspective] = ACTIONS(1615),
    [anon_sym___extension__] = ACTIONS(1615),
    [anon_sym_typedef] = ACTIONS(1615),
    [anon_sym_extern] = ACTIONS(1615),
    [anon_sym___attribute__] = ACTIONS(1615),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1617),
    [anon_sym___declspec] = ACTIONS(1615),
    [anon_sym___cdecl] = ACTIONS(1615),
    [anon_sym___clrcall] = ACTIONS(1615),
    [anon_sym___stdcall] = ACTIONS(1615),
    [anon_sym___fastcall] = ACTIONS(1615),
    [anon_sym___thiscall] = ACTIONS(1615),
    [anon_sym___vectorcall] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1617),
    [anon_sym_signed] = ACTIONS(1615),
    [anon_sym_unsigned] = ACTIONS(1615),
    [anon_sym_long] = ACTIONS(1615),
    [anon_sym_short] = ACTIONS(1615),
    [anon_sym_static] = ACTIONS(1615),
    [anon_sym_auto] = ACTIONS(1615),
    [anon_sym_register] = ACTIONS(1615),
    [anon_sym_inline] = ACTIONS(1615),
    [anon_sym___inline] = ACTIONS(1615),
    [anon_sym___inline__] = ACTIONS(1615),
    [anon_sym___forceinline] = ACTIONS(1615),
    [anon_sym_thread_local] = ACTIONS(1615),
    [anon_sym___thread] = ACTIONS(1615),
    [anon_sym_const] = ACTIONS(1615),
    [anon_sym_constexpr] = ACTIONS(1615),
    [anon_sym_volatile] = ACTIONS(1615),
    [anon_sym_restrict] = ACTIONS(1615),
    [anon_sym___restrict__] = ACTIONS(1615),
    [anon_sym__Atomic] = ACTIONS(1615),
    [anon_sym__Noreturn] = ACTIONS(1615),
    [anon_sym_noreturn] = ACTIONS(1615),
    [sym_primitive_type] = ACTIONS(1615),
    [anon_sym_enum] = ACTIONS(1615),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_union] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1615),
    [anon_sym_switch] = ACTIONS(1615),
    [anon_sym_case] = ACTIONS(1615),
    [anon_sym_default] = ACTIONS(1615),
    [anon_sym_while] = ACTIONS(1615),
    [anon_sym_do] = ACTIONS(1615),
    [anon_sym_for] = ACTIONS(1615),
    [anon_sym_return] = ACTIONS(1615),
    [anon_sym_break] = ACTIONS(1615),
    [anon_sym_continue] = ACTIONS(1615),
    [anon_sym_goto] = ACTIONS(1615),
    [anon_sym___try] = ACTIONS(1615),
    [anon_sym___leave] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1617),
    [anon_sym_PLUS_PLUS] = ACTIONS(1617),
    [anon_sym_sizeof] = ACTIONS(1615),
    [anon_sym___alignof__] = ACTIONS(1615),
    [anon_sym___alignof] = ACTIONS(1615),
    [anon_sym__alignof] = ACTIONS(1615),
    [anon_sym_alignof] = ACTIONS(1615),
    [anon_sym__Alignof] = ACTIONS(1615),
    [anon_sym_offsetof] = ACTIONS(1615),
    [anon_sym__Generic] = ACTIONS(1615),
    [anon_sym_asm] = ACTIONS(1615),
    [anon_sym___asm__] = ACTIONS(1615),
    [sym_number_literal] = ACTIONS(1617),
    [anon_sym_L_SQUOTE] = ACTIONS(1617),
    [anon_sym_u_SQUOTE] = ACTIONS(1617),
    [anon_sym_U_SQUOTE] = ACTIONS(1617),
    [anon_sym_u8_SQUOTE] = ACTIONS(1617),
    [anon_sym_SQUOTE] = ACTIONS(1617),
    [anon_sym_L_DQUOTE] = ACTIONS(1617),
    [anon_sym_u_DQUOTE] = ACTIONS(1617),
    [anon_sym_U_DQUOTE] = ACTIONS(1617),
    [anon_sym_u8_DQUOTE] = ACTIONS(1617),
    [anon_sym_DQUOTE] = ACTIONS(1617),
    [sym_true] = ACTIONS(1615),
    [sym_false] = ACTIONS(1615),
    [anon_sym_NULL] = ACTIONS(1615),
    [anon_sym_nullptr] = ACTIONS(1615),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1615),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1615),
    [anon_sym_hitAttributeEXT] = ACTIONS(1615),
    [anon_sym_callableDataEXT] = ACTIONS(1615),
    [anon_sym_callableDataInEXT] = ACTIONS(1615),
    [anon_sym_shaderRecordEXT] = ACTIONS(1615),
    [anon_sym_rayPayloadNV] = ACTIONS(1615),
    [anon_sym_rayPayloadInNV] = ACTIONS(1615),
    [anon_sym_hitAttributeNV] = ACTIONS(1615),
    [anon_sym_callableDataNV] = ACTIONS(1615),
    [anon_sym_callableDataInNV] = ACTIONS(1615),
    [anon_sym_shaderRecordNV] = ACTIONS(1615),
    [anon_sym_layout] = ACTIONS(1615),
  },
  [164] = {
    [sym_identifier] = ACTIONS(1619),
    [aux_sym_preproc_include_token1] = ACTIONS(1619),
    [aux_sym_preproc_def_token1] = ACTIONS(1619),
    [aux_sym_preproc_if_token1] = ACTIONS(1619),
    [aux_sym_preproc_if_token2] = ACTIONS(1619),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1619),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1619),
    [aux_sym_preproc_else_token1] = ACTIONS(1619),
    [aux_sym_preproc_elif_token1] = ACTIONS(1619),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1619),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1619),
    [sym_preproc_directive] = ACTIONS(1619),
    [anon_sym_LPAREN2] = ACTIONS(1621),
    [anon_sym_BANG] = ACTIONS(1621),
    [anon_sym_TILDE] = ACTIONS(1621),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_STAR] = ACTIONS(1621),
    [anon_sym_AMP] = ACTIONS(1621),
    [anon_sym_subroutine] = ACTIONS(1619),
    [anon_sym_invariant] = ACTIONS(1619),
    [anon_sym_precise] = ACTIONS(1619),
    [anon_sym_SEMI] = ACTIONS(1621),
    [anon_sym_in] = ACTIONS(1619),
    [anon_sym_out] = ACTIONS(1619),
    [anon_sym_inout] = ACTIONS(1619),
    [anon_sym_uniform] = ACTIONS(1619),
    [anon_sym_shared] = ACTIONS(1619),
    [anon_sym_attribute] = ACTIONS(1619),
    [anon_sym_varying] = ACTIONS(1619),
    [anon_sym_buffer] = ACTIONS(1619),
    [anon_sym_coherent] = ACTIONS(1619),
    [anon_sym_readonly] = ACTIONS(1619),
    [anon_sym_writeonly] = ACTIONS(1619),
    [anon_sym_precision] = ACTIONS(1619),
    [anon_sym_highp] = ACTIONS(1619),
    [anon_sym_mediump] = ACTIONS(1619),
    [anon_sym_lowp] = ACTIONS(1619),
    [anon_sym_centroid] = ACTIONS(1619),
    [anon_sym_sample] = ACTIONS(1619),
    [anon_sym_patch] = ACTIONS(1619),
    [anon_sym_smooth] = ACTIONS(1619),
    [anon_sym_flat] = ACTIONS(1619),
    [anon_sym_noperspective] = ACTIONS(1619),
    [anon_sym___extension__] = ACTIONS(1619),
    [anon_sym_typedef] = ACTIONS(1619),
    [anon_sym_extern] = ACTIONS(1619),
    [anon_sym___attribute__] = ACTIONS(1619),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1621),
    [anon_sym___declspec] = ACTIONS(1619),
    [anon_sym___cdecl] = ACTIONS(1619),
    [anon_sym___clrcall] = ACTIONS(1619),
    [anon_sym___stdcall] = ACTIONS(1619),
    [anon_sym___fastcall] = ACTIONS(1619),
    [anon_sym___thiscall] = ACTIONS(1619),
    [anon_sym___vectorcall] = ACTIONS(1619),
    [anon_sym_LBRACE] = ACTIONS(1621),
    [anon_sym_signed] = ACTIONS(1619),
    [anon_sym_unsigned] = ACTIONS(1619),
    [anon_sym_long] = ACTIONS(1619),
    [anon_sym_short] = ACTIONS(1619),
    [anon_sym_static] = ACTIONS(1619),
    [anon_sym_auto] = ACTIONS(1619),
    [anon_sym_register] = ACTIONS(1619),
    [anon_sym_inline] = ACTIONS(1619),
    [anon_sym___inline] = ACTIONS(1619),
    [anon_sym___inline__] = ACTIONS(1619),
    [anon_sym___forceinline] = ACTIONS(1619),
    [anon_sym_thread_local] = ACTIONS(1619),
    [anon_sym___thread] = ACTIONS(1619),
    [anon_sym_const] = ACTIONS(1619),
    [anon_sym_constexpr] = ACTIONS(1619),
    [anon_sym_volatile] = ACTIONS(1619),
    [anon_sym_restrict] = ACTIONS(1619),
    [anon_sym___restrict__] = ACTIONS(1619),
    [anon_sym__Atomic] = ACTIONS(1619),
    [anon_sym__Noreturn] = ACTIONS(1619),
    [anon_sym_noreturn] = ACTIONS(1619),
    [sym_primitive_type] = ACTIONS(1619),
    [anon_sym_enum] = ACTIONS(1619),
    [anon_sym_struct] = ACTIONS(1619),
    [anon_sym_union] = ACTIONS(1619),
    [anon_sym_if] = ACTIONS(1619),
    [anon_sym_switch] = ACTIONS(1619),
    [anon_sym_case] = ACTIONS(1619),
    [anon_sym_default] = ACTIONS(1619),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_do] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1619),
    [anon_sym_return] = ACTIONS(1619),
    [anon_sym_break] = ACTIONS(1619),
    [anon_sym_continue] = ACTIONS(1619),
    [anon_sym_goto] = ACTIONS(1619),
    [anon_sym___try] = ACTIONS(1619),
    [anon_sym___leave] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_sizeof] = ACTIONS(1619),
    [anon_sym___alignof__] = ACTIONS(1619),
    [anon_sym___alignof] = ACTIONS(1619),
    [anon_sym__alignof] = ACTIONS(1619),
    [anon_sym_alignof] = ACTIONS(1619),
    [anon_sym__Alignof] = ACTIONS(1619),
    [anon_sym_offsetof] = ACTIONS(1619),
    [anon_sym__Generic] = ACTIONS(1619),
    [anon_sym_asm] = ACTIONS(1619),
    [anon_sym___asm__] = ACTIONS(1619),
    [sym_number_literal] = ACTIONS(1621),
    [anon_sym_L_SQUOTE] = ACTIONS(1621),
    [anon_sym_u_SQUOTE] = ACTIONS(1621),
    [anon_sym_U_SQUOTE] = ACTIONS(1621),
    [anon_sym_u8_SQUOTE] = ACTIONS(1621),
    [anon_sym_SQUOTE] = ACTIONS(1621),
    [anon_sym_L_DQUOTE] = ACTIONS(1621),
    [anon_sym_u_DQUOTE] = ACTIONS(1621),
    [anon_sym_U_DQUOTE] = ACTIONS(1621),
    [anon_sym_u8_DQUOTE] = ACTIONS(1621),
    [anon_sym_DQUOTE] = ACTIONS(1621),
    [sym_true] = ACTIONS(1619),
    [sym_false] = ACTIONS(1619),
    [anon_sym_NULL] = ACTIONS(1619),
    [anon_sym_nullptr] = ACTIONS(1619),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1619),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1619),
    [anon_sym_hitAttributeEXT] = ACTIONS(1619),
    [anon_sym_callableDataEXT] = ACTIONS(1619),
    [anon_sym_callableDataInEXT] = ACTIONS(1619),
    [anon_sym_shaderRecordEXT] = ACTIONS(1619),
    [anon_sym_rayPayloadNV] = ACTIONS(1619),
    [anon_sym_rayPayloadInNV] = ACTIONS(1619),
    [anon_sym_hitAttributeNV] = ACTIONS(1619),
    [anon_sym_callableDataNV] = ACTIONS(1619),
    [anon_sym_callableDataInNV] = ACTIONS(1619),
    [anon_sym_shaderRecordNV] = ACTIONS(1619),
    [anon_sym_layout] = ACTIONS(1619),
  },
  [165] = {
    [sym_identifier] = ACTIONS(1623),
    [aux_sym_preproc_include_token1] = ACTIONS(1623),
    [aux_sym_preproc_def_token1] = ACTIONS(1623),
    [aux_sym_preproc_if_token1] = ACTIONS(1623),
    [aux_sym_preproc_if_token2] = ACTIONS(1623),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1623),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1623),
    [aux_sym_preproc_else_token1] = ACTIONS(1623),
    [aux_sym_preproc_elif_token1] = ACTIONS(1623),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1623),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1623),
    [sym_preproc_directive] = ACTIONS(1623),
    [anon_sym_LPAREN2] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1625),
    [anon_sym_TILDE] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1623),
    [anon_sym_STAR] = ACTIONS(1625),
    [anon_sym_AMP] = ACTIONS(1625),
    [anon_sym_subroutine] = ACTIONS(1623),
    [anon_sym_invariant] = ACTIONS(1623),
    [anon_sym_precise] = ACTIONS(1623),
    [anon_sym_SEMI] = ACTIONS(1625),
    [anon_sym_in] = ACTIONS(1623),
    [anon_sym_out] = ACTIONS(1623),
    [anon_sym_inout] = ACTIONS(1623),
    [anon_sym_uniform] = ACTIONS(1623),
    [anon_sym_shared] = ACTIONS(1623),
    [anon_sym_attribute] = ACTIONS(1623),
    [anon_sym_varying] = ACTIONS(1623),
    [anon_sym_buffer] = ACTIONS(1623),
    [anon_sym_coherent] = ACTIONS(1623),
    [anon_sym_readonly] = ACTIONS(1623),
    [anon_sym_writeonly] = ACTIONS(1623),
    [anon_sym_precision] = ACTIONS(1623),
    [anon_sym_highp] = ACTIONS(1623),
    [anon_sym_mediump] = ACTIONS(1623),
    [anon_sym_lowp] = ACTIONS(1623),
    [anon_sym_centroid] = ACTIONS(1623),
    [anon_sym_sample] = ACTIONS(1623),
    [anon_sym_patch] = ACTIONS(1623),
    [anon_sym_smooth] = ACTIONS(1623),
    [anon_sym_flat] = ACTIONS(1623),
    [anon_sym_noperspective] = ACTIONS(1623),
    [anon_sym___extension__] = ACTIONS(1623),
    [anon_sym_typedef] = ACTIONS(1623),
    [anon_sym_extern] = ACTIONS(1623),
    [anon_sym___attribute__] = ACTIONS(1623),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1625),
    [anon_sym___declspec] = ACTIONS(1623),
    [anon_sym___cdecl] = ACTIONS(1623),
    [anon_sym___clrcall] = ACTIONS(1623),
    [anon_sym___stdcall] = ACTIONS(1623),
    [anon_sym___fastcall] = ACTIONS(1623),
    [anon_sym___thiscall] = ACTIONS(1623),
    [anon_sym___vectorcall] = ACTIONS(1623),
    [anon_sym_LBRACE] = ACTIONS(1625),
    [anon_sym_signed] = ACTIONS(1623),
    [anon_sym_unsigned] = ACTIONS(1623),
    [anon_sym_long] = ACTIONS(1623),
    [anon_sym_short] = ACTIONS(1623),
    [anon_sym_static] = ACTIONS(1623),
    [anon_sym_auto] = ACTIONS(1623),
    [anon_sym_register] = ACTIONS(1623),
    [anon_sym_inline] = ACTIONS(1623),
    [anon_sym___inline] = ACTIONS(1623),
    [anon_sym___inline__] = ACTIONS(1623),
    [anon_sym___forceinline] = ACTIONS(1623),
    [anon_sym_thread_local] = ACTIONS(1623),
    [anon_sym___thread] = ACTIONS(1623),
    [anon_sym_const] = ACTIONS(1623),
    [anon_sym_constexpr] = ACTIONS(1623),
    [anon_sym_volatile] = ACTIONS(1623),
    [anon_sym_restrict] = ACTIONS(1623),
    [anon_sym___restrict__] = ACTIONS(1623),
    [anon_sym__Atomic] = ACTIONS(1623),
    [anon_sym__Noreturn] = ACTIONS(1623),
    [anon_sym_noreturn] = ACTIONS(1623),
    [sym_primitive_type] = ACTIONS(1623),
    [anon_sym_enum] = ACTIONS(1623),
    [anon_sym_struct] = ACTIONS(1623),
    [anon_sym_union] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1623),
    [anon_sym_switch] = ACTIONS(1623),
    [anon_sym_case] = ACTIONS(1623),
    [anon_sym_default] = ACTIONS(1623),
    [anon_sym_while] = ACTIONS(1623),
    [anon_sym_do] = ACTIONS(1623),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_return] = ACTIONS(1623),
    [anon_sym_break] = ACTIONS(1623),
    [anon_sym_continue] = ACTIONS(1623),
    [anon_sym_goto] = ACTIONS(1623),
    [anon_sym___try] = ACTIONS(1623),
    [anon_sym___leave] = ACTIONS(1623),
    [anon_sym_DASH_DASH] = ACTIONS(1625),
    [anon_sym_PLUS_PLUS] = ACTIONS(1625),
    [anon_sym_sizeof] = ACTIONS(1623),
    [anon_sym___alignof__] = ACTIONS(1623),
    [anon_sym___alignof] = ACTIONS(1623),
    [anon_sym__alignof] = ACTIONS(1623),
    [anon_sym_alignof] = ACTIONS(1623),
    [anon_sym__Alignof] = ACTIONS(1623),
    [anon_sym_offsetof] = ACTIONS(1623),
    [anon_sym__Generic] = ACTIONS(1623),
    [anon_sym_asm] = ACTIONS(1623),
    [anon_sym___asm__] = ACTIONS(1623),
    [sym_number_literal] = ACTIONS(1625),
    [anon_sym_L_SQUOTE] = ACTIONS(1625),
    [anon_sym_u_SQUOTE] = ACTIONS(1625),
    [anon_sym_U_SQUOTE] = ACTIONS(1625),
    [anon_sym_u8_SQUOTE] = ACTIONS(1625),
    [anon_sym_SQUOTE] = ACTIONS(1625),
    [anon_sym_L_DQUOTE] = ACTIONS(1625),
    [anon_sym_u_DQUOTE] = ACTIONS(1625),
    [anon_sym_U_DQUOTE] = ACTIONS(1625),
    [anon_sym_u8_DQUOTE] = ACTIONS(1625),
    [anon_sym_DQUOTE] = ACTIONS(1625),
    [sym_true] = ACTIONS(1623),
    [sym_false] = ACTIONS(1623),
    [anon_sym_NULL] = ACTIONS(1623),
    [anon_sym_nullptr] = ACTIONS(1623),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1623),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1623),
    [anon_sym_hitAttributeEXT] = ACTIONS(1623),
    [anon_sym_callableDataEXT] = ACTIONS(1623),
    [anon_sym_callableDataInEXT] = ACTIONS(1623),
    [anon_sym_shaderRecordEXT] = ACTIONS(1623),
    [anon_sym_rayPayloadNV] = ACTIONS(1623),
    [anon_sym_rayPayloadInNV] = ACTIONS(1623),
    [anon_sym_hitAttributeNV] = ACTIONS(1623),
    [anon_sym_callableDataNV] = ACTIONS(1623),
    [anon_sym_callableDataInNV] = ACTIONS(1623),
    [anon_sym_shaderRecordNV] = ACTIONS(1623),
    [anon_sym_layout] = ACTIONS(1623),
  },
  [166] = {
    [sym_identifier] = ACTIONS(1627),
    [aux_sym_preproc_include_token1] = ACTIONS(1627),
    [aux_sym_preproc_def_token1] = ACTIONS(1627),
    [aux_sym_preproc_if_token1] = ACTIONS(1627),
    [aux_sym_preproc_if_token2] = ACTIONS(1627),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1627),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1627),
    [aux_sym_preproc_else_token1] = ACTIONS(1627),
    [aux_sym_preproc_elif_token1] = ACTIONS(1627),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1627),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1627),
    [sym_preproc_directive] = ACTIONS(1627),
    [anon_sym_LPAREN2] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1629),
    [anon_sym_TILDE] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1627),
    [anon_sym_PLUS] = ACTIONS(1627),
    [anon_sym_STAR] = ACTIONS(1629),
    [anon_sym_AMP] = ACTIONS(1629),
    [anon_sym_subroutine] = ACTIONS(1627),
    [anon_sym_invariant] = ACTIONS(1627),
    [anon_sym_precise] = ACTIONS(1627),
    [anon_sym_SEMI] = ACTIONS(1629),
    [anon_sym_in] = ACTIONS(1627),
    [anon_sym_out] = ACTIONS(1627),
    [anon_sym_inout] = ACTIONS(1627),
    [anon_sym_uniform] = ACTIONS(1627),
    [anon_sym_shared] = ACTIONS(1627),
    [anon_sym_attribute] = ACTIONS(1627),
    [anon_sym_varying] = ACTIONS(1627),
    [anon_sym_buffer] = ACTIONS(1627),
    [anon_sym_coherent] = ACTIONS(1627),
    [anon_sym_readonly] = ACTIONS(1627),
    [anon_sym_writeonly] = ACTIONS(1627),
    [anon_sym_precision] = ACTIONS(1627),
    [anon_sym_highp] = ACTIONS(1627),
    [anon_sym_mediump] = ACTIONS(1627),
    [anon_sym_lowp] = ACTIONS(1627),
    [anon_sym_centroid] = ACTIONS(1627),
    [anon_sym_sample] = ACTIONS(1627),
    [anon_sym_patch] = ACTIONS(1627),
    [anon_sym_smooth] = ACTIONS(1627),
    [anon_sym_flat] = ACTIONS(1627),
    [anon_sym_noperspective] = ACTIONS(1627),
    [anon_sym___extension__] = ACTIONS(1627),
    [anon_sym_typedef] = ACTIONS(1627),
    [anon_sym_extern] = ACTIONS(1627),
    [anon_sym___attribute__] = ACTIONS(1627),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1629),
    [anon_sym___declspec] = ACTIONS(1627),
    [anon_sym___cdecl] = ACTIONS(1627),
    [anon_sym___clrcall] = ACTIONS(1627),
    [anon_sym___stdcall] = ACTIONS(1627),
    [anon_sym___fastcall] = ACTIONS(1627),
    [anon_sym___thiscall] = ACTIONS(1627),
    [anon_sym___vectorcall] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(1629),
    [anon_sym_signed] = ACTIONS(1627),
    [anon_sym_unsigned] = ACTIONS(1627),
    [anon_sym_long] = ACTIONS(1627),
    [anon_sym_short] = ACTIONS(1627),
    [anon_sym_static] = ACTIONS(1627),
    [anon_sym_auto] = ACTIONS(1627),
    [anon_sym_register] = ACTIONS(1627),
    [anon_sym_inline] = ACTIONS(1627),
    [anon_sym___inline] = ACTIONS(1627),
    [anon_sym___inline__] = ACTIONS(1627),
    [anon_sym___forceinline] = ACTIONS(1627),
    [anon_sym_thread_local] = ACTIONS(1627),
    [anon_sym___thread] = ACTIONS(1627),
    [anon_sym_const] = ACTIONS(1627),
    [anon_sym_constexpr] = ACTIONS(1627),
    [anon_sym_volatile] = ACTIONS(1627),
    [anon_sym_restrict] = ACTIONS(1627),
    [anon_sym___restrict__] = ACTIONS(1627),
    [anon_sym__Atomic] = ACTIONS(1627),
    [anon_sym__Noreturn] = ACTIONS(1627),
    [anon_sym_noreturn] = ACTIONS(1627),
    [sym_primitive_type] = ACTIONS(1627),
    [anon_sym_enum] = ACTIONS(1627),
    [anon_sym_struct] = ACTIONS(1627),
    [anon_sym_union] = ACTIONS(1627),
    [anon_sym_if] = ACTIONS(1627),
    [anon_sym_switch] = ACTIONS(1627),
    [anon_sym_case] = ACTIONS(1627),
    [anon_sym_default] = ACTIONS(1627),
    [anon_sym_while] = ACTIONS(1627),
    [anon_sym_do] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1627),
    [anon_sym_return] = ACTIONS(1627),
    [anon_sym_break] = ACTIONS(1627),
    [anon_sym_continue] = ACTIONS(1627),
    [anon_sym_goto] = ACTIONS(1627),
    [anon_sym___try] = ACTIONS(1627),
    [anon_sym___leave] = ACTIONS(1627),
    [anon_sym_DASH_DASH] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1629),
    [anon_sym_sizeof] = ACTIONS(1627),
    [anon_sym___alignof__] = ACTIONS(1627),
    [anon_sym___alignof] = ACTIONS(1627),
    [anon_sym__alignof] = ACTIONS(1627),
    [anon_sym_alignof] = ACTIONS(1627),
    [anon_sym__Alignof] = ACTIONS(1627),
    [anon_sym_offsetof] = ACTIONS(1627),
    [anon_sym__Generic] = ACTIONS(1627),
    [anon_sym_asm] = ACTIONS(1627),
    [anon_sym___asm__] = ACTIONS(1627),
    [sym_number_literal] = ACTIONS(1629),
    [anon_sym_L_SQUOTE] = ACTIONS(1629),
    [anon_sym_u_SQUOTE] = ACTIONS(1629),
    [anon_sym_U_SQUOTE] = ACTIONS(1629),
    [anon_sym_u8_SQUOTE] = ACTIONS(1629),
    [anon_sym_SQUOTE] = ACTIONS(1629),
    [anon_sym_L_DQUOTE] = ACTIONS(1629),
    [anon_sym_u_DQUOTE] = ACTIONS(1629),
    [anon_sym_U_DQUOTE] = ACTIONS(1629),
    [anon_sym_u8_DQUOTE] = ACTIONS(1629),
    [anon_sym_DQUOTE] = ACTIONS(1629),
    [sym_true] = ACTIONS(1627),
    [sym_false] = ACTIONS(1627),
    [anon_sym_NULL] = ACTIONS(1627),
    [anon_sym_nullptr] = ACTIONS(1627),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1627),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1627),
    [anon_sym_hitAttributeEXT] = ACTIONS(1627),
    [anon_sym_callableDataEXT] = ACTIONS(1627),
    [anon_sym_callableDataInEXT] = ACTIONS(1627),
    [anon_sym_shaderRecordEXT] = ACTIONS(1627),
    [anon_sym_rayPayloadNV] = ACTIONS(1627),
    [anon_sym_rayPayloadInNV] = ACTIONS(1627),
    [anon_sym_hitAttributeNV] = ACTIONS(1627),
    [anon_sym_callableDataNV] = ACTIONS(1627),
    [anon_sym_callableDataInNV] = ACTIONS(1627),
    [anon_sym_shaderRecordNV] = ACTIONS(1627),
    [anon_sym_layout] = ACTIONS(1627),
  },
  [167] = {
    [sym_identifier] = ACTIONS(1631),
    [aux_sym_preproc_include_token1] = ACTIONS(1631),
    [aux_sym_preproc_def_token1] = ACTIONS(1631),
    [aux_sym_preproc_if_token1] = ACTIONS(1631),
    [aux_sym_preproc_if_token2] = ACTIONS(1631),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1631),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1631),
    [aux_sym_preproc_else_token1] = ACTIONS(1631),
    [aux_sym_preproc_elif_token1] = ACTIONS(1631),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1631),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1631),
    [sym_preproc_directive] = ACTIONS(1631),
    [anon_sym_LPAREN2] = ACTIONS(1633),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1631),
    [anon_sym_PLUS] = ACTIONS(1631),
    [anon_sym_STAR] = ACTIONS(1633),
    [anon_sym_AMP] = ACTIONS(1633),
    [anon_sym_subroutine] = ACTIONS(1631),
    [anon_sym_invariant] = ACTIONS(1631),
    [anon_sym_precise] = ACTIONS(1631),
    [anon_sym_SEMI] = ACTIONS(1633),
    [anon_sym_in] = ACTIONS(1631),
    [anon_sym_out] = ACTIONS(1631),
    [anon_sym_inout] = ACTIONS(1631),
    [anon_sym_uniform] = ACTIONS(1631),
    [anon_sym_shared] = ACTIONS(1631),
    [anon_sym_attribute] = ACTIONS(1631),
    [anon_sym_varying] = ACTIONS(1631),
    [anon_sym_buffer] = ACTIONS(1631),
    [anon_sym_coherent] = ACTIONS(1631),
    [anon_sym_readonly] = ACTIONS(1631),
    [anon_sym_writeonly] = ACTIONS(1631),
    [anon_sym_precision] = ACTIONS(1631),
    [anon_sym_highp] = ACTIONS(1631),
    [anon_sym_mediump] = ACTIONS(1631),
    [anon_sym_lowp] = ACTIONS(1631),
    [anon_sym_centroid] = ACTIONS(1631),
    [anon_sym_sample] = ACTIONS(1631),
    [anon_sym_patch] = ACTIONS(1631),
    [anon_sym_smooth] = ACTIONS(1631),
    [anon_sym_flat] = ACTIONS(1631),
    [anon_sym_noperspective] = ACTIONS(1631),
    [anon_sym___extension__] = ACTIONS(1631),
    [anon_sym_typedef] = ACTIONS(1631),
    [anon_sym_extern] = ACTIONS(1631),
    [anon_sym___attribute__] = ACTIONS(1631),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1633),
    [anon_sym___declspec] = ACTIONS(1631),
    [anon_sym___cdecl] = ACTIONS(1631),
    [anon_sym___clrcall] = ACTIONS(1631),
    [anon_sym___stdcall] = ACTIONS(1631),
    [anon_sym___fastcall] = ACTIONS(1631),
    [anon_sym___thiscall] = ACTIONS(1631),
    [anon_sym___vectorcall] = ACTIONS(1631),
    [anon_sym_LBRACE] = ACTIONS(1633),
    [anon_sym_signed] = ACTIONS(1631),
    [anon_sym_unsigned] = ACTIONS(1631),
    [anon_sym_long] = ACTIONS(1631),
    [anon_sym_short] = ACTIONS(1631),
    [anon_sym_static] = ACTIONS(1631),
    [anon_sym_auto] = ACTIONS(1631),
    [anon_sym_register] = ACTIONS(1631),
    [anon_sym_inline] = ACTIONS(1631),
    [anon_sym___inline] = ACTIONS(1631),
    [anon_sym___inline__] = ACTIONS(1631),
    [anon_sym___forceinline] = ACTIONS(1631),
    [anon_sym_thread_local] = ACTIONS(1631),
    [anon_sym___thread] = ACTIONS(1631),
    [anon_sym_const] = ACTIONS(1631),
    [anon_sym_constexpr] = ACTIONS(1631),
    [anon_sym_volatile] = ACTIONS(1631),
    [anon_sym_restrict] = ACTIONS(1631),
    [anon_sym___restrict__] = ACTIONS(1631),
    [anon_sym__Atomic] = ACTIONS(1631),
    [anon_sym__Noreturn] = ACTIONS(1631),
    [anon_sym_noreturn] = ACTIONS(1631),
    [sym_primitive_type] = ACTIONS(1631),
    [anon_sym_enum] = ACTIONS(1631),
    [anon_sym_struct] = ACTIONS(1631),
    [anon_sym_union] = ACTIONS(1631),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_switch] = ACTIONS(1631),
    [anon_sym_case] = ACTIONS(1631),
    [anon_sym_default] = ACTIONS(1631),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_do] = ACTIONS(1631),
    [anon_sym_for] = ACTIONS(1631),
    [anon_sym_return] = ACTIONS(1631),
    [anon_sym_break] = ACTIONS(1631),
    [anon_sym_continue] = ACTIONS(1631),
    [anon_sym_goto] = ACTIONS(1631),
    [anon_sym___try] = ACTIONS(1631),
    [anon_sym___leave] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1633),
    [anon_sym_sizeof] = ACTIONS(1631),
    [anon_sym___alignof__] = ACTIONS(1631),
    [anon_sym___alignof] = ACTIONS(1631),
    [anon_sym__alignof] = ACTIONS(1631),
    [anon_sym_alignof] = ACTIONS(1631),
    [anon_sym__Alignof] = ACTIONS(1631),
    [anon_sym_offsetof] = ACTIONS(1631),
    [anon_sym__Generic] = ACTIONS(1631),
    [anon_sym_asm] = ACTIONS(1631),
    [anon_sym___asm__] = ACTIONS(1631),
    [sym_number_literal] = ACTIONS(1633),
    [anon_sym_L_SQUOTE] = ACTIONS(1633),
    [anon_sym_u_SQUOTE] = ACTIONS(1633),
    [anon_sym_U_SQUOTE] = ACTIONS(1633),
    [anon_sym_u8_SQUOTE] = ACTIONS(1633),
    [anon_sym_SQUOTE] = ACTIONS(1633),
    [anon_sym_L_DQUOTE] = ACTIONS(1633),
    [anon_sym_u_DQUOTE] = ACTIONS(1633),
    [anon_sym_U_DQUOTE] = ACTIONS(1633),
    [anon_sym_u8_DQUOTE] = ACTIONS(1633),
    [anon_sym_DQUOTE] = ACTIONS(1633),
    [sym_true] = ACTIONS(1631),
    [sym_false] = ACTIONS(1631),
    [anon_sym_NULL] = ACTIONS(1631),
    [anon_sym_nullptr] = ACTIONS(1631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1631),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1631),
    [anon_sym_hitAttributeEXT] = ACTIONS(1631),
    [anon_sym_callableDataEXT] = ACTIONS(1631),
    [anon_sym_callableDataInEXT] = ACTIONS(1631),
    [anon_sym_shaderRecordEXT] = ACTIONS(1631),
    [anon_sym_rayPayloadNV] = ACTIONS(1631),
    [anon_sym_rayPayloadInNV] = ACTIONS(1631),
    [anon_sym_hitAttributeNV] = ACTIONS(1631),
    [anon_sym_callableDataNV] = ACTIONS(1631),
    [anon_sym_callableDataInNV] = ACTIONS(1631),
    [anon_sym_shaderRecordNV] = ACTIONS(1631),
    [anon_sym_layout] = ACTIONS(1631),
  },
  [168] = {
    [sym_identifier] = ACTIONS(1635),
    [aux_sym_preproc_include_token1] = ACTIONS(1635),
    [aux_sym_preproc_def_token1] = ACTIONS(1635),
    [aux_sym_preproc_if_token1] = ACTIONS(1635),
    [aux_sym_preproc_if_token2] = ACTIONS(1635),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1635),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1635),
    [aux_sym_preproc_else_token1] = ACTIONS(1635),
    [aux_sym_preproc_elif_token1] = ACTIONS(1635),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1635),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1635),
    [sym_preproc_directive] = ACTIONS(1635),
    [anon_sym_LPAREN2] = ACTIONS(1637),
    [anon_sym_BANG] = ACTIONS(1637),
    [anon_sym_TILDE] = ACTIONS(1637),
    [anon_sym_DASH] = ACTIONS(1635),
    [anon_sym_PLUS] = ACTIONS(1635),
    [anon_sym_STAR] = ACTIONS(1637),
    [anon_sym_AMP] = ACTIONS(1637),
    [anon_sym_subroutine] = ACTIONS(1635),
    [anon_sym_invariant] = ACTIONS(1635),
    [anon_sym_precise] = ACTIONS(1635),
    [anon_sym_SEMI] = ACTIONS(1637),
    [anon_sym_in] = ACTIONS(1635),
    [anon_sym_out] = ACTIONS(1635),
    [anon_sym_inout] = ACTIONS(1635),
    [anon_sym_uniform] = ACTIONS(1635),
    [anon_sym_shared] = ACTIONS(1635),
    [anon_sym_attribute] = ACTIONS(1635),
    [anon_sym_varying] = ACTIONS(1635),
    [anon_sym_buffer] = ACTIONS(1635),
    [anon_sym_coherent] = ACTIONS(1635),
    [anon_sym_readonly] = ACTIONS(1635),
    [anon_sym_writeonly] = ACTIONS(1635),
    [anon_sym_precision] = ACTIONS(1635),
    [anon_sym_highp] = ACTIONS(1635),
    [anon_sym_mediump] = ACTIONS(1635),
    [anon_sym_lowp] = ACTIONS(1635),
    [anon_sym_centroid] = ACTIONS(1635),
    [anon_sym_sample] = ACTIONS(1635),
    [anon_sym_patch] = ACTIONS(1635),
    [anon_sym_smooth] = ACTIONS(1635),
    [anon_sym_flat] = ACTIONS(1635),
    [anon_sym_noperspective] = ACTIONS(1635),
    [anon_sym___extension__] = ACTIONS(1635),
    [anon_sym_typedef] = ACTIONS(1635),
    [anon_sym_extern] = ACTIONS(1635),
    [anon_sym___attribute__] = ACTIONS(1635),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1637),
    [anon_sym___declspec] = ACTIONS(1635),
    [anon_sym___cdecl] = ACTIONS(1635),
    [anon_sym___clrcall] = ACTIONS(1635),
    [anon_sym___stdcall] = ACTIONS(1635),
    [anon_sym___fastcall] = ACTIONS(1635),
    [anon_sym___thiscall] = ACTIONS(1635),
    [anon_sym___vectorcall] = ACTIONS(1635),
    [anon_sym_LBRACE] = ACTIONS(1637),
    [anon_sym_signed] = ACTIONS(1635),
    [anon_sym_unsigned] = ACTIONS(1635),
    [anon_sym_long] = ACTIONS(1635),
    [anon_sym_short] = ACTIONS(1635),
    [anon_sym_static] = ACTIONS(1635),
    [anon_sym_auto] = ACTIONS(1635),
    [anon_sym_register] = ACTIONS(1635),
    [anon_sym_inline] = ACTIONS(1635),
    [anon_sym___inline] = ACTIONS(1635),
    [anon_sym___inline__] = ACTIONS(1635),
    [anon_sym___forceinline] = ACTIONS(1635),
    [anon_sym_thread_local] = ACTIONS(1635),
    [anon_sym___thread] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1635),
    [anon_sym_constexpr] = ACTIONS(1635),
    [anon_sym_volatile] = ACTIONS(1635),
    [anon_sym_restrict] = ACTIONS(1635),
    [anon_sym___restrict__] = ACTIONS(1635),
    [anon_sym__Atomic] = ACTIONS(1635),
    [anon_sym__Noreturn] = ACTIONS(1635),
    [anon_sym_noreturn] = ACTIONS(1635),
    [sym_primitive_type] = ACTIONS(1635),
    [anon_sym_enum] = ACTIONS(1635),
    [anon_sym_struct] = ACTIONS(1635),
    [anon_sym_union] = ACTIONS(1635),
    [anon_sym_if] = ACTIONS(1635),
    [anon_sym_switch] = ACTIONS(1635),
    [anon_sym_case] = ACTIONS(1635),
    [anon_sym_default] = ACTIONS(1635),
    [anon_sym_while] = ACTIONS(1635),
    [anon_sym_do] = ACTIONS(1635),
    [anon_sym_for] = ACTIONS(1635),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_break] = ACTIONS(1635),
    [anon_sym_continue] = ACTIONS(1635),
    [anon_sym_goto] = ACTIONS(1635),
    [anon_sym___try] = ACTIONS(1635),
    [anon_sym___leave] = ACTIONS(1635),
    [anon_sym_DASH_DASH] = ACTIONS(1637),
    [anon_sym_PLUS_PLUS] = ACTIONS(1637),
    [anon_sym_sizeof] = ACTIONS(1635),
    [anon_sym___alignof__] = ACTIONS(1635),
    [anon_sym___alignof] = ACTIONS(1635),
    [anon_sym__alignof] = ACTIONS(1635),
    [anon_sym_alignof] = ACTIONS(1635),
    [anon_sym__Alignof] = ACTIONS(1635),
    [anon_sym_offsetof] = ACTIONS(1635),
    [anon_sym__Generic] = ACTIONS(1635),
    [anon_sym_asm] = ACTIONS(1635),
    [anon_sym___asm__] = ACTIONS(1635),
    [sym_number_literal] = ACTIONS(1637),
    [anon_sym_L_SQUOTE] = ACTIONS(1637),
    [anon_sym_u_SQUOTE] = ACTIONS(1637),
    [anon_sym_U_SQUOTE] = ACTIONS(1637),
    [anon_sym_u8_SQUOTE] = ACTIONS(1637),
    [anon_sym_SQUOTE] = ACTIONS(1637),
    [anon_sym_L_DQUOTE] = ACTIONS(1637),
    [anon_sym_u_DQUOTE] = ACTIONS(1637),
    [anon_sym_U_DQUOTE] = ACTIONS(1637),
    [anon_sym_u8_DQUOTE] = ACTIONS(1637),
    [anon_sym_DQUOTE] = ACTIONS(1637),
    [sym_true] = ACTIONS(1635),
    [sym_false] = ACTIONS(1635),
    [anon_sym_NULL] = ACTIONS(1635),
    [anon_sym_nullptr] = ACTIONS(1635),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1635),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1635),
    [anon_sym_hitAttributeEXT] = ACTIONS(1635),
    [anon_sym_callableDataEXT] = ACTIONS(1635),
    [anon_sym_callableDataInEXT] = ACTIONS(1635),
    [anon_sym_shaderRecordEXT] = ACTIONS(1635),
    [anon_sym_rayPayloadNV] = ACTIONS(1635),
    [anon_sym_rayPayloadInNV] = ACTIONS(1635),
    [anon_sym_hitAttributeNV] = ACTIONS(1635),
    [anon_sym_callableDataNV] = ACTIONS(1635),
    [anon_sym_callableDataInNV] = ACTIONS(1635),
    [anon_sym_shaderRecordNV] = ACTIONS(1635),
    [anon_sym_layout] = ACTIONS(1635),
  },
  [169] = {
    [sym_identifier] = ACTIONS(1639),
    [aux_sym_preproc_include_token1] = ACTIONS(1639),
    [aux_sym_preproc_def_token1] = ACTIONS(1639),
    [aux_sym_preproc_if_token1] = ACTIONS(1639),
    [aux_sym_preproc_if_token2] = ACTIONS(1639),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1639),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1639),
    [aux_sym_preproc_else_token1] = ACTIONS(1639),
    [aux_sym_preproc_elif_token1] = ACTIONS(1639),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1639),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1639),
    [sym_preproc_directive] = ACTIONS(1639),
    [anon_sym_LPAREN2] = ACTIONS(1641),
    [anon_sym_BANG] = ACTIONS(1641),
    [anon_sym_TILDE] = ACTIONS(1641),
    [anon_sym_DASH] = ACTIONS(1639),
    [anon_sym_PLUS] = ACTIONS(1639),
    [anon_sym_STAR] = ACTIONS(1641),
    [anon_sym_AMP] = ACTIONS(1641),
    [anon_sym_subroutine] = ACTIONS(1639),
    [anon_sym_invariant] = ACTIONS(1639),
    [anon_sym_precise] = ACTIONS(1639),
    [anon_sym_SEMI] = ACTIONS(1641),
    [anon_sym_in] = ACTIONS(1639),
    [anon_sym_out] = ACTIONS(1639),
    [anon_sym_inout] = ACTIONS(1639),
    [anon_sym_uniform] = ACTIONS(1639),
    [anon_sym_shared] = ACTIONS(1639),
    [anon_sym_attribute] = ACTIONS(1639),
    [anon_sym_varying] = ACTIONS(1639),
    [anon_sym_buffer] = ACTIONS(1639),
    [anon_sym_coherent] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1639),
    [anon_sym_writeonly] = ACTIONS(1639),
    [anon_sym_precision] = ACTIONS(1639),
    [anon_sym_highp] = ACTIONS(1639),
    [anon_sym_mediump] = ACTIONS(1639),
    [anon_sym_lowp] = ACTIONS(1639),
    [anon_sym_centroid] = ACTIONS(1639),
    [anon_sym_sample] = ACTIONS(1639),
    [anon_sym_patch] = ACTIONS(1639),
    [anon_sym_smooth] = ACTIONS(1639),
    [anon_sym_flat] = ACTIONS(1639),
    [anon_sym_noperspective] = ACTIONS(1639),
    [anon_sym___extension__] = ACTIONS(1639),
    [anon_sym_typedef] = ACTIONS(1639),
    [anon_sym_extern] = ACTIONS(1639),
    [anon_sym___attribute__] = ACTIONS(1639),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1641),
    [anon_sym___declspec] = ACTIONS(1639),
    [anon_sym___cdecl] = ACTIONS(1639),
    [anon_sym___clrcall] = ACTIONS(1639),
    [anon_sym___stdcall] = ACTIONS(1639),
    [anon_sym___fastcall] = ACTIONS(1639),
    [anon_sym___thiscall] = ACTIONS(1639),
    [anon_sym___vectorcall] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1641),
    [anon_sym_signed] = ACTIONS(1639),
    [anon_sym_unsigned] = ACTIONS(1639),
    [anon_sym_long] = ACTIONS(1639),
    [anon_sym_short] = ACTIONS(1639),
    [anon_sym_static] = ACTIONS(1639),
    [anon_sym_auto] = ACTIONS(1639),
    [anon_sym_register] = ACTIONS(1639),
    [anon_sym_inline] = ACTIONS(1639),
    [anon_sym___inline] = ACTIONS(1639),
    [anon_sym___inline__] = ACTIONS(1639),
    [anon_sym___forceinline] = ACTIONS(1639),
    [anon_sym_thread_local] = ACTIONS(1639),
    [anon_sym___thread] = ACTIONS(1639),
    [anon_sym_const] = ACTIONS(1639),
    [anon_sym_constexpr] = ACTIONS(1639),
    [anon_sym_volatile] = ACTIONS(1639),
    [anon_sym_restrict] = ACTIONS(1639),
    [anon_sym___restrict__] = ACTIONS(1639),
    [anon_sym__Atomic] = ACTIONS(1639),
    [anon_sym__Noreturn] = ACTIONS(1639),
    [anon_sym_noreturn] = ACTIONS(1639),
    [sym_primitive_type] = ACTIONS(1639),
    [anon_sym_enum] = ACTIONS(1639),
    [anon_sym_struct] = ACTIONS(1639),
    [anon_sym_union] = ACTIONS(1639),
    [anon_sym_if] = ACTIONS(1639),
    [anon_sym_switch] = ACTIONS(1639),
    [anon_sym_case] = ACTIONS(1639),
    [anon_sym_default] = ACTIONS(1639),
    [anon_sym_while] = ACTIONS(1639),
    [anon_sym_do] = ACTIONS(1639),
    [anon_sym_for] = ACTIONS(1639),
    [anon_sym_return] = ACTIONS(1639),
    [anon_sym_break] = ACTIONS(1639),
    [anon_sym_continue] = ACTIONS(1639),
    [anon_sym_goto] = ACTIONS(1639),
    [anon_sym___try] = ACTIONS(1639),
    [anon_sym___leave] = ACTIONS(1639),
    [anon_sym_DASH_DASH] = ACTIONS(1641),
    [anon_sym_PLUS_PLUS] = ACTIONS(1641),
    [anon_sym_sizeof] = ACTIONS(1639),
    [anon_sym___alignof__] = ACTIONS(1639),
    [anon_sym___alignof] = ACTIONS(1639),
    [anon_sym__alignof] = ACTIONS(1639),
    [anon_sym_alignof] = ACTIONS(1639),
    [anon_sym__Alignof] = ACTIONS(1639),
    [anon_sym_offsetof] = ACTIONS(1639),
    [anon_sym__Generic] = ACTIONS(1639),
    [anon_sym_asm] = ACTIONS(1639),
    [anon_sym___asm__] = ACTIONS(1639),
    [sym_number_literal] = ACTIONS(1641),
    [anon_sym_L_SQUOTE] = ACTIONS(1641),
    [anon_sym_u_SQUOTE] = ACTIONS(1641),
    [anon_sym_U_SQUOTE] = ACTIONS(1641),
    [anon_sym_u8_SQUOTE] = ACTIONS(1641),
    [anon_sym_SQUOTE] = ACTIONS(1641),
    [anon_sym_L_DQUOTE] = ACTIONS(1641),
    [anon_sym_u_DQUOTE] = ACTIONS(1641),
    [anon_sym_U_DQUOTE] = ACTIONS(1641),
    [anon_sym_u8_DQUOTE] = ACTIONS(1641),
    [anon_sym_DQUOTE] = ACTIONS(1641),
    [sym_true] = ACTIONS(1639),
    [sym_false] = ACTIONS(1639),
    [anon_sym_NULL] = ACTIONS(1639),
    [anon_sym_nullptr] = ACTIONS(1639),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1639),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1639),
    [anon_sym_hitAttributeEXT] = ACTIONS(1639),
    [anon_sym_callableDataEXT] = ACTIONS(1639),
    [anon_sym_callableDataInEXT] = ACTIONS(1639),
    [anon_sym_shaderRecordEXT] = ACTIONS(1639),
    [anon_sym_rayPayloadNV] = ACTIONS(1639),
    [anon_sym_rayPayloadInNV] = ACTIONS(1639),
    [anon_sym_hitAttributeNV] = ACTIONS(1639),
    [anon_sym_callableDataNV] = ACTIONS(1639),
    [anon_sym_callableDataInNV] = ACTIONS(1639),
    [anon_sym_shaderRecordNV] = ACTIONS(1639),
    [anon_sym_layout] = ACTIONS(1639),
  },
  [170] = {
    [sym_identifier] = ACTIONS(1639),
    [aux_sym_preproc_include_token1] = ACTIONS(1639),
    [aux_sym_preproc_def_token1] = ACTIONS(1639),
    [aux_sym_preproc_if_token1] = ACTIONS(1639),
    [aux_sym_preproc_if_token2] = ACTIONS(1639),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1639),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1639),
    [aux_sym_preproc_else_token1] = ACTIONS(1639),
    [aux_sym_preproc_elif_token1] = ACTIONS(1639),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1639),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1639),
    [sym_preproc_directive] = ACTIONS(1639),
    [anon_sym_LPAREN2] = ACTIONS(1641),
    [anon_sym_BANG] = ACTIONS(1641),
    [anon_sym_TILDE] = ACTIONS(1641),
    [anon_sym_DASH] = ACTIONS(1639),
    [anon_sym_PLUS] = ACTIONS(1639),
    [anon_sym_STAR] = ACTIONS(1641),
    [anon_sym_AMP] = ACTIONS(1641),
    [anon_sym_subroutine] = ACTIONS(1639),
    [anon_sym_invariant] = ACTIONS(1639),
    [anon_sym_precise] = ACTIONS(1639),
    [anon_sym_SEMI] = ACTIONS(1641),
    [anon_sym_in] = ACTIONS(1639),
    [anon_sym_out] = ACTIONS(1639),
    [anon_sym_inout] = ACTIONS(1639),
    [anon_sym_uniform] = ACTIONS(1639),
    [anon_sym_shared] = ACTIONS(1639),
    [anon_sym_attribute] = ACTIONS(1639),
    [anon_sym_varying] = ACTIONS(1639),
    [anon_sym_buffer] = ACTIONS(1639),
    [anon_sym_coherent] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1639),
    [anon_sym_writeonly] = ACTIONS(1639),
    [anon_sym_precision] = ACTIONS(1639),
    [anon_sym_highp] = ACTIONS(1639),
    [anon_sym_mediump] = ACTIONS(1639),
    [anon_sym_lowp] = ACTIONS(1639),
    [anon_sym_centroid] = ACTIONS(1639),
    [anon_sym_sample] = ACTIONS(1639),
    [anon_sym_patch] = ACTIONS(1639),
    [anon_sym_smooth] = ACTIONS(1639),
    [anon_sym_flat] = ACTIONS(1639),
    [anon_sym_noperspective] = ACTIONS(1639),
    [anon_sym___extension__] = ACTIONS(1639),
    [anon_sym_typedef] = ACTIONS(1639),
    [anon_sym_extern] = ACTIONS(1639),
    [anon_sym___attribute__] = ACTIONS(1639),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1641),
    [anon_sym___declspec] = ACTIONS(1639),
    [anon_sym___cdecl] = ACTIONS(1639),
    [anon_sym___clrcall] = ACTIONS(1639),
    [anon_sym___stdcall] = ACTIONS(1639),
    [anon_sym___fastcall] = ACTIONS(1639),
    [anon_sym___thiscall] = ACTIONS(1639),
    [anon_sym___vectorcall] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1641),
    [anon_sym_signed] = ACTIONS(1639),
    [anon_sym_unsigned] = ACTIONS(1639),
    [anon_sym_long] = ACTIONS(1639),
    [anon_sym_short] = ACTIONS(1639),
    [anon_sym_static] = ACTIONS(1639),
    [anon_sym_auto] = ACTIONS(1639),
    [anon_sym_register] = ACTIONS(1639),
    [anon_sym_inline] = ACTIONS(1639),
    [anon_sym___inline] = ACTIONS(1639),
    [anon_sym___inline__] = ACTIONS(1639),
    [anon_sym___forceinline] = ACTIONS(1639),
    [anon_sym_thread_local] = ACTIONS(1639),
    [anon_sym___thread] = ACTIONS(1639),
    [anon_sym_const] = ACTIONS(1639),
    [anon_sym_constexpr] = ACTIONS(1639),
    [anon_sym_volatile] = ACTIONS(1639),
    [anon_sym_restrict] = ACTIONS(1639),
    [anon_sym___restrict__] = ACTIONS(1639),
    [anon_sym__Atomic] = ACTIONS(1639),
    [anon_sym__Noreturn] = ACTIONS(1639),
    [anon_sym_noreturn] = ACTIONS(1639),
    [sym_primitive_type] = ACTIONS(1639),
    [anon_sym_enum] = ACTIONS(1639),
    [anon_sym_struct] = ACTIONS(1639),
    [anon_sym_union] = ACTIONS(1639),
    [anon_sym_if] = ACTIONS(1639),
    [anon_sym_switch] = ACTIONS(1639),
    [anon_sym_case] = ACTIONS(1639),
    [anon_sym_default] = ACTIONS(1639),
    [anon_sym_while] = ACTIONS(1639),
    [anon_sym_do] = ACTIONS(1639),
    [anon_sym_for] = ACTIONS(1639),
    [anon_sym_return] = ACTIONS(1639),
    [anon_sym_break] = ACTIONS(1639),
    [anon_sym_continue] = ACTIONS(1639),
    [anon_sym_goto] = ACTIONS(1639),
    [anon_sym___try] = ACTIONS(1639),
    [anon_sym___leave] = ACTIONS(1639),
    [anon_sym_DASH_DASH] = ACTIONS(1641),
    [anon_sym_PLUS_PLUS] = ACTIONS(1641),
    [anon_sym_sizeof] = ACTIONS(1639),
    [anon_sym___alignof__] = ACTIONS(1639),
    [anon_sym___alignof] = ACTIONS(1639),
    [anon_sym__alignof] = ACTIONS(1639),
    [anon_sym_alignof] = ACTIONS(1639),
    [anon_sym__Alignof] = ACTIONS(1639),
    [anon_sym_offsetof] = ACTIONS(1639),
    [anon_sym__Generic] = ACTIONS(1639),
    [anon_sym_asm] = ACTIONS(1639),
    [anon_sym___asm__] = ACTIONS(1639),
    [sym_number_literal] = ACTIONS(1641),
    [anon_sym_L_SQUOTE] = ACTIONS(1641),
    [anon_sym_u_SQUOTE] = ACTIONS(1641),
    [anon_sym_U_SQUOTE] = ACTIONS(1641),
    [anon_sym_u8_SQUOTE] = ACTIONS(1641),
    [anon_sym_SQUOTE] = ACTIONS(1641),
    [anon_sym_L_DQUOTE] = ACTIONS(1641),
    [anon_sym_u_DQUOTE] = ACTIONS(1641),
    [anon_sym_U_DQUOTE] = ACTIONS(1641),
    [anon_sym_u8_DQUOTE] = ACTIONS(1641),
    [anon_sym_DQUOTE] = ACTIONS(1641),
    [sym_true] = ACTIONS(1639),
    [sym_false] = ACTIONS(1639),
    [anon_sym_NULL] = ACTIONS(1639),
    [anon_sym_nullptr] = ACTIONS(1639),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1639),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1639),
    [anon_sym_hitAttributeEXT] = ACTIONS(1639),
    [anon_sym_callableDataEXT] = ACTIONS(1639),
    [anon_sym_callableDataInEXT] = ACTIONS(1639),
    [anon_sym_shaderRecordEXT] = ACTIONS(1639),
    [anon_sym_rayPayloadNV] = ACTIONS(1639),
    [anon_sym_rayPayloadInNV] = ACTIONS(1639),
    [anon_sym_hitAttributeNV] = ACTIONS(1639),
    [anon_sym_callableDataNV] = ACTIONS(1639),
    [anon_sym_callableDataInNV] = ACTIONS(1639),
    [anon_sym_shaderRecordNV] = ACTIONS(1639),
    [anon_sym_layout] = ACTIONS(1639),
  },
  [171] = {
    [sym_identifier] = ACTIONS(1643),
    [aux_sym_preproc_include_token1] = ACTIONS(1643),
    [aux_sym_preproc_def_token1] = ACTIONS(1643),
    [aux_sym_preproc_if_token1] = ACTIONS(1643),
    [aux_sym_preproc_if_token2] = ACTIONS(1643),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1643),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1643),
    [aux_sym_preproc_else_token1] = ACTIONS(1643),
    [aux_sym_preproc_elif_token1] = ACTIONS(1643),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1643),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1643),
    [sym_preproc_directive] = ACTIONS(1643),
    [anon_sym_LPAREN2] = ACTIONS(1645),
    [anon_sym_BANG] = ACTIONS(1645),
    [anon_sym_TILDE] = ACTIONS(1645),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(1645),
    [anon_sym_AMP] = ACTIONS(1645),
    [anon_sym_subroutine] = ACTIONS(1643),
    [anon_sym_invariant] = ACTIONS(1643),
    [anon_sym_precise] = ACTIONS(1643),
    [anon_sym_SEMI] = ACTIONS(1645),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_out] = ACTIONS(1643),
    [anon_sym_inout] = ACTIONS(1643),
    [anon_sym_uniform] = ACTIONS(1643),
    [anon_sym_shared] = ACTIONS(1643),
    [anon_sym_attribute] = ACTIONS(1643),
    [anon_sym_varying] = ACTIONS(1643),
    [anon_sym_buffer] = ACTIONS(1643),
    [anon_sym_coherent] = ACTIONS(1643),
    [anon_sym_readonly] = ACTIONS(1643),
    [anon_sym_writeonly] = ACTIONS(1643),
    [anon_sym_precision] = ACTIONS(1643),
    [anon_sym_highp] = ACTIONS(1643),
    [anon_sym_mediump] = ACTIONS(1643),
    [anon_sym_lowp] = ACTIONS(1643),
    [anon_sym_centroid] = ACTIONS(1643),
    [anon_sym_sample] = ACTIONS(1643),
    [anon_sym_patch] = ACTIONS(1643),
    [anon_sym_smooth] = ACTIONS(1643),
    [anon_sym_flat] = ACTIONS(1643),
    [anon_sym_noperspective] = ACTIONS(1643),
    [anon_sym___extension__] = ACTIONS(1643),
    [anon_sym_typedef] = ACTIONS(1643),
    [anon_sym_extern] = ACTIONS(1643),
    [anon_sym___attribute__] = ACTIONS(1643),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1645),
    [anon_sym___declspec] = ACTIONS(1643),
    [anon_sym___cdecl] = ACTIONS(1643),
    [anon_sym___clrcall] = ACTIONS(1643),
    [anon_sym___stdcall] = ACTIONS(1643),
    [anon_sym___fastcall] = ACTIONS(1643),
    [anon_sym___thiscall] = ACTIONS(1643),
    [anon_sym___vectorcall] = ACTIONS(1643),
    [anon_sym_LBRACE] = ACTIONS(1645),
    [anon_sym_signed] = ACTIONS(1643),
    [anon_sym_unsigned] = ACTIONS(1643),
    [anon_sym_long] = ACTIONS(1643),
    [anon_sym_short] = ACTIONS(1643),
    [anon_sym_static] = ACTIONS(1643),
    [anon_sym_auto] = ACTIONS(1643),
    [anon_sym_register] = ACTIONS(1643),
    [anon_sym_inline] = ACTIONS(1643),
    [anon_sym___inline] = ACTIONS(1643),
    [anon_sym___inline__] = ACTIONS(1643),
    [anon_sym___forceinline] = ACTIONS(1643),
    [anon_sym_thread_local] = ACTIONS(1643),
    [anon_sym___thread] = ACTIONS(1643),
    [anon_sym_const] = ACTIONS(1643),
    [anon_sym_constexpr] = ACTIONS(1643),
    [anon_sym_volatile] = ACTIONS(1643),
    [anon_sym_restrict] = ACTIONS(1643),
    [anon_sym___restrict__] = ACTIONS(1643),
    [anon_sym__Atomic] = ACTIONS(1643),
    [anon_sym__Noreturn] = ACTIONS(1643),
    [anon_sym_noreturn] = ACTIONS(1643),
    [sym_primitive_type] = ACTIONS(1643),
    [anon_sym_enum] = ACTIONS(1643),
    [anon_sym_struct] = ACTIONS(1643),
    [anon_sym_union] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_switch] = ACTIONS(1643),
    [anon_sym_case] = ACTIONS(1643),
    [anon_sym_default] = ACTIONS(1643),
    [anon_sym_while] = ACTIONS(1643),
    [anon_sym_do] = ACTIONS(1643),
    [anon_sym_for] = ACTIONS(1643),
    [anon_sym_return] = ACTIONS(1643),
    [anon_sym_break] = ACTIONS(1643),
    [anon_sym_continue] = ACTIONS(1643),
    [anon_sym_goto] = ACTIONS(1643),
    [anon_sym___try] = ACTIONS(1643),
    [anon_sym___leave] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1645),
    [anon_sym_PLUS_PLUS] = ACTIONS(1645),
    [anon_sym_sizeof] = ACTIONS(1643),
    [anon_sym___alignof__] = ACTIONS(1643),
    [anon_sym___alignof] = ACTIONS(1643),
    [anon_sym__alignof] = ACTIONS(1643),
    [anon_sym_alignof] = ACTIONS(1643),
    [anon_sym__Alignof] = ACTIONS(1643),
    [anon_sym_offsetof] = ACTIONS(1643),
    [anon_sym__Generic] = ACTIONS(1643),
    [anon_sym_asm] = ACTIONS(1643),
    [anon_sym___asm__] = ACTIONS(1643),
    [sym_number_literal] = ACTIONS(1645),
    [anon_sym_L_SQUOTE] = ACTIONS(1645),
    [anon_sym_u_SQUOTE] = ACTIONS(1645),
    [anon_sym_U_SQUOTE] = ACTIONS(1645),
    [anon_sym_u8_SQUOTE] = ACTIONS(1645),
    [anon_sym_SQUOTE] = ACTIONS(1645),
    [anon_sym_L_DQUOTE] = ACTIONS(1645),
    [anon_sym_u_DQUOTE] = ACTIONS(1645),
    [anon_sym_U_DQUOTE] = ACTIONS(1645),
    [anon_sym_u8_DQUOTE] = ACTIONS(1645),
    [anon_sym_DQUOTE] = ACTIONS(1645),
    [sym_true] = ACTIONS(1643),
    [sym_false] = ACTIONS(1643),
    [anon_sym_NULL] = ACTIONS(1643),
    [anon_sym_nullptr] = ACTIONS(1643),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1643),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1643),
    [anon_sym_hitAttributeEXT] = ACTIONS(1643),
    [anon_sym_callableDataEXT] = ACTIONS(1643),
    [anon_sym_callableDataInEXT] = ACTIONS(1643),
    [anon_sym_shaderRecordEXT] = ACTIONS(1643),
    [anon_sym_rayPayloadNV] = ACTIONS(1643),
    [anon_sym_rayPayloadInNV] = ACTIONS(1643),
    [anon_sym_hitAttributeNV] = ACTIONS(1643),
    [anon_sym_callableDataNV] = ACTIONS(1643),
    [anon_sym_callableDataInNV] = ACTIONS(1643),
    [anon_sym_shaderRecordNV] = ACTIONS(1643),
    [anon_sym_layout] = ACTIONS(1643),
  },
  [172] = {
    [sym_identifier] = ACTIONS(1643),
    [aux_sym_preproc_include_token1] = ACTIONS(1643),
    [aux_sym_preproc_def_token1] = ACTIONS(1643),
    [aux_sym_preproc_if_token1] = ACTIONS(1643),
    [aux_sym_preproc_if_token2] = ACTIONS(1643),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1643),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1643),
    [aux_sym_preproc_else_token1] = ACTIONS(1643),
    [aux_sym_preproc_elif_token1] = ACTIONS(1643),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1643),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1643),
    [sym_preproc_directive] = ACTIONS(1643),
    [anon_sym_LPAREN2] = ACTIONS(1645),
    [anon_sym_BANG] = ACTIONS(1645),
    [anon_sym_TILDE] = ACTIONS(1645),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(1645),
    [anon_sym_AMP] = ACTIONS(1645),
    [anon_sym_subroutine] = ACTIONS(1643),
    [anon_sym_invariant] = ACTIONS(1643),
    [anon_sym_precise] = ACTIONS(1643),
    [anon_sym_SEMI] = ACTIONS(1645),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_out] = ACTIONS(1643),
    [anon_sym_inout] = ACTIONS(1643),
    [anon_sym_uniform] = ACTIONS(1643),
    [anon_sym_shared] = ACTIONS(1643),
    [anon_sym_attribute] = ACTIONS(1643),
    [anon_sym_varying] = ACTIONS(1643),
    [anon_sym_buffer] = ACTIONS(1643),
    [anon_sym_coherent] = ACTIONS(1643),
    [anon_sym_readonly] = ACTIONS(1643),
    [anon_sym_writeonly] = ACTIONS(1643),
    [anon_sym_precision] = ACTIONS(1643),
    [anon_sym_highp] = ACTIONS(1643),
    [anon_sym_mediump] = ACTIONS(1643),
    [anon_sym_lowp] = ACTIONS(1643),
    [anon_sym_centroid] = ACTIONS(1643),
    [anon_sym_sample] = ACTIONS(1643),
    [anon_sym_patch] = ACTIONS(1643),
    [anon_sym_smooth] = ACTIONS(1643),
    [anon_sym_flat] = ACTIONS(1643),
    [anon_sym_noperspective] = ACTIONS(1643),
    [anon_sym___extension__] = ACTIONS(1643),
    [anon_sym_typedef] = ACTIONS(1643),
    [anon_sym_extern] = ACTIONS(1643),
    [anon_sym___attribute__] = ACTIONS(1643),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1645),
    [anon_sym___declspec] = ACTIONS(1643),
    [anon_sym___cdecl] = ACTIONS(1643),
    [anon_sym___clrcall] = ACTIONS(1643),
    [anon_sym___stdcall] = ACTIONS(1643),
    [anon_sym___fastcall] = ACTIONS(1643),
    [anon_sym___thiscall] = ACTIONS(1643),
    [anon_sym___vectorcall] = ACTIONS(1643),
    [anon_sym_LBRACE] = ACTIONS(1645),
    [anon_sym_signed] = ACTIONS(1643),
    [anon_sym_unsigned] = ACTIONS(1643),
    [anon_sym_long] = ACTIONS(1643),
    [anon_sym_short] = ACTIONS(1643),
    [anon_sym_static] = ACTIONS(1643),
    [anon_sym_auto] = ACTIONS(1643),
    [anon_sym_register] = ACTIONS(1643),
    [anon_sym_inline] = ACTIONS(1643),
    [anon_sym___inline] = ACTIONS(1643),
    [anon_sym___inline__] = ACTIONS(1643),
    [anon_sym___forceinline] = ACTIONS(1643),
    [anon_sym_thread_local] = ACTIONS(1643),
    [anon_sym___thread] = ACTIONS(1643),
    [anon_sym_const] = ACTIONS(1643),
    [anon_sym_constexpr] = ACTIONS(1643),
    [anon_sym_volatile] = ACTIONS(1643),
    [anon_sym_restrict] = ACTIONS(1643),
    [anon_sym___restrict__] = ACTIONS(1643),
    [anon_sym__Atomic] = ACTIONS(1643),
    [anon_sym__Noreturn] = ACTIONS(1643),
    [anon_sym_noreturn] = ACTIONS(1643),
    [sym_primitive_type] = ACTIONS(1643),
    [anon_sym_enum] = ACTIONS(1643),
    [anon_sym_struct] = ACTIONS(1643),
    [anon_sym_union] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_switch] = ACTIONS(1643),
    [anon_sym_case] = ACTIONS(1643),
    [anon_sym_default] = ACTIONS(1643),
    [anon_sym_while] = ACTIONS(1643),
    [anon_sym_do] = ACTIONS(1643),
    [anon_sym_for] = ACTIONS(1643),
    [anon_sym_return] = ACTIONS(1643),
    [anon_sym_break] = ACTIONS(1643),
    [anon_sym_continue] = ACTIONS(1643),
    [anon_sym_goto] = ACTIONS(1643),
    [anon_sym___try] = ACTIONS(1643),
    [anon_sym___leave] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1645),
    [anon_sym_PLUS_PLUS] = ACTIONS(1645),
    [anon_sym_sizeof] = ACTIONS(1643),
    [anon_sym___alignof__] = ACTIONS(1643),
    [anon_sym___alignof] = ACTIONS(1643),
    [anon_sym__alignof] = ACTIONS(1643),
    [anon_sym_alignof] = ACTIONS(1643),
    [anon_sym__Alignof] = ACTIONS(1643),
    [anon_sym_offsetof] = ACTIONS(1643),
    [anon_sym__Generic] = ACTIONS(1643),
    [anon_sym_asm] = ACTIONS(1643),
    [anon_sym___asm__] = ACTIONS(1643),
    [sym_number_literal] = ACTIONS(1645),
    [anon_sym_L_SQUOTE] = ACTIONS(1645),
    [anon_sym_u_SQUOTE] = ACTIONS(1645),
    [anon_sym_U_SQUOTE] = ACTIONS(1645),
    [anon_sym_u8_SQUOTE] = ACTIONS(1645),
    [anon_sym_SQUOTE] = ACTIONS(1645),
    [anon_sym_L_DQUOTE] = ACTIONS(1645),
    [anon_sym_u_DQUOTE] = ACTIONS(1645),
    [anon_sym_U_DQUOTE] = ACTIONS(1645),
    [anon_sym_u8_DQUOTE] = ACTIONS(1645),
    [anon_sym_DQUOTE] = ACTIONS(1645),
    [sym_true] = ACTIONS(1643),
    [sym_false] = ACTIONS(1643),
    [anon_sym_NULL] = ACTIONS(1643),
    [anon_sym_nullptr] = ACTIONS(1643),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1643),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1643),
    [anon_sym_hitAttributeEXT] = ACTIONS(1643),
    [anon_sym_callableDataEXT] = ACTIONS(1643),
    [anon_sym_callableDataInEXT] = ACTIONS(1643),
    [anon_sym_shaderRecordEXT] = ACTIONS(1643),
    [anon_sym_rayPayloadNV] = ACTIONS(1643),
    [anon_sym_rayPayloadInNV] = ACTIONS(1643),
    [anon_sym_hitAttributeNV] = ACTIONS(1643),
    [anon_sym_callableDataNV] = ACTIONS(1643),
    [anon_sym_callableDataInNV] = ACTIONS(1643),
    [anon_sym_shaderRecordNV] = ACTIONS(1643),
    [anon_sym_layout] = ACTIONS(1643),
  },
  [173] = {
    [sym_identifier] = ACTIONS(1647),
    [aux_sym_preproc_include_token1] = ACTIONS(1647),
    [aux_sym_preproc_def_token1] = ACTIONS(1647),
    [aux_sym_preproc_if_token1] = ACTIONS(1647),
    [aux_sym_preproc_if_token2] = ACTIONS(1647),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1647),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1647),
    [aux_sym_preproc_else_token1] = ACTIONS(1647),
    [aux_sym_preproc_elif_token1] = ACTIONS(1647),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1647),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1647),
    [sym_preproc_directive] = ACTIONS(1647),
    [anon_sym_LPAREN2] = ACTIONS(1649),
    [anon_sym_BANG] = ACTIONS(1649),
    [anon_sym_TILDE] = ACTIONS(1649),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_STAR] = ACTIONS(1649),
    [anon_sym_AMP] = ACTIONS(1649),
    [anon_sym_subroutine] = ACTIONS(1647),
    [anon_sym_invariant] = ACTIONS(1647),
    [anon_sym_precise] = ACTIONS(1647),
    [anon_sym_SEMI] = ACTIONS(1649),
    [anon_sym_in] = ACTIONS(1647),
    [anon_sym_out] = ACTIONS(1647),
    [anon_sym_inout] = ACTIONS(1647),
    [anon_sym_uniform] = ACTIONS(1647),
    [anon_sym_shared] = ACTIONS(1647),
    [anon_sym_attribute] = ACTIONS(1647),
    [anon_sym_varying] = ACTIONS(1647),
    [anon_sym_buffer] = ACTIONS(1647),
    [anon_sym_coherent] = ACTIONS(1647),
    [anon_sym_readonly] = ACTIONS(1647),
    [anon_sym_writeonly] = ACTIONS(1647),
    [anon_sym_precision] = ACTIONS(1647),
    [anon_sym_highp] = ACTIONS(1647),
    [anon_sym_mediump] = ACTIONS(1647),
    [anon_sym_lowp] = ACTIONS(1647),
    [anon_sym_centroid] = ACTIONS(1647),
    [anon_sym_sample] = ACTIONS(1647),
    [anon_sym_patch] = ACTIONS(1647),
    [anon_sym_smooth] = ACTIONS(1647),
    [anon_sym_flat] = ACTIONS(1647),
    [anon_sym_noperspective] = ACTIONS(1647),
    [anon_sym___extension__] = ACTIONS(1647),
    [anon_sym_typedef] = ACTIONS(1647),
    [anon_sym_extern] = ACTIONS(1647),
    [anon_sym___attribute__] = ACTIONS(1647),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1649),
    [anon_sym___declspec] = ACTIONS(1647),
    [anon_sym___cdecl] = ACTIONS(1647),
    [anon_sym___clrcall] = ACTIONS(1647),
    [anon_sym___stdcall] = ACTIONS(1647),
    [anon_sym___fastcall] = ACTIONS(1647),
    [anon_sym___thiscall] = ACTIONS(1647),
    [anon_sym___vectorcall] = ACTIONS(1647),
    [anon_sym_LBRACE] = ACTIONS(1649),
    [anon_sym_signed] = ACTIONS(1647),
    [anon_sym_unsigned] = ACTIONS(1647),
    [anon_sym_long] = ACTIONS(1647),
    [anon_sym_short] = ACTIONS(1647),
    [anon_sym_static] = ACTIONS(1647),
    [anon_sym_auto] = ACTIONS(1647),
    [anon_sym_register] = ACTIONS(1647),
    [anon_sym_inline] = ACTIONS(1647),
    [anon_sym___inline] = ACTIONS(1647),
    [anon_sym___inline__] = ACTIONS(1647),
    [anon_sym___forceinline] = ACTIONS(1647),
    [anon_sym_thread_local] = ACTIONS(1647),
    [anon_sym___thread] = ACTIONS(1647),
    [anon_sym_const] = ACTIONS(1647),
    [anon_sym_constexpr] = ACTIONS(1647),
    [anon_sym_volatile] = ACTIONS(1647),
    [anon_sym_restrict] = ACTIONS(1647),
    [anon_sym___restrict__] = ACTIONS(1647),
    [anon_sym__Atomic] = ACTIONS(1647),
    [anon_sym__Noreturn] = ACTIONS(1647),
    [anon_sym_noreturn] = ACTIONS(1647),
    [sym_primitive_type] = ACTIONS(1647),
    [anon_sym_enum] = ACTIONS(1647),
    [anon_sym_struct] = ACTIONS(1647),
    [anon_sym_union] = ACTIONS(1647),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_switch] = ACTIONS(1647),
    [anon_sym_case] = ACTIONS(1647),
    [anon_sym_default] = ACTIONS(1647),
    [anon_sym_while] = ACTIONS(1647),
    [anon_sym_do] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(1647),
    [anon_sym_return] = ACTIONS(1647),
    [anon_sym_break] = ACTIONS(1647),
    [anon_sym_continue] = ACTIONS(1647),
    [anon_sym_goto] = ACTIONS(1647),
    [anon_sym___try] = ACTIONS(1647),
    [anon_sym___leave] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1649),
    [anon_sym_PLUS_PLUS] = ACTIONS(1649),
    [anon_sym_sizeof] = ACTIONS(1647),
    [anon_sym___alignof__] = ACTIONS(1647),
    [anon_sym___alignof] = ACTIONS(1647),
    [anon_sym__alignof] = ACTIONS(1647),
    [anon_sym_alignof] = ACTIONS(1647),
    [anon_sym__Alignof] = ACTIONS(1647),
    [anon_sym_offsetof] = ACTIONS(1647),
    [anon_sym__Generic] = ACTIONS(1647),
    [anon_sym_asm] = ACTIONS(1647),
    [anon_sym___asm__] = ACTIONS(1647),
    [sym_number_literal] = ACTIONS(1649),
    [anon_sym_L_SQUOTE] = ACTIONS(1649),
    [anon_sym_u_SQUOTE] = ACTIONS(1649),
    [anon_sym_U_SQUOTE] = ACTIONS(1649),
    [anon_sym_u8_SQUOTE] = ACTIONS(1649),
    [anon_sym_SQUOTE] = ACTIONS(1649),
    [anon_sym_L_DQUOTE] = ACTIONS(1649),
    [anon_sym_u_DQUOTE] = ACTIONS(1649),
    [anon_sym_U_DQUOTE] = ACTIONS(1649),
    [anon_sym_u8_DQUOTE] = ACTIONS(1649),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_true] = ACTIONS(1647),
    [sym_false] = ACTIONS(1647),
    [anon_sym_NULL] = ACTIONS(1647),
    [anon_sym_nullptr] = ACTIONS(1647),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1647),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1647),
    [anon_sym_hitAttributeEXT] = ACTIONS(1647),
    [anon_sym_callableDataEXT] = ACTIONS(1647),
    [anon_sym_callableDataInEXT] = ACTIONS(1647),
    [anon_sym_shaderRecordEXT] = ACTIONS(1647),
    [anon_sym_rayPayloadNV] = ACTIONS(1647),
    [anon_sym_rayPayloadInNV] = ACTIONS(1647),
    [anon_sym_hitAttributeNV] = ACTIONS(1647),
    [anon_sym_callableDataNV] = ACTIONS(1647),
    [anon_sym_callableDataInNV] = ACTIONS(1647),
    [anon_sym_shaderRecordNV] = ACTIONS(1647),
    [anon_sym_layout] = ACTIONS(1647),
  },
  [174] = {
    [sym_identifier] = ACTIONS(1647),
    [aux_sym_preproc_include_token1] = ACTIONS(1647),
    [aux_sym_preproc_def_token1] = ACTIONS(1647),
    [aux_sym_preproc_if_token1] = ACTIONS(1647),
    [aux_sym_preproc_if_token2] = ACTIONS(1647),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1647),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1647),
    [aux_sym_preproc_else_token1] = ACTIONS(1647),
    [aux_sym_preproc_elif_token1] = ACTIONS(1647),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1647),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1647),
    [sym_preproc_directive] = ACTIONS(1647),
    [anon_sym_LPAREN2] = ACTIONS(1649),
    [anon_sym_BANG] = ACTIONS(1649),
    [anon_sym_TILDE] = ACTIONS(1649),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_STAR] = ACTIONS(1649),
    [anon_sym_AMP] = ACTIONS(1649),
    [anon_sym_subroutine] = ACTIONS(1647),
    [anon_sym_invariant] = ACTIONS(1647),
    [anon_sym_precise] = ACTIONS(1647),
    [anon_sym_SEMI] = ACTIONS(1649),
    [anon_sym_in] = ACTIONS(1647),
    [anon_sym_out] = ACTIONS(1647),
    [anon_sym_inout] = ACTIONS(1647),
    [anon_sym_uniform] = ACTIONS(1647),
    [anon_sym_shared] = ACTIONS(1647),
    [anon_sym_attribute] = ACTIONS(1647),
    [anon_sym_varying] = ACTIONS(1647),
    [anon_sym_buffer] = ACTIONS(1647),
    [anon_sym_coherent] = ACTIONS(1647),
    [anon_sym_readonly] = ACTIONS(1647),
    [anon_sym_writeonly] = ACTIONS(1647),
    [anon_sym_precision] = ACTIONS(1647),
    [anon_sym_highp] = ACTIONS(1647),
    [anon_sym_mediump] = ACTIONS(1647),
    [anon_sym_lowp] = ACTIONS(1647),
    [anon_sym_centroid] = ACTIONS(1647),
    [anon_sym_sample] = ACTIONS(1647),
    [anon_sym_patch] = ACTIONS(1647),
    [anon_sym_smooth] = ACTIONS(1647),
    [anon_sym_flat] = ACTIONS(1647),
    [anon_sym_noperspective] = ACTIONS(1647),
    [anon_sym___extension__] = ACTIONS(1647),
    [anon_sym_typedef] = ACTIONS(1647),
    [anon_sym_extern] = ACTIONS(1647),
    [anon_sym___attribute__] = ACTIONS(1647),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1649),
    [anon_sym___declspec] = ACTIONS(1647),
    [anon_sym___cdecl] = ACTIONS(1647),
    [anon_sym___clrcall] = ACTIONS(1647),
    [anon_sym___stdcall] = ACTIONS(1647),
    [anon_sym___fastcall] = ACTIONS(1647),
    [anon_sym___thiscall] = ACTIONS(1647),
    [anon_sym___vectorcall] = ACTIONS(1647),
    [anon_sym_LBRACE] = ACTIONS(1649),
    [anon_sym_signed] = ACTIONS(1647),
    [anon_sym_unsigned] = ACTIONS(1647),
    [anon_sym_long] = ACTIONS(1647),
    [anon_sym_short] = ACTIONS(1647),
    [anon_sym_static] = ACTIONS(1647),
    [anon_sym_auto] = ACTIONS(1647),
    [anon_sym_register] = ACTIONS(1647),
    [anon_sym_inline] = ACTIONS(1647),
    [anon_sym___inline] = ACTIONS(1647),
    [anon_sym___inline__] = ACTIONS(1647),
    [anon_sym___forceinline] = ACTIONS(1647),
    [anon_sym_thread_local] = ACTIONS(1647),
    [anon_sym___thread] = ACTIONS(1647),
    [anon_sym_const] = ACTIONS(1647),
    [anon_sym_constexpr] = ACTIONS(1647),
    [anon_sym_volatile] = ACTIONS(1647),
    [anon_sym_restrict] = ACTIONS(1647),
    [anon_sym___restrict__] = ACTIONS(1647),
    [anon_sym__Atomic] = ACTIONS(1647),
    [anon_sym__Noreturn] = ACTIONS(1647),
    [anon_sym_noreturn] = ACTIONS(1647),
    [sym_primitive_type] = ACTIONS(1647),
    [anon_sym_enum] = ACTIONS(1647),
    [anon_sym_struct] = ACTIONS(1647),
    [anon_sym_union] = ACTIONS(1647),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_switch] = ACTIONS(1647),
    [anon_sym_case] = ACTIONS(1647),
    [anon_sym_default] = ACTIONS(1647),
    [anon_sym_while] = ACTIONS(1647),
    [anon_sym_do] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(1647),
    [anon_sym_return] = ACTIONS(1647),
    [anon_sym_break] = ACTIONS(1647),
    [anon_sym_continue] = ACTIONS(1647),
    [anon_sym_goto] = ACTIONS(1647),
    [anon_sym___try] = ACTIONS(1647),
    [anon_sym___leave] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1649),
    [anon_sym_PLUS_PLUS] = ACTIONS(1649),
    [anon_sym_sizeof] = ACTIONS(1647),
    [anon_sym___alignof__] = ACTIONS(1647),
    [anon_sym___alignof] = ACTIONS(1647),
    [anon_sym__alignof] = ACTIONS(1647),
    [anon_sym_alignof] = ACTIONS(1647),
    [anon_sym__Alignof] = ACTIONS(1647),
    [anon_sym_offsetof] = ACTIONS(1647),
    [anon_sym__Generic] = ACTIONS(1647),
    [anon_sym_asm] = ACTIONS(1647),
    [anon_sym___asm__] = ACTIONS(1647),
    [sym_number_literal] = ACTIONS(1649),
    [anon_sym_L_SQUOTE] = ACTIONS(1649),
    [anon_sym_u_SQUOTE] = ACTIONS(1649),
    [anon_sym_U_SQUOTE] = ACTIONS(1649),
    [anon_sym_u8_SQUOTE] = ACTIONS(1649),
    [anon_sym_SQUOTE] = ACTIONS(1649),
    [anon_sym_L_DQUOTE] = ACTIONS(1649),
    [anon_sym_u_DQUOTE] = ACTIONS(1649),
    [anon_sym_U_DQUOTE] = ACTIONS(1649),
    [anon_sym_u8_DQUOTE] = ACTIONS(1649),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_true] = ACTIONS(1647),
    [sym_false] = ACTIONS(1647),
    [anon_sym_NULL] = ACTIONS(1647),
    [anon_sym_nullptr] = ACTIONS(1647),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1647),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1647),
    [anon_sym_hitAttributeEXT] = ACTIONS(1647),
    [anon_sym_callableDataEXT] = ACTIONS(1647),
    [anon_sym_callableDataInEXT] = ACTIONS(1647),
    [anon_sym_shaderRecordEXT] = ACTIONS(1647),
    [anon_sym_rayPayloadNV] = ACTIONS(1647),
    [anon_sym_rayPayloadInNV] = ACTIONS(1647),
    [anon_sym_hitAttributeNV] = ACTIONS(1647),
    [anon_sym_callableDataNV] = ACTIONS(1647),
    [anon_sym_callableDataInNV] = ACTIONS(1647),
    [anon_sym_shaderRecordNV] = ACTIONS(1647),
    [anon_sym_layout] = ACTIONS(1647),
  },
  [175] = {
    [sym_identifier] = ACTIONS(1651),
    [aux_sym_preproc_include_token1] = ACTIONS(1651),
    [aux_sym_preproc_def_token1] = ACTIONS(1651),
    [aux_sym_preproc_if_token1] = ACTIONS(1651),
    [aux_sym_preproc_if_token2] = ACTIONS(1651),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1651),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1651),
    [aux_sym_preproc_else_token1] = ACTIONS(1651),
    [aux_sym_preproc_elif_token1] = ACTIONS(1651),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1651),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1651),
    [sym_preproc_directive] = ACTIONS(1651),
    [anon_sym_LPAREN2] = ACTIONS(1653),
    [anon_sym_BANG] = ACTIONS(1653),
    [anon_sym_TILDE] = ACTIONS(1653),
    [anon_sym_DASH] = ACTIONS(1651),
    [anon_sym_PLUS] = ACTIONS(1651),
    [anon_sym_STAR] = ACTIONS(1653),
    [anon_sym_AMP] = ACTIONS(1653),
    [anon_sym_subroutine] = ACTIONS(1651),
    [anon_sym_invariant] = ACTIONS(1651),
    [anon_sym_precise] = ACTIONS(1651),
    [anon_sym_SEMI] = ACTIONS(1653),
    [anon_sym_in] = ACTIONS(1651),
    [anon_sym_out] = ACTIONS(1651),
    [anon_sym_inout] = ACTIONS(1651),
    [anon_sym_uniform] = ACTIONS(1651),
    [anon_sym_shared] = ACTIONS(1651),
    [anon_sym_attribute] = ACTIONS(1651),
    [anon_sym_varying] = ACTIONS(1651),
    [anon_sym_buffer] = ACTIONS(1651),
    [anon_sym_coherent] = ACTIONS(1651),
    [anon_sym_readonly] = ACTIONS(1651),
    [anon_sym_writeonly] = ACTIONS(1651),
    [anon_sym_precision] = ACTIONS(1651),
    [anon_sym_highp] = ACTIONS(1651),
    [anon_sym_mediump] = ACTIONS(1651),
    [anon_sym_lowp] = ACTIONS(1651),
    [anon_sym_centroid] = ACTIONS(1651),
    [anon_sym_sample] = ACTIONS(1651),
    [anon_sym_patch] = ACTIONS(1651),
    [anon_sym_smooth] = ACTIONS(1651),
    [anon_sym_flat] = ACTIONS(1651),
    [anon_sym_noperspective] = ACTIONS(1651),
    [anon_sym___extension__] = ACTIONS(1651),
    [anon_sym_typedef] = ACTIONS(1651),
    [anon_sym_extern] = ACTIONS(1651),
    [anon_sym___attribute__] = ACTIONS(1651),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1653),
    [anon_sym___declspec] = ACTIONS(1651),
    [anon_sym___cdecl] = ACTIONS(1651),
    [anon_sym___clrcall] = ACTIONS(1651),
    [anon_sym___stdcall] = ACTIONS(1651),
    [anon_sym___fastcall] = ACTIONS(1651),
    [anon_sym___thiscall] = ACTIONS(1651),
    [anon_sym___vectorcall] = ACTIONS(1651),
    [anon_sym_LBRACE] = ACTIONS(1653),
    [anon_sym_signed] = ACTIONS(1651),
    [anon_sym_unsigned] = ACTIONS(1651),
    [anon_sym_long] = ACTIONS(1651),
    [anon_sym_short] = ACTIONS(1651),
    [anon_sym_static] = ACTIONS(1651),
    [anon_sym_auto] = ACTIONS(1651),
    [anon_sym_register] = ACTIONS(1651),
    [anon_sym_inline] = ACTIONS(1651),
    [anon_sym___inline] = ACTIONS(1651),
    [anon_sym___inline__] = ACTIONS(1651),
    [anon_sym___forceinline] = ACTIONS(1651),
    [anon_sym_thread_local] = ACTIONS(1651),
    [anon_sym___thread] = ACTIONS(1651),
    [anon_sym_const] = ACTIONS(1651),
    [anon_sym_constexpr] = ACTIONS(1651),
    [anon_sym_volatile] = ACTIONS(1651),
    [anon_sym_restrict] = ACTIONS(1651),
    [anon_sym___restrict__] = ACTIONS(1651),
    [anon_sym__Atomic] = ACTIONS(1651),
    [anon_sym__Noreturn] = ACTIONS(1651),
    [anon_sym_noreturn] = ACTIONS(1651),
    [sym_primitive_type] = ACTIONS(1651),
    [anon_sym_enum] = ACTIONS(1651),
    [anon_sym_struct] = ACTIONS(1651),
    [anon_sym_union] = ACTIONS(1651),
    [anon_sym_if] = ACTIONS(1651),
    [anon_sym_switch] = ACTIONS(1651),
    [anon_sym_case] = ACTIONS(1651),
    [anon_sym_default] = ACTIONS(1651),
    [anon_sym_while] = ACTIONS(1651),
    [anon_sym_do] = ACTIONS(1651),
    [anon_sym_for] = ACTIONS(1651),
    [anon_sym_return] = ACTIONS(1651),
    [anon_sym_break] = ACTIONS(1651),
    [anon_sym_continue] = ACTIONS(1651),
    [anon_sym_goto] = ACTIONS(1651),
    [anon_sym___try] = ACTIONS(1651),
    [anon_sym___leave] = ACTIONS(1651),
    [anon_sym_DASH_DASH] = ACTIONS(1653),
    [anon_sym_PLUS_PLUS] = ACTIONS(1653),
    [anon_sym_sizeof] = ACTIONS(1651),
    [anon_sym___alignof__] = ACTIONS(1651),
    [anon_sym___alignof] = ACTIONS(1651),
    [anon_sym__alignof] = ACTIONS(1651),
    [anon_sym_alignof] = ACTIONS(1651),
    [anon_sym__Alignof] = ACTIONS(1651),
    [anon_sym_offsetof] = ACTIONS(1651),
    [anon_sym__Generic] = ACTIONS(1651),
    [anon_sym_asm] = ACTIONS(1651),
    [anon_sym___asm__] = ACTIONS(1651),
    [sym_number_literal] = ACTIONS(1653),
    [anon_sym_L_SQUOTE] = ACTIONS(1653),
    [anon_sym_u_SQUOTE] = ACTIONS(1653),
    [anon_sym_U_SQUOTE] = ACTIONS(1653),
    [anon_sym_u8_SQUOTE] = ACTIONS(1653),
    [anon_sym_SQUOTE] = ACTIONS(1653),
    [anon_sym_L_DQUOTE] = ACTIONS(1653),
    [anon_sym_u_DQUOTE] = ACTIONS(1653),
    [anon_sym_U_DQUOTE] = ACTIONS(1653),
    [anon_sym_u8_DQUOTE] = ACTIONS(1653),
    [anon_sym_DQUOTE] = ACTIONS(1653),
    [sym_true] = ACTIONS(1651),
    [sym_false] = ACTIONS(1651),
    [anon_sym_NULL] = ACTIONS(1651),
    [anon_sym_nullptr] = ACTIONS(1651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1651),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1651),
    [anon_sym_hitAttributeEXT] = ACTIONS(1651),
    [anon_sym_callableDataEXT] = ACTIONS(1651),
    [anon_sym_callableDataInEXT] = ACTIONS(1651),
    [anon_sym_shaderRecordEXT] = ACTIONS(1651),
    [anon_sym_rayPayloadNV] = ACTIONS(1651),
    [anon_sym_rayPayloadInNV] = ACTIONS(1651),
    [anon_sym_hitAttributeNV] = ACTIONS(1651),
    [anon_sym_callableDataNV] = ACTIONS(1651),
    [anon_sym_callableDataInNV] = ACTIONS(1651),
    [anon_sym_shaderRecordNV] = ACTIONS(1651),
    [anon_sym_layout] = ACTIONS(1651),
  },
  [176] = {
    [sym_identifier] = ACTIONS(1655),
    [aux_sym_preproc_include_token1] = ACTIONS(1655),
    [aux_sym_preproc_def_token1] = ACTIONS(1655),
    [aux_sym_preproc_if_token1] = ACTIONS(1655),
    [aux_sym_preproc_if_token2] = ACTIONS(1655),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1655),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1655),
    [aux_sym_preproc_else_token1] = ACTIONS(1655),
    [aux_sym_preproc_elif_token1] = ACTIONS(1655),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1655),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1655),
    [sym_preproc_directive] = ACTIONS(1655),
    [anon_sym_LPAREN2] = ACTIONS(1657),
    [anon_sym_BANG] = ACTIONS(1657),
    [anon_sym_TILDE] = ACTIONS(1657),
    [anon_sym_DASH] = ACTIONS(1655),
    [anon_sym_PLUS] = ACTIONS(1655),
    [anon_sym_STAR] = ACTIONS(1657),
    [anon_sym_AMP] = ACTIONS(1657),
    [anon_sym_subroutine] = ACTIONS(1655),
    [anon_sym_invariant] = ACTIONS(1655),
    [anon_sym_precise] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(1657),
    [anon_sym_in] = ACTIONS(1655),
    [anon_sym_out] = ACTIONS(1655),
    [anon_sym_inout] = ACTIONS(1655),
    [anon_sym_uniform] = ACTIONS(1655),
    [anon_sym_shared] = ACTIONS(1655),
    [anon_sym_attribute] = ACTIONS(1655),
    [anon_sym_varying] = ACTIONS(1655),
    [anon_sym_buffer] = ACTIONS(1655),
    [anon_sym_coherent] = ACTIONS(1655),
    [anon_sym_readonly] = ACTIONS(1655),
    [anon_sym_writeonly] = ACTIONS(1655),
    [anon_sym_precision] = ACTIONS(1655),
    [anon_sym_highp] = ACTIONS(1655),
    [anon_sym_mediump] = ACTIONS(1655),
    [anon_sym_lowp] = ACTIONS(1655),
    [anon_sym_centroid] = ACTIONS(1655),
    [anon_sym_sample] = ACTIONS(1655),
    [anon_sym_patch] = ACTIONS(1655),
    [anon_sym_smooth] = ACTIONS(1655),
    [anon_sym_flat] = ACTIONS(1655),
    [anon_sym_noperspective] = ACTIONS(1655),
    [anon_sym___extension__] = ACTIONS(1655),
    [anon_sym_typedef] = ACTIONS(1655),
    [anon_sym_extern] = ACTIONS(1655),
    [anon_sym___attribute__] = ACTIONS(1655),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1657),
    [anon_sym___declspec] = ACTIONS(1655),
    [anon_sym___cdecl] = ACTIONS(1655),
    [anon_sym___clrcall] = ACTIONS(1655),
    [anon_sym___stdcall] = ACTIONS(1655),
    [anon_sym___fastcall] = ACTIONS(1655),
    [anon_sym___thiscall] = ACTIONS(1655),
    [anon_sym___vectorcall] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1657),
    [anon_sym_signed] = ACTIONS(1655),
    [anon_sym_unsigned] = ACTIONS(1655),
    [anon_sym_long] = ACTIONS(1655),
    [anon_sym_short] = ACTIONS(1655),
    [anon_sym_static] = ACTIONS(1655),
    [anon_sym_auto] = ACTIONS(1655),
    [anon_sym_register] = ACTIONS(1655),
    [anon_sym_inline] = ACTIONS(1655),
    [anon_sym___inline] = ACTIONS(1655),
    [anon_sym___inline__] = ACTIONS(1655),
    [anon_sym___forceinline] = ACTIONS(1655),
    [anon_sym_thread_local] = ACTIONS(1655),
    [anon_sym___thread] = ACTIONS(1655),
    [anon_sym_const] = ACTIONS(1655),
    [anon_sym_constexpr] = ACTIONS(1655),
    [anon_sym_volatile] = ACTIONS(1655),
    [anon_sym_restrict] = ACTIONS(1655),
    [anon_sym___restrict__] = ACTIONS(1655),
    [anon_sym__Atomic] = ACTIONS(1655),
    [anon_sym__Noreturn] = ACTIONS(1655),
    [anon_sym_noreturn] = ACTIONS(1655),
    [sym_primitive_type] = ACTIONS(1655),
    [anon_sym_enum] = ACTIONS(1655),
    [anon_sym_struct] = ACTIONS(1655),
    [anon_sym_union] = ACTIONS(1655),
    [anon_sym_if] = ACTIONS(1655),
    [anon_sym_switch] = ACTIONS(1655),
    [anon_sym_case] = ACTIONS(1655),
    [anon_sym_default] = ACTIONS(1655),
    [anon_sym_while] = ACTIONS(1655),
    [anon_sym_do] = ACTIONS(1655),
    [anon_sym_for] = ACTIONS(1655),
    [anon_sym_return] = ACTIONS(1655),
    [anon_sym_break] = ACTIONS(1655),
    [anon_sym_continue] = ACTIONS(1655),
    [anon_sym_goto] = ACTIONS(1655),
    [anon_sym___try] = ACTIONS(1655),
    [anon_sym___leave] = ACTIONS(1655),
    [anon_sym_DASH_DASH] = ACTIONS(1657),
    [anon_sym_PLUS_PLUS] = ACTIONS(1657),
    [anon_sym_sizeof] = ACTIONS(1655),
    [anon_sym___alignof__] = ACTIONS(1655),
    [anon_sym___alignof] = ACTIONS(1655),
    [anon_sym__alignof] = ACTIONS(1655),
    [anon_sym_alignof] = ACTIONS(1655),
    [anon_sym__Alignof] = ACTIONS(1655),
    [anon_sym_offsetof] = ACTIONS(1655),
    [anon_sym__Generic] = ACTIONS(1655),
    [anon_sym_asm] = ACTIONS(1655),
    [anon_sym___asm__] = ACTIONS(1655),
    [sym_number_literal] = ACTIONS(1657),
    [anon_sym_L_SQUOTE] = ACTIONS(1657),
    [anon_sym_u_SQUOTE] = ACTIONS(1657),
    [anon_sym_U_SQUOTE] = ACTIONS(1657),
    [anon_sym_u8_SQUOTE] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1657),
    [anon_sym_L_DQUOTE] = ACTIONS(1657),
    [anon_sym_u_DQUOTE] = ACTIONS(1657),
    [anon_sym_U_DQUOTE] = ACTIONS(1657),
    [anon_sym_u8_DQUOTE] = ACTIONS(1657),
    [anon_sym_DQUOTE] = ACTIONS(1657),
    [sym_true] = ACTIONS(1655),
    [sym_false] = ACTIONS(1655),
    [anon_sym_NULL] = ACTIONS(1655),
    [anon_sym_nullptr] = ACTIONS(1655),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1655),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1655),
    [anon_sym_hitAttributeEXT] = ACTIONS(1655),
    [anon_sym_callableDataEXT] = ACTIONS(1655),
    [anon_sym_callableDataInEXT] = ACTIONS(1655),
    [anon_sym_shaderRecordEXT] = ACTIONS(1655),
    [anon_sym_rayPayloadNV] = ACTIONS(1655),
    [anon_sym_rayPayloadInNV] = ACTIONS(1655),
    [anon_sym_hitAttributeNV] = ACTIONS(1655),
    [anon_sym_callableDataNV] = ACTIONS(1655),
    [anon_sym_callableDataInNV] = ACTIONS(1655),
    [anon_sym_shaderRecordNV] = ACTIONS(1655),
    [anon_sym_layout] = ACTIONS(1655),
  },
  [177] = {
    [sym_identifier] = ACTIONS(1655),
    [aux_sym_preproc_include_token1] = ACTIONS(1655),
    [aux_sym_preproc_def_token1] = ACTIONS(1655),
    [aux_sym_preproc_if_token1] = ACTIONS(1655),
    [aux_sym_preproc_if_token2] = ACTIONS(1655),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1655),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1655),
    [aux_sym_preproc_else_token1] = ACTIONS(1655),
    [aux_sym_preproc_elif_token1] = ACTIONS(1655),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1655),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1655),
    [sym_preproc_directive] = ACTIONS(1655),
    [anon_sym_LPAREN2] = ACTIONS(1657),
    [anon_sym_BANG] = ACTIONS(1657),
    [anon_sym_TILDE] = ACTIONS(1657),
    [anon_sym_DASH] = ACTIONS(1655),
    [anon_sym_PLUS] = ACTIONS(1655),
    [anon_sym_STAR] = ACTIONS(1657),
    [anon_sym_AMP] = ACTIONS(1657),
    [anon_sym_subroutine] = ACTIONS(1655),
    [anon_sym_invariant] = ACTIONS(1655),
    [anon_sym_precise] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(1657),
    [anon_sym_in] = ACTIONS(1655),
    [anon_sym_out] = ACTIONS(1655),
    [anon_sym_inout] = ACTIONS(1655),
    [anon_sym_uniform] = ACTIONS(1655),
    [anon_sym_shared] = ACTIONS(1655),
    [anon_sym_attribute] = ACTIONS(1655),
    [anon_sym_varying] = ACTIONS(1655),
    [anon_sym_buffer] = ACTIONS(1655),
    [anon_sym_coherent] = ACTIONS(1655),
    [anon_sym_readonly] = ACTIONS(1655),
    [anon_sym_writeonly] = ACTIONS(1655),
    [anon_sym_precision] = ACTIONS(1655),
    [anon_sym_highp] = ACTIONS(1655),
    [anon_sym_mediump] = ACTIONS(1655),
    [anon_sym_lowp] = ACTIONS(1655),
    [anon_sym_centroid] = ACTIONS(1655),
    [anon_sym_sample] = ACTIONS(1655),
    [anon_sym_patch] = ACTIONS(1655),
    [anon_sym_smooth] = ACTIONS(1655),
    [anon_sym_flat] = ACTIONS(1655),
    [anon_sym_noperspective] = ACTIONS(1655),
    [anon_sym___extension__] = ACTIONS(1655),
    [anon_sym_typedef] = ACTIONS(1655),
    [anon_sym_extern] = ACTIONS(1655),
    [anon_sym___attribute__] = ACTIONS(1655),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1657),
    [anon_sym___declspec] = ACTIONS(1655),
    [anon_sym___cdecl] = ACTIONS(1655),
    [anon_sym___clrcall] = ACTIONS(1655),
    [anon_sym___stdcall] = ACTIONS(1655),
    [anon_sym___fastcall] = ACTIONS(1655),
    [anon_sym___thiscall] = ACTIONS(1655),
    [anon_sym___vectorcall] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1657),
    [anon_sym_signed] = ACTIONS(1655),
    [anon_sym_unsigned] = ACTIONS(1655),
    [anon_sym_long] = ACTIONS(1655),
    [anon_sym_short] = ACTIONS(1655),
    [anon_sym_static] = ACTIONS(1655),
    [anon_sym_auto] = ACTIONS(1655),
    [anon_sym_register] = ACTIONS(1655),
    [anon_sym_inline] = ACTIONS(1655),
    [anon_sym___inline] = ACTIONS(1655),
    [anon_sym___inline__] = ACTIONS(1655),
    [anon_sym___forceinline] = ACTIONS(1655),
    [anon_sym_thread_local] = ACTIONS(1655),
    [anon_sym___thread] = ACTIONS(1655),
    [anon_sym_const] = ACTIONS(1655),
    [anon_sym_constexpr] = ACTIONS(1655),
    [anon_sym_volatile] = ACTIONS(1655),
    [anon_sym_restrict] = ACTIONS(1655),
    [anon_sym___restrict__] = ACTIONS(1655),
    [anon_sym__Atomic] = ACTIONS(1655),
    [anon_sym__Noreturn] = ACTIONS(1655),
    [anon_sym_noreturn] = ACTIONS(1655),
    [sym_primitive_type] = ACTIONS(1655),
    [anon_sym_enum] = ACTIONS(1655),
    [anon_sym_struct] = ACTIONS(1655),
    [anon_sym_union] = ACTIONS(1655),
    [anon_sym_if] = ACTIONS(1655),
    [anon_sym_switch] = ACTIONS(1655),
    [anon_sym_case] = ACTIONS(1655),
    [anon_sym_default] = ACTIONS(1655),
    [anon_sym_while] = ACTIONS(1655),
    [anon_sym_do] = ACTIONS(1655),
    [anon_sym_for] = ACTIONS(1655),
    [anon_sym_return] = ACTIONS(1655),
    [anon_sym_break] = ACTIONS(1655),
    [anon_sym_continue] = ACTIONS(1655),
    [anon_sym_goto] = ACTIONS(1655),
    [anon_sym___try] = ACTIONS(1655),
    [anon_sym___leave] = ACTIONS(1655),
    [anon_sym_DASH_DASH] = ACTIONS(1657),
    [anon_sym_PLUS_PLUS] = ACTIONS(1657),
    [anon_sym_sizeof] = ACTIONS(1655),
    [anon_sym___alignof__] = ACTIONS(1655),
    [anon_sym___alignof] = ACTIONS(1655),
    [anon_sym__alignof] = ACTIONS(1655),
    [anon_sym_alignof] = ACTIONS(1655),
    [anon_sym__Alignof] = ACTIONS(1655),
    [anon_sym_offsetof] = ACTIONS(1655),
    [anon_sym__Generic] = ACTIONS(1655),
    [anon_sym_asm] = ACTIONS(1655),
    [anon_sym___asm__] = ACTIONS(1655),
    [sym_number_literal] = ACTIONS(1657),
    [anon_sym_L_SQUOTE] = ACTIONS(1657),
    [anon_sym_u_SQUOTE] = ACTIONS(1657),
    [anon_sym_U_SQUOTE] = ACTIONS(1657),
    [anon_sym_u8_SQUOTE] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1657),
    [anon_sym_L_DQUOTE] = ACTIONS(1657),
    [anon_sym_u_DQUOTE] = ACTIONS(1657),
    [anon_sym_U_DQUOTE] = ACTIONS(1657),
    [anon_sym_u8_DQUOTE] = ACTIONS(1657),
    [anon_sym_DQUOTE] = ACTIONS(1657),
    [sym_true] = ACTIONS(1655),
    [sym_false] = ACTIONS(1655),
    [anon_sym_NULL] = ACTIONS(1655),
    [anon_sym_nullptr] = ACTIONS(1655),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1655),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1655),
    [anon_sym_hitAttributeEXT] = ACTIONS(1655),
    [anon_sym_callableDataEXT] = ACTIONS(1655),
    [anon_sym_callableDataInEXT] = ACTIONS(1655),
    [anon_sym_shaderRecordEXT] = ACTIONS(1655),
    [anon_sym_rayPayloadNV] = ACTIONS(1655),
    [anon_sym_rayPayloadInNV] = ACTIONS(1655),
    [anon_sym_hitAttributeNV] = ACTIONS(1655),
    [anon_sym_callableDataNV] = ACTIONS(1655),
    [anon_sym_callableDataInNV] = ACTIONS(1655),
    [anon_sym_shaderRecordNV] = ACTIONS(1655),
    [anon_sym_layout] = ACTIONS(1655),
  },
  [178] = {
    [sym_identifier] = ACTIONS(1659),
    [aux_sym_preproc_include_token1] = ACTIONS(1659),
    [aux_sym_preproc_def_token1] = ACTIONS(1659),
    [aux_sym_preproc_if_token1] = ACTIONS(1659),
    [aux_sym_preproc_if_token2] = ACTIONS(1659),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1659),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1659),
    [aux_sym_preproc_else_token1] = ACTIONS(1659),
    [aux_sym_preproc_elif_token1] = ACTIONS(1659),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1659),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1659),
    [sym_preproc_directive] = ACTIONS(1659),
    [anon_sym_LPAREN2] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1661),
    [anon_sym_TILDE] = ACTIONS(1661),
    [anon_sym_DASH] = ACTIONS(1659),
    [anon_sym_PLUS] = ACTIONS(1659),
    [anon_sym_STAR] = ACTIONS(1661),
    [anon_sym_AMP] = ACTIONS(1661),
    [anon_sym_subroutine] = ACTIONS(1659),
    [anon_sym_invariant] = ACTIONS(1659),
    [anon_sym_precise] = ACTIONS(1659),
    [anon_sym_SEMI] = ACTIONS(1661),
    [anon_sym_in] = ACTIONS(1659),
    [anon_sym_out] = ACTIONS(1659),
    [anon_sym_inout] = ACTIONS(1659),
    [anon_sym_uniform] = ACTIONS(1659),
    [anon_sym_shared] = ACTIONS(1659),
    [anon_sym_attribute] = ACTIONS(1659),
    [anon_sym_varying] = ACTIONS(1659),
    [anon_sym_buffer] = ACTIONS(1659),
    [anon_sym_coherent] = ACTIONS(1659),
    [anon_sym_readonly] = ACTIONS(1659),
    [anon_sym_writeonly] = ACTIONS(1659),
    [anon_sym_precision] = ACTIONS(1659),
    [anon_sym_highp] = ACTIONS(1659),
    [anon_sym_mediump] = ACTIONS(1659),
    [anon_sym_lowp] = ACTIONS(1659),
    [anon_sym_centroid] = ACTIONS(1659),
    [anon_sym_sample] = ACTIONS(1659),
    [anon_sym_patch] = ACTIONS(1659),
    [anon_sym_smooth] = ACTIONS(1659),
    [anon_sym_flat] = ACTIONS(1659),
    [anon_sym_noperspective] = ACTIONS(1659),
    [anon_sym___extension__] = ACTIONS(1659),
    [anon_sym_typedef] = ACTIONS(1659),
    [anon_sym_extern] = ACTIONS(1659),
    [anon_sym___attribute__] = ACTIONS(1659),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1661),
    [anon_sym___declspec] = ACTIONS(1659),
    [anon_sym___cdecl] = ACTIONS(1659),
    [anon_sym___clrcall] = ACTIONS(1659),
    [anon_sym___stdcall] = ACTIONS(1659),
    [anon_sym___fastcall] = ACTIONS(1659),
    [anon_sym___thiscall] = ACTIONS(1659),
    [anon_sym___vectorcall] = ACTIONS(1659),
    [anon_sym_LBRACE] = ACTIONS(1661),
    [anon_sym_signed] = ACTIONS(1659),
    [anon_sym_unsigned] = ACTIONS(1659),
    [anon_sym_long] = ACTIONS(1659),
    [anon_sym_short] = ACTIONS(1659),
    [anon_sym_static] = ACTIONS(1659),
    [anon_sym_auto] = ACTIONS(1659),
    [anon_sym_register] = ACTIONS(1659),
    [anon_sym_inline] = ACTIONS(1659),
    [anon_sym___inline] = ACTIONS(1659),
    [anon_sym___inline__] = ACTIONS(1659),
    [anon_sym___forceinline] = ACTIONS(1659),
    [anon_sym_thread_local] = ACTIONS(1659),
    [anon_sym___thread] = ACTIONS(1659),
    [anon_sym_const] = ACTIONS(1659),
    [anon_sym_constexpr] = ACTIONS(1659),
    [anon_sym_volatile] = ACTIONS(1659),
    [anon_sym_restrict] = ACTIONS(1659),
    [anon_sym___restrict__] = ACTIONS(1659),
    [anon_sym__Atomic] = ACTIONS(1659),
    [anon_sym__Noreturn] = ACTIONS(1659),
    [anon_sym_noreturn] = ACTIONS(1659),
    [sym_primitive_type] = ACTIONS(1659),
    [anon_sym_enum] = ACTIONS(1659),
    [anon_sym_struct] = ACTIONS(1659),
    [anon_sym_union] = ACTIONS(1659),
    [anon_sym_if] = ACTIONS(1659),
    [anon_sym_switch] = ACTIONS(1659),
    [anon_sym_case] = ACTIONS(1659),
    [anon_sym_default] = ACTIONS(1659),
    [anon_sym_while] = ACTIONS(1659),
    [anon_sym_do] = ACTIONS(1659),
    [anon_sym_for] = ACTIONS(1659),
    [anon_sym_return] = ACTIONS(1659),
    [anon_sym_break] = ACTIONS(1659),
    [anon_sym_continue] = ACTIONS(1659),
    [anon_sym_goto] = ACTIONS(1659),
    [anon_sym___try] = ACTIONS(1659),
    [anon_sym___leave] = ACTIONS(1659),
    [anon_sym_DASH_DASH] = ACTIONS(1661),
    [anon_sym_PLUS_PLUS] = ACTIONS(1661),
    [anon_sym_sizeof] = ACTIONS(1659),
    [anon_sym___alignof__] = ACTIONS(1659),
    [anon_sym___alignof] = ACTIONS(1659),
    [anon_sym__alignof] = ACTIONS(1659),
    [anon_sym_alignof] = ACTIONS(1659),
    [anon_sym__Alignof] = ACTIONS(1659),
    [anon_sym_offsetof] = ACTIONS(1659),
    [anon_sym__Generic] = ACTIONS(1659),
    [anon_sym_asm] = ACTIONS(1659),
    [anon_sym___asm__] = ACTIONS(1659),
    [sym_number_literal] = ACTIONS(1661),
    [anon_sym_L_SQUOTE] = ACTIONS(1661),
    [anon_sym_u_SQUOTE] = ACTIONS(1661),
    [anon_sym_U_SQUOTE] = ACTIONS(1661),
    [anon_sym_u8_SQUOTE] = ACTIONS(1661),
    [anon_sym_SQUOTE] = ACTIONS(1661),
    [anon_sym_L_DQUOTE] = ACTIONS(1661),
    [anon_sym_u_DQUOTE] = ACTIONS(1661),
    [anon_sym_U_DQUOTE] = ACTIONS(1661),
    [anon_sym_u8_DQUOTE] = ACTIONS(1661),
    [anon_sym_DQUOTE] = ACTIONS(1661),
    [sym_true] = ACTIONS(1659),
    [sym_false] = ACTIONS(1659),
    [anon_sym_NULL] = ACTIONS(1659),
    [anon_sym_nullptr] = ACTIONS(1659),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1659),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1659),
    [anon_sym_hitAttributeEXT] = ACTIONS(1659),
    [anon_sym_callableDataEXT] = ACTIONS(1659),
    [anon_sym_callableDataInEXT] = ACTIONS(1659),
    [anon_sym_shaderRecordEXT] = ACTIONS(1659),
    [anon_sym_rayPayloadNV] = ACTIONS(1659),
    [anon_sym_rayPayloadInNV] = ACTIONS(1659),
    [anon_sym_hitAttributeNV] = ACTIONS(1659),
    [anon_sym_callableDataNV] = ACTIONS(1659),
    [anon_sym_callableDataInNV] = ACTIONS(1659),
    [anon_sym_shaderRecordNV] = ACTIONS(1659),
    [anon_sym_layout] = ACTIONS(1659),
  },
  [179] = {
    [sym_identifier] = ACTIONS(1663),
    [aux_sym_preproc_include_token1] = ACTIONS(1663),
    [aux_sym_preproc_def_token1] = ACTIONS(1663),
    [aux_sym_preproc_if_token1] = ACTIONS(1663),
    [aux_sym_preproc_if_token2] = ACTIONS(1663),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1663),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1663),
    [aux_sym_preproc_else_token1] = ACTIONS(1663),
    [aux_sym_preproc_elif_token1] = ACTIONS(1663),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1663),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1663),
    [sym_preproc_directive] = ACTIONS(1663),
    [anon_sym_LPAREN2] = ACTIONS(1665),
    [anon_sym_BANG] = ACTIONS(1665),
    [anon_sym_TILDE] = ACTIONS(1665),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1663),
    [anon_sym_STAR] = ACTIONS(1665),
    [anon_sym_AMP] = ACTIONS(1665),
    [anon_sym_subroutine] = ACTIONS(1663),
    [anon_sym_invariant] = ACTIONS(1663),
    [anon_sym_precise] = ACTIONS(1663),
    [anon_sym_SEMI] = ACTIONS(1665),
    [anon_sym_in] = ACTIONS(1663),
    [anon_sym_out] = ACTIONS(1663),
    [anon_sym_inout] = ACTIONS(1663),
    [anon_sym_uniform] = ACTIONS(1663),
    [anon_sym_shared] = ACTIONS(1663),
    [anon_sym_attribute] = ACTIONS(1663),
    [anon_sym_varying] = ACTIONS(1663),
    [anon_sym_buffer] = ACTIONS(1663),
    [anon_sym_coherent] = ACTIONS(1663),
    [anon_sym_readonly] = ACTIONS(1663),
    [anon_sym_writeonly] = ACTIONS(1663),
    [anon_sym_precision] = ACTIONS(1663),
    [anon_sym_highp] = ACTIONS(1663),
    [anon_sym_mediump] = ACTIONS(1663),
    [anon_sym_lowp] = ACTIONS(1663),
    [anon_sym_centroid] = ACTIONS(1663),
    [anon_sym_sample] = ACTIONS(1663),
    [anon_sym_patch] = ACTIONS(1663),
    [anon_sym_smooth] = ACTIONS(1663),
    [anon_sym_flat] = ACTIONS(1663),
    [anon_sym_noperspective] = ACTIONS(1663),
    [anon_sym___extension__] = ACTIONS(1663),
    [anon_sym_typedef] = ACTIONS(1663),
    [anon_sym_extern] = ACTIONS(1663),
    [anon_sym___attribute__] = ACTIONS(1663),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1665),
    [anon_sym___declspec] = ACTIONS(1663),
    [anon_sym___cdecl] = ACTIONS(1663),
    [anon_sym___clrcall] = ACTIONS(1663),
    [anon_sym___stdcall] = ACTIONS(1663),
    [anon_sym___fastcall] = ACTIONS(1663),
    [anon_sym___thiscall] = ACTIONS(1663),
    [anon_sym___vectorcall] = ACTIONS(1663),
    [anon_sym_LBRACE] = ACTIONS(1665),
    [anon_sym_signed] = ACTIONS(1663),
    [anon_sym_unsigned] = ACTIONS(1663),
    [anon_sym_long] = ACTIONS(1663),
    [anon_sym_short] = ACTIONS(1663),
    [anon_sym_static] = ACTIONS(1663),
    [anon_sym_auto] = ACTIONS(1663),
    [anon_sym_register] = ACTIONS(1663),
    [anon_sym_inline] = ACTIONS(1663),
    [anon_sym___inline] = ACTIONS(1663),
    [anon_sym___inline__] = ACTIONS(1663),
    [anon_sym___forceinline] = ACTIONS(1663),
    [anon_sym_thread_local] = ACTIONS(1663),
    [anon_sym___thread] = ACTIONS(1663),
    [anon_sym_const] = ACTIONS(1663),
    [anon_sym_constexpr] = ACTIONS(1663),
    [anon_sym_volatile] = ACTIONS(1663),
    [anon_sym_restrict] = ACTIONS(1663),
    [anon_sym___restrict__] = ACTIONS(1663),
    [anon_sym__Atomic] = ACTIONS(1663),
    [anon_sym__Noreturn] = ACTIONS(1663),
    [anon_sym_noreturn] = ACTIONS(1663),
    [sym_primitive_type] = ACTIONS(1663),
    [anon_sym_enum] = ACTIONS(1663),
    [anon_sym_struct] = ACTIONS(1663),
    [anon_sym_union] = ACTIONS(1663),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_switch] = ACTIONS(1663),
    [anon_sym_case] = ACTIONS(1663),
    [anon_sym_default] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1663),
    [anon_sym_do] = ACTIONS(1663),
    [anon_sym_for] = ACTIONS(1663),
    [anon_sym_return] = ACTIONS(1663),
    [anon_sym_break] = ACTIONS(1663),
    [anon_sym_continue] = ACTIONS(1663),
    [anon_sym_goto] = ACTIONS(1663),
    [anon_sym___try] = ACTIONS(1663),
    [anon_sym___leave] = ACTIONS(1663),
    [anon_sym_DASH_DASH] = ACTIONS(1665),
    [anon_sym_PLUS_PLUS] = ACTIONS(1665),
    [anon_sym_sizeof] = ACTIONS(1663),
    [anon_sym___alignof__] = ACTIONS(1663),
    [anon_sym___alignof] = ACTIONS(1663),
    [anon_sym__alignof] = ACTIONS(1663),
    [anon_sym_alignof] = ACTIONS(1663),
    [anon_sym__Alignof] = ACTIONS(1663),
    [anon_sym_offsetof] = ACTIONS(1663),
    [anon_sym__Generic] = ACTIONS(1663),
    [anon_sym_asm] = ACTIONS(1663),
    [anon_sym___asm__] = ACTIONS(1663),
    [sym_number_literal] = ACTIONS(1665),
    [anon_sym_L_SQUOTE] = ACTIONS(1665),
    [anon_sym_u_SQUOTE] = ACTIONS(1665),
    [anon_sym_U_SQUOTE] = ACTIONS(1665),
    [anon_sym_u8_SQUOTE] = ACTIONS(1665),
    [anon_sym_SQUOTE] = ACTIONS(1665),
    [anon_sym_L_DQUOTE] = ACTIONS(1665),
    [anon_sym_u_DQUOTE] = ACTIONS(1665),
    [anon_sym_U_DQUOTE] = ACTIONS(1665),
    [anon_sym_u8_DQUOTE] = ACTIONS(1665),
    [anon_sym_DQUOTE] = ACTIONS(1665),
    [sym_true] = ACTIONS(1663),
    [sym_false] = ACTIONS(1663),
    [anon_sym_NULL] = ACTIONS(1663),
    [anon_sym_nullptr] = ACTIONS(1663),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1663),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1663),
    [anon_sym_hitAttributeEXT] = ACTIONS(1663),
    [anon_sym_callableDataEXT] = ACTIONS(1663),
    [anon_sym_callableDataInEXT] = ACTIONS(1663),
    [anon_sym_shaderRecordEXT] = ACTIONS(1663),
    [anon_sym_rayPayloadNV] = ACTIONS(1663),
    [anon_sym_rayPayloadInNV] = ACTIONS(1663),
    [anon_sym_hitAttributeNV] = ACTIONS(1663),
    [anon_sym_callableDataNV] = ACTIONS(1663),
    [anon_sym_callableDataInNV] = ACTIONS(1663),
    [anon_sym_shaderRecordNV] = ACTIONS(1663),
    [anon_sym_layout] = ACTIONS(1663),
  },
  [180] = {
    [sym_identifier] = ACTIONS(1667),
    [aux_sym_preproc_include_token1] = ACTIONS(1667),
    [aux_sym_preproc_def_token1] = ACTIONS(1667),
    [aux_sym_preproc_if_token1] = ACTIONS(1667),
    [aux_sym_preproc_if_token2] = ACTIONS(1667),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1667),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1667),
    [aux_sym_preproc_else_token1] = ACTIONS(1667),
    [aux_sym_preproc_elif_token1] = ACTIONS(1667),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1667),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1667),
    [sym_preproc_directive] = ACTIONS(1667),
    [anon_sym_LPAREN2] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(1669),
    [anon_sym_TILDE] = ACTIONS(1669),
    [anon_sym_DASH] = ACTIONS(1667),
    [anon_sym_PLUS] = ACTIONS(1667),
    [anon_sym_STAR] = ACTIONS(1669),
    [anon_sym_AMP] = ACTIONS(1669),
    [anon_sym_subroutine] = ACTIONS(1667),
    [anon_sym_invariant] = ACTIONS(1667),
    [anon_sym_precise] = ACTIONS(1667),
    [anon_sym_SEMI] = ACTIONS(1669),
    [anon_sym_in] = ACTIONS(1667),
    [anon_sym_out] = ACTIONS(1667),
    [anon_sym_inout] = ACTIONS(1667),
    [anon_sym_uniform] = ACTIONS(1667),
    [anon_sym_shared] = ACTIONS(1667),
    [anon_sym_attribute] = ACTIONS(1667),
    [anon_sym_varying] = ACTIONS(1667),
    [anon_sym_buffer] = ACTIONS(1667),
    [anon_sym_coherent] = ACTIONS(1667),
    [anon_sym_readonly] = ACTIONS(1667),
    [anon_sym_writeonly] = ACTIONS(1667),
    [anon_sym_precision] = ACTIONS(1667),
    [anon_sym_highp] = ACTIONS(1667),
    [anon_sym_mediump] = ACTIONS(1667),
    [anon_sym_lowp] = ACTIONS(1667),
    [anon_sym_centroid] = ACTIONS(1667),
    [anon_sym_sample] = ACTIONS(1667),
    [anon_sym_patch] = ACTIONS(1667),
    [anon_sym_smooth] = ACTIONS(1667),
    [anon_sym_flat] = ACTIONS(1667),
    [anon_sym_noperspective] = ACTIONS(1667),
    [anon_sym___extension__] = ACTIONS(1667),
    [anon_sym_typedef] = ACTIONS(1667),
    [anon_sym_extern] = ACTIONS(1667),
    [anon_sym___attribute__] = ACTIONS(1667),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1669),
    [anon_sym___declspec] = ACTIONS(1667),
    [anon_sym___cdecl] = ACTIONS(1667),
    [anon_sym___clrcall] = ACTIONS(1667),
    [anon_sym___stdcall] = ACTIONS(1667),
    [anon_sym___fastcall] = ACTIONS(1667),
    [anon_sym___thiscall] = ACTIONS(1667),
    [anon_sym___vectorcall] = ACTIONS(1667),
    [anon_sym_LBRACE] = ACTIONS(1669),
    [anon_sym_signed] = ACTIONS(1667),
    [anon_sym_unsigned] = ACTIONS(1667),
    [anon_sym_long] = ACTIONS(1667),
    [anon_sym_short] = ACTIONS(1667),
    [anon_sym_static] = ACTIONS(1667),
    [anon_sym_auto] = ACTIONS(1667),
    [anon_sym_register] = ACTIONS(1667),
    [anon_sym_inline] = ACTIONS(1667),
    [anon_sym___inline] = ACTIONS(1667),
    [anon_sym___inline__] = ACTIONS(1667),
    [anon_sym___forceinline] = ACTIONS(1667),
    [anon_sym_thread_local] = ACTIONS(1667),
    [anon_sym___thread] = ACTIONS(1667),
    [anon_sym_const] = ACTIONS(1667),
    [anon_sym_constexpr] = ACTIONS(1667),
    [anon_sym_volatile] = ACTIONS(1667),
    [anon_sym_restrict] = ACTIONS(1667),
    [anon_sym___restrict__] = ACTIONS(1667),
    [anon_sym__Atomic] = ACTIONS(1667),
    [anon_sym__Noreturn] = ACTIONS(1667),
    [anon_sym_noreturn] = ACTIONS(1667),
    [sym_primitive_type] = ACTIONS(1667),
    [anon_sym_enum] = ACTIONS(1667),
    [anon_sym_struct] = ACTIONS(1667),
    [anon_sym_union] = ACTIONS(1667),
    [anon_sym_if] = ACTIONS(1667),
    [anon_sym_switch] = ACTIONS(1667),
    [anon_sym_case] = ACTIONS(1667),
    [anon_sym_default] = ACTIONS(1667),
    [anon_sym_while] = ACTIONS(1667),
    [anon_sym_do] = ACTIONS(1667),
    [anon_sym_for] = ACTIONS(1667),
    [anon_sym_return] = ACTIONS(1667),
    [anon_sym_break] = ACTIONS(1667),
    [anon_sym_continue] = ACTIONS(1667),
    [anon_sym_goto] = ACTIONS(1667),
    [anon_sym___try] = ACTIONS(1667),
    [anon_sym___leave] = ACTIONS(1667),
    [anon_sym_DASH_DASH] = ACTIONS(1669),
    [anon_sym_PLUS_PLUS] = ACTIONS(1669),
    [anon_sym_sizeof] = ACTIONS(1667),
    [anon_sym___alignof__] = ACTIONS(1667),
    [anon_sym___alignof] = ACTIONS(1667),
    [anon_sym__alignof] = ACTIONS(1667),
    [anon_sym_alignof] = ACTIONS(1667),
    [anon_sym__Alignof] = ACTIONS(1667),
    [anon_sym_offsetof] = ACTIONS(1667),
    [anon_sym__Generic] = ACTIONS(1667),
    [anon_sym_asm] = ACTIONS(1667),
    [anon_sym___asm__] = ACTIONS(1667),
    [sym_number_literal] = ACTIONS(1669),
    [anon_sym_L_SQUOTE] = ACTIONS(1669),
    [anon_sym_u_SQUOTE] = ACTIONS(1669),
    [anon_sym_U_SQUOTE] = ACTIONS(1669),
    [anon_sym_u8_SQUOTE] = ACTIONS(1669),
    [anon_sym_SQUOTE] = ACTIONS(1669),
    [anon_sym_L_DQUOTE] = ACTIONS(1669),
    [anon_sym_u_DQUOTE] = ACTIONS(1669),
    [anon_sym_U_DQUOTE] = ACTIONS(1669),
    [anon_sym_u8_DQUOTE] = ACTIONS(1669),
    [anon_sym_DQUOTE] = ACTIONS(1669),
    [sym_true] = ACTIONS(1667),
    [sym_false] = ACTIONS(1667),
    [anon_sym_NULL] = ACTIONS(1667),
    [anon_sym_nullptr] = ACTIONS(1667),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1667),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1667),
    [anon_sym_hitAttributeEXT] = ACTIONS(1667),
    [anon_sym_callableDataEXT] = ACTIONS(1667),
    [anon_sym_callableDataInEXT] = ACTIONS(1667),
    [anon_sym_shaderRecordEXT] = ACTIONS(1667),
    [anon_sym_rayPayloadNV] = ACTIONS(1667),
    [anon_sym_rayPayloadInNV] = ACTIONS(1667),
    [anon_sym_hitAttributeNV] = ACTIONS(1667),
    [anon_sym_callableDataNV] = ACTIONS(1667),
    [anon_sym_callableDataInNV] = ACTIONS(1667),
    [anon_sym_shaderRecordNV] = ACTIONS(1667),
    [anon_sym_layout] = ACTIONS(1667),
  },
  [181] = {
    [sym_identifier] = ACTIONS(1671),
    [aux_sym_preproc_include_token1] = ACTIONS(1671),
    [aux_sym_preproc_def_token1] = ACTIONS(1671),
    [aux_sym_preproc_if_token1] = ACTIONS(1671),
    [aux_sym_preproc_if_token2] = ACTIONS(1671),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1671),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1671),
    [aux_sym_preproc_else_token1] = ACTIONS(1671),
    [aux_sym_preproc_elif_token1] = ACTIONS(1671),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1671),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1671),
    [sym_preproc_directive] = ACTIONS(1671),
    [anon_sym_LPAREN2] = ACTIONS(1673),
    [anon_sym_BANG] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(1673),
    [anon_sym_DASH] = ACTIONS(1671),
    [anon_sym_PLUS] = ACTIONS(1671),
    [anon_sym_STAR] = ACTIONS(1673),
    [anon_sym_AMP] = ACTIONS(1673),
    [anon_sym_subroutine] = ACTIONS(1671),
    [anon_sym_invariant] = ACTIONS(1671),
    [anon_sym_precise] = ACTIONS(1671),
    [anon_sym_SEMI] = ACTIONS(1673),
    [anon_sym_in] = ACTIONS(1671),
    [anon_sym_out] = ACTIONS(1671),
    [anon_sym_inout] = ACTIONS(1671),
    [anon_sym_uniform] = ACTIONS(1671),
    [anon_sym_shared] = ACTIONS(1671),
    [anon_sym_attribute] = ACTIONS(1671),
    [anon_sym_varying] = ACTIONS(1671),
    [anon_sym_buffer] = ACTIONS(1671),
    [anon_sym_coherent] = ACTIONS(1671),
    [anon_sym_readonly] = ACTIONS(1671),
    [anon_sym_writeonly] = ACTIONS(1671),
    [anon_sym_precision] = ACTIONS(1671),
    [anon_sym_highp] = ACTIONS(1671),
    [anon_sym_mediump] = ACTIONS(1671),
    [anon_sym_lowp] = ACTIONS(1671),
    [anon_sym_centroid] = ACTIONS(1671),
    [anon_sym_sample] = ACTIONS(1671),
    [anon_sym_patch] = ACTIONS(1671),
    [anon_sym_smooth] = ACTIONS(1671),
    [anon_sym_flat] = ACTIONS(1671),
    [anon_sym_noperspective] = ACTIONS(1671),
    [anon_sym___extension__] = ACTIONS(1671),
    [anon_sym_typedef] = ACTIONS(1671),
    [anon_sym_extern] = ACTIONS(1671),
    [anon_sym___attribute__] = ACTIONS(1671),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1673),
    [anon_sym___declspec] = ACTIONS(1671),
    [anon_sym___cdecl] = ACTIONS(1671),
    [anon_sym___clrcall] = ACTIONS(1671),
    [anon_sym___stdcall] = ACTIONS(1671),
    [anon_sym___fastcall] = ACTIONS(1671),
    [anon_sym___thiscall] = ACTIONS(1671),
    [anon_sym___vectorcall] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(1673),
    [anon_sym_signed] = ACTIONS(1671),
    [anon_sym_unsigned] = ACTIONS(1671),
    [anon_sym_long] = ACTIONS(1671),
    [anon_sym_short] = ACTIONS(1671),
    [anon_sym_static] = ACTIONS(1671),
    [anon_sym_auto] = ACTIONS(1671),
    [anon_sym_register] = ACTIONS(1671),
    [anon_sym_inline] = ACTIONS(1671),
    [anon_sym___inline] = ACTIONS(1671),
    [anon_sym___inline__] = ACTIONS(1671),
    [anon_sym___forceinline] = ACTIONS(1671),
    [anon_sym_thread_local] = ACTIONS(1671),
    [anon_sym___thread] = ACTIONS(1671),
    [anon_sym_const] = ACTIONS(1671),
    [anon_sym_constexpr] = ACTIONS(1671),
    [anon_sym_volatile] = ACTIONS(1671),
    [anon_sym_restrict] = ACTIONS(1671),
    [anon_sym___restrict__] = ACTIONS(1671),
    [anon_sym__Atomic] = ACTIONS(1671),
    [anon_sym__Noreturn] = ACTIONS(1671),
    [anon_sym_noreturn] = ACTIONS(1671),
    [sym_primitive_type] = ACTIONS(1671),
    [anon_sym_enum] = ACTIONS(1671),
    [anon_sym_struct] = ACTIONS(1671),
    [anon_sym_union] = ACTIONS(1671),
    [anon_sym_if] = ACTIONS(1671),
    [anon_sym_switch] = ACTIONS(1671),
    [anon_sym_case] = ACTIONS(1671),
    [anon_sym_default] = ACTIONS(1671),
    [anon_sym_while] = ACTIONS(1671),
    [anon_sym_do] = ACTIONS(1671),
    [anon_sym_for] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(1671),
    [anon_sym_break] = ACTIONS(1671),
    [anon_sym_continue] = ACTIONS(1671),
    [anon_sym_goto] = ACTIONS(1671),
    [anon_sym___try] = ACTIONS(1671),
    [anon_sym___leave] = ACTIONS(1671),
    [anon_sym_DASH_DASH] = ACTIONS(1673),
    [anon_sym_PLUS_PLUS] = ACTIONS(1673),
    [anon_sym_sizeof] = ACTIONS(1671),
    [anon_sym___alignof__] = ACTIONS(1671),
    [anon_sym___alignof] = ACTIONS(1671),
    [anon_sym__alignof] = ACTIONS(1671),
    [anon_sym_alignof] = ACTIONS(1671),
    [anon_sym__Alignof] = ACTIONS(1671),
    [anon_sym_offsetof] = ACTIONS(1671),
    [anon_sym__Generic] = ACTIONS(1671),
    [anon_sym_asm] = ACTIONS(1671),
    [anon_sym___asm__] = ACTIONS(1671),
    [sym_number_literal] = ACTIONS(1673),
    [anon_sym_L_SQUOTE] = ACTIONS(1673),
    [anon_sym_u_SQUOTE] = ACTIONS(1673),
    [anon_sym_U_SQUOTE] = ACTIONS(1673),
    [anon_sym_u8_SQUOTE] = ACTIONS(1673),
    [anon_sym_SQUOTE] = ACTIONS(1673),
    [anon_sym_L_DQUOTE] = ACTIONS(1673),
    [anon_sym_u_DQUOTE] = ACTIONS(1673),
    [anon_sym_U_DQUOTE] = ACTIONS(1673),
    [anon_sym_u8_DQUOTE] = ACTIONS(1673),
    [anon_sym_DQUOTE] = ACTIONS(1673),
    [sym_true] = ACTIONS(1671),
    [sym_false] = ACTIONS(1671),
    [anon_sym_NULL] = ACTIONS(1671),
    [anon_sym_nullptr] = ACTIONS(1671),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1671),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1671),
    [anon_sym_hitAttributeEXT] = ACTIONS(1671),
    [anon_sym_callableDataEXT] = ACTIONS(1671),
    [anon_sym_callableDataInEXT] = ACTIONS(1671),
    [anon_sym_shaderRecordEXT] = ACTIONS(1671),
    [anon_sym_rayPayloadNV] = ACTIONS(1671),
    [anon_sym_rayPayloadInNV] = ACTIONS(1671),
    [anon_sym_hitAttributeNV] = ACTIONS(1671),
    [anon_sym_callableDataNV] = ACTIONS(1671),
    [anon_sym_callableDataInNV] = ACTIONS(1671),
    [anon_sym_shaderRecordNV] = ACTIONS(1671),
    [anon_sym_layout] = ACTIONS(1671),
  },
  [182] = {
    [sym_identifier] = ACTIONS(1675),
    [aux_sym_preproc_include_token1] = ACTIONS(1675),
    [aux_sym_preproc_def_token1] = ACTIONS(1675),
    [aux_sym_preproc_if_token1] = ACTIONS(1675),
    [aux_sym_preproc_if_token2] = ACTIONS(1675),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1675),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1675),
    [aux_sym_preproc_else_token1] = ACTIONS(1675),
    [aux_sym_preproc_elif_token1] = ACTIONS(1675),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1675),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1675),
    [sym_preproc_directive] = ACTIONS(1675),
    [anon_sym_LPAREN2] = ACTIONS(1677),
    [anon_sym_BANG] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(1677),
    [anon_sym_DASH] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1675),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_AMP] = ACTIONS(1677),
    [anon_sym_subroutine] = ACTIONS(1675),
    [anon_sym_invariant] = ACTIONS(1675),
    [anon_sym_precise] = ACTIONS(1675),
    [anon_sym_SEMI] = ACTIONS(1677),
    [anon_sym_in] = ACTIONS(1675),
    [anon_sym_out] = ACTIONS(1675),
    [anon_sym_inout] = ACTIONS(1675),
    [anon_sym_uniform] = ACTIONS(1675),
    [anon_sym_shared] = ACTIONS(1675),
    [anon_sym_attribute] = ACTIONS(1675),
    [anon_sym_varying] = ACTIONS(1675),
    [anon_sym_buffer] = ACTIONS(1675),
    [anon_sym_coherent] = ACTIONS(1675),
    [anon_sym_readonly] = ACTIONS(1675),
    [anon_sym_writeonly] = ACTIONS(1675),
    [anon_sym_precision] = ACTIONS(1675),
    [anon_sym_highp] = ACTIONS(1675),
    [anon_sym_mediump] = ACTIONS(1675),
    [anon_sym_lowp] = ACTIONS(1675),
    [anon_sym_centroid] = ACTIONS(1675),
    [anon_sym_sample] = ACTIONS(1675),
    [anon_sym_patch] = ACTIONS(1675),
    [anon_sym_smooth] = ACTIONS(1675),
    [anon_sym_flat] = ACTIONS(1675),
    [anon_sym_noperspective] = ACTIONS(1675),
    [anon_sym___extension__] = ACTIONS(1675),
    [anon_sym_typedef] = ACTIONS(1675),
    [anon_sym_extern] = ACTIONS(1675),
    [anon_sym___attribute__] = ACTIONS(1675),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1677),
    [anon_sym___declspec] = ACTIONS(1675),
    [anon_sym___cdecl] = ACTIONS(1675),
    [anon_sym___clrcall] = ACTIONS(1675),
    [anon_sym___stdcall] = ACTIONS(1675),
    [anon_sym___fastcall] = ACTIONS(1675),
    [anon_sym___thiscall] = ACTIONS(1675),
    [anon_sym___vectorcall] = ACTIONS(1675),
    [anon_sym_LBRACE] = ACTIONS(1677),
    [anon_sym_signed] = ACTIONS(1675),
    [anon_sym_unsigned] = ACTIONS(1675),
    [anon_sym_long] = ACTIONS(1675),
    [anon_sym_short] = ACTIONS(1675),
    [anon_sym_static] = ACTIONS(1675),
    [anon_sym_auto] = ACTIONS(1675),
    [anon_sym_register] = ACTIONS(1675),
    [anon_sym_inline] = ACTIONS(1675),
    [anon_sym___inline] = ACTIONS(1675),
    [anon_sym___inline__] = ACTIONS(1675),
    [anon_sym___forceinline] = ACTIONS(1675),
    [anon_sym_thread_local] = ACTIONS(1675),
    [anon_sym___thread] = ACTIONS(1675),
    [anon_sym_const] = ACTIONS(1675),
    [anon_sym_constexpr] = ACTIONS(1675),
    [anon_sym_volatile] = ACTIONS(1675),
    [anon_sym_restrict] = ACTIONS(1675),
    [anon_sym___restrict__] = ACTIONS(1675),
    [anon_sym__Atomic] = ACTIONS(1675),
    [anon_sym__Noreturn] = ACTIONS(1675),
    [anon_sym_noreturn] = ACTIONS(1675),
    [sym_primitive_type] = ACTIONS(1675),
    [anon_sym_enum] = ACTIONS(1675),
    [anon_sym_struct] = ACTIONS(1675),
    [anon_sym_union] = ACTIONS(1675),
    [anon_sym_if] = ACTIONS(1675),
    [anon_sym_switch] = ACTIONS(1675),
    [anon_sym_case] = ACTIONS(1675),
    [anon_sym_default] = ACTIONS(1675),
    [anon_sym_while] = ACTIONS(1675),
    [anon_sym_do] = ACTIONS(1675),
    [anon_sym_for] = ACTIONS(1675),
    [anon_sym_return] = ACTIONS(1675),
    [anon_sym_break] = ACTIONS(1675),
    [anon_sym_continue] = ACTIONS(1675),
    [anon_sym_goto] = ACTIONS(1675),
    [anon_sym___try] = ACTIONS(1675),
    [anon_sym___leave] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1677),
    [anon_sym_PLUS_PLUS] = ACTIONS(1677),
    [anon_sym_sizeof] = ACTIONS(1675),
    [anon_sym___alignof__] = ACTIONS(1675),
    [anon_sym___alignof] = ACTIONS(1675),
    [anon_sym__alignof] = ACTIONS(1675),
    [anon_sym_alignof] = ACTIONS(1675),
    [anon_sym__Alignof] = ACTIONS(1675),
    [anon_sym_offsetof] = ACTIONS(1675),
    [anon_sym__Generic] = ACTIONS(1675),
    [anon_sym_asm] = ACTIONS(1675),
    [anon_sym___asm__] = ACTIONS(1675),
    [sym_number_literal] = ACTIONS(1677),
    [anon_sym_L_SQUOTE] = ACTIONS(1677),
    [anon_sym_u_SQUOTE] = ACTIONS(1677),
    [anon_sym_U_SQUOTE] = ACTIONS(1677),
    [anon_sym_u8_SQUOTE] = ACTIONS(1677),
    [anon_sym_SQUOTE] = ACTIONS(1677),
    [anon_sym_L_DQUOTE] = ACTIONS(1677),
    [anon_sym_u_DQUOTE] = ACTIONS(1677),
    [anon_sym_U_DQUOTE] = ACTIONS(1677),
    [anon_sym_u8_DQUOTE] = ACTIONS(1677),
    [anon_sym_DQUOTE] = ACTIONS(1677),
    [sym_true] = ACTIONS(1675),
    [sym_false] = ACTIONS(1675),
    [anon_sym_NULL] = ACTIONS(1675),
    [anon_sym_nullptr] = ACTIONS(1675),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1675),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1675),
    [anon_sym_hitAttributeEXT] = ACTIONS(1675),
    [anon_sym_callableDataEXT] = ACTIONS(1675),
    [anon_sym_callableDataInEXT] = ACTIONS(1675),
    [anon_sym_shaderRecordEXT] = ACTIONS(1675),
    [anon_sym_rayPayloadNV] = ACTIONS(1675),
    [anon_sym_rayPayloadInNV] = ACTIONS(1675),
    [anon_sym_hitAttributeNV] = ACTIONS(1675),
    [anon_sym_callableDataNV] = ACTIONS(1675),
    [anon_sym_callableDataInNV] = ACTIONS(1675),
    [anon_sym_shaderRecordNV] = ACTIONS(1675),
    [anon_sym_layout] = ACTIONS(1675),
  },
  [183] = {
    [sym_identifier] = ACTIONS(1679),
    [aux_sym_preproc_include_token1] = ACTIONS(1679),
    [aux_sym_preproc_def_token1] = ACTIONS(1679),
    [aux_sym_preproc_if_token1] = ACTIONS(1679),
    [aux_sym_preproc_if_token2] = ACTIONS(1679),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1679),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1679),
    [aux_sym_preproc_else_token1] = ACTIONS(1679),
    [aux_sym_preproc_elif_token1] = ACTIONS(1679),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1679),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1679),
    [sym_preproc_directive] = ACTIONS(1679),
    [anon_sym_LPAREN2] = ACTIONS(1681),
    [anon_sym_BANG] = ACTIONS(1681),
    [anon_sym_TILDE] = ACTIONS(1681),
    [anon_sym_DASH] = ACTIONS(1679),
    [anon_sym_PLUS] = ACTIONS(1679),
    [anon_sym_STAR] = ACTIONS(1681),
    [anon_sym_AMP] = ACTIONS(1681),
    [anon_sym_subroutine] = ACTIONS(1679),
    [anon_sym_invariant] = ACTIONS(1679),
    [anon_sym_precise] = ACTIONS(1679),
    [anon_sym_SEMI] = ACTIONS(1681),
    [anon_sym_in] = ACTIONS(1679),
    [anon_sym_out] = ACTIONS(1679),
    [anon_sym_inout] = ACTIONS(1679),
    [anon_sym_uniform] = ACTIONS(1679),
    [anon_sym_shared] = ACTIONS(1679),
    [anon_sym_attribute] = ACTIONS(1679),
    [anon_sym_varying] = ACTIONS(1679),
    [anon_sym_buffer] = ACTIONS(1679),
    [anon_sym_coherent] = ACTIONS(1679),
    [anon_sym_readonly] = ACTIONS(1679),
    [anon_sym_writeonly] = ACTIONS(1679),
    [anon_sym_precision] = ACTIONS(1679),
    [anon_sym_highp] = ACTIONS(1679),
    [anon_sym_mediump] = ACTIONS(1679),
    [anon_sym_lowp] = ACTIONS(1679),
    [anon_sym_centroid] = ACTIONS(1679),
    [anon_sym_sample] = ACTIONS(1679),
    [anon_sym_patch] = ACTIONS(1679),
    [anon_sym_smooth] = ACTIONS(1679),
    [anon_sym_flat] = ACTIONS(1679),
    [anon_sym_noperspective] = ACTIONS(1679),
    [anon_sym___extension__] = ACTIONS(1679),
    [anon_sym_typedef] = ACTIONS(1679),
    [anon_sym_extern] = ACTIONS(1679),
    [anon_sym___attribute__] = ACTIONS(1679),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1681),
    [anon_sym___declspec] = ACTIONS(1679),
    [anon_sym___cdecl] = ACTIONS(1679),
    [anon_sym___clrcall] = ACTIONS(1679),
    [anon_sym___stdcall] = ACTIONS(1679),
    [anon_sym___fastcall] = ACTIONS(1679),
    [anon_sym___thiscall] = ACTIONS(1679),
    [anon_sym___vectorcall] = ACTIONS(1679),
    [anon_sym_LBRACE] = ACTIONS(1681),
    [anon_sym_signed] = ACTIONS(1679),
    [anon_sym_unsigned] = ACTIONS(1679),
    [anon_sym_long] = ACTIONS(1679),
    [anon_sym_short] = ACTIONS(1679),
    [anon_sym_static] = ACTIONS(1679),
    [anon_sym_auto] = ACTIONS(1679),
    [anon_sym_register] = ACTIONS(1679),
    [anon_sym_inline] = ACTIONS(1679),
    [anon_sym___inline] = ACTIONS(1679),
    [anon_sym___inline__] = ACTIONS(1679),
    [anon_sym___forceinline] = ACTIONS(1679),
    [anon_sym_thread_local] = ACTIONS(1679),
    [anon_sym___thread] = ACTIONS(1679),
    [anon_sym_const] = ACTIONS(1679),
    [anon_sym_constexpr] = ACTIONS(1679),
    [anon_sym_volatile] = ACTIONS(1679),
    [anon_sym_restrict] = ACTIONS(1679),
    [anon_sym___restrict__] = ACTIONS(1679),
    [anon_sym__Atomic] = ACTIONS(1679),
    [anon_sym__Noreturn] = ACTIONS(1679),
    [anon_sym_noreturn] = ACTIONS(1679),
    [sym_primitive_type] = ACTIONS(1679),
    [anon_sym_enum] = ACTIONS(1679),
    [anon_sym_struct] = ACTIONS(1679),
    [anon_sym_union] = ACTIONS(1679),
    [anon_sym_if] = ACTIONS(1679),
    [anon_sym_switch] = ACTIONS(1679),
    [anon_sym_case] = ACTIONS(1679),
    [anon_sym_default] = ACTIONS(1679),
    [anon_sym_while] = ACTIONS(1679),
    [anon_sym_do] = ACTIONS(1679),
    [anon_sym_for] = ACTIONS(1679),
    [anon_sym_return] = ACTIONS(1679),
    [anon_sym_break] = ACTIONS(1679),
    [anon_sym_continue] = ACTIONS(1679),
    [anon_sym_goto] = ACTIONS(1679),
    [anon_sym___try] = ACTIONS(1679),
    [anon_sym___leave] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1681),
    [anon_sym_PLUS_PLUS] = ACTIONS(1681),
    [anon_sym_sizeof] = ACTIONS(1679),
    [anon_sym___alignof__] = ACTIONS(1679),
    [anon_sym___alignof] = ACTIONS(1679),
    [anon_sym__alignof] = ACTIONS(1679),
    [anon_sym_alignof] = ACTIONS(1679),
    [anon_sym__Alignof] = ACTIONS(1679),
    [anon_sym_offsetof] = ACTIONS(1679),
    [anon_sym__Generic] = ACTIONS(1679),
    [anon_sym_asm] = ACTIONS(1679),
    [anon_sym___asm__] = ACTIONS(1679),
    [sym_number_literal] = ACTIONS(1681),
    [anon_sym_L_SQUOTE] = ACTIONS(1681),
    [anon_sym_u_SQUOTE] = ACTIONS(1681),
    [anon_sym_U_SQUOTE] = ACTIONS(1681),
    [anon_sym_u8_SQUOTE] = ACTIONS(1681),
    [anon_sym_SQUOTE] = ACTIONS(1681),
    [anon_sym_L_DQUOTE] = ACTIONS(1681),
    [anon_sym_u_DQUOTE] = ACTIONS(1681),
    [anon_sym_U_DQUOTE] = ACTIONS(1681),
    [anon_sym_u8_DQUOTE] = ACTIONS(1681),
    [anon_sym_DQUOTE] = ACTIONS(1681),
    [sym_true] = ACTIONS(1679),
    [sym_false] = ACTIONS(1679),
    [anon_sym_NULL] = ACTIONS(1679),
    [anon_sym_nullptr] = ACTIONS(1679),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1679),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1679),
    [anon_sym_hitAttributeEXT] = ACTIONS(1679),
    [anon_sym_callableDataEXT] = ACTIONS(1679),
    [anon_sym_callableDataInEXT] = ACTIONS(1679),
    [anon_sym_shaderRecordEXT] = ACTIONS(1679),
    [anon_sym_rayPayloadNV] = ACTIONS(1679),
    [anon_sym_rayPayloadInNV] = ACTIONS(1679),
    [anon_sym_hitAttributeNV] = ACTIONS(1679),
    [anon_sym_callableDataNV] = ACTIONS(1679),
    [anon_sym_callableDataInNV] = ACTIONS(1679),
    [anon_sym_shaderRecordNV] = ACTIONS(1679),
    [anon_sym_layout] = ACTIONS(1679),
  },
  [184] = {
    [sym_identifier] = ACTIONS(1671),
    [aux_sym_preproc_include_token1] = ACTIONS(1671),
    [aux_sym_preproc_def_token1] = ACTIONS(1671),
    [aux_sym_preproc_if_token1] = ACTIONS(1671),
    [aux_sym_preproc_if_token2] = ACTIONS(1671),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1671),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1671),
    [aux_sym_preproc_else_token1] = ACTIONS(1671),
    [aux_sym_preproc_elif_token1] = ACTIONS(1671),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1671),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1671),
    [sym_preproc_directive] = ACTIONS(1671),
    [anon_sym_LPAREN2] = ACTIONS(1673),
    [anon_sym_BANG] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(1673),
    [anon_sym_DASH] = ACTIONS(1671),
    [anon_sym_PLUS] = ACTIONS(1671),
    [anon_sym_STAR] = ACTIONS(1673),
    [anon_sym_AMP] = ACTIONS(1673),
    [anon_sym_subroutine] = ACTIONS(1671),
    [anon_sym_invariant] = ACTIONS(1671),
    [anon_sym_precise] = ACTIONS(1671),
    [anon_sym_SEMI] = ACTIONS(1673),
    [anon_sym_in] = ACTIONS(1671),
    [anon_sym_out] = ACTIONS(1671),
    [anon_sym_inout] = ACTIONS(1671),
    [anon_sym_uniform] = ACTIONS(1671),
    [anon_sym_shared] = ACTIONS(1671),
    [anon_sym_attribute] = ACTIONS(1671),
    [anon_sym_varying] = ACTIONS(1671),
    [anon_sym_buffer] = ACTIONS(1671),
    [anon_sym_coherent] = ACTIONS(1671),
    [anon_sym_readonly] = ACTIONS(1671),
    [anon_sym_writeonly] = ACTIONS(1671),
    [anon_sym_precision] = ACTIONS(1671),
    [anon_sym_highp] = ACTIONS(1671),
    [anon_sym_mediump] = ACTIONS(1671),
    [anon_sym_lowp] = ACTIONS(1671),
    [anon_sym_centroid] = ACTIONS(1671),
    [anon_sym_sample] = ACTIONS(1671),
    [anon_sym_patch] = ACTIONS(1671),
    [anon_sym_smooth] = ACTIONS(1671),
    [anon_sym_flat] = ACTIONS(1671),
    [anon_sym_noperspective] = ACTIONS(1671),
    [anon_sym___extension__] = ACTIONS(1671),
    [anon_sym_typedef] = ACTIONS(1671),
    [anon_sym_extern] = ACTIONS(1671),
    [anon_sym___attribute__] = ACTIONS(1671),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1673),
    [anon_sym___declspec] = ACTIONS(1671),
    [anon_sym___cdecl] = ACTIONS(1671),
    [anon_sym___clrcall] = ACTIONS(1671),
    [anon_sym___stdcall] = ACTIONS(1671),
    [anon_sym___fastcall] = ACTIONS(1671),
    [anon_sym___thiscall] = ACTIONS(1671),
    [anon_sym___vectorcall] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(1673),
    [anon_sym_signed] = ACTIONS(1671),
    [anon_sym_unsigned] = ACTIONS(1671),
    [anon_sym_long] = ACTIONS(1671),
    [anon_sym_short] = ACTIONS(1671),
    [anon_sym_static] = ACTIONS(1671),
    [anon_sym_auto] = ACTIONS(1671),
    [anon_sym_register] = ACTIONS(1671),
    [anon_sym_inline] = ACTIONS(1671),
    [anon_sym___inline] = ACTIONS(1671),
    [anon_sym___inline__] = ACTIONS(1671),
    [anon_sym___forceinline] = ACTIONS(1671),
    [anon_sym_thread_local] = ACTIONS(1671),
    [anon_sym___thread] = ACTIONS(1671),
    [anon_sym_const] = ACTIONS(1671),
    [anon_sym_constexpr] = ACTIONS(1671),
    [anon_sym_volatile] = ACTIONS(1671),
    [anon_sym_restrict] = ACTIONS(1671),
    [anon_sym___restrict__] = ACTIONS(1671),
    [anon_sym__Atomic] = ACTIONS(1671),
    [anon_sym__Noreturn] = ACTIONS(1671),
    [anon_sym_noreturn] = ACTIONS(1671),
    [sym_primitive_type] = ACTIONS(1671),
    [anon_sym_enum] = ACTIONS(1671),
    [anon_sym_struct] = ACTIONS(1671),
    [anon_sym_union] = ACTIONS(1671),
    [anon_sym_if] = ACTIONS(1671),
    [anon_sym_switch] = ACTIONS(1671),
    [anon_sym_case] = ACTIONS(1671),
    [anon_sym_default] = ACTIONS(1671),
    [anon_sym_while] = ACTIONS(1671),
    [anon_sym_do] = ACTIONS(1671),
    [anon_sym_for] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(1671),
    [anon_sym_break] = ACTIONS(1671),
    [anon_sym_continue] = ACTIONS(1671),
    [anon_sym_goto] = ACTIONS(1671),
    [anon_sym___try] = ACTIONS(1671),
    [anon_sym___leave] = ACTIONS(1671),
    [anon_sym_DASH_DASH] = ACTIONS(1673),
    [anon_sym_PLUS_PLUS] = ACTIONS(1673),
    [anon_sym_sizeof] = ACTIONS(1671),
    [anon_sym___alignof__] = ACTIONS(1671),
    [anon_sym___alignof] = ACTIONS(1671),
    [anon_sym__alignof] = ACTIONS(1671),
    [anon_sym_alignof] = ACTIONS(1671),
    [anon_sym__Alignof] = ACTIONS(1671),
    [anon_sym_offsetof] = ACTIONS(1671),
    [anon_sym__Generic] = ACTIONS(1671),
    [anon_sym_asm] = ACTIONS(1671),
    [anon_sym___asm__] = ACTIONS(1671),
    [sym_number_literal] = ACTIONS(1673),
    [anon_sym_L_SQUOTE] = ACTIONS(1673),
    [anon_sym_u_SQUOTE] = ACTIONS(1673),
    [anon_sym_U_SQUOTE] = ACTIONS(1673),
    [anon_sym_u8_SQUOTE] = ACTIONS(1673),
    [anon_sym_SQUOTE] = ACTIONS(1673),
    [anon_sym_L_DQUOTE] = ACTIONS(1673),
    [anon_sym_u_DQUOTE] = ACTIONS(1673),
    [anon_sym_U_DQUOTE] = ACTIONS(1673),
    [anon_sym_u8_DQUOTE] = ACTIONS(1673),
    [anon_sym_DQUOTE] = ACTIONS(1673),
    [sym_true] = ACTIONS(1671),
    [sym_false] = ACTIONS(1671),
    [anon_sym_NULL] = ACTIONS(1671),
    [anon_sym_nullptr] = ACTIONS(1671),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1671),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1671),
    [anon_sym_hitAttributeEXT] = ACTIONS(1671),
    [anon_sym_callableDataEXT] = ACTIONS(1671),
    [anon_sym_callableDataInEXT] = ACTIONS(1671),
    [anon_sym_shaderRecordEXT] = ACTIONS(1671),
    [anon_sym_rayPayloadNV] = ACTIONS(1671),
    [anon_sym_rayPayloadInNV] = ACTIONS(1671),
    [anon_sym_hitAttributeNV] = ACTIONS(1671),
    [anon_sym_callableDataNV] = ACTIONS(1671),
    [anon_sym_callableDataInNV] = ACTIONS(1671),
    [anon_sym_shaderRecordNV] = ACTIONS(1671),
    [anon_sym_layout] = ACTIONS(1671),
  },
  [185] = {
    [sym_identifier] = ACTIONS(1683),
    [aux_sym_preproc_include_token1] = ACTIONS(1683),
    [aux_sym_preproc_def_token1] = ACTIONS(1683),
    [aux_sym_preproc_if_token1] = ACTIONS(1683),
    [aux_sym_preproc_if_token2] = ACTIONS(1683),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1683),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1683),
    [aux_sym_preproc_else_token1] = ACTIONS(1683),
    [aux_sym_preproc_elif_token1] = ACTIONS(1683),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1683),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1683),
    [sym_preproc_directive] = ACTIONS(1683),
    [anon_sym_LPAREN2] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1685),
    [anon_sym_TILDE] = ACTIONS(1685),
    [anon_sym_DASH] = ACTIONS(1683),
    [anon_sym_PLUS] = ACTIONS(1683),
    [anon_sym_STAR] = ACTIONS(1685),
    [anon_sym_AMP] = ACTIONS(1685),
    [anon_sym_subroutine] = ACTIONS(1683),
    [anon_sym_invariant] = ACTIONS(1683),
    [anon_sym_precise] = ACTIONS(1683),
    [anon_sym_SEMI] = ACTIONS(1685),
    [anon_sym_in] = ACTIONS(1683),
    [anon_sym_out] = ACTIONS(1683),
    [anon_sym_inout] = ACTIONS(1683),
    [anon_sym_uniform] = ACTIONS(1683),
    [anon_sym_shared] = ACTIONS(1683),
    [anon_sym_attribute] = ACTIONS(1683),
    [anon_sym_varying] = ACTIONS(1683),
    [anon_sym_buffer] = ACTIONS(1683),
    [anon_sym_coherent] = ACTIONS(1683),
    [anon_sym_readonly] = ACTIONS(1683),
    [anon_sym_writeonly] = ACTIONS(1683),
    [anon_sym_precision] = ACTIONS(1683),
    [anon_sym_highp] = ACTIONS(1683),
    [anon_sym_mediump] = ACTIONS(1683),
    [anon_sym_lowp] = ACTIONS(1683),
    [anon_sym_centroid] = ACTIONS(1683),
    [anon_sym_sample] = ACTIONS(1683),
    [anon_sym_patch] = ACTIONS(1683),
    [anon_sym_smooth] = ACTIONS(1683),
    [anon_sym_flat] = ACTIONS(1683),
    [anon_sym_noperspective] = ACTIONS(1683),
    [anon_sym___extension__] = ACTIONS(1683),
    [anon_sym_typedef] = ACTIONS(1683),
    [anon_sym_extern] = ACTIONS(1683),
    [anon_sym___attribute__] = ACTIONS(1683),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1685),
    [anon_sym___declspec] = ACTIONS(1683),
    [anon_sym___cdecl] = ACTIONS(1683),
    [anon_sym___clrcall] = ACTIONS(1683),
    [anon_sym___stdcall] = ACTIONS(1683),
    [anon_sym___fastcall] = ACTIONS(1683),
    [anon_sym___thiscall] = ACTIONS(1683),
    [anon_sym___vectorcall] = ACTIONS(1683),
    [anon_sym_LBRACE] = ACTIONS(1685),
    [anon_sym_signed] = ACTIONS(1683),
    [anon_sym_unsigned] = ACTIONS(1683),
    [anon_sym_long] = ACTIONS(1683),
    [anon_sym_short] = ACTIONS(1683),
    [anon_sym_static] = ACTIONS(1683),
    [anon_sym_auto] = ACTIONS(1683),
    [anon_sym_register] = ACTIONS(1683),
    [anon_sym_inline] = ACTIONS(1683),
    [anon_sym___inline] = ACTIONS(1683),
    [anon_sym___inline__] = ACTIONS(1683),
    [anon_sym___forceinline] = ACTIONS(1683),
    [anon_sym_thread_local] = ACTIONS(1683),
    [anon_sym___thread] = ACTIONS(1683),
    [anon_sym_const] = ACTIONS(1683),
    [anon_sym_constexpr] = ACTIONS(1683),
    [anon_sym_volatile] = ACTIONS(1683),
    [anon_sym_restrict] = ACTIONS(1683),
    [anon_sym___restrict__] = ACTIONS(1683),
    [anon_sym__Atomic] = ACTIONS(1683),
    [anon_sym__Noreturn] = ACTIONS(1683),
    [anon_sym_noreturn] = ACTIONS(1683),
    [sym_primitive_type] = ACTIONS(1683),
    [anon_sym_enum] = ACTIONS(1683),
    [anon_sym_struct] = ACTIONS(1683),
    [anon_sym_union] = ACTIONS(1683),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_switch] = ACTIONS(1683),
    [anon_sym_case] = ACTIONS(1683),
    [anon_sym_default] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1683),
    [anon_sym_do] = ACTIONS(1683),
    [anon_sym_for] = ACTIONS(1683),
    [anon_sym_return] = ACTIONS(1683),
    [anon_sym_break] = ACTIONS(1683),
    [anon_sym_continue] = ACTIONS(1683),
    [anon_sym_goto] = ACTIONS(1683),
    [anon_sym___try] = ACTIONS(1683),
    [anon_sym___leave] = ACTIONS(1683),
    [anon_sym_DASH_DASH] = ACTIONS(1685),
    [anon_sym_PLUS_PLUS] = ACTIONS(1685),
    [anon_sym_sizeof] = ACTIONS(1683),
    [anon_sym___alignof__] = ACTIONS(1683),
    [anon_sym___alignof] = ACTIONS(1683),
    [anon_sym__alignof] = ACTIONS(1683),
    [anon_sym_alignof] = ACTIONS(1683),
    [anon_sym__Alignof] = ACTIONS(1683),
    [anon_sym_offsetof] = ACTIONS(1683),
    [anon_sym__Generic] = ACTIONS(1683),
    [anon_sym_asm] = ACTIONS(1683),
    [anon_sym___asm__] = ACTIONS(1683),
    [sym_number_literal] = ACTIONS(1685),
    [anon_sym_L_SQUOTE] = ACTIONS(1685),
    [anon_sym_u_SQUOTE] = ACTIONS(1685),
    [anon_sym_U_SQUOTE] = ACTIONS(1685),
    [anon_sym_u8_SQUOTE] = ACTIONS(1685),
    [anon_sym_SQUOTE] = ACTIONS(1685),
    [anon_sym_L_DQUOTE] = ACTIONS(1685),
    [anon_sym_u_DQUOTE] = ACTIONS(1685),
    [anon_sym_U_DQUOTE] = ACTIONS(1685),
    [anon_sym_u8_DQUOTE] = ACTIONS(1685),
    [anon_sym_DQUOTE] = ACTIONS(1685),
    [sym_true] = ACTIONS(1683),
    [sym_false] = ACTIONS(1683),
    [anon_sym_NULL] = ACTIONS(1683),
    [anon_sym_nullptr] = ACTIONS(1683),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1683),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1683),
    [anon_sym_hitAttributeEXT] = ACTIONS(1683),
    [anon_sym_callableDataEXT] = ACTIONS(1683),
    [anon_sym_callableDataInEXT] = ACTIONS(1683),
    [anon_sym_shaderRecordEXT] = ACTIONS(1683),
    [anon_sym_rayPayloadNV] = ACTIONS(1683),
    [anon_sym_rayPayloadInNV] = ACTIONS(1683),
    [anon_sym_hitAttributeNV] = ACTIONS(1683),
    [anon_sym_callableDataNV] = ACTIONS(1683),
    [anon_sym_callableDataInNV] = ACTIONS(1683),
    [anon_sym_shaderRecordNV] = ACTIONS(1683),
    [anon_sym_layout] = ACTIONS(1683),
  },
  [186] = {
    [sym_identifier] = ACTIONS(1687),
    [aux_sym_preproc_include_token1] = ACTIONS(1687),
    [aux_sym_preproc_def_token1] = ACTIONS(1687),
    [aux_sym_preproc_if_token1] = ACTIONS(1687),
    [aux_sym_preproc_if_token2] = ACTIONS(1687),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1687),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1687),
    [aux_sym_preproc_else_token1] = ACTIONS(1687),
    [aux_sym_preproc_elif_token1] = ACTIONS(1687),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1687),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1687),
    [sym_preproc_directive] = ACTIONS(1687),
    [anon_sym_LPAREN2] = ACTIONS(1689),
    [anon_sym_BANG] = ACTIONS(1689),
    [anon_sym_TILDE] = ACTIONS(1689),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_PLUS] = ACTIONS(1687),
    [anon_sym_STAR] = ACTIONS(1689),
    [anon_sym_AMP] = ACTIONS(1689),
    [anon_sym_subroutine] = ACTIONS(1687),
    [anon_sym_invariant] = ACTIONS(1687),
    [anon_sym_precise] = ACTIONS(1687),
    [anon_sym_SEMI] = ACTIONS(1689),
    [anon_sym_in] = ACTIONS(1687),
    [anon_sym_out] = ACTIONS(1687),
    [anon_sym_inout] = ACTIONS(1687),
    [anon_sym_uniform] = ACTIONS(1687),
    [anon_sym_shared] = ACTIONS(1687),
    [anon_sym_attribute] = ACTIONS(1687),
    [anon_sym_varying] = ACTIONS(1687),
    [anon_sym_buffer] = ACTIONS(1687),
    [anon_sym_coherent] = ACTIONS(1687),
    [anon_sym_readonly] = ACTIONS(1687),
    [anon_sym_writeonly] = ACTIONS(1687),
    [anon_sym_precision] = ACTIONS(1687),
    [anon_sym_highp] = ACTIONS(1687),
    [anon_sym_mediump] = ACTIONS(1687),
    [anon_sym_lowp] = ACTIONS(1687),
    [anon_sym_centroid] = ACTIONS(1687),
    [anon_sym_sample] = ACTIONS(1687),
    [anon_sym_patch] = ACTIONS(1687),
    [anon_sym_smooth] = ACTIONS(1687),
    [anon_sym_flat] = ACTIONS(1687),
    [anon_sym_noperspective] = ACTIONS(1687),
    [anon_sym___extension__] = ACTIONS(1687),
    [anon_sym_typedef] = ACTIONS(1687),
    [anon_sym_extern] = ACTIONS(1687),
    [anon_sym___attribute__] = ACTIONS(1687),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1689),
    [anon_sym___declspec] = ACTIONS(1687),
    [anon_sym___cdecl] = ACTIONS(1687),
    [anon_sym___clrcall] = ACTIONS(1687),
    [anon_sym___stdcall] = ACTIONS(1687),
    [anon_sym___fastcall] = ACTIONS(1687),
    [anon_sym___thiscall] = ACTIONS(1687),
    [anon_sym___vectorcall] = ACTIONS(1687),
    [anon_sym_LBRACE] = ACTIONS(1689),
    [anon_sym_signed] = ACTIONS(1687),
    [anon_sym_unsigned] = ACTIONS(1687),
    [anon_sym_long] = ACTIONS(1687),
    [anon_sym_short] = ACTIONS(1687),
    [anon_sym_static] = ACTIONS(1687),
    [anon_sym_auto] = ACTIONS(1687),
    [anon_sym_register] = ACTIONS(1687),
    [anon_sym_inline] = ACTIONS(1687),
    [anon_sym___inline] = ACTIONS(1687),
    [anon_sym___inline__] = ACTIONS(1687),
    [anon_sym___forceinline] = ACTIONS(1687),
    [anon_sym_thread_local] = ACTIONS(1687),
    [anon_sym___thread] = ACTIONS(1687),
    [anon_sym_const] = ACTIONS(1687),
    [anon_sym_constexpr] = ACTIONS(1687),
    [anon_sym_volatile] = ACTIONS(1687),
    [anon_sym_restrict] = ACTIONS(1687),
    [anon_sym___restrict__] = ACTIONS(1687),
    [anon_sym__Atomic] = ACTIONS(1687),
    [anon_sym__Noreturn] = ACTIONS(1687),
    [anon_sym_noreturn] = ACTIONS(1687),
    [sym_primitive_type] = ACTIONS(1687),
    [anon_sym_enum] = ACTIONS(1687),
    [anon_sym_struct] = ACTIONS(1687),
    [anon_sym_union] = ACTIONS(1687),
    [anon_sym_if] = ACTIONS(1687),
    [anon_sym_switch] = ACTIONS(1687),
    [anon_sym_case] = ACTIONS(1687),
    [anon_sym_default] = ACTIONS(1687),
    [anon_sym_while] = ACTIONS(1687),
    [anon_sym_do] = ACTIONS(1687),
    [anon_sym_for] = ACTIONS(1687),
    [anon_sym_return] = ACTIONS(1687),
    [anon_sym_break] = ACTIONS(1687),
    [anon_sym_continue] = ACTIONS(1687),
    [anon_sym_goto] = ACTIONS(1687),
    [anon_sym___try] = ACTIONS(1687),
    [anon_sym___leave] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_sizeof] = ACTIONS(1687),
    [anon_sym___alignof__] = ACTIONS(1687),
    [anon_sym___alignof] = ACTIONS(1687),
    [anon_sym__alignof] = ACTIONS(1687),
    [anon_sym_alignof] = ACTIONS(1687),
    [anon_sym__Alignof] = ACTIONS(1687),
    [anon_sym_offsetof] = ACTIONS(1687),
    [anon_sym__Generic] = ACTIONS(1687),
    [anon_sym_asm] = ACTIONS(1687),
    [anon_sym___asm__] = ACTIONS(1687),
    [sym_number_literal] = ACTIONS(1689),
    [anon_sym_L_SQUOTE] = ACTIONS(1689),
    [anon_sym_u_SQUOTE] = ACTIONS(1689),
    [anon_sym_U_SQUOTE] = ACTIONS(1689),
    [anon_sym_u8_SQUOTE] = ACTIONS(1689),
    [anon_sym_SQUOTE] = ACTIONS(1689),
    [anon_sym_L_DQUOTE] = ACTIONS(1689),
    [anon_sym_u_DQUOTE] = ACTIONS(1689),
    [anon_sym_U_DQUOTE] = ACTIONS(1689),
    [anon_sym_u8_DQUOTE] = ACTIONS(1689),
    [anon_sym_DQUOTE] = ACTIONS(1689),
    [sym_true] = ACTIONS(1687),
    [sym_false] = ACTIONS(1687),
    [anon_sym_NULL] = ACTIONS(1687),
    [anon_sym_nullptr] = ACTIONS(1687),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1687),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1687),
    [anon_sym_hitAttributeEXT] = ACTIONS(1687),
    [anon_sym_callableDataEXT] = ACTIONS(1687),
    [anon_sym_callableDataInEXT] = ACTIONS(1687),
    [anon_sym_shaderRecordEXT] = ACTIONS(1687),
    [anon_sym_rayPayloadNV] = ACTIONS(1687),
    [anon_sym_rayPayloadInNV] = ACTIONS(1687),
    [anon_sym_hitAttributeNV] = ACTIONS(1687),
    [anon_sym_callableDataNV] = ACTIONS(1687),
    [anon_sym_callableDataInNV] = ACTIONS(1687),
    [anon_sym_shaderRecordNV] = ACTIONS(1687),
    [anon_sym_layout] = ACTIONS(1687),
  },
  [187] = {
    [sym_identifier] = ACTIONS(1691),
    [aux_sym_preproc_include_token1] = ACTIONS(1691),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token2] = ACTIONS(1691),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1691),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1691),
    [aux_sym_preproc_else_token1] = ACTIONS(1691),
    [aux_sym_preproc_elif_token1] = ACTIONS(1691),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1691),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1691),
    [sym_preproc_directive] = ACTIONS(1691),
    [anon_sym_LPAREN2] = ACTIONS(1693),
    [anon_sym_BANG] = ACTIONS(1693),
    [anon_sym_TILDE] = ACTIONS(1693),
    [anon_sym_DASH] = ACTIONS(1691),
    [anon_sym_PLUS] = ACTIONS(1691),
    [anon_sym_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1693),
    [anon_sym_subroutine] = ACTIONS(1691),
    [anon_sym_invariant] = ACTIONS(1691),
    [anon_sym_precise] = ACTIONS(1691),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_in] = ACTIONS(1691),
    [anon_sym_out] = ACTIONS(1691),
    [anon_sym_inout] = ACTIONS(1691),
    [anon_sym_uniform] = ACTIONS(1691),
    [anon_sym_shared] = ACTIONS(1691),
    [anon_sym_attribute] = ACTIONS(1691),
    [anon_sym_varying] = ACTIONS(1691),
    [anon_sym_buffer] = ACTIONS(1691),
    [anon_sym_coherent] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_writeonly] = ACTIONS(1691),
    [anon_sym_precision] = ACTIONS(1691),
    [anon_sym_highp] = ACTIONS(1691),
    [anon_sym_mediump] = ACTIONS(1691),
    [anon_sym_lowp] = ACTIONS(1691),
    [anon_sym_centroid] = ACTIONS(1691),
    [anon_sym_sample] = ACTIONS(1691),
    [anon_sym_patch] = ACTIONS(1691),
    [anon_sym_smooth] = ACTIONS(1691),
    [anon_sym_flat] = ACTIONS(1691),
    [anon_sym_noperspective] = ACTIONS(1691),
    [anon_sym___extension__] = ACTIONS(1691),
    [anon_sym_typedef] = ACTIONS(1691),
    [anon_sym_extern] = ACTIONS(1691),
    [anon_sym___attribute__] = ACTIONS(1691),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1693),
    [anon_sym___declspec] = ACTIONS(1691),
    [anon_sym___cdecl] = ACTIONS(1691),
    [anon_sym___clrcall] = ACTIONS(1691),
    [anon_sym___stdcall] = ACTIONS(1691),
    [anon_sym___fastcall] = ACTIONS(1691),
    [anon_sym___thiscall] = ACTIONS(1691),
    [anon_sym___vectorcall] = ACTIONS(1691),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_signed] = ACTIONS(1691),
    [anon_sym_unsigned] = ACTIONS(1691),
    [anon_sym_long] = ACTIONS(1691),
    [anon_sym_short] = ACTIONS(1691),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_auto] = ACTIONS(1691),
    [anon_sym_register] = ACTIONS(1691),
    [anon_sym_inline] = ACTIONS(1691),
    [anon_sym___inline] = ACTIONS(1691),
    [anon_sym___inline__] = ACTIONS(1691),
    [anon_sym___forceinline] = ACTIONS(1691),
    [anon_sym_thread_local] = ACTIONS(1691),
    [anon_sym___thread] = ACTIONS(1691),
    [anon_sym_const] = ACTIONS(1691),
    [anon_sym_constexpr] = ACTIONS(1691),
    [anon_sym_volatile] = ACTIONS(1691),
    [anon_sym_restrict] = ACTIONS(1691),
    [anon_sym___restrict__] = ACTIONS(1691),
    [anon_sym__Atomic] = ACTIONS(1691),
    [anon_sym__Noreturn] = ACTIONS(1691),
    [anon_sym_noreturn] = ACTIONS(1691),
    [sym_primitive_type] = ACTIONS(1691),
    [anon_sym_enum] = ACTIONS(1691),
    [anon_sym_struct] = ACTIONS(1691),
    [anon_sym_union] = ACTIONS(1691),
    [anon_sym_if] = ACTIONS(1691),
    [anon_sym_switch] = ACTIONS(1691),
    [anon_sym_case] = ACTIONS(1691),
    [anon_sym_default] = ACTIONS(1691),
    [anon_sym_while] = ACTIONS(1691),
    [anon_sym_do] = ACTIONS(1691),
    [anon_sym_for] = ACTIONS(1691),
    [anon_sym_return] = ACTIONS(1691),
    [anon_sym_break] = ACTIONS(1691),
    [anon_sym_continue] = ACTIONS(1691),
    [anon_sym_goto] = ACTIONS(1691),
    [anon_sym___try] = ACTIONS(1691),
    [anon_sym___leave] = ACTIONS(1691),
    [anon_sym_DASH_DASH] = ACTIONS(1693),
    [anon_sym_PLUS_PLUS] = ACTIONS(1693),
    [anon_sym_sizeof] = ACTIONS(1691),
    [anon_sym___alignof__] = ACTIONS(1691),
    [anon_sym___alignof] = ACTIONS(1691),
    [anon_sym__alignof] = ACTIONS(1691),
    [anon_sym_alignof] = ACTIONS(1691),
    [anon_sym__Alignof] = ACTIONS(1691),
    [anon_sym_offsetof] = ACTIONS(1691),
    [anon_sym__Generic] = ACTIONS(1691),
    [anon_sym_asm] = ACTIONS(1691),
    [anon_sym___asm__] = ACTIONS(1691),
    [sym_number_literal] = ACTIONS(1693),
    [anon_sym_L_SQUOTE] = ACTIONS(1693),
    [anon_sym_u_SQUOTE] = ACTIONS(1693),
    [anon_sym_U_SQUOTE] = ACTIONS(1693),
    [anon_sym_u8_SQUOTE] = ACTIONS(1693),
    [anon_sym_SQUOTE] = ACTIONS(1693),
    [anon_sym_L_DQUOTE] = ACTIONS(1693),
    [anon_sym_u_DQUOTE] = ACTIONS(1693),
    [anon_sym_U_DQUOTE] = ACTIONS(1693),
    [anon_sym_u8_DQUOTE] = ACTIONS(1693),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [sym_true] = ACTIONS(1691),
    [sym_false] = ACTIONS(1691),
    [anon_sym_NULL] = ACTIONS(1691),
    [anon_sym_nullptr] = ACTIONS(1691),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1691),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1691),
    [anon_sym_hitAttributeEXT] = ACTIONS(1691),
    [anon_sym_callableDataEXT] = ACTIONS(1691),
    [anon_sym_callableDataInEXT] = ACTIONS(1691),
    [anon_sym_shaderRecordEXT] = ACTIONS(1691),
    [anon_sym_rayPayloadNV] = ACTIONS(1691),
    [anon_sym_rayPayloadInNV] = ACTIONS(1691),
    [anon_sym_hitAttributeNV] = ACTIONS(1691),
    [anon_sym_callableDataNV] = ACTIONS(1691),
    [anon_sym_callableDataInNV] = ACTIONS(1691),
    [anon_sym_shaderRecordNV] = ACTIONS(1691),
    [anon_sym_layout] = ACTIONS(1691),
  },
  [188] = {
    [sym_identifier] = ACTIONS(1695),
    [aux_sym_preproc_include_token1] = ACTIONS(1695),
    [aux_sym_preproc_def_token1] = ACTIONS(1695),
    [aux_sym_preproc_if_token1] = ACTIONS(1695),
    [aux_sym_preproc_if_token2] = ACTIONS(1695),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1695),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1695),
    [aux_sym_preproc_else_token1] = ACTIONS(1695),
    [aux_sym_preproc_elif_token1] = ACTIONS(1695),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1695),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1695),
    [sym_preproc_directive] = ACTIONS(1695),
    [anon_sym_LPAREN2] = ACTIONS(1697),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1695),
    [anon_sym_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_subroutine] = ACTIONS(1695),
    [anon_sym_invariant] = ACTIONS(1695),
    [anon_sym_precise] = ACTIONS(1695),
    [anon_sym_SEMI] = ACTIONS(1697),
    [anon_sym_in] = ACTIONS(1695),
    [anon_sym_out] = ACTIONS(1695),
    [anon_sym_inout] = ACTIONS(1695),
    [anon_sym_uniform] = ACTIONS(1695),
    [anon_sym_shared] = ACTIONS(1695),
    [anon_sym_attribute] = ACTIONS(1695),
    [anon_sym_varying] = ACTIONS(1695),
    [anon_sym_buffer] = ACTIONS(1695),
    [anon_sym_coherent] = ACTIONS(1695),
    [anon_sym_readonly] = ACTIONS(1695),
    [anon_sym_writeonly] = ACTIONS(1695),
    [anon_sym_precision] = ACTIONS(1695),
    [anon_sym_highp] = ACTIONS(1695),
    [anon_sym_mediump] = ACTIONS(1695),
    [anon_sym_lowp] = ACTIONS(1695),
    [anon_sym_centroid] = ACTIONS(1695),
    [anon_sym_sample] = ACTIONS(1695),
    [anon_sym_patch] = ACTIONS(1695),
    [anon_sym_smooth] = ACTIONS(1695),
    [anon_sym_flat] = ACTIONS(1695),
    [anon_sym_noperspective] = ACTIONS(1695),
    [anon_sym___extension__] = ACTIONS(1695),
    [anon_sym_typedef] = ACTIONS(1695),
    [anon_sym_extern] = ACTIONS(1695),
    [anon_sym___attribute__] = ACTIONS(1695),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1697),
    [anon_sym___declspec] = ACTIONS(1695),
    [anon_sym___cdecl] = ACTIONS(1695),
    [anon_sym___clrcall] = ACTIONS(1695),
    [anon_sym___stdcall] = ACTIONS(1695),
    [anon_sym___fastcall] = ACTIONS(1695),
    [anon_sym___thiscall] = ACTIONS(1695),
    [anon_sym___vectorcall] = ACTIONS(1695),
    [anon_sym_LBRACE] = ACTIONS(1697),
    [anon_sym_signed] = ACTIONS(1695),
    [anon_sym_unsigned] = ACTIONS(1695),
    [anon_sym_long] = ACTIONS(1695),
    [anon_sym_short] = ACTIONS(1695),
    [anon_sym_static] = ACTIONS(1695),
    [anon_sym_auto] = ACTIONS(1695),
    [anon_sym_register] = ACTIONS(1695),
    [anon_sym_inline] = ACTIONS(1695),
    [anon_sym___inline] = ACTIONS(1695),
    [anon_sym___inline__] = ACTIONS(1695),
    [anon_sym___forceinline] = ACTIONS(1695),
    [anon_sym_thread_local] = ACTIONS(1695),
    [anon_sym___thread] = ACTIONS(1695),
    [anon_sym_const] = ACTIONS(1695),
    [anon_sym_constexpr] = ACTIONS(1695),
    [anon_sym_volatile] = ACTIONS(1695),
    [anon_sym_restrict] = ACTIONS(1695),
    [anon_sym___restrict__] = ACTIONS(1695),
    [anon_sym__Atomic] = ACTIONS(1695),
    [anon_sym__Noreturn] = ACTIONS(1695),
    [anon_sym_noreturn] = ACTIONS(1695),
    [sym_primitive_type] = ACTIONS(1695),
    [anon_sym_enum] = ACTIONS(1695),
    [anon_sym_struct] = ACTIONS(1695),
    [anon_sym_union] = ACTIONS(1695),
    [anon_sym_if] = ACTIONS(1695),
    [anon_sym_switch] = ACTIONS(1695),
    [anon_sym_case] = ACTIONS(1695),
    [anon_sym_default] = ACTIONS(1695),
    [anon_sym_while] = ACTIONS(1695),
    [anon_sym_do] = ACTIONS(1695),
    [anon_sym_for] = ACTIONS(1695),
    [anon_sym_return] = ACTIONS(1695),
    [anon_sym_break] = ACTIONS(1695),
    [anon_sym_continue] = ACTIONS(1695),
    [anon_sym_goto] = ACTIONS(1695),
    [anon_sym___try] = ACTIONS(1695),
    [anon_sym___leave] = ACTIONS(1695),
    [anon_sym_DASH_DASH] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1697),
    [anon_sym_sizeof] = ACTIONS(1695),
    [anon_sym___alignof__] = ACTIONS(1695),
    [anon_sym___alignof] = ACTIONS(1695),
    [anon_sym__alignof] = ACTIONS(1695),
    [anon_sym_alignof] = ACTIONS(1695),
    [anon_sym__Alignof] = ACTIONS(1695),
    [anon_sym_offsetof] = ACTIONS(1695),
    [anon_sym__Generic] = ACTIONS(1695),
    [anon_sym_asm] = ACTIONS(1695),
    [anon_sym___asm__] = ACTIONS(1695),
    [sym_number_literal] = ACTIONS(1697),
    [anon_sym_L_SQUOTE] = ACTIONS(1697),
    [anon_sym_u_SQUOTE] = ACTIONS(1697),
    [anon_sym_U_SQUOTE] = ACTIONS(1697),
    [anon_sym_u8_SQUOTE] = ACTIONS(1697),
    [anon_sym_SQUOTE] = ACTIONS(1697),
    [anon_sym_L_DQUOTE] = ACTIONS(1697),
    [anon_sym_u_DQUOTE] = ACTIONS(1697),
    [anon_sym_U_DQUOTE] = ACTIONS(1697),
    [anon_sym_u8_DQUOTE] = ACTIONS(1697),
    [anon_sym_DQUOTE] = ACTIONS(1697),
    [sym_true] = ACTIONS(1695),
    [sym_false] = ACTIONS(1695),
    [anon_sym_NULL] = ACTIONS(1695),
    [anon_sym_nullptr] = ACTIONS(1695),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1695),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1695),
    [anon_sym_hitAttributeEXT] = ACTIONS(1695),
    [anon_sym_callableDataEXT] = ACTIONS(1695),
    [anon_sym_callableDataInEXT] = ACTIONS(1695),
    [anon_sym_shaderRecordEXT] = ACTIONS(1695),
    [anon_sym_rayPayloadNV] = ACTIONS(1695),
    [anon_sym_rayPayloadInNV] = ACTIONS(1695),
    [anon_sym_hitAttributeNV] = ACTIONS(1695),
    [anon_sym_callableDataNV] = ACTIONS(1695),
    [anon_sym_callableDataInNV] = ACTIONS(1695),
    [anon_sym_shaderRecordNV] = ACTIONS(1695),
    [anon_sym_layout] = ACTIONS(1695),
  },
  [189] = {
    [sym_identifier] = ACTIONS(1699),
    [aux_sym_preproc_include_token1] = ACTIONS(1699),
    [aux_sym_preproc_def_token1] = ACTIONS(1699),
    [aux_sym_preproc_if_token1] = ACTIONS(1699),
    [aux_sym_preproc_if_token2] = ACTIONS(1699),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1699),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1699),
    [aux_sym_preproc_else_token1] = ACTIONS(1699),
    [aux_sym_preproc_elif_token1] = ACTIONS(1699),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1699),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1699),
    [sym_preproc_directive] = ACTIONS(1699),
    [anon_sym_LPAREN2] = ACTIONS(1701),
    [anon_sym_BANG] = ACTIONS(1701),
    [anon_sym_TILDE] = ACTIONS(1701),
    [anon_sym_DASH] = ACTIONS(1699),
    [anon_sym_PLUS] = ACTIONS(1699),
    [anon_sym_STAR] = ACTIONS(1701),
    [anon_sym_AMP] = ACTIONS(1701),
    [anon_sym_subroutine] = ACTIONS(1699),
    [anon_sym_invariant] = ACTIONS(1699),
    [anon_sym_precise] = ACTIONS(1699),
    [anon_sym_SEMI] = ACTIONS(1701),
    [anon_sym_in] = ACTIONS(1699),
    [anon_sym_out] = ACTIONS(1699),
    [anon_sym_inout] = ACTIONS(1699),
    [anon_sym_uniform] = ACTIONS(1699),
    [anon_sym_shared] = ACTIONS(1699),
    [anon_sym_attribute] = ACTIONS(1699),
    [anon_sym_varying] = ACTIONS(1699),
    [anon_sym_buffer] = ACTIONS(1699),
    [anon_sym_coherent] = ACTIONS(1699),
    [anon_sym_readonly] = ACTIONS(1699),
    [anon_sym_writeonly] = ACTIONS(1699),
    [anon_sym_precision] = ACTIONS(1699),
    [anon_sym_highp] = ACTIONS(1699),
    [anon_sym_mediump] = ACTIONS(1699),
    [anon_sym_lowp] = ACTIONS(1699),
    [anon_sym_centroid] = ACTIONS(1699),
    [anon_sym_sample] = ACTIONS(1699),
    [anon_sym_patch] = ACTIONS(1699),
    [anon_sym_smooth] = ACTIONS(1699),
    [anon_sym_flat] = ACTIONS(1699),
    [anon_sym_noperspective] = ACTIONS(1699),
    [anon_sym___extension__] = ACTIONS(1699),
    [anon_sym_typedef] = ACTIONS(1699),
    [anon_sym_extern] = ACTIONS(1699),
    [anon_sym___attribute__] = ACTIONS(1699),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1701),
    [anon_sym___declspec] = ACTIONS(1699),
    [anon_sym___cdecl] = ACTIONS(1699),
    [anon_sym___clrcall] = ACTIONS(1699),
    [anon_sym___stdcall] = ACTIONS(1699),
    [anon_sym___fastcall] = ACTIONS(1699),
    [anon_sym___thiscall] = ACTIONS(1699),
    [anon_sym___vectorcall] = ACTIONS(1699),
    [anon_sym_LBRACE] = ACTIONS(1701),
    [anon_sym_signed] = ACTIONS(1699),
    [anon_sym_unsigned] = ACTIONS(1699),
    [anon_sym_long] = ACTIONS(1699),
    [anon_sym_short] = ACTIONS(1699),
    [anon_sym_static] = ACTIONS(1699),
    [anon_sym_auto] = ACTIONS(1699),
    [anon_sym_register] = ACTIONS(1699),
    [anon_sym_inline] = ACTIONS(1699),
    [anon_sym___inline] = ACTIONS(1699),
    [anon_sym___inline__] = ACTIONS(1699),
    [anon_sym___forceinline] = ACTIONS(1699),
    [anon_sym_thread_local] = ACTIONS(1699),
    [anon_sym___thread] = ACTIONS(1699),
    [anon_sym_const] = ACTIONS(1699),
    [anon_sym_constexpr] = ACTIONS(1699),
    [anon_sym_volatile] = ACTIONS(1699),
    [anon_sym_restrict] = ACTIONS(1699),
    [anon_sym___restrict__] = ACTIONS(1699),
    [anon_sym__Atomic] = ACTIONS(1699),
    [anon_sym__Noreturn] = ACTIONS(1699),
    [anon_sym_noreturn] = ACTIONS(1699),
    [sym_primitive_type] = ACTIONS(1699),
    [anon_sym_enum] = ACTIONS(1699),
    [anon_sym_struct] = ACTIONS(1699),
    [anon_sym_union] = ACTIONS(1699),
    [anon_sym_if] = ACTIONS(1699),
    [anon_sym_switch] = ACTIONS(1699),
    [anon_sym_case] = ACTIONS(1699),
    [anon_sym_default] = ACTIONS(1699),
    [anon_sym_while] = ACTIONS(1699),
    [anon_sym_do] = ACTIONS(1699),
    [anon_sym_for] = ACTIONS(1699),
    [anon_sym_return] = ACTIONS(1699),
    [anon_sym_break] = ACTIONS(1699),
    [anon_sym_continue] = ACTIONS(1699),
    [anon_sym_goto] = ACTIONS(1699),
    [anon_sym___try] = ACTIONS(1699),
    [anon_sym___leave] = ACTIONS(1699),
    [anon_sym_DASH_DASH] = ACTIONS(1701),
    [anon_sym_PLUS_PLUS] = ACTIONS(1701),
    [anon_sym_sizeof] = ACTIONS(1699),
    [anon_sym___alignof__] = ACTIONS(1699),
    [anon_sym___alignof] = ACTIONS(1699),
    [anon_sym__alignof] = ACTIONS(1699),
    [anon_sym_alignof] = ACTIONS(1699),
    [anon_sym__Alignof] = ACTIONS(1699),
    [anon_sym_offsetof] = ACTIONS(1699),
    [anon_sym__Generic] = ACTIONS(1699),
    [anon_sym_asm] = ACTIONS(1699),
    [anon_sym___asm__] = ACTIONS(1699),
    [sym_number_literal] = ACTIONS(1701),
    [anon_sym_L_SQUOTE] = ACTIONS(1701),
    [anon_sym_u_SQUOTE] = ACTIONS(1701),
    [anon_sym_U_SQUOTE] = ACTIONS(1701),
    [anon_sym_u8_SQUOTE] = ACTIONS(1701),
    [anon_sym_SQUOTE] = ACTIONS(1701),
    [anon_sym_L_DQUOTE] = ACTIONS(1701),
    [anon_sym_u_DQUOTE] = ACTIONS(1701),
    [anon_sym_U_DQUOTE] = ACTIONS(1701),
    [anon_sym_u8_DQUOTE] = ACTIONS(1701),
    [anon_sym_DQUOTE] = ACTIONS(1701),
    [sym_true] = ACTIONS(1699),
    [sym_false] = ACTIONS(1699),
    [anon_sym_NULL] = ACTIONS(1699),
    [anon_sym_nullptr] = ACTIONS(1699),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1699),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1699),
    [anon_sym_hitAttributeEXT] = ACTIONS(1699),
    [anon_sym_callableDataEXT] = ACTIONS(1699),
    [anon_sym_callableDataInEXT] = ACTIONS(1699),
    [anon_sym_shaderRecordEXT] = ACTIONS(1699),
    [anon_sym_rayPayloadNV] = ACTIONS(1699),
    [anon_sym_rayPayloadInNV] = ACTIONS(1699),
    [anon_sym_hitAttributeNV] = ACTIONS(1699),
    [anon_sym_callableDataNV] = ACTIONS(1699),
    [anon_sym_callableDataInNV] = ACTIONS(1699),
    [anon_sym_shaderRecordNV] = ACTIONS(1699),
    [anon_sym_layout] = ACTIONS(1699),
  },
  [190] = {
    [sym_identifier] = ACTIONS(1703),
    [aux_sym_preproc_include_token1] = ACTIONS(1703),
    [aux_sym_preproc_def_token1] = ACTIONS(1703),
    [aux_sym_preproc_if_token1] = ACTIONS(1703),
    [aux_sym_preproc_if_token2] = ACTIONS(1703),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1703),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1703),
    [aux_sym_preproc_else_token1] = ACTIONS(1703),
    [aux_sym_preproc_elif_token1] = ACTIONS(1703),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1703),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1703),
    [sym_preproc_directive] = ACTIONS(1703),
    [anon_sym_LPAREN2] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1705),
    [anon_sym_TILDE] = ACTIONS(1705),
    [anon_sym_DASH] = ACTIONS(1703),
    [anon_sym_PLUS] = ACTIONS(1703),
    [anon_sym_STAR] = ACTIONS(1705),
    [anon_sym_AMP] = ACTIONS(1705),
    [anon_sym_subroutine] = ACTIONS(1703),
    [anon_sym_invariant] = ACTIONS(1703),
    [anon_sym_precise] = ACTIONS(1703),
    [anon_sym_SEMI] = ACTIONS(1705),
    [anon_sym_in] = ACTIONS(1703),
    [anon_sym_out] = ACTIONS(1703),
    [anon_sym_inout] = ACTIONS(1703),
    [anon_sym_uniform] = ACTIONS(1703),
    [anon_sym_shared] = ACTIONS(1703),
    [anon_sym_attribute] = ACTIONS(1703),
    [anon_sym_varying] = ACTIONS(1703),
    [anon_sym_buffer] = ACTIONS(1703),
    [anon_sym_coherent] = ACTIONS(1703),
    [anon_sym_readonly] = ACTIONS(1703),
    [anon_sym_writeonly] = ACTIONS(1703),
    [anon_sym_precision] = ACTIONS(1703),
    [anon_sym_highp] = ACTIONS(1703),
    [anon_sym_mediump] = ACTIONS(1703),
    [anon_sym_lowp] = ACTIONS(1703),
    [anon_sym_centroid] = ACTIONS(1703),
    [anon_sym_sample] = ACTIONS(1703),
    [anon_sym_patch] = ACTIONS(1703),
    [anon_sym_smooth] = ACTIONS(1703),
    [anon_sym_flat] = ACTIONS(1703),
    [anon_sym_noperspective] = ACTIONS(1703),
    [anon_sym___extension__] = ACTIONS(1703),
    [anon_sym_typedef] = ACTIONS(1703),
    [anon_sym_extern] = ACTIONS(1703),
    [anon_sym___attribute__] = ACTIONS(1703),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1705),
    [anon_sym___declspec] = ACTIONS(1703),
    [anon_sym___cdecl] = ACTIONS(1703),
    [anon_sym___clrcall] = ACTIONS(1703),
    [anon_sym___stdcall] = ACTIONS(1703),
    [anon_sym___fastcall] = ACTIONS(1703),
    [anon_sym___thiscall] = ACTIONS(1703),
    [anon_sym___vectorcall] = ACTIONS(1703),
    [anon_sym_LBRACE] = ACTIONS(1705),
    [anon_sym_signed] = ACTIONS(1703),
    [anon_sym_unsigned] = ACTIONS(1703),
    [anon_sym_long] = ACTIONS(1703),
    [anon_sym_short] = ACTIONS(1703),
    [anon_sym_static] = ACTIONS(1703),
    [anon_sym_auto] = ACTIONS(1703),
    [anon_sym_register] = ACTIONS(1703),
    [anon_sym_inline] = ACTIONS(1703),
    [anon_sym___inline] = ACTIONS(1703),
    [anon_sym___inline__] = ACTIONS(1703),
    [anon_sym___forceinline] = ACTIONS(1703),
    [anon_sym_thread_local] = ACTIONS(1703),
    [anon_sym___thread] = ACTIONS(1703),
    [anon_sym_const] = ACTIONS(1703),
    [anon_sym_constexpr] = ACTIONS(1703),
    [anon_sym_volatile] = ACTIONS(1703),
    [anon_sym_restrict] = ACTIONS(1703),
    [anon_sym___restrict__] = ACTIONS(1703),
    [anon_sym__Atomic] = ACTIONS(1703),
    [anon_sym__Noreturn] = ACTIONS(1703),
    [anon_sym_noreturn] = ACTIONS(1703),
    [sym_primitive_type] = ACTIONS(1703),
    [anon_sym_enum] = ACTIONS(1703),
    [anon_sym_struct] = ACTIONS(1703),
    [anon_sym_union] = ACTIONS(1703),
    [anon_sym_if] = ACTIONS(1703),
    [anon_sym_switch] = ACTIONS(1703),
    [anon_sym_case] = ACTIONS(1703),
    [anon_sym_default] = ACTIONS(1703),
    [anon_sym_while] = ACTIONS(1703),
    [anon_sym_do] = ACTIONS(1703),
    [anon_sym_for] = ACTIONS(1703),
    [anon_sym_return] = ACTIONS(1703),
    [anon_sym_break] = ACTIONS(1703),
    [anon_sym_continue] = ACTIONS(1703),
    [anon_sym_goto] = ACTIONS(1703),
    [anon_sym___try] = ACTIONS(1703),
    [anon_sym___leave] = ACTIONS(1703),
    [anon_sym_DASH_DASH] = ACTIONS(1705),
    [anon_sym_PLUS_PLUS] = ACTIONS(1705),
    [anon_sym_sizeof] = ACTIONS(1703),
    [anon_sym___alignof__] = ACTIONS(1703),
    [anon_sym___alignof] = ACTIONS(1703),
    [anon_sym__alignof] = ACTIONS(1703),
    [anon_sym_alignof] = ACTIONS(1703),
    [anon_sym__Alignof] = ACTIONS(1703),
    [anon_sym_offsetof] = ACTIONS(1703),
    [anon_sym__Generic] = ACTIONS(1703),
    [anon_sym_asm] = ACTIONS(1703),
    [anon_sym___asm__] = ACTIONS(1703),
    [sym_number_literal] = ACTIONS(1705),
    [anon_sym_L_SQUOTE] = ACTIONS(1705),
    [anon_sym_u_SQUOTE] = ACTIONS(1705),
    [anon_sym_U_SQUOTE] = ACTIONS(1705),
    [anon_sym_u8_SQUOTE] = ACTIONS(1705),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_L_DQUOTE] = ACTIONS(1705),
    [anon_sym_u_DQUOTE] = ACTIONS(1705),
    [anon_sym_U_DQUOTE] = ACTIONS(1705),
    [anon_sym_u8_DQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1705),
    [sym_true] = ACTIONS(1703),
    [sym_false] = ACTIONS(1703),
    [anon_sym_NULL] = ACTIONS(1703),
    [anon_sym_nullptr] = ACTIONS(1703),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1703),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1703),
    [anon_sym_hitAttributeEXT] = ACTIONS(1703),
    [anon_sym_callableDataEXT] = ACTIONS(1703),
    [anon_sym_callableDataInEXT] = ACTIONS(1703),
    [anon_sym_shaderRecordEXT] = ACTIONS(1703),
    [anon_sym_rayPayloadNV] = ACTIONS(1703),
    [anon_sym_rayPayloadInNV] = ACTIONS(1703),
    [anon_sym_hitAttributeNV] = ACTIONS(1703),
    [anon_sym_callableDataNV] = ACTIONS(1703),
    [anon_sym_callableDataInNV] = ACTIONS(1703),
    [anon_sym_shaderRecordNV] = ACTIONS(1703),
    [anon_sym_layout] = ACTIONS(1703),
  },
  [191] = {
    [sym_identifier] = ACTIONS(1707),
    [aux_sym_preproc_include_token1] = ACTIONS(1707),
    [aux_sym_preproc_def_token1] = ACTIONS(1707),
    [aux_sym_preproc_if_token1] = ACTIONS(1707),
    [aux_sym_preproc_if_token2] = ACTIONS(1707),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1707),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1707),
    [aux_sym_preproc_else_token1] = ACTIONS(1707),
    [aux_sym_preproc_elif_token1] = ACTIONS(1707),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1707),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1707),
    [sym_preproc_directive] = ACTIONS(1707),
    [anon_sym_LPAREN2] = ACTIONS(1709),
    [anon_sym_BANG] = ACTIONS(1709),
    [anon_sym_TILDE] = ACTIONS(1709),
    [anon_sym_DASH] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1707),
    [anon_sym_STAR] = ACTIONS(1709),
    [anon_sym_AMP] = ACTIONS(1709),
    [anon_sym_subroutine] = ACTIONS(1707),
    [anon_sym_invariant] = ACTIONS(1707),
    [anon_sym_precise] = ACTIONS(1707),
    [anon_sym_SEMI] = ACTIONS(1709),
    [anon_sym_in] = ACTIONS(1707),
    [anon_sym_out] = ACTIONS(1707),
    [anon_sym_inout] = ACTIONS(1707),
    [anon_sym_uniform] = ACTIONS(1707),
    [anon_sym_shared] = ACTIONS(1707),
    [anon_sym_attribute] = ACTIONS(1707),
    [anon_sym_varying] = ACTIONS(1707),
    [anon_sym_buffer] = ACTIONS(1707),
    [anon_sym_coherent] = ACTIONS(1707),
    [anon_sym_readonly] = ACTIONS(1707),
    [anon_sym_writeonly] = ACTIONS(1707),
    [anon_sym_precision] = ACTIONS(1707),
    [anon_sym_highp] = ACTIONS(1707),
    [anon_sym_mediump] = ACTIONS(1707),
    [anon_sym_lowp] = ACTIONS(1707),
    [anon_sym_centroid] = ACTIONS(1707),
    [anon_sym_sample] = ACTIONS(1707),
    [anon_sym_patch] = ACTIONS(1707),
    [anon_sym_smooth] = ACTIONS(1707),
    [anon_sym_flat] = ACTIONS(1707),
    [anon_sym_noperspective] = ACTIONS(1707),
    [anon_sym___extension__] = ACTIONS(1707),
    [anon_sym_typedef] = ACTIONS(1707),
    [anon_sym_extern] = ACTIONS(1707),
    [anon_sym___attribute__] = ACTIONS(1707),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1709),
    [anon_sym___declspec] = ACTIONS(1707),
    [anon_sym___cdecl] = ACTIONS(1707),
    [anon_sym___clrcall] = ACTIONS(1707),
    [anon_sym___stdcall] = ACTIONS(1707),
    [anon_sym___fastcall] = ACTIONS(1707),
    [anon_sym___thiscall] = ACTIONS(1707),
    [anon_sym___vectorcall] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1709),
    [anon_sym_signed] = ACTIONS(1707),
    [anon_sym_unsigned] = ACTIONS(1707),
    [anon_sym_long] = ACTIONS(1707),
    [anon_sym_short] = ACTIONS(1707),
    [anon_sym_static] = ACTIONS(1707),
    [anon_sym_auto] = ACTIONS(1707),
    [anon_sym_register] = ACTIONS(1707),
    [anon_sym_inline] = ACTIONS(1707),
    [anon_sym___inline] = ACTIONS(1707),
    [anon_sym___inline__] = ACTIONS(1707),
    [anon_sym___forceinline] = ACTIONS(1707),
    [anon_sym_thread_local] = ACTIONS(1707),
    [anon_sym___thread] = ACTIONS(1707),
    [anon_sym_const] = ACTIONS(1707),
    [anon_sym_constexpr] = ACTIONS(1707),
    [anon_sym_volatile] = ACTIONS(1707),
    [anon_sym_restrict] = ACTIONS(1707),
    [anon_sym___restrict__] = ACTIONS(1707),
    [anon_sym__Atomic] = ACTIONS(1707),
    [anon_sym__Noreturn] = ACTIONS(1707),
    [anon_sym_noreturn] = ACTIONS(1707),
    [sym_primitive_type] = ACTIONS(1707),
    [anon_sym_enum] = ACTIONS(1707),
    [anon_sym_struct] = ACTIONS(1707),
    [anon_sym_union] = ACTIONS(1707),
    [anon_sym_if] = ACTIONS(1707),
    [anon_sym_switch] = ACTIONS(1707),
    [anon_sym_case] = ACTIONS(1707),
    [anon_sym_default] = ACTIONS(1707),
    [anon_sym_while] = ACTIONS(1707),
    [anon_sym_do] = ACTIONS(1707),
    [anon_sym_for] = ACTIONS(1707),
    [anon_sym_return] = ACTIONS(1707),
    [anon_sym_break] = ACTIONS(1707),
    [anon_sym_continue] = ACTIONS(1707),
    [anon_sym_goto] = ACTIONS(1707),
    [anon_sym___try] = ACTIONS(1707),
    [anon_sym___leave] = ACTIONS(1707),
    [anon_sym_DASH_DASH] = ACTIONS(1709),
    [anon_sym_PLUS_PLUS] = ACTIONS(1709),
    [anon_sym_sizeof] = ACTIONS(1707),
    [anon_sym___alignof__] = ACTIONS(1707),
    [anon_sym___alignof] = ACTIONS(1707),
    [anon_sym__alignof] = ACTIONS(1707),
    [anon_sym_alignof] = ACTIONS(1707),
    [anon_sym__Alignof] = ACTIONS(1707),
    [anon_sym_offsetof] = ACTIONS(1707),
    [anon_sym__Generic] = ACTIONS(1707),
    [anon_sym_asm] = ACTIONS(1707),
    [anon_sym___asm__] = ACTIONS(1707),
    [sym_number_literal] = ACTIONS(1709),
    [anon_sym_L_SQUOTE] = ACTIONS(1709),
    [anon_sym_u_SQUOTE] = ACTIONS(1709),
    [anon_sym_U_SQUOTE] = ACTIONS(1709),
    [anon_sym_u8_SQUOTE] = ACTIONS(1709),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [anon_sym_L_DQUOTE] = ACTIONS(1709),
    [anon_sym_u_DQUOTE] = ACTIONS(1709),
    [anon_sym_U_DQUOTE] = ACTIONS(1709),
    [anon_sym_u8_DQUOTE] = ACTIONS(1709),
    [anon_sym_DQUOTE] = ACTIONS(1709),
    [sym_true] = ACTIONS(1707),
    [sym_false] = ACTIONS(1707),
    [anon_sym_NULL] = ACTIONS(1707),
    [anon_sym_nullptr] = ACTIONS(1707),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1707),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1707),
    [anon_sym_hitAttributeEXT] = ACTIONS(1707),
    [anon_sym_callableDataEXT] = ACTIONS(1707),
    [anon_sym_callableDataInEXT] = ACTIONS(1707),
    [anon_sym_shaderRecordEXT] = ACTIONS(1707),
    [anon_sym_rayPayloadNV] = ACTIONS(1707),
    [anon_sym_rayPayloadInNV] = ACTIONS(1707),
    [anon_sym_hitAttributeNV] = ACTIONS(1707),
    [anon_sym_callableDataNV] = ACTIONS(1707),
    [anon_sym_callableDataInNV] = ACTIONS(1707),
    [anon_sym_shaderRecordNV] = ACTIONS(1707),
    [anon_sym_layout] = ACTIONS(1707),
  },
  [192] = {
    [sym_identifier] = ACTIONS(1711),
    [aux_sym_preproc_include_token1] = ACTIONS(1711),
    [aux_sym_preproc_def_token1] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1711),
    [aux_sym_preproc_if_token2] = ACTIONS(1711),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1711),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1711),
    [aux_sym_preproc_else_token1] = ACTIONS(1711),
    [aux_sym_preproc_elif_token1] = ACTIONS(1711),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1711),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1711),
    [sym_preproc_directive] = ACTIONS(1711),
    [anon_sym_LPAREN2] = ACTIONS(1713),
    [anon_sym_BANG] = ACTIONS(1713),
    [anon_sym_TILDE] = ACTIONS(1713),
    [anon_sym_DASH] = ACTIONS(1711),
    [anon_sym_PLUS] = ACTIONS(1711),
    [anon_sym_STAR] = ACTIONS(1713),
    [anon_sym_AMP] = ACTIONS(1713),
    [anon_sym_subroutine] = ACTIONS(1711),
    [anon_sym_invariant] = ACTIONS(1711),
    [anon_sym_precise] = ACTIONS(1711),
    [anon_sym_SEMI] = ACTIONS(1713),
    [anon_sym_in] = ACTIONS(1711),
    [anon_sym_out] = ACTIONS(1711),
    [anon_sym_inout] = ACTIONS(1711),
    [anon_sym_uniform] = ACTIONS(1711),
    [anon_sym_shared] = ACTIONS(1711),
    [anon_sym_attribute] = ACTIONS(1711),
    [anon_sym_varying] = ACTIONS(1711),
    [anon_sym_buffer] = ACTIONS(1711),
    [anon_sym_coherent] = ACTIONS(1711),
    [anon_sym_readonly] = ACTIONS(1711),
    [anon_sym_writeonly] = ACTIONS(1711),
    [anon_sym_precision] = ACTIONS(1711),
    [anon_sym_highp] = ACTIONS(1711),
    [anon_sym_mediump] = ACTIONS(1711),
    [anon_sym_lowp] = ACTIONS(1711),
    [anon_sym_centroid] = ACTIONS(1711),
    [anon_sym_sample] = ACTIONS(1711),
    [anon_sym_patch] = ACTIONS(1711),
    [anon_sym_smooth] = ACTIONS(1711),
    [anon_sym_flat] = ACTIONS(1711),
    [anon_sym_noperspective] = ACTIONS(1711),
    [anon_sym___extension__] = ACTIONS(1711),
    [anon_sym_typedef] = ACTIONS(1711),
    [anon_sym_extern] = ACTIONS(1711),
    [anon_sym___attribute__] = ACTIONS(1711),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1713),
    [anon_sym___declspec] = ACTIONS(1711),
    [anon_sym___cdecl] = ACTIONS(1711),
    [anon_sym___clrcall] = ACTIONS(1711),
    [anon_sym___stdcall] = ACTIONS(1711),
    [anon_sym___fastcall] = ACTIONS(1711),
    [anon_sym___thiscall] = ACTIONS(1711),
    [anon_sym___vectorcall] = ACTIONS(1711),
    [anon_sym_LBRACE] = ACTIONS(1713),
    [anon_sym_signed] = ACTIONS(1711),
    [anon_sym_unsigned] = ACTIONS(1711),
    [anon_sym_long] = ACTIONS(1711),
    [anon_sym_short] = ACTIONS(1711),
    [anon_sym_static] = ACTIONS(1711),
    [anon_sym_auto] = ACTIONS(1711),
    [anon_sym_register] = ACTIONS(1711),
    [anon_sym_inline] = ACTIONS(1711),
    [anon_sym___inline] = ACTIONS(1711),
    [anon_sym___inline__] = ACTIONS(1711),
    [anon_sym___forceinline] = ACTIONS(1711),
    [anon_sym_thread_local] = ACTIONS(1711),
    [anon_sym___thread] = ACTIONS(1711),
    [anon_sym_const] = ACTIONS(1711),
    [anon_sym_constexpr] = ACTIONS(1711),
    [anon_sym_volatile] = ACTIONS(1711),
    [anon_sym_restrict] = ACTIONS(1711),
    [anon_sym___restrict__] = ACTIONS(1711),
    [anon_sym__Atomic] = ACTIONS(1711),
    [anon_sym__Noreturn] = ACTIONS(1711),
    [anon_sym_noreturn] = ACTIONS(1711),
    [sym_primitive_type] = ACTIONS(1711),
    [anon_sym_enum] = ACTIONS(1711),
    [anon_sym_struct] = ACTIONS(1711),
    [anon_sym_union] = ACTIONS(1711),
    [anon_sym_if] = ACTIONS(1711),
    [anon_sym_switch] = ACTIONS(1711),
    [anon_sym_case] = ACTIONS(1711),
    [anon_sym_default] = ACTIONS(1711),
    [anon_sym_while] = ACTIONS(1711),
    [anon_sym_do] = ACTIONS(1711),
    [anon_sym_for] = ACTIONS(1711),
    [anon_sym_return] = ACTIONS(1711),
    [anon_sym_break] = ACTIONS(1711),
    [anon_sym_continue] = ACTIONS(1711),
    [anon_sym_goto] = ACTIONS(1711),
    [anon_sym___try] = ACTIONS(1711),
    [anon_sym___leave] = ACTIONS(1711),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_sizeof] = ACTIONS(1711),
    [anon_sym___alignof__] = ACTIONS(1711),
    [anon_sym___alignof] = ACTIONS(1711),
    [anon_sym__alignof] = ACTIONS(1711),
    [anon_sym_alignof] = ACTIONS(1711),
    [anon_sym__Alignof] = ACTIONS(1711),
    [anon_sym_offsetof] = ACTIONS(1711),
    [anon_sym__Generic] = ACTIONS(1711),
    [anon_sym_asm] = ACTIONS(1711),
    [anon_sym___asm__] = ACTIONS(1711),
    [sym_number_literal] = ACTIONS(1713),
    [anon_sym_L_SQUOTE] = ACTIONS(1713),
    [anon_sym_u_SQUOTE] = ACTIONS(1713),
    [anon_sym_U_SQUOTE] = ACTIONS(1713),
    [anon_sym_u8_SQUOTE] = ACTIONS(1713),
    [anon_sym_SQUOTE] = ACTIONS(1713),
    [anon_sym_L_DQUOTE] = ACTIONS(1713),
    [anon_sym_u_DQUOTE] = ACTIONS(1713),
    [anon_sym_U_DQUOTE] = ACTIONS(1713),
    [anon_sym_u8_DQUOTE] = ACTIONS(1713),
    [anon_sym_DQUOTE] = ACTIONS(1713),
    [sym_true] = ACTIONS(1711),
    [sym_false] = ACTIONS(1711),
    [anon_sym_NULL] = ACTIONS(1711),
    [anon_sym_nullptr] = ACTIONS(1711),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1711),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1711),
    [anon_sym_hitAttributeEXT] = ACTIONS(1711),
    [anon_sym_callableDataEXT] = ACTIONS(1711),
    [anon_sym_callableDataInEXT] = ACTIONS(1711),
    [anon_sym_shaderRecordEXT] = ACTIONS(1711),
    [anon_sym_rayPayloadNV] = ACTIONS(1711),
    [anon_sym_rayPayloadInNV] = ACTIONS(1711),
    [anon_sym_hitAttributeNV] = ACTIONS(1711),
    [anon_sym_callableDataNV] = ACTIONS(1711),
    [anon_sym_callableDataInNV] = ACTIONS(1711),
    [anon_sym_shaderRecordNV] = ACTIONS(1711),
    [anon_sym_layout] = ACTIONS(1711),
  },
  [193] = {
    [sym_identifier] = ACTIONS(1715),
    [aux_sym_preproc_include_token1] = ACTIONS(1715),
    [aux_sym_preproc_def_token1] = ACTIONS(1715),
    [aux_sym_preproc_if_token1] = ACTIONS(1715),
    [aux_sym_preproc_if_token2] = ACTIONS(1715),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1715),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1715),
    [aux_sym_preproc_else_token1] = ACTIONS(1715),
    [aux_sym_preproc_elif_token1] = ACTIONS(1715),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1715),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1715),
    [sym_preproc_directive] = ACTIONS(1715),
    [anon_sym_LPAREN2] = ACTIONS(1717),
    [anon_sym_BANG] = ACTIONS(1717),
    [anon_sym_TILDE] = ACTIONS(1717),
    [anon_sym_DASH] = ACTIONS(1715),
    [anon_sym_PLUS] = ACTIONS(1715),
    [anon_sym_STAR] = ACTIONS(1717),
    [anon_sym_AMP] = ACTIONS(1717),
    [anon_sym_subroutine] = ACTIONS(1715),
    [anon_sym_invariant] = ACTIONS(1715),
    [anon_sym_precise] = ACTIONS(1715),
    [anon_sym_SEMI] = ACTIONS(1717),
    [anon_sym_in] = ACTIONS(1715),
    [anon_sym_out] = ACTIONS(1715),
    [anon_sym_inout] = ACTIONS(1715),
    [anon_sym_uniform] = ACTIONS(1715),
    [anon_sym_shared] = ACTIONS(1715),
    [anon_sym_attribute] = ACTIONS(1715),
    [anon_sym_varying] = ACTIONS(1715),
    [anon_sym_buffer] = ACTIONS(1715),
    [anon_sym_coherent] = ACTIONS(1715),
    [anon_sym_readonly] = ACTIONS(1715),
    [anon_sym_writeonly] = ACTIONS(1715),
    [anon_sym_precision] = ACTIONS(1715),
    [anon_sym_highp] = ACTIONS(1715),
    [anon_sym_mediump] = ACTIONS(1715),
    [anon_sym_lowp] = ACTIONS(1715),
    [anon_sym_centroid] = ACTIONS(1715),
    [anon_sym_sample] = ACTIONS(1715),
    [anon_sym_patch] = ACTIONS(1715),
    [anon_sym_smooth] = ACTIONS(1715),
    [anon_sym_flat] = ACTIONS(1715),
    [anon_sym_noperspective] = ACTIONS(1715),
    [anon_sym___extension__] = ACTIONS(1715),
    [anon_sym_typedef] = ACTIONS(1715),
    [anon_sym_extern] = ACTIONS(1715),
    [anon_sym___attribute__] = ACTIONS(1715),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1717),
    [anon_sym___declspec] = ACTIONS(1715),
    [anon_sym___cdecl] = ACTIONS(1715),
    [anon_sym___clrcall] = ACTIONS(1715),
    [anon_sym___stdcall] = ACTIONS(1715),
    [anon_sym___fastcall] = ACTIONS(1715),
    [anon_sym___thiscall] = ACTIONS(1715),
    [anon_sym___vectorcall] = ACTIONS(1715),
    [anon_sym_LBRACE] = ACTIONS(1717),
    [anon_sym_signed] = ACTIONS(1715),
    [anon_sym_unsigned] = ACTIONS(1715),
    [anon_sym_long] = ACTIONS(1715),
    [anon_sym_short] = ACTIONS(1715),
    [anon_sym_static] = ACTIONS(1715),
    [anon_sym_auto] = ACTIONS(1715),
    [anon_sym_register] = ACTIONS(1715),
    [anon_sym_inline] = ACTIONS(1715),
    [anon_sym___inline] = ACTIONS(1715),
    [anon_sym___inline__] = ACTIONS(1715),
    [anon_sym___forceinline] = ACTIONS(1715),
    [anon_sym_thread_local] = ACTIONS(1715),
    [anon_sym___thread] = ACTIONS(1715),
    [anon_sym_const] = ACTIONS(1715),
    [anon_sym_constexpr] = ACTIONS(1715),
    [anon_sym_volatile] = ACTIONS(1715),
    [anon_sym_restrict] = ACTIONS(1715),
    [anon_sym___restrict__] = ACTIONS(1715),
    [anon_sym__Atomic] = ACTIONS(1715),
    [anon_sym__Noreturn] = ACTIONS(1715),
    [anon_sym_noreturn] = ACTIONS(1715),
    [sym_primitive_type] = ACTIONS(1715),
    [anon_sym_enum] = ACTIONS(1715),
    [anon_sym_struct] = ACTIONS(1715),
    [anon_sym_union] = ACTIONS(1715),
    [anon_sym_if] = ACTIONS(1715),
    [anon_sym_switch] = ACTIONS(1715),
    [anon_sym_case] = ACTIONS(1715),
    [anon_sym_default] = ACTIONS(1715),
    [anon_sym_while] = ACTIONS(1715),
    [anon_sym_do] = ACTIONS(1715),
    [anon_sym_for] = ACTIONS(1715),
    [anon_sym_return] = ACTIONS(1715),
    [anon_sym_break] = ACTIONS(1715),
    [anon_sym_continue] = ACTIONS(1715),
    [anon_sym_goto] = ACTIONS(1715),
    [anon_sym___try] = ACTIONS(1715),
    [anon_sym___leave] = ACTIONS(1715),
    [anon_sym_DASH_DASH] = ACTIONS(1717),
    [anon_sym_PLUS_PLUS] = ACTIONS(1717),
    [anon_sym_sizeof] = ACTIONS(1715),
    [anon_sym___alignof__] = ACTIONS(1715),
    [anon_sym___alignof] = ACTIONS(1715),
    [anon_sym__alignof] = ACTIONS(1715),
    [anon_sym_alignof] = ACTIONS(1715),
    [anon_sym__Alignof] = ACTIONS(1715),
    [anon_sym_offsetof] = ACTIONS(1715),
    [anon_sym__Generic] = ACTIONS(1715),
    [anon_sym_asm] = ACTIONS(1715),
    [anon_sym___asm__] = ACTIONS(1715),
    [sym_number_literal] = ACTIONS(1717),
    [anon_sym_L_SQUOTE] = ACTIONS(1717),
    [anon_sym_u_SQUOTE] = ACTIONS(1717),
    [anon_sym_U_SQUOTE] = ACTIONS(1717),
    [anon_sym_u8_SQUOTE] = ACTIONS(1717),
    [anon_sym_SQUOTE] = ACTIONS(1717),
    [anon_sym_L_DQUOTE] = ACTIONS(1717),
    [anon_sym_u_DQUOTE] = ACTIONS(1717),
    [anon_sym_U_DQUOTE] = ACTIONS(1717),
    [anon_sym_u8_DQUOTE] = ACTIONS(1717),
    [anon_sym_DQUOTE] = ACTIONS(1717),
    [sym_true] = ACTIONS(1715),
    [sym_false] = ACTIONS(1715),
    [anon_sym_NULL] = ACTIONS(1715),
    [anon_sym_nullptr] = ACTIONS(1715),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1715),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1715),
    [anon_sym_hitAttributeEXT] = ACTIONS(1715),
    [anon_sym_callableDataEXT] = ACTIONS(1715),
    [anon_sym_callableDataInEXT] = ACTIONS(1715),
    [anon_sym_shaderRecordEXT] = ACTIONS(1715),
    [anon_sym_rayPayloadNV] = ACTIONS(1715),
    [anon_sym_rayPayloadInNV] = ACTIONS(1715),
    [anon_sym_hitAttributeNV] = ACTIONS(1715),
    [anon_sym_callableDataNV] = ACTIONS(1715),
    [anon_sym_callableDataInNV] = ACTIONS(1715),
    [anon_sym_shaderRecordNV] = ACTIONS(1715),
    [anon_sym_layout] = ACTIONS(1715),
  },
  [194] = {
    [sym_identifier] = ACTIONS(1715),
    [aux_sym_preproc_include_token1] = ACTIONS(1715),
    [aux_sym_preproc_def_token1] = ACTIONS(1715),
    [aux_sym_preproc_if_token1] = ACTIONS(1715),
    [aux_sym_preproc_if_token2] = ACTIONS(1715),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1715),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1715),
    [aux_sym_preproc_else_token1] = ACTIONS(1715),
    [aux_sym_preproc_elif_token1] = ACTIONS(1715),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1715),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1715),
    [sym_preproc_directive] = ACTIONS(1715),
    [anon_sym_LPAREN2] = ACTIONS(1717),
    [anon_sym_BANG] = ACTIONS(1717),
    [anon_sym_TILDE] = ACTIONS(1717),
    [anon_sym_DASH] = ACTIONS(1715),
    [anon_sym_PLUS] = ACTIONS(1715),
    [anon_sym_STAR] = ACTIONS(1717),
    [anon_sym_AMP] = ACTIONS(1717),
    [anon_sym_subroutine] = ACTIONS(1715),
    [anon_sym_invariant] = ACTIONS(1715),
    [anon_sym_precise] = ACTIONS(1715),
    [anon_sym_SEMI] = ACTIONS(1717),
    [anon_sym_in] = ACTIONS(1715),
    [anon_sym_out] = ACTIONS(1715),
    [anon_sym_inout] = ACTIONS(1715),
    [anon_sym_uniform] = ACTIONS(1715),
    [anon_sym_shared] = ACTIONS(1715),
    [anon_sym_attribute] = ACTIONS(1715),
    [anon_sym_varying] = ACTIONS(1715),
    [anon_sym_buffer] = ACTIONS(1715),
    [anon_sym_coherent] = ACTIONS(1715),
    [anon_sym_readonly] = ACTIONS(1715),
    [anon_sym_writeonly] = ACTIONS(1715),
    [anon_sym_precision] = ACTIONS(1715),
    [anon_sym_highp] = ACTIONS(1715),
    [anon_sym_mediump] = ACTIONS(1715),
    [anon_sym_lowp] = ACTIONS(1715),
    [anon_sym_centroid] = ACTIONS(1715),
    [anon_sym_sample] = ACTIONS(1715),
    [anon_sym_patch] = ACTIONS(1715),
    [anon_sym_smooth] = ACTIONS(1715),
    [anon_sym_flat] = ACTIONS(1715),
    [anon_sym_noperspective] = ACTIONS(1715),
    [anon_sym___extension__] = ACTIONS(1715),
    [anon_sym_typedef] = ACTIONS(1715),
    [anon_sym_extern] = ACTIONS(1715),
    [anon_sym___attribute__] = ACTIONS(1715),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1717),
    [anon_sym___declspec] = ACTIONS(1715),
    [anon_sym___cdecl] = ACTIONS(1715),
    [anon_sym___clrcall] = ACTIONS(1715),
    [anon_sym___stdcall] = ACTIONS(1715),
    [anon_sym___fastcall] = ACTIONS(1715),
    [anon_sym___thiscall] = ACTIONS(1715),
    [anon_sym___vectorcall] = ACTIONS(1715),
    [anon_sym_LBRACE] = ACTIONS(1717),
    [anon_sym_signed] = ACTIONS(1715),
    [anon_sym_unsigned] = ACTIONS(1715),
    [anon_sym_long] = ACTIONS(1715),
    [anon_sym_short] = ACTIONS(1715),
    [anon_sym_static] = ACTIONS(1715),
    [anon_sym_auto] = ACTIONS(1715),
    [anon_sym_register] = ACTIONS(1715),
    [anon_sym_inline] = ACTIONS(1715),
    [anon_sym___inline] = ACTIONS(1715),
    [anon_sym___inline__] = ACTIONS(1715),
    [anon_sym___forceinline] = ACTIONS(1715),
    [anon_sym_thread_local] = ACTIONS(1715),
    [anon_sym___thread] = ACTIONS(1715),
    [anon_sym_const] = ACTIONS(1715),
    [anon_sym_constexpr] = ACTIONS(1715),
    [anon_sym_volatile] = ACTIONS(1715),
    [anon_sym_restrict] = ACTIONS(1715),
    [anon_sym___restrict__] = ACTIONS(1715),
    [anon_sym__Atomic] = ACTIONS(1715),
    [anon_sym__Noreturn] = ACTIONS(1715),
    [anon_sym_noreturn] = ACTIONS(1715),
    [sym_primitive_type] = ACTIONS(1715),
    [anon_sym_enum] = ACTIONS(1715),
    [anon_sym_struct] = ACTIONS(1715),
    [anon_sym_union] = ACTIONS(1715),
    [anon_sym_if] = ACTIONS(1715),
    [anon_sym_switch] = ACTIONS(1715),
    [anon_sym_case] = ACTIONS(1715),
    [anon_sym_default] = ACTIONS(1715),
    [anon_sym_while] = ACTIONS(1715),
    [anon_sym_do] = ACTIONS(1715),
    [anon_sym_for] = ACTIONS(1715),
    [anon_sym_return] = ACTIONS(1715),
    [anon_sym_break] = ACTIONS(1715),
    [anon_sym_continue] = ACTIONS(1715),
    [anon_sym_goto] = ACTIONS(1715),
    [anon_sym___try] = ACTIONS(1715),
    [anon_sym___leave] = ACTIONS(1715),
    [anon_sym_DASH_DASH] = ACTIONS(1717),
    [anon_sym_PLUS_PLUS] = ACTIONS(1717),
    [anon_sym_sizeof] = ACTIONS(1715),
    [anon_sym___alignof__] = ACTIONS(1715),
    [anon_sym___alignof] = ACTIONS(1715),
    [anon_sym__alignof] = ACTIONS(1715),
    [anon_sym_alignof] = ACTIONS(1715),
    [anon_sym__Alignof] = ACTIONS(1715),
    [anon_sym_offsetof] = ACTIONS(1715),
    [anon_sym__Generic] = ACTIONS(1715),
    [anon_sym_asm] = ACTIONS(1715),
    [anon_sym___asm__] = ACTIONS(1715),
    [sym_number_literal] = ACTIONS(1717),
    [anon_sym_L_SQUOTE] = ACTIONS(1717),
    [anon_sym_u_SQUOTE] = ACTIONS(1717),
    [anon_sym_U_SQUOTE] = ACTIONS(1717),
    [anon_sym_u8_SQUOTE] = ACTIONS(1717),
    [anon_sym_SQUOTE] = ACTIONS(1717),
    [anon_sym_L_DQUOTE] = ACTIONS(1717),
    [anon_sym_u_DQUOTE] = ACTIONS(1717),
    [anon_sym_U_DQUOTE] = ACTIONS(1717),
    [anon_sym_u8_DQUOTE] = ACTIONS(1717),
    [anon_sym_DQUOTE] = ACTIONS(1717),
    [sym_true] = ACTIONS(1715),
    [sym_false] = ACTIONS(1715),
    [anon_sym_NULL] = ACTIONS(1715),
    [anon_sym_nullptr] = ACTIONS(1715),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1715),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1715),
    [anon_sym_hitAttributeEXT] = ACTIONS(1715),
    [anon_sym_callableDataEXT] = ACTIONS(1715),
    [anon_sym_callableDataInEXT] = ACTIONS(1715),
    [anon_sym_shaderRecordEXT] = ACTIONS(1715),
    [anon_sym_rayPayloadNV] = ACTIONS(1715),
    [anon_sym_rayPayloadInNV] = ACTIONS(1715),
    [anon_sym_hitAttributeNV] = ACTIONS(1715),
    [anon_sym_callableDataNV] = ACTIONS(1715),
    [anon_sym_callableDataInNV] = ACTIONS(1715),
    [anon_sym_shaderRecordNV] = ACTIONS(1715),
    [anon_sym_layout] = ACTIONS(1715),
  },
  [195] = {
    [sym_identifier] = ACTIONS(1719),
    [aux_sym_preproc_include_token1] = ACTIONS(1719),
    [aux_sym_preproc_def_token1] = ACTIONS(1719),
    [aux_sym_preproc_if_token1] = ACTIONS(1719),
    [aux_sym_preproc_if_token2] = ACTIONS(1719),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1719),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1719),
    [aux_sym_preproc_else_token1] = ACTIONS(1719),
    [aux_sym_preproc_elif_token1] = ACTIONS(1719),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1719),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1719),
    [sym_preproc_directive] = ACTIONS(1719),
    [anon_sym_LPAREN2] = ACTIONS(1721),
    [anon_sym_BANG] = ACTIONS(1721),
    [anon_sym_TILDE] = ACTIONS(1721),
    [anon_sym_DASH] = ACTIONS(1719),
    [anon_sym_PLUS] = ACTIONS(1719),
    [anon_sym_STAR] = ACTIONS(1721),
    [anon_sym_AMP] = ACTIONS(1721),
    [anon_sym_subroutine] = ACTIONS(1719),
    [anon_sym_invariant] = ACTIONS(1719),
    [anon_sym_precise] = ACTIONS(1719),
    [anon_sym_SEMI] = ACTIONS(1721),
    [anon_sym_in] = ACTIONS(1719),
    [anon_sym_out] = ACTIONS(1719),
    [anon_sym_inout] = ACTIONS(1719),
    [anon_sym_uniform] = ACTIONS(1719),
    [anon_sym_shared] = ACTIONS(1719),
    [anon_sym_attribute] = ACTIONS(1719),
    [anon_sym_varying] = ACTIONS(1719),
    [anon_sym_buffer] = ACTIONS(1719),
    [anon_sym_coherent] = ACTIONS(1719),
    [anon_sym_readonly] = ACTIONS(1719),
    [anon_sym_writeonly] = ACTIONS(1719),
    [anon_sym_precision] = ACTIONS(1719),
    [anon_sym_highp] = ACTIONS(1719),
    [anon_sym_mediump] = ACTIONS(1719),
    [anon_sym_lowp] = ACTIONS(1719),
    [anon_sym_centroid] = ACTIONS(1719),
    [anon_sym_sample] = ACTIONS(1719),
    [anon_sym_patch] = ACTIONS(1719),
    [anon_sym_smooth] = ACTIONS(1719),
    [anon_sym_flat] = ACTIONS(1719),
    [anon_sym_noperspective] = ACTIONS(1719),
    [anon_sym___extension__] = ACTIONS(1719),
    [anon_sym_typedef] = ACTIONS(1719),
    [anon_sym_extern] = ACTIONS(1719),
    [anon_sym___attribute__] = ACTIONS(1719),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1721),
    [anon_sym___declspec] = ACTIONS(1719),
    [anon_sym___cdecl] = ACTIONS(1719),
    [anon_sym___clrcall] = ACTIONS(1719),
    [anon_sym___stdcall] = ACTIONS(1719),
    [anon_sym___fastcall] = ACTIONS(1719),
    [anon_sym___thiscall] = ACTIONS(1719),
    [anon_sym___vectorcall] = ACTIONS(1719),
    [anon_sym_LBRACE] = ACTIONS(1721),
    [anon_sym_signed] = ACTIONS(1719),
    [anon_sym_unsigned] = ACTIONS(1719),
    [anon_sym_long] = ACTIONS(1719),
    [anon_sym_short] = ACTIONS(1719),
    [anon_sym_static] = ACTIONS(1719),
    [anon_sym_auto] = ACTIONS(1719),
    [anon_sym_register] = ACTIONS(1719),
    [anon_sym_inline] = ACTIONS(1719),
    [anon_sym___inline] = ACTIONS(1719),
    [anon_sym___inline__] = ACTIONS(1719),
    [anon_sym___forceinline] = ACTIONS(1719),
    [anon_sym_thread_local] = ACTIONS(1719),
    [anon_sym___thread] = ACTIONS(1719),
    [anon_sym_const] = ACTIONS(1719),
    [anon_sym_constexpr] = ACTIONS(1719),
    [anon_sym_volatile] = ACTIONS(1719),
    [anon_sym_restrict] = ACTIONS(1719),
    [anon_sym___restrict__] = ACTIONS(1719),
    [anon_sym__Atomic] = ACTIONS(1719),
    [anon_sym__Noreturn] = ACTIONS(1719),
    [anon_sym_noreturn] = ACTIONS(1719),
    [sym_primitive_type] = ACTIONS(1719),
    [anon_sym_enum] = ACTIONS(1719),
    [anon_sym_struct] = ACTIONS(1719),
    [anon_sym_union] = ACTIONS(1719),
    [anon_sym_if] = ACTIONS(1719),
    [anon_sym_switch] = ACTIONS(1719),
    [anon_sym_case] = ACTIONS(1719),
    [anon_sym_default] = ACTIONS(1719),
    [anon_sym_while] = ACTIONS(1719),
    [anon_sym_do] = ACTIONS(1719),
    [anon_sym_for] = ACTIONS(1719),
    [anon_sym_return] = ACTIONS(1719),
    [anon_sym_break] = ACTIONS(1719),
    [anon_sym_continue] = ACTIONS(1719),
    [anon_sym_goto] = ACTIONS(1719),
    [anon_sym___try] = ACTIONS(1719),
    [anon_sym___leave] = ACTIONS(1719),
    [anon_sym_DASH_DASH] = ACTIONS(1721),
    [anon_sym_PLUS_PLUS] = ACTIONS(1721),
    [anon_sym_sizeof] = ACTIONS(1719),
    [anon_sym___alignof__] = ACTIONS(1719),
    [anon_sym___alignof] = ACTIONS(1719),
    [anon_sym__alignof] = ACTIONS(1719),
    [anon_sym_alignof] = ACTIONS(1719),
    [anon_sym__Alignof] = ACTIONS(1719),
    [anon_sym_offsetof] = ACTIONS(1719),
    [anon_sym__Generic] = ACTIONS(1719),
    [anon_sym_asm] = ACTIONS(1719),
    [anon_sym___asm__] = ACTIONS(1719),
    [sym_number_literal] = ACTIONS(1721),
    [anon_sym_L_SQUOTE] = ACTIONS(1721),
    [anon_sym_u_SQUOTE] = ACTIONS(1721),
    [anon_sym_U_SQUOTE] = ACTIONS(1721),
    [anon_sym_u8_SQUOTE] = ACTIONS(1721),
    [anon_sym_SQUOTE] = ACTIONS(1721),
    [anon_sym_L_DQUOTE] = ACTIONS(1721),
    [anon_sym_u_DQUOTE] = ACTIONS(1721),
    [anon_sym_U_DQUOTE] = ACTIONS(1721),
    [anon_sym_u8_DQUOTE] = ACTIONS(1721),
    [anon_sym_DQUOTE] = ACTIONS(1721),
    [sym_true] = ACTIONS(1719),
    [sym_false] = ACTIONS(1719),
    [anon_sym_NULL] = ACTIONS(1719),
    [anon_sym_nullptr] = ACTIONS(1719),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1719),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1719),
    [anon_sym_hitAttributeEXT] = ACTIONS(1719),
    [anon_sym_callableDataEXT] = ACTIONS(1719),
    [anon_sym_callableDataInEXT] = ACTIONS(1719),
    [anon_sym_shaderRecordEXT] = ACTIONS(1719),
    [anon_sym_rayPayloadNV] = ACTIONS(1719),
    [anon_sym_rayPayloadInNV] = ACTIONS(1719),
    [anon_sym_hitAttributeNV] = ACTIONS(1719),
    [anon_sym_callableDataNV] = ACTIONS(1719),
    [anon_sym_callableDataInNV] = ACTIONS(1719),
    [anon_sym_shaderRecordNV] = ACTIONS(1719),
    [anon_sym_layout] = ACTIONS(1719),
  },
  [196] = {
    [sym_identifier] = ACTIONS(1723),
    [aux_sym_preproc_include_token1] = ACTIONS(1723),
    [aux_sym_preproc_def_token1] = ACTIONS(1723),
    [aux_sym_preproc_if_token1] = ACTIONS(1723),
    [aux_sym_preproc_if_token2] = ACTIONS(1723),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1723),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1723),
    [aux_sym_preproc_else_token1] = ACTIONS(1723),
    [aux_sym_preproc_elif_token1] = ACTIONS(1723),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1723),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1723),
    [sym_preproc_directive] = ACTIONS(1723),
    [anon_sym_LPAREN2] = ACTIONS(1725),
    [anon_sym_BANG] = ACTIONS(1725),
    [anon_sym_TILDE] = ACTIONS(1725),
    [anon_sym_DASH] = ACTIONS(1723),
    [anon_sym_PLUS] = ACTIONS(1723),
    [anon_sym_STAR] = ACTIONS(1725),
    [anon_sym_AMP] = ACTIONS(1725),
    [anon_sym_subroutine] = ACTIONS(1723),
    [anon_sym_invariant] = ACTIONS(1723),
    [anon_sym_precise] = ACTIONS(1723),
    [anon_sym_SEMI] = ACTIONS(1725),
    [anon_sym_in] = ACTIONS(1723),
    [anon_sym_out] = ACTIONS(1723),
    [anon_sym_inout] = ACTIONS(1723),
    [anon_sym_uniform] = ACTIONS(1723),
    [anon_sym_shared] = ACTIONS(1723),
    [anon_sym_attribute] = ACTIONS(1723),
    [anon_sym_varying] = ACTIONS(1723),
    [anon_sym_buffer] = ACTIONS(1723),
    [anon_sym_coherent] = ACTIONS(1723),
    [anon_sym_readonly] = ACTIONS(1723),
    [anon_sym_writeonly] = ACTIONS(1723),
    [anon_sym_precision] = ACTIONS(1723),
    [anon_sym_highp] = ACTIONS(1723),
    [anon_sym_mediump] = ACTIONS(1723),
    [anon_sym_lowp] = ACTIONS(1723),
    [anon_sym_centroid] = ACTIONS(1723),
    [anon_sym_sample] = ACTIONS(1723),
    [anon_sym_patch] = ACTIONS(1723),
    [anon_sym_smooth] = ACTIONS(1723),
    [anon_sym_flat] = ACTIONS(1723),
    [anon_sym_noperspective] = ACTIONS(1723),
    [anon_sym___extension__] = ACTIONS(1723),
    [anon_sym_typedef] = ACTIONS(1723),
    [anon_sym_extern] = ACTIONS(1723),
    [anon_sym___attribute__] = ACTIONS(1723),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1725),
    [anon_sym___declspec] = ACTIONS(1723),
    [anon_sym___cdecl] = ACTIONS(1723),
    [anon_sym___clrcall] = ACTIONS(1723),
    [anon_sym___stdcall] = ACTIONS(1723),
    [anon_sym___fastcall] = ACTIONS(1723),
    [anon_sym___thiscall] = ACTIONS(1723),
    [anon_sym___vectorcall] = ACTIONS(1723),
    [anon_sym_LBRACE] = ACTIONS(1725),
    [anon_sym_signed] = ACTIONS(1723),
    [anon_sym_unsigned] = ACTIONS(1723),
    [anon_sym_long] = ACTIONS(1723),
    [anon_sym_short] = ACTIONS(1723),
    [anon_sym_static] = ACTIONS(1723),
    [anon_sym_auto] = ACTIONS(1723),
    [anon_sym_register] = ACTIONS(1723),
    [anon_sym_inline] = ACTIONS(1723),
    [anon_sym___inline] = ACTIONS(1723),
    [anon_sym___inline__] = ACTIONS(1723),
    [anon_sym___forceinline] = ACTIONS(1723),
    [anon_sym_thread_local] = ACTIONS(1723),
    [anon_sym___thread] = ACTIONS(1723),
    [anon_sym_const] = ACTIONS(1723),
    [anon_sym_constexpr] = ACTIONS(1723),
    [anon_sym_volatile] = ACTIONS(1723),
    [anon_sym_restrict] = ACTIONS(1723),
    [anon_sym___restrict__] = ACTIONS(1723),
    [anon_sym__Atomic] = ACTIONS(1723),
    [anon_sym__Noreturn] = ACTIONS(1723),
    [anon_sym_noreturn] = ACTIONS(1723),
    [sym_primitive_type] = ACTIONS(1723),
    [anon_sym_enum] = ACTIONS(1723),
    [anon_sym_struct] = ACTIONS(1723),
    [anon_sym_union] = ACTIONS(1723),
    [anon_sym_if] = ACTIONS(1723),
    [anon_sym_switch] = ACTIONS(1723),
    [anon_sym_case] = ACTIONS(1723),
    [anon_sym_default] = ACTIONS(1723),
    [anon_sym_while] = ACTIONS(1723),
    [anon_sym_do] = ACTIONS(1723),
    [anon_sym_for] = ACTIONS(1723),
    [anon_sym_return] = ACTIONS(1723),
    [anon_sym_break] = ACTIONS(1723),
    [anon_sym_continue] = ACTIONS(1723),
    [anon_sym_goto] = ACTIONS(1723),
    [anon_sym___try] = ACTIONS(1723),
    [anon_sym___leave] = ACTIONS(1723),
    [anon_sym_DASH_DASH] = ACTIONS(1725),
    [anon_sym_PLUS_PLUS] = ACTIONS(1725),
    [anon_sym_sizeof] = ACTIONS(1723),
    [anon_sym___alignof__] = ACTIONS(1723),
    [anon_sym___alignof] = ACTIONS(1723),
    [anon_sym__alignof] = ACTIONS(1723),
    [anon_sym_alignof] = ACTIONS(1723),
    [anon_sym__Alignof] = ACTIONS(1723),
    [anon_sym_offsetof] = ACTIONS(1723),
    [anon_sym__Generic] = ACTIONS(1723),
    [anon_sym_asm] = ACTIONS(1723),
    [anon_sym___asm__] = ACTIONS(1723),
    [sym_number_literal] = ACTIONS(1725),
    [anon_sym_L_SQUOTE] = ACTIONS(1725),
    [anon_sym_u_SQUOTE] = ACTIONS(1725),
    [anon_sym_U_SQUOTE] = ACTIONS(1725),
    [anon_sym_u8_SQUOTE] = ACTIONS(1725),
    [anon_sym_SQUOTE] = ACTIONS(1725),
    [anon_sym_L_DQUOTE] = ACTIONS(1725),
    [anon_sym_u_DQUOTE] = ACTIONS(1725),
    [anon_sym_U_DQUOTE] = ACTIONS(1725),
    [anon_sym_u8_DQUOTE] = ACTIONS(1725),
    [anon_sym_DQUOTE] = ACTIONS(1725),
    [sym_true] = ACTIONS(1723),
    [sym_false] = ACTIONS(1723),
    [anon_sym_NULL] = ACTIONS(1723),
    [anon_sym_nullptr] = ACTIONS(1723),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1723),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1723),
    [anon_sym_hitAttributeEXT] = ACTIONS(1723),
    [anon_sym_callableDataEXT] = ACTIONS(1723),
    [anon_sym_callableDataInEXT] = ACTIONS(1723),
    [anon_sym_shaderRecordEXT] = ACTIONS(1723),
    [anon_sym_rayPayloadNV] = ACTIONS(1723),
    [anon_sym_rayPayloadInNV] = ACTIONS(1723),
    [anon_sym_hitAttributeNV] = ACTIONS(1723),
    [anon_sym_callableDataNV] = ACTIONS(1723),
    [anon_sym_callableDataInNV] = ACTIONS(1723),
    [anon_sym_shaderRecordNV] = ACTIONS(1723),
    [anon_sym_layout] = ACTIONS(1723),
  },
  [197] = {
    [sym_identifier] = ACTIONS(1477),
    [aux_sym_preproc_include_token1] = ACTIONS(1477),
    [aux_sym_preproc_def_token1] = ACTIONS(1477),
    [aux_sym_preproc_if_token1] = ACTIONS(1477),
    [aux_sym_preproc_if_token2] = ACTIONS(1477),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1477),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1477),
    [aux_sym_preproc_else_token1] = ACTIONS(1477),
    [aux_sym_preproc_elif_token1] = ACTIONS(1477),
    [sym_preproc_directive] = ACTIONS(1477),
    [anon_sym_LPAREN2] = ACTIONS(1479),
    [anon_sym_BANG] = ACTIONS(1479),
    [anon_sym_TILDE] = ACTIONS(1479),
    [anon_sym_DASH] = ACTIONS(1477),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_AMP] = ACTIONS(1479),
    [anon_sym_subroutine] = ACTIONS(1477),
    [anon_sym_invariant] = ACTIONS(1477),
    [anon_sym_precise] = ACTIONS(1477),
    [anon_sym_SEMI] = ACTIONS(1479),
    [anon_sym_in] = ACTIONS(1477),
    [anon_sym_out] = ACTIONS(1477),
    [anon_sym_inout] = ACTIONS(1477),
    [anon_sym_uniform] = ACTIONS(1477),
    [anon_sym_shared] = ACTIONS(1477),
    [anon_sym_attribute] = ACTIONS(1477),
    [anon_sym_varying] = ACTIONS(1477),
    [anon_sym_buffer] = ACTIONS(1477),
    [anon_sym_coherent] = ACTIONS(1477),
    [anon_sym_readonly] = ACTIONS(1477),
    [anon_sym_writeonly] = ACTIONS(1477),
    [anon_sym_precision] = ACTIONS(1477),
    [anon_sym_highp] = ACTIONS(1477),
    [anon_sym_mediump] = ACTIONS(1477),
    [anon_sym_lowp] = ACTIONS(1477),
    [anon_sym_centroid] = ACTIONS(1477),
    [anon_sym_sample] = ACTIONS(1477),
    [anon_sym_patch] = ACTIONS(1477),
    [anon_sym_smooth] = ACTIONS(1477),
    [anon_sym_flat] = ACTIONS(1477),
    [anon_sym_noperspective] = ACTIONS(1477),
    [anon_sym___extension__] = ACTIONS(1477),
    [anon_sym_typedef] = ACTIONS(1477),
    [anon_sym_extern] = ACTIONS(1477),
    [anon_sym___attribute__] = ACTIONS(1477),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1479),
    [anon_sym___declspec] = ACTIONS(1477),
    [anon_sym___cdecl] = ACTIONS(1477),
    [anon_sym___clrcall] = ACTIONS(1477),
    [anon_sym___stdcall] = ACTIONS(1477),
    [anon_sym___fastcall] = ACTIONS(1477),
    [anon_sym___thiscall] = ACTIONS(1477),
    [anon_sym___vectorcall] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(1479),
    [anon_sym_signed] = ACTIONS(1477),
    [anon_sym_unsigned] = ACTIONS(1477),
    [anon_sym_long] = ACTIONS(1477),
    [anon_sym_short] = ACTIONS(1477),
    [anon_sym_static] = ACTIONS(1477),
    [anon_sym_auto] = ACTIONS(1477),
    [anon_sym_register] = ACTIONS(1477),
    [anon_sym_inline] = ACTIONS(1477),
    [anon_sym___inline] = ACTIONS(1477),
    [anon_sym___inline__] = ACTIONS(1477),
    [anon_sym___forceinline] = ACTIONS(1477),
    [anon_sym_thread_local] = ACTIONS(1477),
    [anon_sym___thread] = ACTIONS(1477),
    [anon_sym_const] = ACTIONS(1477),
    [anon_sym_constexpr] = ACTIONS(1477),
    [anon_sym_volatile] = ACTIONS(1477),
    [anon_sym_restrict] = ACTIONS(1477),
    [anon_sym___restrict__] = ACTIONS(1477),
    [anon_sym__Atomic] = ACTIONS(1477),
    [anon_sym__Noreturn] = ACTIONS(1477),
    [anon_sym_noreturn] = ACTIONS(1477),
    [sym_primitive_type] = ACTIONS(1477),
    [anon_sym_enum] = ACTIONS(1477),
    [anon_sym_struct] = ACTIONS(1477),
    [anon_sym_union] = ACTIONS(1477),
    [anon_sym_if] = ACTIONS(1477),
    [anon_sym_else] = ACTIONS(1477),
    [anon_sym_switch] = ACTIONS(1477),
    [anon_sym_case] = ACTIONS(1477),
    [anon_sym_default] = ACTIONS(1477),
    [anon_sym_while] = ACTIONS(1477),
    [anon_sym_do] = ACTIONS(1477),
    [anon_sym_for] = ACTIONS(1477),
    [anon_sym_return] = ACTIONS(1477),
    [anon_sym_break] = ACTIONS(1477),
    [anon_sym_continue] = ACTIONS(1477),
    [anon_sym_goto] = ACTIONS(1477),
    [anon_sym___try] = ACTIONS(1477),
    [anon_sym___leave] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1479),
    [anon_sym_PLUS_PLUS] = ACTIONS(1479),
    [anon_sym_sizeof] = ACTIONS(1477),
    [anon_sym___alignof__] = ACTIONS(1477),
    [anon_sym___alignof] = ACTIONS(1477),
    [anon_sym__alignof] = ACTIONS(1477),
    [anon_sym_alignof] = ACTIONS(1477),
    [anon_sym__Alignof] = ACTIONS(1477),
    [anon_sym_offsetof] = ACTIONS(1477),
    [anon_sym__Generic] = ACTIONS(1477),
    [anon_sym_asm] = ACTIONS(1477),
    [anon_sym___asm__] = ACTIONS(1477),
    [sym_number_literal] = ACTIONS(1479),
    [anon_sym_L_SQUOTE] = ACTIONS(1479),
    [anon_sym_u_SQUOTE] = ACTIONS(1479),
    [anon_sym_U_SQUOTE] = ACTIONS(1479),
    [anon_sym_u8_SQUOTE] = ACTIONS(1479),
    [anon_sym_SQUOTE] = ACTIONS(1479),
    [anon_sym_L_DQUOTE] = ACTIONS(1479),
    [anon_sym_u_DQUOTE] = ACTIONS(1479),
    [anon_sym_U_DQUOTE] = ACTIONS(1479),
    [anon_sym_u8_DQUOTE] = ACTIONS(1479),
    [anon_sym_DQUOTE] = ACTIONS(1479),
    [sym_true] = ACTIONS(1477),
    [sym_false] = ACTIONS(1477),
    [anon_sym_NULL] = ACTIONS(1477),
    [anon_sym_nullptr] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1477),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1477),
    [anon_sym_hitAttributeEXT] = ACTIONS(1477),
    [anon_sym_callableDataEXT] = ACTIONS(1477),
    [anon_sym_callableDataInEXT] = ACTIONS(1477),
    [anon_sym_shaderRecordEXT] = ACTIONS(1477),
    [anon_sym_rayPayloadNV] = ACTIONS(1477),
    [anon_sym_rayPayloadInNV] = ACTIONS(1477),
    [anon_sym_hitAttributeNV] = ACTIONS(1477),
    [anon_sym_callableDataNV] = ACTIONS(1477),
    [anon_sym_callableDataInNV] = ACTIONS(1477),
    [anon_sym_shaderRecordNV] = ACTIONS(1477),
    [anon_sym_layout] = ACTIONS(1477),
  },
  [198] = {
    [sym_identifier] = ACTIONS(1445),
    [aux_sym_preproc_include_token1] = ACTIONS(1445),
    [aux_sym_preproc_def_token1] = ACTIONS(1445),
    [aux_sym_preproc_if_token1] = ACTIONS(1445),
    [aux_sym_preproc_if_token2] = ACTIONS(1445),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1445),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1445),
    [aux_sym_preproc_else_token1] = ACTIONS(1445),
    [aux_sym_preproc_elif_token1] = ACTIONS(1445),
    [sym_preproc_directive] = ACTIONS(1445),
    [anon_sym_LPAREN2] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1447),
    [anon_sym_TILDE] = ACTIONS(1447),
    [anon_sym_DASH] = ACTIONS(1445),
    [anon_sym_PLUS] = ACTIONS(1445),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_subroutine] = ACTIONS(1445),
    [anon_sym_invariant] = ACTIONS(1445),
    [anon_sym_precise] = ACTIONS(1445),
    [anon_sym_SEMI] = ACTIONS(1447),
    [anon_sym_in] = ACTIONS(1445),
    [anon_sym_out] = ACTIONS(1445),
    [anon_sym_inout] = ACTIONS(1445),
    [anon_sym_uniform] = ACTIONS(1445),
    [anon_sym_shared] = ACTIONS(1445),
    [anon_sym_attribute] = ACTIONS(1445),
    [anon_sym_varying] = ACTIONS(1445),
    [anon_sym_buffer] = ACTIONS(1445),
    [anon_sym_coherent] = ACTIONS(1445),
    [anon_sym_readonly] = ACTIONS(1445),
    [anon_sym_writeonly] = ACTIONS(1445),
    [anon_sym_precision] = ACTIONS(1445),
    [anon_sym_highp] = ACTIONS(1445),
    [anon_sym_mediump] = ACTIONS(1445),
    [anon_sym_lowp] = ACTIONS(1445),
    [anon_sym_centroid] = ACTIONS(1445),
    [anon_sym_sample] = ACTIONS(1445),
    [anon_sym_patch] = ACTIONS(1445),
    [anon_sym_smooth] = ACTIONS(1445),
    [anon_sym_flat] = ACTIONS(1445),
    [anon_sym_noperspective] = ACTIONS(1445),
    [anon_sym___extension__] = ACTIONS(1445),
    [anon_sym_typedef] = ACTIONS(1445),
    [anon_sym_extern] = ACTIONS(1445),
    [anon_sym___attribute__] = ACTIONS(1445),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1447),
    [anon_sym___declspec] = ACTIONS(1445),
    [anon_sym___cdecl] = ACTIONS(1445),
    [anon_sym___clrcall] = ACTIONS(1445),
    [anon_sym___stdcall] = ACTIONS(1445),
    [anon_sym___fastcall] = ACTIONS(1445),
    [anon_sym___thiscall] = ACTIONS(1445),
    [anon_sym___vectorcall] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(1447),
    [anon_sym_signed] = ACTIONS(1445),
    [anon_sym_unsigned] = ACTIONS(1445),
    [anon_sym_long] = ACTIONS(1445),
    [anon_sym_short] = ACTIONS(1445),
    [anon_sym_static] = ACTIONS(1445),
    [anon_sym_auto] = ACTIONS(1445),
    [anon_sym_register] = ACTIONS(1445),
    [anon_sym_inline] = ACTIONS(1445),
    [anon_sym___inline] = ACTIONS(1445),
    [anon_sym___inline__] = ACTIONS(1445),
    [anon_sym___forceinline] = ACTIONS(1445),
    [anon_sym_thread_local] = ACTIONS(1445),
    [anon_sym___thread] = ACTIONS(1445),
    [anon_sym_const] = ACTIONS(1445),
    [anon_sym_constexpr] = ACTIONS(1445),
    [anon_sym_volatile] = ACTIONS(1445),
    [anon_sym_restrict] = ACTIONS(1445),
    [anon_sym___restrict__] = ACTIONS(1445),
    [anon_sym__Atomic] = ACTIONS(1445),
    [anon_sym__Noreturn] = ACTIONS(1445),
    [anon_sym_noreturn] = ACTIONS(1445),
    [sym_primitive_type] = ACTIONS(1445),
    [anon_sym_enum] = ACTIONS(1445),
    [anon_sym_struct] = ACTIONS(1445),
    [anon_sym_union] = ACTIONS(1445),
    [anon_sym_if] = ACTIONS(1445),
    [anon_sym_else] = ACTIONS(1445),
    [anon_sym_switch] = ACTIONS(1445),
    [anon_sym_case] = ACTIONS(1445),
    [anon_sym_default] = ACTIONS(1445),
    [anon_sym_while] = ACTIONS(1445),
    [anon_sym_do] = ACTIONS(1445),
    [anon_sym_for] = ACTIONS(1445),
    [anon_sym_return] = ACTIONS(1445),
    [anon_sym_break] = ACTIONS(1445),
    [anon_sym_continue] = ACTIONS(1445),
    [anon_sym_goto] = ACTIONS(1445),
    [anon_sym___try] = ACTIONS(1445),
    [anon_sym___leave] = ACTIONS(1445),
    [anon_sym_DASH_DASH] = ACTIONS(1447),
    [anon_sym_PLUS_PLUS] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1445),
    [anon_sym___alignof__] = ACTIONS(1445),
    [anon_sym___alignof] = ACTIONS(1445),
    [anon_sym__alignof] = ACTIONS(1445),
    [anon_sym_alignof] = ACTIONS(1445),
    [anon_sym__Alignof] = ACTIONS(1445),
    [anon_sym_offsetof] = ACTIONS(1445),
    [anon_sym__Generic] = ACTIONS(1445),
    [anon_sym_asm] = ACTIONS(1445),
    [anon_sym___asm__] = ACTIONS(1445),
    [sym_number_literal] = ACTIONS(1447),
    [anon_sym_L_SQUOTE] = ACTIONS(1447),
    [anon_sym_u_SQUOTE] = ACTIONS(1447),
    [anon_sym_U_SQUOTE] = ACTIONS(1447),
    [anon_sym_u8_SQUOTE] = ACTIONS(1447),
    [anon_sym_SQUOTE] = ACTIONS(1447),
    [anon_sym_L_DQUOTE] = ACTIONS(1447),
    [anon_sym_u_DQUOTE] = ACTIONS(1447),
    [anon_sym_U_DQUOTE] = ACTIONS(1447),
    [anon_sym_u8_DQUOTE] = ACTIONS(1447),
    [anon_sym_DQUOTE] = ACTIONS(1447),
    [sym_true] = ACTIONS(1445),
    [sym_false] = ACTIONS(1445),
    [anon_sym_NULL] = ACTIONS(1445),
    [anon_sym_nullptr] = ACTIONS(1445),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1445),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1445),
    [anon_sym_hitAttributeEXT] = ACTIONS(1445),
    [anon_sym_callableDataEXT] = ACTIONS(1445),
    [anon_sym_callableDataInEXT] = ACTIONS(1445),
    [anon_sym_shaderRecordEXT] = ACTIONS(1445),
    [anon_sym_rayPayloadNV] = ACTIONS(1445),
    [anon_sym_rayPayloadInNV] = ACTIONS(1445),
    [anon_sym_hitAttributeNV] = ACTIONS(1445),
    [anon_sym_callableDataNV] = ACTIONS(1445),
    [anon_sym_callableDataInNV] = ACTIONS(1445),
    [anon_sym_shaderRecordNV] = ACTIONS(1445),
    [anon_sym_layout] = ACTIONS(1445),
  },
  [199] = {
    [sym_identifier] = ACTIONS(1457),
    [aux_sym_preproc_include_token1] = ACTIONS(1457),
    [aux_sym_preproc_def_token1] = ACTIONS(1457),
    [aux_sym_preproc_if_token1] = ACTIONS(1457),
    [aux_sym_preproc_if_token2] = ACTIONS(1457),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1457),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1457),
    [aux_sym_preproc_else_token1] = ACTIONS(1457),
    [aux_sym_preproc_elif_token1] = ACTIONS(1457),
    [sym_preproc_directive] = ACTIONS(1457),
    [anon_sym_LPAREN2] = ACTIONS(1459),
    [anon_sym_BANG] = ACTIONS(1459),
    [anon_sym_TILDE] = ACTIONS(1459),
    [anon_sym_DASH] = ACTIONS(1457),
    [anon_sym_PLUS] = ACTIONS(1457),
    [anon_sym_STAR] = ACTIONS(1459),
    [anon_sym_AMP] = ACTIONS(1459),
    [anon_sym_subroutine] = ACTIONS(1457),
    [anon_sym_invariant] = ACTIONS(1457),
    [anon_sym_precise] = ACTIONS(1457),
    [anon_sym_SEMI] = ACTIONS(1459),
    [anon_sym_in] = ACTIONS(1457),
    [anon_sym_out] = ACTIONS(1457),
    [anon_sym_inout] = ACTIONS(1457),
    [anon_sym_uniform] = ACTIONS(1457),
    [anon_sym_shared] = ACTIONS(1457),
    [anon_sym_attribute] = ACTIONS(1457),
    [anon_sym_varying] = ACTIONS(1457),
    [anon_sym_buffer] = ACTIONS(1457),
    [anon_sym_coherent] = ACTIONS(1457),
    [anon_sym_readonly] = ACTIONS(1457),
    [anon_sym_writeonly] = ACTIONS(1457),
    [anon_sym_precision] = ACTIONS(1457),
    [anon_sym_highp] = ACTIONS(1457),
    [anon_sym_mediump] = ACTIONS(1457),
    [anon_sym_lowp] = ACTIONS(1457),
    [anon_sym_centroid] = ACTIONS(1457),
    [anon_sym_sample] = ACTIONS(1457),
    [anon_sym_patch] = ACTIONS(1457),
    [anon_sym_smooth] = ACTIONS(1457),
    [anon_sym_flat] = ACTIONS(1457),
    [anon_sym_noperspective] = ACTIONS(1457),
    [anon_sym___extension__] = ACTIONS(1457),
    [anon_sym_typedef] = ACTIONS(1457),
    [anon_sym_extern] = ACTIONS(1457),
    [anon_sym___attribute__] = ACTIONS(1457),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1459),
    [anon_sym___declspec] = ACTIONS(1457),
    [anon_sym___cdecl] = ACTIONS(1457),
    [anon_sym___clrcall] = ACTIONS(1457),
    [anon_sym___stdcall] = ACTIONS(1457),
    [anon_sym___fastcall] = ACTIONS(1457),
    [anon_sym___thiscall] = ACTIONS(1457),
    [anon_sym___vectorcall] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(1459),
    [anon_sym_signed] = ACTIONS(1457),
    [anon_sym_unsigned] = ACTIONS(1457),
    [anon_sym_long] = ACTIONS(1457),
    [anon_sym_short] = ACTIONS(1457),
    [anon_sym_static] = ACTIONS(1457),
    [anon_sym_auto] = ACTIONS(1457),
    [anon_sym_register] = ACTIONS(1457),
    [anon_sym_inline] = ACTIONS(1457),
    [anon_sym___inline] = ACTIONS(1457),
    [anon_sym___inline__] = ACTIONS(1457),
    [anon_sym___forceinline] = ACTIONS(1457),
    [anon_sym_thread_local] = ACTIONS(1457),
    [anon_sym___thread] = ACTIONS(1457),
    [anon_sym_const] = ACTIONS(1457),
    [anon_sym_constexpr] = ACTIONS(1457),
    [anon_sym_volatile] = ACTIONS(1457),
    [anon_sym_restrict] = ACTIONS(1457),
    [anon_sym___restrict__] = ACTIONS(1457),
    [anon_sym__Atomic] = ACTIONS(1457),
    [anon_sym__Noreturn] = ACTIONS(1457),
    [anon_sym_noreturn] = ACTIONS(1457),
    [sym_primitive_type] = ACTIONS(1457),
    [anon_sym_enum] = ACTIONS(1457),
    [anon_sym_struct] = ACTIONS(1457),
    [anon_sym_union] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1457),
    [anon_sym_else] = ACTIONS(1457),
    [anon_sym_switch] = ACTIONS(1457),
    [anon_sym_case] = ACTIONS(1457),
    [anon_sym_default] = ACTIONS(1457),
    [anon_sym_while] = ACTIONS(1457),
    [anon_sym_do] = ACTIONS(1457),
    [anon_sym_for] = ACTIONS(1457),
    [anon_sym_return] = ACTIONS(1457),
    [anon_sym_break] = ACTIONS(1457),
    [anon_sym_continue] = ACTIONS(1457),
    [anon_sym_goto] = ACTIONS(1457),
    [anon_sym___try] = ACTIONS(1457),
    [anon_sym___leave] = ACTIONS(1457),
    [anon_sym_DASH_DASH] = ACTIONS(1459),
    [anon_sym_PLUS_PLUS] = ACTIONS(1459),
    [anon_sym_sizeof] = ACTIONS(1457),
    [anon_sym___alignof__] = ACTIONS(1457),
    [anon_sym___alignof] = ACTIONS(1457),
    [anon_sym__alignof] = ACTIONS(1457),
    [anon_sym_alignof] = ACTIONS(1457),
    [anon_sym__Alignof] = ACTIONS(1457),
    [anon_sym_offsetof] = ACTIONS(1457),
    [anon_sym__Generic] = ACTIONS(1457),
    [anon_sym_asm] = ACTIONS(1457),
    [anon_sym___asm__] = ACTIONS(1457),
    [sym_number_literal] = ACTIONS(1459),
    [anon_sym_L_SQUOTE] = ACTIONS(1459),
    [anon_sym_u_SQUOTE] = ACTIONS(1459),
    [anon_sym_U_SQUOTE] = ACTIONS(1459),
    [anon_sym_u8_SQUOTE] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1459),
    [anon_sym_L_DQUOTE] = ACTIONS(1459),
    [anon_sym_u_DQUOTE] = ACTIONS(1459),
    [anon_sym_U_DQUOTE] = ACTIONS(1459),
    [anon_sym_u8_DQUOTE] = ACTIONS(1459),
    [anon_sym_DQUOTE] = ACTIONS(1459),
    [sym_true] = ACTIONS(1457),
    [sym_false] = ACTIONS(1457),
    [anon_sym_NULL] = ACTIONS(1457),
    [anon_sym_nullptr] = ACTIONS(1457),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1457),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1457),
    [anon_sym_hitAttributeEXT] = ACTIONS(1457),
    [anon_sym_callableDataEXT] = ACTIONS(1457),
    [anon_sym_callableDataInEXT] = ACTIONS(1457),
    [anon_sym_shaderRecordEXT] = ACTIONS(1457),
    [anon_sym_rayPayloadNV] = ACTIONS(1457),
    [anon_sym_rayPayloadInNV] = ACTIONS(1457),
    [anon_sym_hitAttributeNV] = ACTIONS(1457),
    [anon_sym_callableDataNV] = ACTIONS(1457),
    [anon_sym_callableDataInNV] = ACTIONS(1457),
    [anon_sym_shaderRecordNV] = ACTIONS(1457),
    [anon_sym_layout] = ACTIONS(1457),
  },
  [200] = {
    [sym_identifier] = ACTIONS(1461),
    [aux_sym_preproc_include_token1] = ACTIONS(1461),
    [aux_sym_preproc_def_token1] = ACTIONS(1461),
    [aux_sym_preproc_if_token1] = ACTIONS(1461),
    [aux_sym_preproc_if_token2] = ACTIONS(1461),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1461),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1461),
    [aux_sym_preproc_else_token1] = ACTIONS(1461),
    [aux_sym_preproc_elif_token1] = ACTIONS(1461),
    [sym_preproc_directive] = ACTIONS(1461),
    [anon_sym_LPAREN2] = ACTIONS(1463),
    [anon_sym_BANG] = ACTIONS(1463),
    [anon_sym_TILDE] = ACTIONS(1463),
    [anon_sym_DASH] = ACTIONS(1461),
    [anon_sym_PLUS] = ACTIONS(1461),
    [anon_sym_STAR] = ACTIONS(1463),
    [anon_sym_AMP] = ACTIONS(1463),
    [anon_sym_subroutine] = ACTIONS(1461),
    [anon_sym_invariant] = ACTIONS(1461),
    [anon_sym_precise] = ACTIONS(1461),
    [anon_sym_SEMI] = ACTIONS(1463),
    [anon_sym_in] = ACTIONS(1461),
    [anon_sym_out] = ACTIONS(1461),
    [anon_sym_inout] = ACTIONS(1461),
    [anon_sym_uniform] = ACTIONS(1461),
    [anon_sym_shared] = ACTIONS(1461),
    [anon_sym_attribute] = ACTIONS(1461),
    [anon_sym_varying] = ACTIONS(1461),
    [anon_sym_buffer] = ACTIONS(1461),
    [anon_sym_coherent] = ACTIONS(1461),
    [anon_sym_readonly] = ACTIONS(1461),
    [anon_sym_writeonly] = ACTIONS(1461),
    [anon_sym_precision] = ACTIONS(1461),
    [anon_sym_highp] = ACTIONS(1461),
    [anon_sym_mediump] = ACTIONS(1461),
    [anon_sym_lowp] = ACTIONS(1461),
    [anon_sym_centroid] = ACTIONS(1461),
    [anon_sym_sample] = ACTIONS(1461),
    [anon_sym_patch] = ACTIONS(1461),
    [anon_sym_smooth] = ACTIONS(1461),
    [anon_sym_flat] = ACTIONS(1461),
    [anon_sym_noperspective] = ACTIONS(1461),
    [anon_sym___extension__] = ACTIONS(1461),
    [anon_sym_typedef] = ACTIONS(1461),
    [anon_sym_extern] = ACTIONS(1461),
    [anon_sym___attribute__] = ACTIONS(1461),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1463),
    [anon_sym___declspec] = ACTIONS(1461),
    [anon_sym___cdecl] = ACTIONS(1461),
    [anon_sym___clrcall] = ACTIONS(1461),
    [anon_sym___stdcall] = ACTIONS(1461),
    [anon_sym___fastcall] = ACTIONS(1461),
    [anon_sym___thiscall] = ACTIONS(1461),
    [anon_sym___vectorcall] = ACTIONS(1461),
    [anon_sym_LBRACE] = ACTIONS(1463),
    [anon_sym_signed] = ACTIONS(1461),
    [anon_sym_unsigned] = ACTIONS(1461),
    [anon_sym_long] = ACTIONS(1461),
    [anon_sym_short] = ACTIONS(1461),
    [anon_sym_static] = ACTIONS(1461),
    [anon_sym_auto] = ACTIONS(1461),
    [anon_sym_register] = ACTIONS(1461),
    [anon_sym_inline] = ACTIONS(1461),
    [anon_sym___inline] = ACTIONS(1461),
    [anon_sym___inline__] = ACTIONS(1461),
    [anon_sym___forceinline] = ACTIONS(1461),
    [anon_sym_thread_local] = ACTIONS(1461),
    [anon_sym___thread] = ACTIONS(1461),
    [anon_sym_const] = ACTIONS(1461),
    [anon_sym_constexpr] = ACTIONS(1461),
    [anon_sym_volatile] = ACTIONS(1461),
    [anon_sym_restrict] = ACTIONS(1461),
    [anon_sym___restrict__] = ACTIONS(1461),
    [anon_sym__Atomic] = ACTIONS(1461),
    [anon_sym__Noreturn] = ACTIONS(1461),
    [anon_sym_noreturn] = ACTIONS(1461),
    [sym_primitive_type] = ACTIONS(1461),
    [anon_sym_enum] = ACTIONS(1461),
    [anon_sym_struct] = ACTIONS(1461),
    [anon_sym_union] = ACTIONS(1461),
    [anon_sym_if] = ACTIONS(1461),
    [anon_sym_else] = ACTIONS(1461),
    [anon_sym_switch] = ACTIONS(1461),
    [anon_sym_case] = ACTIONS(1461),
    [anon_sym_default] = ACTIONS(1461),
    [anon_sym_while] = ACTIONS(1461),
    [anon_sym_do] = ACTIONS(1461),
    [anon_sym_for] = ACTIONS(1461),
    [anon_sym_return] = ACTIONS(1461),
    [anon_sym_break] = ACTIONS(1461),
    [anon_sym_continue] = ACTIONS(1461),
    [anon_sym_goto] = ACTIONS(1461),
    [anon_sym___try] = ACTIONS(1461),
    [anon_sym___leave] = ACTIONS(1461),
    [anon_sym_DASH_DASH] = ACTIONS(1463),
    [anon_sym_PLUS_PLUS] = ACTIONS(1463),
    [anon_sym_sizeof] = ACTIONS(1461),
    [anon_sym___alignof__] = ACTIONS(1461),
    [anon_sym___alignof] = ACTIONS(1461),
    [anon_sym__alignof] = ACTIONS(1461),
    [anon_sym_alignof] = ACTIONS(1461),
    [anon_sym__Alignof] = ACTIONS(1461),
    [anon_sym_offsetof] = ACTIONS(1461),
    [anon_sym__Generic] = ACTIONS(1461),
    [anon_sym_asm] = ACTIONS(1461),
    [anon_sym___asm__] = ACTIONS(1461),
    [sym_number_literal] = ACTIONS(1463),
    [anon_sym_L_SQUOTE] = ACTIONS(1463),
    [anon_sym_u_SQUOTE] = ACTIONS(1463),
    [anon_sym_U_SQUOTE] = ACTIONS(1463),
    [anon_sym_u8_SQUOTE] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1463),
    [anon_sym_L_DQUOTE] = ACTIONS(1463),
    [anon_sym_u_DQUOTE] = ACTIONS(1463),
    [anon_sym_U_DQUOTE] = ACTIONS(1463),
    [anon_sym_u8_DQUOTE] = ACTIONS(1463),
    [anon_sym_DQUOTE] = ACTIONS(1463),
    [sym_true] = ACTIONS(1461),
    [sym_false] = ACTIONS(1461),
    [anon_sym_NULL] = ACTIONS(1461),
    [anon_sym_nullptr] = ACTIONS(1461),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1461),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1461),
    [anon_sym_hitAttributeEXT] = ACTIONS(1461),
    [anon_sym_callableDataEXT] = ACTIONS(1461),
    [anon_sym_callableDataInEXT] = ACTIONS(1461),
    [anon_sym_shaderRecordEXT] = ACTIONS(1461),
    [anon_sym_rayPayloadNV] = ACTIONS(1461),
    [anon_sym_rayPayloadInNV] = ACTIONS(1461),
    [anon_sym_hitAttributeNV] = ACTIONS(1461),
    [anon_sym_callableDataNV] = ACTIONS(1461),
    [anon_sym_callableDataInNV] = ACTIONS(1461),
    [anon_sym_shaderRecordNV] = ACTIONS(1461),
    [anon_sym_layout] = ACTIONS(1461),
  },
  [201] = {
    [sym_identifier] = ACTIONS(1537),
    [aux_sym_preproc_include_token1] = ACTIONS(1537),
    [aux_sym_preproc_def_token1] = ACTIONS(1537),
    [aux_sym_preproc_if_token1] = ACTIONS(1537),
    [aux_sym_preproc_if_token2] = ACTIONS(1537),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1537),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1537),
    [aux_sym_preproc_else_token1] = ACTIONS(1537),
    [aux_sym_preproc_elif_token1] = ACTIONS(1537),
    [sym_preproc_directive] = ACTIONS(1537),
    [anon_sym_LPAREN2] = ACTIONS(1539),
    [anon_sym_BANG] = ACTIONS(1539),
    [anon_sym_TILDE] = ACTIONS(1539),
    [anon_sym_DASH] = ACTIONS(1537),
    [anon_sym_PLUS] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(1539),
    [anon_sym_AMP] = ACTIONS(1539),
    [anon_sym_subroutine] = ACTIONS(1537),
    [anon_sym_invariant] = ACTIONS(1537),
    [anon_sym_precise] = ACTIONS(1537),
    [anon_sym_SEMI] = ACTIONS(1539),
    [anon_sym_in] = ACTIONS(1537),
    [anon_sym_out] = ACTIONS(1537),
    [anon_sym_inout] = ACTIONS(1537),
    [anon_sym_uniform] = ACTIONS(1537),
    [anon_sym_shared] = ACTIONS(1537),
    [anon_sym_attribute] = ACTIONS(1537),
    [anon_sym_varying] = ACTIONS(1537),
    [anon_sym_buffer] = ACTIONS(1537),
    [anon_sym_coherent] = ACTIONS(1537),
    [anon_sym_readonly] = ACTIONS(1537),
    [anon_sym_writeonly] = ACTIONS(1537),
    [anon_sym_precision] = ACTIONS(1537),
    [anon_sym_highp] = ACTIONS(1537),
    [anon_sym_mediump] = ACTIONS(1537),
    [anon_sym_lowp] = ACTIONS(1537),
    [anon_sym_centroid] = ACTIONS(1537),
    [anon_sym_sample] = ACTIONS(1537),
    [anon_sym_patch] = ACTIONS(1537),
    [anon_sym_smooth] = ACTIONS(1537),
    [anon_sym_flat] = ACTIONS(1537),
    [anon_sym_noperspective] = ACTIONS(1537),
    [anon_sym___extension__] = ACTIONS(1537),
    [anon_sym_typedef] = ACTIONS(1537),
    [anon_sym_extern] = ACTIONS(1537),
    [anon_sym___attribute__] = ACTIONS(1537),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1539),
    [anon_sym___declspec] = ACTIONS(1537),
    [anon_sym___cdecl] = ACTIONS(1537),
    [anon_sym___clrcall] = ACTIONS(1537),
    [anon_sym___stdcall] = ACTIONS(1537),
    [anon_sym___fastcall] = ACTIONS(1537),
    [anon_sym___thiscall] = ACTIONS(1537),
    [anon_sym___vectorcall] = ACTIONS(1537),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_signed] = ACTIONS(1537),
    [anon_sym_unsigned] = ACTIONS(1537),
    [anon_sym_long] = ACTIONS(1537),
    [anon_sym_short] = ACTIONS(1537),
    [anon_sym_static] = ACTIONS(1537),
    [anon_sym_auto] = ACTIONS(1537),
    [anon_sym_register] = ACTIONS(1537),
    [anon_sym_inline] = ACTIONS(1537),
    [anon_sym___inline] = ACTIONS(1537),
    [anon_sym___inline__] = ACTIONS(1537),
    [anon_sym___forceinline] = ACTIONS(1537),
    [anon_sym_thread_local] = ACTIONS(1537),
    [anon_sym___thread] = ACTIONS(1537),
    [anon_sym_const] = ACTIONS(1537),
    [anon_sym_constexpr] = ACTIONS(1537),
    [anon_sym_volatile] = ACTIONS(1537),
    [anon_sym_restrict] = ACTIONS(1537),
    [anon_sym___restrict__] = ACTIONS(1537),
    [anon_sym__Atomic] = ACTIONS(1537),
    [anon_sym__Noreturn] = ACTIONS(1537),
    [anon_sym_noreturn] = ACTIONS(1537),
    [sym_primitive_type] = ACTIONS(1537),
    [anon_sym_enum] = ACTIONS(1537),
    [anon_sym_struct] = ACTIONS(1537),
    [anon_sym_union] = ACTIONS(1537),
    [anon_sym_if] = ACTIONS(1537),
    [anon_sym_else] = ACTIONS(1537),
    [anon_sym_switch] = ACTIONS(1537),
    [anon_sym_case] = ACTIONS(1537),
    [anon_sym_default] = ACTIONS(1537),
    [anon_sym_while] = ACTIONS(1537),
    [anon_sym_do] = ACTIONS(1537),
    [anon_sym_for] = ACTIONS(1537),
    [anon_sym_return] = ACTIONS(1537),
    [anon_sym_break] = ACTIONS(1537),
    [anon_sym_continue] = ACTIONS(1537),
    [anon_sym_goto] = ACTIONS(1537),
    [anon_sym___try] = ACTIONS(1537),
    [anon_sym___leave] = ACTIONS(1537),
    [anon_sym_DASH_DASH] = ACTIONS(1539),
    [anon_sym_PLUS_PLUS] = ACTIONS(1539),
    [anon_sym_sizeof] = ACTIONS(1537),
    [anon_sym___alignof__] = ACTIONS(1537),
    [anon_sym___alignof] = ACTIONS(1537),
    [anon_sym__alignof] = ACTIONS(1537),
    [anon_sym_alignof] = ACTIONS(1537),
    [anon_sym__Alignof] = ACTIONS(1537),
    [anon_sym_offsetof] = ACTIONS(1537),
    [anon_sym__Generic] = ACTIONS(1537),
    [anon_sym_asm] = ACTIONS(1537),
    [anon_sym___asm__] = ACTIONS(1537),
    [sym_number_literal] = ACTIONS(1539),
    [anon_sym_L_SQUOTE] = ACTIONS(1539),
    [anon_sym_u_SQUOTE] = ACTIONS(1539),
    [anon_sym_U_SQUOTE] = ACTIONS(1539),
    [anon_sym_u8_SQUOTE] = ACTIONS(1539),
    [anon_sym_SQUOTE] = ACTIONS(1539),
    [anon_sym_L_DQUOTE] = ACTIONS(1539),
    [anon_sym_u_DQUOTE] = ACTIONS(1539),
    [anon_sym_U_DQUOTE] = ACTIONS(1539),
    [anon_sym_u8_DQUOTE] = ACTIONS(1539),
    [anon_sym_DQUOTE] = ACTIONS(1539),
    [sym_true] = ACTIONS(1537),
    [sym_false] = ACTIONS(1537),
    [anon_sym_NULL] = ACTIONS(1537),
    [anon_sym_nullptr] = ACTIONS(1537),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1537),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1537),
    [anon_sym_hitAttributeEXT] = ACTIONS(1537),
    [anon_sym_callableDataEXT] = ACTIONS(1537),
    [anon_sym_callableDataInEXT] = ACTIONS(1537),
    [anon_sym_shaderRecordEXT] = ACTIONS(1537),
    [anon_sym_rayPayloadNV] = ACTIONS(1537),
    [anon_sym_rayPayloadInNV] = ACTIONS(1537),
    [anon_sym_hitAttributeNV] = ACTIONS(1537),
    [anon_sym_callableDataNV] = ACTIONS(1537),
    [anon_sym_callableDataInNV] = ACTIONS(1537),
    [anon_sym_shaderRecordNV] = ACTIONS(1537),
    [anon_sym_layout] = ACTIONS(1537),
  },
  [202] = {
    [sym_identifier] = ACTIONS(1533),
    [aux_sym_preproc_include_token1] = ACTIONS(1533),
    [aux_sym_preproc_def_token1] = ACTIONS(1533),
    [aux_sym_preproc_if_token1] = ACTIONS(1533),
    [aux_sym_preproc_if_token2] = ACTIONS(1533),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1533),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1533),
    [aux_sym_preproc_else_token1] = ACTIONS(1533),
    [aux_sym_preproc_elif_token1] = ACTIONS(1533),
    [sym_preproc_directive] = ACTIONS(1533),
    [anon_sym_LPAREN2] = ACTIONS(1535),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_subroutine] = ACTIONS(1533),
    [anon_sym_invariant] = ACTIONS(1533),
    [anon_sym_precise] = ACTIONS(1533),
    [anon_sym_SEMI] = ACTIONS(1535),
    [anon_sym_in] = ACTIONS(1533),
    [anon_sym_out] = ACTIONS(1533),
    [anon_sym_inout] = ACTIONS(1533),
    [anon_sym_uniform] = ACTIONS(1533),
    [anon_sym_shared] = ACTIONS(1533),
    [anon_sym_attribute] = ACTIONS(1533),
    [anon_sym_varying] = ACTIONS(1533),
    [anon_sym_buffer] = ACTIONS(1533),
    [anon_sym_coherent] = ACTIONS(1533),
    [anon_sym_readonly] = ACTIONS(1533),
    [anon_sym_writeonly] = ACTIONS(1533),
    [anon_sym_precision] = ACTIONS(1533),
    [anon_sym_highp] = ACTIONS(1533),
    [anon_sym_mediump] = ACTIONS(1533),
    [anon_sym_lowp] = ACTIONS(1533),
    [anon_sym_centroid] = ACTIONS(1533),
    [anon_sym_sample] = ACTIONS(1533),
    [anon_sym_patch] = ACTIONS(1533),
    [anon_sym_smooth] = ACTIONS(1533),
    [anon_sym_flat] = ACTIONS(1533),
    [anon_sym_noperspective] = ACTIONS(1533),
    [anon_sym___extension__] = ACTIONS(1533),
    [anon_sym_typedef] = ACTIONS(1533),
    [anon_sym_extern] = ACTIONS(1533),
    [anon_sym___attribute__] = ACTIONS(1533),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1535),
    [anon_sym___declspec] = ACTIONS(1533),
    [anon_sym___cdecl] = ACTIONS(1533),
    [anon_sym___clrcall] = ACTIONS(1533),
    [anon_sym___stdcall] = ACTIONS(1533),
    [anon_sym___fastcall] = ACTIONS(1533),
    [anon_sym___thiscall] = ACTIONS(1533),
    [anon_sym___vectorcall] = ACTIONS(1533),
    [anon_sym_LBRACE] = ACTIONS(1535),
    [anon_sym_signed] = ACTIONS(1533),
    [anon_sym_unsigned] = ACTIONS(1533),
    [anon_sym_long] = ACTIONS(1533),
    [anon_sym_short] = ACTIONS(1533),
    [anon_sym_static] = ACTIONS(1533),
    [anon_sym_auto] = ACTIONS(1533),
    [anon_sym_register] = ACTIONS(1533),
    [anon_sym_inline] = ACTIONS(1533),
    [anon_sym___inline] = ACTIONS(1533),
    [anon_sym___inline__] = ACTIONS(1533),
    [anon_sym___forceinline] = ACTIONS(1533),
    [anon_sym_thread_local] = ACTIONS(1533),
    [anon_sym___thread] = ACTIONS(1533),
    [anon_sym_const] = ACTIONS(1533),
    [anon_sym_constexpr] = ACTIONS(1533),
    [anon_sym_volatile] = ACTIONS(1533),
    [anon_sym_restrict] = ACTIONS(1533),
    [anon_sym___restrict__] = ACTIONS(1533),
    [anon_sym__Atomic] = ACTIONS(1533),
    [anon_sym__Noreturn] = ACTIONS(1533),
    [anon_sym_noreturn] = ACTIONS(1533),
    [sym_primitive_type] = ACTIONS(1533),
    [anon_sym_enum] = ACTIONS(1533),
    [anon_sym_struct] = ACTIONS(1533),
    [anon_sym_union] = ACTIONS(1533),
    [anon_sym_if] = ACTIONS(1533),
    [anon_sym_else] = ACTIONS(1533),
    [anon_sym_switch] = ACTIONS(1533),
    [anon_sym_case] = ACTIONS(1533),
    [anon_sym_default] = ACTIONS(1533),
    [anon_sym_while] = ACTIONS(1533),
    [anon_sym_do] = ACTIONS(1533),
    [anon_sym_for] = ACTIONS(1533),
    [anon_sym_return] = ACTIONS(1533),
    [anon_sym_break] = ACTIONS(1533),
    [anon_sym_continue] = ACTIONS(1533),
    [anon_sym_goto] = ACTIONS(1533),
    [anon_sym___try] = ACTIONS(1533),
    [anon_sym___leave] = ACTIONS(1533),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_sizeof] = ACTIONS(1533),
    [anon_sym___alignof__] = ACTIONS(1533),
    [anon_sym___alignof] = ACTIONS(1533),
    [anon_sym__alignof] = ACTIONS(1533),
    [anon_sym_alignof] = ACTIONS(1533),
    [anon_sym__Alignof] = ACTIONS(1533),
    [anon_sym_offsetof] = ACTIONS(1533),
    [anon_sym__Generic] = ACTIONS(1533),
    [anon_sym_asm] = ACTIONS(1533),
    [anon_sym___asm__] = ACTIONS(1533),
    [sym_number_literal] = ACTIONS(1535),
    [anon_sym_L_SQUOTE] = ACTIONS(1535),
    [anon_sym_u_SQUOTE] = ACTIONS(1535),
    [anon_sym_U_SQUOTE] = ACTIONS(1535),
    [anon_sym_u8_SQUOTE] = ACTIONS(1535),
    [anon_sym_SQUOTE] = ACTIONS(1535),
    [anon_sym_L_DQUOTE] = ACTIONS(1535),
    [anon_sym_u_DQUOTE] = ACTIONS(1535),
    [anon_sym_U_DQUOTE] = ACTIONS(1535),
    [anon_sym_u8_DQUOTE] = ACTIONS(1535),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_true] = ACTIONS(1533),
    [sym_false] = ACTIONS(1533),
    [anon_sym_NULL] = ACTIONS(1533),
    [anon_sym_nullptr] = ACTIONS(1533),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1533),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1533),
    [anon_sym_hitAttributeEXT] = ACTIONS(1533),
    [anon_sym_callableDataEXT] = ACTIONS(1533),
    [anon_sym_callableDataInEXT] = ACTIONS(1533),
    [anon_sym_shaderRecordEXT] = ACTIONS(1533),
    [anon_sym_rayPayloadNV] = ACTIONS(1533),
    [anon_sym_rayPayloadInNV] = ACTIONS(1533),
    [anon_sym_hitAttributeNV] = ACTIONS(1533),
    [anon_sym_callableDataNV] = ACTIONS(1533),
    [anon_sym_callableDataInNV] = ACTIONS(1533),
    [anon_sym_shaderRecordNV] = ACTIONS(1533),
    [anon_sym_layout] = ACTIONS(1533),
  },
  [203] = {
    [sym_identifier] = ACTIONS(1481),
    [aux_sym_preproc_include_token1] = ACTIONS(1481),
    [aux_sym_preproc_def_token1] = ACTIONS(1481),
    [aux_sym_preproc_if_token1] = ACTIONS(1481),
    [aux_sym_preproc_if_token2] = ACTIONS(1481),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1481),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1481),
    [aux_sym_preproc_else_token1] = ACTIONS(1481),
    [aux_sym_preproc_elif_token1] = ACTIONS(1481),
    [sym_preproc_directive] = ACTIONS(1481),
    [anon_sym_LPAREN2] = ACTIONS(1483),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_DASH] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_STAR] = ACTIONS(1483),
    [anon_sym_AMP] = ACTIONS(1483),
    [anon_sym_subroutine] = ACTIONS(1481),
    [anon_sym_invariant] = ACTIONS(1481),
    [anon_sym_precise] = ACTIONS(1481),
    [anon_sym_SEMI] = ACTIONS(1483),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_out] = ACTIONS(1481),
    [anon_sym_inout] = ACTIONS(1481),
    [anon_sym_uniform] = ACTIONS(1481),
    [anon_sym_shared] = ACTIONS(1481),
    [anon_sym_attribute] = ACTIONS(1481),
    [anon_sym_varying] = ACTIONS(1481),
    [anon_sym_buffer] = ACTIONS(1481),
    [anon_sym_coherent] = ACTIONS(1481),
    [anon_sym_readonly] = ACTIONS(1481),
    [anon_sym_writeonly] = ACTIONS(1481),
    [anon_sym_precision] = ACTIONS(1481),
    [anon_sym_highp] = ACTIONS(1481),
    [anon_sym_mediump] = ACTIONS(1481),
    [anon_sym_lowp] = ACTIONS(1481),
    [anon_sym_centroid] = ACTIONS(1481),
    [anon_sym_sample] = ACTIONS(1481),
    [anon_sym_patch] = ACTIONS(1481),
    [anon_sym_smooth] = ACTIONS(1481),
    [anon_sym_flat] = ACTIONS(1481),
    [anon_sym_noperspective] = ACTIONS(1481),
    [anon_sym___extension__] = ACTIONS(1481),
    [anon_sym_typedef] = ACTIONS(1481),
    [anon_sym_extern] = ACTIONS(1481),
    [anon_sym___attribute__] = ACTIONS(1481),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1483),
    [anon_sym___declspec] = ACTIONS(1481),
    [anon_sym___cdecl] = ACTIONS(1481),
    [anon_sym___clrcall] = ACTIONS(1481),
    [anon_sym___stdcall] = ACTIONS(1481),
    [anon_sym___fastcall] = ACTIONS(1481),
    [anon_sym___thiscall] = ACTIONS(1481),
    [anon_sym___vectorcall] = ACTIONS(1481),
    [anon_sym_LBRACE] = ACTIONS(1483),
    [anon_sym_signed] = ACTIONS(1481),
    [anon_sym_unsigned] = ACTIONS(1481),
    [anon_sym_long] = ACTIONS(1481),
    [anon_sym_short] = ACTIONS(1481),
    [anon_sym_static] = ACTIONS(1481),
    [anon_sym_auto] = ACTIONS(1481),
    [anon_sym_register] = ACTIONS(1481),
    [anon_sym_inline] = ACTIONS(1481),
    [anon_sym___inline] = ACTIONS(1481),
    [anon_sym___inline__] = ACTIONS(1481),
    [anon_sym___forceinline] = ACTIONS(1481),
    [anon_sym_thread_local] = ACTIONS(1481),
    [anon_sym___thread] = ACTIONS(1481),
    [anon_sym_const] = ACTIONS(1481),
    [anon_sym_constexpr] = ACTIONS(1481),
    [anon_sym_volatile] = ACTIONS(1481),
    [anon_sym_restrict] = ACTIONS(1481),
    [anon_sym___restrict__] = ACTIONS(1481),
    [anon_sym__Atomic] = ACTIONS(1481),
    [anon_sym__Noreturn] = ACTIONS(1481),
    [anon_sym_noreturn] = ACTIONS(1481),
    [sym_primitive_type] = ACTIONS(1481),
    [anon_sym_enum] = ACTIONS(1481),
    [anon_sym_struct] = ACTIONS(1481),
    [anon_sym_union] = ACTIONS(1481),
    [anon_sym_if] = ACTIONS(1481),
    [anon_sym_else] = ACTIONS(1481),
    [anon_sym_switch] = ACTIONS(1481),
    [anon_sym_case] = ACTIONS(1481),
    [anon_sym_default] = ACTIONS(1481),
    [anon_sym_while] = ACTIONS(1481),
    [anon_sym_do] = ACTIONS(1481),
    [anon_sym_for] = ACTIONS(1481),
    [anon_sym_return] = ACTIONS(1481),
    [anon_sym_break] = ACTIONS(1481),
    [anon_sym_continue] = ACTIONS(1481),
    [anon_sym_goto] = ACTIONS(1481),
    [anon_sym___try] = ACTIONS(1481),
    [anon_sym___leave] = ACTIONS(1481),
    [anon_sym_DASH_DASH] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1483),
    [anon_sym_sizeof] = ACTIONS(1481),
    [anon_sym___alignof__] = ACTIONS(1481),
    [anon_sym___alignof] = ACTIONS(1481),
    [anon_sym__alignof] = ACTIONS(1481),
    [anon_sym_alignof] = ACTIONS(1481),
    [anon_sym__Alignof] = ACTIONS(1481),
    [anon_sym_offsetof] = ACTIONS(1481),
    [anon_sym__Generic] = ACTIONS(1481),
    [anon_sym_asm] = ACTIONS(1481),
    [anon_sym___asm__] = ACTIONS(1481),
    [sym_number_literal] = ACTIONS(1483),
    [anon_sym_L_SQUOTE] = ACTIONS(1483),
    [anon_sym_u_SQUOTE] = ACTIONS(1483),
    [anon_sym_U_SQUOTE] = ACTIONS(1483),
    [anon_sym_u8_SQUOTE] = ACTIONS(1483),
    [anon_sym_SQUOTE] = ACTIONS(1483),
    [anon_sym_L_DQUOTE] = ACTIONS(1483),
    [anon_sym_u_DQUOTE] = ACTIONS(1483),
    [anon_sym_U_DQUOTE] = ACTIONS(1483),
    [anon_sym_u8_DQUOTE] = ACTIONS(1483),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_true] = ACTIONS(1481),
    [sym_false] = ACTIONS(1481),
    [anon_sym_NULL] = ACTIONS(1481),
    [anon_sym_nullptr] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1481),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1481),
    [anon_sym_hitAttributeEXT] = ACTIONS(1481),
    [anon_sym_callableDataEXT] = ACTIONS(1481),
    [anon_sym_callableDataInEXT] = ACTIONS(1481),
    [anon_sym_shaderRecordEXT] = ACTIONS(1481),
    [anon_sym_rayPayloadNV] = ACTIONS(1481),
    [anon_sym_rayPayloadInNV] = ACTIONS(1481),
    [anon_sym_hitAttributeNV] = ACTIONS(1481),
    [anon_sym_callableDataNV] = ACTIONS(1481),
    [anon_sym_callableDataInNV] = ACTIONS(1481),
    [anon_sym_shaderRecordNV] = ACTIONS(1481),
    [anon_sym_layout] = ACTIONS(1481),
  },
  [204] = {
    [sym_identifier] = ACTIONS(1481),
    [aux_sym_preproc_include_token1] = ACTIONS(1481),
    [aux_sym_preproc_def_token1] = ACTIONS(1481),
    [aux_sym_preproc_if_token1] = ACTIONS(1481),
    [aux_sym_preproc_if_token2] = ACTIONS(1481),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1481),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1481),
    [aux_sym_preproc_else_token1] = ACTIONS(1481),
    [aux_sym_preproc_elif_token1] = ACTIONS(1481),
    [sym_preproc_directive] = ACTIONS(1481),
    [anon_sym_LPAREN2] = ACTIONS(1483),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_DASH] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_STAR] = ACTIONS(1483),
    [anon_sym_AMP] = ACTIONS(1483),
    [anon_sym_subroutine] = ACTIONS(1481),
    [anon_sym_invariant] = ACTIONS(1481),
    [anon_sym_precise] = ACTIONS(1481),
    [anon_sym_SEMI] = ACTIONS(1483),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_out] = ACTIONS(1481),
    [anon_sym_inout] = ACTIONS(1481),
    [anon_sym_uniform] = ACTIONS(1481),
    [anon_sym_shared] = ACTIONS(1481),
    [anon_sym_attribute] = ACTIONS(1481),
    [anon_sym_varying] = ACTIONS(1481),
    [anon_sym_buffer] = ACTIONS(1481),
    [anon_sym_coherent] = ACTIONS(1481),
    [anon_sym_readonly] = ACTIONS(1481),
    [anon_sym_writeonly] = ACTIONS(1481),
    [anon_sym_precision] = ACTIONS(1481),
    [anon_sym_highp] = ACTIONS(1481),
    [anon_sym_mediump] = ACTIONS(1481),
    [anon_sym_lowp] = ACTIONS(1481),
    [anon_sym_centroid] = ACTIONS(1481),
    [anon_sym_sample] = ACTIONS(1481),
    [anon_sym_patch] = ACTIONS(1481),
    [anon_sym_smooth] = ACTIONS(1481),
    [anon_sym_flat] = ACTIONS(1481),
    [anon_sym_noperspective] = ACTIONS(1481),
    [anon_sym___extension__] = ACTIONS(1481),
    [anon_sym_typedef] = ACTIONS(1481),
    [anon_sym_extern] = ACTIONS(1481),
    [anon_sym___attribute__] = ACTIONS(1481),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1483),
    [anon_sym___declspec] = ACTIONS(1481),
    [anon_sym___cdecl] = ACTIONS(1481),
    [anon_sym___clrcall] = ACTIONS(1481),
    [anon_sym___stdcall] = ACTIONS(1481),
    [anon_sym___fastcall] = ACTIONS(1481),
    [anon_sym___thiscall] = ACTIONS(1481),
    [anon_sym___vectorcall] = ACTIONS(1481),
    [anon_sym_LBRACE] = ACTIONS(1483),
    [anon_sym_signed] = ACTIONS(1481),
    [anon_sym_unsigned] = ACTIONS(1481),
    [anon_sym_long] = ACTIONS(1481),
    [anon_sym_short] = ACTIONS(1481),
    [anon_sym_static] = ACTIONS(1481),
    [anon_sym_auto] = ACTIONS(1481),
    [anon_sym_register] = ACTIONS(1481),
    [anon_sym_inline] = ACTIONS(1481),
    [anon_sym___inline] = ACTIONS(1481),
    [anon_sym___inline__] = ACTIONS(1481),
    [anon_sym___forceinline] = ACTIONS(1481),
    [anon_sym_thread_local] = ACTIONS(1481),
    [anon_sym___thread] = ACTIONS(1481),
    [anon_sym_const] = ACTIONS(1481),
    [anon_sym_constexpr] = ACTIONS(1481),
    [anon_sym_volatile] = ACTIONS(1481),
    [anon_sym_restrict] = ACTIONS(1481),
    [anon_sym___restrict__] = ACTIONS(1481),
    [anon_sym__Atomic] = ACTIONS(1481),
    [anon_sym__Noreturn] = ACTIONS(1481),
    [anon_sym_noreturn] = ACTIONS(1481),
    [sym_primitive_type] = ACTIONS(1481),
    [anon_sym_enum] = ACTIONS(1481),
    [anon_sym_struct] = ACTIONS(1481),
    [anon_sym_union] = ACTIONS(1481),
    [anon_sym_if] = ACTIONS(1481),
    [anon_sym_else] = ACTIONS(1481),
    [anon_sym_switch] = ACTIONS(1481),
    [anon_sym_case] = ACTIONS(1481),
    [anon_sym_default] = ACTIONS(1481),
    [anon_sym_while] = ACTIONS(1481),
    [anon_sym_do] = ACTIONS(1481),
    [anon_sym_for] = ACTIONS(1481),
    [anon_sym_return] = ACTIONS(1481),
    [anon_sym_break] = ACTIONS(1481),
    [anon_sym_continue] = ACTIONS(1481),
    [anon_sym_goto] = ACTIONS(1481),
    [anon_sym___try] = ACTIONS(1481),
    [anon_sym___leave] = ACTIONS(1481),
    [anon_sym_DASH_DASH] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1483),
    [anon_sym_sizeof] = ACTIONS(1481),
    [anon_sym___alignof__] = ACTIONS(1481),
    [anon_sym___alignof] = ACTIONS(1481),
    [anon_sym__alignof] = ACTIONS(1481),
    [anon_sym_alignof] = ACTIONS(1481),
    [anon_sym__Alignof] = ACTIONS(1481),
    [anon_sym_offsetof] = ACTIONS(1481),
    [anon_sym__Generic] = ACTIONS(1481),
    [anon_sym_asm] = ACTIONS(1481),
    [anon_sym___asm__] = ACTIONS(1481),
    [sym_number_literal] = ACTIONS(1483),
    [anon_sym_L_SQUOTE] = ACTIONS(1483),
    [anon_sym_u_SQUOTE] = ACTIONS(1483),
    [anon_sym_U_SQUOTE] = ACTIONS(1483),
    [anon_sym_u8_SQUOTE] = ACTIONS(1483),
    [anon_sym_SQUOTE] = ACTIONS(1483),
    [anon_sym_L_DQUOTE] = ACTIONS(1483),
    [anon_sym_u_DQUOTE] = ACTIONS(1483),
    [anon_sym_U_DQUOTE] = ACTIONS(1483),
    [anon_sym_u8_DQUOTE] = ACTIONS(1483),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_true] = ACTIONS(1481),
    [sym_false] = ACTIONS(1481),
    [anon_sym_NULL] = ACTIONS(1481),
    [anon_sym_nullptr] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1481),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1481),
    [anon_sym_hitAttributeEXT] = ACTIONS(1481),
    [anon_sym_callableDataEXT] = ACTIONS(1481),
    [anon_sym_callableDataInEXT] = ACTIONS(1481),
    [anon_sym_shaderRecordEXT] = ACTIONS(1481),
    [anon_sym_rayPayloadNV] = ACTIONS(1481),
    [anon_sym_rayPayloadInNV] = ACTIONS(1481),
    [anon_sym_hitAttributeNV] = ACTIONS(1481),
    [anon_sym_callableDataNV] = ACTIONS(1481),
    [anon_sym_callableDataInNV] = ACTIONS(1481),
    [anon_sym_shaderRecordNV] = ACTIONS(1481),
    [anon_sym_layout] = ACTIONS(1481),
  },
  [205] = {
    [sym_identifier] = ACTIONS(1477),
    [aux_sym_preproc_include_token1] = ACTIONS(1477),
    [aux_sym_preproc_def_token1] = ACTIONS(1477),
    [aux_sym_preproc_if_token1] = ACTIONS(1477),
    [aux_sym_preproc_if_token2] = ACTIONS(1477),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1477),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1477),
    [aux_sym_preproc_else_token1] = ACTIONS(1477),
    [aux_sym_preproc_elif_token1] = ACTIONS(1477),
    [sym_preproc_directive] = ACTIONS(1477),
    [anon_sym_LPAREN2] = ACTIONS(1479),
    [anon_sym_BANG] = ACTIONS(1479),
    [anon_sym_TILDE] = ACTIONS(1479),
    [anon_sym_DASH] = ACTIONS(1477),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_AMP] = ACTIONS(1479),
    [anon_sym_subroutine] = ACTIONS(1477),
    [anon_sym_invariant] = ACTIONS(1477),
    [anon_sym_precise] = ACTIONS(1477),
    [anon_sym_SEMI] = ACTIONS(1479),
    [anon_sym_in] = ACTIONS(1477),
    [anon_sym_out] = ACTIONS(1477),
    [anon_sym_inout] = ACTIONS(1477),
    [anon_sym_uniform] = ACTIONS(1477),
    [anon_sym_shared] = ACTIONS(1477),
    [anon_sym_attribute] = ACTIONS(1477),
    [anon_sym_varying] = ACTIONS(1477),
    [anon_sym_buffer] = ACTIONS(1477),
    [anon_sym_coherent] = ACTIONS(1477),
    [anon_sym_readonly] = ACTIONS(1477),
    [anon_sym_writeonly] = ACTIONS(1477),
    [anon_sym_precision] = ACTIONS(1477),
    [anon_sym_highp] = ACTIONS(1477),
    [anon_sym_mediump] = ACTIONS(1477),
    [anon_sym_lowp] = ACTIONS(1477),
    [anon_sym_centroid] = ACTIONS(1477),
    [anon_sym_sample] = ACTIONS(1477),
    [anon_sym_patch] = ACTIONS(1477),
    [anon_sym_smooth] = ACTIONS(1477),
    [anon_sym_flat] = ACTIONS(1477),
    [anon_sym_noperspective] = ACTIONS(1477),
    [anon_sym___extension__] = ACTIONS(1477),
    [anon_sym_typedef] = ACTIONS(1477),
    [anon_sym_extern] = ACTIONS(1477),
    [anon_sym___attribute__] = ACTIONS(1477),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1479),
    [anon_sym___declspec] = ACTIONS(1477),
    [anon_sym___cdecl] = ACTIONS(1477),
    [anon_sym___clrcall] = ACTIONS(1477),
    [anon_sym___stdcall] = ACTIONS(1477),
    [anon_sym___fastcall] = ACTIONS(1477),
    [anon_sym___thiscall] = ACTIONS(1477),
    [anon_sym___vectorcall] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(1479),
    [anon_sym_signed] = ACTIONS(1477),
    [anon_sym_unsigned] = ACTIONS(1477),
    [anon_sym_long] = ACTIONS(1477),
    [anon_sym_short] = ACTIONS(1477),
    [anon_sym_static] = ACTIONS(1477),
    [anon_sym_auto] = ACTIONS(1477),
    [anon_sym_register] = ACTIONS(1477),
    [anon_sym_inline] = ACTIONS(1477),
    [anon_sym___inline] = ACTIONS(1477),
    [anon_sym___inline__] = ACTIONS(1477),
    [anon_sym___forceinline] = ACTIONS(1477),
    [anon_sym_thread_local] = ACTIONS(1477),
    [anon_sym___thread] = ACTIONS(1477),
    [anon_sym_const] = ACTIONS(1477),
    [anon_sym_constexpr] = ACTIONS(1477),
    [anon_sym_volatile] = ACTIONS(1477),
    [anon_sym_restrict] = ACTIONS(1477),
    [anon_sym___restrict__] = ACTIONS(1477),
    [anon_sym__Atomic] = ACTIONS(1477),
    [anon_sym__Noreturn] = ACTIONS(1477),
    [anon_sym_noreturn] = ACTIONS(1477),
    [sym_primitive_type] = ACTIONS(1477),
    [anon_sym_enum] = ACTIONS(1477),
    [anon_sym_struct] = ACTIONS(1477),
    [anon_sym_union] = ACTIONS(1477),
    [anon_sym_if] = ACTIONS(1477),
    [anon_sym_else] = ACTIONS(1477),
    [anon_sym_switch] = ACTIONS(1477),
    [anon_sym_case] = ACTIONS(1477),
    [anon_sym_default] = ACTIONS(1477),
    [anon_sym_while] = ACTIONS(1477),
    [anon_sym_do] = ACTIONS(1477),
    [anon_sym_for] = ACTIONS(1477),
    [anon_sym_return] = ACTIONS(1477),
    [anon_sym_break] = ACTIONS(1477),
    [anon_sym_continue] = ACTIONS(1477),
    [anon_sym_goto] = ACTIONS(1477),
    [anon_sym___try] = ACTIONS(1477),
    [anon_sym___leave] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1479),
    [anon_sym_PLUS_PLUS] = ACTIONS(1479),
    [anon_sym_sizeof] = ACTIONS(1477),
    [anon_sym___alignof__] = ACTIONS(1477),
    [anon_sym___alignof] = ACTIONS(1477),
    [anon_sym__alignof] = ACTIONS(1477),
    [anon_sym_alignof] = ACTIONS(1477),
    [anon_sym__Alignof] = ACTIONS(1477),
    [anon_sym_offsetof] = ACTIONS(1477),
    [anon_sym__Generic] = ACTIONS(1477),
    [anon_sym_asm] = ACTIONS(1477),
    [anon_sym___asm__] = ACTIONS(1477),
    [sym_number_literal] = ACTIONS(1479),
    [anon_sym_L_SQUOTE] = ACTIONS(1479),
    [anon_sym_u_SQUOTE] = ACTIONS(1479),
    [anon_sym_U_SQUOTE] = ACTIONS(1479),
    [anon_sym_u8_SQUOTE] = ACTIONS(1479),
    [anon_sym_SQUOTE] = ACTIONS(1479),
    [anon_sym_L_DQUOTE] = ACTIONS(1479),
    [anon_sym_u_DQUOTE] = ACTIONS(1479),
    [anon_sym_U_DQUOTE] = ACTIONS(1479),
    [anon_sym_u8_DQUOTE] = ACTIONS(1479),
    [anon_sym_DQUOTE] = ACTIONS(1479),
    [sym_true] = ACTIONS(1477),
    [sym_false] = ACTIONS(1477),
    [anon_sym_NULL] = ACTIONS(1477),
    [anon_sym_nullptr] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1477),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1477),
    [anon_sym_hitAttributeEXT] = ACTIONS(1477),
    [anon_sym_callableDataEXT] = ACTIONS(1477),
    [anon_sym_callableDataInEXT] = ACTIONS(1477),
    [anon_sym_shaderRecordEXT] = ACTIONS(1477),
    [anon_sym_rayPayloadNV] = ACTIONS(1477),
    [anon_sym_rayPayloadInNV] = ACTIONS(1477),
    [anon_sym_hitAttributeNV] = ACTIONS(1477),
    [anon_sym_callableDataNV] = ACTIONS(1477),
    [anon_sym_callableDataInNV] = ACTIONS(1477),
    [anon_sym_shaderRecordNV] = ACTIONS(1477),
    [anon_sym_layout] = ACTIONS(1477),
  },
  [206] = {
    [sym_identifier] = ACTIONS(1465),
    [aux_sym_preproc_include_token1] = ACTIONS(1465),
    [aux_sym_preproc_def_token1] = ACTIONS(1465),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_if_token2] = ACTIONS(1465),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1465),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1465),
    [aux_sym_preproc_else_token1] = ACTIONS(1465),
    [aux_sym_preproc_elif_token1] = ACTIONS(1465),
    [sym_preproc_directive] = ACTIONS(1465),
    [anon_sym_LPAREN2] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1467),
    [anon_sym_TILDE] = ACTIONS(1467),
    [anon_sym_DASH] = ACTIONS(1465),
    [anon_sym_PLUS] = ACTIONS(1465),
    [anon_sym_STAR] = ACTIONS(1467),
    [anon_sym_AMP] = ACTIONS(1467),
    [anon_sym_subroutine] = ACTIONS(1465),
    [anon_sym_invariant] = ACTIONS(1465),
    [anon_sym_precise] = ACTIONS(1465),
    [anon_sym_SEMI] = ACTIONS(1467),
    [anon_sym_in] = ACTIONS(1465),
    [anon_sym_out] = ACTIONS(1465),
    [anon_sym_inout] = ACTIONS(1465),
    [anon_sym_uniform] = ACTIONS(1465),
    [anon_sym_shared] = ACTIONS(1465),
    [anon_sym_attribute] = ACTIONS(1465),
    [anon_sym_varying] = ACTIONS(1465),
    [anon_sym_buffer] = ACTIONS(1465),
    [anon_sym_coherent] = ACTIONS(1465),
    [anon_sym_readonly] = ACTIONS(1465),
    [anon_sym_writeonly] = ACTIONS(1465),
    [anon_sym_precision] = ACTIONS(1465),
    [anon_sym_highp] = ACTIONS(1465),
    [anon_sym_mediump] = ACTIONS(1465),
    [anon_sym_lowp] = ACTIONS(1465),
    [anon_sym_centroid] = ACTIONS(1465),
    [anon_sym_sample] = ACTIONS(1465),
    [anon_sym_patch] = ACTIONS(1465),
    [anon_sym_smooth] = ACTIONS(1465),
    [anon_sym_flat] = ACTIONS(1465),
    [anon_sym_noperspective] = ACTIONS(1465),
    [anon_sym___extension__] = ACTIONS(1465),
    [anon_sym_typedef] = ACTIONS(1465),
    [anon_sym_extern] = ACTIONS(1465),
    [anon_sym___attribute__] = ACTIONS(1465),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1467),
    [anon_sym___declspec] = ACTIONS(1465),
    [anon_sym___cdecl] = ACTIONS(1465),
    [anon_sym___clrcall] = ACTIONS(1465),
    [anon_sym___stdcall] = ACTIONS(1465),
    [anon_sym___fastcall] = ACTIONS(1465),
    [anon_sym___thiscall] = ACTIONS(1465),
    [anon_sym___vectorcall] = ACTIONS(1465),
    [anon_sym_LBRACE] = ACTIONS(1467),
    [anon_sym_signed] = ACTIONS(1465),
    [anon_sym_unsigned] = ACTIONS(1465),
    [anon_sym_long] = ACTIONS(1465),
    [anon_sym_short] = ACTIONS(1465),
    [anon_sym_static] = ACTIONS(1465),
    [anon_sym_auto] = ACTIONS(1465),
    [anon_sym_register] = ACTIONS(1465),
    [anon_sym_inline] = ACTIONS(1465),
    [anon_sym___inline] = ACTIONS(1465),
    [anon_sym___inline__] = ACTIONS(1465),
    [anon_sym___forceinline] = ACTIONS(1465),
    [anon_sym_thread_local] = ACTIONS(1465),
    [anon_sym___thread] = ACTIONS(1465),
    [anon_sym_const] = ACTIONS(1465),
    [anon_sym_constexpr] = ACTIONS(1465),
    [anon_sym_volatile] = ACTIONS(1465),
    [anon_sym_restrict] = ACTIONS(1465),
    [anon_sym___restrict__] = ACTIONS(1465),
    [anon_sym__Atomic] = ACTIONS(1465),
    [anon_sym__Noreturn] = ACTIONS(1465),
    [anon_sym_noreturn] = ACTIONS(1465),
    [sym_primitive_type] = ACTIONS(1465),
    [anon_sym_enum] = ACTIONS(1465),
    [anon_sym_struct] = ACTIONS(1465),
    [anon_sym_union] = ACTIONS(1465),
    [anon_sym_if] = ACTIONS(1465),
    [anon_sym_else] = ACTIONS(1465),
    [anon_sym_switch] = ACTIONS(1465),
    [anon_sym_case] = ACTIONS(1465),
    [anon_sym_default] = ACTIONS(1465),
    [anon_sym_while] = ACTIONS(1465),
    [anon_sym_do] = ACTIONS(1465),
    [anon_sym_for] = ACTIONS(1465),
    [anon_sym_return] = ACTIONS(1465),
    [anon_sym_break] = ACTIONS(1465),
    [anon_sym_continue] = ACTIONS(1465),
    [anon_sym_goto] = ACTIONS(1465),
    [anon_sym___try] = ACTIONS(1465),
    [anon_sym___leave] = ACTIONS(1465),
    [anon_sym_DASH_DASH] = ACTIONS(1467),
    [anon_sym_PLUS_PLUS] = ACTIONS(1467),
    [anon_sym_sizeof] = ACTIONS(1465),
    [anon_sym___alignof__] = ACTIONS(1465),
    [anon_sym___alignof] = ACTIONS(1465),
    [anon_sym__alignof] = ACTIONS(1465),
    [anon_sym_alignof] = ACTIONS(1465),
    [anon_sym__Alignof] = ACTIONS(1465),
    [anon_sym_offsetof] = ACTIONS(1465),
    [anon_sym__Generic] = ACTIONS(1465),
    [anon_sym_asm] = ACTIONS(1465),
    [anon_sym___asm__] = ACTIONS(1465),
    [sym_number_literal] = ACTIONS(1467),
    [anon_sym_L_SQUOTE] = ACTIONS(1467),
    [anon_sym_u_SQUOTE] = ACTIONS(1467),
    [anon_sym_U_SQUOTE] = ACTIONS(1467),
    [anon_sym_u8_SQUOTE] = ACTIONS(1467),
    [anon_sym_SQUOTE] = ACTIONS(1467),
    [anon_sym_L_DQUOTE] = ACTIONS(1467),
    [anon_sym_u_DQUOTE] = ACTIONS(1467),
    [anon_sym_U_DQUOTE] = ACTIONS(1467),
    [anon_sym_u8_DQUOTE] = ACTIONS(1467),
    [anon_sym_DQUOTE] = ACTIONS(1467),
    [sym_true] = ACTIONS(1465),
    [sym_false] = ACTIONS(1465),
    [anon_sym_NULL] = ACTIONS(1465),
    [anon_sym_nullptr] = ACTIONS(1465),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1465),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1465),
    [anon_sym_hitAttributeEXT] = ACTIONS(1465),
    [anon_sym_callableDataEXT] = ACTIONS(1465),
    [anon_sym_callableDataInEXT] = ACTIONS(1465),
    [anon_sym_shaderRecordEXT] = ACTIONS(1465),
    [anon_sym_rayPayloadNV] = ACTIONS(1465),
    [anon_sym_rayPayloadInNV] = ACTIONS(1465),
    [anon_sym_hitAttributeNV] = ACTIONS(1465),
    [anon_sym_callableDataNV] = ACTIONS(1465),
    [anon_sym_callableDataInNV] = ACTIONS(1465),
    [anon_sym_shaderRecordNV] = ACTIONS(1465),
    [anon_sym_layout] = ACTIONS(1465),
  },
  [207] = {
    [sym_identifier] = ACTIONS(1469),
    [aux_sym_preproc_include_token1] = ACTIONS(1469),
    [aux_sym_preproc_def_token1] = ACTIONS(1469),
    [aux_sym_preproc_if_token1] = ACTIONS(1469),
    [aux_sym_preproc_if_token2] = ACTIONS(1469),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1469),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1469),
    [aux_sym_preproc_else_token1] = ACTIONS(1469),
    [aux_sym_preproc_elif_token1] = ACTIONS(1469),
    [sym_preproc_directive] = ACTIONS(1469),
    [anon_sym_LPAREN2] = ACTIONS(1471),
    [anon_sym_BANG] = ACTIONS(1471),
    [anon_sym_TILDE] = ACTIONS(1471),
    [anon_sym_DASH] = ACTIONS(1469),
    [anon_sym_PLUS] = ACTIONS(1469),
    [anon_sym_STAR] = ACTIONS(1471),
    [anon_sym_AMP] = ACTIONS(1471),
    [anon_sym_subroutine] = ACTIONS(1469),
    [anon_sym_invariant] = ACTIONS(1469),
    [anon_sym_precise] = ACTIONS(1469),
    [anon_sym_SEMI] = ACTIONS(1471),
    [anon_sym_in] = ACTIONS(1469),
    [anon_sym_out] = ACTIONS(1469),
    [anon_sym_inout] = ACTIONS(1469),
    [anon_sym_uniform] = ACTIONS(1469),
    [anon_sym_shared] = ACTIONS(1469),
    [anon_sym_attribute] = ACTIONS(1469),
    [anon_sym_varying] = ACTIONS(1469),
    [anon_sym_buffer] = ACTIONS(1469),
    [anon_sym_coherent] = ACTIONS(1469),
    [anon_sym_readonly] = ACTIONS(1469),
    [anon_sym_writeonly] = ACTIONS(1469),
    [anon_sym_precision] = ACTIONS(1469),
    [anon_sym_highp] = ACTIONS(1469),
    [anon_sym_mediump] = ACTIONS(1469),
    [anon_sym_lowp] = ACTIONS(1469),
    [anon_sym_centroid] = ACTIONS(1469),
    [anon_sym_sample] = ACTIONS(1469),
    [anon_sym_patch] = ACTIONS(1469),
    [anon_sym_smooth] = ACTIONS(1469),
    [anon_sym_flat] = ACTIONS(1469),
    [anon_sym_noperspective] = ACTIONS(1469),
    [anon_sym___extension__] = ACTIONS(1469),
    [anon_sym_typedef] = ACTIONS(1469),
    [anon_sym_extern] = ACTIONS(1469),
    [anon_sym___attribute__] = ACTIONS(1469),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1471),
    [anon_sym___declspec] = ACTIONS(1469),
    [anon_sym___cdecl] = ACTIONS(1469),
    [anon_sym___clrcall] = ACTIONS(1469),
    [anon_sym___stdcall] = ACTIONS(1469),
    [anon_sym___fastcall] = ACTIONS(1469),
    [anon_sym___thiscall] = ACTIONS(1469),
    [anon_sym___vectorcall] = ACTIONS(1469),
    [anon_sym_LBRACE] = ACTIONS(1471),
    [anon_sym_signed] = ACTIONS(1469),
    [anon_sym_unsigned] = ACTIONS(1469),
    [anon_sym_long] = ACTIONS(1469),
    [anon_sym_short] = ACTIONS(1469),
    [anon_sym_static] = ACTIONS(1469),
    [anon_sym_auto] = ACTIONS(1469),
    [anon_sym_register] = ACTIONS(1469),
    [anon_sym_inline] = ACTIONS(1469),
    [anon_sym___inline] = ACTIONS(1469),
    [anon_sym___inline__] = ACTIONS(1469),
    [anon_sym___forceinline] = ACTIONS(1469),
    [anon_sym_thread_local] = ACTIONS(1469),
    [anon_sym___thread] = ACTIONS(1469),
    [anon_sym_const] = ACTIONS(1469),
    [anon_sym_constexpr] = ACTIONS(1469),
    [anon_sym_volatile] = ACTIONS(1469),
    [anon_sym_restrict] = ACTIONS(1469),
    [anon_sym___restrict__] = ACTIONS(1469),
    [anon_sym__Atomic] = ACTIONS(1469),
    [anon_sym__Noreturn] = ACTIONS(1469),
    [anon_sym_noreturn] = ACTIONS(1469),
    [sym_primitive_type] = ACTIONS(1469),
    [anon_sym_enum] = ACTIONS(1469),
    [anon_sym_struct] = ACTIONS(1469),
    [anon_sym_union] = ACTIONS(1469),
    [anon_sym_if] = ACTIONS(1469),
    [anon_sym_else] = ACTIONS(1469),
    [anon_sym_switch] = ACTIONS(1469),
    [anon_sym_case] = ACTIONS(1469),
    [anon_sym_default] = ACTIONS(1469),
    [anon_sym_while] = ACTIONS(1469),
    [anon_sym_do] = ACTIONS(1469),
    [anon_sym_for] = ACTIONS(1469),
    [anon_sym_return] = ACTIONS(1469),
    [anon_sym_break] = ACTIONS(1469),
    [anon_sym_continue] = ACTIONS(1469),
    [anon_sym_goto] = ACTIONS(1469),
    [anon_sym___try] = ACTIONS(1469),
    [anon_sym___leave] = ACTIONS(1469),
    [anon_sym_DASH_DASH] = ACTIONS(1471),
    [anon_sym_PLUS_PLUS] = ACTIONS(1471),
    [anon_sym_sizeof] = ACTIONS(1469),
    [anon_sym___alignof__] = ACTIONS(1469),
    [anon_sym___alignof] = ACTIONS(1469),
    [anon_sym__alignof] = ACTIONS(1469),
    [anon_sym_alignof] = ACTIONS(1469),
    [anon_sym__Alignof] = ACTIONS(1469),
    [anon_sym_offsetof] = ACTIONS(1469),
    [anon_sym__Generic] = ACTIONS(1469),
    [anon_sym_asm] = ACTIONS(1469),
    [anon_sym___asm__] = ACTIONS(1469),
    [sym_number_literal] = ACTIONS(1471),
    [anon_sym_L_SQUOTE] = ACTIONS(1471),
    [anon_sym_u_SQUOTE] = ACTIONS(1471),
    [anon_sym_U_SQUOTE] = ACTIONS(1471),
    [anon_sym_u8_SQUOTE] = ACTIONS(1471),
    [anon_sym_SQUOTE] = ACTIONS(1471),
    [anon_sym_L_DQUOTE] = ACTIONS(1471),
    [anon_sym_u_DQUOTE] = ACTIONS(1471),
    [anon_sym_U_DQUOTE] = ACTIONS(1471),
    [anon_sym_u8_DQUOTE] = ACTIONS(1471),
    [anon_sym_DQUOTE] = ACTIONS(1471),
    [sym_true] = ACTIONS(1469),
    [sym_false] = ACTIONS(1469),
    [anon_sym_NULL] = ACTIONS(1469),
    [anon_sym_nullptr] = ACTIONS(1469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1469),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1469),
    [anon_sym_hitAttributeEXT] = ACTIONS(1469),
    [anon_sym_callableDataEXT] = ACTIONS(1469),
    [anon_sym_callableDataInEXT] = ACTIONS(1469),
    [anon_sym_shaderRecordEXT] = ACTIONS(1469),
    [anon_sym_rayPayloadNV] = ACTIONS(1469),
    [anon_sym_rayPayloadInNV] = ACTIONS(1469),
    [anon_sym_hitAttributeNV] = ACTIONS(1469),
    [anon_sym_callableDataNV] = ACTIONS(1469),
    [anon_sym_callableDataInNV] = ACTIONS(1469),
    [anon_sym_shaderRecordNV] = ACTIONS(1469),
    [anon_sym_layout] = ACTIONS(1469),
  },
  [208] = {
    [sym_identifier] = ACTIONS(1581),
    [aux_sym_preproc_include_token1] = ACTIONS(1581),
    [aux_sym_preproc_def_token1] = ACTIONS(1581),
    [aux_sym_preproc_if_token1] = ACTIONS(1581),
    [aux_sym_preproc_if_token2] = ACTIONS(1581),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1581),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1581),
    [aux_sym_preproc_else_token1] = ACTIONS(1581),
    [aux_sym_preproc_elif_token1] = ACTIONS(1581),
    [sym_preproc_directive] = ACTIONS(1581),
    [anon_sym_LPAREN2] = ACTIONS(1583),
    [anon_sym_BANG] = ACTIONS(1583),
    [anon_sym_TILDE] = ACTIONS(1583),
    [anon_sym_DASH] = ACTIONS(1581),
    [anon_sym_PLUS] = ACTIONS(1581),
    [anon_sym_STAR] = ACTIONS(1583),
    [anon_sym_AMP] = ACTIONS(1583),
    [anon_sym_subroutine] = ACTIONS(1581),
    [anon_sym_invariant] = ACTIONS(1581),
    [anon_sym_precise] = ACTIONS(1581),
    [anon_sym_SEMI] = ACTIONS(1583),
    [anon_sym_in] = ACTIONS(1581),
    [anon_sym_out] = ACTIONS(1581),
    [anon_sym_inout] = ACTIONS(1581),
    [anon_sym_uniform] = ACTIONS(1581),
    [anon_sym_shared] = ACTIONS(1581),
    [anon_sym_attribute] = ACTIONS(1581),
    [anon_sym_varying] = ACTIONS(1581),
    [anon_sym_buffer] = ACTIONS(1581),
    [anon_sym_coherent] = ACTIONS(1581),
    [anon_sym_readonly] = ACTIONS(1581),
    [anon_sym_writeonly] = ACTIONS(1581),
    [anon_sym_precision] = ACTIONS(1581),
    [anon_sym_highp] = ACTIONS(1581),
    [anon_sym_mediump] = ACTIONS(1581),
    [anon_sym_lowp] = ACTIONS(1581),
    [anon_sym_centroid] = ACTIONS(1581),
    [anon_sym_sample] = ACTIONS(1581),
    [anon_sym_patch] = ACTIONS(1581),
    [anon_sym_smooth] = ACTIONS(1581),
    [anon_sym_flat] = ACTIONS(1581),
    [anon_sym_noperspective] = ACTIONS(1581),
    [anon_sym___extension__] = ACTIONS(1581),
    [anon_sym_typedef] = ACTIONS(1581),
    [anon_sym_extern] = ACTIONS(1581),
    [anon_sym___attribute__] = ACTIONS(1581),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1583),
    [anon_sym___declspec] = ACTIONS(1581),
    [anon_sym___cdecl] = ACTIONS(1581),
    [anon_sym___clrcall] = ACTIONS(1581),
    [anon_sym___stdcall] = ACTIONS(1581),
    [anon_sym___fastcall] = ACTIONS(1581),
    [anon_sym___thiscall] = ACTIONS(1581),
    [anon_sym___vectorcall] = ACTIONS(1581),
    [anon_sym_LBRACE] = ACTIONS(1583),
    [anon_sym_signed] = ACTIONS(1581),
    [anon_sym_unsigned] = ACTIONS(1581),
    [anon_sym_long] = ACTIONS(1581),
    [anon_sym_short] = ACTIONS(1581),
    [anon_sym_static] = ACTIONS(1581),
    [anon_sym_auto] = ACTIONS(1581),
    [anon_sym_register] = ACTIONS(1581),
    [anon_sym_inline] = ACTIONS(1581),
    [anon_sym___inline] = ACTIONS(1581),
    [anon_sym___inline__] = ACTIONS(1581),
    [anon_sym___forceinline] = ACTIONS(1581),
    [anon_sym_thread_local] = ACTIONS(1581),
    [anon_sym___thread] = ACTIONS(1581),
    [anon_sym_const] = ACTIONS(1581),
    [anon_sym_constexpr] = ACTIONS(1581),
    [anon_sym_volatile] = ACTIONS(1581),
    [anon_sym_restrict] = ACTIONS(1581),
    [anon_sym___restrict__] = ACTIONS(1581),
    [anon_sym__Atomic] = ACTIONS(1581),
    [anon_sym__Noreturn] = ACTIONS(1581),
    [anon_sym_noreturn] = ACTIONS(1581),
    [sym_primitive_type] = ACTIONS(1581),
    [anon_sym_enum] = ACTIONS(1581),
    [anon_sym_struct] = ACTIONS(1581),
    [anon_sym_union] = ACTIONS(1581),
    [anon_sym_if] = ACTIONS(1581),
    [anon_sym_else] = ACTIONS(1581),
    [anon_sym_switch] = ACTIONS(1581),
    [anon_sym_case] = ACTIONS(1581),
    [anon_sym_default] = ACTIONS(1581),
    [anon_sym_while] = ACTIONS(1581),
    [anon_sym_do] = ACTIONS(1581),
    [anon_sym_for] = ACTIONS(1581),
    [anon_sym_return] = ACTIONS(1581),
    [anon_sym_break] = ACTIONS(1581),
    [anon_sym_continue] = ACTIONS(1581),
    [anon_sym_goto] = ACTIONS(1581),
    [anon_sym___try] = ACTIONS(1581),
    [anon_sym___leave] = ACTIONS(1581),
    [anon_sym_DASH_DASH] = ACTIONS(1583),
    [anon_sym_PLUS_PLUS] = ACTIONS(1583),
    [anon_sym_sizeof] = ACTIONS(1581),
    [anon_sym___alignof__] = ACTIONS(1581),
    [anon_sym___alignof] = ACTIONS(1581),
    [anon_sym__alignof] = ACTIONS(1581),
    [anon_sym_alignof] = ACTIONS(1581),
    [anon_sym__Alignof] = ACTIONS(1581),
    [anon_sym_offsetof] = ACTIONS(1581),
    [anon_sym__Generic] = ACTIONS(1581),
    [anon_sym_asm] = ACTIONS(1581),
    [anon_sym___asm__] = ACTIONS(1581),
    [sym_number_literal] = ACTIONS(1583),
    [anon_sym_L_SQUOTE] = ACTIONS(1583),
    [anon_sym_u_SQUOTE] = ACTIONS(1583),
    [anon_sym_U_SQUOTE] = ACTIONS(1583),
    [anon_sym_u8_SQUOTE] = ACTIONS(1583),
    [anon_sym_SQUOTE] = ACTIONS(1583),
    [anon_sym_L_DQUOTE] = ACTIONS(1583),
    [anon_sym_u_DQUOTE] = ACTIONS(1583),
    [anon_sym_U_DQUOTE] = ACTIONS(1583),
    [anon_sym_u8_DQUOTE] = ACTIONS(1583),
    [anon_sym_DQUOTE] = ACTIONS(1583),
    [sym_true] = ACTIONS(1581),
    [sym_false] = ACTIONS(1581),
    [anon_sym_NULL] = ACTIONS(1581),
    [anon_sym_nullptr] = ACTIONS(1581),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1581),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1581),
    [anon_sym_hitAttributeEXT] = ACTIONS(1581),
    [anon_sym_callableDataEXT] = ACTIONS(1581),
    [anon_sym_callableDataInEXT] = ACTIONS(1581),
    [anon_sym_shaderRecordEXT] = ACTIONS(1581),
    [anon_sym_rayPayloadNV] = ACTIONS(1581),
    [anon_sym_rayPayloadInNV] = ACTIONS(1581),
    [anon_sym_hitAttributeNV] = ACTIONS(1581),
    [anon_sym_callableDataNV] = ACTIONS(1581),
    [anon_sym_callableDataInNV] = ACTIONS(1581),
    [anon_sym_shaderRecordNV] = ACTIONS(1581),
    [anon_sym_layout] = ACTIONS(1581),
  },
  [209] = {
    [sym_identifier] = ACTIONS(1489),
    [aux_sym_preproc_include_token1] = ACTIONS(1489),
    [aux_sym_preproc_def_token1] = ACTIONS(1489),
    [aux_sym_preproc_if_token1] = ACTIONS(1489),
    [aux_sym_preproc_if_token2] = ACTIONS(1489),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1489),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1489),
    [aux_sym_preproc_else_token1] = ACTIONS(1489),
    [aux_sym_preproc_elif_token1] = ACTIONS(1489),
    [sym_preproc_directive] = ACTIONS(1489),
    [anon_sym_LPAREN2] = ACTIONS(1491),
    [anon_sym_BANG] = ACTIONS(1491),
    [anon_sym_TILDE] = ACTIONS(1491),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_STAR] = ACTIONS(1491),
    [anon_sym_AMP] = ACTIONS(1491),
    [anon_sym_subroutine] = ACTIONS(1489),
    [anon_sym_invariant] = ACTIONS(1489),
    [anon_sym_precise] = ACTIONS(1489),
    [anon_sym_SEMI] = ACTIONS(1491),
    [anon_sym_in] = ACTIONS(1489),
    [anon_sym_out] = ACTIONS(1489),
    [anon_sym_inout] = ACTIONS(1489),
    [anon_sym_uniform] = ACTIONS(1489),
    [anon_sym_shared] = ACTIONS(1489),
    [anon_sym_attribute] = ACTIONS(1489),
    [anon_sym_varying] = ACTIONS(1489),
    [anon_sym_buffer] = ACTIONS(1489),
    [anon_sym_coherent] = ACTIONS(1489),
    [anon_sym_readonly] = ACTIONS(1489),
    [anon_sym_writeonly] = ACTIONS(1489),
    [anon_sym_precision] = ACTIONS(1489),
    [anon_sym_highp] = ACTIONS(1489),
    [anon_sym_mediump] = ACTIONS(1489),
    [anon_sym_lowp] = ACTIONS(1489),
    [anon_sym_centroid] = ACTIONS(1489),
    [anon_sym_sample] = ACTIONS(1489),
    [anon_sym_patch] = ACTIONS(1489),
    [anon_sym_smooth] = ACTIONS(1489),
    [anon_sym_flat] = ACTIONS(1489),
    [anon_sym_noperspective] = ACTIONS(1489),
    [anon_sym___extension__] = ACTIONS(1489),
    [anon_sym_typedef] = ACTIONS(1489),
    [anon_sym_extern] = ACTIONS(1489),
    [anon_sym___attribute__] = ACTIONS(1489),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1491),
    [anon_sym___declspec] = ACTIONS(1489),
    [anon_sym___cdecl] = ACTIONS(1489),
    [anon_sym___clrcall] = ACTIONS(1489),
    [anon_sym___stdcall] = ACTIONS(1489),
    [anon_sym___fastcall] = ACTIONS(1489),
    [anon_sym___thiscall] = ACTIONS(1489),
    [anon_sym___vectorcall] = ACTIONS(1489),
    [anon_sym_LBRACE] = ACTIONS(1491),
    [anon_sym_signed] = ACTIONS(1489),
    [anon_sym_unsigned] = ACTIONS(1489),
    [anon_sym_long] = ACTIONS(1489),
    [anon_sym_short] = ACTIONS(1489),
    [anon_sym_static] = ACTIONS(1489),
    [anon_sym_auto] = ACTIONS(1489),
    [anon_sym_register] = ACTIONS(1489),
    [anon_sym_inline] = ACTIONS(1489),
    [anon_sym___inline] = ACTIONS(1489),
    [anon_sym___inline__] = ACTIONS(1489),
    [anon_sym___forceinline] = ACTIONS(1489),
    [anon_sym_thread_local] = ACTIONS(1489),
    [anon_sym___thread] = ACTIONS(1489),
    [anon_sym_const] = ACTIONS(1489),
    [anon_sym_constexpr] = ACTIONS(1489),
    [anon_sym_volatile] = ACTIONS(1489),
    [anon_sym_restrict] = ACTIONS(1489),
    [anon_sym___restrict__] = ACTIONS(1489),
    [anon_sym__Atomic] = ACTIONS(1489),
    [anon_sym__Noreturn] = ACTIONS(1489),
    [anon_sym_noreturn] = ACTIONS(1489),
    [sym_primitive_type] = ACTIONS(1489),
    [anon_sym_enum] = ACTIONS(1489),
    [anon_sym_struct] = ACTIONS(1489),
    [anon_sym_union] = ACTIONS(1489),
    [anon_sym_if] = ACTIONS(1489),
    [anon_sym_else] = ACTIONS(1489),
    [anon_sym_switch] = ACTIONS(1489),
    [anon_sym_case] = ACTIONS(1489),
    [anon_sym_default] = ACTIONS(1489),
    [anon_sym_while] = ACTIONS(1489),
    [anon_sym_do] = ACTIONS(1489),
    [anon_sym_for] = ACTIONS(1489),
    [anon_sym_return] = ACTIONS(1489),
    [anon_sym_break] = ACTIONS(1489),
    [anon_sym_continue] = ACTIONS(1489),
    [anon_sym_goto] = ACTIONS(1489),
    [anon_sym___try] = ACTIONS(1489),
    [anon_sym___leave] = ACTIONS(1489),
    [anon_sym_DASH_DASH] = ACTIONS(1491),
    [anon_sym_PLUS_PLUS] = ACTIONS(1491),
    [anon_sym_sizeof] = ACTIONS(1489),
    [anon_sym___alignof__] = ACTIONS(1489),
    [anon_sym___alignof] = ACTIONS(1489),
    [anon_sym__alignof] = ACTIONS(1489),
    [anon_sym_alignof] = ACTIONS(1489),
    [anon_sym__Alignof] = ACTIONS(1489),
    [anon_sym_offsetof] = ACTIONS(1489),
    [anon_sym__Generic] = ACTIONS(1489),
    [anon_sym_asm] = ACTIONS(1489),
    [anon_sym___asm__] = ACTIONS(1489),
    [sym_number_literal] = ACTIONS(1491),
    [anon_sym_L_SQUOTE] = ACTIONS(1491),
    [anon_sym_u_SQUOTE] = ACTIONS(1491),
    [anon_sym_U_SQUOTE] = ACTIONS(1491),
    [anon_sym_u8_SQUOTE] = ACTIONS(1491),
    [anon_sym_SQUOTE] = ACTIONS(1491),
    [anon_sym_L_DQUOTE] = ACTIONS(1491),
    [anon_sym_u_DQUOTE] = ACTIONS(1491),
    [anon_sym_U_DQUOTE] = ACTIONS(1491),
    [anon_sym_u8_DQUOTE] = ACTIONS(1491),
    [anon_sym_DQUOTE] = ACTIONS(1491),
    [sym_true] = ACTIONS(1489),
    [sym_false] = ACTIONS(1489),
    [anon_sym_NULL] = ACTIONS(1489),
    [anon_sym_nullptr] = ACTIONS(1489),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1489),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1489),
    [anon_sym_hitAttributeEXT] = ACTIONS(1489),
    [anon_sym_callableDataEXT] = ACTIONS(1489),
    [anon_sym_callableDataInEXT] = ACTIONS(1489),
    [anon_sym_shaderRecordEXT] = ACTIONS(1489),
    [anon_sym_rayPayloadNV] = ACTIONS(1489),
    [anon_sym_rayPayloadInNV] = ACTIONS(1489),
    [anon_sym_hitAttributeNV] = ACTIONS(1489),
    [anon_sym_callableDataNV] = ACTIONS(1489),
    [anon_sym_callableDataInNV] = ACTIONS(1489),
    [anon_sym_shaderRecordNV] = ACTIONS(1489),
    [anon_sym_layout] = ACTIONS(1489),
  },
  [210] = {
    [sym_identifier] = ACTIONS(1497),
    [aux_sym_preproc_include_token1] = ACTIONS(1497),
    [aux_sym_preproc_def_token1] = ACTIONS(1497),
    [aux_sym_preproc_if_token1] = ACTIONS(1497),
    [aux_sym_preproc_if_token2] = ACTIONS(1497),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1497),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1497),
    [aux_sym_preproc_else_token1] = ACTIONS(1497),
    [aux_sym_preproc_elif_token1] = ACTIONS(1497),
    [sym_preproc_directive] = ACTIONS(1497),
    [anon_sym_LPAREN2] = ACTIONS(1499),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_DASH] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1497),
    [anon_sym_STAR] = ACTIONS(1499),
    [anon_sym_AMP] = ACTIONS(1499),
    [anon_sym_subroutine] = ACTIONS(1497),
    [anon_sym_invariant] = ACTIONS(1497),
    [anon_sym_precise] = ACTIONS(1497),
    [anon_sym_SEMI] = ACTIONS(1499),
    [anon_sym_in] = ACTIONS(1497),
    [anon_sym_out] = ACTIONS(1497),
    [anon_sym_inout] = ACTIONS(1497),
    [anon_sym_uniform] = ACTIONS(1497),
    [anon_sym_shared] = ACTIONS(1497),
    [anon_sym_attribute] = ACTIONS(1497),
    [anon_sym_varying] = ACTIONS(1497),
    [anon_sym_buffer] = ACTIONS(1497),
    [anon_sym_coherent] = ACTIONS(1497),
    [anon_sym_readonly] = ACTIONS(1497),
    [anon_sym_writeonly] = ACTIONS(1497),
    [anon_sym_precision] = ACTIONS(1497),
    [anon_sym_highp] = ACTIONS(1497),
    [anon_sym_mediump] = ACTIONS(1497),
    [anon_sym_lowp] = ACTIONS(1497),
    [anon_sym_centroid] = ACTIONS(1497),
    [anon_sym_sample] = ACTIONS(1497),
    [anon_sym_patch] = ACTIONS(1497),
    [anon_sym_smooth] = ACTIONS(1497),
    [anon_sym_flat] = ACTIONS(1497),
    [anon_sym_noperspective] = ACTIONS(1497),
    [anon_sym___extension__] = ACTIONS(1497),
    [anon_sym_typedef] = ACTIONS(1497),
    [anon_sym_extern] = ACTIONS(1497),
    [anon_sym___attribute__] = ACTIONS(1497),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1499),
    [anon_sym___declspec] = ACTIONS(1497),
    [anon_sym___cdecl] = ACTIONS(1497),
    [anon_sym___clrcall] = ACTIONS(1497),
    [anon_sym___stdcall] = ACTIONS(1497),
    [anon_sym___fastcall] = ACTIONS(1497),
    [anon_sym___thiscall] = ACTIONS(1497),
    [anon_sym___vectorcall] = ACTIONS(1497),
    [anon_sym_LBRACE] = ACTIONS(1499),
    [anon_sym_signed] = ACTIONS(1497),
    [anon_sym_unsigned] = ACTIONS(1497),
    [anon_sym_long] = ACTIONS(1497),
    [anon_sym_short] = ACTIONS(1497),
    [anon_sym_static] = ACTIONS(1497),
    [anon_sym_auto] = ACTIONS(1497),
    [anon_sym_register] = ACTIONS(1497),
    [anon_sym_inline] = ACTIONS(1497),
    [anon_sym___inline] = ACTIONS(1497),
    [anon_sym___inline__] = ACTIONS(1497),
    [anon_sym___forceinline] = ACTIONS(1497),
    [anon_sym_thread_local] = ACTIONS(1497),
    [anon_sym___thread] = ACTIONS(1497),
    [anon_sym_const] = ACTIONS(1497),
    [anon_sym_constexpr] = ACTIONS(1497),
    [anon_sym_volatile] = ACTIONS(1497),
    [anon_sym_restrict] = ACTIONS(1497),
    [anon_sym___restrict__] = ACTIONS(1497),
    [anon_sym__Atomic] = ACTIONS(1497),
    [anon_sym__Noreturn] = ACTIONS(1497),
    [anon_sym_noreturn] = ACTIONS(1497),
    [sym_primitive_type] = ACTIONS(1497),
    [anon_sym_enum] = ACTIONS(1497),
    [anon_sym_struct] = ACTIONS(1497),
    [anon_sym_union] = ACTIONS(1497),
    [anon_sym_if] = ACTIONS(1497),
    [anon_sym_else] = ACTIONS(1497),
    [anon_sym_switch] = ACTIONS(1497),
    [anon_sym_case] = ACTIONS(1497),
    [anon_sym_default] = ACTIONS(1497),
    [anon_sym_while] = ACTIONS(1497),
    [anon_sym_do] = ACTIONS(1497),
    [anon_sym_for] = ACTIONS(1497),
    [anon_sym_return] = ACTIONS(1497),
    [anon_sym_break] = ACTIONS(1497),
    [anon_sym_continue] = ACTIONS(1497),
    [anon_sym_goto] = ACTIONS(1497),
    [anon_sym___try] = ACTIONS(1497),
    [anon_sym___leave] = ACTIONS(1497),
    [anon_sym_DASH_DASH] = ACTIONS(1499),
    [anon_sym_PLUS_PLUS] = ACTIONS(1499),
    [anon_sym_sizeof] = ACTIONS(1497),
    [anon_sym___alignof__] = ACTIONS(1497),
    [anon_sym___alignof] = ACTIONS(1497),
    [anon_sym__alignof] = ACTIONS(1497),
    [anon_sym_alignof] = ACTIONS(1497),
    [anon_sym__Alignof] = ACTIONS(1497),
    [anon_sym_offsetof] = ACTIONS(1497),
    [anon_sym__Generic] = ACTIONS(1497),
    [anon_sym_asm] = ACTIONS(1497),
    [anon_sym___asm__] = ACTIONS(1497),
    [sym_number_literal] = ACTIONS(1499),
    [anon_sym_L_SQUOTE] = ACTIONS(1499),
    [anon_sym_u_SQUOTE] = ACTIONS(1499),
    [anon_sym_U_SQUOTE] = ACTIONS(1499),
    [anon_sym_u8_SQUOTE] = ACTIONS(1499),
    [anon_sym_SQUOTE] = ACTIONS(1499),
    [anon_sym_L_DQUOTE] = ACTIONS(1499),
    [anon_sym_u_DQUOTE] = ACTIONS(1499),
    [anon_sym_U_DQUOTE] = ACTIONS(1499),
    [anon_sym_u8_DQUOTE] = ACTIONS(1499),
    [anon_sym_DQUOTE] = ACTIONS(1499),
    [sym_true] = ACTIONS(1497),
    [sym_false] = ACTIONS(1497),
    [anon_sym_NULL] = ACTIONS(1497),
    [anon_sym_nullptr] = ACTIONS(1497),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1497),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1497),
    [anon_sym_hitAttributeEXT] = ACTIONS(1497),
    [anon_sym_callableDataEXT] = ACTIONS(1497),
    [anon_sym_callableDataInEXT] = ACTIONS(1497),
    [anon_sym_shaderRecordEXT] = ACTIONS(1497),
    [anon_sym_rayPayloadNV] = ACTIONS(1497),
    [anon_sym_rayPayloadInNV] = ACTIONS(1497),
    [anon_sym_hitAttributeNV] = ACTIONS(1497),
    [anon_sym_callableDataNV] = ACTIONS(1497),
    [anon_sym_callableDataInNV] = ACTIONS(1497),
    [anon_sym_shaderRecordNV] = ACTIONS(1497),
    [anon_sym_layout] = ACTIONS(1497),
  },
  [211] = {
    [sym_identifier] = ACTIONS(1469),
    [aux_sym_preproc_include_token1] = ACTIONS(1469),
    [aux_sym_preproc_def_token1] = ACTIONS(1469),
    [aux_sym_preproc_if_token1] = ACTIONS(1469),
    [aux_sym_preproc_if_token2] = ACTIONS(1469),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1469),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1469),
    [aux_sym_preproc_else_token1] = ACTIONS(1469),
    [aux_sym_preproc_elif_token1] = ACTIONS(1469),
    [sym_preproc_directive] = ACTIONS(1469),
    [anon_sym_LPAREN2] = ACTIONS(1471),
    [anon_sym_BANG] = ACTIONS(1471),
    [anon_sym_TILDE] = ACTIONS(1471),
    [anon_sym_DASH] = ACTIONS(1469),
    [anon_sym_PLUS] = ACTIONS(1469),
    [anon_sym_STAR] = ACTIONS(1471),
    [anon_sym_AMP] = ACTIONS(1471),
    [anon_sym_subroutine] = ACTIONS(1469),
    [anon_sym_invariant] = ACTIONS(1469),
    [anon_sym_precise] = ACTIONS(1469),
    [anon_sym_SEMI] = ACTIONS(1471),
    [anon_sym_in] = ACTIONS(1469),
    [anon_sym_out] = ACTIONS(1469),
    [anon_sym_inout] = ACTIONS(1469),
    [anon_sym_uniform] = ACTIONS(1469),
    [anon_sym_shared] = ACTIONS(1469),
    [anon_sym_attribute] = ACTIONS(1469),
    [anon_sym_varying] = ACTIONS(1469),
    [anon_sym_buffer] = ACTIONS(1469),
    [anon_sym_coherent] = ACTIONS(1469),
    [anon_sym_readonly] = ACTIONS(1469),
    [anon_sym_writeonly] = ACTIONS(1469),
    [anon_sym_precision] = ACTIONS(1469),
    [anon_sym_highp] = ACTIONS(1469),
    [anon_sym_mediump] = ACTIONS(1469),
    [anon_sym_lowp] = ACTIONS(1469),
    [anon_sym_centroid] = ACTIONS(1469),
    [anon_sym_sample] = ACTIONS(1469),
    [anon_sym_patch] = ACTIONS(1469),
    [anon_sym_smooth] = ACTIONS(1469),
    [anon_sym_flat] = ACTIONS(1469),
    [anon_sym_noperspective] = ACTIONS(1469),
    [anon_sym___extension__] = ACTIONS(1469),
    [anon_sym_typedef] = ACTIONS(1469),
    [anon_sym_extern] = ACTIONS(1469),
    [anon_sym___attribute__] = ACTIONS(1469),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1471),
    [anon_sym___declspec] = ACTIONS(1469),
    [anon_sym___cdecl] = ACTIONS(1469),
    [anon_sym___clrcall] = ACTIONS(1469),
    [anon_sym___stdcall] = ACTIONS(1469),
    [anon_sym___fastcall] = ACTIONS(1469),
    [anon_sym___thiscall] = ACTIONS(1469),
    [anon_sym___vectorcall] = ACTIONS(1469),
    [anon_sym_LBRACE] = ACTIONS(1471),
    [anon_sym_signed] = ACTIONS(1469),
    [anon_sym_unsigned] = ACTIONS(1469),
    [anon_sym_long] = ACTIONS(1469),
    [anon_sym_short] = ACTIONS(1469),
    [anon_sym_static] = ACTIONS(1469),
    [anon_sym_auto] = ACTIONS(1469),
    [anon_sym_register] = ACTIONS(1469),
    [anon_sym_inline] = ACTIONS(1469),
    [anon_sym___inline] = ACTIONS(1469),
    [anon_sym___inline__] = ACTIONS(1469),
    [anon_sym___forceinline] = ACTIONS(1469),
    [anon_sym_thread_local] = ACTIONS(1469),
    [anon_sym___thread] = ACTIONS(1469),
    [anon_sym_const] = ACTIONS(1469),
    [anon_sym_constexpr] = ACTIONS(1469),
    [anon_sym_volatile] = ACTIONS(1469),
    [anon_sym_restrict] = ACTIONS(1469),
    [anon_sym___restrict__] = ACTIONS(1469),
    [anon_sym__Atomic] = ACTIONS(1469),
    [anon_sym__Noreturn] = ACTIONS(1469),
    [anon_sym_noreturn] = ACTIONS(1469),
    [sym_primitive_type] = ACTIONS(1469),
    [anon_sym_enum] = ACTIONS(1469),
    [anon_sym_struct] = ACTIONS(1469),
    [anon_sym_union] = ACTIONS(1469),
    [anon_sym_if] = ACTIONS(1469),
    [anon_sym_else] = ACTIONS(1469),
    [anon_sym_switch] = ACTIONS(1469),
    [anon_sym_case] = ACTIONS(1469),
    [anon_sym_default] = ACTIONS(1469),
    [anon_sym_while] = ACTIONS(1469),
    [anon_sym_do] = ACTIONS(1469),
    [anon_sym_for] = ACTIONS(1469),
    [anon_sym_return] = ACTIONS(1469),
    [anon_sym_break] = ACTIONS(1469),
    [anon_sym_continue] = ACTIONS(1469),
    [anon_sym_goto] = ACTIONS(1469),
    [anon_sym___try] = ACTIONS(1469),
    [anon_sym___leave] = ACTIONS(1469),
    [anon_sym_DASH_DASH] = ACTIONS(1471),
    [anon_sym_PLUS_PLUS] = ACTIONS(1471),
    [anon_sym_sizeof] = ACTIONS(1469),
    [anon_sym___alignof__] = ACTIONS(1469),
    [anon_sym___alignof] = ACTIONS(1469),
    [anon_sym__alignof] = ACTIONS(1469),
    [anon_sym_alignof] = ACTIONS(1469),
    [anon_sym__Alignof] = ACTIONS(1469),
    [anon_sym_offsetof] = ACTIONS(1469),
    [anon_sym__Generic] = ACTIONS(1469),
    [anon_sym_asm] = ACTIONS(1469),
    [anon_sym___asm__] = ACTIONS(1469),
    [sym_number_literal] = ACTIONS(1471),
    [anon_sym_L_SQUOTE] = ACTIONS(1471),
    [anon_sym_u_SQUOTE] = ACTIONS(1471),
    [anon_sym_U_SQUOTE] = ACTIONS(1471),
    [anon_sym_u8_SQUOTE] = ACTIONS(1471),
    [anon_sym_SQUOTE] = ACTIONS(1471),
    [anon_sym_L_DQUOTE] = ACTIONS(1471),
    [anon_sym_u_DQUOTE] = ACTIONS(1471),
    [anon_sym_U_DQUOTE] = ACTIONS(1471),
    [anon_sym_u8_DQUOTE] = ACTIONS(1471),
    [anon_sym_DQUOTE] = ACTIONS(1471),
    [sym_true] = ACTIONS(1469),
    [sym_false] = ACTIONS(1469),
    [anon_sym_NULL] = ACTIONS(1469),
    [anon_sym_nullptr] = ACTIONS(1469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1469),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1469),
    [anon_sym_hitAttributeEXT] = ACTIONS(1469),
    [anon_sym_callableDataEXT] = ACTIONS(1469),
    [anon_sym_callableDataInEXT] = ACTIONS(1469),
    [anon_sym_shaderRecordEXT] = ACTIONS(1469),
    [anon_sym_rayPayloadNV] = ACTIONS(1469),
    [anon_sym_rayPayloadInNV] = ACTIONS(1469),
    [anon_sym_hitAttributeNV] = ACTIONS(1469),
    [anon_sym_callableDataNV] = ACTIONS(1469),
    [anon_sym_callableDataInNV] = ACTIONS(1469),
    [anon_sym_shaderRecordNV] = ACTIONS(1469),
    [anon_sym_layout] = ACTIONS(1469),
  },
  [212] = {
    [sym_identifier] = ACTIONS(1501),
    [aux_sym_preproc_include_token1] = ACTIONS(1501),
    [aux_sym_preproc_def_token1] = ACTIONS(1501),
    [aux_sym_preproc_if_token1] = ACTIONS(1501),
    [aux_sym_preproc_if_token2] = ACTIONS(1501),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1501),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1501),
    [aux_sym_preproc_else_token1] = ACTIONS(1501),
    [aux_sym_preproc_elif_token1] = ACTIONS(1501),
    [sym_preproc_directive] = ACTIONS(1501),
    [anon_sym_LPAREN2] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1503),
    [anon_sym_TILDE] = ACTIONS(1503),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_PLUS] = ACTIONS(1501),
    [anon_sym_STAR] = ACTIONS(1503),
    [anon_sym_AMP] = ACTIONS(1503),
    [anon_sym_subroutine] = ACTIONS(1501),
    [anon_sym_invariant] = ACTIONS(1501),
    [anon_sym_precise] = ACTIONS(1501),
    [anon_sym_SEMI] = ACTIONS(1503),
    [anon_sym_in] = ACTIONS(1501),
    [anon_sym_out] = ACTIONS(1501),
    [anon_sym_inout] = ACTIONS(1501),
    [anon_sym_uniform] = ACTIONS(1501),
    [anon_sym_shared] = ACTIONS(1501),
    [anon_sym_attribute] = ACTIONS(1501),
    [anon_sym_varying] = ACTIONS(1501),
    [anon_sym_buffer] = ACTIONS(1501),
    [anon_sym_coherent] = ACTIONS(1501),
    [anon_sym_readonly] = ACTIONS(1501),
    [anon_sym_writeonly] = ACTIONS(1501),
    [anon_sym_precision] = ACTIONS(1501),
    [anon_sym_highp] = ACTIONS(1501),
    [anon_sym_mediump] = ACTIONS(1501),
    [anon_sym_lowp] = ACTIONS(1501),
    [anon_sym_centroid] = ACTIONS(1501),
    [anon_sym_sample] = ACTIONS(1501),
    [anon_sym_patch] = ACTIONS(1501),
    [anon_sym_smooth] = ACTIONS(1501),
    [anon_sym_flat] = ACTIONS(1501),
    [anon_sym_noperspective] = ACTIONS(1501),
    [anon_sym___extension__] = ACTIONS(1501),
    [anon_sym_typedef] = ACTIONS(1501),
    [anon_sym_extern] = ACTIONS(1501),
    [anon_sym___attribute__] = ACTIONS(1501),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1503),
    [anon_sym___declspec] = ACTIONS(1501),
    [anon_sym___cdecl] = ACTIONS(1501),
    [anon_sym___clrcall] = ACTIONS(1501),
    [anon_sym___stdcall] = ACTIONS(1501),
    [anon_sym___fastcall] = ACTIONS(1501),
    [anon_sym___thiscall] = ACTIONS(1501),
    [anon_sym___vectorcall] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_signed] = ACTIONS(1501),
    [anon_sym_unsigned] = ACTIONS(1501),
    [anon_sym_long] = ACTIONS(1501),
    [anon_sym_short] = ACTIONS(1501),
    [anon_sym_static] = ACTIONS(1501),
    [anon_sym_auto] = ACTIONS(1501),
    [anon_sym_register] = ACTIONS(1501),
    [anon_sym_inline] = ACTIONS(1501),
    [anon_sym___inline] = ACTIONS(1501),
    [anon_sym___inline__] = ACTIONS(1501),
    [anon_sym___forceinline] = ACTIONS(1501),
    [anon_sym_thread_local] = ACTIONS(1501),
    [anon_sym___thread] = ACTIONS(1501),
    [anon_sym_const] = ACTIONS(1501),
    [anon_sym_constexpr] = ACTIONS(1501),
    [anon_sym_volatile] = ACTIONS(1501),
    [anon_sym_restrict] = ACTIONS(1501),
    [anon_sym___restrict__] = ACTIONS(1501),
    [anon_sym__Atomic] = ACTIONS(1501),
    [anon_sym__Noreturn] = ACTIONS(1501),
    [anon_sym_noreturn] = ACTIONS(1501),
    [sym_primitive_type] = ACTIONS(1501),
    [anon_sym_enum] = ACTIONS(1501),
    [anon_sym_struct] = ACTIONS(1501),
    [anon_sym_union] = ACTIONS(1501),
    [anon_sym_if] = ACTIONS(1501),
    [anon_sym_else] = ACTIONS(1501),
    [anon_sym_switch] = ACTIONS(1501),
    [anon_sym_case] = ACTIONS(1501),
    [anon_sym_default] = ACTIONS(1501),
    [anon_sym_while] = ACTIONS(1501),
    [anon_sym_do] = ACTIONS(1501),
    [anon_sym_for] = ACTIONS(1501),
    [anon_sym_return] = ACTIONS(1501),
    [anon_sym_break] = ACTIONS(1501),
    [anon_sym_continue] = ACTIONS(1501),
    [anon_sym_goto] = ACTIONS(1501),
    [anon_sym___try] = ACTIONS(1501),
    [anon_sym___leave] = ACTIONS(1501),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_sizeof] = ACTIONS(1501),
    [anon_sym___alignof__] = ACTIONS(1501),
    [anon_sym___alignof] = ACTIONS(1501),
    [anon_sym__alignof] = ACTIONS(1501),
    [anon_sym_alignof] = ACTIONS(1501),
    [anon_sym__Alignof] = ACTIONS(1501),
    [anon_sym_offsetof] = ACTIONS(1501),
    [anon_sym__Generic] = ACTIONS(1501),
    [anon_sym_asm] = ACTIONS(1501),
    [anon_sym___asm__] = ACTIONS(1501),
    [sym_number_literal] = ACTIONS(1503),
    [anon_sym_L_SQUOTE] = ACTIONS(1503),
    [anon_sym_u_SQUOTE] = ACTIONS(1503),
    [anon_sym_U_SQUOTE] = ACTIONS(1503),
    [anon_sym_u8_SQUOTE] = ACTIONS(1503),
    [anon_sym_SQUOTE] = ACTIONS(1503),
    [anon_sym_L_DQUOTE] = ACTIONS(1503),
    [anon_sym_u_DQUOTE] = ACTIONS(1503),
    [anon_sym_U_DQUOTE] = ACTIONS(1503),
    [anon_sym_u8_DQUOTE] = ACTIONS(1503),
    [anon_sym_DQUOTE] = ACTIONS(1503),
    [sym_true] = ACTIONS(1501),
    [sym_false] = ACTIONS(1501),
    [anon_sym_NULL] = ACTIONS(1501),
    [anon_sym_nullptr] = ACTIONS(1501),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1501),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1501),
    [anon_sym_hitAttributeEXT] = ACTIONS(1501),
    [anon_sym_callableDataEXT] = ACTIONS(1501),
    [anon_sym_callableDataInEXT] = ACTIONS(1501),
    [anon_sym_shaderRecordEXT] = ACTIONS(1501),
    [anon_sym_rayPayloadNV] = ACTIONS(1501),
    [anon_sym_rayPayloadInNV] = ACTIONS(1501),
    [anon_sym_hitAttributeNV] = ACTIONS(1501),
    [anon_sym_callableDataNV] = ACTIONS(1501),
    [anon_sym_callableDataInNV] = ACTIONS(1501),
    [anon_sym_shaderRecordNV] = ACTIONS(1501),
    [anon_sym_layout] = ACTIONS(1501),
  },
  [213] = {
    [sym_identifier] = ACTIONS(1505),
    [aux_sym_preproc_include_token1] = ACTIONS(1505),
    [aux_sym_preproc_def_token1] = ACTIONS(1505),
    [aux_sym_preproc_if_token1] = ACTIONS(1505),
    [aux_sym_preproc_if_token2] = ACTIONS(1505),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1505),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1505),
    [aux_sym_preproc_else_token1] = ACTIONS(1505),
    [aux_sym_preproc_elif_token1] = ACTIONS(1505),
    [sym_preproc_directive] = ACTIONS(1505),
    [anon_sym_LPAREN2] = ACTIONS(1507),
    [anon_sym_BANG] = ACTIONS(1507),
    [anon_sym_TILDE] = ACTIONS(1507),
    [anon_sym_DASH] = ACTIONS(1505),
    [anon_sym_PLUS] = ACTIONS(1505),
    [anon_sym_STAR] = ACTIONS(1507),
    [anon_sym_AMP] = ACTIONS(1507),
    [anon_sym_subroutine] = ACTIONS(1505),
    [anon_sym_invariant] = ACTIONS(1505),
    [anon_sym_precise] = ACTIONS(1505),
    [anon_sym_SEMI] = ACTIONS(1507),
    [anon_sym_in] = ACTIONS(1505),
    [anon_sym_out] = ACTIONS(1505),
    [anon_sym_inout] = ACTIONS(1505),
    [anon_sym_uniform] = ACTIONS(1505),
    [anon_sym_shared] = ACTIONS(1505),
    [anon_sym_attribute] = ACTIONS(1505),
    [anon_sym_varying] = ACTIONS(1505),
    [anon_sym_buffer] = ACTIONS(1505),
    [anon_sym_coherent] = ACTIONS(1505),
    [anon_sym_readonly] = ACTIONS(1505),
    [anon_sym_writeonly] = ACTIONS(1505),
    [anon_sym_precision] = ACTIONS(1505),
    [anon_sym_highp] = ACTIONS(1505),
    [anon_sym_mediump] = ACTIONS(1505),
    [anon_sym_lowp] = ACTIONS(1505),
    [anon_sym_centroid] = ACTIONS(1505),
    [anon_sym_sample] = ACTIONS(1505),
    [anon_sym_patch] = ACTIONS(1505),
    [anon_sym_smooth] = ACTIONS(1505),
    [anon_sym_flat] = ACTIONS(1505),
    [anon_sym_noperspective] = ACTIONS(1505),
    [anon_sym___extension__] = ACTIONS(1505),
    [anon_sym_typedef] = ACTIONS(1505),
    [anon_sym_extern] = ACTIONS(1505),
    [anon_sym___attribute__] = ACTIONS(1505),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1507),
    [anon_sym___declspec] = ACTIONS(1505),
    [anon_sym___cdecl] = ACTIONS(1505),
    [anon_sym___clrcall] = ACTIONS(1505),
    [anon_sym___stdcall] = ACTIONS(1505),
    [anon_sym___fastcall] = ACTIONS(1505),
    [anon_sym___thiscall] = ACTIONS(1505),
    [anon_sym___vectorcall] = ACTIONS(1505),
    [anon_sym_LBRACE] = ACTIONS(1507),
    [anon_sym_signed] = ACTIONS(1505),
    [anon_sym_unsigned] = ACTIONS(1505),
    [anon_sym_long] = ACTIONS(1505),
    [anon_sym_short] = ACTIONS(1505),
    [anon_sym_static] = ACTIONS(1505),
    [anon_sym_auto] = ACTIONS(1505),
    [anon_sym_register] = ACTIONS(1505),
    [anon_sym_inline] = ACTIONS(1505),
    [anon_sym___inline] = ACTIONS(1505),
    [anon_sym___inline__] = ACTIONS(1505),
    [anon_sym___forceinline] = ACTIONS(1505),
    [anon_sym_thread_local] = ACTIONS(1505),
    [anon_sym___thread] = ACTIONS(1505),
    [anon_sym_const] = ACTIONS(1505),
    [anon_sym_constexpr] = ACTIONS(1505),
    [anon_sym_volatile] = ACTIONS(1505),
    [anon_sym_restrict] = ACTIONS(1505),
    [anon_sym___restrict__] = ACTIONS(1505),
    [anon_sym__Atomic] = ACTIONS(1505),
    [anon_sym__Noreturn] = ACTIONS(1505),
    [anon_sym_noreturn] = ACTIONS(1505),
    [sym_primitive_type] = ACTIONS(1505),
    [anon_sym_enum] = ACTIONS(1505),
    [anon_sym_struct] = ACTIONS(1505),
    [anon_sym_union] = ACTIONS(1505),
    [anon_sym_if] = ACTIONS(1505),
    [anon_sym_else] = ACTIONS(1505),
    [anon_sym_switch] = ACTIONS(1505),
    [anon_sym_case] = ACTIONS(1505),
    [anon_sym_default] = ACTIONS(1505),
    [anon_sym_while] = ACTIONS(1505),
    [anon_sym_do] = ACTIONS(1505),
    [anon_sym_for] = ACTIONS(1505),
    [anon_sym_return] = ACTIONS(1505),
    [anon_sym_break] = ACTIONS(1505),
    [anon_sym_continue] = ACTIONS(1505),
    [anon_sym_goto] = ACTIONS(1505),
    [anon_sym___try] = ACTIONS(1505),
    [anon_sym___leave] = ACTIONS(1505),
    [anon_sym_DASH_DASH] = ACTIONS(1507),
    [anon_sym_PLUS_PLUS] = ACTIONS(1507),
    [anon_sym_sizeof] = ACTIONS(1505),
    [anon_sym___alignof__] = ACTIONS(1505),
    [anon_sym___alignof] = ACTIONS(1505),
    [anon_sym__alignof] = ACTIONS(1505),
    [anon_sym_alignof] = ACTIONS(1505),
    [anon_sym__Alignof] = ACTIONS(1505),
    [anon_sym_offsetof] = ACTIONS(1505),
    [anon_sym__Generic] = ACTIONS(1505),
    [anon_sym_asm] = ACTIONS(1505),
    [anon_sym___asm__] = ACTIONS(1505),
    [sym_number_literal] = ACTIONS(1507),
    [anon_sym_L_SQUOTE] = ACTIONS(1507),
    [anon_sym_u_SQUOTE] = ACTIONS(1507),
    [anon_sym_U_SQUOTE] = ACTIONS(1507),
    [anon_sym_u8_SQUOTE] = ACTIONS(1507),
    [anon_sym_SQUOTE] = ACTIONS(1507),
    [anon_sym_L_DQUOTE] = ACTIONS(1507),
    [anon_sym_u_DQUOTE] = ACTIONS(1507),
    [anon_sym_U_DQUOTE] = ACTIONS(1507),
    [anon_sym_u8_DQUOTE] = ACTIONS(1507),
    [anon_sym_DQUOTE] = ACTIONS(1507),
    [sym_true] = ACTIONS(1505),
    [sym_false] = ACTIONS(1505),
    [anon_sym_NULL] = ACTIONS(1505),
    [anon_sym_nullptr] = ACTIONS(1505),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1505),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1505),
    [anon_sym_hitAttributeEXT] = ACTIONS(1505),
    [anon_sym_callableDataEXT] = ACTIONS(1505),
    [anon_sym_callableDataInEXT] = ACTIONS(1505),
    [anon_sym_shaderRecordEXT] = ACTIONS(1505),
    [anon_sym_rayPayloadNV] = ACTIONS(1505),
    [anon_sym_rayPayloadInNV] = ACTIONS(1505),
    [anon_sym_hitAttributeNV] = ACTIONS(1505),
    [anon_sym_callableDataNV] = ACTIONS(1505),
    [anon_sym_callableDataInNV] = ACTIONS(1505),
    [anon_sym_shaderRecordNV] = ACTIONS(1505),
    [anon_sym_layout] = ACTIONS(1505),
  },
  [214] = {
    [sym_identifier] = ACTIONS(1509),
    [aux_sym_preproc_include_token1] = ACTIONS(1509),
    [aux_sym_preproc_def_token1] = ACTIONS(1509),
    [aux_sym_preproc_if_token1] = ACTIONS(1509),
    [aux_sym_preproc_if_token2] = ACTIONS(1509),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1509),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1509),
    [aux_sym_preproc_else_token1] = ACTIONS(1509),
    [aux_sym_preproc_elif_token1] = ACTIONS(1509),
    [sym_preproc_directive] = ACTIONS(1509),
    [anon_sym_LPAREN2] = ACTIONS(1511),
    [anon_sym_BANG] = ACTIONS(1511),
    [anon_sym_TILDE] = ACTIONS(1511),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_PLUS] = ACTIONS(1509),
    [anon_sym_STAR] = ACTIONS(1511),
    [anon_sym_AMP] = ACTIONS(1511),
    [anon_sym_subroutine] = ACTIONS(1509),
    [anon_sym_invariant] = ACTIONS(1509),
    [anon_sym_precise] = ACTIONS(1509),
    [anon_sym_SEMI] = ACTIONS(1511),
    [anon_sym_in] = ACTIONS(1509),
    [anon_sym_out] = ACTIONS(1509),
    [anon_sym_inout] = ACTIONS(1509),
    [anon_sym_uniform] = ACTIONS(1509),
    [anon_sym_shared] = ACTIONS(1509),
    [anon_sym_attribute] = ACTIONS(1509),
    [anon_sym_varying] = ACTIONS(1509),
    [anon_sym_buffer] = ACTIONS(1509),
    [anon_sym_coherent] = ACTIONS(1509),
    [anon_sym_readonly] = ACTIONS(1509),
    [anon_sym_writeonly] = ACTIONS(1509),
    [anon_sym_precision] = ACTIONS(1509),
    [anon_sym_highp] = ACTIONS(1509),
    [anon_sym_mediump] = ACTIONS(1509),
    [anon_sym_lowp] = ACTIONS(1509),
    [anon_sym_centroid] = ACTIONS(1509),
    [anon_sym_sample] = ACTIONS(1509),
    [anon_sym_patch] = ACTIONS(1509),
    [anon_sym_smooth] = ACTIONS(1509),
    [anon_sym_flat] = ACTIONS(1509),
    [anon_sym_noperspective] = ACTIONS(1509),
    [anon_sym___extension__] = ACTIONS(1509),
    [anon_sym_typedef] = ACTIONS(1509),
    [anon_sym_extern] = ACTIONS(1509),
    [anon_sym___attribute__] = ACTIONS(1509),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1511),
    [anon_sym___declspec] = ACTIONS(1509),
    [anon_sym___cdecl] = ACTIONS(1509),
    [anon_sym___clrcall] = ACTIONS(1509),
    [anon_sym___stdcall] = ACTIONS(1509),
    [anon_sym___fastcall] = ACTIONS(1509),
    [anon_sym___thiscall] = ACTIONS(1509),
    [anon_sym___vectorcall] = ACTIONS(1509),
    [anon_sym_LBRACE] = ACTIONS(1511),
    [anon_sym_signed] = ACTIONS(1509),
    [anon_sym_unsigned] = ACTIONS(1509),
    [anon_sym_long] = ACTIONS(1509),
    [anon_sym_short] = ACTIONS(1509),
    [anon_sym_static] = ACTIONS(1509),
    [anon_sym_auto] = ACTIONS(1509),
    [anon_sym_register] = ACTIONS(1509),
    [anon_sym_inline] = ACTIONS(1509),
    [anon_sym___inline] = ACTIONS(1509),
    [anon_sym___inline__] = ACTIONS(1509),
    [anon_sym___forceinline] = ACTIONS(1509),
    [anon_sym_thread_local] = ACTIONS(1509),
    [anon_sym___thread] = ACTIONS(1509),
    [anon_sym_const] = ACTIONS(1509),
    [anon_sym_constexpr] = ACTIONS(1509),
    [anon_sym_volatile] = ACTIONS(1509),
    [anon_sym_restrict] = ACTIONS(1509),
    [anon_sym___restrict__] = ACTIONS(1509),
    [anon_sym__Atomic] = ACTIONS(1509),
    [anon_sym__Noreturn] = ACTIONS(1509),
    [anon_sym_noreturn] = ACTIONS(1509),
    [sym_primitive_type] = ACTIONS(1509),
    [anon_sym_enum] = ACTIONS(1509),
    [anon_sym_struct] = ACTIONS(1509),
    [anon_sym_union] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1509),
    [anon_sym_else] = ACTIONS(1509),
    [anon_sym_switch] = ACTIONS(1509),
    [anon_sym_case] = ACTIONS(1509),
    [anon_sym_default] = ACTIONS(1509),
    [anon_sym_while] = ACTIONS(1509),
    [anon_sym_do] = ACTIONS(1509),
    [anon_sym_for] = ACTIONS(1509),
    [anon_sym_return] = ACTIONS(1509),
    [anon_sym_break] = ACTIONS(1509),
    [anon_sym_continue] = ACTIONS(1509),
    [anon_sym_goto] = ACTIONS(1509),
    [anon_sym___try] = ACTIONS(1509),
    [anon_sym___leave] = ACTIONS(1509),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_sizeof] = ACTIONS(1509),
    [anon_sym___alignof__] = ACTIONS(1509),
    [anon_sym___alignof] = ACTIONS(1509),
    [anon_sym__alignof] = ACTIONS(1509),
    [anon_sym_alignof] = ACTIONS(1509),
    [anon_sym__Alignof] = ACTIONS(1509),
    [anon_sym_offsetof] = ACTIONS(1509),
    [anon_sym__Generic] = ACTIONS(1509),
    [anon_sym_asm] = ACTIONS(1509),
    [anon_sym___asm__] = ACTIONS(1509),
    [sym_number_literal] = ACTIONS(1511),
    [anon_sym_L_SQUOTE] = ACTIONS(1511),
    [anon_sym_u_SQUOTE] = ACTIONS(1511),
    [anon_sym_U_SQUOTE] = ACTIONS(1511),
    [anon_sym_u8_SQUOTE] = ACTIONS(1511),
    [anon_sym_SQUOTE] = ACTIONS(1511),
    [anon_sym_L_DQUOTE] = ACTIONS(1511),
    [anon_sym_u_DQUOTE] = ACTIONS(1511),
    [anon_sym_U_DQUOTE] = ACTIONS(1511),
    [anon_sym_u8_DQUOTE] = ACTIONS(1511),
    [anon_sym_DQUOTE] = ACTIONS(1511),
    [sym_true] = ACTIONS(1509),
    [sym_false] = ACTIONS(1509),
    [anon_sym_NULL] = ACTIONS(1509),
    [anon_sym_nullptr] = ACTIONS(1509),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1509),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1509),
    [anon_sym_hitAttributeEXT] = ACTIONS(1509),
    [anon_sym_callableDataEXT] = ACTIONS(1509),
    [anon_sym_callableDataInEXT] = ACTIONS(1509),
    [anon_sym_shaderRecordEXT] = ACTIONS(1509),
    [anon_sym_rayPayloadNV] = ACTIONS(1509),
    [anon_sym_rayPayloadInNV] = ACTIONS(1509),
    [anon_sym_hitAttributeNV] = ACTIONS(1509),
    [anon_sym_callableDataNV] = ACTIONS(1509),
    [anon_sym_callableDataInNV] = ACTIONS(1509),
    [anon_sym_shaderRecordNV] = ACTIONS(1509),
    [anon_sym_layout] = ACTIONS(1509),
  },
  [215] = {
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token2] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [aux_sym_preproc_else_token1] = ACTIONS(1513),
    [aux_sym_preproc_elif_token1] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [216] = {
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token2] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [aux_sym_preproc_else_token1] = ACTIONS(1513),
    [aux_sym_preproc_elif_token1] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [217] = {
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token2] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [aux_sym_preproc_else_token1] = ACTIONS(1513),
    [aux_sym_preproc_elif_token1] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [218] = {
    [sym_identifier] = ACTIONS(1453),
    [aux_sym_preproc_include_token1] = ACTIONS(1453),
    [aux_sym_preproc_def_token1] = ACTIONS(1453),
    [aux_sym_preproc_if_token1] = ACTIONS(1453),
    [aux_sym_preproc_if_token2] = ACTIONS(1453),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1453),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1453),
    [aux_sym_preproc_else_token1] = ACTIONS(1453),
    [aux_sym_preproc_elif_token1] = ACTIONS(1453),
    [sym_preproc_directive] = ACTIONS(1453),
    [anon_sym_LPAREN2] = ACTIONS(1455),
    [anon_sym_BANG] = ACTIONS(1455),
    [anon_sym_TILDE] = ACTIONS(1455),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_STAR] = ACTIONS(1455),
    [anon_sym_AMP] = ACTIONS(1455),
    [anon_sym_subroutine] = ACTIONS(1453),
    [anon_sym_invariant] = ACTIONS(1453),
    [anon_sym_precise] = ACTIONS(1453),
    [anon_sym_SEMI] = ACTIONS(1455),
    [anon_sym_in] = ACTIONS(1453),
    [anon_sym_out] = ACTIONS(1453),
    [anon_sym_inout] = ACTIONS(1453),
    [anon_sym_uniform] = ACTIONS(1453),
    [anon_sym_shared] = ACTIONS(1453),
    [anon_sym_attribute] = ACTIONS(1453),
    [anon_sym_varying] = ACTIONS(1453),
    [anon_sym_buffer] = ACTIONS(1453),
    [anon_sym_coherent] = ACTIONS(1453),
    [anon_sym_readonly] = ACTIONS(1453),
    [anon_sym_writeonly] = ACTIONS(1453),
    [anon_sym_precision] = ACTIONS(1453),
    [anon_sym_highp] = ACTIONS(1453),
    [anon_sym_mediump] = ACTIONS(1453),
    [anon_sym_lowp] = ACTIONS(1453),
    [anon_sym_centroid] = ACTIONS(1453),
    [anon_sym_sample] = ACTIONS(1453),
    [anon_sym_patch] = ACTIONS(1453),
    [anon_sym_smooth] = ACTIONS(1453),
    [anon_sym_flat] = ACTIONS(1453),
    [anon_sym_noperspective] = ACTIONS(1453),
    [anon_sym___extension__] = ACTIONS(1453),
    [anon_sym_typedef] = ACTIONS(1453),
    [anon_sym_extern] = ACTIONS(1453),
    [anon_sym___attribute__] = ACTIONS(1453),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1455),
    [anon_sym___declspec] = ACTIONS(1453),
    [anon_sym___cdecl] = ACTIONS(1453),
    [anon_sym___clrcall] = ACTIONS(1453),
    [anon_sym___stdcall] = ACTIONS(1453),
    [anon_sym___fastcall] = ACTIONS(1453),
    [anon_sym___thiscall] = ACTIONS(1453),
    [anon_sym___vectorcall] = ACTIONS(1453),
    [anon_sym_LBRACE] = ACTIONS(1455),
    [anon_sym_signed] = ACTIONS(1453),
    [anon_sym_unsigned] = ACTIONS(1453),
    [anon_sym_long] = ACTIONS(1453),
    [anon_sym_short] = ACTIONS(1453),
    [anon_sym_static] = ACTIONS(1453),
    [anon_sym_auto] = ACTIONS(1453),
    [anon_sym_register] = ACTIONS(1453),
    [anon_sym_inline] = ACTIONS(1453),
    [anon_sym___inline] = ACTIONS(1453),
    [anon_sym___inline__] = ACTIONS(1453),
    [anon_sym___forceinline] = ACTIONS(1453),
    [anon_sym_thread_local] = ACTIONS(1453),
    [anon_sym___thread] = ACTIONS(1453),
    [anon_sym_const] = ACTIONS(1453),
    [anon_sym_constexpr] = ACTIONS(1453),
    [anon_sym_volatile] = ACTIONS(1453),
    [anon_sym_restrict] = ACTIONS(1453),
    [anon_sym___restrict__] = ACTIONS(1453),
    [anon_sym__Atomic] = ACTIONS(1453),
    [anon_sym__Noreturn] = ACTIONS(1453),
    [anon_sym_noreturn] = ACTIONS(1453),
    [sym_primitive_type] = ACTIONS(1453),
    [anon_sym_enum] = ACTIONS(1453),
    [anon_sym_struct] = ACTIONS(1453),
    [anon_sym_union] = ACTIONS(1453),
    [anon_sym_if] = ACTIONS(1453),
    [anon_sym_else] = ACTIONS(1453),
    [anon_sym_switch] = ACTIONS(1453),
    [anon_sym_case] = ACTIONS(1453),
    [anon_sym_default] = ACTIONS(1453),
    [anon_sym_while] = ACTIONS(1453),
    [anon_sym_do] = ACTIONS(1453),
    [anon_sym_for] = ACTIONS(1453),
    [anon_sym_return] = ACTIONS(1453),
    [anon_sym_break] = ACTIONS(1453),
    [anon_sym_continue] = ACTIONS(1453),
    [anon_sym_goto] = ACTIONS(1453),
    [anon_sym___try] = ACTIONS(1453),
    [anon_sym___leave] = ACTIONS(1453),
    [anon_sym_DASH_DASH] = ACTIONS(1455),
    [anon_sym_PLUS_PLUS] = ACTIONS(1455),
    [anon_sym_sizeof] = ACTIONS(1453),
    [anon_sym___alignof__] = ACTIONS(1453),
    [anon_sym___alignof] = ACTIONS(1453),
    [anon_sym__alignof] = ACTIONS(1453),
    [anon_sym_alignof] = ACTIONS(1453),
    [anon_sym__Alignof] = ACTIONS(1453),
    [anon_sym_offsetof] = ACTIONS(1453),
    [anon_sym__Generic] = ACTIONS(1453),
    [anon_sym_asm] = ACTIONS(1453),
    [anon_sym___asm__] = ACTIONS(1453),
    [sym_number_literal] = ACTIONS(1455),
    [anon_sym_L_SQUOTE] = ACTIONS(1455),
    [anon_sym_u_SQUOTE] = ACTIONS(1455),
    [anon_sym_U_SQUOTE] = ACTIONS(1455),
    [anon_sym_u8_SQUOTE] = ACTIONS(1455),
    [anon_sym_SQUOTE] = ACTIONS(1455),
    [anon_sym_L_DQUOTE] = ACTIONS(1455),
    [anon_sym_u_DQUOTE] = ACTIONS(1455),
    [anon_sym_U_DQUOTE] = ACTIONS(1455),
    [anon_sym_u8_DQUOTE] = ACTIONS(1455),
    [anon_sym_DQUOTE] = ACTIONS(1455),
    [sym_true] = ACTIONS(1453),
    [sym_false] = ACTIONS(1453),
    [anon_sym_NULL] = ACTIONS(1453),
    [anon_sym_nullptr] = ACTIONS(1453),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1453),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1453),
    [anon_sym_hitAttributeEXT] = ACTIONS(1453),
    [anon_sym_callableDataEXT] = ACTIONS(1453),
    [anon_sym_callableDataInEXT] = ACTIONS(1453),
    [anon_sym_shaderRecordEXT] = ACTIONS(1453),
    [anon_sym_rayPayloadNV] = ACTIONS(1453),
    [anon_sym_rayPayloadInNV] = ACTIONS(1453),
    [anon_sym_hitAttributeNV] = ACTIONS(1453),
    [anon_sym_callableDataNV] = ACTIONS(1453),
    [anon_sym_callableDataInNV] = ACTIONS(1453),
    [anon_sym_shaderRecordNV] = ACTIONS(1453),
    [anon_sym_layout] = ACTIONS(1453),
  },
  [219] = {
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token2] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [aux_sym_preproc_else_token1] = ACTIONS(1513),
    [aux_sym_preproc_elif_token1] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [220] = {
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token2] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [aux_sym_preproc_else_token1] = ACTIONS(1513),
    [aux_sym_preproc_elif_token1] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [221] = {
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token2] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [aux_sym_preproc_else_token1] = ACTIONS(1513),
    [aux_sym_preproc_elif_token1] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [222] = {
    [sym_identifier] = ACTIONS(1541),
    [aux_sym_preproc_include_token1] = ACTIONS(1541),
    [aux_sym_preproc_def_token1] = ACTIONS(1541),
    [aux_sym_preproc_if_token1] = ACTIONS(1541),
    [aux_sym_preproc_if_token2] = ACTIONS(1541),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1541),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1541),
    [aux_sym_preproc_else_token1] = ACTIONS(1541),
    [aux_sym_preproc_elif_token1] = ACTIONS(1541),
    [sym_preproc_directive] = ACTIONS(1541),
    [anon_sym_LPAREN2] = ACTIONS(1543),
    [anon_sym_BANG] = ACTIONS(1543),
    [anon_sym_TILDE] = ACTIONS(1543),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_STAR] = ACTIONS(1543),
    [anon_sym_AMP] = ACTIONS(1543),
    [anon_sym_subroutine] = ACTIONS(1541),
    [anon_sym_invariant] = ACTIONS(1541),
    [anon_sym_precise] = ACTIONS(1541),
    [anon_sym_SEMI] = ACTIONS(1543),
    [anon_sym_in] = ACTIONS(1541),
    [anon_sym_out] = ACTIONS(1541),
    [anon_sym_inout] = ACTIONS(1541),
    [anon_sym_uniform] = ACTIONS(1541),
    [anon_sym_shared] = ACTIONS(1541),
    [anon_sym_attribute] = ACTIONS(1541),
    [anon_sym_varying] = ACTIONS(1541),
    [anon_sym_buffer] = ACTIONS(1541),
    [anon_sym_coherent] = ACTIONS(1541),
    [anon_sym_readonly] = ACTIONS(1541),
    [anon_sym_writeonly] = ACTIONS(1541),
    [anon_sym_precision] = ACTIONS(1541),
    [anon_sym_highp] = ACTIONS(1541),
    [anon_sym_mediump] = ACTIONS(1541),
    [anon_sym_lowp] = ACTIONS(1541),
    [anon_sym_centroid] = ACTIONS(1541),
    [anon_sym_sample] = ACTIONS(1541),
    [anon_sym_patch] = ACTIONS(1541),
    [anon_sym_smooth] = ACTIONS(1541),
    [anon_sym_flat] = ACTIONS(1541),
    [anon_sym_noperspective] = ACTIONS(1541),
    [anon_sym___extension__] = ACTIONS(1541),
    [anon_sym_typedef] = ACTIONS(1541),
    [anon_sym_extern] = ACTIONS(1541),
    [anon_sym___attribute__] = ACTIONS(1541),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1543),
    [anon_sym___declspec] = ACTIONS(1541),
    [anon_sym___cdecl] = ACTIONS(1541),
    [anon_sym___clrcall] = ACTIONS(1541),
    [anon_sym___stdcall] = ACTIONS(1541),
    [anon_sym___fastcall] = ACTIONS(1541),
    [anon_sym___thiscall] = ACTIONS(1541),
    [anon_sym___vectorcall] = ACTIONS(1541),
    [anon_sym_LBRACE] = ACTIONS(1543),
    [anon_sym_signed] = ACTIONS(1541),
    [anon_sym_unsigned] = ACTIONS(1541),
    [anon_sym_long] = ACTIONS(1541),
    [anon_sym_short] = ACTIONS(1541),
    [anon_sym_static] = ACTIONS(1541),
    [anon_sym_auto] = ACTIONS(1541),
    [anon_sym_register] = ACTIONS(1541),
    [anon_sym_inline] = ACTIONS(1541),
    [anon_sym___inline] = ACTIONS(1541),
    [anon_sym___inline__] = ACTIONS(1541),
    [anon_sym___forceinline] = ACTIONS(1541),
    [anon_sym_thread_local] = ACTIONS(1541),
    [anon_sym___thread] = ACTIONS(1541),
    [anon_sym_const] = ACTIONS(1541),
    [anon_sym_constexpr] = ACTIONS(1541),
    [anon_sym_volatile] = ACTIONS(1541),
    [anon_sym_restrict] = ACTIONS(1541),
    [anon_sym___restrict__] = ACTIONS(1541),
    [anon_sym__Atomic] = ACTIONS(1541),
    [anon_sym__Noreturn] = ACTIONS(1541),
    [anon_sym_noreturn] = ACTIONS(1541),
    [sym_primitive_type] = ACTIONS(1541),
    [anon_sym_enum] = ACTIONS(1541),
    [anon_sym_struct] = ACTIONS(1541),
    [anon_sym_union] = ACTIONS(1541),
    [anon_sym_if] = ACTIONS(1541),
    [anon_sym_else] = ACTIONS(1541),
    [anon_sym_switch] = ACTIONS(1541),
    [anon_sym_case] = ACTIONS(1541),
    [anon_sym_default] = ACTIONS(1541),
    [anon_sym_while] = ACTIONS(1541),
    [anon_sym_do] = ACTIONS(1541),
    [anon_sym_for] = ACTIONS(1541),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_break] = ACTIONS(1541),
    [anon_sym_continue] = ACTIONS(1541),
    [anon_sym_goto] = ACTIONS(1541),
    [anon_sym___try] = ACTIONS(1541),
    [anon_sym___leave] = ACTIONS(1541),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_sizeof] = ACTIONS(1541),
    [anon_sym___alignof__] = ACTIONS(1541),
    [anon_sym___alignof] = ACTIONS(1541),
    [anon_sym__alignof] = ACTIONS(1541),
    [anon_sym_alignof] = ACTIONS(1541),
    [anon_sym__Alignof] = ACTIONS(1541),
    [anon_sym_offsetof] = ACTIONS(1541),
    [anon_sym__Generic] = ACTIONS(1541),
    [anon_sym_asm] = ACTIONS(1541),
    [anon_sym___asm__] = ACTIONS(1541),
    [sym_number_literal] = ACTIONS(1543),
    [anon_sym_L_SQUOTE] = ACTIONS(1543),
    [anon_sym_u_SQUOTE] = ACTIONS(1543),
    [anon_sym_U_SQUOTE] = ACTIONS(1543),
    [anon_sym_u8_SQUOTE] = ACTIONS(1543),
    [anon_sym_SQUOTE] = ACTIONS(1543),
    [anon_sym_L_DQUOTE] = ACTIONS(1543),
    [anon_sym_u_DQUOTE] = ACTIONS(1543),
    [anon_sym_U_DQUOTE] = ACTIONS(1543),
    [anon_sym_u8_DQUOTE] = ACTIONS(1543),
    [anon_sym_DQUOTE] = ACTIONS(1543),
    [sym_true] = ACTIONS(1541),
    [sym_false] = ACTIONS(1541),
    [anon_sym_NULL] = ACTIONS(1541),
    [anon_sym_nullptr] = ACTIONS(1541),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1541),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1541),
    [anon_sym_hitAttributeEXT] = ACTIONS(1541),
    [anon_sym_callableDataEXT] = ACTIONS(1541),
    [anon_sym_callableDataInEXT] = ACTIONS(1541),
    [anon_sym_shaderRecordEXT] = ACTIONS(1541),
    [anon_sym_rayPayloadNV] = ACTIONS(1541),
    [anon_sym_rayPayloadInNV] = ACTIONS(1541),
    [anon_sym_hitAttributeNV] = ACTIONS(1541),
    [anon_sym_callableDataNV] = ACTIONS(1541),
    [anon_sym_callableDataInNV] = ACTIONS(1541),
    [anon_sym_shaderRecordNV] = ACTIONS(1541),
    [anon_sym_layout] = ACTIONS(1541),
  },
  [223] = {
    [sym_identifier] = ACTIONS(1545),
    [aux_sym_preproc_include_token1] = ACTIONS(1545),
    [aux_sym_preproc_def_token1] = ACTIONS(1545),
    [aux_sym_preproc_if_token1] = ACTIONS(1545),
    [aux_sym_preproc_if_token2] = ACTIONS(1545),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1545),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1545),
    [aux_sym_preproc_else_token1] = ACTIONS(1545),
    [aux_sym_preproc_elif_token1] = ACTIONS(1545),
    [sym_preproc_directive] = ACTIONS(1545),
    [anon_sym_LPAREN2] = ACTIONS(1547),
    [anon_sym_BANG] = ACTIONS(1547),
    [anon_sym_TILDE] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1545),
    [anon_sym_PLUS] = ACTIONS(1545),
    [anon_sym_STAR] = ACTIONS(1547),
    [anon_sym_AMP] = ACTIONS(1547),
    [anon_sym_subroutine] = ACTIONS(1545),
    [anon_sym_invariant] = ACTIONS(1545),
    [anon_sym_precise] = ACTIONS(1545),
    [anon_sym_SEMI] = ACTIONS(1547),
    [anon_sym_in] = ACTIONS(1545),
    [anon_sym_out] = ACTIONS(1545),
    [anon_sym_inout] = ACTIONS(1545),
    [anon_sym_uniform] = ACTIONS(1545),
    [anon_sym_shared] = ACTIONS(1545),
    [anon_sym_attribute] = ACTIONS(1545),
    [anon_sym_varying] = ACTIONS(1545),
    [anon_sym_buffer] = ACTIONS(1545),
    [anon_sym_coherent] = ACTIONS(1545),
    [anon_sym_readonly] = ACTIONS(1545),
    [anon_sym_writeonly] = ACTIONS(1545),
    [anon_sym_precision] = ACTIONS(1545),
    [anon_sym_highp] = ACTIONS(1545),
    [anon_sym_mediump] = ACTIONS(1545),
    [anon_sym_lowp] = ACTIONS(1545),
    [anon_sym_centroid] = ACTIONS(1545),
    [anon_sym_sample] = ACTIONS(1545),
    [anon_sym_patch] = ACTIONS(1545),
    [anon_sym_smooth] = ACTIONS(1545),
    [anon_sym_flat] = ACTIONS(1545),
    [anon_sym_noperspective] = ACTIONS(1545),
    [anon_sym___extension__] = ACTIONS(1545),
    [anon_sym_typedef] = ACTIONS(1545),
    [anon_sym_extern] = ACTIONS(1545),
    [anon_sym___attribute__] = ACTIONS(1545),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1547),
    [anon_sym___declspec] = ACTIONS(1545),
    [anon_sym___cdecl] = ACTIONS(1545),
    [anon_sym___clrcall] = ACTIONS(1545),
    [anon_sym___stdcall] = ACTIONS(1545),
    [anon_sym___fastcall] = ACTIONS(1545),
    [anon_sym___thiscall] = ACTIONS(1545),
    [anon_sym___vectorcall] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(1547),
    [anon_sym_signed] = ACTIONS(1545),
    [anon_sym_unsigned] = ACTIONS(1545),
    [anon_sym_long] = ACTIONS(1545),
    [anon_sym_short] = ACTIONS(1545),
    [anon_sym_static] = ACTIONS(1545),
    [anon_sym_auto] = ACTIONS(1545),
    [anon_sym_register] = ACTIONS(1545),
    [anon_sym_inline] = ACTIONS(1545),
    [anon_sym___inline] = ACTIONS(1545),
    [anon_sym___inline__] = ACTIONS(1545),
    [anon_sym___forceinline] = ACTIONS(1545),
    [anon_sym_thread_local] = ACTIONS(1545),
    [anon_sym___thread] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(1545),
    [anon_sym_constexpr] = ACTIONS(1545),
    [anon_sym_volatile] = ACTIONS(1545),
    [anon_sym_restrict] = ACTIONS(1545),
    [anon_sym___restrict__] = ACTIONS(1545),
    [anon_sym__Atomic] = ACTIONS(1545),
    [anon_sym__Noreturn] = ACTIONS(1545),
    [anon_sym_noreturn] = ACTIONS(1545),
    [sym_primitive_type] = ACTIONS(1545),
    [anon_sym_enum] = ACTIONS(1545),
    [anon_sym_struct] = ACTIONS(1545),
    [anon_sym_union] = ACTIONS(1545),
    [anon_sym_if] = ACTIONS(1545),
    [anon_sym_else] = ACTIONS(1545),
    [anon_sym_switch] = ACTIONS(1545),
    [anon_sym_case] = ACTIONS(1545),
    [anon_sym_default] = ACTIONS(1545),
    [anon_sym_while] = ACTIONS(1545),
    [anon_sym_do] = ACTIONS(1545),
    [anon_sym_for] = ACTIONS(1545),
    [anon_sym_return] = ACTIONS(1545),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_continue] = ACTIONS(1545),
    [anon_sym_goto] = ACTIONS(1545),
    [anon_sym___try] = ACTIONS(1545),
    [anon_sym___leave] = ACTIONS(1545),
    [anon_sym_DASH_DASH] = ACTIONS(1547),
    [anon_sym_PLUS_PLUS] = ACTIONS(1547),
    [anon_sym_sizeof] = ACTIONS(1545),
    [anon_sym___alignof__] = ACTIONS(1545),
    [anon_sym___alignof] = ACTIONS(1545),
    [anon_sym__alignof] = ACTIONS(1545),
    [anon_sym_alignof] = ACTIONS(1545),
    [anon_sym__Alignof] = ACTIONS(1545),
    [anon_sym_offsetof] = ACTIONS(1545),
    [anon_sym__Generic] = ACTIONS(1545),
    [anon_sym_asm] = ACTIONS(1545),
    [anon_sym___asm__] = ACTIONS(1545),
    [sym_number_literal] = ACTIONS(1547),
    [anon_sym_L_SQUOTE] = ACTIONS(1547),
    [anon_sym_u_SQUOTE] = ACTIONS(1547),
    [anon_sym_U_SQUOTE] = ACTIONS(1547),
    [anon_sym_u8_SQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1547),
    [anon_sym_L_DQUOTE] = ACTIONS(1547),
    [anon_sym_u_DQUOTE] = ACTIONS(1547),
    [anon_sym_U_DQUOTE] = ACTIONS(1547),
    [anon_sym_u8_DQUOTE] = ACTIONS(1547),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [sym_true] = ACTIONS(1545),
    [sym_false] = ACTIONS(1545),
    [anon_sym_NULL] = ACTIONS(1545),
    [anon_sym_nullptr] = ACTIONS(1545),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1545),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1545),
    [anon_sym_hitAttributeEXT] = ACTIONS(1545),
    [anon_sym_callableDataEXT] = ACTIONS(1545),
    [anon_sym_callableDataInEXT] = ACTIONS(1545),
    [anon_sym_shaderRecordEXT] = ACTIONS(1545),
    [anon_sym_rayPayloadNV] = ACTIONS(1545),
    [anon_sym_rayPayloadInNV] = ACTIONS(1545),
    [anon_sym_hitAttributeNV] = ACTIONS(1545),
    [anon_sym_callableDataNV] = ACTIONS(1545),
    [anon_sym_callableDataInNV] = ACTIONS(1545),
    [anon_sym_shaderRecordNV] = ACTIONS(1545),
    [anon_sym_layout] = ACTIONS(1545),
  },
  [224] = {
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token2] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [aux_sym_preproc_else_token1] = ACTIONS(1513),
    [aux_sym_preproc_elif_token1] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [225] = {
    [sym_identifier] = ACTIONS(1545),
    [aux_sym_preproc_include_token1] = ACTIONS(1545),
    [aux_sym_preproc_def_token1] = ACTIONS(1545),
    [aux_sym_preproc_if_token1] = ACTIONS(1545),
    [aux_sym_preproc_if_token2] = ACTIONS(1545),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1545),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1545),
    [aux_sym_preproc_else_token1] = ACTIONS(1545),
    [aux_sym_preproc_elif_token1] = ACTIONS(1545),
    [sym_preproc_directive] = ACTIONS(1545),
    [anon_sym_LPAREN2] = ACTIONS(1547),
    [anon_sym_BANG] = ACTIONS(1547),
    [anon_sym_TILDE] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1545),
    [anon_sym_PLUS] = ACTIONS(1545),
    [anon_sym_STAR] = ACTIONS(1547),
    [anon_sym_AMP] = ACTIONS(1547),
    [anon_sym_subroutine] = ACTIONS(1545),
    [anon_sym_invariant] = ACTIONS(1545),
    [anon_sym_precise] = ACTIONS(1545),
    [anon_sym_SEMI] = ACTIONS(1547),
    [anon_sym_in] = ACTIONS(1545),
    [anon_sym_out] = ACTIONS(1545),
    [anon_sym_inout] = ACTIONS(1545),
    [anon_sym_uniform] = ACTIONS(1545),
    [anon_sym_shared] = ACTIONS(1545),
    [anon_sym_attribute] = ACTIONS(1545),
    [anon_sym_varying] = ACTIONS(1545),
    [anon_sym_buffer] = ACTIONS(1545),
    [anon_sym_coherent] = ACTIONS(1545),
    [anon_sym_readonly] = ACTIONS(1545),
    [anon_sym_writeonly] = ACTIONS(1545),
    [anon_sym_precision] = ACTIONS(1545),
    [anon_sym_highp] = ACTIONS(1545),
    [anon_sym_mediump] = ACTIONS(1545),
    [anon_sym_lowp] = ACTIONS(1545),
    [anon_sym_centroid] = ACTIONS(1545),
    [anon_sym_sample] = ACTIONS(1545),
    [anon_sym_patch] = ACTIONS(1545),
    [anon_sym_smooth] = ACTIONS(1545),
    [anon_sym_flat] = ACTIONS(1545),
    [anon_sym_noperspective] = ACTIONS(1545),
    [anon_sym___extension__] = ACTIONS(1545),
    [anon_sym_typedef] = ACTIONS(1545),
    [anon_sym_extern] = ACTIONS(1545),
    [anon_sym___attribute__] = ACTIONS(1545),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1547),
    [anon_sym___declspec] = ACTIONS(1545),
    [anon_sym___cdecl] = ACTIONS(1545),
    [anon_sym___clrcall] = ACTIONS(1545),
    [anon_sym___stdcall] = ACTIONS(1545),
    [anon_sym___fastcall] = ACTIONS(1545),
    [anon_sym___thiscall] = ACTIONS(1545),
    [anon_sym___vectorcall] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(1547),
    [anon_sym_signed] = ACTIONS(1545),
    [anon_sym_unsigned] = ACTIONS(1545),
    [anon_sym_long] = ACTIONS(1545),
    [anon_sym_short] = ACTIONS(1545),
    [anon_sym_static] = ACTIONS(1545),
    [anon_sym_auto] = ACTIONS(1545),
    [anon_sym_register] = ACTIONS(1545),
    [anon_sym_inline] = ACTIONS(1545),
    [anon_sym___inline] = ACTIONS(1545),
    [anon_sym___inline__] = ACTIONS(1545),
    [anon_sym___forceinline] = ACTIONS(1545),
    [anon_sym_thread_local] = ACTIONS(1545),
    [anon_sym___thread] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(1545),
    [anon_sym_constexpr] = ACTIONS(1545),
    [anon_sym_volatile] = ACTIONS(1545),
    [anon_sym_restrict] = ACTIONS(1545),
    [anon_sym___restrict__] = ACTIONS(1545),
    [anon_sym__Atomic] = ACTIONS(1545),
    [anon_sym__Noreturn] = ACTIONS(1545),
    [anon_sym_noreturn] = ACTIONS(1545),
    [sym_primitive_type] = ACTIONS(1545),
    [anon_sym_enum] = ACTIONS(1545),
    [anon_sym_struct] = ACTIONS(1545),
    [anon_sym_union] = ACTIONS(1545),
    [anon_sym_if] = ACTIONS(1545),
    [anon_sym_else] = ACTIONS(1545),
    [anon_sym_switch] = ACTIONS(1545),
    [anon_sym_case] = ACTIONS(1545),
    [anon_sym_default] = ACTIONS(1545),
    [anon_sym_while] = ACTIONS(1545),
    [anon_sym_do] = ACTIONS(1545),
    [anon_sym_for] = ACTIONS(1545),
    [anon_sym_return] = ACTIONS(1545),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_continue] = ACTIONS(1545),
    [anon_sym_goto] = ACTIONS(1545),
    [anon_sym___try] = ACTIONS(1545),
    [anon_sym___leave] = ACTIONS(1545),
    [anon_sym_DASH_DASH] = ACTIONS(1547),
    [anon_sym_PLUS_PLUS] = ACTIONS(1547),
    [anon_sym_sizeof] = ACTIONS(1545),
    [anon_sym___alignof__] = ACTIONS(1545),
    [anon_sym___alignof] = ACTIONS(1545),
    [anon_sym__alignof] = ACTIONS(1545),
    [anon_sym_alignof] = ACTIONS(1545),
    [anon_sym__Alignof] = ACTIONS(1545),
    [anon_sym_offsetof] = ACTIONS(1545),
    [anon_sym__Generic] = ACTIONS(1545),
    [anon_sym_asm] = ACTIONS(1545),
    [anon_sym___asm__] = ACTIONS(1545),
    [sym_number_literal] = ACTIONS(1547),
    [anon_sym_L_SQUOTE] = ACTIONS(1547),
    [anon_sym_u_SQUOTE] = ACTIONS(1547),
    [anon_sym_U_SQUOTE] = ACTIONS(1547),
    [anon_sym_u8_SQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1547),
    [anon_sym_L_DQUOTE] = ACTIONS(1547),
    [anon_sym_u_DQUOTE] = ACTIONS(1547),
    [anon_sym_U_DQUOTE] = ACTIONS(1547),
    [anon_sym_u8_DQUOTE] = ACTIONS(1547),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [sym_true] = ACTIONS(1545),
    [sym_false] = ACTIONS(1545),
    [anon_sym_NULL] = ACTIONS(1545),
    [anon_sym_nullptr] = ACTIONS(1545),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1545),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1545),
    [anon_sym_hitAttributeEXT] = ACTIONS(1545),
    [anon_sym_callableDataEXT] = ACTIONS(1545),
    [anon_sym_callableDataInEXT] = ACTIONS(1545),
    [anon_sym_shaderRecordEXT] = ACTIONS(1545),
    [anon_sym_rayPayloadNV] = ACTIONS(1545),
    [anon_sym_rayPayloadInNV] = ACTIONS(1545),
    [anon_sym_hitAttributeNV] = ACTIONS(1545),
    [anon_sym_callableDataNV] = ACTIONS(1545),
    [anon_sym_callableDataInNV] = ACTIONS(1545),
    [anon_sym_shaderRecordNV] = ACTIONS(1545),
    [anon_sym_layout] = ACTIONS(1545),
  },
  [226] = {
    [sym_identifier] = ACTIONS(1549),
    [aux_sym_preproc_include_token1] = ACTIONS(1549),
    [aux_sym_preproc_def_token1] = ACTIONS(1549),
    [aux_sym_preproc_if_token1] = ACTIONS(1549),
    [aux_sym_preproc_if_token2] = ACTIONS(1549),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1549),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1549),
    [aux_sym_preproc_else_token1] = ACTIONS(1549),
    [aux_sym_preproc_elif_token1] = ACTIONS(1549),
    [sym_preproc_directive] = ACTIONS(1549),
    [anon_sym_LPAREN2] = ACTIONS(1551),
    [anon_sym_BANG] = ACTIONS(1551),
    [anon_sym_TILDE] = ACTIONS(1551),
    [anon_sym_DASH] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_STAR] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(1551),
    [anon_sym_subroutine] = ACTIONS(1549),
    [anon_sym_invariant] = ACTIONS(1549),
    [anon_sym_precise] = ACTIONS(1549),
    [anon_sym_SEMI] = ACTIONS(1551),
    [anon_sym_in] = ACTIONS(1549),
    [anon_sym_out] = ACTIONS(1549),
    [anon_sym_inout] = ACTIONS(1549),
    [anon_sym_uniform] = ACTIONS(1549),
    [anon_sym_shared] = ACTIONS(1549),
    [anon_sym_attribute] = ACTIONS(1549),
    [anon_sym_varying] = ACTIONS(1549),
    [anon_sym_buffer] = ACTIONS(1549),
    [anon_sym_coherent] = ACTIONS(1549),
    [anon_sym_readonly] = ACTIONS(1549),
    [anon_sym_writeonly] = ACTIONS(1549),
    [anon_sym_precision] = ACTIONS(1549),
    [anon_sym_highp] = ACTIONS(1549),
    [anon_sym_mediump] = ACTIONS(1549),
    [anon_sym_lowp] = ACTIONS(1549),
    [anon_sym_centroid] = ACTIONS(1549),
    [anon_sym_sample] = ACTIONS(1549),
    [anon_sym_patch] = ACTIONS(1549),
    [anon_sym_smooth] = ACTIONS(1549),
    [anon_sym_flat] = ACTIONS(1549),
    [anon_sym_noperspective] = ACTIONS(1549),
    [anon_sym___extension__] = ACTIONS(1549),
    [anon_sym_typedef] = ACTIONS(1549),
    [anon_sym_extern] = ACTIONS(1549),
    [anon_sym___attribute__] = ACTIONS(1549),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1551),
    [anon_sym___declspec] = ACTIONS(1549),
    [anon_sym___cdecl] = ACTIONS(1549),
    [anon_sym___clrcall] = ACTIONS(1549),
    [anon_sym___stdcall] = ACTIONS(1549),
    [anon_sym___fastcall] = ACTIONS(1549),
    [anon_sym___thiscall] = ACTIONS(1549),
    [anon_sym___vectorcall] = ACTIONS(1549),
    [anon_sym_LBRACE] = ACTIONS(1551),
    [anon_sym_signed] = ACTIONS(1549),
    [anon_sym_unsigned] = ACTIONS(1549),
    [anon_sym_long] = ACTIONS(1549),
    [anon_sym_short] = ACTIONS(1549),
    [anon_sym_static] = ACTIONS(1549),
    [anon_sym_auto] = ACTIONS(1549),
    [anon_sym_register] = ACTIONS(1549),
    [anon_sym_inline] = ACTIONS(1549),
    [anon_sym___inline] = ACTIONS(1549),
    [anon_sym___inline__] = ACTIONS(1549),
    [anon_sym___forceinline] = ACTIONS(1549),
    [anon_sym_thread_local] = ACTIONS(1549),
    [anon_sym___thread] = ACTIONS(1549),
    [anon_sym_const] = ACTIONS(1549),
    [anon_sym_constexpr] = ACTIONS(1549),
    [anon_sym_volatile] = ACTIONS(1549),
    [anon_sym_restrict] = ACTIONS(1549),
    [anon_sym___restrict__] = ACTIONS(1549),
    [anon_sym__Atomic] = ACTIONS(1549),
    [anon_sym__Noreturn] = ACTIONS(1549),
    [anon_sym_noreturn] = ACTIONS(1549),
    [sym_primitive_type] = ACTIONS(1549),
    [anon_sym_enum] = ACTIONS(1549),
    [anon_sym_struct] = ACTIONS(1549),
    [anon_sym_union] = ACTIONS(1549),
    [anon_sym_if] = ACTIONS(1549),
    [anon_sym_else] = ACTIONS(1549),
    [anon_sym_switch] = ACTIONS(1549),
    [anon_sym_case] = ACTIONS(1549),
    [anon_sym_default] = ACTIONS(1549),
    [anon_sym_while] = ACTIONS(1549),
    [anon_sym_do] = ACTIONS(1549),
    [anon_sym_for] = ACTIONS(1549),
    [anon_sym_return] = ACTIONS(1549),
    [anon_sym_break] = ACTIONS(1549),
    [anon_sym_continue] = ACTIONS(1549),
    [anon_sym_goto] = ACTIONS(1549),
    [anon_sym___try] = ACTIONS(1549),
    [anon_sym___leave] = ACTIONS(1549),
    [anon_sym_DASH_DASH] = ACTIONS(1551),
    [anon_sym_PLUS_PLUS] = ACTIONS(1551),
    [anon_sym_sizeof] = ACTIONS(1549),
    [anon_sym___alignof__] = ACTIONS(1549),
    [anon_sym___alignof] = ACTIONS(1549),
    [anon_sym__alignof] = ACTIONS(1549),
    [anon_sym_alignof] = ACTIONS(1549),
    [anon_sym__Alignof] = ACTIONS(1549),
    [anon_sym_offsetof] = ACTIONS(1549),
    [anon_sym__Generic] = ACTIONS(1549),
    [anon_sym_asm] = ACTIONS(1549),
    [anon_sym___asm__] = ACTIONS(1549),
    [sym_number_literal] = ACTIONS(1551),
    [anon_sym_L_SQUOTE] = ACTIONS(1551),
    [anon_sym_u_SQUOTE] = ACTIONS(1551),
    [anon_sym_U_SQUOTE] = ACTIONS(1551),
    [anon_sym_u8_SQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1551),
    [anon_sym_L_DQUOTE] = ACTIONS(1551),
    [anon_sym_u_DQUOTE] = ACTIONS(1551),
    [anon_sym_U_DQUOTE] = ACTIONS(1551),
    [anon_sym_u8_DQUOTE] = ACTIONS(1551),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [sym_true] = ACTIONS(1549),
    [sym_false] = ACTIONS(1549),
    [anon_sym_NULL] = ACTIONS(1549),
    [anon_sym_nullptr] = ACTIONS(1549),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1549),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1549),
    [anon_sym_hitAttributeEXT] = ACTIONS(1549),
    [anon_sym_callableDataEXT] = ACTIONS(1549),
    [anon_sym_callableDataInEXT] = ACTIONS(1549),
    [anon_sym_shaderRecordEXT] = ACTIONS(1549),
    [anon_sym_rayPayloadNV] = ACTIONS(1549),
    [anon_sym_rayPayloadInNV] = ACTIONS(1549),
    [anon_sym_hitAttributeNV] = ACTIONS(1549),
    [anon_sym_callableDataNV] = ACTIONS(1549),
    [anon_sym_callableDataInNV] = ACTIONS(1549),
    [anon_sym_shaderRecordNV] = ACTIONS(1549),
    [anon_sym_layout] = ACTIONS(1549),
  },
  [227] = {
    [sym_identifier] = ACTIONS(1549),
    [aux_sym_preproc_include_token1] = ACTIONS(1549),
    [aux_sym_preproc_def_token1] = ACTIONS(1549),
    [aux_sym_preproc_if_token1] = ACTIONS(1549),
    [aux_sym_preproc_if_token2] = ACTIONS(1549),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1549),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1549),
    [aux_sym_preproc_else_token1] = ACTIONS(1549),
    [aux_sym_preproc_elif_token1] = ACTIONS(1549),
    [sym_preproc_directive] = ACTIONS(1549),
    [anon_sym_LPAREN2] = ACTIONS(1551),
    [anon_sym_BANG] = ACTIONS(1551),
    [anon_sym_TILDE] = ACTIONS(1551),
    [anon_sym_DASH] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_STAR] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(1551),
    [anon_sym_subroutine] = ACTIONS(1549),
    [anon_sym_invariant] = ACTIONS(1549),
    [anon_sym_precise] = ACTIONS(1549),
    [anon_sym_SEMI] = ACTIONS(1551),
    [anon_sym_in] = ACTIONS(1549),
    [anon_sym_out] = ACTIONS(1549),
    [anon_sym_inout] = ACTIONS(1549),
    [anon_sym_uniform] = ACTIONS(1549),
    [anon_sym_shared] = ACTIONS(1549),
    [anon_sym_attribute] = ACTIONS(1549),
    [anon_sym_varying] = ACTIONS(1549),
    [anon_sym_buffer] = ACTIONS(1549),
    [anon_sym_coherent] = ACTIONS(1549),
    [anon_sym_readonly] = ACTIONS(1549),
    [anon_sym_writeonly] = ACTIONS(1549),
    [anon_sym_precision] = ACTIONS(1549),
    [anon_sym_highp] = ACTIONS(1549),
    [anon_sym_mediump] = ACTIONS(1549),
    [anon_sym_lowp] = ACTIONS(1549),
    [anon_sym_centroid] = ACTIONS(1549),
    [anon_sym_sample] = ACTIONS(1549),
    [anon_sym_patch] = ACTIONS(1549),
    [anon_sym_smooth] = ACTIONS(1549),
    [anon_sym_flat] = ACTIONS(1549),
    [anon_sym_noperspective] = ACTIONS(1549),
    [anon_sym___extension__] = ACTIONS(1549),
    [anon_sym_typedef] = ACTIONS(1549),
    [anon_sym_extern] = ACTIONS(1549),
    [anon_sym___attribute__] = ACTIONS(1549),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1551),
    [anon_sym___declspec] = ACTIONS(1549),
    [anon_sym___cdecl] = ACTIONS(1549),
    [anon_sym___clrcall] = ACTIONS(1549),
    [anon_sym___stdcall] = ACTIONS(1549),
    [anon_sym___fastcall] = ACTIONS(1549),
    [anon_sym___thiscall] = ACTIONS(1549),
    [anon_sym___vectorcall] = ACTIONS(1549),
    [anon_sym_LBRACE] = ACTIONS(1551),
    [anon_sym_signed] = ACTIONS(1549),
    [anon_sym_unsigned] = ACTIONS(1549),
    [anon_sym_long] = ACTIONS(1549),
    [anon_sym_short] = ACTIONS(1549),
    [anon_sym_static] = ACTIONS(1549),
    [anon_sym_auto] = ACTIONS(1549),
    [anon_sym_register] = ACTIONS(1549),
    [anon_sym_inline] = ACTIONS(1549),
    [anon_sym___inline] = ACTIONS(1549),
    [anon_sym___inline__] = ACTIONS(1549),
    [anon_sym___forceinline] = ACTIONS(1549),
    [anon_sym_thread_local] = ACTIONS(1549),
    [anon_sym___thread] = ACTIONS(1549),
    [anon_sym_const] = ACTIONS(1549),
    [anon_sym_constexpr] = ACTIONS(1549),
    [anon_sym_volatile] = ACTIONS(1549),
    [anon_sym_restrict] = ACTIONS(1549),
    [anon_sym___restrict__] = ACTIONS(1549),
    [anon_sym__Atomic] = ACTIONS(1549),
    [anon_sym__Noreturn] = ACTIONS(1549),
    [anon_sym_noreturn] = ACTIONS(1549),
    [sym_primitive_type] = ACTIONS(1549),
    [anon_sym_enum] = ACTIONS(1549),
    [anon_sym_struct] = ACTIONS(1549),
    [anon_sym_union] = ACTIONS(1549),
    [anon_sym_if] = ACTIONS(1549),
    [anon_sym_else] = ACTIONS(1549),
    [anon_sym_switch] = ACTIONS(1549),
    [anon_sym_case] = ACTIONS(1549),
    [anon_sym_default] = ACTIONS(1549),
    [anon_sym_while] = ACTIONS(1549),
    [anon_sym_do] = ACTIONS(1549),
    [anon_sym_for] = ACTIONS(1549),
    [anon_sym_return] = ACTIONS(1549),
    [anon_sym_break] = ACTIONS(1549),
    [anon_sym_continue] = ACTIONS(1549),
    [anon_sym_goto] = ACTIONS(1549),
    [anon_sym___try] = ACTIONS(1549),
    [anon_sym___leave] = ACTIONS(1549),
    [anon_sym_DASH_DASH] = ACTIONS(1551),
    [anon_sym_PLUS_PLUS] = ACTIONS(1551),
    [anon_sym_sizeof] = ACTIONS(1549),
    [anon_sym___alignof__] = ACTIONS(1549),
    [anon_sym___alignof] = ACTIONS(1549),
    [anon_sym__alignof] = ACTIONS(1549),
    [anon_sym_alignof] = ACTIONS(1549),
    [anon_sym__Alignof] = ACTIONS(1549),
    [anon_sym_offsetof] = ACTIONS(1549),
    [anon_sym__Generic] = ACTIONS(1549),
    [anon_sym_asm] = ACTIONS(1549),
    [anon_sym___asm__] = ACTIONS(1549),
    [sym_number_literal] = ACTIONS(1551),
    [anon_sym_L_SQUOTE] = ACTIONS(1551),
    [anon_sym_u_SQUOTE] = ACTIONS(1551),
    [anon_sym_U_SQUOTE] = ACTIONS(1551),
    [anon_sym_u8_SQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1551),
    [anon_sym_L_DQUOTE] = ACTIONS(1551),
    [anon_sym_u_DQUOTE] = ACTIONS(1551),
    [anon_sym_U_DQUOTE] = ACTIONS(1551),
    [anon_sym_u8_DQUOTE] = ACTIONS(1551),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [sym_true] = ACTIONS(1549),
    [sym_false] = ACTIONS(1549),
    [anon_sym_NULL] = ACTIONS(1549),
    [anon_sym_nullptr] = ACTIONS(1549),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1549),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1549),
    [anon_sym_hitAttributeEXT] = ACTIONS(1549),
    [anon_sym_callableDataEXT] = ACTIONS(1549),
    [anon_sym_callableDataInEXT] = ACTIONS(1549),
    [anon_sym_shaderRecordEXT] = ACTIONS(1549),
    [anon_sym_rayPayloadNV] = ACTIONS(1549),
    [anon_sym_rayPayloadInNV] = ACTIONS(1549),
    [anon_sym_hitAttributeNV] = ACTIONS(1549),
    [anon_sym_callableDataNV] = ACTIONS(1549),
    [anon_sym_callableDataInNV] = ACTIONS(1549),
    [anon_sym_shaderRecordNV] = ACTIONS(1549),
    [anon_sym_layout] = ACTIONS(1549),
  },
  [228] = {
    [sym_identifier] = ACTIONS(1537),
    [aux_sym_preproc_include_token1] = ACTIONS(1537),
    [aux_sym_preproc_def_token1] = ACTIONS(1537),
    [aux_sym_preproc_if_token1] = ACTIONS(1537),
    [aux_sym_preproc_if_token2] = ACTIONS(1537),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1537),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1537),
    [aux_sym_preproc_else_token1] = ACTIONS(1537),
    [aux_sym_preproc_elif_token1] = ACTIONS(1537),
    [sym_preproc_directive] = ACTIONS(1537),
    [anon_sym_LPAREN2] = ACTIONS(1539),
    [anon_sym_BANG] = ACTIONS(1539),
    [anon_sym_TILDE] = ACTIONS(1539),
    [anon_sym_DASH] = ACTIONS(1537),
    [anon_sym_PLUS] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(1539),
    [anon_sym_AMP] = ACTIONS(1539),
    [anon_sym_subroutine] = ACTIONS(1537),
    [anon_sym_invariant] = ACTIONS(1537),
    [anon_sym_precise] = ACTIONS(1537),
    [anon_sym_SEMI] = ACTIONS(1539),
    [anon_sym_in] = ACTIONS(1537),
    [anon_sym_out] = ACTIONS(1537),
    [anon_sym_inout] = ACTIONS(1537),
    [anon_sym_uniform] = ACTIONS(1537),
    [anon_sym_shared] = ACTIONS(1537),
    [anon_sym_attribute] = ACTIONS(1537),
    [anon_sym_varying] = ACTIONS(1537),
    [anon_sym_buffer] = ACTIONS(1537),
    [anon_sym_coherent] = ACTIONS(1537),
    [anon_sym_readonly] = ACTIONS(1537),
    [anon_sym_writeonly] = ACTIONS(1537),
    [anon_sym_precision] = ACTIONS(1537),
    [anon_sym_highp] = ACTIONS(1537),
    [anon_sym_mediump] = ACTIONS(1537),
    [anon_sym_lowp] = ACTIONS(1537),
    [anon_sym_centroid] = ACTIONS(1537),
    [anon_sym_sample] = ACTIONS(1537),
    [anon_sym_patch] = ACTIONS(1537),
    [anon_sym_smooth] = ACTIONS(1537),
    [anon_sym_flat] = ACTIONS(1537),
    [anon_sym_noperspective] = ACTIONS(1537),
    [anon_sym___extension__] = ACTIONS(1537),
    [anon_sym_typedef] = ACTIONS(1537),
    [anon_sym_extern] = ACTIONS(1537),
    [anon_sym___attribute__] = ACTIONS(1537),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1539),
    [anon_sym___declspec] = ACTIONS(1537),
    [anon_sym___cdecl] = ACTIONS(1537),
    [anon_sym___clrcall] = ACTIONS(1537),
    [anon_sym___stdcall] = ACTIONS(1537),
    [anon_sym___fastcall] = ACTIONS(1537),
    [anon_sym___thiscall] = ACTIONS(1537),
    [anon_sym___vectorcall] = ACTIONS(1537),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_signed] = ACTIONS(1537),
    [anon_sym_unsigned] = ACTIONS(1537),
    [anon_sym_long] = ACTIONS(1537),
    [anon_sym_short] = ACTIONS(1537),
    [anon_sym_static] = ACTIONS(1537),
    [anon_sym_auto] = ACTIONS(1537),
    [anon_sym_register] = ACTIONS(1537),
    [anon_sym_inline] = ACTIONS(1537),
    [anon_sym___inline] = ACTIONS(1537),
    [anon_sym___inline__] = ACTIONS(1537),
    [anon_sym___forceinline] = ACTIONS(1537),
    [anon_sym_thread_local] = ACTIONS(1537),
    [anon_sym___thread] = ACTIONS(1537),
    [anon_sym_const] = ACTIONS(1537),
    [anon_sym_constexpr] = ACTIONS(1537),
    [anon_sym_volatile] = ACTIONS(1537),
    [anon_sym_restrict] = ACTIONS(1537),
    [anon_sym___restrict__] = ACTIONS(1537),
    [anon_sym__Atomic] = ACTIONS(1537),
    [anon_sym__Noreturn] = ACTIONS(1537),
    [anon_sym_noreturn] = ACTIONS(1537),
    [sym_primitive_type] = ACTIONS(1537),
    [anon_sym_enum] = ACTIONS(1537),
    [anon_sym_struct] = ACTIONS(1537),
    [anon_sym_union] = ACTIONS(1537),
    [anon_sym_if] = ACTIONS(1537),
    [anon_sym_else] = ACTIONS(1537),
    [anon_sym_switch] = ACTIONS(1537),
    [anon_sym_case] = ACTIONS(1537),
    [anon_sym_default] = ACTIONS(1537),
    [anon_sym_while] = ACTIONS(1537),
    [anon_sym_do] = ACTIONS(1537),
    [anon_sym_for] = ACTIONS(1537),
    [anon_sym_return] = ACTIONS(1537),
    [anon_sym_break] = ACTIONS(1537),
    [anon_sym_continue] = ACTIONS(1537),
    [anon_sym_goto] = ACTIONS(1537),
    [anon_sym___try] = ACTIONS(1537),
    [anon_sym___leave] = ACTIONS(1537),
    [anon_sym_DASH_DASH] = ACTIONS(1539),
    [anon_sym_PLUS_PLUS] = ACTIONS(1539),
    [anon_sym_sizeof] = ACTIONS(1537),
    [anon_sym___alignof__] = ACTIONS(1537),
    [anon_sym___alignof] = ACTIONS(1537),
    [anon_sym__alignof] = ACTIONS(1537),
    [anon_sym_alignof] = ACTIONS(1537),
    [anon_sym__Alignof] = ACTIONS(1537),
    [anon_sym_offsetof] = ACTIONS(1537),
    [anon_sym__Generic] = ACTIONS(1537),
    [anon_sym_asm] = ACTIONS(1537),
    [anon_sym___asm__] = ACTIONS(1537),
    [sym_number_literal] = ACTIONS(1539),
    [anon_sym_L_SQUOTE] = ACTIONS(1539),
    [anon_sym_u_SQUOTE] = ACTIONS(1539),
    [anon_sym_U_SQUOTE] = ACTIONS(1539),
    [anon_sym_u8_SQUOTE] = ACTIONS(1539),
    [anon_sym_SQUOTE] = ACTIONS(1539),
    [anon_sym_L_DQUOTE] = ACTIONS(1539),
    [anon_sym_u_DQUOTE] = ACTIONS(1539),
    [anon_sym_U_DQUOTE] = ACTIONS(1539),
    [anon_sym_u8_DQUOTE] = ACTIONS(1539),
    [anon_sym_DQUOTE] = ACTIONS(1539),
    [sym_true] = ACTIONS(1537),
    [sym_false] = ACTIONS(1537),
    [anon_sym_NULL] = ACTIONS(1537),
    [anon_sym_nullptr] = ACTIONS(1537),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1537),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1537),
    [anon_sym_hitAttributeEXT] = ACTIONS(1537),
    [anon_sym_callableDataEXT] = ACTIONS(1537),
    [anon_sym_callableDataInEXT] = ACTIONS(1537),
    [anon_sym_shaderRecordEXT] = ACTIONS(1537),
    [anon_sym_rayPayloadNV] = ACTIONS(1537),
    [anon_sym_rayPayloadInNV] = ACTIONS(1537),
    [anon_sym_hitAttributeNV] = ACTIONS(1537),
    [anon_sym_callableDataNV] = ACTIONS(1537),
    [anon_sym_callableDataInNV] = ACTIONS(1537),
    [anon_sym_shaderRecordNV] = ACTIONS(1537),
    [anon_sym_layout] = ACTIONS(1537),
  },
  [229] = {
    [sym_identifier] = ACTIONS(1441),
    [aux_sym_preproc_include_token1] = ACTIONS(1441),
    [aux_sym_preproc_def_token1] = ACTIONS(1441),
    [aux_sym_preproc_if_token1] = ACTIONS(1441),
    [aux_sym_preproc_if_token2] = ACTIONS(1441),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1441),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1441),
    [aux_sym_preproc_else_token1] = ACTIONS(1441),
    [aux_sym_preproc_elif_token1] = ACTIONS(1441),
    [sym_preproc_directive] = ACTIONS(1441),
    [anon_sym_LPAREN2] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(1443),
    [anon_sym_TILDE] = ACTIONS(1443),
    [anon_sym_DASH] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_STAR] = ACTIONS(1443),
    [anon_sym_AMP] = ACTIONS(1443),
    [anon_sym_subroutine] = ACTIONS(1441),
    [anon_sym_invariant] = ACTIONS(1441),
    [anon_sym_precise] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1443),
    [anon_sym_in] = ACTIONS(1441),
    [anon_sym_out] = ACTIONS(1441),
    [anon_sym_inout] = ACTIONS(1441),
    [anon_sym_uniform] = ACTIONS(1441),
    [anon_sym_shared] = ACTIONS(1441),
    [anon_sym_attribute] = ACTIONS(1441),
    [anon_sym_varying] = ACTIONS(1441),
    [anon_sym_buffer] = ACTIONS(1441),
    [anon_sym_coherent] = ACTIONS(1441),
    [anon_sym_readonly] = ACTIONS(1441),
    [anon_sym_writeonly] = ACTIONS(1441),
    [anon_sym_precision] = ACTIONS(1441),
    [anon_sym_highp] = ACTIONS(1441),
    [anon_sym_mediump] = ACTIONS(1441),
    [anon_sym_lowp] = ACTIONS(1441),
    [anon_sym_centroid] = ACTIONS(1441),
    [anon_sym_sample] = ACTIONS(1441),
    [anon_sym_patch] = ACTIONS(1441),
    [anon_sym_smooth] = ACTIONS(1441),
    [anon_sym_flat] = ACTIONS(1441),
    [anon_sym_noperspective] = ACTIONS(1441),
    [anon_sym___extension__] = ACTIONS(1441),
    [anon_sym_typedef] = ACTIONS(1441),
    [anon_sym_extern] = ACTIONS(1441),
    [anon_sym___attribute__] = ACTIONS(1441),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1443),
    [anon_sym___declspec] = ACTIONS(1441),
    [anon_sym___cdecl] = ACTIONS(1441),
    [anon_sym___clrcall] = ACTIONS(1441),
    [anon_sym___stdcall] = ACTIONS(1441),
    [anon_sym___fastcall] = ACTIONS(1441),
    [anon_sym___thiscall] = ACTIONS(1441),
    [anon_sym___vectorcall] = ACTIONS(1441),
    [anon_sym_LBRACE] = ACTIONS(1443),
    [anon_sym_signed] = ACTIONS(1441),
    [anon_sym_unsigned] = ACTIONS(1441),
    [anon_sym_long] = ACTIONS(1441),
    [anon_sym_short] = ACTIONS(1441),
    [anon_sym_static] = ACTIONS(1441),
    [anon_sym_auto] = ACTIONS(1441),
    [anon_sym_register] = ACTIONS(1441),
    [anon_sym_inline] = ACTIONS(1441),
    [anon_sym___inline] = ACTIONS(1441),
    [anon_sym___inline__] = ACTIONS(1441),
    [anon_sym___forceinline] = ACTIONS(1441),
    [anon_sym_thread_local] = ACTIONS(1441),
    [anon_sym___thread] = ACTIONS(1441),
    [anon_sym_const] = ACTIONS(1441),
    [anon_sym_constexpr] = ACTIONS(1441),
    [anon_sym_volatile] = ACTIONS(1441),
    [anon_sym_restrict] = ACTIONS(1441),
    [anon_sym___restrict__] = ACTIONS(1441),
    [anon_sym__Atomic] = ACTIONS(1441),
    [anon_sym__Noreturn] = ACTIONS(1441),
    [anon_sym_noreturn] = ACTIONS(1441),
    [sym_primitive_type] = ACTIONS(1441),
    [anon_sym_enum] = ACTIONS(1441),
    [anon_sym_struct] = ACTIONS(1441),
    [anon_sym_union] = ACTIONS(1441),
    [anon_sym_if] = ACTIONS(1441),
    [anon_sym_else] = ACTIONS(1441),
    [anon_sym_switch] = ACTIONS(1441),
    [anon_sym_case] = ACTIONS(1441),
    [anon_sym_default] = ACTIONS(1441),
    [anon_sym_while] = ACTIONS(1441),
    [anon_sym_do] = ACTIONS(1441),
    [anon_sym_for] = ACTIONS(1441),
    [anon_sym_return] = ACTIONS(1441),
    [anon_sym_break] = ACTIONS(1441),
    [anon_sym_continue] = ACTIONS(1441),
    [anon_sym_goto] = ACTIONS(1441),
    [anon_sym___try] = ACTIONS(1441),
    [anon_sym___leave] = ACTIONS(1441),
    [anon_sym_DASH_DASH] = ACTIONS(1443),
    [anon_sym_PLUS_PLUS] = ACTIONS(1443),
    [anon_sym_sizeof] = ACTIONS(1441),
    [anon_sym___alignof__] = ACTIONS(1441),
    [anon_sym___alignof] = ACTIONS(1441),
    [anon_sym__alignof] = ACTIONS(1441),
    [anon_sym_alignof] = ACTIONS(1441),
    [anon_sym__Alignof] = ACTIONS(1441),
    [anon_sym_offsetof] = ACTIONS(1441),
    [anon_sym__Generic] = ACTIONS(1441),
    [anon_sym_asm] = ACTIONS(1441),
    [anon_sym___asm__] = ACTIONS(1441),
    [sym_number_literal] = ACTIONS(1443),
    [anon_sym_L_SQUOTE] = ACTIONS(1443),
    [anon_sym_u_SQUOTE] = ACTIONS(1443),
    [anon_sym_U_SQUOTE] = ACTIONS(1443),
    [anon_sym_u8_SQUOTE] = ACTIONS(1443),
    [anon_sym_SQUOTE] = ACTIONS(1443),
    [anon_sym_L_DQUOTE] = ACTIONS(1443),
    [anon_sym_u_DQUOTE] = ACTIONS(1443),
    [anon_sym_U_DQUOTE] = ACTIONS(1443),
    [anon_sym_u8_DQUOTE] = ACTIONS(1443),
    [anon_sym_DQUOTE] = ACTIONS(1443),
    [sym_true] = ACTIONS(1441),
    [sym_false] = ACTIONS(1441),
    [anon_sym_NULL] = ACTIONS(1441),
    [anon_sym_nullptr] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1441),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1441),
    [anon_sym_hitAttributeEXT] = ACTIONS(1441),
    [anon_sym_callableDataEXT] = ACTIONS(1441),
    [anon_sym_callableDataInEXT] = ACTIONS(1441),
    [anon_sym_shaderRecordEXT] = ACTIONS(1441),
    [anon_sym_rayPayloadNV] = ACTIONS(1441),
    [anon_sym_rayPayloadInNV] = ACTIONS(1441),
    [anon_sym_hitAttributeNV] = ACTIONS(1441),
    [anon_sym_callableDataNV] = ACTIONS(1441),
    [anon_sym_callableDataInNV] = ACTIONS(1441),
    [anon_sym_shaderRecordNV] = ACTIONS(1441),
    [anon_sym_layout] = ACTIONS(1441),
  },
  [230] = {
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token2] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [aux_sym_preproc_else_token1] = ACTIONS(1513),
    [aux_sym_preproc_elif_token1] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [231] = {
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token2] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [aux_sym_preproc_else_token1] = ACTIONS(1513),
    [aux_sym_preproc_elif_token1] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [232] = {
    [sym_identifier] = ACTIONS(1437),
    [aux_sym_preproc_include_token1] = ACTIONS(1437),
    [aux_sym_preproc_def_token1] = ACTIONS(1437),
    [aux_sym_preproc_if_token1] = ACTIONS(1437),
    [aux_sym_preproc_if_token2] = ACTIONS(1437),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1437),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1437),
    [aux_sym_preproc_else_token1] = ACTIONS(1437),
    [aux_sym_preproc_elif_token1] = ACTIONS(1437),
    [sym_preproc_directive] = ACTIONS(1437),
    [anon_sym_LPAREN2] = ACTIONS(1439),
    [anon_sym_BANG] = ACTIONS(1439),
    [anon_sym_TILDE] = ACTIONS(1439),
    [anon_sym_DASH] = ACTIONS(1437),
    [anon_sym_PLUS] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(1439),
    [anon_sym_AMP] = ACTIONS(1439),
    [anon_sym_subroutine] = ACTIONS(1437),
    [anon_sym_invariant] = ACTIONS(1437),
    [anon_sym_precise] = ACTIONS(1437),
    [anon_sym_SEMI] = ACTIONS(1439),
    [anon_sym_in] = ACTIONS(1437),
    [anon_sym_out] = ACTIONS(1437),
    [anon_sym_inout] = ACTIONS(1437),
    [anon_sym_uniform] = ACTIONS(1437),
    [anon_sym_shared] = ACTIONS(1437),
    [anon_sym_attribute] = ACTIONS(1437),
    [anon_sym_varying] = ACTIONS(1437),
    [anon_sym_buffer] = ACTIONS(1437),
    [anon_sym_coherent] = ACTIONS(1437),
    [anon_sym_readonly] = ACTIONS(1437),
    [anon_sym_writeonly] = ACTIONS(1437),
    [anon_sym_precision] = ACTIONS(1437),
    [anon_sym_highp] = ACTIONS(1437),
    [anon_sym_mediump] = ACTIONS(1437),
    [anon_sym_lowp] = ACTIONS(1437),
    [anon_sym_centroid] = ACTIONS(1437),
    [anon_sym_sample] = ACTIONS(1437),
    [anon_sym_patch] = ACTIONS(1437),
    [anon_sym_smooth] = ACTIONS(1437),
    [anon_sym_flat] = ACTIONS(1437),
    [anon_sym_noperspective] = ACTIONS(1437),
    [anon_sym___extension__] = ACTIONS(1437),
    [anon_sym_typedef] = ACTIONS(1437),
    [anon_sym_extern] = ACTIONS(1437),
    [anon_sym___attribute__] = ACTIONS(1437),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1439),
    [anon_sym___declspec] = ACTIONS(1437),
    [anon_sym___cdecl] = ACTIONS(1437),
    [anon_sym___clrcall] = ACTIONS(1437),
    [anon_sym___stdcall] = ACTIONS(1437),
    [anon_sym___fastcall] = ACTIONS(1437),
    [anon_sym___thiscall] = ACTIONS(1437),
    [anon_sym___vectorcall] = ACTIONS(1437),
    [anon_sym_LBRACE] = ACTIONS(1439),
    [anon_sym_signed] = ACTIONS(1437),
    [anon_sym_unsigned] = ACTIONS(1437),
    [anon_sym_long] = ACTIONS(1437),
    [anon_sym_short] = ACTIONS(1437),
    [anon_sym_static] = ACTIONS(1437),
    [anon_sym_auto] = ACTIONS(1437),
    [anon_sym_register] = ACTIONS(1437),
    [anon_sym_inline] = ACTIONS(1437),
    [anon_sym___inline] = ACTIONS(1437),
    [anon_sym___inline__] = ACTIONS(1437),
    [anon_sym___forceinline] = ACTIONS(1437),
    [anon_sym_thread_local] = ACTIONS(1437),
    [anon_sym___thread] = ACTIONS(1437),
    [anon_sym_const] = ACTIONS(1437),
    [anon_sym_constexpr] = ACTIONS(1437),
    [anon_sym_volatile] = ACTIONS(1437),
    [anon_sym_restrict] = ACTIONS(1437),
    [anon_sym___restrict__] = ACTIONS(1437),
    [anon_sym__Atomic] = ACTIONS(1437),
    [anon_sym__Noreturn] = ACTIONS(1437),
    [anon_sym_noreturn] = ACTIONS(1437),
    [sym_primitive_type] = ACTIONS(1437),
    [anon_sym_enum] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(1437),
    [anon_sym_union] = ACTIONS(1437),
    [anon_sym_if] = ACTIONS(1437),
    [anon_sym_else] = ACTIONS(1437),
    [anon_sym_switch] = ACTIONS(1437),
    [anon_sym_case] = ACTIONS(1437),
    [anon_sym_default] = ACTIONS(1437),
    [anon_sym_while] = ACTIONS(1437),
    [anon_sym_do] = ACTIONS(1437),
    [anon_sym_for] = ACTIONS(1437),
    [anon_sym_return] = ACTIONS(1437),
    [anon_sym_break] = ACTIONS(1437),
    [anon_sym_continue] = ACTIONS(1437),
    [anon_sym_goto] = ACTIONS(1437),
    [anon_sym___try] = ACTIONS(1437),
    [anon_sym___leave] = ACTIONS(1437),
    [anon_sym_DASH_DASH] = ACTIONS(1439),
    [anon_sym_PLUS_PLUS] = ACTIONS(1439),
    [anon_sym_sizeof] = ACTIONS(1437),
    [anon_sym___alignof__] = ACTIONS(1437),
    [anon_sym___alignof] = ACTIONS(1437),
    [anon_sym__alignof] = ACTIONS(1437),
    [anon_sym_alignof] = ACTIONS(1437),
    [anon_sym__Alignof] = ACTIONS(1437),
    [anon_sym_offsetof] = ACTIONS(1437),
    [anon_sym__Generic] = ACTIONS(1437),
    [anon_sym_asm] = ACTIONS(1437),
    [anon_sym___asm__] = ACTIONS(1437),
    [sym_number_literal] = ACTIONS(1439),
    [anon_sym_L_SQUOTE] = ACTIONS(1439),
    [anon_sym_u_SQUOTE] = ACTIONS(1439),
    [anon_sym_U_SQUOTE] = ACTIONS(1439),
    [anon_sym_u8_SQUOTE] = ACTIONS(1439),
    [anon_sym_SQUOTE] = ACTIONS(1439),
    [anon_sym_L_DQUOTE] = ACTIONS(1439),
    [anon_sym_u_DQUOTE] = ACTIONS(1439),
    [anon_sym_U_DQUOTE] = ACTIONS(1439),
    [anon_sym_u8_DQUOTE] = ACTIONS(1439),
    [anon_sym_DQUOTE] = ACTIONS(1439),
    [sym_true] = ACTIONS(1437),
    [sym_false] = ACTIONS(1437),
    [anon_sym_NULL] = ACTIONS(1437),
    [anon_sym_nullptr] = ACTIONS(1437),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1437),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1437),
    [anon_sym_hitAttributeEXT] = ACTIONS(1437),
    [anon_sym_callableDataEXT] = ACTIONS(1437),
    [anon_sym_callableDataInEXT] = ACTIONS(1437),
    [anon_sym_shaderRecordEXT] = ACTIONS(1437),
    [anon_sym_rayPayloadNV] = ACTIONS(1437),
    [anon_sym_rayPayloadInNV] = ACTIONS(1437),
    [anon_sym_hitAttributeNV] = ACTIONS(1437),
    [anon_sym_callableDataNV] = ACTIONS(1437),
    [anon_sym_callableDataInNV] = ACTIONS(1437),
    [anon_sym_shaderRecordNV] = ACTIONS(1437),
    [anon_sym_layout] = ACTIONS(1437),
  },
  [233] = {
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token2] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [aux_sym_preproc_else_token1] = ACTIONS(1513),
    [aux_sym_preproc_elif_token1] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [234] = {
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token2] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [aux_sym_preproc_else_token1] = ACTIONS(1513),
    [aux_sym_preproc_elif_token1] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [235] = {
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token2] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [aux_sym_preproc_else_token1] = ACTIONS(1513),
    [aux_sym_preproc_elif_token1] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [236] = {
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token2] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [aux_sym_preproc_else_token1] = ACTIONS(1513),
    [aux_sym_preproc_elif_token1] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [237] = {
    [sym_identifier] = ACTIONS(1433),
    [aux_sym_preproc_include_token1] = ACTIONS(1433),
    [aux_sym_preproc_def_token1] = ACTIONS(1433),
    [aux_sym_preproc_if_token1] = ACTIONS(1433),
    [aux_sym_preproc_if_token2] = ACTIONS(1433),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1433),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1433),
    [aux_sym_preproc_else_token1] = ACTIONS(1433),
    [aux_sym_preproc_elif_token1] = ACTIONS(1433),
    [sym_preproc_directive] = ACTIONS(1433),
    [anon_sym_LPAREN2] = ACTIONS(1435),
    [anon_sym_BANG] = ACTIONS(1435),
    [anon_sym_TILDE] = ACTIONS(1435),
    [anon_sym_DASH] = ACTIONS(1433),
    [anon_sym_PLUS] = ACTIONS(1433),
    [anon_sym_STAR] = ACTIONS(1435),
    [anon_sym_AMP] = ACTIONS(1435),
    [anon_sym_subroutine] = ACTIONS(1433),
    [anon_sym_invariant] = ACTIONS(1433),
    [anon_sym_precise] = ACTIONS(1433),
    [anon_sym_SEMI] = ACTIONS(1435),
    [anon_sym_in] = ACTIONS(1433),
    [anon_sym_out] = ACTIONS(1433),
    [anon_sym_inout] = ACTIONS(1433),
    [anon_sym_uniform] = ACTIONS(1433),
    [anon_sym_shared] = ACTIONS(1433),
    [anon_sym_attribute] = ACTIONS(1433),
    [anon_sym_varying] = ACTIONS(1433),
    [anon_sym_buffer] = ACTIONS(1433),
    [anon_sym_coherent] = ACTIONS(1433),
    [anon_sym_readonly] = ACTIONS(1433),
    [anon_sym_writeonly] = ACTIONS(1433),
    [anon_sym_precision] = ACTIONS(1433),
    [anon_sym_highp] = ACTIONS(1433),
    [anon_sym_mediump] = ACTIONS(1433),
    [anon_sym_lowp] = ACTIONS(1433),
    [anon_sym_centroid] = ACTIONS(1433),
    [anon_sym_sample] = ACTIONS(1433),
    [anon_sym_patch] = ACTIONS(1433),
    [anon_sym_smooth] = ACTIONS(1433),
    [anon_sym_flat] = ACTIONS(1433),
    [anon_sym_noperspective] = ACTIONS(1433),
    [anon_sym___extension__] = ACTIONS(1433),
    [anon_sym_typedef] = ACTIONS(1433),
    [anon_sym_extern] = ACTIONS(1433),
    [anon_sym___attribute__] = ACTIONS(1433),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1435),
    [anon_sym___declspec] = ACTIONS(1433),
    [anon_sym___cdecl] = ACTIONS(1433),
    [anon_sym___clrcall] = ACTIONS(1433),
    [anon_sym___stdcall] = ACTIONS(1433),
    [anon_sym___fastcall] = ACTIONS(1433),
    [anon_sym___thiscall] = ACTIONS(1433),
    [anon_sym___vectorcall] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(1435),
    [anon_sym_signed] = ACTIONS(1433),
    [anon_sym_unsigned] = ACTIONS(1433),
    [anon_sym_long] = ACTIONS(1433),
    [anon_sym_short] = ACTIONS(1433),
    [anon_sym_static] = ACTIONS(1433),
    [anon_sym_auto] = ACTIONS(1433),
    [anon_sym_register] = ACTIONS(1433),
    [anon_sym_inline] = ACTIONS(1433),
    [anon_sym___inline] = ACTIONS(1433),
    [anon_sym___inline__] = ACTIONS(1433),
    [anon_sym___forceinline] = ACTIONS(1433),
    [anon_sym_thread_local] = ACTIONS(1433),
    [anon_sym___thread] = ACTIONS(1433),
    [anon_sym_const] = ACTIONS(1433),
    [anon_sym_constexpr] = ACTIONS(1433),
    [anon_sym_volatile] = ACTIONS(1433),
    [anon_sym_restrict] = ACTIONS(1433),
    [anon_sym___restrict__] = ACTIONS(1433),
    [anon_sym__Atomic] = ACTIONS(1433),
    [anon_sym__Noreturn] = ACTIONS(1433),
    [anon_sym_noreturn] = ACTIONS(1433),
    [sym_primitive_type] = ACTIONS(1433),
    [anon_sym_enum] = ACTIONS(1433),
    [anon_sym_struct] = ACTIONS(1433),
    [anon_sym_union] = ACTIONS(1433),
    [anon_sym_if] = ACTIONS(1433),
    [anon_sym_else] = ACTIONS(1433),
    [anon_sym_switch] = ACTIONS(1433),
    [anon_sym_case] = ACTIONS(1433),
    [anon_sym_default] = ACTIONS(1433),
    [anon_sym_while] = ACTIONS(1433),
    [anon_sym_do] = ACTIONS(1433),
    [anon_sym_for] = ACTIONS(1433),
    [anon_sym_return] = ACTIONS(1433),
    [anon_sym_break] = ACTIONS(1433),
    [anon_sym_continue] = ACTIONS(1433),
    [anon_sym_goto] = ACTIONS(1433),
    [anon_sym___try] = ACTIONS(1433),
    [anon_sym___leave] = ACTIONS(1433),
    [anon_sym_DASH_DASH] = ACTIONS(1435),
    [anon_sym_PLUS_PLUS] = ACTIONS(1435),
    [anon_sym_sizeof] = ACTIONS(1433),
    [anon_sym___alignof__] = ACTIONS(1433),
    [anon_sym___alignof] = ACTIONS(1433),
    [anon_sym__alignof] = ACTIONS(1433),
    [anon_sym_alignof] = ACTIONS(1433),
    [anon_sym__Alignof] = ACTIONS(1433),
    [anon_sym_offsetof] = ACTIONS(1433),
    [anon_sym__Generic] = ACTIONS(1433),
    [anon_sym_asm] = ACTIONS(1433),
    [anon_sym___asm__] = ACTIONS(1433),
    [sym_number_literal] = ACTIONS(1435),
    [anon_sym_L_SQUOTE] = ACTIONS(1435),
    [anon_sym_u_SQUOTE] = ACTIONS(1435),
    [anon_sym_U_SQUOTE] = ACTIONS(1435),
    [anon_sym_u8_SQUOTE] = ACTIONS(1435),
    [anon_sym_SQUOTE] = ACTIONS(1435),
    [anon_sym_L_DQUOTE] = ACTIONS(1435),
    [anon_sym_u_DQUOTE] = ACTIONS(1435),
    [anon_sym_U_DQUOTE] = ACTIONS(1435),
    [anon_sym_u8_DQUOTE] = ACTIONS(1435),
    [anon_sym_DQUOTE] = ACTIONS(1435),
    [sym_true] = ACTIONS(1433),
    [sym_false] = ACTIONS(1433),
    [anon_sym_NULL] = ACTIONS(1433),
    [anon_sym_nullptr] = ACTIONS(1433),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1433),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1433),
    [anon_sym_hitAttributeEXT] = ACTIONS(1433),
    [anon_sym_callableDataEXT] = ACTIONS(1433),
    [anon_sym_callableDataInEXT] = ACTIONS(1433),
    [anon_sym_shaderRecordEXT] = ACTIONS(1433),
    [anon_sym_rayPayloadNV] = ACTIONS(1433),
    [anon_sym_rayPayloadInNV] = ACTIONS(1433),
    [anon_sym_hitAttributeNV] = ACTIONS(1433),
    [anon_sym_callableDataNV] = ACTIONS(1433),
    [anon_sym_callableDataInNV] = ACTIONS(1433),
    [anon_sym_shaderRecordNV] = ACTIONS(1433),
    [anon_sym_layout] = ACTIONS(1433),
  },
  [238] = {
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token2] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [aux_sym_preproc_else_token1] = ACTIONS(1513),
    [aux_sym_preproc_elif_token1] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [239] = {
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token2] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [aux_sym_preproc_else_token1] = ACTIONS(1513),
    [aux_sym_preproc_elif_token1] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [240] = {
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token2] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [aux_sym_preproc_else_token1] = ACTIONS(1513),
    [aux_sym_preproc_elif_token1] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [241] = {
    [sym_identifier] = ACTIONS(1493),
    [aux_sym_preproc_include_token1] = ACTIONS(1493),
    [aux_sym_preproc_def_token1] = ACTIONS(1493),
    [aux_sym_preproc_if_token1] = ACTIONS(1493),
    [aux_sym_preproc_if_token2] = ACTIONS(1493),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1493),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1493),
    [aux_sym_preproc_else_token1] = ACTIONS(1493),
    [aux_sym_preproc_elif_token1] = ACTIONS(1493),
    [sym_preproc_directive] = ACTIONS(1493),
    [anon_sym_LPAREN2] = ACTIONS(1495),
    [anon_sym_BANG] = ACTIONS(1495),
    [anon_sym_TILDE] = ACTIONS(1495),
    [anon_sym_DASH] = ACTIONS(1493),
    [anon_sym_PLUS] = ACTIONS(1493),
    [anon_sym_STAR] = ACTIONS(1495),
    [anon_sym_AMP] = ACTIONS(1495),
    [anon_sym_subroutine] = ACTIONS(1493),
    [anon_sym_invariant] = ACTIONS(1493),
    [anon_sym_precise] = ACTIONS(1493),
    [anon_sym_SEMI] = ACTIONS(1495),
    [anon_sym_in] = ACTIONS(1493),
    [anon_sym_out] = ACTIONS(1493),
    [anon_sym_inout] = ACTIONS(1493),
    [anon_sym_uniform] = ACTIONS(1493),
    [anon_sym_shared] = ACTIONS(1493),
    [anon_sym_attribute] = ACTIONS(1493),
    [anon_sym_varying] = ACTIONS(1493),
    [anon_sym_buffer] = ACTIONS(1493),
    [anon_sym_coherent] = ACTIONS(1493),
    [anon_sym_readonly] = ACTIONS(1493),
    [anon_sym_writeonly] = ACTIONS(1493),
    [anon_sym_precision] = ACTIONS(1493),
    [anon_sym_highp] = ACTIONS(1493),
    [anon_sym_mediump] = ACTIONS(1493),
    [anon_sym_lowp] = ACTIONS(1493),
    [anon_sym_centroid] = ACTIONS(1493),
    [anon_sym_sample] = ACTIONS(1493),
    [anon_sym_patch] = ACTIONS(1493),
    [anon_sym_smooth] = ACTIONS(1493),
    [anon_sym_flat] = ACTIONS(1493),
    [anon_sym_noperspective] = ACTIONS(1493),
    [anon_sym___extension__] = ACTIONS(1493),
    [anon_sym_typedef] = ACTIONS(1493),
    [anon_sym_extern] = ACTIONS(1493),
    [anon_sym___attribute__] = ACTIONS(1493),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1495),
    [anon_sym___declspec] = ACTIONS(1493),
    [anon_sym___cdecl] = ACTIONS(1493),
    [anon_sym___clrcall] = ACTIONS(1493),
    [anon_sym___stdcall] = ACTIONS(1493),
    [anon_sym___fastcall] = ACTIONS(1493),
    [anon_sym___thiscall] = ACTIONS(1493),
    [anon_sym___vectorcall] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(1495),
    [anon_sym_signed] = ACTIONS(1493),
    [anon_sym_unsigned] = ACTIONS(1493),
    [anon_sym_long] = ACTIONS(1493),
    [anon_sym_short] = ACTIONS(1493),
    [anon_sym_static] = ACTIONS(1493),
    [anon_sym_auto] = ACTIONS(1493),
    [anon_sym_register] = ACTIONS(1493),
    [anon_sym_inline] = ACTIONS(1493),
    [anon_sym___inline] = ACTIONS(1493),
    [anon_sym___inline__] = ACTIONS(1493),
    [anon_sym___forceinline] = ACTIONS(1493),
    [anon_sym_thread_local] = ACTIONS(1493),
    [anon_sym___thread] = ACTIONS(1493),
    [anon_sym_const] = ACTIONS(1493),
    [anon_sym_constexpr] = ACTIONS(1493),
    [anon_sym_volatile] = ACTIONS(1493),
    [anon_sym_restrict] = ACTIONS(1493),
    [anon_sym___restrict__] = ACTIONS(1493),
    [anon_sym__Atomic] = ACTIONS(1493),
    [anon_sym__Noreturn] = ACTIONS(1493),
    [anon_sym_noreturn] = ACTIONS(1493),
    [sym_primitive_type] = ACTIONS(1493),
    [anon_sym_enum] = ACTIONS(1493),
    [anon_sym_struct] = ACTIONS(1493),
    [anon_sym_union] = ACTIONS(1493),
    [anon_sym_if] = ACTIONS(1493),
    [anon_sym_else] = ACTIONS(1493),
    [anon_sym_switch] = ACTIONS(1493),
    [anon_sym_case] = ACTIONS(1493),
    [anon_sym_default] = ACTIONS(1493),
    [anon_sym_while] = ACTIONS(1493),
    [anon_sym_do] = ACTIONS(1493),
    [anon_sym_for] = ACTIONS(1493),
    [anon_sym_return] = ACTIONS(1493),
    [anon_sym_break] = ACTIONS(1493),
    [anon_sym_continue] = ACTIONS(1493),
    [anon_sym_goto] = ACTIONS(1493),
    [anon_sym___try] = ACTIONS(1493),
    [anon_sym___leave] = ACTIONS(1493),
    [anon_sym_DASH_DASH] = ACTIONS(1495),
    [anon_sym_PLUS_PLUS] = ACTIONS(1495),
    [anon_sym_sizeof] = ACTIONS(1493),
    [anon_sym___alignof__] = ACTIONS(1493),
    [anon_sym___alignof] = ACTIONS(1493),
    [anon_sym__alignof] = ACTIONS(1493),
    [anon_sym_alignof] = ACTIONS(1493),
    [anon_sym__Alignof] = ACTIONS(1493),
    [anon_sym_offsetof] = ACTIONS(1493),
    [anon_sym__Generic] = ACTIONS(1493),
    [anon_sym_asm] = ACTIONS(1493),
    [anon_sym___asm__] = ACTIONS(1493),
    [sym_number_literal] = ACTIONS(1495),
    [anon_sym_L_SQUOTE] = ACTIONS(1495),
    [anon_sym_u_SQUOTE] = ACTIONS(1495),
    [anon_sym_U_SQUOTE] = ACTIONS(1495),
    [anon_sym_u8_SQUOTE] = ACTIONS(1495),
    [anon_sym_SQUOTE] = ACTIONS(1495),
    [anon_sym_L_DQUOTE] = ACTIONS(1495),
    [anon_sym_u_DQUOTE] = ACTIONS(1495),
    [anon_sym_U_DQUOTE] = ACTIONS(1495),
    [anon_sym_u8_DQUOTE] = ACTIONS(1495),
    [anon_sym_DQUOTE] = ACTIONS(1495),
    [sym_true] = ACTIONS(1493),
    [sym_false] = ACTIONS(1493),
    [anon_sym_NULL] = ACTIONS(1493),
    [anon_sym_nullptr] = ACTIONS(1493),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1493),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1493),
    [anon_sym_hitAttributeEXT] = ACTIONS(1493),
    [anon_sym_callableDataEXT] = ACTIONS(1493),
    [anon_sym_callableDataInEXT] = ACTIONS(1493),
    [anon_sym_shaderRecordEXT] = ACTIONS(1493),
    [anon_sym_rayPayloadNV] = ACTIONS(1493),
    [anon_sym_rayPayloadInNV] = ACTIONS(1493),
    [anon_sym_hitAttributeNV] = ACTIONS(1493),
    [anon_sym_callableDataNV] = ACTIONS(1493),
    [anon_sym_callableDataInNV] = ACTIONS(1493),
    [anon_sym_shaderRecordNV] = ACTIONS(1493),
    [anon_sym_layout] = ACTIONS(1493),
  },
  [242] = {
    [sym_identifier] = ACTIONS(1573),
    [aux_sym_preproc_include_token1] = ACTIONS(1573),
    [aux_sym_preproc_def_token1] = ACTIONS(1573),
    [aux_sym_preproc_if_token1] = ACTIONS(1573),
    [aux_sym_preproc_if_token2] = ACTIONS(1573),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1573),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1573),
    [aux_sym_preproc_else_token1] = ACTIONS(1573),
    [aux_sym_preproc_elif_token1] = ACTIONS(1573),
    [sym_preproc_directive] = ACTIONS(1573),
    [anon_sym_LPAREN2] = ACTIONS(1575),
    [anon_sym_BANG] = ACTIONS(1575),
    [anon_sym_TILDE] = ACTIONS(1575),
    [anon_sym_DASH] = ACTIONS(1573),
    [anon_sym_PLUS] = ACTIONS(1573),
    [anon_sym_STAR] = ACTIONS(1575),
    [anon_sym_AMP] = ACTIONS(1575),
    [anon_sym_subroutine] = ACTIONS(1573),
    [anon_sym_invariant] = ACTIONS(1573),
    [anon_sym_precise] = ACTIONS(1573),
    [anon_sym_SEMI] = ACTIONS(1575),
    [anon_sym_in] = ACTIONS(1573),
    [anon_sym_out] = ACTIONS(1573),
    [anon_sym_inout] = ACTIONS(1573),
    [anon_sym_uniform] = ACTIONS(1573),
    [anon_sym_shared] = ACTIONS(1573),
    [anon_sym_attribute] = ACTIONS(1573),
    [anon_sym_varying] = ACTIONS(1573),
    [anon_sym_buffer] = ACTIONS(1573),
    [anon_sym_coherent] = ACTIONS(1573),
    [anon_sym_readonly] = ACTIONS(1573),
    [anon_sym_writeonly] = ACTIONS(1573),
    [anon_sym_precision] = ACTIONS(1573),
    [anon_sym_highp] = ACTIONS(1573),
    [anon_sym_mediump] = ACTIONS(1573),
    [anon_sym_lowp] = ACTIONS(1573),
    [anon_sym_centroid] = ACTIONS(1573),
    [anon_sym_sample] = ACTIONS(1573),
    [anon_sym_patch] = ACTIONS(1573),
    [anon_sym_smooth] = ACTIONS(1573),
    [anon_sym_flat] = ACTIONS(1573),
    [anon_sym_noperspective] = ACTIONS(1573),
    [anon_sym___extension__] = ACTIONS(1573),
    [anon_sym_typedef] = ACTIONS(1573),
    [anon_sym_extern] = ACTIONS(1573),
    [anon_sym___attribute__] = ACTIONS(1573),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1575),
    [anon_sym___declspec] = ACTIONS(1573),
    [anon_sym___cdecl] = ACTIONS(1573),
    [anon_sym___clrcall] = ACTIONS(1573),
    [anon_sym___stdcall] = ACTIONS(1573),
    [anon_sym___fastcall] = ACTIONS(1573),
    [anon_sym___thiscall] = ACTIONS(1573),
    [anon_sym___vectorcall] = ACTIONS(1573),
    [anon_sym_LBRACE] = ACTIONS(1575),
    [anon_sym_signed] = ACTIONS(1573),
    [anon_sym_unsigned] = ACTIONS(1573),
    [anon_sym_long] = ACTIONS(1573),
    [anon_sym_short] = ACTIONS(1573),
    [anon_sym_static] = ACTIONS(1573),
    [anon_sym_auto] = ACTIONS(1573),
    [anon_sym_register] = ACTIONS(1573),
    [anon_sym_inline] = ACTIONS(1573),
    [anon_sym___inline] = ACTIONS(1573),
    [anon_sym___inline__] = ACTIONS(1573),
    [anon_sym___forceinline] = ACTIONS(1573),
    [anon_sym_thread_local] = ACTIONS(1573),
    [anon_sym___thread] = ACTIONS(1573),
    [anon_sym_const] = ACTIONS(1573),
    [anon_sym_constexpr] = ACTIONS(1573),
    [anon_sym_volatile] = ACTIONS(1573),
    [anon_sym_restrict] = ACTIONS(1573),
    [anon_sym___restrict__] = ACTIONS(1573),
    [anon_sym__Atomic] = ACTIONS(1573),
    [anon_sym__Noreturn] = ACTIONS(1573),
    [anon_sym_noreturn] = ACTIONS(1573),
    [sym_primitive_type] = ACTIONS(1573),
    [anon_sym_enum] = ACTIONS(1573),
    [anon_sym_struct] = ACTIONS(1573),
    [anon_sym_union] = ACTIONS(1573),
    [anon_sym_if] = ACTIONS(1573),
    [anon_sym_else] = ACTIONS(1573),
    [anon_sym_switch] = ACTIONS(1573),
    [anon_sym_case] = ACTIONS(1573),
    [anon_sym_default] = ACTIONS(1573),
    [anon_sym_while] = ACTIONS(1573),
    [anon_sym_do] = ACTIONS(1573),
    [anon_sym_for] = ACTIONS(1573),
    [anon_sym_return] = ACTIONS(1573),
    [anon_sym_break] = ACTIONS(1573),
    [anon_sym_continue] = ACTIONS(1573),
    [anon_sym_goto] = ACTIONS(1573),
    [anon_sym___try] = ACTIONS(1573),
    [anon_sym___leave] = ACTIONS(1573),
    [anon_sym_DASH_DASH] = ACTIONS(1575),
    [anon_sym_PLUS_PLUS] = ACTIONS(1575),
    [anon_sym_sizeof] = ACTIONS(1573),
    [anon_sym___alignof__] = ACTIONS(1573),
    [anon_sym___alignof] = ACTIONS(1573),
    [anon_sym__alignof] = ACTIONS(1573),
    [anon_sym_alignof] = ACTIONS(1573),
    [anon_sym__Alignof] = ACTIONS(1573),
    [anon_sym_offsetof] = ACTIONS(1573),
    [anon_sym__Generic] = ACTIONS(1573),
    [anon_sym_asm] = ACTIONS(1573),
    [anon_sym___asm__] = ACTIONS(1573),
    [sym_number_literal] = ACTIONS(1575),
    [anon_sym_L_SQUOTE] = ACTIONS(1575),
    [anon_sym_u_SQUOTE] = ACTIONS(1575),
    [anon_sym_U_SQUOTE] = ACTIONS(1575),
    [anon_sym_u8_SQUOTE] = ACTIONS(1575),
    [anon_sym_SQUOTE] = ACTIONS(1575),
    [anon_sym_L_DQUOTE] = ACTIONS(1575),
    [anon_sym_u_DQUOTE] = ACTIONS(1575),
    [anon_sym_U_DQUOTE] = ACTIONS(1575),
    [anon_sym_u8_DQUOTE] = ACTIONS(1575),
    [anon_sym_DQUOTE] = ACTIONS(1575),
    [sym_true] = ACTIONS(1573),
    [sym_false] = ACTIONS(1573),
    [anon_sym_NULL] = ACTIONS(1573),
    [anon_sym_nullptr] = ACTIONS(1573),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1573),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1573),
    [anon_sym_hitAttributeEXT] = ACTIONS(1573),
    [anon_sym_callableDataEXT] = ACTIONS(1573),
    [anon_sym_callableDataInEXT] = ACTIONS(1573),
    [anon_sym_shaderRecordEXT] = ACTIONS(1573),
    [anon_sym_rayPayloadNV] = ACTIONS(1573),
    [anon_sym_rayPayloadInNV] = ACTIONS(1573),
    [anon_sym_hitAttributeNV] = ACTIONS(1573),
    [anon_sym_callableDataNV] = ACTIONS(1573),
    [anon_sym_callableDataInNV] = ACTIONS(1573),
    [anon_sym_shaderRecordNV] = ACTIONS(1573),
    [anon_sym_layout] = ACTIONS(1573),
  },
  [243] = {
    [sym_identifier] = ACTIONS(1517),
    [aux_sym_preproc_include_token1] = ACTIONS(1517),
    [aux_sym_preproc_def_token1] = ACTIONS(1517),
    [aux_sym_preproc_if_token1] = ACTIONS(1517),
    [aux_sym_preproc_if_token2] = ACTIONS(1517),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1517),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1517),
    [aux_sym_preproc_else_token1] = ACTIONS(1517),
    [aux_sym_preproc_elif_token1] = ACTIONS(1517),
    [sym_preproc_directive] = ACTIONS(1517),
    [anon_sym_LPAREN2] = ACTIONS(1519),
    [anon_sym_BANG] = ACTIONS(1519),
    [anon_sym_TILDE] = ACTIONS(1519),
    [anon_sym_DASH] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_STAR] = ACTIONS(1519),
    [anon_sym_AMP] = ACTIONS(1519),
    [anon_sym_subroutine] = ACTIONS(1517),
    [anon_sym_invariant] = ACTIONS(1517),
    [anon_sym_precise] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1519),
    [anon_sym_in] = ACTIONS(1517),
    [anon_sym_out] = ACTIONS(1517),
    [anon_sym_inout] = ACTIONS(1517),
    [anon_sym_uniform] = ACTIONS(1517),
    [anon_sym_shared] = ACTIONS(1517),
    [anon_sym_attribute] = ACTIONS(1517),
    [anon_sym_varying] = ACTIONS(1517),
    [anon_sym_buffer] = ACTIONS(1517),
    [anon_sym_coherent] = ACTIONS(1517),
    [anon_sym_readonly] = ACTIONS(1517),
    [anon_sym_writeonly] = ACTIONS(1517),
    [anon_sym_precision] = ACTIONS(1517),
    [anon_sym_highp] = ACTIONS(1517),
    [anon_sym_mediump] = ACTIONS(1517),
    [anon_sym_lowp] = ACTIONS(1517),
    [anon_sym_centroid] = ACTIONS(1517),
    [anon_sym_sample] = ACTIONS(1517),
    [anon_sym_patch] = ACTIONS(1517),
    [anon_sym_smooth] = ACTIONS(1517),
    [anon_sym_flat] = ACTIONS(1517),
    [anon_sym_noperspective] = ACTIONS(1517),
    [anon_sym___extension__] = ACTIONS(1517),
    [anon_sym_typedef] = ACTIONS(1517),
    [anon_sym_extern] = ACTIONS(1517),
    [anon_sym___attribute__] = ACTIONS(1517),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1519),
    [anon_sym___declspec] = ACTIONS(1517),
    [anon_sym___cdecl] = ACTIONS(1517),
    [anon_sym___clrcall] = ACTIONS(1517),
    [anon_sym___stdcall] = ACTIONS(1517),
    [anon_sym___fastcall] = ACTIONS(1517),
    [anon_sym___thiscall] = ACTIONS(1517),
    [anon_sym___vectorcall] = ACTIONS(1517),
    [anon_sym_LBRACE] = ACTIONS(1519),
    [anon_sym_signed] = ACTIONS(1517),
    [anon_sym_unsigned] = ACTIONS(1517),
    [anon_sym_long] = ACTIONS(1517),
    [anon_sym_short] = ACTIONS(1517),
    [anon_sym_static] = ACTIONS(1517),
    [anon_sym_auto] = ACTIONS(1517),
    [anon_sym_register] = ACTIONS(1517),
    [anon_sym_inline] = ACTIONS(1517),
    [anon_sym___inline] = ACTIONS(1517),
    [anon_sym___inline__] = ACTIONS(1517),
    [anon_sym___forceinline] = ACTIONS(1517),
    [anon_sym_thread_local] = ACTIONS(1517),
    [anon_sym___thread] = ACTIONS(1517),
    [anon_sym_const] = ACTIONS(1517),
    [anon_sym_constexpr] = ACTIONS(1517),
    [anon_sym_volatile] = ACTIONS(1517),
    [anon_sym_restrict] = ACTIONS(1517),
    [anon_sym___restrict__] = ACTIONS(1517),
    [anon_sym__Atomic] = ACTIONS(1517),
    [anon_sym__Noreturn] = ACTIONS(1517),
    [anon_sym_noreturn] = ACTIONS(1517),
    [sym_primitive_type] = ACTIONS(1517),
    [anon_sym_enum] = ACTIONS(1517),
    [anon_sym_struct] = ACTIONS(1517),
    [anon_sym_union] = ACTIONS(1517),
    [anon_sym_if] = ACTIONS(1517),
    [anon_sym_else] = ACTIONS(1517),
    [anon_sym_switch] = ACTIONS(1517),
    [anon_sym_case] = ACTIONS(1517),
    [anon_sym_default] = ACTIONS(1517),
    [anon_sym_while] = ACTIONS(1517),
    [anon_sym_do] = ACTIONS(1517),
    [anon_sym_for] = ACTIONS(1517),
    [anon_sym_return] = ACTIONS(1517),
    [anon_sym_break] = ACTIONS(1517),
    [anon_sym_continue] = ACTIONS(1517),
    [anon_sym_goto] = ACTIONS(1517),
    [anon_sym___try] = ACTIONS(1517),
    [anon_sym___leave] = ACTIONS(1517),
    [anon_sym_DASH_DASH] = ACTIONS(1519),
    [anon_sym_PLUS_PLUS] = ACTIONS(1519),
    [anon_sym_sizeof] = ACTIONS(1517),
    [anon_sym___alignof__] = ACTIONS(1517),
    [anon_sym___alignof] = ACTIONS(1517),
    [anon_sym__alignof] = ACTIONS(1517),
    [anon_sym_alignof] = ACTIONS(1517),
    [anon_sym__Alignof] = ACTIONS(1517),
    [anon_sym_offsetof] = ACTIONS(1517),
    [anon_sym__Generic] = ACTIONS(1517),
    [anon_sym_asm] = ACTIONS(1517),
    [anon_sym___asm__] = ACTIONS(1517),
    [sym_number_literal] = ACTIONS(1519),
    [anon_sym_L_SQUOTE] = ACTIONS(1519),
    [anon_sym_u_SQUOTE] = ACTIONS(1519),
    [anon_sym_U_SQUOTE] = ACTIONS(1519),
    [anon_sym_u8_SQUOTE] = ACTIONS(1519),
    [anon_sym_SQUOTE] = ACTIONS(1519),
    [anon_sym_L_DQUOTE] = ACTIONS(1519),
    [anon_sym_u_DQUOTE] = ACTIONS(1519),
    [anon_sym_U_DQUOTE] = ACTIONS(1519),
    [anon_sym_u8_DQUOTE] = ACTIONS(1519),
    [anon_sym_DQUOTE] = ACTIONS(1519),
    [sym_true] = ACTIONS(1517),
    [sym_false] = ACTIONS(1517),
    [anon_sym_NULL] = ACTIONS(1517),
    [anon_sym_nullptr] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1517),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1517),
    [anon_sym_hitAttributeEXT] = ACTIONS(1517),
    [anon_sym_callableDataEXT] = ACTIONS(1517),
    [anon_sym_callableDataInEXT] = ACTIONS(1517),
    [anon_sym_shaderRecordEXT] = ACTIONS(1517),
    [anon_sym_rayPayloadNV] = ACTIONS(1517),
    [anon_sym_rayPayloadInNV] = ACTIONS(1517),
    [anon_sym_hitAttributeNV] = ACTIONS(1517),
    [anon_sym_callableDataNV] = ACTIONS(1517),
    [anon_sym_callableDataInNV] = ACTIONS(1517),
    [anon_sym_shaderRecordNV] = ACTIONS(1517),
    [anon_sym_layout] = ACTIONS(1517),
  },
  [244] = {
    [sym_identifier] = ACTIONS(1521),
    [aux_sym_preproc_include_token1] = ACTIONS(1521),
    [aux_sym_preproc_def_token1] = ACTIONS(1521),
    [aux_sym_preproc_if_token1] = ACTIONS(1521),
    [aux_sym_preproc_if_token2] = ACTIONS(1521),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1521),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1521),
    [aux_sym_preproc_else_token1] = ACTIONS(1521),
    [aux_sym_preproc_elif_token1] = ACTIONS(1521),
    [sym_preproc_directive] = ACTIONS(1521),
    [anon_sym_LPAREN2] = ACTIONS(1523),
    [anon_sym_BANG] = ACTIONS(1523),
    [anon_sym_TILDE] = ACTIONS(1523),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_PLUS] = ACTIONS(1521),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_AMP] = ACTIONS(1523),
    [anon_sym_subroutine] = ACTIONS(1521),
    [anon_sym_invariant] = ACTIONS(1521),
    [anon_sym_precise] = ACTIONS(1521),
    [anon_sym_SEMI] = ACTIONS(1523),
    [anon_sym_in] = ACTIONS(1521),
    [anon_sym_out] = ACTIONS(1521),
    [anon_sym_inout] = ACTIONS(1521),
    [anon_sym_uniform] = ACTIONS(1521),
    [anon_sym_shared] = ACTIONS(1521),
    [anon_sym_attribute] = ACTIONS(1521),
    [anon_sym_varying] = ACTIONS(1521),
    [anon_sym_buffer] = ACTIONS(1521),
    [anon_sym_coherent] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_writeonly] = ACTIONS(1521),
    [anon_sym_precision] = ACTIONS(1521),
    [anon_sym_highp] = ACTIONS(1521),
    [anon_sym_mediump] = ACTIONS(1521),
    [anon_sym_lowp] = ACTIONS(1521),
    [anon_sym_centroid] = ACTIONS(1521),
    [anon_sym_sample] = ACTIONS(1521),
    [anon_sym_patch] = ACTIONS(1521),
    [anon_sym_smooth] = ACTIONS(1521),
    [anon_sym_flat] = ACTIONS(1521),
    [anon_sym_noperspective] = ACTIONS(1521),
    [anon_sym___extension__] = ACTIONS(1521),
    [anon_sym_typedef] = ACTIONS(1521),
    [anon_sym_extern] = ACTIONS(1521),
    [anon_sym___attribute__] = ACTIONS(1521),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1523),
    [anon_sym___declspec] = ACTIONS(1521),
    [anon_sym___cdecl] = ACTIONS(1521),
    [anon_sym___clrcall] = ACTIONS(1521),
    [anon_sym___stdcall] = ACTIONS(1521),
    [anon_sym___fastcall] = ACTIONS(1521),
    [anon_sym___thiscall] = ACTIONS(1521),
    [anon_sym___vectorcall] = ACTIONS(1521),
    [anon_sym_LBRACE] = ACTIONS(1523),
    [anon_sym_signed] = ACTIONS(1521),
    [anon_sym_unsigned] = ACTIONS(1521),
    [anon_sym_long] = ACTIONS(1521),
    [anon_sym_short] = ACTIONS(1521),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_auto] = ACTIONS(1521),
    [anon_sym_register] = ACTIONS(1521),
    [anon_sym_inline] = ACTIONS(1521),
    [anon_sym___inline] = ACTIONS(1521),
    [anon_sym___inline__] = ACTIONS(1521),
    [anon_sym___forceinline] = ACTIONS(1521),
    [anon_sym_thread_local] = ACTIONS(1521),
    [anon_sym___thread] = ACTIONS(1521),
    [anon_sym_const] = ACTIONS(1521),
    [anon_sym_constexpr] = ACTIONS(1521),
    [anon_sym_volatile] = ACTIONS(1521),
    [anon_sym_restrict] = ACTIONS(1521),
    [anon_sym___restrict__] = ACTIONS(1521),
    [anon_sym__Atomic] = ACTIONS(1521),
    [anon_sym__Noreturn] = ACTIONS(1521),
    [anon_sym_noreturn] = ACTIONS(1521),
    [sym_primitive_type] = ACTIONS(1521),
    [anon_sym_enum] = ACTIONS(1521),
    [anon_sym_struct] = ACTIONS(1521),
    [anon_sym_union] = ACTIONS(1521),
    [anon_sym_if] = ACTIONS(1521),
    [anon_sym_else] = ACTIONS(1521),
    [anon_sym_switch] = ACTIONS(1521),
    [anon_sym_case] = ACTIONS(1521),
    [anon_sym_default] = ACTIONS(1521),
    [anon_sym_while] = ACTIONS(1521),
    [anon_sym_do] = ACTIONS(1521),
    [anon_sym_for] = ACTIONS(1521),
    [anon_sym_return] = ACTIONS(1521),
    [anon_sym_break] = ACTIONS(1521),
    [anon_sym_continue] = ACTIONS(1521),
    [anon_sym_goto] = ACTIONS(1521),
    [anon_sym___try] = ACTIONS(1521),
    [anon_sym___leave] = ACTIONS(1521),
    [anon_sym_DASH_DASH] = ACTIONS(1523),
    [anon_sym_PLUS_PLUS] = ACTIONS(1523),
    [anon_sym_sizeof] = ACTIONS(1521),
    [anon_sym___alignof__] = ACTIONS(1521),
    [anon_sym___alignof] = ACTIONS(1521),
    [anon_sym__alignof] = ACTIONS(1521),
    [anon_sym_alignof] = ACTIONS(1521),
    [anon_sym__Alignof] = ACTIONS(1521),
    [anon_sym_offsetof] = ACTIONS(1521),
    [anon_sym__Generic] = ACTIONS(1521),
    [anon_sym_asm] = ACTIONS(1521),
    [anon_sym___asm__] = ACTIONS(1521),
    [sym_number_literal] = ACTIONS(1523),
    [anon_sym_L_SQUOTE] = ACTIONS(1523),
    [anon_sym_u_SQUOTE] = ACTIONS(1523),
    [anon_sym_U_SQUOTE] = ACTIONS(1523),
    [anon_sym_u8_SQUOTE] = ACTIONS(1523),
    [anon_sym_SQUOTE] = ACTIONS(1523),
    [anon_sym_L_DQUOTE] = ACTIONS(1523),
    [anon_sym_u_DQUOTE] = ACTIONS(1523),
    [anon_sym_U_DQUOTE] = ACTIONS(1523),
    [anon_sym_u8_DQUOTE] = ACTIONS(1523),
    [anon_sym_DQUOTE] = ACTIONS(1523),
    [sym_true] = ACTIONS(1521),
    [sym_false] = ACTIONS(1521),
    [anon_sym_NULL] = ACTIONS(1521),
    [anon_sym_nullptr] = ACTIONS(1521),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1521),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1521),
    [anon_sym_hitAttributeEXT] = ACTIONS(1521),
    [anon_sym_callableDataEXT] = ACTIONS(1521),
    [anon_sym_callableDataInEXT] = ACTIONS(1521),
    [anon_sym_shaderRecordEXT] = ACTIONS(1521),
    [anon_sym_rayPayloadNV] = ACTIONS(1521),
    [anon_sym_rayPayloadInNV] = ACTIONS(1521),
    [anon_sym_hitAttributeNV] = ACTIONS(1521),
    [anon_sym_callableDataNV] = ACTIONS(1521),
    [anon_sym_callableDataInNV] = ACTIONS(1521),
    [anon_sym_shaderRecordNV] = ACTIONS(1521),
    [anon_sym_layout] = ACTIONS(1521),
  },
  [245] = {
    [sym_identifier] = ACTIONS(1525),
    [aux_sym_preproc_include_token1] = ACTIONS(1525),
    [aux_sym_preproc_def_token1] = ACTIONS(1525),
    [aux_sym_preproc_if_token1] = ACTIONS(1525),
    [aux_sym_preproc_if_token2] = ACTIONS(1525),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1525),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1525),
    [aux_sym_preproc_else_token1] = ACTIONS(1525),
    [aux_sym_preproc_elif_token1] = ACTIONS(1525),
    [sym_preproc_directive] = ACTIONS(1525),
    [anon_sym_LPAREN2] = ACTIONS(1527),
    [anon_sym_BANG] = ACTIONS(1527),
    [anon_sym_TILDE] = ACTIONS(1527),
    [anon_sym_DASH] = ACTIONS(1525),
    [anon_sym_PLUS] = ACTIONS(1525),
    [anon_sym_STAR] = ACTIONS(1527),
    [anon_sym_AMP] = ACTIONS(1527),
    [anon_sym_subroutine] = ACTIONS(1525),
    [anon_sym_invariant] = ACTIONS(1525),
    [anon_sym_precise] = ACTIONS(1525),
    [anon_sym_SEMI] = ACTIONS(1527),
    [anon_sym_in] = ACTIONS(1525),
    [anon_sym_out] = ACTIONS(1525),
    [anon_sym_inout] = ACTIONS(1525),
    [anon_sym_uniform] = ACTIONS(1525),
    [anon_sym_shared] = ACTIONS(1525),
    [anon_sym_attribute] = ACTIONS(1525),
    [anon_sym_varying] = ACTIONS(1525),
    [anon_sym_buffer] = ACTIONS(1525),
    [anon_sym_coherent] = ACTIONS(1525),
    [anon_sym_readonly] = ACTIONS(1525),
    [anon_sym_writeonly] = ACTIONS(1525),
    [anon_sym_precision] = ACTIONS(1525),
    [anon_sym_highp] = ACTIONS(1525),
    [anon_sym_mediump] = ACTIONS(1525),
    [anon_sym_lowp] = ACTIONS(1525),
    [anon_sym_centroid] = ACTIONS(1525),
    [anon_sym_sample] = ACTIONS(1525),
    [anon_sym_patch] = ACTIONS(1525),
    [anon_sym_smooth] = ACTIONS(1525),
    [anon_sym_flat] = ACTIONS(1525),
    [anon_sym_noperspective] = ACTIONS(1525),
    [anon_sym___extension__] = ACTIONS(1525),
    [anon_sym_typedef] = ACTIONS(1525),
    [anon_sym_extern] = ACTIONS(1525),
    [anon_sym___attribute__] = ACTIONS(1525),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1527),
    [anon_sym___declspec] = ACTIONS(1525),
    [anon_sym___cdecl] = ACTIONS(1525),
    [anon_sym___clrcall] = ACTIONS(1525),
    [anon_sym___stdcall] = ACTIONS(1525),
    [anon_sym___fastcall] = ACTIONS(1525),
    [anon_sym___thiscall] = ACTIONS(1525),
    [anon_sym___vectorcall] = ACTIONS(1525),
    [anon_sym_LBRACE] = ACTIONS(1527),
    [anon_sym_signed] = ACTIONS(1525),
    [anon_sym_unsigned] = ACTIONS(1525),
    [anon_sym_long] = ACTIONS(1525),
    [anon_sym_short] = ACTIONS(1525),
    [anon_sym_static] = ACTIONS(1525),
    [anon_sym_auto] = ACTIONS(1525),
    [anon_sym_register] = ACTIONS(1525),
    [anon_sym_inline] = ACTIONS(1525),
    [anon_sym___inline] = ACTIONS(1525),
    [anon_sym___inline__] = ACTIONS(1525),
    [anon_sym___forceinline] = ACTIONS(1525),
    [anon_sym_thread_local] = ACTIONS(1525),
    [anon_sym___thread] = ACTIONS(1525),
    [anon_sym_const] = ACTIONS(1525),
    [anon_sym_constexpr] = ACTIONS(1525),
    [anon_sym_volatile] = ACTIONS(1525),
    [anon_sym_restrict] = ACTIONS(1525),
    [anon_sym___restrict__] = ACTIONS(1525),
    [anon_sym__Atomic] = ACTIONS(1525),
    [anon_sym__Noreturn] = ACTIONS(1525),
    [anon_sym_noreturn] = ACTIONS(1525),
    [sym_primitive_type] = ACTIONS(1525),
    [anon_sym_enum] = ACTIONS(1525),
    [anon_sym_struct] = ACTIONS(1525),
    [anon_sym_union] = ACTIONS(1525),
    [anon_sym_if] = ACTIONS(1525),
    [anon_sym_else] = ACTIONS(1525),
    [anon_sym_switch] = ACTIONS(1525),
    [anon_sym_case] = ACTIONS(1525),
    [anon_sym_default] = ACTIONS(1525),
    [anon_sym_while] = ACTIONS(1525),
    [anon_sym_do] = ACTIONS(1525),
    [anon_sym_for] = ACTIONS(1525),
    [anon_sym_return] = ACTIONS(1525),
    [anon_sym_break] = ACTIONS(1525),
    [anon_sym_continue] = ACTIONS(1525),
    [anon_sym_goto] = ACTIONS(1525),
    [anon_sym___try] = ACTIONS(1525),
    [anon_sym___leave] = ACTIONS(1525),
    [anon_sym_DASH_DASH] = ACTIONS(1527),
    [anon_sym_PLUS_PLUS] = ACTIONS(1527),
    [anon_sym_sizeof] = ACTIONS(1525),
    [anon_sym___alignof__] = ACTIONS(1525),
    [anon_sym___alignof] = ACTIONS(1525),
    [anon_sym__alignof] = ACTIONS(1525),
    [anon_sym_alignof] = ACTIONS(1525),
    [anon_sym__Alignof] = ACTIONS(1525),
    [anon_sym_offsetof] = ACTIONS(1525),
    [anon_sym__Generic] = ACTIONS(1525),
    [anon_sym_asm] = ACTIONS(1525),
    [anon_sym___asm__] = ACTIONS(1525),
    [sym_number_literal] = ACTIONS(1527),
    [anon_sym_L_SQUOTE] = ACTIONS(1527),
    [anon_sym_u_SQUOTE] = ACTIONS(1527),
    [anon_sym_U_SQUOTE] = ACTIONS(1527),
    [anon_sym_u8_SQUOTE] = ACTIONS(1527),
    [anon_sym_SQUOTE] = ACTIONS(1527),
    [anon_sym_L_DQUOTE] = ACTIONS(1527),
    [anon_sym_u_DQUOTE] = ACTIONS(1527),
    [anon_sym_U_DQUOTE] = ACTIONS(1527),
    [anon_sym_u8_DQUOTE] = ACTIONS(1527),
    [anon_sym_DQUOTE] = ACTIONS(1527),
    [sym_true] = ACTIONS(1525),
    [sym_false] = ACTIONS(1525),
    [anon_sym_NULL] = ACTIONS(1525),
    [anon_sym_nullptr] = ACTIONS(1525),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1525),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1525),
    [anon_sym_hitAttributeEXT] = ACTIONS(1525),
    [anon_sym_callableDataEXT] = ACTIONS(1525),
    [anon_sym_callableDataInEXT] = ACTIONS(1525),
    [anon_sym_shaderRecordEXT] = ACTIONS(1525),
    [anon_sym_rayPayloadNV] = ACTIONS(1525),
    [anon_sym_rayPayloadInNV] = ACTIONS(1525),
    [anon_sym_hitAttributeNV] = ACTIONS(1525),
    [anon_sym_callableDataNV] = ACTIONS(1525),
    [anon_sym_callableDataInNV] = ACTIONS(1525),
    [anon_sym_shaderRecordNV] = ACTIONS(1525),
    [anon_sym_layout] = ACTIONS(1525),
  },
  [246] = {
    [sym_identifier] = ACTIONS(1585),
    [aux_sym_preproc_include_token1] = ACTIONS(1585),
    [aux_sym_preproc_def_token1] = ACTIONS(1585),
    [aux_sym_preproc_if_token1] = ACTIONS(1585),
    [aux_sym_preproc_if_token2] = ACTIONS(1585),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1585),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1585),
    [aux_sym_preproc_else_token1] = ACTIONS(1585),
    [aux_sym_preproc_elif_token1] = ACTIONS(1585),
    [sym_preproc_directive] = ACTIONS(1585),
    [anon_sym_LPAREN2] = ACTIONS(1587),
    [anon_sym_BANG] = ACTIONS(1587),
    [anon_sym_TILDE] = ACTIONS(1587),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_STAR] = ACTIONS(1587),
    [anon_sym_AMP] = ACTIONS(1587),
    [anon_sym_subroutine] = ACTIONS(1585),
    [anon_sym_invariant] = ACTIONS(1585),
    [anon_sym_precise] = ACTIONS(1585),
    [anon_sym_SEMI] = ACTIONS(1587),
    [anon_sym_in] = ACTIONS(1585),
    [anon_sym_out] = ACTIONS(1585),
    [anon_sym_inout] = ACTIONS(1585),
    [anon_sym_uniform] = ACTIONS(1585),
    [anon_sym_shared] = ACTIONS(1585),
    [anon_sym_attribute] = ACTIONS(1585),
    [anon_sym_varying] = ACTIONS(1585),
    [anon_sym_buffer] = ACTIONS(1585),
    [anon_sym_coherent] = ACTIONS(1585),
    [anon_sym_readonly] = ACTIONS(1585),
    [anon_sym_writeonly] = ACTIONS(1585),
    [anon_sym_precision] = ACTIONS(1585),
    [anon_sym_highp] = ACTIONS(1585),
    [anon_sym_mediump] = ACTIONS(1585),
    [anon_sym_lowp] = ACTIONS(1585),
    [anon_sym_centroid] = ACTIONS(1585),
    [anon_sym_sample] = ACTIONS(1585),
    [anon_sym_patch] = ACTIONS(1585),
    [anon_sym_smooth] = ACTIONS(1585),
    [anon_sym_flat] = ACTIONS(1585),
    [anon_sym_noperspective] = ACTIONS(1585),
    [anon_sym___extension__] = ACTIONS(1585),
    [anon_sym_typedef] = ACTIONS(1585),
    [anon_sym_extern] = ACTIONS(1585),
    [anon_sym___attribute__] = ACTIONS(1585),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1587),
    [anon_sym___declspec] = ACTIONS(1585),
    [anon_sym___cdecl] = ACTIONS(1585),
    [anon_sym___clrcall] = ACTIONS(1585),
    [anon_sym___stdcall] = ACTIONS(1585),
    [anon_sym___fastcall] = ACTIONS(1585),
    [anon_sym___thiscall] = ACTIONS(1585),
    [anon_sym___vectorcall] = ACTIONS(1585),
    [anon_sym_LBRACE] = ACTIONS(1587),
    [anon_sym_signed] = ACTIONS(1585),
    [anon_sym_unsigned] = ACTIONS(1585),
    [anon_sym_long] = ACTIONS(1585),
    [anon_sym_short] = ACTIONS(1585),
    [anon_sym_static] = ACTIONS(1585),
    [anon_sym_auto] = ACTIONS(1585),
    [anon_sym_register] = ACTIONS(1585),
    [anon_sym_inline] = ACTIONS(1585),
    [anon_sym___inline] = ACTIONS(1585),
    [anon_sym___inline__] = ACTIONS(1585),
    [anon_sym___forceinline] = ACTIONS(1585),
    [anon_sym_thread_local] = ACTIONS(1585),
    [anon_sym___thread] = ACTIONS(1585),
    [anon_sym_const] = ACTIONS(1585),
    [anon_sym_constexpr] = ACTIONS(1585),
    [anon_sym_volatile] = ACTIONS(1585),
    [anon_sym_restrict] = ACTIONS(1585),
    [anon_sym___restrict__] = ACTIONS(1585),
    [anon_sym__Atomic] = ACTIONS(1585),
    [anon_sym__Noreturn] = ACTIONS(1585),
    [anon_sym_noreturn] = ACTIONS(1585),
    [sym_primitive_type] = ACTIONS(1585),
    [anon_sym_enum] = ACTIONS(1585),
    [anon_sym_struct] = ACTIONS(1585),
    [anon_sym_union] = ACTIONS(1585),
    [anon_sym_if] = ACTIONS(1585),
    [anon_sym_else] = ACTIONS(1585),
    [anon_sym_switch] = ACTIONS(1585),
    [anon_sym_case] = ACTIONS(1585),
    [anon_sym_default] = ACTIONS(1585),
    [anon_sym_while] = ACTIONS(1585),
    [anon_sym_do] = ACTIONS(1585),
    [anon_sym_for] = ACTIONS(1585),
    [anon_sym_return] = ACTIONS(1585),
    [anon_sym_break] = ACTIONS(1585),
    [anon_sym_continue] = ACTIONS(1585),
    [anon_sym_goto] = ACTIONS(1585),
    [anon_sym___try] = ACTIONS(1585),
    [anon_sym___leave] = ACTIONS(1585),
    [anon_sym_DASH_DASH] = ACTIONS(1587),
    [anon_sym_PLUS_PLUS] = ACTIONS(1587),
    [anon_sym_sizeof] = ACTIONS(1585),
    [anon_sym___alignof__] = ACTIONS(1585),
    [anon_sym___alignof] = ACTIONS(1585),
    [anon_sym__alignof] = ACTIONS(1585),
    [anon_sym_alignof] = ACTIONS(1585),
    [anon_sym__Alignof] = ACTIONS(1585),
    [anon_sym_offsetof] = ACTIONS(1585),
    [anon_sym__Generic] = ACTIONS(1585),
    [anon_sym_asm] = ACTIONS(1585),
    [anon_sym___asm__] = ACTIONS(1585),
    [sym_number_literal] = ACTIONS(1587),
    [anon_sym_L_SQUOTE] = ACTIONS(1587),
    [anon_sym_u_SQUOTE] = ACTIONS(1587),
    [anon_sym_U_SQUOTE] = ACTIONS(1587),
    [anon_sym_u8_SQUOTE] = ACTIONS(1587),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_L_DQUOTE] = ACTIONS(1587),
    [anon_sym_u_DQUOTE] = ACTIONS(1587),
    [anon_sym_U_DQUOTE] = ACTIONS(1587),
    [anon_sym_u8_DQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_true] = ACTIONS(1585),
    [sym_false] = ACTIONS(1585),
    [anon_sym_NULL] = ACTIONS(1585),
    [anon_sym_nullptr] = ACTIONS(1585),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1585),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1585),
    [anon_sym_hitAttributeEXT] = ACTIONS(1585),
    [anon_sym_callableDataEXT] = ACTIONS(1585),
    [anon_sym_callableDataInEXT] = ACTIONS(1585),
    [anon_sym_shaderRecordEXT] = ACTIONS(1585),
    [anon_sym_rayPayloadNV] = ACTIONS(1585),
    [anon_sym_rayPayloadInNV] = ACTIONS(1585),
    [anon_sym_hitAttributeNV] = ACTIONS(1585),
    [anon_sym_callableDataNV] = ACTIONS(1585),
    [anon_sym_callableDataInNV] = ACTIONS(1585),
    [anon_sym_shaderRecordNV] = ACTIONS(1585),
    [anon_sym_layout] = ACTIONS(1585),
  },
  [247] = {
    [sym_identifier] = ACTIONS(1485),
    [aux_sym_preproc_include_token1] = ACTIONS(1485),
    [aux_sym_preproc_def_token1] = ACTIONS(1485),
    [aux_sym_preproc_if_token1] = ACTIONS(1485),
    [aux_sym_preproc_if_token2] = ACTIONS(1485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1485),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1485),
    [aux_sym_preproc_else_token1] = ACTIONS(1485),
    [aux_sym_preproc_elif_token1] = ACTIONS(1485),
    [sym_preproc_directive] = ACTIONS(1485),
    [anon_sym_LPAREN2] = ACTIONS(1487),
    [anon_sym_BANG] = ACTIONS(1487),
    [anon_sym_TILDE] = ACTIONS(1487),
    [anon_sym_DASH] = ACTIONS(1485),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_STAR] = ACTIONS(1487),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_subroutine] = ACTIONS(1485),
    [anon_sym_invariant] = ACTIONS(1485),
    [anon_sym_precise] = ACTIONS(1485),
    [anon_sym_SEMI] = ACTIONS(1487),
    [anon_sym_in] = ACTIONS(1485),
    [anon_sym_out] = ACTIONS(1485),
    [anon_sym_inout] = ACTIONS(1485),
    [anon_sym_uniform] = ACTIONS(1485),
    [anon_sym_shared] = ACTIONS(1485),
    [anon_sym_attribute] = ACTIONS(1485),
    [anon_sym_varying] = ACTIONS(1485),
    [anon_sym_buffer] = ACTIONS(1485),
    [anon_sym_coherent] = ACTIONS(1485),
    [anon_sym_readonly] = ACTIONS(1485),
    [anon_sym_writeonly] = ACTIONS(1485),
    [anon_sym_precision] = ACTIONS(1485),
    [anon_sym_highp] = ACTIONS(1485),
    [anon_sym_mediump] = ACTIONS(1485),
    [anon_sym_lowp] = ACTIONS(1485),
    [anon_sym_centroid] = ACTIONS(1485),
    [anon_sym_sample] = ACTIONS(1485),
    [anon_sym_patch] = ACTIONS(1485),
    [anon_sym_smooth] = ACTIONS(1485),
    [anon_sym_flat] = ACTIONS(1485),
    [anon_sym_noperspective] = ACTIONS(1485),
    [anon_sym___extension__] = ACTIONS(1485),
    [anon_sym_typedef] = ACTIONS(1485),
    [anon_sym_extern] = ACTIONS(1485),
    [anon_sym___attribute__] = ACTIONS(1485),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1487),
    [anon_sym___declspec] = ACTIONS(1485),
    [anon_sym___cdecl] = ACTIONS(1485),
    [anon_sym___clrcall] = ACTIONS(1485),
    [anon_sym___stdcall] = ACTIONS(1485),
    [anon_sym___fastcall] = ACTIONS(1485),
    [anon_sym___thiscall] = ACTIONS(1485),
    [anon_sym___vectorcall] = ACTIONS(1485),
    [anon_sym_LBRACE] = ACTIONS(1487),
    [anon_sym_signed] = ACTIONS(1485),
    [anon_sym_unsigned] = ACTIONS(1485),
    [anon_sym_long] = ACTIONS(1485),
    [anon_sym_short] = ACTIONS(1485),
    [anon_sym_static] = ACTIONS(1485),
    [anon_sym_auto] = ACTIONS(1485),
    [anon_sym_register] = ACTIONS(1485),
    [anon_sym_inline] = ACTIONS(1485),
    [anon_sym___inline] = ACTIONS(1485),
    [anon_sym___inline__] = ACTIONS(1485),
    [anon_sym___forceinline] = ACTIONS(1485),
    [anon_sym_thread_local] = ACTIONS(1485),
    [anon_sym___thread] = ACTIONS(1485),
    [anon_sym_const] = ACTIONS(1485),
    [anon_sym_constexpr] = ACTIONS(1485),
    [anon_sym_volatile] = ACTIONS(1485),
    [anon_sym_restrict] = ACTIONS(1485),
    [anon_sym___restrict__] = ACTIONS(1485),
    [anon_sym__Atomic] = ACTIONS(1485),
    [anon_sym__Noreturn] = ACTIONS(1485),
    [anon_sym_noreturn] = ACTIONS(1485),
    [sym_primitive_type] = ACTIONS(1485),
    [anon_sym_enum] = ACTIONS(1485),
    [anon_sym_struct] = ACTIONS(1485),
    [anon_sym_union] = ACTIONS(1485),
    [anon_sym_if] = ACTIONS(1485),
    [anon_sym_else] = ACTIONS(1485),
    [anon_sym_switch] = ACTIONS(1485),
    [anon_sym_case] = ACTIONS(1485),
    [anon_sym_default] = ACTIONS(1485),
    [anon_sym_while] = ACTIONS(1485),
    [anon_sym_do] = ACTIONS(1485),
    [anon_sym_for] = ACTIONS(1485),
    [anon_sym_return] = ACTIONS(1485),
    [anon_sym_break] = ACTIONS(1485),
    [anon_sym_continue] = ACTIONS(1485),
    [anon_sym_goto] = ACTIONS(1485),
    [anon_sym___try] = ACTIONS(1485),
    [anon_sym___leave] = ACTIONS(1485),
    [anon_sym_DASH_DASH] = ACTIONS(1487),
    [anon_sym_PLUS_PLUS] = ACTIONS(1487),
    [anon_sym_sizeof] = ACTIONS(1485),
    [anon_sym___alignof__] = ACTIONS(1485),
    [anon_sym___alignof] = ACTIONS(1485),
    [anon_sym__alignof] = ACTIONS(1485),
    [anon_sym_alignof] = ACTIONS(1485),
    [anon_sym__Alignof] = ACTIONS(1485),
    [anon_sym_offsetof] = ACTIONS(1485),
    [anon_sym__Generic] = ACTIONS(1485),
    [anon_sym_asm] = ACTIONS(1485),
    [anon_sym___asm__] = ACTIONS(1485),
    [sym_number_literal] = ACTIONS(1487),
    [anon_sym_L_SQUOTE] = ACTIONS(1487),
    [anon_sym_u_SQUOTE] = ACTIONS(1487),
    [anon_sym_U_SQUOTE] = ACTIONS(1487),
    [anon_sym_u8_SQUOTE] = ACTIONS(1487),
    [anon_sym_SQUOTE] = ACTIONS(1487),
    [anon_sym_L_DQUOTE] = ACTIONS(1487),
    [anon_sym_u_DQUOTE] = ACTIONS(1487),
    [anon_sym_U_DQUOTE] = ACTIONS(1487),
    [anon_sym_u8_DQUOTE] = ACTIONS(1487),
    [anon_sym_DQUOTE] = ACTIONS(1487),
    [sym_true] = ACTIONS(1485),
    [sym_false] = ACTIONS(1485),
    [anon_sym_NULL] = ACTIONS(1485),
    [anon_sym_nullptr] = ACTIONS(1485),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1485),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1485),
    [anon_sym_hitAttributeEXT] = ACTIONS(1485),
    [anon_sym_callableDataEXT] = ACTIONS(1485),
    [anon_sym_callableDataInEXT] = ACTIONS(1485),
    [anon_sym_shaderRecordEXT] = ACTIONS(1485),
    [anon_sym_rayPayloadNV] = ACTIONS(1485),
    [anon_sym_rayPayloadInNV] = ACTIONS(1485),
    [anon_sym_hitAttributeNV] = ACTIONS(1485),
    [anon_sym_callableDataNV] = ACTIONS(1485),
    [anon_sym_callableDataInNV] = ACTIONS(1485),
    [anon_sym_shaderRecordNV] = ACTIONS(1485),
    [anon_sym_layout] = ACTIONS(1485),
  },
  [248] = {
    [sym_identifier] = ACTIONS(1557),
    [aux_sym_preproc_include_token1] = ACTIONS(1557),
    [aux_sym_preproc_def_token1] = ACTIONS(1557),
    [aux_sym_preproc_if_token1] = ACTIONS(1557),
    [aux_sym_preproc_if_token2] = ACTIONS(1557),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1557),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1557),
    [aux_sym_preproc_else_token1] = ACTIONS(1557),
    [aux_sym_preproc_elif_token1] = ACTIONS(1557),
    [sym_preproc_directive] = ACTIONS(1557),
    [anon_sym_LPAREN2] = ACTIONS(1559),
    [anon_sym_BANG] = ACTIONS(1559),
    [anon_sym_TILDE] = ACTIONS(1559),
    [anon_sym_DASH] = ACTIONS(1557),
    [anon_sym_PLUS] = ACTIONS(1557),
    [anon_sym_STAR] = ACTIONS(1559),
    [anon_sym_AMP] = ACTIONS(1559),
    [anon_sym_subroutine] = ACTIONS(1557),
    [anon_sym_invariant] = ACTIONS(1557),
    [anon_sym_precise] = ACTIONS(1557),
    [anon_sym_SEMI] = ACTIONS(1559),
    [anon_sym_in] = ACTIONS(1557),
    [anon_sym_out] = ACTIONS(1557),
    [anon_sym_inout] = ACTIONS(1557),
    [anon_sym_uniform] = ACTIONS(1557),
    [anon_sym_shared] = ACTIONS(1557),
    [anon_sym_attribute] = ACTIONS(1557),
    [anon_sym_varying] = ACTIONS(1557),
    [anon_sym_buffer] = ACTIONS(1557),
    [anon_sym_coherent] = ACTIONS(1557),
    [anon_sym_readonly] = ACTIONS(1557),
    [anon_sym_writeonly] = ACTIONS(1557),
    [anon_sym_precision] = ACTIONS(1557),
    [anon_sym_highp] = ACTIONS(1557),
    [anon_sym_mediump] = ACTIONS(1557),
    [anon_sym_lowp] = ACTIONS(1557),
    [anon_sym_centroid] = ACTIONS(1557),
    [anon_sym_sample] = ACTIONS(1557),
    [anon_sym_patch] = ACTIONS(1557),
    [anon_sym_smooth] = ACTIONS(1557),
    [anon_sym_flat] = ACTIONS(1557),
    [anon_sym_noperspective] = ACTIONS(1557),
    [anon_sym___extension__] = ACTIONS(1557),
    [anon_sym_typedef] = ACTIONS(1557),
    [anon_sym_extern] = ACTIONS(1557),
    [anon_sym___attribute__] = ACTIONS(1557),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1559),
    [anon_sym___declspec] = ACTIONS(1557),
    [anon_sym___cdecl] = ACTIONS(1557),
    [anon_sym___clrcall] = ACTIONS(1557),
    [anon_sym___stdcall] = ACTIONS(1557),
    [anon_sym___fastcall] = ACTIONS(1557),
    [anon_sym___thiscall] = ACTIONS(1557),
    [anon_sym___vectorcall] = ACTIONS(1557),
    [anon_sym_LBRACE] = ACTIONS(1559),
    [anon_sym_signed] = ACTIONS(1557),
    [anon_sym_unsigned] = ACTIONS(1557),
    [anon_sym_long] = ACTIONS(1557),
    [anon_sym_short] = ACTIONS(1557),
    [anon_sym_static] = ACTIONS(1557),
    [anon_sym_auto] = ACTIONS(1557),
    [anon_sym_register] = ACTIONS(1557),
    [anon_sym_inline] = ACTIONS(1557),
    [anon_sym___inline] = ACTIONS(1557),
    [anon_sym___inline__] = ACTIONS(1557),
    [anon_sym___forceinline] = ACTIONS(1557),
    [anon_sym_thread_local] = ACTIONS(1557),
    [anon_sym___thread] = ACTIONS(1557),
    [anon_sym_const] = ACTIONS(1557),
    [anon_sym_constexpr] = ACTIONS(1557),
    [anon_sym_volatile] = ACTIONS(1557),
    [anon_sym_restrict] = ACTIONS(1557),
    [anon_sym___restrict__] = ACTIONS(1557),
    [anon_sym__Atomic] = ACTIONS(1557),
    [anon_sym__Noreturn] = ACTIONS(1557),
    [anon_sym_noreturn] = ACTIONS(1557),
    [sym_primitive_type] = ACTIONS(1557),
    [anon_sym_enum] = ACTIONS(1557),
    [anon_sym_struct] = ACTIONS(1557),
    [anon_sym_union] = ACTIONS(1557),
    [anon_sym_if] = ACTIONS(1557),
    [anon_sym_else] = ACTIONS(1557),
    [anon_sym_switch] = ACTIONS(1557),
    [anon_sym_case] = ACTIONS(1557),
    [anon_sym_default] = ACTIONS(1557),
    [anon_sym_while] = ACTIONS(1557),
    [anon_sym_do] = ACTIONS(1557),
    [anon_sym_for] = ACTIONS(1557),
    [anon_sym_return] = ACTIONS(1557),
    [anon_sym_break] = ACTIONS(1557),
    [anon_sym_continue] = ACTIONS(1557),
    [anon_sym_goto] = ACTIONS(1557),
    [anon_sym___try] = ACTIONS(1557),
    [anon_sym___leave] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1559),
    [anon_sym_PLUS_PLUS] = ACTIONS(1559),
    [anon_sym_sizeof] = ACTIONS(1557),
    [anon_sym___alignof__] = ACTIONS(1557),
    [anon_sym___alignof] = ACTIONS(1557),
    [anon_sym__alignof] = ACTIONS(1557),
    [anon_sym_alignof] = ACTIONS(1557),
    [anon_sym__Alignof] = ACTIONS(1557),
    [anon_sym_offsetof] = ACTIONS(1557),
    [anon_sym__Generic] = ACTIONS(1557),
    [anon_sym_asm] = ACTIONS(1557),
    [anon_sym___asm__] = ACTIONS(1557),
    [sym_number_literal] = ACTIONS(1559),
    [anon_sym_L_SQUOTE] = ACTIONS(1559),
    [anon_sym_u_SQUOTE] = ACTIONS(1559),
    [anon_sym_U_SQUOTE] = ACTIONS(1559),
    [anon_sym_u8_SQUOTE] = ACTIONS(1559),
    [anon_sym_SQUOTE] = ACTIONS(1559),
    [anon_sym_L_DQUOTE] = ACTIONS(1559),
    [anon_sym_u_DQUOTE] = ACTIONS(1559),
    [anon_sym_U_DQUOTE] = ACTIONS(1559),
    [anon_sym_u8_DQUOTE] = ACTIONS(1559),
    [anon_sym_DQUOTE] = ACTIONS(1559),
    [sym_true] = ACTIONS(1557),
    [sym_false] = ACTIONS(1557),
    [anon_sym_NULL] = ACTIONS(1557),
    [anon_sym_nullptr] = ACTIONS(1557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1557),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1557),
    [anon_sym_hitAttributeEXT] = ACTIONS(1557),
    [anon_sym_callableDataEXT] = ACTIONS(1557),
    [anon_sym_callableDataInEXT] = ACTIONS(1557),
    [anon_sym_shaderRecordEXT] = ACTIONS(1557),
    [anon_sym_rayPayloadNV] = ACTIONS(1557),
    [anon_sym_rayPayloadInNV] = ACTIONS(1557),
    [anon_sym_hitAttributeNV] = ACTIONS(1557),
    [anon_sym_callableDataNV] = ACTIONS(1557),
    [anon_sym_callableDataInNV] = ACTIONS(1557),
    [anon_sym_shaderRecordNV] = ACTIONS(1557),
    [anon_sym_layout] = ACTIONS(1557),
  },
  [249] = {
    [sym_identifier] = ACTIONS(1475),
    [aux_sym_preproc_include_token1] = ACTIONS(1475),
    [aux_sym_preproc_def_token1] = ACTIONS(1475),
    [aux_sym_preproc_if_token1] = ACTIONS(1475),
    [aux_sym_preproc_if_token2] = ACTIONS(1475),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1475),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1475),
    [aux_sym_preproc_else_token1] = ACTIONS(1475),
    [aux_sym_preproc_elif_token1] = ACTIONS(1475),
    [sym_preproc_directive] = ACTIONS(1475),
    [anon_sym_LPAREN2] = ACTIONS(1473),
    [anon_sym_BANG] = ACTIONS(1473),
    [anon_sym_TILDE] = ACTIONS(1473),
    [anon_sym_DASH] = ACTIONS(1475),
    [anon_sym_PLUS] = ACTIONS(1475),
    [anon_sym_STAR] = ACTIONS(1473),
    [anon_sym_AMP] = ACTIONS(1473),
    [anon_sym_subroutine] = ACTIONS(1475),
    [anon_sym_invariant] = ACTIONS(1475),
    [anon_sym_precise] = ACTIONS(1475),
    [anon_sym_SEMI] = ACTIONS(1473),
    [anon_sym_in] = ACTIONS(1475),
    [anon_sym_out] = ACTIONS(1475),
    [anon_sym_inout] = ACTIONS(1475),
    [anon_sym_uniform] = ACTIONS(1475),
    [anon_sym_shared] = ACTIONS(1475),
    [anon_sym_attribute] = ACTIONS(1475),
    [anon_sym_varying] = ACTIONS(1475),
    [anon_sym_buffer] = ACTIONS(1475),
    [anon_sym_coherent] = ACTIONS(1475),
    [anon_sym_readonly] = ACTIONS(1475),
    [anon_sym_writeonly] = ACTIONS(1475),
    [anon_sym_precision] = ACTIONS(1475),
    [anon_sym_highp] = ACTIONS(1475),
    [anon_sym_mediump] = ACTIONS(1475),
    [anon_sym_lowp] = ACTIONS(1475),
    [anon_sym_centroid] = ACTIONS(1475),
    [anon_sym_sample] = ACTIONS(1475),
    [anon_sym_patch] = ACTIONS(1475),
    [anon_sym_smooth] = ACTIONS(1475),
    [anon_sym_flat] = ACTIONS(1475),
    [anon_sym_noperspective] = ACTIONS(1475),
    [anon_sym___extension__] = ACTIONS(1475),
    [anon_sym_typedef] = ACTIONS(1475),
    [anon_sym_extern] = ACTIONS(1475),
    [anon_sym___attribute__] = ACTIONS(1475),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1473),
    [anon_sym___declspec] = ACTIONS(1475),
    [anon_sym___cdecl] = ACTIONS(1475),
    [anon_sym___clrcall] = ACTIONS(1475),
    [anon_sym___stdcall] = ACTIONS(1475),
    [anon_sym___fastcall] = ACTIONS(1475),
    [anon_sym___thiscall] = ACTIONS(1475),
    [anon_sym___vectorcall] = ACTIONS(1475),
    [anon_sym_LBRACE] = ACTIONS(1473),
    [anon_sym_signed] = ACTIONS(1475),
    [anon_sym_unsigned] = ACTIONS(1475),
    [anon_sym_long] = ACTIONS(1475),
    [anon_sym_short] = ACTIONS(1475),
    [anon_sym_static] = ACTIONS(1475),
    [anon_sym_auto] = ACTIONS(1475),
    [anon_sym_register] = ACTIONS(1475),
    [anon_sym_inline] = ACTIONS(1475),
    [anon_sym___inline] = ACTIONS(1475),
    [anon_sym___inline__] = ACTIONS(1475),
    [anon_sym___forceinline] = ACTIONS(1475),
    [anon_sym_thread_local] = ACTIONS(1475),
    [anon_sym___thread] = ACTIONS(1475),
    [anon_sym_const] = ACTIONS(1475),
    [anon_sym_constexpr] = ACTIONS(1475),
    [anon_sym_volatile] = ACTIONS(1475),
    [anon_sym_restrict] = ACTIONS(1475),
    [anon_sym___restrict__] = ACTIONS(1475),
    [anon_sym__Atomic] = ACTIONS(1475),
    [anon_sym__Noreturn] = ACTIONS(1475),
    [anon_sym_noreturn] = ACTIONS(1475),
    [sym_primitive_type] = ACTIONS(1475),
    [anon_sym_enum] = ACTIONS(1475),
    [anon_sym_struct] = ACTIONS(1475),
    [anon_sym_union] = ACTIONS(1475),
    [anon_sym_if] = ACTIONS(1475),
    [anon_sym_else] = ACTIONS(1475),
    [anon_sym_switch] = ACTIONS(1475),
    [anon_sym_case] = ACTIONS(1475),
    [anon_sym_default] = ACTIONS(1475),
    [anon_sym_while] = ACTIONS(1475),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_for] = ACTIONS(1475),
    [anon_sym_return] = ACTIONS(1475),
    [anon_sym_break] = ACTIONS(1475),
    [anon_sym_continue] = ACTIONS(1475),
    [anon_sym_goto] = ACTIONS(1475),
    [anon_sym___try] = ACTIONS(1475),
    [anon_sym___leave] = ACTIONS(1475),
    [anon_sym_DASH_DASH] = ACTIONS(1473),
    [anon_sym_PLUS_PLUS] = ACTIONS(1473),
    [anon_sym_sizeof] = ACTIONS(1475),
    [anon_sym___alignof__] = ACTIONS(1475),
    [anon_sym___alignof] = ACTIONS(1475),
    [anon_sym__alignof] = ACTIONS(1475),
    [anon_sym_alignof] = ACTIONS(1475),
    [anon_sym__Alignof] = ACTIONS(1475),
    [anon_sym_offsetof] = ACTIONS(1475),
    [anon_sym__Generic] = ACTIONS(1475),
    [anon_sym_asm] = ACTIONS(1475),
    [anon_sym___asm__] = ACTIONS(1475),
    [sym_number_literal] = ACTIONS(1473),
    [anon_sym_L_SQUOTE] = ACTIONS(1473),
    [anon_sym_u_SQUOTE] = ACTIONS(1473),
    [anon_sym_U_SQUOTE] = ACTIONS(1473),
    [anon_sym_u8_SQUOTE] = ACTIONS(1473),
    [anon_sym_SQUOTE] = ACTIONS(1473),
    [anon_sym_L_DQUOTE] = ACTIONS(1473),
    [anon_sym_u_DQUOTE] = ACTIONS(1473),
    [anon_sym_U_DQUOTE] = ACTIONS(1473),
    [anon_sym_u8_DQUOTE] = ACTIONS(1473),
    [anon_sym_DQUOTE] = ACTIONS(1473),
    [sym_true] = ACTIONS(1475),
    [sym_false] = ACTIONS(1475),
    [anon_sym_NULL] = ACTIONS(1475),
    [anon_sym_nullptr] = ACTIONS(1475),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1475),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1475),
    [anon_sym_hitAttributeEXT] = ACTIONS(1475),
    [anon_sym_callableDataEXT] = ACTIONS(1475),
    [anon_sym_callableDataInEXT] = ACTIONS(1475),
    [anon_sym_shaderRecordEXT] = ACTIONS(1475),
    [anon_sym_rayPayloadNV] = ACTIONS(1475),
    [anon_sym_rayPayloadInNV] = ACTIONS(1475),
    [anon_sym_hitAttributeNV] = ACTIONS(1475),
    [anon_sym_callableDataNV] = ACTIONS(1475),
    [anon_sym_callableDataInNV] = ACTIONS(1475),
    [anon_sym_shaderRecordNV] = ACTIONS(1475),
    [anon_sym_layout] = ACTIONS(1475),
  },
  [250] = {
    [sym_identifier] = ACTIONS(1561),
    [aux_sym_preproc_include_token1] = ACTIONS(1561),
    [aux_sym_preproc_def_token1] = ACTIONS(1561),
    [aux_sym_preproc_if_token1] = ACTIONS(1561),
    [aux_sym_preproc_if_token2] = ACTIONS(1561),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1561),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1561),
    [aux_sym_preproc_else_token1] = ACTIONS(1561),
    [aux_sym_preproc_elif_token1] = ACTIONS(1561),
    [sym_preproc_directive] = ACTIONS(1561),
    [anon_sym_LPAREN2] = ACTIONS(1563),
    [anon_sym_BANG] = ACTIONS(1563),
    [anon_sym_TILDE] = ACTIONS(1563),
    [anon_sym_DASH] = ACTIONS(1561),
    [anon_sym_PLUS] = ACTIONS(1561),
    [anon_sym_STAR] = ACTIONS(1563),
    [anon_sym_AMP] = ACTIONS(1563),
    [anon_sym_subroutine] = ACTIONS(1561),
    [anon_sym_invariant] = ACTIONS(1561),
    [anon_sym_precise] = ACTIONS(1561),
    [anon_sym_SEMI] = ACTIONS(1563),
    [anon_sym_in] = ACTIONS(1561),
    [anon_sym_out] = ACTIONS(1561),
    [anon_sym_inout] = ACTIONS(1561),
    [anon_sym_uniform] = ACTIONS(1561),
    [anon_sym_shared] = ACTIONS(1561),
    [anon_sym_attribute] = ACTIONS(1561),
    [anon_sym_varying] = ACTIONS(1561),
    [anon_sym_buffer] = ACTIONS(1561),
    [anon_sym_coherent] = ACTIONS(1561),
    [anon_sym_readonly] = ACTIONS(1561),
    [anon_sym_writeonly] = ACTIONS(1561),
    [anon_sym_precision] = ACTIONS(1561),
    [anon_sym_highp] = ACTIONS(1561),
    [anon_sym_mediump] = ACTIONS(1561),
    [anon_sym_lowp] = ACTIONS(1561),
    [anon_sym_centroid] = ACTIONS(1561),
    [anon_sym_sample] = ACTIONS(1561),
    [anon_sym_patch] = ACTIONS(1561),
    [anon_sym_smooth] = ACTIONS(1561),
    [anon_sym_flat] = ACTIONS(1561),
    [anon_sym_noperspective] = ACTIONS(1561),
    [anon_sym___extension__] = ACTIONS(1561),
    [anon_sym_typedef] = ACTIONS(1561),
    [anon_sym_extern] = ACTIONS(1561),
    [anon_sym___attribute__] = ACTIONS(1561),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1563),
    [anon_sym___declspec] = ACTIONS(1561),
    [anon_sym___cdecl] = ACTIONS(1561),
    [anon_sym___clrcall] = ACTIONS(1561),
    [anon_sym___stdcall] = ACTIONS(1561),
    [anon_sym___fastcall] = ACTIONS(1561),
    [anon_sym___thiscall] = ACTIONS(1561),
    [anon_sym___vectorcall] = ACTIONS(1561),
    [anon_sym_LBRACE] = ACTIONS(1563),
    [anon_sym_signed] = ACTIONS(1561),
    [anon_sym_unsigned] = ACTIONS(1561),
    [anon_sym_long] = ACTIONS(1561),
    [anon_sym_short] = ACTIONS(1561),
    [anon_sym_static] = ACTIONS(1561),
    [anon_sym_auto] = ACTIONS(1561),
    [anon_sym_register] = ACTIONS(1561),
    [anon_sym_inline] = ACTIONS(1561),
    [anon_sym___inline] = ACTIONS(1561),
    [anon_sym___inline__] = ACTIONS(1561),
    [anon_sym___forceinline] = ACTIONS(1561),
    [anon_sym_thread_local] = ACTIONS(1561),
    [anon_sym___thread] = ACTIONS(1561),
    [anon_sym_const] = ACTIONS(1561),
    [anon_sym_constexpr] = ACTIONS(1561),
    [anon_sym_volatile] = ACTIONS(1561),
    [anon_sym_restrict] = ACTIONS(1561),
    [anon_sym___restrict__] = ACTIONS(1561),
    [anon_sym__Atomic] = ACTIONS(1561),
    [anon_sym__Noreturn] = ACTIONS(1561),
    [anon_sym_noreturn] = ACTIONS(1561),
    [sym_primitive_type] = ACTIONS(1561),
    [anon_sym_enum] = ACTIONS(1561),
    [anon_sym_struct] = ACTIONS(1561),
    [anon_sym_union] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1561),
    [anon_sym_else] = ACTIONS(1561),
    [anon_sym_switch] = ACTIONS(1561),
    [anon_sym_case] = ACTIONS(1561),
    [anon_sym_default] = ACTIONS(1561),
    [anon_sym_while] = ACTIONS(1561),
    [anon_sym_do] = ACTIONS(1561),
    [anon_sym_for] = ACTIONS(1561),
    [anon_sym_return] = ACTIONS(1561),
    [anon_sym_break] = ACTIONS(1561),
    [anon_sym_continue] = ACTIONS(1561),
    [anon_sym_goto] = ACTIONS(1561),
    [anon_sym___try] = ACTIONS(1561),
    [anon_sym___leave] = ACTIONS(1561),
    [anon_sym_DASH_DASH] = ACTIONS(1563),
    [anon_sym_PLUS_PLUS] = ACTIONS(1563),
    [anon_sym_sizeof] = ACTIONS(1561),
    [anon_sym___alignof__] = ACTIONS(1561),
    [anon_sym___alignof] = ACTIONS(1561),
    [anon_sym__alignof] = ACTIONS(1561),
    [anon_sym_alignof] = ACTIONS(1561),
    [anon_sym__Alignof] = ACTIONS(1561),
    [anon_sym_offsetof] = ACTIONS(1561),
    [anon_sym__Generic] = ACTIONS(1561),
    [anon_sym_asm] = ACTIONS(1561),
    [anon_sym___asm__] = ACTIONS(1561),
    [sym_number_literal] = ACTIONS(1563),
    [anon_sym_L_SQUOTE] = ACTIONS(1563),
    [anon_sym_u_SQUOTE] = ACTIONS(1563),
    [anon_sym_U_SQUOTE] = ACTIONS(1563),
    [anon_sym_u8_SQUOTE] = ACTIONS(1563),
    [anon_sym_SQUOTE] = ACTIONS(1563),
    [anon_sym_L_DQUOTE] = ACTIONS(1563),
    [anon_sym_u_DQUOTE] = ACTIONS(1563),
    [anon_sym_U_DQUOTE] = ACTIONS(1563),
    [anon_sym_u8_DQUOTE] = ACTIONS(1563),
    [anon_sym_DQUOTE] = ACTIONS(1563),
    [sym_true] = ACTIONS(1561),
    [sym_false] = ACTIONS(1561),
    [anon_sym_NULL] = ACTIONS(1561),
    [anon_sym_nullptr] = ACTIONS(1561),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1561),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1561),
    [anon_sym_hitAttributeEXT] = ACTIONS(1561),
    [anon_sym_callableDataEXT] = ACTIONS(1561),
    [anon_sym_callableDataInEXT] = ACTIONS(1561),
    [anon_sym_shaderRecordEXT] = ACTIONS(1561),
    [anon_sym_rayPayloadNV] = ACTIONS(1561),
    [anon_sym_rayPayloadInNV] = ACTIONS(1561),
    [anon_sym_hitAttributeNV] = ACTIONS(1561),
    [anon_sym_callableDataNV] = ACTIONS(1561),
    [anon_sym_callableDataInNV] = ACTIONS(1561),
    [anon_sym_shaderRecordNV] = ACTIONS(1561),
    [anon_sym_layout] = ACTIONS(1561),
  },
  [251] = {
    [sym_identifier] = ACTIONS(1569),
    [aux_sym_preproc_include_token1] = ACTIONS(1569),
    [aux_sym_preproc_def_token1] = ACTIONS(1569),
    [aux_sym_preproc_if_token1] = ACTIONS(1569),
    [aux_sym_preproc_if_token2] = ACTIONS(1569),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1569),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1569),
    [aux_sym_preproc_else_token1] = ACTIONS(1569),
    [aux_sym_preproc_elif_token1] = ACTIONS(1569),
    [sym_preproc_directive] = ACTIONS(1569),
    [anon_sym_LPAREN2] = ACTIONS(1571),
    [anon_sym_BANG] = ACTIONS(1571),
    [anon_sym_TILDE] = ACTIONS(1571),
    [anon_sym_DASH] = ACTIONS(1569),
    [anon_sym_PLUS] = ACTIONS(1569),
    [anon_sym_STAR] = ACTIONS(1571),
    [anon_sym_AMP] = ACTIONS(1571),
    [anon_sym_subroutine] = ACTIONS(1569),
    [anon_sym_invariant] = ACTIONS(1569),
    [anon_sym_precise] = ACTIONS(1569),
    [anon_sym_SEMI] = ACTIONS(1571),
    [anon_sym_in] = ACTIONS(1569),
    [anon_sym_out] = ACTIONS(1569),
    [anon_sym_inout] = ACTIONS(1569),
    [anon_sym_uniform] = ACTIONS(1569),
    [anon_sym_shared] = ACTIONS(1569),
    [anon_sym_attribute] = ACTIONS(1569),
    [anon_sym_varying] = ACTIONS(1569),
    [anon_sym_buffer] = ACTIONS(1569),
    [anon_sym_coherent] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_writeonly] = ACTIONS(1569),
    [anon_sym_precision] = ACTIONS(1569),
    [anon_sym_highp] = ACTIONS(1569),
    [anon_sym_mediump] = ACTIONS(1569),
    [anon_sym_lowp] = ACTIONS(1569),
    [anon_sym_centroid] = ACTIONS(1569),
    [anon_sym_sample] = ACTIONS(1569),
    [anon_sym_patch] = ACTIONS(1569),
    [anon_sym_smooth] = ACTIONS(1569),
    [anon_sym_flat] = ACTIONS(1569),
    [anon_sym_noperspective] = ACTIONS(1569),
    [anon_sym___extension__] = ACTIONS(1569),
    [anon_sym_typedef] = ACTIONS(1569),
    [anon_sym_extern] = ACTIONS(1569),
    [anon_sym___attribute__] = ACTIONS(1569),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1571),
    [anon_sym___declspec] = ACTIONS(1569),
    [anon_sym___cdecl] = ACTIONS(1569),
    [anon_sym___clrcall] = ACTIONS(1569),
    [anon_sym___stdcall] = ACTIONS(1569),
    [anon_sym___fastcall] = ACTIONS(1569),
    [anon_sym___thiscall] = ACTIONS(1569),
    [anon_sym___vectorcall] = ACTIONS(1569),
    [anon_sym_LBRACE] = ACTIONS(1571),
    [anon_sym_signed] = ACTIONS(1569),
    [anon_sym_unsigned] = ACTIONS(1569),
    [anon_sym_long] = ACTIONS(1569),
    [anon_sym_short] = ACTIONS(1569),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_auto] = ACTIONS(1569),
    [anon_sym_register] = ACTIONS(1569),
    [anon_sym_inline] = ACTIONS(1569),
    [anon_sym___inline] = ACTIONS(1569),
    [anon_sym___inline__] = ACTIONS(1569),
    [anon_sym___forceinline] = ACTIONS(1569),
    [anon_sym_thread_local] = ACTIONS(1569),
    [anon_sym___thread] = ACTIONS(1569),
    [anon_sym_const] = ACTIONS(1569),
    [anon_sym_constexpr] = ACTIONS(1569),
    [anon_sym_volatile] = ACTIONS(1569),
    [anon_sym_restrict] = ACTIONS(1569),
    [anon_sym___restrict__] = ACTIONS(1569),
    [anon_sym__Atomic] = ACTIONS(1569),
    [anon_sym__Noreturn] = ACTIONS(1569),
    [anon_sym_noreturn] = ACTIONS(1569),
    [sym_primitive_type] = ACTIONS(1569),
    [anon_sym_enum] = ACTIONS(1569),
    [anon_sym_struct] = ACTIONS(1569),
    [anon_sym_union] = ACTIONS(1569),
    [anon_sym_if] = ACTIONS(1569),
    [anon_sym_else] = ACTIONS(1569),
    [anon_sym_switch] = ACTIONS(1569),
    [anon_sym_case] = ACTIONS(1569),
    [anon_sym_default] = ACTIONS(1569),
    [anon_sym_while] = ACTIONS(1569),
    [anon_sym_do] = ACTIONS(1569),
    [anon_sym_for] = ACTIONS(1569),
    [anon_sym_return] = ACTIONS(1569),
    [anon_sym_break] = ACTIONS(1569),
    [anon_sym_continue] = ACTIONS(1569),
    [anon_sym_goto] = ACTIONS(1569),
    [anon_sym___try] = ACTIONS(1569),
    [anon_sym___leave] = ACTIONS(1569),
    [anon_sym_DASH_DASH] = ACTIONS(1571),
    [anon_sym_PLUS_PLUS] = ACTIONS(1571),
    [anon_sym_sizeof] = ACTIONS(1569),
    [anon_sym___alignof__] = ACTIONS(1569),
    [anon_sym___alignof] = ACTIONS(1569),
    [anon_sym__alignof] = ACTIONS(1569),
    [anon_sym_alignof] = ACTIONS(1569),
    [anon_sym__Alignof] = ACTIONS(1569),
    [anon_sym_offsetof] = ACTIONS(1569),
    [anon_sym__Generic] = ACTIONS(1569),
    [anon_sym_asm] = ACTIONS(1569),
    [anon_sym___asm__] = ACTIONS(1569),
    [sym_number_literal] = ACTIONS(1571),
    [anon_sym_L_SQUOTE] = ACTIONS(1571),
    [anon_sym_u_SQUOTE] = ACTIONS(1571),
    [anon_sym_U_SQUOTE] = ACTIONS(1571),
    [anon_sym_u8_SQUOTE] = ACTIONS(1571),
    [anon_sym_SQUOTE] = ACTIONS(1571),
    [anon_sym_L_DQUOTE] = ACTIONS(1571),
    [anon_sym_u_DQUOTE] = ACTIONS(1571),
    [anon_sym_U_DQUOTE] = ACTIONS(1571),
    [anon_sym_u8_DQUOTE] = ACTIONS(1571),
    [anon_sym_DQUOTE] = ACTIONS(1571),
    [sym_true] = ACTIONS(1569),
    [sym_false] = ACTIONS(1569),
    [anon_sym_NULL] = ACTIONS(1569),
    [anon_sym_nullptr] = ACTIONS(1569),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1569),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1569),
    [anon_sym_hitAttributeEXT] = ACTIONS(1569),
    [anon_sym_callableDataEXT] = ACTIONS(1569),
    [anon_sym_callableDataInEXT] = ACTIONS(1569),
    [anon_sym_shaderRecordEXT] = ACTIONS(1569),
    [anon_sym_rayPayloadNV] = ACTIONS(1569),
    [anon_sym_rayPayloadInNV] = ACTIONS(1569),
    [anon_sym_hitAttributeNV] = ACTIONS(1569),
    [anon_sym_callableDataNV] = ACTIONS(1569),
    [anon_sym_callableDataInNV] = ACTIONS(1569),
    [anon_sym_shaderRecordNV] = ACTIONS(1569),
    [anon_sym_layout] = ACTIONS(1569),
  },
  [252] = {
    [sym_identifier] = ACTIONS(1565),
    [aux_sym_preproc_include_token1] = ACTIONS(1565),
    [aux_sym_preproc_def_token1] = ACTIONS(1565),
    [aux_sym_preproc_if_token1] = ACTIONS(1565),
    [aux_sym_preproc_if_token2] = ACTIONS(1565),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1565),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1565),
    [aux_sym_preproc_else_token1] = ACTIONS(1565),
    [aux_sym_preproc_elif_token1] = ACTIONS(1565),
    [sym_preproc_directive] = ACTIONS(1565),
    [anon_sym_LPAREN2] = ACTIONS(1567),
    [anon_sym_BANG] = ACTIONS(1567),
    [anon_sym_TILDE] = ACTIONS(1567),
    [anon_sym_DASH] = ACTIONS(1565),
    [anon_sym_PLUS] = ACTIONS(1565),
    [anon_sym_STAR] = ACTIONS(1567),
    [anon_sym_AMP] = ACTIONS(1567),
    [anon_sym_subroutine] = ACTIONS(1565),
    [anon_sym_invariant] = ACTIONS(1565),
    [anon_sym_precise] = ACTIONS(1565),
    [anon_sym_SEMI] = ACTIONS(1567),
    [anon_sym_in] = ACTIONS(1565),
    [anon_sym_out] = ACTIONS(1565),
    [anon_sym_inout] = ACTIONS(1565),
    [anon_sym_uniform] = ACTIONS(1565),
    [anon_sym_shared] = ACTIONS(1565),
    [anon_sym_attribute] = ACTIONS(1565),
    [anon_sym_varying] = ACTIONS(1565),
    [anon_sym_buffer] = ACTIONS(1565),
    [anon_sym_coherent] = ACTIONS(1565),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_writeonly] = ACTIONS(1565),
    [anon_sym_precision] = ACTIONS(1565),
    [anon_sym_highp] = ACTIONS(1565),
    [anon_sym_mediump] = ACTIONS(1565),
    [anon_sym_lowp] = ACTIONS(1565),
    [anon_sym_centroid] = ACTIONS(1565),
    [anon_sym_sample] = ACTIONS(1565),
    [anon_sym_patch] = ACTIONS(1565),
    [anon_sym_smooth] = ACTIONS(1565),
    [anon_sym_flat] = ACTIONS(1565),
    [anon_sym_noperspective] = ACTIONS(1565),
    [anon_sym___extension__] = ACTIONS(1565),
    [anon_sym_typedef] = ACTIONS(1565),
    [anon_sym_extern] = ACTIONS(1565),
    [anon_sym___attribute__] = ACTIONS(1565),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1567),
    [anon_sym___declspec] = ACTIONS(1565),
    [anon_sym___cdecl] = ACTIONS(1565),
    [anon_sym___clrcall] = ACTIONS(1565),
    [anon_sym___stdcall] = ACTIONS(1565),
    [anon_sym___fastcall] = ACTIONS(1565),
    [anon_sym___thiscall] = ACTIONS(1565),
    [anon_sym___vectorcall] = ACTIONS(1565),
    [anon_sym_LBRACE] = ACTIONS(1567),
    [anon_sym_signed] = ACTIONS(1565),
    [anon_sym_unsigned] = ACTIONS(1565),
    [anon_sym_long] = ACTIONS(1565),
    [anon_sym_short] = ACTIONS(1565),
    [anon_sym_static] = ACTIONS(1565),
    [anon_sym_auto] = ACTIONS(1565),
    [anon_sym_register] = ACTIONS(1565),
    [anon_sym_inline] = ACTIONS(1565),
    [anon_sym___inline] = ACTIONS(1565),
    [anon_sym___inline__] = ACTIONS(1565),
    [anon_sym___forceinline] = ACTIONS(1565),
    [anon_sym_thread_local] = ACTIONS(1565),
    [anon_sym___thread] = ACTIONS(1565),
    [anon_sym_const] = ACTIONS(1565),
    [anon_sym_constexpr] = ACTIONS(1565),
    [anon_sym_volatile] = ACTIONS(1565),
    [anon_sym_restrict] = ACTIONS(1565),
    [anon_sym___restrict__] = ACTIONS(1565),
    [anon_sym__Atomic] = ACTIONS(1565),
    [anon_sym__Noreturn] = ACTIONS(1565),
    [anon_sym_noreturn] = ACTIONS(1565),
    [sym_primitive_type] = ACTIONS(1565),
    [anon_sym_enum] = ACTIONS(1565),
    [anon_sym_struct] = ACTIONS(1565),
    [anon_sym_union] = ACTIONS(1565),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_else] = ACTIONS(1565),
    [anon_sym_switch] = ACTIONS(1565),
    [anon_sym_case] = ACTIONS(1565),
    [anon_sym_default] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1565),
    [anon_sym_do] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(1565),
    [anon_sym_return] = ACTIONS(1565),
    [anon_sym_break] = ACTIONS(1565),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_goto] = ACTIONS(1565),
    [anon_sym___try] = ACTIONS(1565),
    [anon_sym___leave] = ACTIONS(1565),
    [anon_sym_DASH_DASH] = ACTIONS(1567),
    [anon_sym_PLUS_PLUS] = ACTIONS(1567),
    [anon_sym_sizeof] = ACTIONS(1565),
    [anon_sym___alignof__] = ACTIONS(1565),
    [anon_sym___alignof] = ACTIONS(1565),
    [anon_sym__alignof] = ACTIONS(1565),
    [anon_sym_alignof] = ACTIONS(1565),
    [anon_sym__Alignof] = ACTIONS(1565),
    [anon_sym_offsetof] = ACTIONS(1565),
    [anon_sym__Generic] = ACTIONS(1565),
    [anon_sym_asm] = ACTIONS(1565),
    [anon_sym___asm__] = ACTIONS(1565),
    [sym_number_literal] = ACTIONS(1567),
    [anon_sym_L_SQUOTE] = ACTIONS(1567),
    [anon_sym_u_SQUOTE] = ACTIONS(1567),
    [anon_sym_U_SQUOTE] = ACTIONS(1567),
    [anon_sym_u8_SQUOTE] = ACTIONS(1567),
    [anon_sym_SQUOTE] = ACTIONS(1567),
    [anon_sym_L_DQUOTE] = ACTIONS(1567),
    [anon_sym_u_DQUOTE] = ACTIONS(1567),
    [anon_sym_U_DQUOTE] = ACTIONS(1567),
    [anon_sym_u8_DQUOTE] = ACTIONS(1567),
    [anon_sym_DQUOTE] = ACTIONS(1567),
    [sym_true] = ACTIONS(1565),
    [sym_false] = ACTIONS(1565),
    [anon_sym_NULL] = ACTIONS(1565),
    [anon_sym_nullptr] = ACTIONS(1565),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1565),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1565),
    [anon_sym_hitAttributeEXT] = ACTIONS(1565),
    [anon_sym_callableDataEXT] = ACTIONS(1565),
    [anon_sym_callableDataInEXT] = ACTIONS(1565),
    [anon_sym_shaderRecordEXT] = ACTIONS(1565),
    [anon_sym_rayPayloadNV] = ACTIONS(1565),
    [anon_sym_rayPayloadInNV] = ACTIONS(1565),
    [anon_sym_hitAttributeNV] = ACTIONS(1565),
    [anon_sym_callableDataNV] = ACTIONS(1565),
    [anon_sym_callableDataInNV] = ACTIONS(1565),
    [anon_sym_shaderRecordNV] = ACTIONS(1565),
    [anon_sym_layout] = ACTIONS(1565),
  },
  [253] = {
    [sym_identifier] = ACTIONS(1553),
    [aux_sym_preproc_include_token1] = ACTIONS(1553),
    [aux_sym_preproc_def_token1] = ACTIONS(1553),
    [aux_sym_preproc_if_token1] = ACTIONS(1553),
    [aux_sym_preproc_if_token2] = ACTIONS(1553),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1553),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1553),
    [aux_sym_preproc_else_token1] = ACTIONS(1553),
    [aux_sym_preproc_elif_token1] = ACTIONS(1553),
    [sym_preproc_directive] = ACTIONS(1553),
    [anon_sym_LPAREN2] = ACTIONS(1555),
    [anon_sym_BANG] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1555),
    [anon_sym_DASH] = ACTIONS(1553),
    [anon_sym_PLUS] = ACTIONS(1553),
    [anon_sym_STAR] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(1555),
    [anon_sym_subroutine] = ACTIONS(1553),
    [anon_sym_invariant] = ACTIONS(1553),
    [anon_sym_precise] = ACTIONS(1553),
    [anon_sym_SEMI] = ACTIONS(1555),
    [anon_sym_in] = ACTIONS(1553),
    [anon_sym_out] = ACTIONS(1553),
    [anon_sym_inout] = ACTIONS(1553),
    [anon_sym_uniform] = ACTIONS(1553),
    [anon_sym_shared] = ACTIONS(1553),
    [anon_sym_attribute] = ACTIONS(1553),
    [anon_sym_varying] = ACTIONS(1553),
    [anon_sym_buffer] = ACTIONS(1553),
    [anon_sym_coherent] = ACTIONS(1553),
    [anon_sym_readonly] = ACTIONS(1553),
    [anon_sym_writeonly] = ACTIONS(1553),
    [anon_sym_precision] = ACTIONS(1553),
    [anon_sym_highp] = ACTIONS(1553),
    [anon_sym_mediump] = ACTIONS(1553),
    [anon_sym_lowp] = ACTIONS(1553),
    [anon_sym_centroid] = ACTIONS(1553),
    [anon_sym_sample] = ACTIONS(1553),
    [anon_sym_patch] = ACTIONS(1553),
    [anon_sym_smooth] = ACTIONS(1553),
    [anon_sym_flat] = ACTIONS(1553),
    [anon_sym_noperspective] = ACTIONS(1553),
    [anon_sym___extension__] = ACTIONS(1553),
    [anon_sym_typedef] = ACTIONS(1553),
    [anon_sym_extern] = ACTIONS(1553),
    [anon_sym___attribute__] = ACTIONS(1553),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1555),
    [anon_sym___declspec] = ACTIONS(1553),
    [anon_sym___cdecl] = ACTIONS(1553),
    [anon_sym___clrcall] = ACTIONS(1553),
    [anon_sym___stdcall] = ACTIONS(1553),
    [anon_sym___fastcall] = ACTIONS(1553),
    [anon_sym___thiscall] = ACTIONS(1553),
    [anon_sym___vectorcall] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_signed] = ACTIONS(1553),
    [anon_sym_unsigned] = ACTIONS(1553),
    [anon_sym_long] = ACTIONS(1553),
    [anon_sym_short] = ACTIONS(1553),
    [anon_sym_static] = ACTIONS(1553),
    [anon_sym_auto] = ACTIONS(1553),
    [anon_sym_register] = ACTIONS(1553),
    [anon_sym_inline] = ACTIONS(1553),
    [anon_sym___inline] = ACTIONS(1553),
    [anon_sym___inline__] = ACTIONS(1553),
    [anon_sym___forceinline] = ACTIONS(1553),
    [anon_sym_thread_local] = ACTIONS(1553),
    [anon_sym___thread] = ACTIONS(1553),
    [anon_sym_const] = ACTIONS(1553),
    [anon_sym_constexpr] = ACTIONS(1553),
    [anon_sym_volatile] = ACTIONS(1553),
    [anon_sym_restrict] = ACTIONS(1553),
    [anon_sym___restrict__] = ACTIONS(1553),
    [anon_sym__Atomic] = ACTIONS(1553),
    [anon_sym__Noreturn] = ACTIONS(1553),
    [anon_sym_noreturn] = ACTIONS(1553),
    [sym_primitive_type] = ACTIONS(1553),
    [anon_sym_enum] = ACTIONS(1553),
    [anon_sym_struct] = ACTIONS(1553),
    [anon_sym_union] = ACTIONS(1553),
    [anon_sym_if] = ACTIONS(1553),
    [anon_sym_else] = ACTIONS(1553),
    [anon_sym_switch] = ACTIONS(1553),
    [anon_sym_case] = ACTIONS(1553),
    [anon_sym_default] = ACTIONS(1553),
    [anon_sym_while] = ACTIONS(1553),
    [anon_sym_do] = ACTIONS(1553),
    [anon_sym_for] = ACTIONS(1553),
    [anon_sym_return] = ACTIONS(1553),
    [anon_sym_break] = ACTIONS(1553),
    [anon_sym_continue] = ACTIONS(1553),
    [anon_sym_goto] = ACTIONS(1553),
    [anon_sym___try] = ACTIONS(1553),
    [anon_sym___leave] = ACTIONS(1553),
    [anon_sym_DASH_DASH] = ACTIONS(1555),
    [anon_sym_PLUS_PLUS] = ACTIONS(1555),
    [anon_sym_sizeof] = ACTIONS(1553),
    [anon_sym___alignof__] = ACTIONS(1553),
    [anon_sym___alignof] = ACTIONS(1553),
    [anon_sym__alignof] = ACTIONS(1553),
    [anon_sym_alignof] = ACTIONS(1553),
    [anon_sym__Alignof] = ACTIONS(1553),
    [anon_sym_offsetof] = ACTIONS(1553),
    [anon_sym__Generic] = ACTIONS(1553),
    [anon_sym_asm] = ACTIONS(1553),
    [anon_sym___asm__] = ACTIONS(1553),
    [sym_number_literal] = ACTIONS(1555),
    [anon_sym_L_SQUOTE] = ACTIONS(1555),
    [anon_sym_u_SQUOTE] = ACTIONS(1555),
    [anon_sym_U_SQUOTE] = ACTIONS(1555),
    [anon_sym_u8_SQUOTE] = ACTIONS(1555),
    [anon_sym_SQUOTE] = ACTIONS(1555),
    [anon_sym_L_DQUOTE] = ACTIONS(1555),
    [anon_sym_u_DQUOTE] = ACTIONS(1555),
    [anon_sym_U_DQUOTE] = ACTIONS(1555),
    [anon_sym_u8_DQUOTE] = ACTIONS(1555),
    [anon_sym_DQUOTE] = ACTIONS(1555),
    [sym_true] = ACTIONS(1553),
    [sym_false] = ACTIONS(1553),
    [anon_sym_NULL] = ACTIONS(1553),
    [anon_sym_nullptr] = ACTIONS(1553),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1553),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1553),
    [anon_sym_hitAttributeEXT] = ACTIONS(1553),
    [anon_sym_callableDataEXT] = ACTIONS(1553),
    [anon_sym_callableDataInEXT] = ACTIONS(1553),
    [anon_sym_shaderRecordEXT] = ACTIONS(1553),
    [anon_sym_rayPayloadNV] = ACTIONS(1553),
    [anon_sym_rayPayloadInNV] = ACTIONS(1553),
    [anon_sym_hitAttributeNV] = ACTIONS(1553),
    [anon_sym_callableDataNV] = ACTIONS(1553),
    [anon_sym_callableDataInNV] = ACTIONS(1553),
    [anon_sym_shaderRecordNV] = ACTIONS(1553),
    [anon_sym_layout] = ACTIONS(1553),
  },
  [254] = {
    [sym_identifier] = ACTIONS(1429),
    [aux_sym_preproc_include_token1] = ACTIONS(1429),
    [aux_sym_preproc_def_token1] = ACTIONS(1429),
    [aux_sym_preproc_if_token1] = ACTIONS(1429),
    [aux_sym_preproc_if_token2] = ACTIONS(1429),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1429),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1429),
    [aux_sym_preproc_else_token1] = ACTIONS(1429),
    [aux_sym_preproc_elif_token1] = ACTIONS(1429),
    [sym_preproc_directive] = ACTIONS(1429),
    [anon_sym_LPAREN2] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1431),
    [anon_sym_TILDE] = ACTIONS(1431),
    [anon_sym_DASH] = ACTIONS(1429),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_STAR] = ACTIONS(1431),
    [anon_sym_AMP] = ACTIONS(1431),
    [anon_sym_subroutine] = ACTIONS(1429),
    [anon_sym_invariant] = ACTIONS(1429),
    [anon_sym_precise] = ACTIONS(1429),
    [anon_sym_SEMI] = ACTIONS(1431),
    [anon_sym_in] = ACTIONS(1429),
    [anon_sym_out] = ACTIONS(1429),
    [anon_sym_inout] = ACTIONS(1429),
    [anon_sym_uniform] = ACTIONS(1429),
    [anon_sym_shared] = ACTIONS(1429),
    [anon_sym_attribute] = ACTIONS(1429),
    [anon_sym_varying] = ACTIONS(1429),
    [anon_sym_buffer] = ACTIONS(1429),
    [anon_sym_coherent] = ACTIONS(1429),
    [anon_sym_readonly] = ACTIONS(1429),
    [anon_sym_writeonly] = ACTIONS(1429),
    [anon_sym_precision] = ACTIONS(1429),
    [anon_sym_highp] = ACTIONS(1429),
    [anon_sym_mediump] = ACTIONS(1429),
    [anon_sym_lowp] = ACTIONS(1429),
    [anon_sym_centroid] = ACTIONS(1429),
    [anon_sym_sample] = ACTIONS(1429),
    [anon_sym_patch] = ACTIONS(1429),
    [anon_sym_smooth] = ACTIONS(1429),
    [anon_sym_flat] = ACTIONS(1429),
    [anon_sym_noperspective] = ACTIONS(1429),
    [anon_sym___extension__] = ACTIONS(1429),
    [anon_sym_typedef] = ACTIONS(1429),
    [anon_sym_extern] = ACTIONS(1429),
    [anon_sym___attribute__] = ACTIONS(1429),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1431),
    [anon_sym___declspec] = ACTIONS(1429),
    [anon_sym___cdecl] = ACTIONS(1429),
    [anon_sym___clrcall] = ACTIONS(1429),
    [anon_sym___stdcall] = ACTIONS(1429),
    [anon_sym___fastcall] = ACTIONS(1429),
    [anon_sym___thiscall] = ACTIONS(1429),
    [anon_sym___vectorcall] = ACTIONS(1429),
    [anon_sym_LBRACE] = ACTIONS(1431),
    [anon_sym_signed] = ACTIONS(1429),
    [anon_sym_unsigned] = ACTIONS(1429),
    [anon_sym_long] = ACTIONS(1429),
    [anon_sym_short] = ACTIONS(1429),
    [anon_sym_static] = ACTIONS(1429),
    [anon_sym_auto] = ACTIONS(1429),
    [anon_sym_register] = ACTIONS(1429),
    [anon_sym_inline] = ACTIONS(1429),
    [anon_sym___inline] = ACTIONS(1429),
    [anon_sym___inline__] = ACTIONS(1429),
    [anon_sym___forceinline] = ACTIONS(1429),
    [anon_sym_thread_local] = ACTIONS(1429),
    [anon_sym___thread] = ACTIONS(1429),
    [anon_sym_const] = ACTIONS(1429),
    [anon_sym_constexpr] = ACTIONS(1429),
    [anon_sym_volatile] = ACTIONS(1429),
    [anon_sym_restrict] = ACTIONS(1429),
    [anon_sym___restrict__] = ACTIONS(1429),
    [anon_sym__Atomic] = ACTIONS(1429),
    [anon_sym__Noreturn] = ACTIONS(1429),
    [anon_sym_noreturn] = ACTIONS(1429),
    [sym_primitive_type] = ACTIONS(1429),
    [anon_sym_enum] = ACTIONS(1429),
    [anon_sym_struct] = ACTIONS(1429),
    [anon_sym_union] = ACTIONS(1429),
    [anon_sym_if] = ACTIONS(1429),
    [anon_sym_else] = ACTIONS(1429),
    [anon_sym_switch] = ACTIONS(1429),
    [anon_sym_case] = ACTIONS(1429),
    [anon_sym_default] = ACTIONS(1429),
    [anon_sym_while] = ACTIONS(1429),
    [anon_sym_do] = ACTIONS(1429),
    [anon_sym_for] = ACTIONS(1429),
    [anon_sym_return] = ACTIONS(1429),
    [anon_sym_break] = ACTIONS(1429),
    [anon_sym_continue] = ACTIONS(1429),
    [anon_sym_goto] = ACTIONS(1429),
    [anon_sym___try] = ACTIONS(1429),
    [anon_sym___leave] = ACTIONS(1429),
    [anon_sym_DASH_DASH] = ACTIONS(1431),
    [anon_sym_PLUS_PLUS] = ACTIONS(1431),
    [anon_sym_sizeof] = ACTIONS(1429),
    [anon_sym___alignof__] = ACTIONS(1429),
    [anon_sym___alignof] = ACTIONS(1429),
    [anon_sym__alignof] = ACTIONS(1429),
    [anon_sym_alignof] = ACTIONS(1429),
    [anon_sym__Alignof] = ACTIONS(1429),
    [anon_sym_offsetof] = ACTIONS(1429),
    [anon_sym__Generic] = ACTIONS(1429),
    [anon_sym_asm] = ACTIONS(1429),
    [anon_sym___asm__] = ACTIONS(1429),
    [sym_number_literal] = ACTIONS(1431),
    [anon_sym_L_SQUOTE] = ACTIONS(1431),
    [anon_sym_u_SQUOTE] = ACTIONS(1431),
    [anon_sym_U_SQUOTE] = ACTIONS(1431),
    [anon_sym_u8_SQUOTE] = ACTIONS(1431),
    [anon_sym_SQUOTE] = ACTIONS(1431),
    [anon_sym_L_DQUOTE] = ACTIONS(1431),
    [anon_sym_u_DQUOTE] = ACTIONS(1431),
    [anon_sym_U_DQUOTE] = ACTIONS(1431),
    [anon_sym_u8_DQUOTE] = ACTIONS(1431),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_true] = ACTIONS(1429),
    [sym_false] = ACTIONS(1429),
    [anon_sym_NULL] = ACTIONS(1429),
    [anon_sym_nullptr] = ACTIONS(1429),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1429),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1429),
    [anon_sym_hitAttributeEXT] = ACTIONS(1429),
    [anon_sym_callableDataEXT] = ACTIONS(1429),
    [anon_sym_callableDataInEXT] = ACTIONS(1429),
    [anon_sym_shaderRecordEXT] = ACTIONS(1429),
    [anon_sym_rayPayloadNV] = ACTIONS(1429),
    [anon_sym_rayPayloadInNV] = ACTIONS(1429),
    [anon_sym_hitAttributeNV] = ACTIONS(1429),
    [anon_sym_callableDataNV] = ACTIONS(1429),
    [anon_sym_callableDataInNV] = ACTIONS(1429),
    [anon_sym_shaderRecordNV] = ACTIONS(1429),
    [anon_sym_layout] = ACTIONS(1429),
  },
  [255] = {
    [sym_identifier] = ACTIONS(1577),
    [aux_sym_preproc_include_token1] = ACTIONS(1577),
    [aux_sym_preproc_def_token1] = ACTIONS(1577),
    [aux_sym_preproc_if_token1] = ACTIONS(1577),
    [aux_sym_preproc_if_token2] = ACTIONS(1577),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1577),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1577),
    [aux_sym_preproc_else_token1] = ACTIONS(1577),
    [aux_sym_preproc_elif_token1] = ACTIONS(1577),
    [sym_preproc_directive] = ACTIONS(1577),
    [anon_sym_LPAREN2] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1579),
    [anon_sym_TILDE] = ACTIONS(1579),
    [anon_sym_DASH] = ACTIONS(1577),
    [anon_sym_PLUS] = ACTIONS(1577),
    [anon_sym_STAR] = ACTIONS(1579),
    [anon_sym_AMP] = ACTIONS(1579),
    [anon_sym_subroutine] = ACTIONS(1577),
    [anon_sym_invariant] = ACTIONS(1577),
    [anon_sym_precise] = ACTIONS(1577),
    [anon_sym_SEMI] = ACTIONS(1579),
    [anon_sym_in] = ACTIONS(1577),
    [anon_sym_out] = ACTIONS(1577),
    [anon_sym_inout] = ACTIONS(1577),
    [anon_sym_uniform] = ACTIONS(1577),
    [anon_sym_shared] = ACTIONS(1577),
    [anon_sym_attribute] = ACTIONS(1577),
    [anon_sym_varying] = ACTIONS(1577),
    [anon_sym_buffer] = ACTIONS(1577),
    [anon_sym_coherent] = ACTIONS(1577),
    [anon_sym_readonly] = ACTIONS(1577),
    [anon_sym_writeonly] = ACTIONS(1577),
    [anon_sym_precision] = ACTIONS(1577),
    [anon_sym_highp] = ACTIONS(1577),
    [anon_sym_mediump] = ACTIONS(1577),
    [anon_sym_lowp] = ACTIONS(1577),
    [anon_sym_centroid] = ACTIONS(1577),
    [anon_sym_sample] = ACTIONS(1577),
    [anon_sym_patch] = ACTIONS(1577),
    [anon_sym_smooth] = ACTIONS(1577),
    [anon_sym_flat] = ACTIONS(1577),
    [anon_sym_noperspective] = ACTIONS(1577),
    [anon_sym___extension__] = ACTIONS(1577),
    [anon_sym_typedef] = ACTIONS(1577),
    [anon_sym_extern] = ACTIONS(1577),
    [anon_sym___attribute__] = ACTIONS(1577),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1579),
    [anon_sym___declspec] = ACTIONS(1577),
    [anon_sym___cdecl] = ACTIONS(1577),
    [anon_sym___clrcall] = ACTIONS(1577),
    [anon_sym___stdcall] = ACTIONS(1577),
    [anon_sym___fastcall] = ACTIONS(1577),
    [anon_sym___thiscall] = ACTIONS(1577),
    [anon_sym___vectorcall] = ACTIONS(1577),
    [anon_sym_LBRACE] = ACTIONS(1579),
    [anon_sym_signed] = ACTIONS(1577),
    [anon_sym_unsigned] = ACTIONS(1577),
    [anon_sym_long] = ACTIONS(1577),
    [anon_sym_short] = ACTIONS(1577),
    [anon_sym_static] = ACTIONS(1577),
    [anon_sym_auto] = ACTIONS(1577),
    [anon_sym_register] = ACTIONS(1577),
    [anon_sym_inline] = ACTIONS(1577),
    [anon_sym___inline] = ACTIONS(1577),
    [anon_sym___inline__] = ACTIONS(1577),
    [anon_sym___forceinline] = ACTIONS(1577),
    [anon_sym_thread_local] = ACTIONS(1577),
    [anon_sym___thread] = ACTIONS(1577),
    [anon_sym_const] = ACTIONS(1577),
    [anon_sym_constexpr] = ACTIONS(1577),
    [anon_sym_volatile] = ACTIONS(1577),
    [anon_sym_restrict] = ACTIONS(1577),
    [anon_sym___restrict__] = ACTIONS(1577),
    [anon_sym__Atomic] = ACTIONS(1577),
    [anon_sym__Noreturn] = ACTIONS(1577),
    [anon_sym_noreturn] = ACTIONS(1577),
    [sym_primitive_type] = ACTIONS(1577),
    [anon_sym_enum] = ACTIONS(1577),
    [anon_sym_struct] = ACTIONS(1577),
    [anon_sym_union] = ACTIONS(1577),
    [anon_sym_if] = ACTIONS(1577),
    [anon_sym_else] = ACTIONS(1577),
    [anon_sym_switch] = ACTIONS(1577),
    [anon_sym_case] = ACTIONS(1577),
    [anon_sym_default] = ACTIONS(1577),
    [anon_sym_while] = ACTIONS(1577),
    [anon_sym_do] = ACTIONS(1577),
    [anon_sym_for] = ACTIONS(1577),
    [anon_sym_return] = ACTIONS(1577),
    [anon_sym_break] = ACTIONS(1577),
    [anon_sym_continue] = ACTIONS(1577),
    [anon_sym_goto] = ACTIONS(1577),
    [anon_sym___try] = ACTIONS(1577),
    [anon_sym___leave] = ACTIONS(1577),
    [anon_sym_DASH_DASH] = ACTIONS(1579),
    [anon_sym_PLUS_PLUS] = ACTIONS(1579),
    [anon_sym_sizeof] = ACTIONS(1577),
    [anon_sym___alignof__] = ACTIONS(1577),
    [anon_sym___alignof] = ACTIONS(1577),
    [anon_sym__alignof] = ACTIONS(1577),
    [anon_sym_alignof] = ACTIONS(1577),
    [anon_sym__Alignof] = ACTIONS(1577),
    [anon_sym_offsetof] = ACTIONS(1577),
    [anon_sym__Generic] = ACTIONS(1577),
    [anon_sym_asm] = ACTIONS(1577),
    [anon_sym___asm__] = ACTIONS(1577),
    [sym_number_literal] = ACTIONS(1579),
    [anon_sym_L_SQUOTE] = ACTIONS(1579),
    [anon_sym_u_SQUOTE] = ACTIONS(1579),
    [anon_sym_U_SQUOTE] = ACTIONS(1579),
    [anon_sym_u8_SQUOTE] = ACTIONS(1579),
    [anon_sym_SQUOTE] = ACTIONS(1579),
    [anon_sym_L_DQUOTE] = ACTIONS(1579),
    [anon_sym_u_DQUOTE] = ACTIONS(1579),
    [anon_sym_U_DQUOTE] = ACTIONS(1579),
    [anon_sym_u8_DQUOTE] = ACTIONS(1579),
    [anon_sym_DQUOTE] = ACTIONS(1579),
    [sym_true] = ACTIONS(1577),
    [sym_false] = ACTIONS(1577),
    [anon_sym_NULL] = ACTIONS(1577),
    [anon_sym_nullptr] = ACTIONS(1577),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1577),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1577),
    [anon_sym_hitAttributeEXT] = ACTIONS(1577),
    [anon_sym_callableDataEXT] = ACTIONS(1577),
    [anon_sym_callableDataInEXT] = ACTIONS(1577),
    [anon_sym_shaderRecordEXT] = ACTIONS(1577),
    [anon_sym_rayPayloadNV] = ACTIONS(1577),
    [anon_sym_rayPayloadInNV] = ACTIONS(1577),
    [anon_sym_hitAttributeNV] = ACTIONS(1577),
    [anon_sym_callableDataNV] = ACTIONS(1577),
    [anon_sym_callableDataInNV] = ACTIONS(1577),
    [anon_sym_shaderRecordNV] = ACTIONS(1577),
    [anon_sym_layout] = ACTIONS(1577),
  },
  [256] = {
    [sym_identifier] = ACTIONS(1529),
    [aux_sym_preproc_include_token1] = ACTIONS(1529),
    [aux_sym_preproc_def_token1] = ACTIONS(1529),
    [aux_sym_preproc_if_token1] = ACTIONS(1529),
    [aux_sym_preproc_if_token2] = ACTIONS(1529),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1529),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1529),
    [aux_sym_preproc_else_token1] = ACTIONS(1529),
    [aux_sym_preproc_elif_token1] = ACTIONS(1529),
    [sym_preproc_directive] = ACTIONS(1529),
    [anon_sym_LPAREN2] = ACTIONS(1531),
    [anon_sym_BANG] = ACTIONS(1531),
    [anon_sym_TILDE] = ACTIONS(1531),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_STAR] = ACTIONS(1531),
    [anon_sym_AMP] = ACTIONS(1531),
    [anon_sym_subroutine] = ACTIONS(1529),
    [anon_sym_invariant] = ACTIONS(1529),
    [anon_sym_precise] = ACTIONS(1529),
    [anon_sym_SEMI] = ACTIONS(1531),
    [anon_sym_in] = ACTIONS(1529),
    [anon_sym_out] = ACTIONS(1529),
    [anon_sym_inout] = ACTIONS(1529),
    [anon_sym_uniform] = ACTIONS(1529),
    [anon_sym_shared] = ACTIONS(1529),
    [anon_sym_attribute] = ACTIONS(1529),
    [anon_sym_varying] = ACTIONS(1529),
    [anon_sym_buffer] = ACTIONS(1529),
    [anon_sym_coherent] = ACTIONS(1529),
    [anon_sym_readonly] = ACTIONS(1529),
    [anon_sym_writeonly] = ACTIONS(1529),
    [anon_sym_precision] = ACTIONS(1529),
    [anon_sym_highp] = ACTIONS(1529),
    [anon_sym_mediump] = ACTIONS(1529),
    [anon_sym_lowp] = ACTIONS(1529),
    [anon_sym_centroid] = ACTIONS(1529),
    [anon_sym_sample] = ACTIONS(1529),
    [anon_sym_patch] = ACTIONS(1529),
    [anon_sym_smooth] = ACTIONS(1529),
    [anon_sym_flat] = ACTIONS(1529),
    [anon_sym_noperspective] = ACTIONS(1529),
    [anon_sym___extension__] = ACTIONS(1529),
    [anon_sym_typedef] = ACTIONS(1529),
    [anon_sym_extern] = ACTIONS(1529),
    [anon_sym___attribute__] = ACTIONS(1529),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1531),
    [anon_sym___declspec] = ACTIONS(1529),
    [anon_sym___cdecl] = ACTIONS(1529),
    [anon_sym___clrcall] = ACTIONS(1529),
    [anon_sym___stdcall] = ACTIONS(1529),
    [anon_sym___fastcall] = ACTIONS(1529),
    [anon_sym___thiscall] = ACTIONS(1529),
    [anon_sym___vectorcall] = ACTIONS(1529),
    [anon_sym_LBRACE] = ACTIONS(1531),
    [anon_sym_signed] = ACTIONS(1529),
    [anon_sym_unsigned] = ACTIONS(1529),
    [anon_sym_long] = ACTIONS(1529),
    [anon_sym_short] = ACTIONS(1529),
    [anon_sym_static] = ACTIONS(1529),
    [anon_sym_auto] = ACTIONS(1529),
    [anon_sym_register] = ACTIONS(1529),
    [anon_sym_inline] = ACTIONS(1529),
    [anon_sym___inline] = ACTIONS(1529),
    [anon_sym___inline__] = ACTIONS(1529),
    [anon_sym___forceinline] = ACTIONS(1529),
    [anon_sym_thread_local] = ACTIONS(1529),
    [anon_sym___thread] = ACTIONS(1529),
    [anon_sym_const] = ACTIONS(1529),
    [anon_sym_constexpr] = ACTIONS(1529),
    [anon_sym_volatile] = ACTIONS(1529),
    [anon_sym_restrict] = ACTIONS(1529),
    [anon_sym___restrict__] = ACTIONS(1529),
    [anon_sym__Atomic] = ACTIONS(1529),
    [anon_sym__Noreturn] = ACTIONS(1529),
    [anon_sym_noreturn] = ACTIONS(1529),
    [sym_primitive_type] = ACTIONS(1529),
    [anon_sym_enum] = ACTIONS(1529),
    [anon_sym_struct] = ACTIONS(1529),
    [anon_sym_union] = ACTIONS(1529),
    [anon_sym_if] = ACTIONS(1529),
    [anon_sym_else] = ACTIONS(1529),
    [anon_sym_switch] = ACTIONS(1529),
    [anon_sym_case] = ACTIONS(1529),
    [anon_sym_default] = ACTIONS(1529),
    [anon_sym_while] = ACTIONS(1529),
    [anon_sym_do] = ACTIONS(1529),
    [anon_sym_for] = ACTIONS(1529),
    [anon_sym_return] = ACTIONS(1529),
    [anon_sym_break] = ACTIONS(1529),
    [anon_sym_continue] = ACTIONS(1529),
    [anon_sym_goto] = ACTIONS(1529),
    [anon_sym___try] = ACTIONS(1529),
    [anon_sym___leave] = ACTIONS(1529),
    [anon_sym_DASH_DASH] = ACTIONS(1531),
    [anon_sym_PLUS_PLUS] = ACTIONS(1531),
    [anon_sym_sizeof] = ACTIONS(1529),
    [anon_sym___alignof__] = ACTIONS(1529),
    [anon_sym___alignof] = ACTIONS(1529),
    [anon_sym__alignof] = ACTIONS(1529),
    [anon_sym_alignof] = ACTIONS(1529),
    [anon_sym__Alignof] = ACTIONS(1529),
    [anon_sym_offsetof] = ACTIONS(1529),
    [anon_sym__Generic] = ACTIONS(1529),
    [anon_sym_asm] = ACTIONS(1529),
    [anon_sym___asm__] = ACTIONS(1529),
    [sym_number_literal] = ACTIONS(1531),
    [anon_sym_L_SQUOTE] = ACTIONS(1531),
    [anon_sym_u_SQUOTE] = ACTIONS(1531),
    [anon_sym_U_SQUOTE] = ACTIONS(1531),
    [anon_sym_u8_SQUOTE] = ACTIONS(1531),
    [anon_sym_SQUOTE] = ACTIONS(1531),
    [anon_sym_L_DQUOTE] = ACTIONS(1531),
    [anon_sym_u_DQUOTE] = ACTIONS(1531),
    [anon_sym_U_DQUOTE] = ACTIONS(1531),
    [anon_sym_u8_DQUOTE] = ACTIONS(1531),
    [anon_sym_DQUOTE] = ACTIONS(1531),
    [sym_true] = ACTIONS(1529),
    [sym_false] = ACTIONS(1529),
    [anon_sym_NULL] = ACTIONS(1529),
    [anon_sym_nullptr] = ACTIONS(1529),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1529),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1529),
    [anon_sym_hitAttributeEXT] = ACTIONS(1529),
    [anon_sym_callableDataEXT] = ACTIONS(1529),
    [anon_sym_callableDataInEXT] = ACTIONS(1529),
    [anon_sym_shaderRecordEXT] = ACTIONS(1529),
    [anon_sym_rayPayloadNV] = ACTIONS(1529),
    [anon_sym_rayPayloadInNV] = ACTIONS(1529),
    [anon_sym_hitAttributeNV] = ACTIONS(1529),
    [anon_sym_callableDataNV] = ACTIONS(1529),
    [anon_sym_callableDataInNV] = ACTIONS(1529),
    [anon_sym_shaderRecordNV] = ACTIONS(1529),
    [anon_sym_layout] = ACTIONS(1529),
  },
  [257] = {
    [sym_identifier] = ACTIONS(1581),
    [aux_sym_preproc_include_token1] = ACTIONS(1581),
    [aux_sym_preproc_def_token1] = ACTIONS(1581),
    [aux_sym_preproc_if_token1] = ACTIONS(1581),
    [aux_sym_preproc_if_token2] = ACTIONS(1581),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1581),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1581),
    [aux_sym_preproc_else_token1] = ACTIONS(1581),
    [aux_sym_preproc_elif_token1] = ACTIONS(1581),
    [sym_preproc_directive] = ACTIONS(1581),
    [anon_sym_LPAREN2] = ACTIONS(1583),
    [anon_sym_BANG] = ACTIONS(1583),
    [anon_sym_TILDE] = ACTIONS(1583),
    [anon_sym_DASH] = ACTIONS(1581),
    [anon_sym_PLUS] = ACTIONS(1581),
    [anon_sym_STAR] = ACTIONS(1583),
    [anon_sym_AMP] = ACTIONS(1583),
    [anon_sym_subroutine] = ACTIONS(1581),
    [anon_sym_invariant] = ACTIONS(1581),
    [anon_sym_precise] = ACTIONS(1581),
    [anon_sym_SEMI] = ACTIONS(1583),
    [anon_sym_in] = ACTIONS(1581),
    [anon_sym_out] = ACTIONS(1581),
    [anon_sym_inout] = ACTIONS(1581),
    [anon_sym_uniform] = ACTIONS(1581),
    [anon_sym_shared] = ACTIONS(1581),
    [anon_sym_attribute] = ACTIONS(1581),
    [anon_sym_varying] = ACTIONS(1581),
    [anon_sym_buffer] = ACTIONS(1581),
    [anon_sym_coherent] = ACTIONS(1581),
    [anon_sym_readonly] = ACTIONS(1581),
    [anon_sym_writeonly] = ACTIONS(1581),
    [anon_sym_precision] = ACTIONS(1581),
    [anon_sym_highp] = ACTIONS(1581),
    [anon_sym_mediump] = ACTIONS(1581),
    [anon_sym_lowp] = ACTIONS(1581),
    [anon_sym_centroid] = ACTIONS(1581),
    [anon_sym_sample] = ACTIONS(1581),
    [anon_sym_patch] = ACTIONS(1581),
    [anon_sym_smooth] = ACTIONS(1581),
    [anon_sym_flat] = ACTIONS(1581),
    [anon_sym_noperspective] = ACTIONS(1581),
    [anon_sym___extension__] = ACTIONS(1581),
    [anon_sym_typedef] = ACTIONS(1581),
    [anon_sym_extern] = ACTIONS(1581),
    [anon_sym___attribute__] = ACTIONS(1581),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1583),
    [anon_sym___declspec] = ACTIONS(1581),
    [anon_sym___cdecl] = ACTIONS(1581),
    [anon_sym___clrcall] = ACTIONS(1581),
    [anon_sym___stdcall] = ACTIONS(1581),
    [anon_sym___fastcall] = ACTIONS(1581),
    [anon_sym___thiscall] = ACTIONS(1581),
    [anon_sym___vectorcall] = ACTIONS(1581),
    [anon_sym_LBRACE] = ACTIONS(1583),
    [anon_sym_signed] = ACTIONS(1581),
    [anon_sym_unsigned] = ACTIONS(1581),
    [anon_sym_long] = ACTIONS(1581),
    [anon_sym_short] = ACTIONS(1581),
    [anon_sym_static] = ACTIONS(1581),
    [anon_sym_auto] = ACTIONS(1581),
    [anon_sym_register] = ACTIONS(1581),
    [anon_sym_inline] = ACTIONS(1581),
    [anon_sym___inline] = ACTIONS(1581),
    [anon_sym___inline__] = ACTIONS(1581),
    [anon_sym___forceinline] = ACTIONS(1581),
    [anon_sym_thread_local] = ACTIONS(1581),
    [anon_sym___thread] = ACTIONS(1581),
    [anon_sym_const] = ACTIONS(1581),
    [anon_sym_constexpr] = ACTIONS(1581),
    [anon_sym_volatile] = ACTIONS(1581),
    [anon_sym_restrict] = ACTIONS(1581),
    [anon_sym___restrict__] = ACTIONS(1581),
    [anon_sym__Atomic] = ACTIONS(1581),
    [anon_sym__Noreturn] = ACTIONS(1581),
    [anon_sym_noreturn] = ACTIONS(1581),
    [sym_primitive_type] = ACTIONS(1581),
    [anon_sym_enum] = ACTIONS(1581),
    [anon_sym_struct] = ACTIONS(1581),
    [anon_sym_union] = ACTIONS(1581),
    [anon_sym_if] = ACTIONS(1581),
    [anon_sym_else] = ACTIONS(1581),
    [anon_sym_switch] = ACTIONS(1581),
    [anon_sym_case] = ACTIONS(1581),
    [anon_sym_default] = ACTIONS(1581),
    [anon_sym_while] = ACTIONS(1581),
    [anon_sym_do] = ACTIONS(1581),
    [anon_sym_for] = ACTIONS(1581),
    [anon_sym_return] = ACTIONS(1581),
    [anon_sym_break] = ACTIONS(1581),
    [anon_sym_continue] = ACTIONS(1581),
    [anon_sym_goto] = ACTIONS(1581),
    [anon_sym___try] = ACTIONS(1581),
    [anon_sym___leave] = ACTIONS(1581),
    [anon_sym_DASH_DASH] = ACTIONS(1583),
    [anon_sym_PLUS_PLUS] = ACTIONS(1583),
    [anon_sym_sizeof] = ACTIONS(1581),
    [anon_sym___alignof__] = ACTIONS(1581),
    [anon_sym___alignof] = ACTIONS(1581),
    [anon_sym__alignof] = ACTIONS(1581),
    [anon_sym_alignof] = ACTIONS(1581),
    [anon_sym__Alignof] = ACTIONS(1581),
    [anon_sym_offsetof] = ACTIONS(1581),
    [anon_sym__Generic] = ACTIONS(1581),
    [anon_sym_asm] = ACTIONS(1581),
    [anon_sym___asm__] = ACTIONS(1581),
    [sym_number_literal] = ACTIONS(1583),
    [anon_sym_L_SQUOTE] = ACTIONS(1583),
    [anon_sym_u_SQUOTE] = ACTIONS(1583),
    [anon_sym_U_SQUOTE] = ACTIONS(1583),
    [anon_sym_u8_SQUOTE] = ACTIONS(1583),
    [anon_sym_SQUOTE] = ACTIONS(1583),
    [anon_sym_L_DQUOTE] = ACTIONS(1583),
    [anon_sym_u_DQUOTE] = ACTIONS(1583),
    [anon_sym_U_DQUOTE] = ACTIONS(1583),
    [anon_sym_u8_DQUOTE] = ACTIONS(1583),
    [anon_sym_DQUOTE] = ACTIONS(1583),
    [sym_true] = ACTIONS(1581),
    [sym_false] = ACTIONS(1581),
    [anon_sym_NULL] = ACTIONS(1581),
    [anon_sym_nullptr] = ACTIONS(1581),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1581),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1581),
    [anon_sym_hitAttributeEXT] = ACTIONS(1581),
    [anon_sym_callableDataEXT] = ACTIONS(1581),
    [anon_sym_callableDataInEXT] = ACTIONS(1581),
    [anon_sym_shaderRecordEXT] = ACTIONS(1581),
    [anon_sym_rayPayloadNV] = ACTIONS(1581),
    [anon_sym_rayPayloadInNV] = ACTIONS(1581),
    [anon_sym_hitAttributeNV] = ACTIONS(1581),
    [anon_sym_callableDataNV] = ACTIONS(1581),
    [anon_sym_callableDataInNV] = ACTIONS(1581),
    [anon_sym_shaderRecordNV] = ACTIONS(1581),
    [anon_sym_layout] = ACTIONS(1581),
  },
  [258] = {
    [sym_identifier] = ACTIONS(1449),
    [aux_sym_preproc_include_token1] = ACTIONS(1449),
    [aux_sym_preproc_def_token1] = ACTIONS(1449),
    [aux_sym_preproc_if_token1] = ACTIONS(1449),
    [aux_sym_preproc_if_token2] = ACTIONS(1449),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1449),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1449),
    [aux_sym_preproc_else_token1] = ACTIONS(1449),
    [aux_sym_preproc_elif_token1] = ACTIONS(1449),
    [sym_preproc_directive] = ACTIONS(1449),
    [anon_sym_LPAREN2] = ACTIONS(1451),
    [anon_sym_BANG] = ACTIONS(1451),
    [anon_sym_TILDE] = ACTIONS(1451),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_STAR] = ACTIONS(1451),
    [anon_sym_AMP] = ACTIONS(1451),
    [anon_sym_subroutine] = ACTIONS(1449),
    [anon_sym_invariant] = ACTIONS(1449),
    [anon_sym_precise] = ACTIONS(1449),
    [anon_sym_SEMI] = ACTIONS(1451),
    [anon_sym_in] = ACTIONS(1449),
    [anon_sym_out] = ACTIONS(1449),
    [anon_sym_inout] = ACTIONS(1449),
    [anon_sym_uniform] = ACTIONS(1449),
    [anon_sym_shared] = ACTIONS(1449),
    [anon_sym_attribute] = ACTIONS(1449),
    [anon_sym_varying] = ACTIONS(1449),
    [anon_sym_buffer] = ACTIONS(1449),
    [anon_sym_coherent] = ACTIONS(1449),
    [anon_sym_readonly] = ACTIONS(1449),
    [anon_sym_writeonly] = ACTIONS(1449),
    [anon_sym_precision] = ACTIONS(1449),
    [anon_sym_highp] = ACTIONS(1449),
    [anon_sym_mediump] = ACTIONS(1449),
    [anon_sym_lowp] = ACTIONS(1449),
    [anon_sym_centroid] = ACTIONS(1449),
    [anon_sym_sample] = ACTIONS(1449),
    [anon_sym_patch] = ACTIONS(1449),
    [anon_sym_smooth] = ACTIONS(1449),
    [anon_sym_flat] = ACTIONS(1449),
    [anon_sym_noperspective] = ACTIONS(1449),
    [anon_sym___extension__] = ACTIONS(1449),
    [anon_sym_typedef] = ACTIONS(1449),
    [anon_sym_extern] = ACTIONS(1449),
    [anon_sym___attribute__] = ACTIONS(1449),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1451),
    [anon_sym___declspec] = ACTIONS(1449),
    [anon_sym___cdecl] = ACTIONS(1449),
    [anon_sym___clrcall] = ACTIONS(1449),
    [anon_sym___stdcall] = ACTIONS(1449),
    [anon_sym___fastcall] = ACTIONS(1449),
    [anon_sym___thiscall] = ACTIONS(1449),
    [anon_sym___vectorcall] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_signed] = ACTIONS(1449),
    [anon_sym_unsigned] = ACTIONS(1449),
    [anon_sym_long] = ACTIONS(1449),
    [anon_sym_short] = ACTIONS(1449),
    [anon_sym_static] = ACTIONS(1449),
    [anon_sym_auto] = ACTIONS(1449),
    [anon_sym_register] = ACTIONS(1449),
    [anon_sym_inline] = ACTIONS(1449),
    [anon_sym___inline] = ACTIONS(1449),
    [anon_sym___inline__] = ACTIONS(1449),
    [anon_sym___forceinline] = ACTIONS(1449),
    [anon_sym_thread_local] = ACTIONS(1449),
    [anon_sym___thread] = ACTIONS(1449),
    [anon_sym_const] = ACTIONS(1449),
    [anon_sym_constexpr] = ACTIONS(1449),
    [anon_sym_volatile] = ACTIONS(1449),
    [anon_sym_restrict] = ACTIONS(1449),
    [anon_sym___restrict__] = ACTIONS(1449),
    [anon_sym__Atomic] = ACTIONS(1449),
    [anon_sym__Noreturn] = ACTIONS(1449),
    [anon_sym_noreturn] = ACTIONS(1449),
    [sym_primitive_type] = ACTIONS(1449),
    [anon_sym_enum] = ACTIONS(1449),
    [anon_sym_struct] = ACTIONS(1449),
    [anon_sym_union] = ACTIONS(1449),
    [anon_sym_if] = ACTIONS(1449),
    [anon_sym_else] = ACTIONS(1449),
    [anon_sym_switch] = ACTIONS(1449),
    [anon_sym_case] = ACTIONS(1449),
    [anon_sym_default] = ACTIONS(1449),
    [anon_sym_while] = ACTIONS(1449),
    [anon_sym_do] = ACTIONS(1449),
    [anon_sym_for] = ACTIONS(1449),
    [anon_sym_return] = ACTIONS(1449),
    [anon_sym_break] = ACTIONS(1449),
    [anon_sym_continue] = ACTIONS(1449),
    [anon_sym_goto] = ACTIONS(1449),
    [anon_sym___try] = ACTIONS(1449),
    [anon_sym___leave] = ACTIONS(1449),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym___alignof__] = ACTIONS(1449),
    [anon_sym___alignof] = ACTIONS(1449),
    [anon_sym__alignof] = ACTIONS(1449),
    [anon_sym_alignof] = ACTIONS(1449),
    [anon_sym__Alignof] = ACTIONS(1449),
    [anon_sym_offsetof] = ACTIONS(1449),
    [anon_sym__Generic] = ACTIONS(1449),
    [anon_sym_asm] = ACTIONS(1449),
    [anon_sym___asm__] = ACTIONS(1449),
    [sym_number_literal] = ACTIONS(1451),
    [anon_sym_L_SQUOTE] = ACTIONS(1451),
    [anon_sym_u_SQUOTE] = ACTIONS(1451),
    [anon_sym_U_SQUOTE] = ACTIONS(1451),
    [anon_sym_u8_SQUOTE] = ACTIONS(1451),
    [anon_sym_SQUOTE] = ACTIONS(1451),
    [anon_sym_L_DQUOTE] = ACTIONS(1451),
    [anon_sym_u_DQUOTE] = ACTIONS(1451),
    [anon_sym_U_DQUOTE] = ACTIONS(1451),
    [anon_sym_u8_DQUOTE] = ACTIONS(1451),
    [anon_sym_DQUOTE] = ACTIONS(1451),
    [sym_true] = ACTIONS(1449),
    [sym_false] = ACTIONS(1449),
    [anon_sym_NULL] = ACTIONS(1449),
    [anon_sym_nullptr] = ACTIONS(1449),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1449),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1449),
    [anon_sym_hitAttributeEXT] = ACTIONS(1449),
    [anon_sym_callableDataEXT] = ACTIONS(1449),
    [anon_sym_callableDataInEXT] = ACTIONS(1449),
    [anon_sym_shaderRecordEXT] = ACTIONS(1449),
    [anon_sym_rayPayloadNV] = ACTIONS(1449),
    [anon_sym_rayPayloadInNV] = ACTIONS(1449),
    [anon_sym_hitAttributeNV] = ACTIONS(1449),
    [anon_sym_callableDataNV] = ACTIONS(1449),
    [anon_sym_callableDataInNV] = ACTIONS(1449),
    [anon_sym_shaderRecordNV] = ACTIONS(1449),
    [anon_sym_layout] = ACTIONS(1449),
  },
  [259] = {
    [sym_identifier] = ACTIONS(1449),
    [aux_sym_preproc_include_token1] = ACTIONS(1449),
    [aux_sym_preproc_def_token1] = ACTIONS(1449),
    [aux_sym_preproc_if_token1] = ACTIONS(1449),
    [aux_sym_preproc_if_token2] = ACTIONS(1449),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1449),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1449),
    [aux_sym_preproc_else_token1] = ACTIONS(1449),
    [aux_sym_preproc_elif_token1] = ACTIONS(1449),
    [sym_preproc_directive] = ACTIONS(1449),
    [anon_sym_LPAREN2] = ACTIONS(1451),
    [anon_sym_BANG] = ACTIONS(1451),
    [anon_sym_TILDE] = ACTIONS(1451),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_STAR] = ACTIONS(1451),
    [anon_sym_AMP] = ACTIONS(1451),
    [anon_sym_subroutine] = ACTIONS(1449),
    [anon_sym_invariant] = ACTIONS(1449),
    [anon_sym_precise] = ACTIONS(1449),
    [anon_sym_SEMI] = ACTIONS(1451),
    [anon_sym_in] = ACTIONS(1449),
    [anon_sym_out] = ACTIONS(1449),
    [anon_sym_inout] = ACTIONS(1449),
    [anon_sym_uniform] = ACTIONS(1449),
    [anon_sym_shared] = ACTIONS(1449),
    [anon_sym_attribute] = ACTIONS(1449),
    [anon_sym_varying] = ACTIONS(1449),
    [anon_sym_buffer] = ACTIONS(1449),
    [anon_sym_coherent] = ACTIONS(1449),
    [anon_sym_readonly] = ACTIONS(1449),
    [anon_sym_writeonly] = ACTIONS(1449),
    [anon_sym_precision] = ACTIONS(1449),
    [anon_sym_highp] = ACTIONS(1449),
    [anon_sym_mediump] = ACTIONS(1449),
    [anon_sym_lowp] = ACTIONS(1449),
    [anon_sym_centroid] = ACTIONS(1449),
    [anon_sym_sample] = ACTIONS(1449),
    [anon_sym_patch] = ACTIONS(1449),
    [anon_sym_smooth] = ACTIONS(1449),
    [anon_sym_flat] = ACTIONS(1449),
    [anon_sym_noperspective] = ACTIONS(1449),
    [anon_sym___extension__] = ACTIONS(1449),
    [anon_sym_typedef] = ACTIONS(1449),
    [anon_sym_extern] = ACTIONS(1449),
    [anon_sym___attribute__] = ACTIONS(1449),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1451),
    [anon_sym___declspec] = ACTIONS(1449),
    [anon_sym___cdecl] = ACTIONS(1449),
    [anon_sym___clrcall] = ACTIONS(1449),
    [anon_sym___stdcall] = ACTIONS(1449),
    [anon_sym___fastcall] = ACTIONS(1449),
    [anon_sym___thiscall] = ACTIONS(1449),
    [anon_sym___vectorcall] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_signed] = ACTIONS(1449),
    [anon_sym_unsigned] = ACTIONS(1449),
    [anon_sym_long] = ACTIONS(1449),
    [anon_sym_short] = ACTIONS(1449),
    [anon_sym_static] = ACTIONS(1449),
    [anon_sym_auto] = ACTIONS(1449),
    [anon_sym_register] = ACTIONS(1449),
    [anon_sym_inline] = ACTIONS(1449),
    [anon_sym___inline] = ACTIONS(1449),
    [anon_sym___inline__] = ACTIONS(1449),
    [anon_sym___forceinline] = ACTIONS(1449),
    [anon_sym_thread_local] = ACTIONS(1449),
    [anon_sym___thread] = ACTIONS(1449),
    [anon_sym_const] = ACTIONS(1449),
    [anon_sym_constexpr] = ACTIONS(1449),
    [anon_sym_volatile] = ACTIONS(1449),
    [anon_sym_restrict] = ACTIONS(1449),
    [anon_sym___restrict__] = ACTIONS(1449),
    [anon_sym__Atomic] = ACTIONS(1449),
    [anon_sym__Noreturn] = ACTIONS(1449),
    [anon_sym_noreturn] = ACTIONS(1449),
    [sym_primitive_type] = ACTIONS(1449),
    [anon_sym_enum] = ACTIONS(1449),
    [anon_sym_struct] = ACTIONS(1449),
    [anon_sym_union] = ACTIONS(1449),
    [anon_sym_if] = ACTIONS(1449),
    [anon_sym_else] = ACTIONS(1449),
    [anon_sym_switch] = ACTIONS(1449),
    [anon_sym_case] = ACTIONS(1449),
    [anon_sym_default] = ACTIONS(1449),
    [anon_sym_while] = ACTIONS(1449),
    [anon_sym_do] = ACTIONS(1449),
    [anon_sym_for] = ACTIONS(1449),
    [anon_sym_return] = ACTIONS(1449),
    [anon_sym_break] = ACTIONS(1449),
    [anon_sym_continue] = ACTIONS(1449),
    [anon_sym_goto] = ACTIONS(1449),
    [anon_sym___try] = ACTIONS(1449),
    [anon_sym___leave] = ACTIONS(1449),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym___alignof__] = ACTIONS(1449),
    [anon_sym___alignof] = ACTIONS(1449),
    [anon_sym__alignof] = ACTIONS(1449),
    [anon_sym_alignof] = ACTIONS(1449),
    [anon_sym__Alignof] = ACTIONS(1449),
    [anon_sym_offsetof] = ACTIONS(1449),
    [anon_sym__Generic] = ACTIONS(1449),
    [anon_sym_asm] = ACTIONS(1449),
    [anon_sym___asm__] = ACTIONS(1449),
    [sym_number_literal] = ACTIONS(1451),
    [anon_sym_L_SQUOTE] = ACTIONS(1451),
    [anon_sym_u_SQUOTE] = ACTIONS(1451),
    [anon_sym_U_SQUOTE] = ACTIONS(1451),
    [anon_sym_u8_SQUOTE] = ACTIONS(1451),
    [anon_sym_SQUOTE] = ACTIONS(1451),
    [anon_sym_L_DQUOTE] = ACTIONS(1451),
    [anon_sym_u_DQUOTE] = ACTIONS(1451),
    [anon_sym_U_DQUOTE] = ACTIONS(1451),
    [anon_sym_u8_DQUOTE] = ACTIONS(1451),
    [anon_sym_DQUOTE] = ACTIONS(1451),
    [sym_true] = ACTIONS(1449),
    [sym_false] = ACTIONS(1449),
    [anon_sym_NULL] = ACTIONS(1449),
    [anon_sym_nullptr] = ACTIONS(1449),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1449),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1449),
    [anon_sym_hitAttributeEXT] = ACTIONS(1449),
    [anon_sym_callableDataEXT] = ACTIONS(1449),
    [anon_sym_callableDataInEXT] = ACTIONS(1449),
    [anon_sym_shaderRecordEXT] = ACTIONS(1449),
    [anon_sym_rayPayloadNV] = ACTIONS(1449),
    [anon_sym_rayPayloadInNV] = ACTIONS(1449),
    [anon_sym_hitAttributeNV] = ACTIONS(1449),
    [anon_sym_callableDataNV] = ACTIONS(1449),
    [anon_sym_callableDataInNV] = ACTIONS(1449),
    [anon_sym_shaderRecordNV] = ACTIONS(1449),
    [anon_sym_layout] = ACTIONS(1449),
  },
  [260] = {
    [sym_identifier] = ACTIONS(1651),
    [aux_sym_preproc_include_token1] = ACTIONS(1651),
    [aux_sym_preproc_def_token1] = ACTIONS(1651),
    [aux_sym_preproc_if_token1] = ACTIONS(1651),
    [aux_sym_preproc_if_token2] = ACTIONS(1651),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1651),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1651),
    [aux_sym_preproc_else_token1] = ACTIONS(1651),
    [aux_sym_preproc_elif_token1] = ACTIONS(1651),
    [sym_preproc_directive] = ACTIONS(1651),
    [anon_sym_LPAREN2] = ACTIONS(1653),
    [anon_sym_BANG] = ACTIONS(1653),
    [anon_sym_TILDE] = ACTIONS(1653),
    [anon_sym_DASH] = ACTIONS(1651),
    [anon_sym_PLUS] = ACTIONS(1651),
    [anon_sym_STAR] = ACTIONS(1653),
    [anon_sym_AMP] = ACTIONS(1653),
    [anon_sym_subroutine] = ACTIONS(1651),
    [anon_sym_invariant] = ACTIONS(1651),
    [anon_sym_precise] = ACTIONS(1651),
    [anon_sym_SEMI] = ACTIONS(1653),
    [anon_sym_in] = ACTIONS(1651),
    [anon_sym_out] = ACTIONS(1651),
    [anon_sym_inout] = ACTIONS(1651),
    [anon_sym_uniform] = ACTIONS(1651),
    [anon_sym_shared] = ACTIONS(1651),
    [anon_sym_attribute] = ACTIONS(1651),
    [anon_sym_varying] = ACTIONS(1651),
    [anon_sym_buffer] = ACTIONS(1651),
    [anon_sym_coherent] = ACTIONS(1651),
    [anon_sym_readonly] = ACTIONS(1651),
    [anon_sym_writeonly] = ACTIONS(1651),
    [anon_sym_precision] = ACTIONS(1651),
    [anon_sym_highp] = ACTIONS(1651),
    [anon_sym_mediump] = ACTIONS(1651),
    [anon_sym_lowp] = ACTIONS(1651),
    [anon_sym_centroid] = ACTIONS(1651),
    [anon_sym_sample] = ACTIONS(1651),
    [anon_sym_patch] = ACTIONS(1651),
    [anon_sym_smooth] = ACTIONS(1651),
    [anon_sym_flat] = ACTIONS(1651),
    [anon_sym_noperspective] = ACTIONS(1651),
    [anon_sym___extension__] = ACTIONS(1651),
    [anon_sym_typedef] = ACTIONS(1651),
    [anon_sym_extern] = ACTIONS(1651),
    [anon_sym___attribute__] = ACTIONS(1651),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1653),
    [anon_sym___declspec] = ACTIONS(1651),
    [anon_sym___cdecl] = ACTIONS(1651),
    [anon_sym___clrcall] = ACTIONS(1651),
    [anon_sym___stdcall] = ACTIONS(1651),
    [anon_sym___fastcall] = ACTIONS(1651),
    [anon_sym___thiscall] = ACTIONS(1651),
    [anon_sym___vectorcall] = ACTIONS(1651),
    [anon_sym_LBRACE] = ACTIONS(1653),
    [anon_sym_signed] = ACTIONS(1651),
    [anon_sym_unsigned] = ACTIONS(1651),
    [anon_sym_long] = ACTIONS(1651),
    [anon_sym_short] = ACTIONS(1651),
    [anon_sym_static] = ACTIONS(1651),
    [anon_sym_auto] = ACTIONS(1651),
    [anon_sym_register] = ACTIONS(1651),
    [anon_sym_inline] = ACTIONS(1651),
    [anon_sym___inline] = ACTIONS(1651),
    [anon_sym___inline__] = ACTIONS(1651),
    [anon_sym___forceinline] = ACTIONS(1651),
    [anon_sym_thread_local] = ACTIONS(1651),
    [anon_sym___thread] = ACTIONS(1651),
    [anon_sym_const] = ACTIONS(1651),
    [anon_sym_constexpr] = ACTIONS(1651),
    [anon_sym_volatile] = ACTIONS(1651),
    [anon_sym_restrict] = ACTIONS(1651),
    [anon_sym___restrict__] = ACTIONS(1651),
    [anon_sym__Atomic] = ACTIONS(1651),
    [anon_sym__Noreturn] = ACTIONS(1651),
    [anon_sym_noreturn] = ACTIONS(1651),
    [sym_primitive_type] = ACTIONS(1651),
    [anon_sym_enum] = ACTIONS(1651),
    [anon_sym_struct] = ACTIONS(1651),
    [anon_sym_union] = ACTIONS(1651),
    [anon_sym_if] = ACTIONS(1651),
    [anon_sym_switch] = ACTIONS(1651),
    [anon_sym_case] = ACTIONS(1651),
    [anon_sym_default] = ACTIONS(1651),
    [anon_sym_while] = ACTIONS(1651),
    [anon_sym_do] = ACTIONS(1651),
    [anon_sym_for] = ACTIONS(1651),
    [anon_sym_return] = ACTIONS(1651),
    [anon_sym_break] = ACTIONS(1651),
    [anon_sym_continue] = ACTIONS(1651),
    [anon_sym_goto] = ACTIONS(1651),
    [anon_sym___try] = ACTIONS(1651),
    [anon_sym___leave] = ACTIONS(1651),
    [anon_sym_DASH_DASH] = ACTIONS(1653),
    [anon_sym_PLUS_PLUS] = ACTIONS(1653),
    [anon_sym_sizeof] = ACTIONS(1651),
    [anon_sym___alignof__] = ACTIONS(1651),
    [anon_sym___alignof] = ACTIONS(1651),
    [anon_sym__alignof] = ACTIONS(1651),
    [anon_sym_alignof] = ACTIONS(1651),
    [anon_sym__Alignof] = ACTIONS(1651),
    [anon_sym_offsetof] = ACTIONS(1651),
    [anon_sym__Generic] = ACTIONS(1651),
    [anon_sym_asm] = ACTIONS(1651),
    [anon_sym___asm__] = ACTIONS(1651),
    [sym_number_literal] = ACTIONS(1653),
    [anon_sym_L_SQUOTE] = ACTIONS(1653),
    [anon_sym_u_SQUOTE] = ACTIONS(1653),
    [anon_sym_U_SQUOTE] = ACTIONS(1653),
    [anon_sym_u8_SQUOTE] = ACTIONS(1653),
    [anon_sym_SQUOTE] = ACTIONS(1653),
    [anon_sym_L_DQUOTE] = ACTIONS(1653),
    [anon_sym_u_DQUOTE] = ACTIONS(1653),
    [anon_sym_U_DQUOTE] = ACTIONS(1653),
    [anon_sym_u8_DQUOTE] = ACTIONS(1653),
    [anon_sym_DQUOTE] = ACTIONS(1653),
    [sym_true] = ACTIONS(1651),
    [sym_false] = ACTIONS(1651),
    [anon_sym_NULL] = ACTIONS(1651),
    [anon_sym_nullptr] = ACTIONS(1651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1651),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1651),
    [anon_sym_hitAttributeEXT] = ACTIONS(1651),
    [anon_sym_callableDataEXT] = ACTIONS(1651),
    [anon_sym_callableDataInEXT] = ACTIONS(1651),
    [anon_sym_shaderRecordEXT] = ACTIONS(1651),
    [anon_sym_rayPayloadNV] = ACTIONS(1651),
    [anon_sym_rayPayloadInNV] = ACTIONS(1651),
    [anon_sym_hitAttributeNV] = ACTIONS(1651),
    [anon_sym_callableDataNV] = ACTIONS(1651),
    [anon_sym_callableDataInNV] = ACTIONS(1651),
    [anon_sym_shaderRecordNV] = ACTIONS(1651),
    [anon_sym_layout] = ACTIONS(1651),
  },
  [261] = {
    [sym_identifier] = ACTIONS(1643),
    [aux_sym_preproc_include_token1] = ACTIONS(1643),
    [aux_sym_preproc_def_token1] = ACTIONS(1643),
    [aux_sym_preproc_if_token1] = ACTIONS(1643),
    [aux_sym_preproc_if_token2] = ACTIONS(1643),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1643),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1643),
    [aux_sym_preproc_else_token1] = ACTIONS(1643),
    [aux_sym_preproc_elif_token1] = ACTIONS(1643),
    [sym_preproc_directive] = ACTIONS(1643),
    [anon_sym_LPAREN2] = ACTIONS(1645),
    [anon_sym_BANG] = ACTIONS(1645),
    [anon_sym_TILDE] = ACTIONS(1645),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(1645),
    [anon_sym_AMP] = ACTIONS(1645),
    [anon_sym_subroutine] = ACTIONS(1643),
    [anon_sym_invariant] = ACTIONS(1643),
    [anon_sym_precise] = ACTIONS(1643),
    [anon_sym_SEMI] = ACTIONS(1645),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_out] = ACTIONS(1643),
    [anon_sym_inout] = ACTIONS(1643),
    [anon_sym_uniform] = ACTIONS(1643),
    [anon_sym_shared] = ACTIONS(1643),
    [anon_sym_attribute] = ACTIONS(1643),
    [anon_sym_varying] = ACTIONS(1643),
    [anon_sym_buffer] = ACTIONS(1643),
    [anon_sym_coherent] = ACTIONS(1643),
    [anon_sym_readonly] = ACTIONS(1643),
    [anon_sym_writeonly] = ACTIONS(1643),
    [anon_sym_precision] = ACTIONS(1643),
    [anon_sym_highp] = ACTIONS(1643),
    [anon_sym_mediump] = ACTIONS(1643),
    [anon_sym_lowp] = ACTIONS(1643),
    [anon_sym_centroid] = ACTIONS(1643),
    [anon_sym_sample] = ACTIONS(1643),
    [anon_sym_patch] = ACTIONS(1643),
    [anon_sym_smooth] = ACTIONS(1643),
    [anon_sym_flat] = ACTIONS(1643),
    [anon_sym_noperspective] = ACTIONS(1643),
    [anon_sym___extension__] = ACTIONS(1643),
    [anon_sym_typedef] = ACTIONS(1643),
    [anon_sym_extern] = ACTIONS(1643),
    [anon_sym___attribute__] = ACTIONS(1643),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1645),
    [anon_sym___declspec] = ACTIONS(1643),
    [anon_sym___cdecl] = ACTIONS(1643),
    [anon_sym___clrcall] = ACTIONS(1643),
    [anon_sym___stdcall] = ACTIONS(1643),
    [anon_sym___fastcall] = ACTIONS(1643),
    [anon_sym___thiscall] = ACTIONS(1643),
    [anon_sym___vectorcall] = ACTIONS(1643),
    [anon_sym_LBRACE] = ACTIONS(1645),
    [anon_sym_signed] = ACTIONS(1643),
    [anon_sym_unsigned] = ACTIONS(1643),
    [anon_sym_long] = ACTIONS(1643),
    [anon_sym_short] = ACTIONS(1643),
    [anon_sym_static] = ACTIONS(1643),
    [anon_sym_auto] = ACTIONS(1643),
    [anon_sym_register] = ACTIONS(1643),
    [anon_sym_inline] = ACTIONS(1643),
    [anon_sym___inline] = ACTIONS(1643),
    [anon_sym___inline__] = ACTIONS(1643),
    [anon_sym___forceinline] = ACTIONS(1643),
    [anon_sym_thread_local] = ACTIONS(1643),
    [anon_sym___thread] = ACTIONS(1643),
    [anon_sym_const] = ACTIONS(1643),
    [anon_sym_constexpr] = ACTIONS(1643),
    [anon_sym_volatile] = ACTIONS(1643),
    [anon_sym_restrict] = ACTIONS(1643),
    [anon_sym___restrict__] = ACTIONS(1643),
    [anon_sym__Atomic] = ACTIONS(1643),
    [anon_sym__Noreturn] = ACTIONS(1643),
    [anon_sym_noreturn] = ACTIONS(1643),
    [sym_primitive_type] = ACTIONS(1643),
    [anon_sym_enum] = ACTIONS(1643),
    [anon_sym_struct] = ACTIONS(1643),
    [anon_sym_union] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_switch] = ACTIONS(1643),
    [anon_sym_case] = ACTIONS(1643),
    [anon_sym_default] = ACTIONS(1643),
    [anon_sym_while] = ACTIONS(1643),
    [anon_sym_do] = ACTIONS(1643),
    [anon_sym_for] = ACTIONS(1643),
    [anon_sym_return] = ACTIONS(1643),
    [anon_sym_break] = ACTIONS(1643),
    [anon_sym_continue] = ACTIONS(1643),
    [anon_sym_goto] = ACTIONS(1643),
    [anon_sym___try] = ACTIONS(1643),
    [anon_sym___leave] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1645),
    [anon_sym_PLUS_PLUS] = ACTIONS(1645),
    [anon_sym_sizeof] = ACTIONS(1643),
    [anon_sym___alignof__] = ACTIONS(1643),
    [anon_sym___alignof] = ACTIONS(1643),
    [anon_sym__alignof] = ACTIONS(1643),
    [anon_sym_alignof] = ACTIONS(1643),
    [anon_sym__Alignof] = ACTIONS(1643),
    [anon_sym_offsetof] = ACTIONS(1643),
    [anon_sym__Generic] = ACTIONS(1643),
    [anon_sym_asm] = ACTIONS(1643),
    [anon_sym___asm__] = ACTIONS(1643),
    [sym_number_literal] = ACTIONS(1645),
    [anon_sym_L_SQUOTE] = ACTIONS(1645),
    [anon_sym_u_SQUOTE] = ACTIONS(1645),
    [anon_sym_U_SQUOTE] = ACTIONS(1645),
    [anon_sym_u8_SQUOTE] = ACTIONS(1645),
    [anon_sym_SQUOTE] = ACTIONS(1645),
    [anon_sym_L_DQUOTE] = ACTIONS(1645),
    [anon_sym_u_DQUOTE] = ACTIONS(1645),
    [anon_sym_U_DQUOTE] = ACTIONS(1645),
    [anon_sym_u8_DQUOTE] = ACTIONS(1645),
    [anon_sym_DQUOTE] = ACTIONS(1645),
    [sym_true] = ACTIONS(1643),
    [sym_false] = ACTIONS(1643),
    [anon_sym_NULL] = ACTIONS(1643),
    [anon_sym_nullptr] = ACTIONS(1643),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1643),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1643),
    [anon_sym_hitAttributeEXT] = ACTIONS(1643),
    [anon_sym_callableDataEXT] = ACTIONS(1643),
    [anon_sym_callableDataInEXT] = ACTIONS(1643),
    [anon_sym_shaderRecordEXT] = ACTIONS(1643),
    [anon_sym_rayPayloadNV] = ACTIONS(1643),
    [anon_sym_rayPayloadInNV] = ACTIONS(1643),
    [anon_sym_hitAttributeNV] = ACTIONS(1643),
    [anon_sym_callableDataNV] = ACTIONS(1643),
    [anon_sym_callableDataInNV] = ACTIONS(1643),
    [anon_sym_shaderRecordNV] = ACTIONS(1643),
    [anon_sym_layout] = ACTIONS(1643),
  },
  [262] = {
    [sym_identifier] = ACTIONS(1639),
    [aux_sym_preproc_include_token1] = ACTIONS(1639),
    [aux_sym_preproc_def_token1] = ACTIONS(1639),
    [aux_sym_preproc_if_token1] = ACTIONS(1639),
    [aux_sym_preproc_if_token2] = ACTIONS(1639),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1639),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1639),
    [aux_sym_preproc_else_token1] = ACTIONS(1639),
    [aux_sym_preproc_elif_token1] = ACTIONS(1639),
    [sym_preproc_directive] = ACTIONS(1639),
    [anon_sym_LPAREN2] = ACTIONS(1641),
    [anon_sym_BANG] = ACTIONS(1641),
    [anon_sym_TILDE] = ACTIONS(1641),
    [anon_sym_DASH] = ACTIONS(1639),
    [anon_sym_PLUS] = ACTIONS(1639),
    [anon_sym_STAR] = ACTIONS(1641),
    [anon_sym_AMP] = ACTIONS(1641),
    [anon_sym_subroutine] = ACTIONS(1639),
    [anon_sym_invariant] = ACTIONS(1639),
    [anon_sym_precise] = ACTIONS(1639),
    [anon_sym_SEMI] = ACTIONS(1641),
    [anon_sym_in] = ACTIONS(1639),
    [anon_sym_out] = ACTIONS(1639),
    [anon_sym_inout] = ACTIONS(1639),
    [anon_sym_uniform] = ACTIONS(1639),
    [anon_sym_shared] = ACTIONS(1639),
    [anon_sym_attribute] = ACTIONS(1639),
    [anon_sym_varying] = ACTIONS(1639),
    [anon_sym_buffer] = ACTIONS(1639),
    [anon_sym_coherent] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1639),
    [anon_sym_writeonly] = ACTIONS(1639),
    [anon_sym_precision] = ACTIONS(1639),
    [anon_sym_highp] = ACTIONS(1639),
    [anon_sym_mediump] = ACTIONS(1639),
    [anon_sym_lowp] = ACTIONS(1639),
    [anon_sym_centroid] = ACTIONS(1639),
    [anon_sym_sample] = ACTIONS(1639),
    [anon_sym_patch] = ACTIONS(1639),
    [anon_sym_smooth] = ACTIONS(1639),
    [anon_sym_flat] = ACTIONS(1639),
    [anon_sym_noperspective] = ACTIONS(1639),
    [anon_sym___extension__] = ACTIONS(1639),
    [anon_sym_typedef] = ACTIONS(1639),
    [anon_sym_extern] = ACTIONS(1639),
    [anon_sym___attribute__] = ACTIONS(1639),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1641),
    [anon_sym___declspec] = ACTIONS(1639),
    [anon_sym___cdecl] = ACTIONS(1639),
    [anon_sym___clrcall] = ACTIONS(1639),
    [anon_sym___stdcall] = ACTIONS(1639),
    [anon_sym___fastcall] = ACTIONS(1639),
    [anon_sym___thiscall] = ACTIONS(1639),
    [anon_sym___vectorcall] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1641),
    [anon_sym_signed] = ACTIONS(1639),
    [anon_sym_unsigned] = ACTIONS(1639),
    [anon_sym_long] = ACTIONS(1639),
    [anon_sym_short] = ACTIONS(1639),
    [anon_sym_static] = ACTIONS(1639),
    [anon_sym_auto] = ACTIONS(1639),
    [anon_sym_register] = ACTIONS(1639),
    [anon_sym_inline] = ACTIONS(1639),
    [anon_sym___inline] = ACTIONS(1639),
    [anon_sym___inline__] = ACTIONS(1639),
    [anon_sym___forceinline] = ACTIONS(1639),
    [anon_sym_thread_local] = ACTIONS(1639),
    [anon_sym___thread] = ACTIONS(1639),
    [anon_sym_const] = ACTIONS(1639),
    [anon_sym_constexpr] = ACTIONS(1639),
    [anon_sym_volatile] = ACTIONS(1639),
    [anon_sym_restrict] = ACTIONS(1639),
    [anon_sym___restrict__] = ACTIONS(1639),
    [anon_sym__Atomic] = ACTIONS(1639),
    [anon_sym__Noreturn] = ACTIONS(1639),
    [anon_sym_noreturn] = ACTIONS(1639),
    [sym_primitive_type] = ACTIONS(1639),
    [anon_sym_enum] = ACTIONS(1639),
    [anon_sym_struct] = ACTIONS(1639),
    [anon_sym_union] = ACTIONS(1639),
    [anon_sym_if] = ACTIONS(1639),
    [anon_sym_switch] = ACTIONS(1639),
    [anon_sym_case] = ACTIONS(1639),
    [anon_sym_default] = ACTIONS(1639),
    [anon_sym_while] = ACTIONS(1639),
    [anon_sym_do] = ACTIONS(1639),
    [anon_sym_for] = ACTIONS(1639),
    [anon_sym_return] = ACTIONS(1639),
    [anon_sym_break] = ACTIONS(1639),
    [anon_sym_continue] = ACTIONS(1639),
    [anon_sym_goto] = ACTIONS(1639),
    [anon_sym___try] = ACTIONS(1639),
    [anon_sym___leave] = ACTIONS(1639),
    [anon_sym_DASH_DASH] = ACTIONS(1641),
    [anon_sym_PLUS_PLUS] = ACTIONS(1641),
    [anon_sym_sizeof] = ACTIONS(1639),
    [anon_sym___alignof__] = ACTIONS(1639),
    [anon_sym___alignof] = ACTIONS(1639),
    [anon_sym__alignof] = ACTIONS(1639),
    [anon_sym_alignof] = ACTIONS(1639),
    [anon_sym__Alignof] = ACTIONS(1639),
    [anon_sym_offsetof] = ACTIONS(1639),
    [anon_sym__Generic] = ACTIONS(1639),
    [anon_sym_asm] = ACTIONS(1639),
    [anon_sym___asm__] = ACTIONS(1639),
    [sym_number_literal] = ACTIONS(1641),
    [anon_sym_L_SQUOTE] = ACTIONS(1641),
    [anon_sym_u_SQUOTE] = ACTIONS(1641),
    [anon_sym_U_SQUOTE] = ACTIONS(1641),
    [anon_sym_u8_SQUOTE] = ACTIONS(1641),
    [anon_sym_SQUOTE] = ACTIONS(1641),
    [anon_sym_L_DQUOTE] = ACTIONS(1641),
    [anon_sym_u_DQUOTE] = ACTIONS(1641),
    [anon_sym_U_DQUOTE] = ACTIONS(1641),
    [anon_sym_u8_DQUOTE] = ACTIONS(1641),
    [anon_sym_DQUOTE] = ACTIONS(1641),
    [sym_true] = ACTIONS(1639),
    [sym_false] = ACTIONS(1639),
    [anon_sym_NULL] = ACTIONS(1639),
    [anon_sym_nullptr] = ACTIONS(1639),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1639),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1639),
    [anon_sym_hitAttributeEXT] = ACTIONS(1639),
    [anon_sym_callableDataEXT] = ACTIONS(1639),
    [anon_sym_callableDataInEXT] = ACTIONS(1639),
    [anon_sym_shaderRecordEXT] = ACTIONS(1639),
    [anon_sym_rayPayloadNV] = ACTIONS(1639),
    [anon_sym_rayPayloadInNV] = ACTIONS(1639),
    [anon_sym_hitAttributeNV] = ACTIONS(1639),
    [anon_sym_callableDataNV] = ACTIONS(1639),
    [anon_sym_callableDataInNV] = ACTIONS(1639),
    [anon_sym_shaderRecordNV] = ACTIONS(1639),
    [anon_sym_layout] = ACTIONS(1639),
  },
  [263] = {
    [sym_identifier] = ACTIONS(1639),
    [aux_sym_preproc_include_token1] = ACTIONS(1639),
    [aux_sym_preproc_def_token1] = ACTIONS(1639),
    [aux_sym_preproc_if_token1] = ACTIONS(1639),
    [aux_sym_preproc_if_token2] = ACTIONS(1639),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1639),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1639),
    [aux_sym_preproc_else_token1] = ACTIONS(1639),
    [aux_sym_preproc_elif_token1] = ACTIONS(1639),
    [sym_preproc_directive] = ACTIONS(1639),
    [anon_sym_LPAREN2] = ACTIONS(1641),
    [anon_sym_BANG] = ACTIONS(1641),
    [anon_sym_TILDE] = ACTIONS(1641),
    [anon_sym_DASH] = ACTIONS(1639),
    [anon_sym_PLUS] = ACTIONS(1639),
    [anon_sym_STAR] = ACTIONS(1641),
    [anon_sym_AMP] = ACTIONS(1641),
    [anon_sym_subroutine] = ACTIONS(1639),
    [anon_sym_invariant] = ACTIONS(1639),
    [anon_sym_precise] = ACTIONS(1639),
    [anon_sym_SEMI] = ACTIONS(1641),
    [anon_sym_in] = ACTIONS(1639),
    [anon_sym_out] = ACTIONS(1639),
    [anon_sym_inout] = ACTIONS(1639),
    [anon_sym_uniform] = ACTIONS(1639),
    [anon_sym_shared] = ACTIONS(1639),
    [anon_sym_attribute] = ACTIONS(1639),
    [anon_sym_varying] = ACTIONS(1639),
    [anon_sym_buffer] = ACTIONS(1639),
    [anon_sym_coherent] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1639),
    [anon_sym_writeonly] = ACTIONS(1639),
    [anon_sym_precision] = ACTIONS(1639),
    [anon_sym_highp] = ACTIONS(1639),
    [anon_sym_mediump] = ACTIONS(1639),
    [anon_sym_lowp] = ACTIONS(1639),
    [anon_sym_centroid] = ACTIONS(1639),
    [anon_sym_sample] = ACTIONS(1639),
    [anon_sym_patch] = ACTIONS(1639),
    [anon_sym_smooth] = ACTIONS(1639),
    [anon_sym_flat] = ACTIONS(1639),
    [anon_sym_noperspective] = ACTIONS(1639),
    [anon_sym___extension__] = ACTIONS(1639),
    [anon_sym_typedef] = ACTIONS(1639),
    [anon_sym_extern] = ACTIONS(1639),
    [anon_sym___attribute__] = ACTIONS(1639),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1641),
    [anon_sym___declspec] = ACTIONS(1639),
    [anon_sym___cdecl] = ACTIONS(1639),
    [anon_sym___clrcall] = ACTIONS(1639),
    [anon_sym___stdcall] = ACTIONS(1639),
    [anon_sym___fastcall] = ACTIONS(1639),
    [anon_sym___thiscall] = ACTIONS(1639),
    [anon_sym___vectorcall] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1641),
    [anon_sym_signed] = ACTIONS(1639),
    [anon_sym_unsigned] = ACTIONS(1639),
    [anon_sym_long] = ACTIONS(1639),
    [anon_sym_short] = ACTIONS(1639),
    [anon_sym_static] = ACTIONS(1639),
    [anon_sym_auto] = ACTIONS(1639),
    [anon_sym_register] = ACTIONS(1639),
    [anon_sym_inline] = ACTIONS(1639),
    [anon_sym___inline] = ACTIONS(1639),
    [anon_sym___inline__] = ACTIONS(1639),
    [anon_sym___forceinline] = ACTIONS(1639),
    [anon_sym_thread_local] = ACTIONS(1639),
    [anon_sym___thread] = ACTIONS(1639),
    [anon_sym_const] = ACTIONS(1639),
    [anon_sym_constexpr] = ACTIONS(1639),
    [anon_sym_volatile] = ACTIONS(1639),
    [anon_sym_restrict] = ACTIONS(1639),
    [anon_sym___restrict__] = ACTIONS(1639),
    [anon_sym__Atomic] = ACTIONS(1639),
    [anon_sym__Noreturn] = ACTIONS(1639),
    [anon_sym_noreturn] = ACTIONS(1639),
    [sym_primitive_type] = ACTIONS(1639),
    [anon_sym_enum] = ACTIONS(1639),
    [anon_sym_struct] = ACTIONS(1639),
    [anon_sym_union] = ACTIONS(1639),
    [anon_sym_if] = ACTIONS(1639),
    [anon_sym_switch] = ACTIONS(1639),
    [anon_sym_case] = ACTIONS(1639),
    [anon_sym_default] = ACTIONS(1639),
    [anon_sym_while] = ACTIONS(1639),
    [anon_sym_do] = ACTIONS(1639),
    [anon_sym_for] = ACTIONS(1639),
    [anon_sym_return] = ACTIONS(1639),
    [anon_sym_break] = ACTIONS(1639),
    [anon_sym_continue] = ACTIONS(1639),
    [anon_sym_goto] = ACTIONS(1639),
    [anon_sym___try] = ACTIONS(1639),
    [anon_sym___leave] = ACTIONS(1639),
    [anon_sym_DASH_DASH] = ACTIONS(1641),
    [anon_sym_PLUS_PLUS] = ACTIONS(1641),
    [anon_sym_sizeof] = ACTIONS(1639),
    [anon_sym___alignof__] = ACTIONS(1639),
    [anon_sym___alignof] = ACTIONS(1639),
    [anon_sym__alignof] = ACTIONS(1639),
    [anon_sym_alignof] = ACTIONS(1639),
    [anon_sym__Alignof] = ACTIONS(1639),
    [anon_sym_offsetof] = ACTIONS(1639),
    [anon_sym__Generic] = ACTIONS(1639),
    [anon_sym_asm] = ACTIONS(1639),
    [anon_sym___asm__] = ACTIONS(1639),
    [sym_number_literal] = ACTIONS(1641),
    [anon_sym_L_SQUOTE] = ACTIONS(1641),
    [anon_sym_u_SQUOTE] = ACTIONS(1641),
    [anon_sym_U_SQUOTE] = ACTIONS(1641),
    [anon_sym_u8_SQUOTE] = ACTIONS(1641),
    [anon_sym_SQUOTE] = ACTIONS(1641),
    [anon_sym_L_DQUOTE] = ACTIONS(1641),
    [anon_sym_u_DQUOTE] = ACTIONS(1641),
    [anon_sym_U_DQUOTE] = ACTIONS(1641),
    [anon_sym_u8_DQUOTE] = ACTIONS(1641),
    [anon_sym_DQUOTE] = ACTIONS(1641),
    [sym_true] = ACTIONS(1639),
    [sym_false] = ACTIONS(1639),
    [anon_sym_NULL] = ACTIONS(1639),
    [anon_sym_nullptr] = ACTIONS(1639),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1639),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1639),
    [anon_sym_hitAttributeEXT] = ACTIONS(1639),
    [anon_sym_callableDataEXT] = ACTIONS(1639),
    [anon_sym_callableDataInEXT] = ACTIONS(1639),
    [anon_sym_shaderRecordEXT] = ACTIONS(1639),
    [anon_sym_rayPayloadNV] = ACTIONS(1639),
    [anon_sym_rayPayloadInNV] = ACTIONS(1639),
    [anon_sym_hitAttributeNV] = ACTIONS(1639),
    [anon_sym_callableDataNV] = ACTIONS(1639),
    [anon_sym_callableDataInNV] = ACTIONS(1639),
    [anon_sym_shaderRecordNV] = ACTIONS(1639),
    [anon_sym_layout] = ACTIONS(1639),
  },
  [264] = {
    [sym_identifier] = ACTIONS(1635),
    [aux_sym_preproc_include_token1] = ACTIONS(1635),
    [aux_sym_preproc_def_token1] = ACTIONS(1635),
    [aux_sym_preproc_if_token1] = ACTIONS(1635),
    [aux_sym_preproc_if_token2] = ACTIONS(1635),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1635),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1635),
    [aux_sym_preproc_else_token1] = ACTIONS(1635),
    [aux_sym_preproc_elif_token1] = ACTIONS(1635),
    [sym_preproc_directive] = ACTIONS(1635),
    [anon_sym_LPAREN2] = ACTIONS(1637),
    [anon_sym_BANG] = ACTIONS(1637),
    [anon_sym_TILDE] = ACTIONS(1637),
    [anon_sym_DASH] = ACTIONS(1635),
    [anon_sym_PLUS] = ACTIONS(1635),
    [anon_sym_STAR] = ACTIONS(1637),
    [anon_sym_AMP] = ACTIONS(1637),
    [anon_sym_subroutine] = ACTIONS(1635),
    [anon_sym_invariant] = ACTIONS(1635),
    [anon_sym_precise] = ACTIONS(1635),
    [anon_sym_SEMI] = ACTIONS(1637),
    [anon_sym_in] = ACTIONS(1635),
    [anon_sym_out] = ACTIONS(1635),
    [anon_sym_inout] = ACTIONS(1635),
    [anon_sym_uniform] = ACTIONS(1635),
    [anon_sym_shared] = ACTIONS(1635),
    [anon_sym_attribute] = ACTIONS(1635),
    [anon_sym_varying] = ACTIONS(1635),
    [anon_sym_buffer] = ACTIONS(1635),
    [anon_sym_coherent] = ACTIONS(1635),
    [anon_sym_readonly] = ACTIONS(1635),
    [anon_sym_writeonly] = ACTIONS(1635),
    [anon_sym_precision] = ACTIONS(1635),
    [anon_sym_highp] = ACTIONS(1635),
    [anon_sym_mediump] = ACTIONS(1635),
    [anon_sym_lowp] = ACTIONS(1635),
    [anon_sym_centroid] = ACTIONS(1635),
    [anon_sym_sample] = ACTIONS(1635),
    [anon_sym_patch] = ACTIONS(1635),
    [anon_sym_smooth] = ACTIONS(1635),
    [anon_sym_flat] = ACTIONS(1635),
    [anon_sym_noperspective] = ACTIONS(1635),
    [anon_sym___extension__] = ACTIONS(1635),
    [anon_sym_typedef] = ACTIONS(1635),
    [anon_sym_extern] = ACTIONS(1635),
    [anon_sym___attribute__] = ACTIONS(1635),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1637),
    [anon_sym___declspec] = ACTIONS(1635),
    [anon_sym___cdecl] = ACTIONS(1635),
    [anon_sym___clrcall] = ACTIONS(1635),
    [anon_sym___stdcall] = ACTIONS(1635),
    [anon_sym___fastcall] = ACTIONS(1635),
    [anon_sym___thiscall] = ACTIONS(1635),
    [anon_sym___vectorcall] = ACTIONS(1635),
    [anon_sym_LBRACE] = ACTIONS(1637),
    [anon_sym_signed] = ACTIONS(1635),
    [anon_sym_unsigned] = ACTIONS(1635),
    [anon_sym_long] = ACTIONS(1635),
    [anon_sym_short] = ACTIONS(1635),
    [anon_sym_static] = ACTIONS(1635),
    [anon_sym_auto] = ACTIONS(1635),
    [anon_sym_register] = ACTIONS(1635),
    [anon_sym_inline] = ACTIONS(1635),
    [anon_sym___inline] = ACTIONS(1635),
    [anon_sym___inline__] = ACTIONS(1635),
    [anon_sym___forceinline] = ACTIONS(1635),
    [anon_sym_thread_local] = ACTIONS(1635),
    [anon_sym___thread] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1635),
    [anon_sym_constexpr] = ACTIONS(1635),
    [anon_sym_volatile] = ACTIONS(1635),
    [anon_sym_restrict] = ACTIONS(1635),
    [anon_sym___restrict__] = ACTIONS(1635),
    [anon_sym__Atomic] = ACTIONS(1635),
    [anon_sym__Noreturn] = ACTIONS(1635),
    [anon_sym_noreturn] = ACTIONS(1635),
    [sym_primitive_type] = ACTIONS(1635),
    [anon_sym_enum] = ACTIONS(1635),
    [anon_sym_struct] = ACTIONS(1635),
    [anon_sym_union] = ACTIONS(1635),
    [anon_sym_if] = ACTIONS(1635),
    [anon_sym_switch] = ACTIONS(1635),
    [anon_sym_case] = ACTIONS(1635),
    [anon_sym_default] = ACTIONS(1635),
    [anon_sym_while] = ACTIONS(1635),
    [anon_sym_do] = ACTIONS(1635),
    [anon_sym_for] = ACTIONS(1635),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_break] = ACTIONS(1635),
    [anon_sym_continue] = ACTIONS(1635),
    [anon_sym_goto] = ACTIONS(1635),
    [anon_sym___try] = ACTIONS(1635),
    [anon_sym___leave] = ACTIONS(1635),
    [anon_sym_DASH_DASH] = ACTIONS(1637),
    [anon_sym_PLUS_PLUS] = ACTIONS(1637),
    [anon_sym_sizeof] = ACTIONS(1635),
    [anon_sym___alignof__] = ACTIONS(1635),
    [anon_sym___alignof] = ACTIONS(1635),
    [anon_sym__alignof] = ACTIONS(1635),
    [anon_sym_alignof] = ACTIONS(1635),
    [anon_sym__Alignof] = ACTIONS(1635),
    [anon_sym_offsetof] = ACTIONS(1635),
    [anon_sym__Generic] = ACTIONS(1635),
    [anon_sym_asm] = ACTIONS(1635),
    [anon_sym___asm__] = ACTIONS(1635),
    [sym_number_literal] = ACTIONS(1637),
    [anon_sym_L_SQUOTE] = ACTIONS(1637),
    [anon_sym_u_SQUOTE] = ACTIONS(1637),
    [anon_sym_U_SQUOTE] = ACTIONS(1637),
    [anon_sym_u8_SQUOTE] = ACTIONS(1637),
    [anon_sym_SQUOTE] = ACTIONS(1637),
    [anon_sym_L_DQUOTE] = ACTIONS(1637),
    [anon_sym_u_DQUOTE] = ACTIONS(1637),
    [anon_sym_U_DQUOTE] = ACTIONS(1637),
    [anon_sym_u8_DQUOTE] = ACTIONS(1637),
    [anon_sym_DQUOTE] = ACTIONS(1637),
    [sym_true] = ACTIONS(1635),
    [sym_false] = ACTIONS(1635),
    [anon_sym_NULL] = ACTIONS(1635),
    [anon_sym_nullptr] = ACTIONS(1635),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1635),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1635),
    [anon_sym_hitAttributeEXT] = ACTIONS(1635),
    [anon_sym_callableDataEXT] = ACTIONS(1635),
    [anon_sym_callableDataInEXT] = ACTIONS(1635),
    [anon_sym_shaderRecordEXT] = ACTIONS(1635),
    [anon_sym_rayPayloadNV] = ACTIONS(1635),
    [anon_sym_rayPayloadInNV] = ACTIONS(1635),
    [anon_sym_hitAttributeNV] = ACTIONS(1635),
    [anon_sym_callableDataNV] = ACTIONS(1635),
    [anon_sym_callableDataInNV] = ACTIONS(1635),
    [anon_sym_shaderRecordNV] = ACTIONS(1635),
    [anon_sym_layout] = ACTIONS(1635),
  },
  [265] = {
    [sym_identifier] = ACTIONS(1631),
    [aux_sym_preproc_include_token1] = ACTIONS(1631),
    [aux_sym_preproc_def_token1] = ACTIONS(1631),
    [aux_sym_preproc_if_token1] = ACTIONS(1631),
    [aux_sym_preproc_if_token2] = ACTIONS(1631),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1631),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1631),
    [aux_sym_preproc_else_token1] = ACTIONS(1631),
    [aux_sym_preproc_elif_token1] = ACTIONS(1631),
    [sym_preproc_directive] = ACTIONS(1631),
    [anon_sym_LPAREN2] = ACTIONS(1633),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1631),
    [anon_sym_PLUS] = ACTIONS(1631),
    [anon_sym_STAR] = ACTIONS(1633),
    [anon_sym_AMP] = ACTIONS(1633),
    [anon_sym_subroutine] = ACTIONS(1631),
    [anon_sym_invariant] = ACTIONS(1631),
    [anon_sym_precise] = ACTIONS(1631),
    [anon_sym_SEMI] = ACTIONS(1633),
    [anon_sym_in] = ACTIONS(1631),
    [anon_sym_out] = ACTIONS(1631),
    [anon_sym_inout] = ACTIONS(1631),
    [anon_sym_uniform] = ACTIONS(1631),
    [anon_sym_shared] = ACTIONS(1631),
    [anon_sym_attribute] = ACTIONS(1631),
    [anon_sym_varying] = ACTIONS(1631),
    [anon_sym_buffer] = ACTIONS(1631),
    [anon_sym_coherent] = ACTIONS(1631),
    [anon_sym_readonly] = ACTIONS(1631),
    [anon_sym_writeonly] = ACTIONS(1631),
    [anon_sym_precision] = ACTIONS(1631),
    [anon_sym_highp] = ACTIONS(1631),
    [anon_sym_mediump] = ACTIONS(1631),
    [anon_sym_lowp] = ACTIONS(1631),
    [anon_sym_centroid] = ACTIONS(1631),
    [anon_sym_sample] = ACTIONS(1631),
    [anon_sym_patch] = ACTIONS(1631),
    [anon_sym_smooth] = ACTIONS(1631),
    [anon_sym_flat] = ACTIONS(1631),
    [anon_sym_noperspective] = ACTIONS(1631),
    [anon_sym___extension__] = ACTIONS(1631),
    [anon_sym_typedef] = ACTIONS(1631),
    [anon_sym_extern] = ACTIONS(1631),
    [anon_sym___attribute__] = ACTIONS(1631),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1633),
    [anon_sym___declspec] = ACTIONS(1631),
    [anon_sym___cdecl] = ACTIONS(1631),
    [anon_sym___clrcall] = ACTIONS(1631),
    [anon_sym___stdcall] = ACTIONS(1631),
    [anon_sym___fastcall] = ACTIONS(1631),
    [anon_sym___thiscall] = ACTIONS(1631),
    [anon_sym___vectorcall] = ACTIONS(1631),
    [anon_sym_LBRACE] = ACTIONS(1633),
    [anon_sym_signed] = ACTIONS(1631),
    [anon_sym_unsigned] = ACTIONS(1631),
    [anon_sym_long] = ACTIONS(1631),
    [anon_sym_short] = ACTIONS(1631),
    [anon_sym_static] = ACTIONS(1631),
    [anon_sym_auto] = ACTIONS(1631),
    [anon_sym_register] = ACTIONS(1631),
    [anon_sym_inline] = ACTIONS(1631),
    [anon_sym___inline] = ACTIONS(1631),
    [anon_sym___inline__] = ACTIONS(1631),
    [anon_sym___forceinline] = ACTIONS(1631),
    [anon_sym_thread_local] = ACTIONS(1631),
    [anon_sym___thread] = ACTIONS(1631),
    [anon_sym_const] = ACTIONS(1631),
    [anon_sym_constexpr] = ACTIONS(1631),
    [anon_sym_volatile] = ACTIONS(1631),
    [anon_sym_restrict] = ACTIONS(1631),
    [anon_sym___restrict__] = ACTIONS(1631),
    [anon_sym__Atomic] = ACTIONS(1631),
    [anon_sym__Noreturn] = ACTIONS(1631),
    [anon_sym_noreturn] = ACTIONS(1631),
    [sym_primitive_type] = ACTIONS(1631),
    [anon_sym_enum] = ACTIONS(1631),
    [anon_sym_struct] = ACTIONS(1631),
    [anon_sym_union] = ACTIONS(1631),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_switch] = ACTIONS(1631),
    [anon_sym_case] = ACTIONS(1631),
    [anon_sym_default] = ACTIONS(1631),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_do] = ACTIONS(1631),
    [anon_sym_for] = ACTIONS(1631),
    [anon_sym_return] = ACTIONS(1631),
    [anon_sym_break] = ACTIONS(1631),
    [anon_sym_continue] = ACTIONS(1631),
    [anon_sym_goto] = ACTIONS(1631),
    [anon_sym___try] = ACTIONS(1631),
    [anon_sym___leave] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1633),
    [anon_sym_sizeof] = ACTIONS(1631),
    [anon_sym___alignof__] = ACTIONS(1631),
    [anon_sym___alignof] = ACTIONS(1631),
    [anon_sym__alignof] = ACTIONS(1631),
    [anon_sym_alignof] = ACTIONS(1631),
    [anon_sym__Alignof] = ACTIONS(1631),
    [anon_sym_offsetof] = ACTIONS(1631),
    [anon_sym__Generic] = ACTIONS(1631),
    [anon_sym_asm] = ACTIONS(1631),
    [anon_sym___asm__] = ACTIONS(1631),
    [sym_number_literal] = ACTIONS(1633),
    [anon_sym_L_SQUOTE] = ACTIONS(1633),
    [anon_sym_u_SQUOTE] = ACTIONS(1633),
    [anon_sym_U_SQUOTE] = ACTIONS(1633),
    [anon_sym_u8_SQUOTE] = ACTIONS(1633),
    [anon_sym_SQUOTE] = ACTIONS(1633),
    [anon_sym_L_DQUOTE] = ACTIONS(1633),
    [anon_sym_u_DQUOTE] = ACTIONS(1633),
    [anon_sym_U_DQUOTE] = ACTIONS(1633),
    [anon_sym_u8_DQUOTE] = ACTIONS(1633),
    [anon_sym_DQUOTE] = ACTIONS(1633),
    [sym_true] = ACTIONS(1631),
    [sym_false] = ACTIONS(1631),
    [anon_sym_NULL] = ACTIONS(1631),
    [anon_sym_nullptr] = ACTIONS(1631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1631),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1631),
    [anon_sym_hitAttributeEXT] = ACTIONS(1631),
    [anon_sym_callableDataEXT] = ACTIONS(1631),
    [anon_sym_callableDataInEXT] = ACTIONS(1631),
    [anon_sym_shaderRecordEXT] = ACTIONS(1631),
    [anon_sym_rayPayloadNV] = ACTIONS(1631),
    [anon_sym_rayPayloadInNV] = ACTIONS(1631),
    [anon_sym_hitAttributeNV] = ACTIONS(1631),
    [anon_sym_callableDataNV] = ACTIONS(1631),
    [anon_sym_callableDataInNV] = ACTIONS(1631),
    [anon_sym_shaderRecordNV] = ACTIONS(1631),
    [anon_sym_layout] = ACTIONS(1631),
  },
  [266] = {
    [sym_identifier] = ACTIONS(1591),
    [aux_sym_preproc_include_token1] = ACTIONS(1591),
    [aux_sym_preproc_def_token1] = ACTIONS(1591),
    [aux_sym_preproc_if_token1] = ACTIONS(1591),
    [aux_sym_preproc_if_token2] = ACTIONS(1591),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1591),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1591),
    [aux_sym_preproc_else_token1] = ACTIONS(1591),
    [aux_sym_preproc_elif_token1] = ACTIONS(1591),
    [sym_preproc_directive] = ACTIONS(1591),
    [anon_sym_LPAREN2] = ACTIONS(1593),
    [anon_sym_BANG] = ACTIONS(1593),
    [anon_sym_TILDE] = ACTIONS(1593),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_STAR] = ACTIONS(1593),
    [anon_sym_AMP] = ACTIONS(1593),
    [anon_sym_subroutine] = ACTIONS(1591),
    [anon_sym_invariant] = ACTIONS(1591),
    [anon_sym_precise] = ACTIONS(1591),
    [anon_sym_SEMI] = ACTIONS(1593),
    [anon_sym_in] = ACTIONS(1591),
    [anon_sym_out] = ACTIONS(1591),
    [anon_sym_inout] = ACTIONS(1591),
    [anon_sym_uniform] = ACTIONS(1591),
    [anon_sym_shared] = ACTIONS(1591),
    [anon_sym_attribute] = ACTIONS(1591),
    [anon_sym_varying] = ACTIONS(1591),
    [anon_sym_buffer] = ACTIONS(1591),
    [anon_sym_coherent] = ACTIONS(1591),
    [anon_sym_readonly] = ACTIONS(1591),
    [anon_sym_writeonly] = ACTIONS(1591),
    [anon_sym_precision] = ACTIONS(1591),
    [anon_sym_highp] = ACTIONS(1591),
    [anon_sym_mediump] = ACTIONS(1591),
    [anon_sym_lowp] = ACTIONS(1591),
    [anon_sym_centroid] = ACTIONS(1591),
    [anon_sym_sample] = ACTIONS(1591),
    [anon_sym_patch] = ACTIONS(1591),
    [anon_sym_smooth] = ACTIONS(1591),
    [anon_sym_flat] = ACTIONS(1591),
    [anon_sym_noperspective] = ACTIONS(1591),
    [anon_sym___extension__] = ACTIONS(1591),
    [anon_sym_typedef] = ACTIONS(1591),
    [anon_sym_extern] = ACTIONS(1591),
    [anon_sym___attribute__] = ACTIONS(1591),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1593),
    [anon_sym___declspec] = ACTIONS(1591),
    [anon_sym___cdecl] = ACTIONS(1591),
    [anon_sym___clrcall] = ACTIONS(1591),
    [anon_sym___stdcall] = ACTIONS(1591),
    [anon_sym___fastcall] = ACTIONS(1591),
    [anon_sym___thiscall] = ACTIONS(1591),
    [anon_sym___vectorcall] = ACTIONS(1591),
    [anon_sym_LBRACE] = ACTIONS(1593),
    [anon_sym_signed] = ACTIONS(1591),
    [anon_sym_unsigned] = ACTIONS(1591),
    [anon_sym_long] = ACTIONS(1591),
    [anon_sym_short] = ACTIONS(1591),
    [anon_sym_static] = ACTIONS(1591),
    [anon_sym_auto] = ACTIONS(1591),
    [anon_sym_register] = ACTIONS(1591),
    [anon_sym_inline] = ACTIONS(1591),
    [anon_sym___inline] = ACTIONS(1591),
    [anon_sym___inline__] = ACTIONS(1591),
    [anon_sym___forceinline] = ACTIONS(1591),
    [anon_sym_thread_local] = ACTIONS(1591),
    [anon_sym___thread] = ACTIONS(1591),
    [anon_sym_const] = ACTIONS(1591),
    [anon_sym_constexpr] = ACTIONS(1591),
    [anon_sym_volatile] = ACTIONS(1591),
    [anon_sym_restrict] = ACTIONS(1591),
    [anon_sym___restrict__] = ACTIONS(1591),
    [anon_sym__Atomic] = ACTIONS(1591),
    [anon_sym__Noreturn] = ACTIONS(1591),
    [anon_sym_noreturn] = ACTIONS(1591),
    [sym_primitive_type] = ACTIONS(1591),
    [anon_sym_enum] = ACTIONS(1591),
    [anon_sym_struct] = ACTIONS(1591),
    [anon_sym_union] = ACTIONS(1591),
    [anon_sym_if] = ACTIONS(1591),
    [anon_sym_switch] = ACTIONS(1591),
    [anon_sym_case] = ACTIONS(1591),
    [anon_sym_default] = ACTIONS(1591),
    [anon_sym_while] = ACTIONS(1591),
    [anon_sym_do] = ACTIONS(1591),
    [anon_sym_for] = ACTIONS(1591),
    [anon_sym_return] = ACTIONS(1591),
    [anon_sym_break] = ACTIONS(1591),
    [anon_sym_continue] = ACTIONS(1591),
    [anon_sym_goto] = ACTIONS(1591),
    [anon_sym___try] = ACTIONS(1591),
    [anon_sym___leave] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1593),
    [anon_sym_PLUS_PLUS] = ACTIONS(1593),
    [anon_sym_sizeof] = ACTIONS(1591),
    [anon_sym___alignof__] = ACTIONS(1591),
    [anon_sym___alignof] = ACTIONS(1591),
    [anon_sym__alignof] = ACTIONS(1591),
    [anon_sym_alignof] = ACTIONS(1591),
    [anon_sym__Alignof] = ACTIONS(1591),
    [anon_sym_offsetof] = ACTIONS(1591),
    [anon_sym__Generic] = ACTIONS(1591),
    [anon_sym_asm] = ACTIONS(1591),
    [anon_sym___asm__] = ACTIONS(1591),
    [sym_number_literal] = ACTIONS(1593),
    [anon_sym_L_SQUOTE] = ACTIONS(1593),
    [anon_sym_u_SQUOTE] = ACTIONS(1593),
    [anon_sym_U_SQUOTE] = ACTIONS(1593),
    [anon_sym_u8_SQUOTE] = ACTIONS(1593),
    [anon_sym_SQUOTE] = ACTIONS(1593),
    [anon_sym_L_DQUOTE] = ACTIONS(1593),
    [anon_sym_u_DQUOTE] = ACTIONS(1593),
    [anon_sym_U_DQUOTE] = ACTIONS(1593),
    [anon_sym_u8_DQUOTE] = ACTIONS(1593),
    [anon_sym_DQUOTE] = ACTIONS(1593),
    [sym_true] = ACTIONS(1591),
    [sym_false] = ACTIONS(1591),
    [anon_sym_NULL] = ACTIONS(1591),
    [anon_sym_nullptr] = ACTIONS(1591),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1591),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1591),
    [anon_sym_hitAttributeEXT] = ACTIONS(1591),
    [anon_sym_callableDataEXT] = ACTIONS(1591),
    [anon_sym_callableDataInEXT] = ACTIONS(1591),
    [anon_sym_shaderRecordEXT] = ACTIONS(1591),
    [anon_sym_rayPayloadNV] = ACTIONS(1591),
    [anon_sym_rayPayloadInNV] = ACTIONS(1591),
    [anon_sym_hitAttributeNV] = ACTIONS(1591),
    [anon_sym_callableDataNV] = ACTIONS(1591),
    [anon_sym_callableDataInNV] = ACTIONS(1591),
    [anon_sym_shaderRecordNV] = ACTIONS(1591),
    [anon_sym_layout] = ACTIONS(1591),
  },
  [267] = {
    [sym_identifier] = ACTIONS(1683),
    [aux_sym_preproc_include_token1] = ACTIONS(1683),
    [aux_sym_preproc_def_token1] = ACTIONS(1683),
    [aux_sym_preproc_if_token1] = ACTIONS(1683),
    [aux_sym_preproc_if_token2] = ACTIONS(1683),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1683),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1683),
    [aux_sym_preproc_else_token1] = ACTIONS(1683),
    [aux_sym_preproc_elif_token1] = ACTIONS(1683),
    [sym_preproc_directive] = ACTIONS(1683),
    [anon_sym_LPAREN2] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1685),
    [anon_sym_TILDE] = ACTIONS(1685),
    [anon_sym_DASH] = ACTIONS(1683),
    [anon_sym_PLUS] = ACTIONS(1683),
    [anon_sym_STAR] = ACTIONS(1685),
    [anon_sym_AMP] = ACTIONS(1685),
    [anon_sym_subroutine] = ACTIONS(1683),
    [anon_sym_invariant] = ACTIONS(1683),
    [anon_sym_precise] = ACTIONS(1683),
    [anon_sym_SEMI] = ACTIONS(1685),
    [anon_sym_in] = ACTIONS(1683),
    [anon_sym_out] = ACTIONS(1683),
    [anon_sym_inout] = ACTIONS(1683),
    [anon_sym_uniform] = ACTIONS(1683),
    [anon_sym_shared] = ACTIONS(1683),
    [anon_sym_attribute] = ACTIONS(1683),
    [anon_sym_varying] = ACTIONS(1683),
    [anon_sym_buffer] = ACTIONS(1683),
    [anon_sym_coherent] = ACTIONS(1683),
    [anon_sym_readonly] = ACTIONS(1683),
    [anon_sym_writeonly] = ACTIONS(1683),
    [anon_sym_precision] = ACTIONS(1683),
    [anon_sym_highp] = ACTIONS(1683),
    [anon_sym_mediump] = ACTIONS(1683),
    [anon_sym_lowp] = ACTIONS(1683),
    [anon_sym_centroid] = ACTIONS(1683),
    [anon_sym_sample] = ACTIONS(1683),
    [anon_sym_patch] = ACTIONS(1683),
    [anon_sym_smooth] = ACTIONS(1683),
    [anon_sym_flat] = ACTIONS(1683),
    [anon_sym_noperspective] = ACTIONS(1683),
    [anon_sym___extension__] = ACTIONS(1683),
    [anon_sym_typedef] = ACTIONS(1683),
    [anon_sym_extern] = ACTIONS(1683),
    [anon_sym___attribute__] = ACTIONS(1683),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1685),
    [anon_sym___declspec] = ACTIONS(1683),
    [anon_sym___cdecl] = ACTIONS(1683),
    [anon_sym___clrcall] = ACTIONS(1683),
    [anon_sym___stdcall] = ACTIONS(1683),
    [anon_sym___fastcall] = ACTIONS(1683),
    [anon_sym___thiscall] = ACTIONS(1683),
    [anon_sym___vectorcall] = ACTIONS(1683),
    [anon_sym_LBRACE] = ACTIONS(1685),
    [anon_sym_signed] = ACTIONS(1683),
    [anon_sym_unsigned] = ACTIONS(1683),
    [anon_sym_long] = ACTIONS(1683),
    [anon_sym_short] = ACTIONS(1683),
    [anon_sym_static] = ACTIONS(1683),
    [anon_sym_auto] = ACTIONS(1683),
    [anon_sym_register] = ACTIONS(1683),
    [anon_sym_inline] = ACTIONS(1683),
    [anon_sym___inline] = ACTIONS(1683),
    [anon_sym___inline__] = ACTIONS(1683),
    [anon_sym___forceinline] = ACTIONS(1683),
    [anon_sym_thread_local] = ACTIONS(1683),
    [anon_sym___thread] = ACTIONS(1683),
    [anon_sym_const] = ACTIONS(1683),
    [anon_sym_constexpr] = ACTIONS(1683),
    [anon_sym_volatile] = ACTIONS(1683),
    [anon_sym_restrict] = ACTIONS(1683),
    [anon_sym___restrict__] = ACTIONS(1683),
    [anon_sym__Atomic] = ACTIONS(1683),
    [anon_sym__Noreturn] = ACTIONS(1683),
    [anon_sym_noreturn] = ACTIONS(1683),
    [sym_primitive_type] = ACTIONS(1683),
    [anon_sym_enum] = ACTIONS(1683),
    [anon_sym_struct] = ACTIONS(1683),
    [anon_sym_union] = ACTIONS(1683),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_switch] = ACTIONS(1683),
    [anon_sym_case] = ACTIONS(1683),
    [anon_sym_default] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1683),
    [anon_sym_do] = ACTIONS(1683),
    [anon_sym_for] = ACTIONS(1683),
    [anon_sym_return] = ACTIONS(1683),
    [anon_sym_break] = ACTIONS(1683),
    [anon_sym_continue] = ACTIONS(1683),
    [anon_sym_goto] = ACTIONS(1683),
    [anon_sym___try] = ACTIONS(1683),
    [anon_sym___leave] = ACTIONS(1683),
    [anon_sym_DASH_DASH] = ACTIONS(1685),
    [anon_sym_PLUS_PLUS] = ACTIONS(1685),
    [anon_sym_sizeof] = ACTIONS(1683),
    [anon_sym___alignof__] = ACTIONS(1683),
    [anon_sym___alignof] = ACTIONS(1683),
    [anon_sym__alignof] = ACTIONS(1683),
    [anon_sym_alignof] = ACTIONS(1683),
    [anon_sym__Alignof] = ACTIONS(1683),
    [anon_sym_offsetof] = ACTIONS(1683),
    [anon_sym__Generic] = ACTIONS(1683),
    [anon_sym_asm] = ACTIONS(1683),
    [anon_sym___asm__] = ACTIONS(1683),
    [sym_number_literal] = ACTIONS(1685),
    [anon_sym_L_SQUOTE] = ACTIONS(1685),
    [anon_sym_u_SQUOTE] = ACTIONS(1685),
    [anon_sym_U_SQUOTE] = ACTIONS(1685),
    [anon_sym_u8_SQUOTE] = ACTIONS(1685),
    [anon_sym_SQUOTE] = ACTIONS(1685),
    [anon_sym_L_DQUOTE] = ACTIONS(1685),
    [anon_sym_u_DQUOTE] = ACTIONS(1685),
    [anon_sym_U_DQUOTE] = ACTIONS(1685),
    [anon_sym_u8_DQUOTE] = ACTIONS(1685),
    [anon_sym_DQUOTE] = ACTIONS(1685),
    [sym_true] = ACTIONS(1683),
    [sym_false] = ACTIONS(1683),
    [anon_sym_NULL] = ACTIONS(1683),
    [anon_sym_nullptr] = ACTIONS(1683),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1683),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1683),
    [anon_sym_hitAttributeEXT] = ACTIONS(1683),
    [anon_sym_callableDataEXT] = ACTIONS(1683),
    [anon_sym_callableDataInEXT] = ACTIONS(1683),
    [anon_sym_shaderRecordEXT] = ACTIONS(1683),
    [anon_sym_rayPayloadNV] = ACTIONS(1683),
    [anon_sym_rayPayloadInNV] = ACTIONS(1683),
    [anon_sym_hitAttributeNV] = ACTIONS(1683),
    [anon_sym_callableDataNV] = ACTIONS(1683),
    [anon_sym_callableDataInNV] = ACTIONS(1683),
    [anon_sym_shaderRecordNV] = ACTIONS(1683),
    [anon_sym_layout] = ACTIONS(1683),
  },
  [268] = {
    [sym_identifier] = ACTIONS(1603),
    [aux_sym_preproc_include_token1] = ACTIONS(1603),
    [aux_sym_preproc_def_token1] = ACTIONS(1603),
    [aux_sym_preproc_if_token1] = ACTIONS(1603),
    [aux_sym_preproc_if_token2] = ACTIONS(1603),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1603),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1603),
    [aux_sym_preproc_else_token1] = ACTIONS(1603),
    [aux_sym_preproc_elif_token1] = ACTIONS(1603),
    [sym_preproc_directive] = ACTIONS(1603),
    [anon_sym_LPAREN2] = ACTIONS(1605),
    [anon_sym_BANG] = ACTIONS(1605),
    [anon_sym_TILDE] = ACTIONS(1605),
    [anon_sym_DASH] = ACTIONS(1603),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_STAR] = ACTIONS(1605),
    [anon_sym_AMP] = ACTIONS(1605),
    [anon_sym_subroutine] = ACTIONS(1603),
    [anon_sym_invariant] = ACTIONS(1603),
    [anon_sym_precise] = ACTIONS(1603),
    [anon_sym_SEMI] = ACTIONS(1605),
    [anon_sym_in] = ACTIONS(1603),
    [anon_sym_out] = ACTIONS(1603),
    [anon_sym_inout] = ACTIONS(1603),
    [anon_sym_uniform] = ACTIONS(1603),
    [anon_sym_shared] = ACTIONS(1603),
    [anon_sym_attribute] = ACTIONS(1603),
    [anon_sym_varying] = ACTIONS(1603),
    [anon_sym_buffer] = ACTIONS(1603),
    [anon_sym_coherent] = ACTIONS(1603),
    [anon_sym_readonly] = ACTIONS(1603),
    [anon_sym_writeonly] = ACTIONS(1603),
    [anon_sym_precision] = ACTIONS(1603),
    [anon_sym_highp] = ACTIONS(1603),
    [anon_sym_mediump] = ACTIONS(1603),
    [anon_sym_lowp] = ACTIONS(1603),
    [anon_sym_centroid] = ACTIONS(1603),
    [anon_sym_sample] = ACTIONS(1603),
    [anon_sym_patch] = ACTIONS(1603),
    [anon_sym_smooth] = ACTIONS(1603),
    [anon_sym_flat] = ACTIONS(1603),
    [anon_sym_noperspective] = ACTIONS(1603),
    [anon_sym___extension__] = ACTIONS(1603),
    [anon_sym_typedef] = ACTIONS(1603),
    [anon_sym_extern] = ACTIONS(1603),
    [anon_sym___attribute__] = ACTIONS(1603),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1605),
    [anon_sym___declspec] = ACTIONS(1603),
    [anon_sym___cdecl] = ACTIONS(1603),
    [anon_sym___clrcall] = ACTIONS(1603),
    [anon_sym___stdcall] = ACTIONS(1603),
    [anon_sym___fastcall] = ACTIONS(1603),
    [anon_sym___thiscall] = ACTIONS(1603),
    [anon_sym___vectorcall] = ACTIONS(1603),
    [anon_sym_LBRACE] = ACTIONS(1605),
    [anon_sym_signed] = ACTIONS(1603),
    [anon_sym_unsigned] = ACTIONS(1603),
    [anon_sym_long] = ACTIONS(1603),
    [anon_sym_short] = ACTIONS(1603),
    [anon_sym_static] = ACTIONS(1603),
    [anon_sym_auto] = ACTIONS(1603),
    [anon_sym_register] = ACTIONS(1603),
    [anon_sym_inline] = ACTIONS(1603),
    [anon_sym___inline] = ACTIONS(1603),
    [anon_sym___inline__] = ACTIONS(1603),
    [anon_sym___forceinline] = ACTIONS(1603),
    [anon_sym_thread_local] = ACTIONS(1603),
    [anon_sym___thread] = ACTIONS(1603),
    [anon_sym_const] = ACTIONS(1603),
    [anon_sym_constexpr] = ACTIONS(1603),
    [anon_sym_volatile] = ACTIONS(1603),
    [anon_sym_restrict] = ACTIONS(1603),
    [anon_sym___restrict__] = ACTIONS(1603),
    [anon_sym__Atomic] = ACTIONS(1603),
    [anon_sym__Noreturn] = ACTIONS(1603),
    [anon_sym_noreturn] = ACTIONS(1603),
    [sym_primitive_type] = ACTIONS(1603),
    [anon_sym_enum] = ACTIONS(1603),
    [anon_sym_struct] = ACTIONS(1603),
    [anon_sym_union] = ACTIONS(1603),
    [anon_sym_if] = ACTIONS(1603),
    [anon_sym_switch] = ACTIONS(1603),
    [anon_sym_case] = ACTIONS(1603),
    [anon_sym_default] = ACTIONS(1603),
    [anon_sym_while] = ACTIONS(1603),
    [anon_sym_do] = ACTIONS(1603),
    [anon_sym_for] = ACTIONS(1603),
    [anon_sym_return] = ACTIONS(1603),
    [anon_sym_break] = ACTIONS(1603),
    [anon_sym_continue] = ACTIONS(1603),
    [anon_sym_goto] = ACTIONS(1603),
    [anon_sym___try] = ACTIONS(1603),
    [anon_sym___leave] = ACTIONS(1603),
    [anon_sym_DASH_DASH] = ACTIONS(1605),
    [anon_sym_PLUS_PLUS] = ACTIONS(1605),
    [anon_sym_sizeof] = ACTIONS(1603),
    [anon_sym___alignof__] = ACTIONS(1603),
    [anon_sym___alignof] = ACTIONS(1603),
    [anon_sym__alignof] = ACTIONS(1603),
    [anon_sym_alignof] = ACTIONS(1603),
    [anon_sym__Alignof] = ACTIONS(1603),
    [anon_sym_offsetof] = ACTIONS(1603),
    [anon_sym__Generic] = ACTIONS(1603),
    [anon_sym_asm] = ACTIONS(1603),
    [anon_sym___asm__] = ACTIONS(1603),
    [sym_number_literal] = ACTIONS(1605),
    [anon_sym_L_SQUOTE] = ACTIONS(1605),
    [anon_sym_u_SQUOTE] = ACTIONS(1605),
    [anon_sym_U_SQUOTE] = ACTIONS(1605),
    [anon_sym_u8_SQUOTE] = ACTIONS(1605),
    [anon_sym_SQUOTE] = ACTIONS(1605),
    [anon_sym_L_DQUOTE] = ACTIONS(1605),
    [anon_sym_u_DQUOTE] = ACTIONS(1605),
    [anon_sym_U_DQUOTE] = ACTIONS(1605),
    [anon_sym_u8_DQUOTE] = ACTIONS(1605),
    [anon_sym_DQUOTE] = ACTIONS(1605),
    [sym_true] = ACTIONS(1603),
    [sym_false] = ACTIONS(1603),
    [anon_sym_NULL] = ACTIONS(1603),
    [anon_sym_nullptr] = ACTIONS(1603),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1603),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1603),
    [anon_sym_hitAttributeEXT] = ACTIONS(1603),
    [anon_sym_callableDataEXT] = ACTIONS(1603),
    [anon_sym_callableDataInEXT] = ACTIONS(1603),
    [anon_sym_shaderRecordEXT] = ACTIONS(1603),
    [anon_sym_rayPayloadNV] = ACTIONS(1603),
    [anon_sym_rayPayloadInNV] = ACTIONS(1603),
    [anon_sym_hitAttributeNV] = ACTIONS(1603),
    [anon_sym_callableDataNV] = ACTIONS(1603),
    [anon_sym_callableDataInNV] = ACTIONS(1603),
    [anon_sym_shaderRecordNV] = ACTIONS(1603),
    [anon_sym_layout] = ACTIONS(1603),
  },
  [269] = {
    [sym_identifier] = ACTIONS(1695),
    [aux_sym_preproc_include_token1] = ACTIONS(1695),
    [aux_sym_preproc_def_token1] = ACTIONS(1695),
    [aux_sym_preproc_if_token1] = ACTIONS(1695),
    [aux_sym_preproc_if_token2] = ACTIONS(1695),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1695),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1695),
    [aux_sym_preproc_else_token1] = ACTIONS(1695),
    [aux_sym_preproc_elif_token1] = ACTIONS(1695),
    [sym_preproc_directive] = ACTIONS(1695),
    [anon_sym_LPAREN2] = ACTIONS(1697),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1695),
    [anon_sym_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_subroutine] = ACTIONS(1695),
    [anon_sym_invariant] = ACTIONS(1695),
    [anon_sym_precise] = ACTIONS(1695),
    [anon_sym_SEMI] = ACTIONS(1697),
    [anon_sym_in] = ACTIONS(1695),
    [anon_sym_out] = ACTIONS(1695),
    [anon_sym_inout] = ACTIONS(1695),
    [anon_sym_uniform] = ACTIONS(1695),
    [anon_sym_shared] = ACTIONS(1695),
    [anon_sym_attribute] = ACTIONS(1695),
    [anon_sym_varying] = ACTIONS(1695),
    [anon_sym_buffer] = ACTIONS(1695),
    [anon_sym_coherent] = ACTIONS(1695),
    [anon_sym_readonly] = ACTIONS(1695),
    [anon_sym_writeonly] = ACTIONS(1695),
    [anon_sym_precision] = ACTIONS(1695),
    [anon_sym_highp] = ACTIONS(1695),
    [anon_sym_mediump] = ACTIONS(1695),
    [anon_sym_lowp] = ACTIONS(1695),
    [anon_sym_centroid] = ACTIONS(1695),
    [anon_sym_sample] = ACTIONS(1695),
    [anon_sym_patch] = ACTIONS(1695),
    [anon_sym_smooth] = ACTIONS(1695),
    [anon_sym_flat] = ACTIONS(1695),
    [anon_sym_noperspective] = ACTIONS(1695),
    [anon_sym___extension__] = ACTIONS(1695),
    [anon_sym_typedef] = ACTIONS(1695),
    [anon_sym_extern] = ACTIONS(1695),
    [anon_sym___attribute__] = ACTIONS(1695),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1697),
    [anon_sym___declspec] = ACTIONS(1695),
    [anon_sym___cdecl] = ACTIONS(1695),
    [anon_sym___clrcall] = ACTIONS(1695),
    [anon_sym___stdcall] = ACTIONS(1695),
    [anon_sym___fastcall] = ACTIONS(1695),
    [anon_sym___thiscall] = ACTIONS(1695),
    [anon_sym___vectorcall] = ACTIONS(1695),
    [anon_sym_LBRACE] = ACTIONS(1697),
    [anon_sym_signed] = ACTIONS(1695),
    [anon_sym_unsigned] = ACTIONS(1695),
    [anon_sym_long] = ACTIONS(1695),
    [anon_sym_short] = ACTIONS(1695),
    [anon_sym_static] = ACTIONS(1695),
    [anon_sym_auto] = ACTIONS(1695),
    [anon_sym_register] = ACTIONS(1695),
    [anon_sym_inline] = ACTIONS(1695),
    [anon_sym___inline] = ACTIONS(1695),
    [anon_sym___inline__] = ACTIONS(1695),
    [anon_sym___forceinline] = ACTIONS(1695),
    [anon_sym_thread_local] = ACTIONS(1695),
    [anon_sym___thread] = ACTIONS(1695),
    [anon_sym_const] = ACTIONS(1695),
    [anon_sym_constexpr] = ACTIONS(1695),
    [anon_sym_volatile] = ACTIONS(1695),
    [anon_sym_restrict] = ACTIONS(1695),
    [anon_sym___restrict__] = ACTIONS(1695),
    [anon_sym__Atomic] = ACTIONS(1695),
    [anon_sym__Noreturn] = ACTIONS(1695),
    [anon_sym_noreturn] = ACTIONS(1695),
    [sym_primitive_type] = ACTIONS(1695),
    [anon_sym_enum] = ACTIONS(1695),
    [anon_sym_struct] = ACTIONS(1695),
    [anon_sym_union] = ACTIONS(1695),
    [anon_sym_if] = ACTIONS(1695),
    [anon_sym_switch] = ACTIONS(1695),
    [anon_sym_case] = ACTIONS(1695),
    [anon_sym_default] = ACTIONS(1695),
    [anon_sym_while] = ACTIONS(1695),
    [anon_sym_do] = ACTIONS(1695),
    [anon_sym_for] = ACTIONS(1695),
    [anon_sym_return] = ACTIONS(1695),
    [anon_sym_break] = ACTIONS(1695),
    [anon_sym_continue] = ACTIONS(1695),
    [anon_sym_goto] = ACTIONS(1695),
    [anon_sym___try] = ACTIONS(1695),
    [anon_sym___leave] = ACTIONS(1695),
    [anon_sym_DASH_DASH] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1697),
    [anon_sym_sizeof] = ACTIONS(1695),
    [anon_sym___alignof__] = ACTIONS(1695),
    [anon_sym___alignof] = ACTIONS(1695),
    [anon_sym__alignof] = ACTIONS(1695),
    [anon_sym_alignof] = ACTIONS(1695),
    [anon_sym__Alignof] = ACTIONS(1695),
    [anon_sym_offsetof] = ACTIONS(1695),
    [anon_sym__Generic] = ACTIONS(1695),
    [anon_sym_asm] = ACTIONS(1695),
    [anon_sym___asm__] = ACTIONS(1695),
    [sym_number_literal] = ACTIONS(1697),
    [anon_sym_L_SQUOTE] = ACTIONS(1697),
    [anon_sym_u_SQUOTE] = ACTIONS(1697),
    [anon_sym_U_SQUOTE] = ACTIONS(1697),
    [anon_sym_u8_SQUOTE] = ACTIONS(1697),
    [anon_sym_SQUOTE] = ACTIONS(1697),
    [anon_sym_L_DQUOTE] = ACTIONS(1697),
    [anon_sym_u_DQUOTE] = ACTIONS(1697),
    [anon_sym_U_DQUOTE] = ACTIONS(1697),
    [anon_sym_u8_DQUOTE] = ACTIONS(1697),
    [anon_sym_DQUOTE] = ACTIONS(1697),
    [sym_true] = ACTIONS(1695),
    [sym_false] = ACTIONS(1695),
    [anon_sym_NULL] = ACTIONS(1695),
    [anon_sym_nullptr] = ACTIONS(1695),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1695),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1695),
    [anon_sym_hitAttributeEXT] = ACTIONS(1695),
    [anon_sym_callableDataEXT] = ACTIONS(1695),
    [anon_sym_callableDataInEXT] = ACTIONS(1695),
    [anon_sym_shaderRecordEXT] = ACTIONS(1695),
    [anon_sym_rayPayloadNV] = ACTIONS(1695),
    [anon_sym_rayPayloadInNV] = ACTIONS(1695),
    [anon_sym_hitAttributeNV] = ACTIONS(1695),
    [anon_sym_callableDataNV] = ACTIONS(1695),
    [anon_sym_callableDataInNV] = ACTIONS(1695),
    [anon_sym_shaderRecordNV] = ACTIONS(1695),
    [anon_sym_layout] = ACTIONS(1695),
  },
  [270] = {
    [sym_identifier] = ACTIONS(1715),
    [aux_sym_preproc_include_token1] = ACTIONS(1715),
    [aux_sym_preproc_def_token1] = ACTIONS(1715),
    [aux_sym_preproc_if_token1] = ACTIONS(1715),
    [aux_sym_preproc_if_token2] = ACTIONS(1715),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1715),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1715),
    [aux_sym_preproc_else_token1] = ACTIONS(1715),
    [aux_sym_preproc_elif_token1] = ACTIONS(1715),
    [sym_preproc_directive] = ACTIONS(1715),
    [anon_sym_LPAREN2] = ACTIONS(1717),
    [anon_sym_BANG] = ACTIONS(1717),
    [anon_sym_TILDE] = ACTIONS(1717),
    [anon_sym_DASH] = ACTIONS(1715),
    [anon_sym_PLUS] = ACTIONS(1715),
    [anon_sym_STAR] = ACTIONS(1717),
    [anon_sym_AMP] = ACTIONS(1717),
    [anon_sym_subroutine] = ACTIONS(1715),
    [anon_sym_invariant] = ACTIONS(1715),
    [anon_sym_precise] = ACTIONS(1715),
    [anon_sym_SEMI] = ACTIONS(1717),
    [anon_sym_in] = ACTIONS(1715),
    [anon_sym_out] = ACTIONS(1715),
    [anon_sym_inout] = ACTIONS(1715),
    [anon_sym_uniform] = ACTIONS(1715),
    [anon_sym_shared] = ACTIONS(1715),
    [anon_sym_attribute] = ACTIONS(1715),
    [anon_sym_varying] = ACTIONS(1715),
    [anon_sym_buffer] = ACTIONS(1715),
    [anon_sym_coherent] = ACTIONS(1715),
    [anon_sym_readonly] = ACTIONS(1715),
    [anon_sym_writeonly] = ACTIONS(1715),
    [anon_sym_precision] = ACTIONS(1715),
    [anon_sym_highp] = ACTIONS(1715),
    [anon_sym_mediump] = ACTIONS(1715),
    [anon_sym_lowp] = ACTIONS(1715),
    [anon_sym_centroid] = ACTIONS(1715),
    [anon_sym_sample] = ACTIONS(1715),
    [anon_sym_patch] = ACTIONS(1715),
    [anon_sym_smooth] = ACTIONS(1715),
    [anon_sym_flat] = ACTIONS(1715),
    [anon_sym_noperspective] = ACTIONS(1715),
    [anon_sym___extension__] = ACTIONS(1715),
    [anon_sym_typedef] = ACTIONS(1715),
    [anon_sym_extern] = ACTIONS(1715),
    [anon_sym___attribute__] = ACTIONS(1715),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1717),
    [anon_sym___declspec] = ACTIONS(1715),
    [anon_sym___cdecl] = ACTIONS(1715),
    [anon_sym___clrcall] = ACTIONS(1715),
    [anon_sym___stdcall] = ACTIONS(1715),
    [anon_sym___fastcall] = ACTIONS(1715),
    [anon_sym___thiscall] = ACTIONS(1715),
    [anon_sym___vectorcall] = ACTIONS(1715),
    [anon_sym_LBRACE] = ACTIONS(1717),
    [anon_sym_signed] = ACTIONS(1715),
    [anon_sym_unsigned] = ACTIONS(1715),
    [anon_sym_long] = ACTIONS(1715),
    [anon_sym_short] = ACTIONS(1715),
    [anon_sym_static] = ACTIONS(1715),
    [anon_sym_auto] = ACTIONS(1715),
    [anon_sym_register] = ACTIONS(1715),
    [anon_sym_inline] = ACTIONS(1715),
    [anon_sym___inline] = ACTIONS(1715),
    [anon_sym___inline__] = ACTIONS(1715),
    [anon_sym___forceinline] = ACTIONS(1715),
    [anon_sym_thread_local] = ACTIONS(1715),
    [anon_sym___thread] = ACTIONS(1715),
    [anon_sym_const] = ACTIONS(1715),
    [anon_sym_constexpr] = ACTIONS(1715),
    [anon_sym_volatile] = ACTIONS(1715),
    [anon_sym_restrict] = ACTIONS(1715),
    [anon_sym___restrict__] = ACTIONS(1715),
    [anon_sym__Atomic] = ACTIONS(1715),
    [anon_sym__Noreturn] = ACTIONS(1715),
    [anon_sym_noreturn] = ACTIONS(1715),
    [sym_primitive_type] = ACTIONS(1715),
    [anon_sym_enum] = ACTIONS(1715),
    [anon_sym_struct] = ACTIONS(1715),
    [anon_sym_union] = ACTIONS(1715),
    [anon_sym_if] = ACTIONS(1715),
    [anon_sym_switch] = ACTIONS(1715),
    [anon_sym_case] = ACTIONS(1715),
    [anon_sym_default] = ACTIONS(1715),
    [anon_sym_while] = ACTIONS(1715),
    [anon_sym_do] = ACTIONS(1715),
    [anon_sym_for] = ACTIONS(1715),
    [anon_sym_return] = ACTIONS(1715),
    [anon_sym_break] = ACTIONS(1715),
    [anon_sym_continue] = ACTIONS(1715),
    [anon_sym_goto] = ACTIONS(1715),
    [anon_sym___try] = ACTIONS(1715),
    [anon_sym___leave] = ACTIONS(1715),
    [anon_sym_DASH_DASH] = ACTIONS(1717),
    [anon_sym_PLUS_PLUS] = ACTIONS(1717),
    [anon_sym_sizeof] = ACTIONS(1715),
    [anon_sym___alignof__] = ACTIONS(1715),
    [anon_sym___alignof] = ACTIONS(1715),
    [anon_sym__alignof] = ACTIONS(1715),
    [anon_sym_alignof] = ACTIONS(1715),
    [anon_sym__Alignof] = ACTIONS(1715),
    [anon_sym_offsetof] = ACTIONS(1715),
    [anon_sym__Generic] = ACTIONS(1715),
    [anon_sym_asm] = ACTIONS(1715),
    [anon_sym___asm__] = ACTIONS(1715),
    [sym_number_literal] = ACTIONS(1717),
    [anon_sym_L_SQUOTE] = ACTIONS(1717),
    [anon_sym_u_SQUOTE] = ACTIONS(1717),
    [anon_sym_U_SQUOTE] = ACTIONS(1717),
    [anon_sym_u8_SQUOTE] = ACTIONS(1717),
    [anon_sym_SQUOTE] = ACTIONS(1717),
    [anon_sym_L_DQUOTE] = ACTIONS(1717),
    [anon_sym_u_DQUOTE] = ACTIONS(1717),
    [anon_sym_U_DQUOTE] = ACTIONS(1717),
    [anon_sym_u8_DQUOTE] = ACTIONS(1717),
    [anon_sym_DQUOTE] = ACTIONS(1717),
    [sym_true] = ACTIONS(1715),
    [sym_false] = ACTIONS(1715),
    [anon_sym_NULL] = ACTIONS(1715),
    [anon_sym_nullptr] = ACTIONS(1715),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1715),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1715),
    [anon_sym_hitAttributeEXT] = ACTIONS(1715),
    [anon_sym_callableDataEXT] = ACTIONS(1715),
    [anon_sym_callableDataInEXT] = ACTIONS(1715),
    [anon_sym_shaderRecordEXT] = ACTIONS(1715),
    [anon_sym_rayPayloadNV] = ACTIONS(1715),
    [anon_sym_rayPayloadInNV] = ACTIONS(1715),
    [anon_sym_hitAttributeNV] = ACTIONS(1715),
    [anon_sym_callableDataNV] = ACTIONS(1715),
    [anon_sym_callableDataInNV] = ACTIONS(1715),
    [anon_sym_shaderRecordNV] = ACTIONS(1715),
    [anon_sym_layout] = ACTIONS(1715),
  },
  [271] = {
    [sym_identifier] = ACTIONS(1611),
    [aux_sym_preproc_include_token1] = ACTIONS(1611),
    [aux_sym_preproc_def_token1] = ACTIONS(1611),
    [aux_sym_preproc_if_token1] = ACTIONS(1611),
    [aux_sym_preproc_if_token2] = ACTIONS(1611),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1611),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1611),
    [aux_sym_preproc_else_token1] = ACTIONS(1611),
    [aux_sym_preproc_elif_token1] = ACTIONS(1611),
    [sym_preproc_directive] = ACTIONS(1611),
    [anon_sym_LPAREN2] = ACTIONS(1613),
    [anon_sym_BANG] = ACTIONS(1613),
    [anon_sym_TILDE] = ACTIONS(1613),
    [anon_sym_DASH] = ACTIONS(1611),
    [anon_sym_PLUS] = ACTIONS(1611),
    [anon_sym_STAR] = ACTIONS(1613),
    [anon_sym_AMP] = ACTIONS(1613),
    [anon_sym_subroutine] = ACTIONS(1611),
    [anon_sym_invariant] = ACTIONS(1611),
    [anon_sym_precise] = ACTIONS(1611),
    [anon_sym_SEMI] = ACTIONS(1613),
    [anon_sym_in] = ACTIONS(1611),
    [anon_sym_out] = ACTIONS(1611),
    [anon_sym_inout] = ACTIONS(1611),
    [anon_sym_uniform] = ACTIONS(1611),
    [anon_sym_shared] = ACTIONS(1611),
    [anon_sym_attribute] = ACTIONS(1611),
    [anon_sym_varying] = ACTIONS(1611),
    [anon_sym_buffer] = ACTIONS(1611),
    [anon_sym_coherent] = ACTIONS(1611),
    [anon_sym_readonly] = ACTIONS(1611),
    [anon_sym_writeonly] = ACTIONS(1611),
    [anon_sym_precision] = ACTIONS(1611),
    [anon_sym_highp] = ACTIONS(1611),
    [anon_sym_mediump] = ACTIONS(1611),
    [anon_sym_lowp] = ACTIONS(1611),
    [anon_sym_centroid] = ACTIONS(1611),
    [anon_sym_sample] = ACTIONS(1611),
    [anon_sym_patch] = ACTIONS(1611),
    [anon_sym_smooth] = ACTIONS(1611),
    [anon_sym_flat] = ACTIONS(1611),
    [anon_sym_noperspective] = ACTIONS(1611),
    [anon_sym___extension__] = ACTIONS(1611),
    [anon_sym_typedef] = ACTIONS(1611),
    [anon_sym_extern] = ACTIONS(1611),
    [anon_sym___attribute__] = ACTIONS(1611),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1613),
    [anon_sym___declspec] = ACTIONS(1611),
    [anon_sym___cdecl] = ACTIONS(1611),
    [anon_sym___clrcall] = ACTIONS(1611),
    [anon_sym___stdcall] = ACTIONS(1611),
    [anon_sym___fastcall] = ACTIONS(1611),
    [anon_sym___thiscall] = ACTIONS(1611),
    [anon_sym___vectorcall] = ACTIONS(1611),
    [anon_sym_LBRACE] = ACTIONS(1613),
    [anon_sym_signed] = ACTIONS(1611),
    [anon_sym_unsigned] = ACTIONS(1611),
    [anon_sym_long] = ACTIONS(1611),
    [anon_sym_short] = ACTIONS(1611),
    [anon_sym_static] = ACTIONS(1611),
    [anon_sym_auto] = ACTIONS(1611),
    [anon_sym_register] = ACTIONS(1611),
    [anon_sym_inline] = ACTIONS(1611),
    [anon_sym___inline] = ACTIONS(1611),
    [anon_sym___inline__] = ACTIONS(1611),
    [anon_sym___forceinline] = ACTIONS(1611),
    [anon_sym_thread_local] = ACTIONS(1611),
    [anon_sym___thread] = ACTIONS(1611),
    [anon_sym_const] = ACTIONS(1611),
    [anon_sym_constexpr] = ACTIONS(1611),
    [anon_sym_volatile] = ACTIONS(1611),
    [anon_sym_restrict] = ACTIONS(1611),
    [anon_sym___restrict__] = ACTIONS(1611),
    [anon_sym__Atomic] = ACTIONS(1611),
    [anon_sym__Noreturn] = ACTIONS(1611),
    [anon_sym_noreturn] = ACTIONS(1611),
    [sym_primitive_type] = ACTIONS(1611),
    [anon_sym_enum] = ACTIONS(1611),
    [anon_sym_struct] = ACTIONS(1611),
    [anon_sym_union] = ACTIONS(1611),
    [anon_sym_if] = ACTIONS(1611),
    [anon_sym_switch] = ACTIONS(1611),
    [anon_sym_case] = ACTIONS(1611),
    [anon_sym_default] = ACTIONS(1611),
    [anon_sym_while] = ACTIONS(1611),
    [anon_sym_do] = ACTIONS(1611),
    [anon_sym_for] = ACTIONS(1611),
    [anon_sym_return] = ACTIONS(1611),
    [anon_sym_break] = ACTIONS(1611),
    [anon_sym_continue] = ACTIONS(1611),
    [anon_sym_goto] = ACTIONS(1611),
    [anon_sym___try] = ACTIONS(1611),
    [anon_sym___leave] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1613),
    [anon_sym_PLUS_PLUS] = ACTIONS(1613),
    [anon_sym_sizeof] = ACTIONS(1611),
    [anon_sym___alignof__] = ACTIONS(1611),
    [anon_sym___alignof] = ACTIONS(1611),
    [anon_sym__alignof] = ACTIONS(1611),
    [anon_sym_alignof] = ACTIONS(1611),
    [anon_sym__Alignof] = ACTIONS(1611),
    [anon_sym_offsetof] = ACTIONS(1611),
    [anon_sym__Generic] = ACTIONS(1611),
    [anon_sym_asm] = ACTIONS(1611),
    [anon_sym___asm__] = ACTIONS(1611),
    [sym_number_literal] = ACTIONS(1613),
    [anon_sym_L_SQUOTE] = ACTIONS(1613),
    [anon_sym_u_SQUOTE] = ACTIONS(1613),
    [anon_sym_U_SQUOTE] = ACTIONS(1613),
    [anon_sym_u8_SQUOTE] = ACTIONS(1613),
    [anon_sym_SQUOTE] = ACTIONS(1613),
    [anon_sym_L_DQUOTE] = ACTIONS(1613),
    [anon_sym_u_DQUOTE] = ACTIONS(1613),
    [anon_sym_U_DQUOTE] = ACTIONS(1613),
    [anon_sym_u8_DQUOTE] = ACTIONS(1613),
    [anon_sym_DQUOTE] = ACTIONS(1613),
    [sym_true] = ACTIONS(1611),
    [sym_false] = ACTIONS(1611),
    [anon_sym_NULL] = ACTIONS(1611),
    [anon_sym_nullptr] = ACTIONS(1611),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1611),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1611),
    [anon_sym_hitAttributeEXT] = ACTIONS(1611),
    [anon_sym_callableDataEXT] = ACTIONS(1611),
    [anon_sym_callableDataInEXT] = ACTIONS(1611),
    [anon_sym_shaderRecordEXT] = ACTIONS(1611),
    [anon_sym_rayPayloadNV] = ACTIONS(1611),
    [anon_sym_rayPayloadInNV] = ACTIONS(1611),
    [anon_sym_hitAttributeNV] = ACTIONS(1611),
    [anon_sym_callableDataNV] = ACTIONS(1611),
    [anon_sym_callableDataInNV] = ACTIONS(1611),
    [anon_sym_shaderRecordNV] = ACTIONS(1611),
    [anon_sym_layout] = ACTIONS(1611),
  },
  [272] = {
    [sym_identifier] = ACTIONS(1691),
    [aux_sym_preproc_include_token1] = ACTIONS(1691),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token2] = ACTIONS(1691),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1691),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1691),
    [aux_sym_preproc_else_token1] = ACTIONS(1691),
    [aux_sym_preproc_elif_token1] = ACTIONS(1691),
    [sym_preproc_directive] = ACTIONS(1691),
    [anon_sym_LPAREN2] = ACTIONS(1693),
    [anon_sym_BANG] = ACTIONS(1693),
    [anon_sym_TILDE] = ACTIONS(1693),
    [anon_sym_DASH] = ACTIONS(1691),
    [anon_sym_PLUS] = ACTIONS(1691),
    [anon_sym_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1693),
    [anon_sym_subroutine] = ACTIONS(1691),
    [anon_sym_invariant] = ACTIONS(1691),
    [anon_sym_precise] = ACTIONS(1691),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_in] = ACTIONS(1691),
    [anon_sym_out] = ACTIONS(1691),
    [anon_sym_inout] = ACTIONS(1691),
    [anon_sym_uniform] = ACTIONS(1691),
    [anon_sym_shared] = ACTIONS(1691),
    [anon_sym_attribute] = ACTIONS(1691),
    [anon_sym_varying] = ACTIONS(1691),
    [anon_sym_buffer] = ACTIONS(1691),
    [anon_sym_coherent] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_writeonly] = ACTIONS(1691),
    [anon_sym_precision] = ACTIONS(1691),
    [anon_sym_highp] = ACTIONS(1691),
    [anon_sym_mediump] = ACTIONS(1691),
    [anon_sym_lowp] = ACTIONS(1691),
    [anon_sym_centroid] = ACTIONS(1691),
    [anon_sym_sample] = ACTIONS(1691),
    [anon_sym_patch] = ACTIONS(1691),
    [anon_sym_smooth] = ACTIONS(1691),
    [anon_sym_flat] = ACTIONS(1691),
    [anon_sym_noperspective] = ACTIONS(1691),
    [anon_sym___extension__] = ACTIONS(1691),
    [anon_sym_typedef] = ACTIONS(1691),
    [anon_sym_extern] = ACTIONS(1691),
    [anon_sym___attribute__] = ACTIONS(1691),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1693),
    [anon_sym___declspec] = ACTIONS(1691),
    [anon_sym___cdecl] = ACTIONS(1691),
    [anon_sym___clrcall] = ACTIONS(1691),
    [anon_sym___stdcall] = ACTIONS(1691),
    [anon_sym___fastcall] = ACTIONS(1691),
    [anon_sym___thiscall] = ACTIONS(1691),
    [anon_sym___vectorcall] = ACTIONS(1691),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_signed] = ACTIONS(1691),
    [anon_sym_unsigned] = ACTIONS(1691),
    [anon_sym_long] = ACTIONS(1691),
    [anon_sym_short] = ACTIONS(1691),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_auto] = ACTIONS(1691),
    [anon_sym_register] = ACTIONS(1691),
    [anon_sym_inline] = ACTIONS(1691),
    [anon_sym___inline] = ACTIONS(1691),
    [anon_sym___inline__] = ACTIONS(1691),
    [anon_sym___forceinline] = ACTIONS(1691),
    [anon_sym_thread_local] = ACTIONS(1691),
    [anon_sym___thread] = ACTIONS(1691),
    [anon_sym_const] = ACTIONS(1691),
    [anon_sym_constexpr] = ACTIONS(1691),
    [anon_sym_volatile] = ACTIONS(1691),
    [anon_sym_restrict] = ACTIONS(1691),
    [anon_sym___restrict__] = ACTIONS(1691),
    [anon_sym__Atomic] = ACTIONS(1691),
    [anon_sym__Noreturn] = ACTIONS(1691),
    [anon_sym_noreturn] = ACTIONS(1691),
    [sym_primitive_type] = ACTIONS(1691),
    [anon_sym_enum] = ACTIONS(1691),
    [anon_sym_struct] = ACTIONS(1691),
    [anon_sym_union] = ACTIONS(1691),
    [anon_sym_if] = ACTIONS(1691),
    [anon_sym_switch] = ACTIONS(1691),
    [anon_sym_case] = ACTIONS(1691),
    [anon_sym_default] = ACTIONS(1691),
    [anon_sym_while] = ACTIONS(1691),
    [anon_sym_do] = ACTIONS(1691),
    [anon_sym_for] = ACTIONS(1691),
    [anon_sym_return] = ACTIONS(1691),
    [anon_sym_break] = ACTIONS(1691),
    [anon_sym_continue] = ACTIONS(1691),
    [anon_sym_goto] = ACTIONS(1691),
    [anon_sym___try] = ACTIONS(1691),
    [anon_sym___leave] = ACTIONS(1691),
    [anon_sym_DASH_DASH] = ACTIONS(1693),
    [anon_sym_PLUS_PLUS] = ACTIONS(1693),
    [anon_sym_sizeof] = ACTIONS(1691),
    [anon_sym___alignof__] = ACTIONS(1691),
    [anon_sym___alignof] = ACTIONS(1691),
    [anon_sym__alignof] = ACTIONS(1691),
    [anon_sym_alignof] = ACTIONS(1691),
    [anon_sym__Alignof] = ACTIONS(1691),
    [anon_sym_offsetof] = ACTIONS(1691),
    [anon_sym__Generic] = ACTIONS(1691),
    [anon_sym_asm] = ACTIONS(1691),
    [anon_sym___asm__] = ACTIONS(1691),
    [sym_number_literal] = ACTIONS(1693),
    [anon_sym_L_SQUOTE] = ACTIONS(1693),
    [anon_sym_u_SQUOTE] = ACTIONS(1693),
    [anon_sym_U_SQUOTE] = ACTIONS(1693),
    [anon_sym_u8_SQUOTE] = ACTIONS(1693),
    [anon_sym_SQUOTE] = ACTIONS(1693),
    [anon_sym_L_DQUOTE] = ACTIONS(1693),
    [anon_sym_u_DQUOTE] = ACTIONS(1693),
    [anon_sym_U_DQUOTE] = ACTIONS(1693),
    [anon_sym_u8_DQUOTE] = ACTIONS(1693),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [sym_true] = ACTIONS(1691),
    [sym_false] = ACTIONS(1691),
    [anon_sym_NULL] = ACTIONS(1691),
    [anon_sym_nullptr] = ACTIONS(1691),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1691),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1691),
    [anon_sym_hitAttributeEXT] = ACTIONS(1691),
    [anon_sym_callableDataEXT] = ACTIONS(1691),
    [anon_sym_callableDataInEXT] = ACTIONS(1691),
    [anon_sym_shaderRecordEXT] = ACTIONS(1691),
    [anon_sym_rayPayloadNV] = ACTIONS(1691),
    [anon_sym_rayPayloadInNV] = ACTIONS(1691),
    [anon_sym_hitAttributeNV] = ACTIONS(1691),
    [anon_sym_callableDataNV] = ACTIONS(1691),
    [anon_sym_callableDataInNV] = ACTIONS(1691),
    [anon_sym_shaderRecordNV] = ACTIONS(1691),
    [anon_sym_layout] = ACTIONS(1691),
  },
  [273] = {
    [sym_identifier] = ACTIONS(1659),
    [aux_sym_preproc_include_token1] = ACTIONS(1659),
    [aux_sym_preproc_def_token1] = ACTIONS(1659),
    [aux_sym_preproc_if_token1] = ACTIONS(1659),
    [aux_sym_preproc_if_token2] = ACTIONS(1659),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1659),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1659),
    [aux_sym_preproc_else_token1] = ACTIONS(1659),
    [aux_sym_preproc_elif_token1] = ACTIONS(1659),
    [sym_preproc_directive] = ACTIONS(1659),
    [anon_sym_LPAREN2] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1661),
    [anon_sym_TILDE] = ACTIONS(1661),
    [anon_sym_DASH] = ACTIONS(1659),
    [anon_sym_PLUS] = ACTIONS(1659),
    [anon_sym_STAR] = ACTIONS(1661),
    [anon_sym_AMP] = ACTIONS(1661),
    [anon_sym_subroutine] = ACTIONS(1659),
    [anon_sym_invariant] = ACTIONS(1659),
    [anon_sym_precise] = ACTIONS(1659),
    [anon_sym_SEMI] = ACTIONS(1661),
    [anon_sym_in] = ACTIONS(1659),
    [anon_sym_out] = ACTIONS(1659),
    [anon_sym_inout] = ACTIONS(1659),
    [anon_sym_uniform] = ACTIONS(1659),
    [anon_sym_shared] = ACTIONS(1659),
    [anon_sym_attribute] = ACTIONS(1659),
    [anon_sym_varying] = ACTIONS(1659),
    [anon_sym_buffer] = ACTIONS(1659),
    [anon_sym_coherent] = ACTIONS(1659),
    [anon_sym_readonly] = ACTIONS(1659),
    [anon_sym_writeonly] = ACTIONS(1659),
    [anon_sym_precision] = ACTIONS(1659),
    [anon_sym_highp] = ACTIONS(1659),
    [anon_sym_mediump] = ACTIONS(1659),
    [anon_sym_lowp] = ACTIONS(1659),
    [anon_sym_centroid] = ACTIONS(1659),
    [anon_sym_sample] = ACTIONS(1659),
    [anon_sym_patch] = ACTIONS(1659),
    [anon_sym_smooth] = ACTIONS(1659),
    [anon_sym_flat] = ACTIONS(1659),
    [anon_sym_noperspective] = ACTIONS(1659),
    [anon_sym___extension__] = ACTIONS(1659),
    [anon_sym_typedef] = ACTIONS(1659),
    [anon_sym_extern] = ACTIONS(1659),
    [anon_sym___attribute__] = ACTIONS(1659),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1661),
    [anon_sym___declspec] = ACTIONS(1659),
    [anon_sym___cdecl] = ACTIONS(1659),
    [anon_sym___clrcall] = ACTIONS(1659),
    [anon_sym___stdcall] = ACTIONS(1659),
    [anon_sym___fastcall] = ACTIONS(1659),
    [anon_sym___thiscall] = ACTIONS(1659),
    [anon_sym___vectorcall] = ACTIONS(1659),
    [anon_sym_LBRACE] = ACTIONS(1661),
    [anon_sym_signed] = ACTIONS(1659),
    [anon_sym_unsigned] = ACTIONS(1659),
    [anon_sym_long] = ACTIONS(1659),
    [anon_sym_short] = ACTIONS(1659),
    [anon_sym_static] = ACTIONS(1659),
    [anon_sym_auto] = ACTIONS(1659),
    [anon_sym_register] = ACTIONS(1659),
    [anon_sym_inline] = ACTIONS(1659),
    [anon_sym___inline] = ACTIONS(1659),
    [anon_sym___inline__] = ACTIONS(1659),
    [anon_sym___forceinline] = ACTIONS(1659),
    [anon_sym_thread_local] = ACTIONS(1659),
    [anon_sym___thread] = ACTIONS(1659),
    [anon_sym_const] = ACTIONS(1659),
    [anon_sym_constexpr] = ACTIONS(1659),
    [anon_sym_volatile] = ACTIONS(1659),
    [anon_sym_restrict] = ACTIONS(1659),
    [anon_sym___restrict__] = ACTIONS(1659),
    [anon_sym__Atomic] = ACTIONS(1659),
    [anon_sym__Noreturn] = ACTIONS(1659),
    [anon_sym_noreturn] = ACTIONS(1659),
    [sym_primitive_type] = ACTIONS(1659),
    [anon_sym_enum] = ACTIONS(1659),
    [anon_sym_struct] = ACTIONS(1659),
    [anon_sym_union] = ACTIONS(1659),
    [anon_sym_if] = ACTIONS(1659),
    [anon_sym_switch] = ACTIONS(1659),
    [anon_sym_case] = ACTIONS(1659),
    [anon_sym_default] = ACTIONS(1659),
    [anon_sym_while] = ACTIONS(1659),
    [anon_sym_do] = ACTIONS(1659),
    [anon_sym_for] = ACTIONS(1659),
    [anon_sym_return] = ACTIONS(1659),
    [anon_sym_break] = ACTIONS(1659),
    [anon_sym_continue] = ACTIONS(1659),
    [anon_sym_goto] = ACTIONS(1659),
    [anon_sym___try] = ACTIONS(1659),
    [anon_sym___leave] = ACTIONS(1659),
    [anon_sym_DASH_DASH] = ACTIONS(1661),
    [anon_sym_PLUS_PLUS] = ACTIONS(1661),
    [anon_sym_sizeof] = ACTIONS(1659),
    [anon_sym___alignof__] = ACTIONS(1659),
    [anon_sym___alignof] = ACTIONS(1659),
    [anon_sym__alignof] = ACTIONS(1659),
    [anon_sym_alignof] = ACTIONS(1659),
    [anon_sym__Alignof] = ACTIONS(1659),
    [anon_sym_offsetof] = ACTIONS(1659),
    [anon_sym__Generic] = ACTIONS(1659),
    [anon_sym_asm] = ACTIONS(1659),
    [anon_sym___asm__] = ACTIONS(1659),
    [sym_number_literal] = ACTIONS(1661),
    [anon_sym_L_SQUOTE] = ACTIONS(1661),
    [anon_sym_u_SQUOTE] = ACTIONS(1661),
    [anon_sym_U_SQUOTE] = ACTIONS(1661),
    [anon_sym_u8_SQUOTE] = ACTIONS(1661),
    [anon_sym_SQUOTE] = ACTIONS(1661),
    [anon_sym_L_DQUOTE] = ACTIONS(1661),
    [anon_sym_u_DQUOTE] = ACTIONS(1661),
    [anon_sym_U_DQUOTE] = ACTIONS(1661),
    [anon_sym_u8_DQUOTE] = ACTIONS(1661),
    [anon_sym_DQUOTE] = ACTIONS(1661),
    [sym_true] = ACTIONS(1659),
    [sym_false] = ACTIONS(1659),
    [anon_sym_NULL] = ACTIONS(1659),
    [anon_sym_nullptr] = ACTIONS(1659),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1659),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1659),
    [anon_sym_hitAttributeEXT] = ACTIONS(1659),
    [anon_sym_callableDataEXT] = ACTIONS(1659),
    [anon_sym_callableDataInEXT] = ACTIONS(1659),
    [anon_sym_shaderRecordEXT] = ACTIONS(1659),
    [anon_sym_rayPayloadNV] = ACTIONS(1659),
    [anon_sym_rayPayloadInNV] = ACTIONS(1659),
    [anon_sym_hitAttributeNV] = ACTIONS(1659),
    [anon_sym_callableDataNV] = ACTIONS(1659),
    [anon_sym_callableDataInNV] = ACTIONS(1659),
    [anon_sym_shaderRecordNV] = ACTIONS(1659),
    [anon_sym_layout] = ACTIONS(1659),
  },
  [274] = {
    [sym_identifier] = ACTIONS(1655),
    [aux_sym_preproc_include_token1] = ACTIONS(1655),
    [aux_sym_preproc_def_token1] = ACTIONS(1655),
    [aux_sym_preproc_if_token1] = ACTIONS(1655),
    [aux_sym_preproc_if_token2] = ACTIONS(1655),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1655),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1655),
    [aux_sym_preproc_else_token1] = ACTIONS(1655),
    [aux_sym_preproc_elif_token1] = ACTIONS(1655),
    [sym_preproc_directive] = ACTIONS(1655),
    [anon_sym_LPAREN2] = ACTIONS(1657),
    [anon_sym_BANG] = ACTIONS(1657),
    [anon_sym_TILDE] = ACTIONS(1657),
    [anon_sym_DASH] = ACTIONS(1655),
    [anon_sym_PLUS] = ACTIONS(1655),
    [anon_sym_STAR] = ACTIONS(1657),
    [anon_sym_AMP] = ACTIONS(1657),
    [anon_sym_subroutine] = ACTIONS(1655),
    [anon_sym_invariant] = ACTIONS(1655),
    [anon_sym_precise] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(1657),
    [anon_sym_in] = ACTIONS(1655),
    [anon_sym_out] = ACTIONS(1655),
    [anon_sym_inout] = ACTIONS(1655),
    [anon_sym_uniform] = ACTIONS(1655),
    [anon_sym_shared] = ACTIONS(1655),
    [anon_sym_attribute] = ACTIONS(1655),
    [anon_sym_varying] = ACTIONS(1655),
    [anon_sym_buffer] = ACTIONS(1655),
    [anon_sym_coherent] = ACTIONS(1655),
    [anon_sym_readonly] = ACTIONS(1655),
    [anon_sym_writeonly] = ACTIONS(1655),
    [anon_sym_precision] = ACTIONS(1655),
    [anon_sym_highp] = ACTIONS(1655),
    [anon_sym_mediump] = ACTIONS(1655),
    [anon_sym_lowp] = ACTIONS(1655),
    [anon_sym_centroid] = ACTIONS(1655),
    [anon_sym_sample] = ACTIONS(1655),
    [anon_sym_patch] = ACTIONS(1655),
    [anon_sym_smooth] = ACTIONS(1655),
    [anon_sym_flat] = ACTIONS(1655),
    [anon_sym_noperspective] = ACTIONS(1655),
    [anon_sym___extension__] = ACTIONS(1655),
    [anon_sym_typedef] = ACTIONS(1655),
    [anon_sym_extern] = ACTIONS(1655),
    [anon_sym___attribute__] = ACTIONS(1655),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1657),
    [anon_sym___declspec] = ACTIONS(1655),
    [anon_sym___cdecl] = ACTIONS(1655),
    [anon_sym___clrcall] = ACTIONS(1655),
    [anon_sym___stdcall] = ACTIONS(1655),
    [anon_sym___fastcall] = ACTIONS(1655),
    [anon_sym___thiscall] = ACTIONS(1655),
    [anon_sym___vectorcall] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1657),
    [anon_sym_signed] = ACTIONS(1655),
    [anon_sym_unsigned] = ACTIONS(1655),
    [anon_sym_long] = ACTIONS(1655),
    [anon_sym_short] = ACTIONS(1655),
    [anon_sym_static] = ACTIONS(1655),
    [anon_sym_auto] = ACTIONS(1655),
    [anon_sym_register] = ACTIONS(1655),
    [anon_sym_inline] = ACTIONS(1655),
    [anon_sym___inline] = ACTIONS(1655),
    [anon_sym___inline__] = ACTIONS(1655),
    [anon_sym___forceinline] = ACTIONS(1655),
    [anon_sym_thread_local] = ACTIONS(1655),
    [anon_sym___thread] = ACTIONS(1655),
    [anon_sym_const] = ACTIONS(1655),
    [anon_sym_constexpr] = ACTIONS(1655),
    [anon_sym_volatile] = ACTIONS(1655),
    [anon_sym_restrict] = ACTIONS(1655),
    [anon_sym___restrict__] = ACTIONS(1655),
    [anon_sym__Atomic] = ACTIONS(1655),
    [anon_sym__Noreturn] = ACTIONS(1655),
    [anon_sym_noreturn] = ACTIONS(1655),
    [sym_primitive_type] = ACTIONS(1655),
    [anon_sym_enum] = ACTIONS(1655),
    [anon_sym_struct] = ACTIONS(1655),
    [anon_sym_union] = ACTIONS(1655),
    [anon_sym_if] = ACTIONS(1655),
    [anon_sym_switch] = ACTIONS(1655),
    [anon_sym_case] = ACTIONS(1655),
    [anon_sym_default] = ACTIONS(1655),
    [anon_sym_while] = ACTIONS(1655),
    [anon_sym_do] = ACTIONS(1655),
    [anon_sym_for] = ACTIONS(1655),
    [anon_sym_return] = ACTIONS(1655),
    [anon_sym_break] = ACTIONS(1655),
    [anon_sym_continue] = ACTIONS(1655),
    [anon_sym_goto] = ACTIONS(1655),
    [anon_sym___try] = ACTIONS(1655),
    [anon_sym___leave] = ACTIONS(1655),
    [anon_sym_DASH_DASH] = ACTIONS(1657),
    [anon_sym_PLUS_PLUS] = ACTIONS(1657),
    [anon_sym_sizeof] = ACTIONS(1655),
    [anon_sym___alignof__] = ACTIONS(1655),
    [anon_sym___alignof] = ACTIONS(1655),
    [anon_sym__alignof] = ACTIONS(1655),
    [anon_sym_alignof] = ACTIONS(1655),
    [anon_sym__Alignof] = ACTIONS(1655),
    [anon_sym_offsetof] = ACTIONS(1655),
    [anon_sym__Generic] = ACTIONS(1655),
    [anon_sym_asm] = ACTIONS(1655),
    [anon_sym___asm__] = ACTIONS(1655),
    [sym_number_literal] = ACTIONS(1657),
    [anon_sym_L_SQUOTE] = ACTIONS(1657),
    [anon_sym_u_SQUOTE] = ACTIONS(1657),
    [anon_sym_U_SQUOTE] = ACTIONS(1657),
    [anon_sym_u8_SQUOTE] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1657),
    [anon_sym_L_DQUOTE] = ACTIONS(1657),
    [anon_sym_u_DQUOTE] = ACTIONS(1657),
    [anon_sym_U_DQUOTE] = ACTIONS(1657),
    [anon_sym_u8_DQUOTE] = ACTIONS(1657),
    [anon_sym_DQUOTE] = ACTIONS(1657),
    [sym_true] = ACTIONS(1655),
    [sym_false] = ACTIONS(1655),
    [anon_sym_NULL] = ACTIONS(1655),
    [anon_sym_nullptr] = ACTIONS(1655),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1655),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1655),
    [anon_sym_hitAttributeEXT] = ACTIONS(1655),
    [anon_sym_callableDataEXT] = ACTIONS(1655),
    [anon_sym_callableDataInEXT] = ACTIONS(1655),
    [anon_sym_shaderRecordEXT] = ACTIONS(1655),
    [anon_sym_rayPayloadNV] = ACTIONS(1655),
    [anon_sym_rayPayloadInNV] = ACTIONS(1655),
    [anon_sym_hitAttributeNV] = ACTIONS(1655),
    [anon_sym_callableDataNV] = ACTIONS(1655),
    [anon_sym_callableDataInNV] = ACTIONS(1655),
    [anon_sym_shaderRecordNV] = ACTIONS(1655),
    [anon_sym_layout] = ACTIONS(1655),
  },
  [275] = {
    [sym_else_clause] = STATE(356),
    [sym_identifier] = ACTIONS(1423),
    [aux_sym_preproc_include_token1] = ACTIONS(1423),
    [aux_sym_preproc_def_token1] = ACTIONS(1423),
    [aux_sym_preproc_if_token1] = ACTIONS(1423),
    [aux_sym_preproc_if_token2] = ACTIONS(1423),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1423),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1423),
    [sym_preproc_directive] = ACTIONS(1423),
    [anon_sym_LPAREN2] = ACTIONS(1425),
    [anon_sym_BANG] = ACTIONS(1425),
    [anon_sym_TILDE] = ACTIONS(1425),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1425),
    [anon_sym_AMP] = ACTIONS(1425),
    [anon_sym_subroutine] = ACTIONS(1423),
    [anon_sym_invariant] = ACTIONS(1423),
    [anon_sym_precise] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1425),
    [anon_sym_in] = ACTIONS(1423),
    [anon_sym_out] = ACTIONS(1423),
    [anon_sym_inout] = ACTIONS(1423),
    [anon_sym_uniform] = ACTIONS(1423),
    [anon_sym_shared] = ACTIONS(1423),
    [anon_sym_attribute] = ACTIONS(1423),
    [anon_sym_varying] = ACTIONS(1423),
    [anon_sym_buffer] = ACTIONS(1423),
    [anon_sym_coherent] = ACTIONS(1423),
    [anon_sym_readonly] = ACTIONS(1423),
    [anon_sym_writeonly] = ACTIONS(1423),
    [anon_sym_precision] = ACTIONS(1423),
    [anon_sym_highp] = ACTIONS(1423),
    [anon_sym_mediump] = ACTIONS(1423),
    [anon_sym_lowp] = ACTIONS(1423),
    [anon_sym_centroid] = ACTIONS(1423),
    [anon_sym_sample] = ACTIONS(1423),
    [anon_sym_patch] = ACTIONS(1423),
    [anon_sym_smooth] = ACTIONS(1423),
    [anon_sym_flat] = ACTIONS(1423),
    [anon_sym_noperspective] = ACTIONS(1423),
    [anon_sym___extension__] = ACTIONS(1423),
    [anon_sym_typedef] = ACTIONS(1423),
    [anon_sym_extern] = ACTIONS(1423),
    [anon_sym___attribute__] = ACTIONS(1423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1425),
    [anon_sym___declspec] = ACTIONS(1423),
    [anon_sym___cdecl] = ACTIONS(1423),
    [anon_sym___clrcall] = ACTIONS(1423),
    [anon_sym___stdcall] = ACTIONS(1423),
    [anon_sym___fastcall] = ACTIONS(1423),
    [anon_sym___thiscall] = ACTIONS(1423),
    [anon_sym___vectorcall] = ACTIONS(1423),
    [anon_sym_LBRACE] = ACTIONS(1425),
    [anon_sym_signed] = ACTIONS(1423),
    [anon_sym_unsigned] = ACTIONS(1423),
    [anon_sym_long] = ACTIONS(1423),
    [anon_sym_short] = ACTIONS(1423),
    [anon_sym_static] = ACTIONS(1423),
    [anon_sym_auto] = ACTIONS(1423),
    [anon_sym_register] = ACTIONS(1423),
    [anon_sym_inline] = ACTIONS(1423),
    [anon_sym___inline] = ACTIONS(1423),
    [anon_sym___inline__] = ACTIONS(1423),
    [anon_sym___forceinline] = ACTIONS(1423),
    [anon_sym_thread_local] = ACTIONS(1423),
    [anon_sym___thread] = ACTIONS(1423),
    [anon_sym_const] = ACTIONS(1423),
    [anon_sym_constexpr] = ACTIONS(1423),
    [anon_sym_volatile] = ACTIONS(1423),
    [anon_sym_restrict] = ACTIONS(1423),
    [anon_sym___restrict__] = ACTIONS(1423),
    [anon_sym__Atomic] = ACTIONS(1423),
    [anon_sym__Noreturn] = ACTIONS(1423),
    [anon_sym_noreturn] = ACTIONS(1423),
    [sym_primitive_type] = ACTIONS(1423),
    [anon_sym_enum] = ACTIONS(1423),
    [anon_sym_struct] = ACTIONS(1423),
    [anon_sym_union] = ACTIONS(1423),
    [anon_sym_if] = ACTIONS(1423),
    [anon_sym_else] = ACTIONS(1727),
    [anon_sym_switch] = ACTIONS(1423),
    [anon_sym_case] = ACTIONS(1423),
    [anon_sym_default] = ACTIONS(1423),
    [anon_sym_while] = ACTIONS(1423),
    [anon_sym_do] = ACTIONS(1423),
    [anon_sym_for] = ACTIONS(1423),
    [anon_sym_return] = ACTIONS(1423),
    [anon_sym_break] = ACTIONS(1423),
    [anon_sym_continue] = ACTIONS(1423),
    [anon_sym_goto] = ACTIONS(1423),
    [anon_sym___try] = ACTIONS(1423),
    [anon_sym___leave] = ACTIONS(1423),
    [anon_sym_DASH_DASH] = ACTIONS(1425),
    [anon_sym_PLUS_PLUS] = ACTIONS(1425),
    [anon_sym_sizeof] = ACTIONS(1423),
    [anon_sym___alignof__] = ACTIONS(1423),
    [anon_sym___alignof] = ACTIONS(1423),
    [anon_sym__alignof] = ACTIONS(1423),
    [anon_sym_alignof] = ACTIONS(1423),
    [anon_sym__Alignof] = ACTIONS(1423),
    [anon_sym_offsetof] = ACTIONS(1423),
    [anon_sym__Generic] = ACTIONS(1423),
    [anon_sym_asm] = ACTIONS(1423),
    [anon_sym___asm__] = ACTIONS(1423),
    [sym_number_literal] = ACTIONS(1425),
    [anon_sym_L_SQUOTE] = ACTIONS(1425),
    [anon_sym_u_SQUOTE] = ACTIONS(1425),
    [anon_sym_U_SQUOTE] = ACTIONS(1425),
    [anon_sym_u8_SQUOTE] = ACTIONS(1425),
    [anon_sym_SQUOTE] = ACTIONS(1425),
    [anon_sym_L_DQUOTE] = ACTIONS(1425),
    [anon_sym_u_DQUOTE] = ACTIONS(1425),
    [anon_sym_U_DQUOTE] = ACTIONS(1425),
    [anon_sym_u8_DQUOTE] = ACTIONS(1425),
    [anon_sym_DQUOTE] = ACTIONS(1425),
    [sym_true] = ACTIONS(1423),
    [sym_false] = ACTIONS(1423),
    [anon_sym_NULL] = ACTIONS(1423),
    [anon_sym_nullptr] = ACTIONS(1423),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1423),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1423),
    [anon_sym_hitAttributeEXT] = ACTIONS(1423),
    [anon_sym_callableDataEXT] = ACTIONS(1423),
    [anon_sym_callableDataInEXT] = ACTIONS(1423),
    [anon_sym_shaderRecordEXT] = ACTIONS(1423),
    [anon_sym_rayPayloadNV] = ACTIONS(1423),
    [anon_sym_rayPayloadInNV] = ACTIONS(1423),
    [anon_sym_hitAttributeNV] = ACTIONS(1423),
    [anon_sym_callableDataNV] = ACTIONS(1423),
    [anon_sym_callableDataInNV] = ACTIONS(1423),
    [anon_sym_shaderRecordNV] = ACTIONS(1423),
    [anon_sym_layout] = ACTIONS(1423),
  },
  [276] = {
    [sym_identifier] = ACTIONS(1655),
    [aux_sym_preproc_include_token1] = ACTIONS(1655),
    [aux_sym_preproc_def_token1] = ACTIONS(1655),
    [aux_sym_preproc_if_token1] = ACTIONS(1655),
    [aux_sym_preproc_if_token2] = ACTIONS(1655),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1655),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1655),
    [aux_sym_preproc_else_token1] = ACTIONS(1655),
    [aux_sym_preproc_elif_token1] = ACTIONS(1655),
    [sym_preproc_directive] = ACTIONS(1655),
    [anon_sym_LPAREN2] = ACTIONS(1657),
    [anon_sym_BANG] = ACTIONS(1657),
    [anon_sym_TILDE] = ACTIONS(1657),
    [anon_sym_DASH] = ACTIONS(1655),
    [anon_sym_PLUS] = ACTIONS(1655),
    [anon_sym_STAR] = ACTIONS(1657),
    [anon_sym_AMP] = ACTIONS(1657),
    [anon_sym_subroutine] = ACTIONS(1655),
    [anon_sym_invariant] = ACTIONS(1655),
    [anon_sym_precise] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(1657),
    [anon_sym_in] = ACTIONS(1655),
    [anon_sym_out] = ACTIONS(1655),
    [anon_sym_inout] = ACTIONS(1655),
    [anon_sym_uniform] = ACTIONS(1655),
    [anon_sym_shared] = ACTIONS(1655),
    [anon_sym_attribute] = ACTIONS(1655),
    [anon_sym_varying] = ACTIONS(1655),
    [anon_sym_buffer] = ACTIONS(1655),
    [anon_sym_coherent] = ACTIONS(1655),
    [anon_sym_readonly] = ACTIONS(1655),
    [anon_sym_writeonly] = ACTIONS(1655),
    [anon_sym_precision] = ACTIONS(1655),
    [anon_sym_highp] = ACTIONS(1655),
    [anon_sym_mediump] = ACTIONS(1655),
    [anon_sym_lowp] = ACTIONS(1655),
    [anon_sym_centroid] = ACTIONS(1655),
    [anon_sym_sample] = ACTIONS(1655),
    [anon_sym_patch] = ACTIONS(1655),
    [anon_sym_smooth] = ACTIONS(1655),
    [anon_sym_flat] = ACTIONS(1655),
    [anon_sym_noperspective] = ACTIONS(1655),
    [anon_sym___extension__] = ACTIONS(1655),
    [anon_sym_typedef] = ACTIONS(1655),
    [anon_sym_extern] = ACTIONS(1655),
    [anon_sym___attribute__] = ACTIONS(1655),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1657),
    [anon_sym___declspec] = ACTIONS(1655),
    [anon_sym___cdecl] = ACTIONS(1655),
    [anon_sym___clrcall] = ACTIONS(1655),
    [anon_sym___stdcall] = ACTIONS(1655),
    [anon_sym___fastcall] = ACTIONS(1655),
    [anon_sym___thiscall] = ACTIONS(1655),
    [anon_sym___vectorcall] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1657),
    [anon_sym_signed] = ACTIONS(1655),
    [anon_sym_unsigned] = ACTIONS(1655),
    [anon_sym_long] = ACTIONS(1655),
    [anon_sym_short] = ACTIONS(1655),
    [anon_sym_static] = ACTIONS(1655),
    [anon_sym_auto] = ACTIONS(1655),
    [anon_sym_register] = ACTIONS(1655),
    [anon_sym_inline] = ACTIONS(1655),
    [anon_sym___inline] = ACTIONS(1655),
    [anon_sym___inline__] = ACTIONS(1655),
    [anon_sym___forceinline] = ACTIONS(1655),
    [anon_sym_thread_local] = ACTIONS(1655),
    [anon_sym___thread] = ACTIONS(1655),
    [anon_sym_const] = ACTIONS(1655),
    [anon_sym_constexpr] = ACTIONS(1655),
    [anon_sym_volatile] = ACTIONS(1655),
    [anon_sym_restrict] = ACTIONS(1655),
    [anon_sym___restrict__] = ACTIONS(1655),
    [anon_sym__Atomic] = ACTIONS(1655),
    [anon_sym__Noreturn] = ACTIONS(1655),
    [anon_sym_noreturn] = ACTIONS(1655),
    [sym_primitive_type] = ACTIONS(1655),
    [anon_sym_enum] = ACTIONS(1655),
    [anon_sym_struct] = ACTIONS(1655),
    [anon_sym_union] = ACTIONS(1655),
    [anon_sym_if] = ACTIONS(1655),
    [anon_sym_switch] = ACTIONS(1655),
    [anon_sym_case] = ACTIONS(1655),
    [anon_sym_default] = ACTIONS(1655),
    [anon_sym_while] = ACTIONS(1655),
    [anon_sym_do] = ACTIONS(1655),
    [anon_sym_for] = ACTIONS(1655),
    [anon_sym_return] = ACTIONS(1655),
    [anon_sym_break] = ACTIONS(1655),
    [anon_sym_continue] = ACTIONS(1655),
    [anon_sym_goto] = ACTIONS(1655),
    [anon_sym___try] = ACTIONS(1655),
    [anon_sym___leave] = ACTIONS(1655),
    [anon_sym_DASH_DASH] = ACTIONS(1657),
    [anon_sym_PLUS_PLUS] = ACTIONS(1657),
    [anon_sym_sizeof] = ACTIONS(1655),
    [anon_sym___alignof__] = ACTIONS(1655),
    [anon_sym___alignof] = ACTIONS(1655),
    [anon_sym__alignof] = ACTIONS(1655),
    [anon_sym_alignof] = ACTIONS(1655),
    [anon_sym__Alignof] = ACTIONS(1655),
    [anon_sym_offsetof] = ACTIONS(1655),
    [anon_sym__Generic] = ACTIONS(1655),
    [anon_sym_asm] = ACTIONS(1655),
    [anon_sym___asm__] = ACTIONS(1655),
    [sym_number_literal] = ACTIONS(1657),
    [anon_sym_L_SQUOTE] = ACTIONS(1657),
    [anon_sym_u_SQUOTE] = ACTIONS(1657),
    [anon_sym_U_SQUOTE] = ACTIONS(1657),
    [anon_sym_u8_SQUOTE] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1657),
    [anon_sym_L_DQUOTE] = ACTIONS(1657),
    [anon_sym_u_DQUOTE] = ACTIONS(1657),
    [anon_sym_U_DQUOTE] = ACTIONS(1657),
    [anon_sym_u8_DQUOTE] = ACTIONS(1657),
    [anon_sym_DQUOTE] = ACTIONS(1657),
    [sym_true] = ACTIONS(1655),
    [sym_false] = ACTIONS(1655),
    [anon_sym_NULL] = ACTIONS(1655),
    [anon_sym_nullptr] = ACTIONS(1655),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1655),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1655),
    [anon_sym_hitAttributeEXT] = ACTIONS(1655),
    [anon_sym_callableDataEXT] = ACTIONS(1655),
    [anon_sym_callableDataInEXT] = ACTIONS(1655),
    [anon_sym_shaderRecordEXT] = ACTIONS(1655),
    [anon_sym_rayPayloadNV] = ACTIONS(1655),
    [anon_sym_rayPayloadInNV] = ACTIONS(1655),
    [anon_sym_hitAttributeNV] = ACTIONS(1655),
    [anon_sym_callableDataNV] = ACTIONS(1655),
    [anon_sym_callableDataInNV] = ACTIONS(1655),
    [anon_sym_shaderRecordNV] = ACTIONS(1655),
    [anon_sym_layout] = ACTIONS(1655),
  },
  [277] = {
    [sym_identifier] = ACTIONS(1647),
    [aux_sym_preproc_include_token1] = ACTIONS(1647),
    [aux_sym_preproc_def_token1] = ACTIONS(1647),
    [aux_sym_preproc_if_token1] = ACTIONS(1647),
    [aux_sym_preproc_if_token2] = ACTIONS(1647),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1647),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1647),
    [aux_sym_preproc_else_token1] = ACTIONS(1647),
    [aux_sym_preproc_elif_token1] = ACTIONS(1647),
    [sym_preproc_directive] = ACTIONS(1647),
    [anon_sym_LPAREN2] = ACTIONS(1649),
    [anon_sym_BANG] = ACTIONS(1649),
    [anon_sym_TILDE] = ACTIONS(1649),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_STAR] = ACTIONS(1649),
    [anon_sym_AMP] = ACTIONS(1649),
    [anon_sym_subroutine] = ACTIONS(1647),
    [anon_sym_invariant] = ACTIONS(1647),
    [anon_sym_precise] = ACTIONS(1647),
    [anon_sym_SEMI] = ACTIONS(1649),
    [anon_sym_in] = ACTIONS(1647),
    [anon_sym_out] = ACTIONS(1647),
    [anon_sym_inout] = ACTIONS(1647),
    [anon_sym_uniform] = ACTIONS(1647),
    [anon_sym_shared] = ACTIONS(1647),
    [anon_sym_attribute] = ACTIONS(1647),
    [anon_sym_varying] = ACTIONS(1647),
    [anon_sym_buffer] = ACTIONS(1647),
    [anon_sym_coherent] = ACTIONS(1647),
    [anon_sym_readonly] = ACTIONS(1647),
    [anon_sym_writeonly] = ACTIONS(1647),
    [anon_sym_precision] = ACTIONS(1647),
    [anon_sym_highp] = ACTIONS(1647),
    [anon_sym_mediump] = ACTIONS(1647),
    [anon_sym_lowp] = ACTIONS(1647),
    [anon_sym_centroid] = ACTIONS(1647),
    [anon_sym_sample] = ACTIONS(1647),
    [anon_sym_patch] = ACTIONS(1647),
    [anon_sym_smooth] = ACTIONS(1647),
    [anon_sym_flat] = ACTIONS(1647),
    [anon_sym_noperspective] = ACTIONS(1647),
    [anon_sym___extension__] = ACTIONS(1647),
    [anon_sym_typedef] = ACTIONS(1647),
    [anon_sym_extern] = ACTIONS(1647),
    [anon_sym___attribute__] = ACTIONS(1647),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1649),
    [anon_sym___declspec] = ACTIONS(1647),
    [anon_sym___cdecl] = ACTIONS(1647),
    [anon_sym___clrcall] = ACTIONS(1647),
    [anon_sym___stdcall] = ACTIONS(1647),
    [anon_sym___fastcall] = ACTIONS(1647),
    [anon_sym___thiscall] = ACTIONS(1647),
    [anon_sym___vectorcall] = ACTIONS(1647),
    [anon_sym_LBRACE] = ACTIONS(1649),
    [anon_sym_signed] = ACTIONS(1647),
    [anon_sym_unsigned] = ACTIONS(1647),
    [anon_sym_long] = ACTIONS(1647),
    [anon_sym_short] = ACTIONS(1647),
    [anon_sym_static] = ACTIONS(1647),
    [anon_sym_auto] = ACTIONS(1647),
    [anon_sym_register] = ACTIONS(1647),
    [anon_sym_inline] = ACTIONS(1647),
    [anon_sym___inline] = ACTIONS(1647),
    [anon_sym___inline__] = ACTIONS(1647),
    [anon_sym___forceinline] = ACTIONS(1647),
    [anon_sym_thread_local] = ACTIONS(1647),
    [anon_sym___thread] = ACTIONS(1647),
    [anon_sym_const] = ACTIONS(1647),
    [anon_sym_constexpr] = ACTIONS(1647),
    [anon_sym_volatile] = ACTIONS(1647),
    [anon_sym_restrict] = ACTIONS(1647),
    [anon_sym___restrict__] = ACTIONS(1647),
    [anon_sym__Atomic] = ACTIONS(1647),
    [anon_sym__Noreturn] = ACTIONS(1647),
    [anon_sym_noreturn] = ACTIONS(1647),
    [sym_primitive_type] = ACTIONS(1647),
    [anon_sym_enum] = ACTIONS(1647),
    [anon_sym_struct] = ACTIONS(1647),
    [anon_sym_union] = ACTIONS(1647),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_switch] = ACTIONS(1647),
    [anon_sym_case] = ACTIONS(1647),
    [anon_sym_default] = ACTIONS(1647),
    [anon_sym_while] = ACTIONS(1647),
    [anon_sym_do] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(1647),
    [anon_sym_return] = ACTIONS(1647),
    [anon_sym_break] = ACTIONS(1647),
    [anon_sym_continue] = ACTIONS(1647),
    [anon_sym_goto] = ACTIONS(1647),
    [anon_sym___try] = ACTIONS(1647),
    [anon_sym___leave] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1649),
    [anon_sym_PLUS_PLUS] = ACTIONS(1649),
    [anon_sym_sizeof] = ACTIONS(1647),
    [anon_sym___alignof__] = ACTIONS(1647),
    [anon_sym___alignof] = ACTIONS(1647),
    [anon_sym__alignof] = ACTIONS(1647),
    [anon_sym_alignof] = ACTIONS(1647),
    [anon_sym__Alignof] = ACTIONS(1647),
    [anon_sym_offsetof] = ACTIONS(1647),
    [anon_sym__Generic] = ACTIONS(1647),
    [anon_sym_asm] = ACTIONS(1647),
    [anon_sym___asm__] = ACTIONS(1647),
    [sym_number_literal] = ACTIONS(1649),
    [anon_sym_L_SQUOTE] = ACTIONS(1649),
    [anon_sym_u_SQUOTE] = ACTIONS(1649),
    [anon_sym_U_SQUOTE] = ACTIONS(1649),
    [anon_sym_u8_SQUOTE] = ACTIONS(1649),
    [anon_sym_SQUOTE] = ACTIONS(1649),
    [anon_sym_L_DQUOTE] = ACTIONS(1649),
    [anon_sym_u_DQUOTE] = ACTIONS(1649),
    [anon_sym_U_DQUOTE] = ACTIONS(1649),
    [anon_sym_u8_DQUOTE] = ACTIONS(1649),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_true] = ACTIONS(1647),
    [sym_false] = ACTIONS(1647),
    [anon_sym_NULL] = ACTIONS(1647),
    [anon_sym_nullptr] = ACTIONS(1647),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1647),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1647),
    [anon_sym_hitAttributeEXT] = ACTIONS(1647),
    [anon_sym_callableDataEXT] = ACTIONS(1647),
    [anon_sym_callableDataInEXT] = ACTIONS(1647),
    [anon_sym_shaderRecordEXT] = ACTIONS(1647),
    [anon_sym_rayPayloadNV] = ACTIONS(1647),
    [anon_sym_rayPayloadInNV] = ACTIONS(1647),
    [anon_sym_hitAttributeNV] = ACTIONS(1647),
    [anon_sym_callableDataNV] = ACTIONS(1647),
    [anon_sym_callableDataInNV] = ACTIONS(1647),
    [anon_sym_shaderRecordNV] = ACTIONS(1647),
    [anon_sym_layout] = ACTIONS(1647),
  },
  [278] = {
    [sym_identifier] = ACTIONS(1647),
    [aux_sym_preproc_include_token1] = ACTIONS(1647),
    [aux_sym_preproc_def_token1] = ACTIONS(1647),
    [aux_sym_preproc_if_token1] = ACTIONS(1647),
    [aux_sym_preproc_if_token2] = ACTIONS(1647),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1647),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1647),
    [aux_sym_preproc_else_token1] = ACTIONS(1647),
    [aux_sym_preproc_elif_token1] = ACTIONS(1647),
    [sym_preproc_directive] = ACTIONS(1647),
    [anon_sym_LPAREN2] = ACTIONS(1649),
    [anon_sym_BANG] = ACTIONS(1649),
    [anon_sym_TILDE] = ACTIONS(1649),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_STAR] = ACTIONS(1649),
    [anon_sym_AMP] = ACTIONS(1649),
    [anon_sym_subroutine] = ACTIONS(1647),
    [anon_sym_invariant] = ACTIONS(1647),
    [anon_sym_precise] = ACTIONS(1647),
    [anon_sym_SEMI] = ACTIONS(1649),
    [anon_sym_in] = ACTIONS(1647),
    [anon_sym_out] = ACTIONS(1647),
    [anon_sym_inout] = ACTIONS(1647),
    [anon_sym_uniform] = ACTIONS(1647),
    [anon_sym_shared] = ACTIONS(1647),
    [anon_sym_attribute] = ACTIONS(1647),
    [anon_sym_varying] = ACTIONS(1647),
    [anon_sym_buffer] = ACTIONS(1647),
    [anon_sym_coherent] = ACTIONS(1647),
    [anon_sym_readonly] = ACTIONS(1647),
    [anon_sym_writeonly] = ACTIONS(1647),
    [anon_sym_precision] = ACTIONS(1647),
    [anon_sym_highp] = ACTIONS(1647),
    [anon_sym_mediump] = ACTIONS(1647),
    [anon_sym_lowp] = ACTIONS(1647),
    [anon_sym_centroid] = ACTIONS(1647),
    [anon_sym_sample] = ACTIONS(1647),
    [anon_sym_patch] = ACTIONS(1647),
    [anon_sym_smooth] = ACTIONS(1647),
    [anon_sym_flat] = ACTIONS(1647),
    [anon_sym_noperspective] = ACTIONS(1647),
    [anon_sym___extension__] = ACTIONS(1647),
    [anon_sym_typedef] = ACTIONS(1647),
    [anon_sym_extern] = ACTIONS(1647),
    [anon_sym___attribute__] = ACTIONS(1647),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1649),
    [anon_sym___declspec] = ACTIONS(1647),
    [anon_sym___cdecl] = ACTIONS(1647),
    [anon_sym___clrcall] = ACTIONS(1647),
    [anon_sym___stdcall] = ACTIONS(1647),
    [anon_sym___fastcall] = ACTIONS(1647),
    [anon_sym___thiscall] = ACTIONS(1647),
    [anon_sym___vectorcall] = ACTIONS(1647),
    [anon_sym_LBRACE] = ACTIONS(1649),
    [anon_sym_signed] = ACTIONS(1647),
    [anon_sym_unsigned] = ACTIONS(1647),
    [anon_sym_long] = ACTIONS(1647),
    [anon_sym_short] = ACTIONS(1647),
    [anon_sym_static] = ACTIONS(1647),
    [anon_sym_auto] = ACTIONS(1647),
    [anon_sym_register] = ACTIONS(1647),
    [anon_sym_inline] = ACTIONS(1647),
    [anon_sym___inline] = ACTIONS(1647),
    [anon_sym___inline__] = ACTIONS(1647),
    [anon_sym___forceinline] = ACTIONS(1647),
    [anon_sym_thread_local] = ACTIONS(1647),
    [anon_sym___thread] = ACTIONS(1647),
    [anon_sym_const] = ACTIONS(1647),
    [anon_sym_constexpr] = ACTIONS(1647),
    [anon_sym_volatile] = ACTIONS(1647),
    [anon_sym_restrict] = ACTIONS(1647),
    [anon_sym___restrict__] = ACTIONS(1647),
    [anon_sym__Atomic] = ACTIONS(1647),
    [anon_sym__Noreturn] = ACTIONS(1647),
    [anon_sym_noreturn] = ACTIONS(1647),
    [sym_primitive_type] = ACTIONS(1647),
    [anon_sym_enum] = ACTIONS(1647),
    [anon_sym_struct] = ACTIONS(1647),
    [anon_sym_union] = ACTIONS(1647),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_switch] = ACTIONS(1647),
    [anon_sym_case] = ACTIONS(1647),
    [anon_sym_default] = ACTIONS(1647),
    [anon_sym_while] = ACTIONS(1647),
    [anon_sym_do] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(1647),
    [anon_sym_return] = ACTIONS(1647),
    [anon_sym_break] = ACTIONS(1647),
    [anon_sym_continue] = ACTIONS(1647),
    [anon_sym_goto] = ACTIONS(1647),
    [anon_sym___try] = ACTIONS(1647),
    [anon_sym___leave] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1649),
    [anon_sym_PLUS_PLUS] = ACTIONS(1649),
    [anon_sym_sizeof] = ACTIONS(1647),
    [anon_sym___alignof__] = ACTIONS(1647),
    [anon_sym___alignof] = ACTIONS(1647),
    [anon_sym__alignof] = ACTIONS(1647),
    [anon_sym_alignof] = ACTIONS(1647),
    [anon_sym__Alignof] = ACTIONS(1647),
    [anon_sym_offsetof] = ACTIONS(1647),
    [anon_sym__Generic] = ACTIONS(1647),
    [anon_sym_asm] = ACTIONS(1647),
    [anon_sym___asm__] = ACTIONS(1647),
    [sym_number_literal] = ACTIONS(1649),
    [anon_sym_L_SQUOTE] = ACTIONS(1649),
    [anon_sym_u_SQUOTE] = ACTIONS(1649),
    [anon_sym_U_SQUOTE] = ACTIONS(1649),
    [anon_sym_u8_SQUOTE] = ACTIONS(1649),
    [anon_sym_SQUOTE] = ACTIONS(1649),
    [anon_sym_L_DQUOTE] = ACTIONS(1649),
    [anon_sym_u_DQUOTE] = ACTIONS(1649),
    [anon_sym_U_DQUOTE] = ACTIONS(1649),
    [anon_sym_u8_DQUOTE] = ACTIONS(1649),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_true] = ACTIONS(1647),
    [sym_false] = ACTIONS(1647),
    [anon_sym_NULL] = ACTIONS(1647),
    [anon_sym_nullptr] = ACTIONS(1647),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1647),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1647),
    [anon_sym_hitAttributeEXT] = ACTIONS(1647),
    [anon_sym_callableDataEXT] = ACTIONS(1647),
    [anon_sym_callableDataInEXT] = ACTIONS(1647),
    [anon_sym_shaderRecordEXT] = ACTIONS(1647),
    [anon_sym_rayPayloadNV] = ACTIONS(1647),
    [anon_sym_rayPayloadInNV] = ACTIONS(1647),
    [anon_sym_hitAttributeNV] = ACTIONS(1647),
    [anon_sym_callableDataNV] = ACTIONS(1647),
    [anon_sym_callableDataInNV] = ACTIONS(1647),
    [anon_sym_shaderRecordNV] = ACTIONS(1647),
    [anon_sym_layout] = ACTIONS(1647),
  },
  [279] = {
    [sym_identifier] = ACTIONS(1623),
    [aux_sym_preproc_include_token1] = ACTIONS(1623),
    [aux_sym_preproc_def_token1] = ACTIONS(1623),
    [aux_sym_preproc_if_token1] = ACTIONS(1623),
    [aux_sym_preproc_if_token2] = ACTIONS(1623),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1623),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1623),
    [aux_sym_preproc_else_token1] = ACTIONS(1623),
    [aux_sym_preproc_elif_token1] = ACTIONS(1623),
    [sym_preproc_directive] = ACTIONS(1623),
    [anon_sym_LPAREN2] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1625),
    [anon_sym_TILDE] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1623),
    [anon_sym_STAR] = ACTIONS(1625),
    [anon_sym_AMP] = ACTIONS(1625),
    [anon_sym_subroutine] = ACTIONS(1623),
    [anon_sym_invariant] = ACTIONS(1623),
    [anon_sym_precise] = ACTIONS(1623),
    [anon_sym_SEMI] = ACTIONS(1625),
    [anon_sym_in] = ACTIONS(1623),
    [anon_sym_out] = ACTIONS(1623),
    [anon_sym_inout] = ACTIONS(1623),
    [anon_sym_uniform] = ACTIONS(1623),
    [anon_sym_shared] = ACTIONS(1623),
    [anon_sym_attribute] = ACTIONS(1623),
    [anon_sym_varying] = ACTIONS(1623),
    [anon_sym_buffer] = ACTIONS(1623),
    [anon_sym_coherent] = ACTIONS(1623),
    [anon_sym_readonly] = ACTIONS(1623),
    [anon_sym_writeonly] = ACTIONS(1623),
    [anon_sym_precision] = ACTIONS(1623),
    [anon_sym_highp] = ACTIONS(1623),
    [anon_sym_mediump] = ACTIONS(1623),
    [anon_sym_lowp] = ACTIONS(1623),
    [anon_sym_centroid] = ACTIONS(1623),
    [anon_sym_sample] = ACTIONS(1623),
    [anon_sym_patch] = ACTIONS(1623),
    [anon_sym_smooth] = ACTIONS(1623),
    [anon_sym_flat] = ACTIONS(1623),
    [anon_sym_noperspective] = ACTIONS(1623),
    [anon_sym___extension__] = ACTIONS(1623),
    [anon_sym_typedef] = ACTIONS(1623),
    [anon_sym_extern] = ACTIONS(1623),
    [anon_sym___attribute__] = ACTIONS(1623),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1625),
    [anon_sym___declspec] = ACTIONS(1623),
    [anon_sym___cdecl] = ACTIONS(1623),
    [anon_sym___clrcall] = ACTIONS(1623),
    [anon_sym___stdcall] = ACTIONS(1623),
    [anon_sym___fastcall] = ACTIONS(1623),
    [anon_sym___thiscall] = ACTIONS(1623),
    [anon_sym___vectorcall] = ACTIONS(1623),
    [anon_sym_LBRACE] = ACTIONS(1625),
    [anon_sym_signed] = ACTIONS(1623),
    [anon_sym_unsigned] = ACTIONS(1623),
    [anon_sym_long] = ACTIONS(1623),
    [anon_sym_short] = ACTIONS(1623),
    [anon_sym_static] = ACTIONS(1623),
    [anon_sym_auto] = ACTIONS(1623),
    [anon_sym_register] = ACTIONS(1623),
    [anon_sym_inline] = ACTIONS(1623),
    [anon_sym___inline] = ACTIONS(1623),
    [anon_sym___inline__] = ACTIONS(1623),
    [anon_sym___forceinline] = ACTIONS(1623),
    [anon_sym_thread_local] = ACTIONS(1623),
    [anon_sym___thread] = ACTIONS(1623),
    [anon_sym_const] = ACTIONS(1623),
    [anon_sym_constexpr] = ACTIONS(1623),
    [anon_sym_volatile] = ACTIONS(1623),
    [anon_sym_restrict] = ACTIONS(1623),
    [anon_sym___restrict__] = ACTIONS(1623),
    [anon_sym__Atomic] = ACTIONS(1623),
    [anon_sym__Noreturn] = ACTIONS(1623),
    [anon_sym_noreturn] = ACTIONS(1623),
    [sym_primitive_type] = ACTIONS(1623),
    [anon_sym_enum] = ACTIONS(1623),
    [anon_sym_struct] = ACTIONS(1623),
    [anon_sym_union] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1623),
    [anon_sym_switch] = ACTIONS(1623),
    [anon_sym_case] = ACTIONS(1623),
    [anon_sym_default] = ACTIONS(1623),
    [anon_sym_while] = ACTIONS(1623),
    [anon_sym_do] = ACTIONS(1623),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_return] = ACTIONS(1623),
    [anon_sym_break] = ACTIONS(1623),
    [anon_sym_continue] = ACTIONS(1623),
    [anon_sym_goto] = ACTIONS(1623),
    [anon_sym___try] = ACTIONS(1623),
    [anon_sym___leave] = ACTIONS(1623),
    [anon_sym_DASH_DASH] = ACTIONS(1625),
    [anon_sym_PLUS_PLUS] = ACTIONS(1625),
    [anon_sym_sizeof] = ACTIONS(1623),
    [anon_sym___alignof__] = ACTIONS(1623),
    [anon_sym___alignof] = ACTIONS(1623),
    [anon_sym__alignof] = ACTIONS(1623),
    [anon_sym_alignof] = ACTIONS(1623),
    [anon_sym__Alignof] = ACTIONS(1623),
    [anon_sym_offsetof] = ACTIONS(1623),
    [anon_sym__Generic] = ACTIONS(1623),
    [anon_sym_asm] = ACTIONS(1623),
    [anon_sym___asm__] = ACTIONS(1623),
    [sym_number_literal] = ACTIONS(1625),
    [anon_sym_L_SQUOTE] = ACTIONS(1625),
    [anon_sym_u_SQUOTE] = ACTIONS(1625),
    [anon_sym_U_SQUOTE] = ACTIONS(1625),
    [anon_sym_u8_SQUOTE] = ACTIONS(1625),
    [anon_sym_SQUOTE] = ACTIONS(1625),
    [anon_sym_L_DQUOTE] = ACTIONS(1625),
    [anon_sym_u_DQUOTE] = ACTIONS(1625),
    [anon_sym_U_DQUOTE] = ACTIONS(1625),
    [anon_sym_u8_DQUOTE] = ACTIONS(1625),
    [anon_sym_DQUOTE] = ACTIONS(1625),
    [sym_true] = ACTIONS(1623),
    [sym_false] = ACTIONS(1623),
    [anon_sym_NULL] = ACTIONS(1623),
    [anon_sym_nullptr] = ACTIONS(1623),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1623),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1623),
    [anon_sym_hitAttributeEXT] = ACTIONS(1623),
    [anon_sym_callableDataEXT] = ACTIONS(1623),
    [anon_sym_callableDataInEXT] = ACTIONS(1623),
    [anon_sym_shaderRecordEXT] = ACTIONS(1623),
    [anon_sym_rayPayloadNV] = ACTIONS(1623),
    [anon_sym_rayPayloadInNV] = ACTIONS(1623),
    [anon_sym_hitAttributeNV] = ACTIONS(1623),
    [anon_sym_callableDataNV] = ACTIONS(1623),
    [anon_sym_callableDataInNV] = ACTIONS(1623),
    [anon_sym_shaderRecordNV] = ACTIONS(1623),
    [anon_sym_layout] = ACTIONS(1623),
  },
  [280] = {
    [sym_identifier] = ACTIONS(1627),
    [aux_sym_preproc_include_token1] = ACTIONS(1627),
    [aux_sym_preproc_def_token1] = ACTIONS(1627),
    [aux_sym_preproc_if_token1] = ACTIONS(1627),
    [aux_sym_preproc_if_token2] = ACTIONS(1627),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1627),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1627),
    [aux_sym_preproc_else_token1] = ACTIONS(1627),
    [aux_sym_preproc_elif_token1] = ACTIONS(1627),
    [sym_preproc_directive] = ACTIONS(1627),
    [anon_sym_LPAREN2] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1629),
    [anon_sym_TILDE] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1627),
    [anon_sym_PLUS] = ACTIONS(1627),
    [anon_sym_STAR] = ACTIONS(1629),
    [anon_sym_AMP] = ACTIONS(1629),
    [anon_sym_subroutine] = ACTIONS(1627),
    [anon_sym_invariant] = ACTIONS(1627),
    [anon_sym_precise] = ACTIONS(1627),
    [anon_sym_SEMI] = ACTIONS(1629),
    [anon_sym_in] = ACTIONS(1627),
    [anon_sym_out] = ACTIONS(1627),
    [anon_sym_inout] = ACTIONS(1627),
    [anon_sym_uniform] = ACTIONS(1627),
    [anon_sym_shared] = ACTIONS(1627),
    [anon_sym_attribute] = ACTIONS(1627),
    [anon_sym_varying] = ACTIONS(1627),
    [anon_sym_buffer] = ACTIONS(1627),
    [anon_sym_coherent] = ACTIONS(1627),
    [anon_sym_readonly] = ACTIONS(1627),
    [anon_sym_writeonly] = ACTIONS(1627),
    [anon_sym_precision] = ACTIONS(1627),
    [anon_sym_highp] = ACTIONS(1627),
    [anon_sym_mediump] = ACTIONS(1627),
    [anon_sym_lowp] = ACTIONS(1627),
    [anon_sym_centroid] = ACTIONS(1627),
    [anon_sym_sample] = ACTIONS(1627),
    [anon_sym_patch] = ACTIONS(1627),
    [anon_sym_smooth] = ACTIONS(1627),
    [anon_sym_flat] = ACTIONS(1627),
    [anon_sym_noperspective] = ACTIONS(1627),
    [anon_sym___extension__] = ACTIONS(1627),
    [anon_sym_typedef] = ACTIONS(1627),
    [anon_sym_extern] = ACTIONS(1627),
    [anon_sym___attribute__] = ACTIONS(1627),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1629),
    [anon_sym___declspec] = ACTIONS(1627),
    [anon_sym___cdecl] = ACTIONS(1627),
    [anon_sym___clrcall] = ACTIONS(1627),
    [anon_sym___stdcall] = ACTIONS(1627),
    [anon_sym___fastcall] = ACTIONS(1627),
    [anon_sym___thiscall] = ACTIONS(1627),
    [anon_sym___vectorcall] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(1629),
    [anon_sym_signed] = ACTIONS(1627),
    [anon_sym_unsigned] = ACTIONS(1627),
    [anon_sym_long] = ACTIONS(1627),
    [anon_sym_short] = ACTIONS(1627),
    [anon_sym_static] = ACTIONS(1627),
    [anon_sym_auto] = ACTIONS(1627),
    [anon_sym_register] = ACTIONS(1627),
    [anon_sym_inline] = ACTIONS(1627),
    [anon_sym___inline] = ACTIONS(1627),
    [anon_sym___inline__] = ACTIONS(1627),
    [anon_sym___forceinline] = ACTIONS(1627),
    [anon_sym_thread_local] = ACTIONS(1627),
    [anon_sym___thread] = ACTIONS(1627),
    [anon_sym_const] = ACTIONS(1627),
    [anon_sym_constexpr] = ACTIONS(1627),
    [anon_sym_volatile] = ACTIONS(1627),
    [anon_sym_restrict] = ACTIONS(1627),
    [anon_sym___restrict__] = ACTIONS(1627),
    [anon_sym__Atomic] = ACTIONS(1627),
    [anon_sym__Noreturn] = ACTIONS(1627),
    [anon_sym_noreturn] = ACTIONS(1627),
    [sym_primitive_type] = ACTIONS(1627),
    [anon_sym_enum] = ACTIONS(1627),
    [anon_sym_struct] = ACTIONS(1627),
    [anon_sym_union] = ACTIONS(1627),
    [anon_sym_if] = ACTIONS(1627),
    [anon_sym_switch] = ACTIONS(1627),
    [anon_sym_case] = ACTIONS(1627),
    [anon_sym_default] = ACTIONS(1627),
    [anon_sym_while] = ACTIONS(1627),
    [anon_sym_do] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1627),
    [anon_sym_return] = ACTIONS(1627),
    [anon_sym_break] = ACTIONS(1627),
    [anon_sym_continue] = ACTIONS(1627),
    [anon_sym_goto] = ACTIONS(1627),
    [anon_sym___try] = ACTIONS(1627),
    [anon_sym___leave] = ACTIONS(1627),
    [anon_sym_DASH_DASH] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1629),
    [anon_sym_sizeof] = ACTIONS(1627),
    [anon_sym___alignof__] = ACTIONS(1627),
    [anon_sym___alignof] = ACTIONS(1627),
    [anon_sym__alignof] = ACTIONS(1627),
    [anon_sym_alignof] = ACTIONS(1627),
    [anon_sym__Alignof] = ACTIONS(1627),
    [anon_sym_offsetof] = ACTIONS(1627),
    [anon_sym__Generic] = ACTIONS(1627),
    [anon_sym_asm] = ACTIONS(1627),
    [anon_sym___asm__] = ACTIONS(1627),
    [sym_number_literal] = ACTIONS(1629),
    [anon_sym_L_SQUOTE] = ACTIONS(1629),
    [anon_sym_u_SQUOTE] = ACTIONS(1629),
    [anon_sym_U_SQUOTE] = ACTIONS(1629),
    [anon_sym_u8_SQUOTE] = ACTIONS(1629),
    [anon_sym_SQUOTE] = ACTIONS(1629),
    [anon_sym_L_DQUOTE] = ACTIONS(1629),
    [anon_sym_u_DQUOTE] = ACTIONS(1629),
    [anon_sym_U_DQUOTE] = ACTIONS(1629),
    [anon_sym_u8_DQUOTE] = ACTIONS(1629),
    [anon_sym_DQUOTE] = ACTIONS(1629),
    [sym_true] = ACTIONS(1627),
    [sym_false] = ACTIONS(1627),
    [anon_sym_NULL] = ACTIONS(1627),
    [anon_sym_nullptr] = ACTIONS(1627),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1627),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1627),
    [anon_sym_hitAttributeEXT] = ACTIONS(1627),
    [anon_sym_callableDataEXT] = ACTIONS(1627),
    [anon_sym_callableDataInEXT] = ACTIONS(1627),
    [anon_sym_shaderRecordEXT] = ACTIONS(1627),
    [anon_sym_rayPayloadNV] = ACTIONS(1627),
    [anon_sym_rayPayloadInNV] = ACTIONS(1627),
    [anon_sym_hitAttributeNV] = ACTIONS(1627),
    [anon_sym_callableDataNV] = ACTIONS(1627),
    [anon_sym_callableDataInNV] = ACTIONS(1627),
    [anon_sym_shaderRecordNV] = ACTIONS(1627),
    [anon_sym_layout] = ACTIONS(1627),
  },
  [281] = {
    [sym_identifier] = ACTIONS(1643),
    [aux_sym_preproc_include_token1] = ACTIONS(1643),
    [aux_sym_preproc_def_token1] = ACTIONS(1643),
    [aux_sym_preproc_if_token1] = ACTIONS(1643),
    [aux_sym_preproc_if_token2] = ACTIONS(1643),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1643),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1643),
    [aux_sym_preproc_else_token1] = ACTIONS(1643),
    [aux_sym_preproc_elif_token1] = ACTIONS(1643),
    [sym_preproc_directive] = ACTIONS(1643),
    [anon_sym_LPAREN2] = ACTIONS(1645),
    [anon_sym_BANG] = ACTIONS(1645),
    [anon_sym_TILDE] = ACTIONS(1645),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(1645),
    [anon_sym_AMP] = ACTIONS(1645),
    [anon_sym_subroutine] = ACTIONS(1643),
    [anon_sym_invariant] = ACTIONS(1643),
    [anon_sym_precise] = ACTIONS(1643),
    [anon_sym_SEMI] = ACTIONS(1645),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_out] = ACTIONS(1643),
    [anon_sym_inout] = ACTIONS(1643),
    [anon_sym_uniform] = ACTIONS(1643),
    [anon_sym_shared] = ACTIONS(1643),
    [anon_sym_attribute] = ACTIONS(1643),
    [anon_sym_varying] = ACTIONS(1643),
    [anon_sym_buffer] = ACTIONS(1643),
    [anon_sym_coherent] = ACTIONS(1643),
    [anon_sym_readonly] = ACTIONS(1643),
    [anon_sym_writeonly] = ACTIONS(1643),
    [anon_sym_precision] = ACTIONS(1643),
    [anon_sym_highp] = ACTIONS(1643),
    [anon_sym_mediump] = ACTIONS(1643),
    [anon_sym_lowp] = ACTIONS(1643),
    [anon_sym_centroid] = ACTIONS(1643),
    [anon_sym_sample] = ACTIONS(1643),
    [anon_sym_patch] = ACTIONS(1643),
    [anon_sym_smooth] = ACTIONS(1643),
    [anon_sym_flat] = ACTIONS(1643),
    [anon_sym_noperspective] = ACTIONS(1643),
    [anon_sym___extension__] = ACTIONS(1643),
    [anon_sym_typedef] = ACTIONS(1643),
    [anon_sym_extern] = ACTIONS(1643),
    [anon_sym___attribute__] = ACTIONS(1643),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1645),
    [anon_sym___declspec] = ACTIONS(1643),
    [anon_sym___cdecl] = ACTIONS(1643),
    [anon_sym___clrcall] = ACTIONS(1643),
    [anon_sym___stdcall] = ACTIONS(1643),
    [anon_sym___fastcall] = ACTIONS(1643),
    [anon_sym___thiscall] = ACTIONS(1643),
    [anon_sym___vectorcall] = ACTIONS(1643),
    [anon_sym_LBRACE] = ACTIONS(1645),
    [anon_sym_signed] = ACTIONS(1643),
    [anon_sym_unsigned] = ACTIONS(1643),
    [anon_sym_long] = ACTIONS(1643),
    [anon_sym_short] = ACTIONS(1643),
    [anon_sym_static] = ACTIONS(1643),
    [anon_sym_auto] = ACTIONS(1643),
    [anon_sym_register] = ACTIONS(1643),
    [anon_sym_inline] = ACTIONS(1643),
    [anon_sym___inline] = ACTIONS(1643),
    [anon_sym___inline__] = ACTIONS(1643),
    [anon_sym___forceinline] = ACTIONS(1643),
    [anon_sym_thread_local] = ACTIONS(1643),
    [anon_sym___thread] = ACTIONS(1643),
    [anon_sym_const] = ACTIONS(1643),
    [anon_sym_constexpr] = ACTIONS(1643),
    [anon_sym_volatile] = ACTIONS(1643),
    [anon_sym_restrict] = ACTIONS(1643),
    [anon_sym___restrict__] = ACTIONS(1643),
    [anon_sym__Atomic] = ACTIONS(1643),
    [anon_sym__Noreturn] = ACTIONS(1643),
    [anon_sym_noreturn] = ACTIONS(1643),
    [sym_primitive_type] = ACTIONS(1643),
    [anon_sym_enum] = ACTIONS(1643),
    [anon_sym_struct] = ACTIONS(1643),
    [anon_sym_union] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_switch] = ACTIONS(1643),
    [anon_sym_case] = ACTIONS(1643),
    [anon_sym_default] = ACTIONS(1643),
    [anon_sym_while] = ACTIONS(1643),
    [anon_sym_do] = ACTIONS(1643),
    [anon_sym_for] = ACTIONS(1643),
    [anon_sym_return] = ACTIONS(1643),
    [anon_sym_break] = ACTIONS(1643),
    [anon_sym_continue] = ACTIONS(1643),
    [anon_sym_goto] = ACTIONS(1643),
    [anon_sym___try] = ACTIONS(1643),
    [anon_sym___leave] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1645),
    [anon_sym_PLUS_PLUS] = ACTIONS(1645),
    [anon_sym_sizeof] = ACTIONS(1643),
    [anon_sym___alignof__] = ACTIONS(1643),
    [anon_sym___alignof] = ACTIONS(1643),
    [anon_sym__alignof] = ACTIONS(1643),
    [anon_sym_alignof] = ACTIONS(1643),
    [anon_sym__Alignof] = ACTIONS(1643),
    [anon_sym_offsetof] = ACTIONS(1643),
    [anon_sym__Generic] = ACTIONS(1643),
    [anon_sym_asm] = ACTIONS(1643),
    [anon_sym___asm__] = ACTIONS(1643),
    [sym_number_literal] = ACTIONS(1645),
    [anon_sym_L_SQUOTE] = ACTIONS(1645),
    [anon_sym_u_SQUOTE] = ACTIONS(1645),
    [anon_sym_U_SQUOTE] = ACTIONS(1645),
    [anon_sym_u8_SQUOTE] = ACTIONS(1645),
    [anon_sym_SQUOTE] = ACTIONS(1645),
    [anon_sym_L_DQUOTE] = ACTIONS(1645),
    [anon_sym_u_DQUOTE] = ACTIONS(1645),
    [anon_sym_U_DQUOTE] = ACTIONS(1645),
    [anon_sym_u8_DQUOTE] = ACTIONS(1645),
    [anon_sym_DQUOTE] = ACTIONS(1645),
    [sym_true] = ACTIONS(1643),
    [sym_false] = ACTIONS(1643),
    [anon_sym_NULL] = ACTIONS(1643),
    [anon_sym_nullptr] = ACTIONS(1643),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1643),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1643),
    [anon_sym_hitAttributeEXT] = ACTIONS(1643),
    [anon_sym_callableDataEXT] = ACTIONS(1643),
    [anon_sym_callableDataInEXT] = ACTIONS(1643),
    [anon_sym_shaderRecordEXT] = ACTIONS(1643),
    [anon_sym_rayPayloadNV] = ACTIONS(1643),
    [anon_sym_rayPayloadInNV] = ACTIONS(1643),
    [anon_sym_hitAttributeNV] = ACTIONS(1643),
    [anon_sym_callableDataNV] = ACTIONS(1643),
    [anon_sym_callableDataInNV] = ACTIONS(1643),
    [anon_sym_shaderRecordNV] = ACTIONS(1643),
    [anon_sym_layout] = ACTIONS(1643),
  },
  [282] = {
    [sym_identifier] = ACTIONS(1607),
    [aux_sym_preproc_include_token1] = ACTIONS(1607),
    [aux_sym_preproc_def_token1] = ACTIONS(1607),
    [aux_sym_preproc_if_token1] = ACTIONS(1607),
    [aux_sym_preproc_if_token2] = ACTIONS(1607),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1607),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1607),
    [aux_sym_preproc_else_token1] = ACTIONS(1607),
    [aux_sym_preproc_elif_token1] = ACTIONS(1607),
    [sym_preproc_directive] = ACTIONS(1607),
    [anon_sym_LPAREN2] = ACTIONS(1609),
    [anon_sym_BANG] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1609),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_PLUS] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_AMP] = ACTIONS(1609),
    [anon_sym_subroutine] = ACTIONS(1607),
    [anon_sym_invariant] = ACTIONS(1607),
    [anon_sym_precise] = ACTIONS(1607),
    [anon_sym_SEMI] = ACTIONS(1609),
    [anon_sym_in] = ACTIONS(1607),
    [anon_sym_out] = ACTIONS(1607),
    [anon_sym_inout] = ACTIONS(1607),
    [anon_sym_uniform] = ACTIONS(1607),
    [anon_sym_shared] = ACTIONS(1607),
    [anon_sym_attribute] = ACTIONS(1607),
    [anon_sym_varying] = ACTIONS(1607),
    [anon_sym_buffer] = ACTIONS(1607),
    [anon_sym_coherent] = ACTIONS(1607),
    [anon_sym_readonly] = ACTIONS(1607),
    [anon_sym_writeonly] = ACTIONS(1607),
    [anon_sym_precision] = ACTIONS(1607),
    [anon_sym_highp] = ACTIONS(1607),
    [anon_sym_mediump] = ACTIONS(1607),
    [anon_sym_lowp] = ACTIONS(1607),
    [anon_sym_centroid] = ACTIONS(1607),
    [anon_sym_sample] = ACTIONS(1607),
    [anon_sym_patch] = ACTIONS(1607),
    [anon_sym_smooth] = ACTIONS(1607),
    [anon_sym_flat] = ACTIONS(1607),
    [anon_sym_noperspective] = ACTIONS(1607),
    [anon_sym___extension__] = ACTIONS(1607),
    [anon_sym_typedef] = ACTIONS(1607),
    [anon_sym_extern] = ACTIONS(1607),
    [anon_sym___attribute__] = ACTIONS(1607),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1609),
    [anon_sym___declspec] = ACTIONS(1607),
    [anon_sym___cdecl] = ACTIONS(1607),
    [anon_sym___clrcall] = ACTIONS(1607),
    [anon_sym___stdcall] = ACTIONS(1607),
    [anon_sym___fastcall] = ACTIONS(1607),
    [anon_sym___thiscall] = ACTIONS(1607),
    [anon_sym___vectorcall] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_signed] = ACTIONS(1607),
    [anon_sym_unsigned] = ACTIONS(1607),
    [anon_sym_long] = ACTIONS(1607),
    [anon_sym_short] = ACTIONS(1607),
    [anon_sym_static] = ACTIONS(1607),
    [anon_sym_auto] = ACTIONS(1607),
    [anon_sym_register] = ACTIONS(1607),
    [anon_sym_inline] = ACTIONS(1607),
    [anon_sym___inline] = ACTIONS(1607),
    [anon_sym___inline__] = ACTIONS(1607),
    [anon_sym___forceinline] = ACTIONS(1607),
    [anon_sym_thread_local] = ACTIONS(1607),
    [anon_sym___thread] = ACTIONS(1607),
    [anon_sym_const] = ACTIONS(1607),
    [anon_sym_constexpr] = ACTIONS(1607),
    [anon_sym_volatile] = ACTIONS(1607),
    [anon_sym_restrict] = ACTIONS(1607),
    [anon_sym___restrict__] = ACTIONS(1607),
    [anon_sym__Atomic] = ACTIONS(1607),
    [anon_sym__Noreturn] = ACTIONS(1607),
    [anon_sym_noreturn] = ACTIONS(1607),
    [sym_primitive_type] = ACTIONS(1607),
    [anon_sym_enum] = ACTIONS(1607),
    [anon_sym_struct] = ACTIONS(1607),
    [anon_sym_union] = ACTIONS(1607),
    [anon_sym_if] = ACTIONS(1607),
    [anon_sym_switch] = ACTIONS(1607),
    [anon_sym_case] = ACTIONS(1607),
    [anon_sym_default] = ACTIONS(1607),
    [anon_sym_while] = ACTIONS(1607),
    [anon_sym_do] = ACTIONS(1607),
    [anon_sym_for] = ACTIONS(1607),
    [anon_sym_return] = ACTIONS(1607),
    [anon_sym_break] = ACTIONS(1607),
    [anon_sym_continue] = ACTIONS(1607),
    [anon_sym_goto] = ACTIONS(1607),
    [anon_sym___try] = ACTIONS(1607),
    [anon_sym___leave] = ACTIONS(1607),
    [anon_sym_DASH_DASH] = ACTIONS(1609),
    [anon_sym_PLUS_PLUS] = ACTIONS(1609),
    [anon_sym_sizeof] = ACTIONS(1607),
    [anon_sym___alignof__] = ACTIONS(1607),
    [anon_sym___alignof] = ACTIONS(1607),
    [anon_sym__alignof] = ACTIONS(1607),
    [anon_sym_alignof] = ACTIONS(1607),
    [anon_sym__Alignof] = ACTIONS(1607),
    [anon_sym_offsetof] = ACTIONS(1607),
    [anon_sym__Generic] = ACTIONS(1607),
    [anon_sym_asm] = ACTIONS(1607),
    [anon_sym___asm__] = ACTIONS(1607),
    [sym_number_literal] = ACTIONS(1609),
    [anon_sym_L_SQUOTE] = ACTIONS(1609),
    [anon_sym_u_SQUOTE] = ACTIONS(1609),
    [anon_sym_U_SQUOTE] = ACTIONS(1609),
    [anon_sym_u8_SQUOTE] = ACTIONS(1609),
    [anon_sym_SQUOTE] = ACTIONS(1609),
    [anon_sym_L_DQUOTE] = ACTIONS(1609),
    [anon_sym_u_DQUOTE] = ACTIONS(1609),
    [anon_sym_U_DQUOTE] = ACTIONS(1609),
    [anon_sym_u8_DQUOTE] = ACTIONS(1609),
    [anon_sym_DQUOTE] = ACTIONS(1609),
    [sym_true] = ACTIONS(1607),
    [sym_false] = ACTIONS(1607),
    [anon_sym_NULL] = ACTIONS(1607),
    [anon_sym_nullptr] = ACTIONS(1607),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1607),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1607),
    [anon_sym_hitAttributeEXT] = ACTIONS(1607),
    [anon_sym_callableDataEXT] = ACTIONS(1607),
    [anon_sym_callableDataInEXT] = ACTIONS(1607),
    [anon_sym_shaderRecordEXT] = ACTIONS(1607),
    [anon_sym_rayPayloadNV] = ACTIONS(1607),
    [anon_sym_rayPayloadInNV] = ACTIONS(1607),
    [anon_sym_hitAttributeNV] = ACTIONS(1607),
    [anon_sym_callableDataNV] = ACTIONS(1607),
    [anon_sym_callableDataInNV] = ACTIONS(1607),
    [anon_sym_shaderRecordNV] = ACTIONS(1607),
    [anon_sym_layout] = ACTIONS(1607),
  },
  [283] = {
    [sym_identifier] = ACTIONS(1723),
    [aux_sym_preproc_include_token1] = ACTIONS(1723),
    [aux_sym_preproc_def_token1] = ACTIONS(1723),
    [aux_sym_preproc_if_token1] = ACTIONS(1723),
    [aux_sym_preproc_if_token2] = ACTIONS(1723),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1723),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1723),
    [aux_sym_preproc_else_token1] = ACTIONS(1723),
    [aux_sym_preproc_elif_token1] = ACTIONS(1723),
    [sym_preproc_directive] = ACTIONS(1723),
    [anon_sym_LPAREN2] = ACTIONS(1725),
    [anon_sym_BANG] = ACTIONS(1725),
    [anon_sym_TILDE] = ACTIONS(1725),
    [anon_sym_DASH] = ACTIONS(1723),
    [anon_sym_PLUS] = ACTIONS(1723),
    [anon_sym_STAR] = ACTIONS(1725),
    [anon_sym_AMP] = ACTIONS(1725),
    [anon_sym_subroutine] = ACTIONS(1723),
    [anon_sym_invariant] = ACTIONS(1723),
    [anon_sym_precise] = ACTIONS(1723),
    [anon_sym_SEMI] = ACTIONS(1725),
    [anon_sym_in] = ACTIONS(1723),
    [anon_sym_out] = ACTIONS(1723),
    [anon_sym_inout] = ACTIONS(1723),
    [anon_sym_uniform] = ACTIONS(1723),
    [anon_sym_shared] = ACTIONS(1723),
    [anon_sym_attribute] = ACTIONS(1723),
    [anon_sym_varying] = ACTIONS(1723),
    [anon_sym_buffer] = ACTIONS(1723),
    [anon_sym_coherent] = ACTIONS(1723),
    [anon_sym_readonly] = ACTIONS(1723),
    [anon_sym_writeonly] = ACTIONS(1723),
    [anon_sym_precision] = ACTIONS(1723),
    [anon_sym_highp] = ACTIONS(1723),
    [anon_sym_mediump] = ACTIONS(1723),
    [anon_sym_lowp] = ACTIONS(1723),
    [anon_sym_centroid] = ACTIONS(1723),
    [anon_sym_sample] = ACTIONS(1723),
    [anon_sym_patch] = ACTIONS(1723),
    [anon_sym_smooth] = ACTIONS(1723),
    [anon_sym_flat] = ACTIONS(1723),
    [anon_sym_noperspective] = ACTIONS(1723),
    [anon_sym___extension__] = ACTIONS(1723),
    [anon_sym_typedef] = ACTIONS(1723),
    [anon_sym_extern] = ACTIONS(1723),
    [anon_sym___attribute__] = ACTIONS(1723),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1725),
    [anon_sym___declspec] = ACTIONS(1723),
    [anon_sym___cdecl] = ACTIONS(1723),
    [anon_sym___clrcall] = ACTIONS(1723),
    [anon_sym___stdcall] = ACTIONS(1723),
    [anon_sym___fastcall] = ACTIONS(1723),
    [anon_sym___thiscall] = ACTIONS(1723),
    [anon_sym___vectorcall] = ACTIONS(1723),
    [anon_sym_LBRACE] = ACTIONS(1725),
    [anon_sym_signed] = ACTIONS(1723),
    [anon_sym_unsigned] = ACTIONS(1723),
    [anon_sym_long] = ACTIONS(1723),
    [anon_sym_short] = ACTIONS(1723),
    [anon_sym_static] = ACTIONS(1723),
    [anon_sym_auto] = ACTIONS(1723),
    [anon_sym_register] = ACTIONS(1723),
    [anon_sym_inline] = ACTIONS(1723),
    [anon_sym___inline] = ACTIONS(1723),
    [anon_sym___inline__] = ACTIONS(1723),
    [anon_sym___forceinline] = ACTIONS(1723),
    [anon_sym_thread_local] = ACTIONS(1723),
    [anon_sym___thread] = ACTIONS(1723),
    [anon_sym_const] = ACTIONS(1723),
    [anon_sym_constexpr] = ACTIONS(1723),
    [anon_sym_volatile] = ACTIONS(1723),
    [anon_sym_restrict] = ACTIONS(1723),
    [anon_sym___restrict__] = ACTIONS(1723),
    [anon_sym__Atomic] = ACTIONS(1723),
    [anon_sym__Noreturn] = ACTIONS(1723),
    [anon_sym_noreturn] = ACTIONS(1723),
    [sym_primitive_type] = ACTIONS(1723),
    [anon_sym_enum] = ACTIONS(1723),
    [anon_sym_struct] = ACTIONS(1723),
    [anon_sym_union] = ACTIONS(1723),
    [anon_sym_if] = ACTIONS(1723),
    [anon_sym_switch] = ACTIONS(1723),
    [anon_sym_case] = ACTIONS(1723),
    [anon_sym_default] = ACTIONS(1723),
    [anon_sym_while] = ACTIONS(1723),
    [anon_sym_do] = ACTIONS(1723),
    [anon_sym_for] = ACTIONS(1723),
    [anon_sym_return] = ACTIONS(1723),
    [anon_sym_break] = ACTIONS(1723),
    [anon_sym_continue] = ACTIONS(1723),
    [anon_sym_goto] = ACTIONS(1723),
    [anon_sym___try] = ACTIONS(1723),
    [anon_sym___leave] = ACTIONS(1723),
    [anon_sym_DASH_DASH] = ACTIONS(1725),
    [anon_sym_PLUS_PLUS] = ACTIONS(1725),
    [anon_sym_sizeof] = ACTIONS(1723),
    [anon_sym___alignof__] = ACTIONS(1723),
    [anon_sym___alignof] = ACTIONS(1723),
    [anon_sym__alignof] = ACTIONS(1723),
    [anon_sym_alignof] = ACTIONS(1723),
    [anon_sym__Alignof] = ACTIONS(1723),
    [anon_sym_offsetof] = ACTIONS(1723),
    [anon_sym__Generic] = ACTIONS(1723),
    [anon_sym_asm] = ACTIONS(1723),
    [anon_sym___asm__] = ACTIONS(1723),
    [sym_number_literal] = ACTIONS(1725),
    [anon_sym_L_SQUOTE] = ACTIONS(1725),
    [anon_sym_u_SQUOTE] = ACTIONS(1725),
    [anon_sym_U_SQUOTE] = ACTIONS(1725),
    [anon_sym_u8_SQUOTE] = ACTIONS(1725),
    [anon_sym_SQUOTE] = ACTIONS(1725),
    [anon_sym_L_DQUOTE] = ACTIONS(1725),
    [anon_sym_u_DQUOTE] = ACTIONS(1725),
    [anon_sym_U_DQUOTE] = ACTIONS(1725),
    [anon_sym_u8_DQUOTE] = ACTIONS(1725),
    [anon_sym_DQUOTE] = ACTIONS(1725),
    [sym_true] = ACTIONS(1723),
    [sym_false] = ACTIONS(1723),
    [anon_sym_NULL] = ACTIONS(1723),
    [anon_sym_nullptr] = ACTIONS(1723),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1723),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1723),
    [anon_sym_hitAttributeEXT] = ACTIONS(1723),
    [anon_sym_callableDataEXT] = ACTIONS(1723),
    [anon_sym_callableDataInEXT] = ACTIONS(1723),
    [anon_sym_shaderRecordEXT] = ACTIONS(1723),
    [anon_sym_rayPayloadNV] = ACTIONS(1723),
    [anon_sym_rayPayloadInNV] = ACTIONS(1723),
    [anon_sym_hitAttributeNV] = ACTIONS(1723),
    [anon_sym_callableDataNV] = ACTIONS(1723),
    [anon_sym_callableDataInNV] = ACTIONS(1723),
    [anon_sym_shaderRecordNV] = ACTIONS(1723),
    [anon_sym_layout] = ACTIONS(1723),
  },
  [284] = {
    [sym_identifier] = ACTIONS(1719),
    [aux_sym_preproc_include_token1] = ACTIONS(1719),
    [aux_sym_preproc_def_token1] = ACTIONS(1719),
    [aux_sym_preproc_if_token1] = ACTIONS(1719),
    [aux_sym_preproc_if_token2] = ACTIONS(1719),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1719),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1719),
    [aux_sym_preproc_else_token1] = ACTIONS(1719),
    [aux_sym_preproc_elif_token1] = ACTIONS(1719),
    [sym_preproc_directive] = ACTIONS(1719),
    [anon_sym_LPAREN2] = ACTIONS(1721),
    [anon_sym_BANG] = ACTIONS(1721),
    [anon_sym_TILDE] = ACTIONS(1721),
    [anon_sym_DASH] = ACTIONS(1719),
    [anon_sym_PLUS] = ACTIONS(1719),
    [anon_sym_STAR] = ACTIONS(1721),
    [anon_sym_AMP] = ACTIONS(1721),
    [anon_sym_subroutine] = ACTIONS(1719),
    [anon_sym_invariant] = ACTIONS(1719),
    [anon_sym_precise] = ACTIONS(1719),
    [anon_sym_SEMI] = ACTIONS(1721),
    [anon_sym_in] = ACTIONS(1719),
    [anon_sym_out] = ACTIONS(1719),
    [anon_sym_inout] = ACTIONS(1719),
    [anon_sym_uniform] = ACTIONS(1719),
    [anon_sym_shared] = ACTIONS(1719),
    [anon_sym_attribute] = ACTIONS(1719),
    [anon_sym_varying] = ACTIONS(1719),
    [anon_sym_buffer] = ACTIONS(1719),
    [anon_sym_coherent] = ACTIONS(1719),
    [anon_sym_readonly] = ACTIONS(1719),
    [anon_sym_writeonly] = ACTIONS(1719),
    [anon_sym_precision] = ACTIONS(1719),
    [anon_sym_highp] = ACTIONS(1719),
    [anon_sym_mediump] = ACTIONS(1719),
    [anon_sym_lowp] = ACTIONS(1719),
    [anon_sym_centroid] = ACTIONS(1719),
    [anon_sym_sample] = ACTIONS(1719),
    [anon_sym_patch] = ACTIONS(1719),
    [anon_sym_smooth] = ACTIONS(1719),
    [anon_sym_flat] = ACTIONS(1719),
    [anon_sym_noperspective] = ACTIONS(1719),
    [anon_sym___extension__] = ACTIONS(1719),
    [anon_sym_typedef] = ACTIONS(1719),
    [anon_sym_extern] = ACTIONS(1719),
    [anon_sym___attribute__] = ACTIONS(1719),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1721),
    [anon_sym___declspec] = ACTIONS(1719),
    [anon_sym___cdecl] = ACTIONS(1719),
    [anon_sym___clrcall] = ACTIONS(1719),
    [anon_sym___stdcall] = ACTIONS(1719),
    [anon_sym___fastcall] = ACTIONS(1719),
    [anon_sym___thiscall] = ACTIONS(1719),
    [anon_sym___vectorcall] = ACTIONS(1719),
    [anon_sym_LBRACE] = ACTIONS(1721),
    [anon_sym_signed] = ACTIONS(1719),
    [anon_sym_unsigned] = ACTIONS(1719),
    [anon_sym_long] = ACTIONS(1719),
    [anon_sym_short] = ACTIONS(1719),
    [anon_sym_static] = ACTIONS(1719),
    [anon_sym_auto] = ACTIONS(1719),
    [anon_sym_register] = ACTIONS(1719),
    [anon_sym_inline] = ACTIONS(1719),
    [anon_sym___inline] = ACTIONS(1719),
    [anon_sym___inline__] = ACTIONS(1719),
    [anon_sym___forceinline] = ACTIONS(1719),
    [anon_sym_thread_local] = ACTIONS(1719),
    [anon_sym___thread] = ACTIONS(1719),
    [anon_sym_const] = ACTIONS(1719),
    [anon_sym_constexpr] = ACTIONS(1719),
    [anon_sym_volatile] = ACTIONS(1719),
    [anon_sym_restrict] = ACTIONS(1719),
    [anon_sym___restrict__] = ACTIONS(1719),
    [anon_sym__Atomic] = ACTIONS(1719),
    [anon_sym__Noreturn] = ACTIONS(1719),
    [anon_sym_noreturn] = ACTIONS(1719),
    [sym_primitive_type] = ACTIONS(1719),
    [anon_sym_enum] = ACTIONS(1719),
    [anon_sym_struct] = ACTIONS(1719),
    [anon_sym_union] = ACTIONS(1719),
    [anon_sym_if] = ACTIONS(1719),
    [anon_sym_switch] = ACTIONS(1719),
    [anon_sym_case] = ACTIONS(1719),
    [anon_sym_default] = ACTIONS(1719),
    [anon_sym_while] = ACTIONS(1719),
    [anon_sym_do] = ACTIONS(1719),
    [anon_sym_for] = ACTIONS(1719),
    [anon_sym_return] = ACTIONS(1719),
    [anon_sym_break] = ACTIONS(1719),
    [anon_sym_continue] = ACTIONS(1719),
    [anon_sym_goto] = ACTIONS(1719),
    [anon_sym___try] = ACTIONS(1719),
    [anon_sym___leave] = ACTIONS(1719),
    [anon_sym_DASH_DASH] = ACTIONS(1721),
    [anon_sym_PLUS_PLUS] = ACTIONS(1721),
    [anon_sym_sizeof] = ACTIONS(1719),
    [anon_sym___alignof__] = ACTIONS(1719),
    [anon_sym___alignof] = ACTIONS(1719),
    [anon_sym__alignof] = ACTIONS(1719),
    [anon_sym_alignof] = ACTIONS(1719),
    [anon_sym__Alignof] = ACTIONS(1719),
    [anon_sym_offsetof] = ACTIONS(1719),
    [anon_sym__Generic] = ACTIONS(1719),
    [anon_sym_asm] = ACTIONS(1719),
    [anon_sym___asm__] = ACTIONS(1719),
    [sym_number_literal] = ACTIONS(1721),
    [anon_sym_L_SQUOTE] = ACTIONS(1721),
    [anon_sym_u_SQUOTE] = ACTIONS(1721),
    [anon_sym_U_SQUOTE] = ACTIONS(1721),
    [anon_sym_u8_SQUOTE] = ACTIONS(1721),
    [anon_sym_SQUOTE] = ACTIONS(1721),
    [anon_sym_L_DQUOTE] = ACTIONS(1721),
    [anon_sym_u_DQUOTE] = ACTIONS(1721),
    [anon_sym_U_DQUOTE] = ACTIONS(1721),
    [anon_sym_u8_DQUOTE] = ACTIONS(1721),
    [anon_sym_DQUOTE] = ACTIONS(1721),
    [sym_true] = ACTIONS(1719),
    [sym_false] = ACTIONS(1719),
    [anon_sym_NULL] = ACTIONS(1719),
    [anon_sym_nullptr] = ACTIONS(1719),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1719),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1719),
    [anon_sym_hitAttributeEXT] = ACTIONS(1719),
    [anon_sym_callableDataEXT] = ACTIONS(1719),
    [anon_sym_callableDataInEXT] = ACTIONS(1719),
    [anon_sym_shaderRecordEXT] = ACTIONS(1719),
    [anon_sym_rayPayloadNV] = ACTIONS(1719),
    [anon_sym_rayPayloadInNV] = ACTIONS(1719),
    [anon_sym_hitAttributeNV] = ACTIONS(1719),
    [anon_sym_callableDataNV] = ACTIONS(1719),
    [anon_sym_callableDataInNV] = ACTIONS(1719),
    [anon_sym_shaderRecordNV] = ACTIONS(1719),
    [anon_sym_layout] = ACTIONS(1719),
  },
  [285] = {
    [sym_identifier] = ACTIONS(1715),
    [aux_sym_preproc_include_token1] = ACTIONS(1715),
    [aux_sym_preproc_def_token1] = ACTIONS(1715),
    [aux_sym_preproc_if_token1] = ACTIONS(1715),
    [aux_sym_preproc_if_token2] = ACTIONS(1715),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1715),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1715),
    [aux_sym_preproc_else_token1] = ACTIONS(1715),
    [aux_sym_preproc_elif_token1] = ACTIONS(1715),
    [sym_preproc_directive] = ACTIONS(1715),
    [anon_sym_LPAREN2] = ACTIONS(1717),
    [anon_sym_BANG] = ACTIONS(1717),
    [anon_sym_TILDE] = ACTIONS(1717),
    [anon_sym_DASH] = ACTIONS(1715),
    [anon_sym_PLUS] = ACTIONS(1715),
    [anon_sym_STAR] = ACTIONS(1717),
    [anon_sym_AMP] = ACTIONS(1717),
    [anon_sym_subroutine] = ACTIONS(1715),
    [anon_sym_invariant] = ACTIONS(1715),
    [anon_sym_precise] = ACTIONS(1715),
    [anon_sym_SEMI] = ACTIONS(1717),
    [anon_sym_in] = ACTIONS(1715),
    [anon_sym_out] = ACTIONS(1715),
    [anon_sym_inout] = ACTIONS(1715),
    [anon_sym_uniform] = ACTIONS(1715),
    [anon_sym_shared] = ACTIONS(1715),
    [anon_sym_attribute] = ACTIONS(1715),
    [anon_sym_varying] = ACTIONS(1715),
    [anon_sym_buffer] = ACTIONS(1715),
    [anon_sym_coherent] = ACTIONS(1715),
    [anon_sym_readonly] = ACTIONS(1715),
    [anon_sym_writeonly] = ACTIONS(1715),
    [anon_sym_precision] = ACTIONS(1715),
    [anon_sym_highp] = ACTIONS(1715),
    [anon_sym_mediump] = ACTIONS(1715),
    [anon_sym_lowp] = ACTIONS(1715),
    [anon_sym_centroid] = ACTIONS(1715),
    [anon_sym_sample] = ACTIONS(1715),
    [anon_sym_patch] = ACTIONS(1715),
    [anon_sym_smooth] = ACTIONS(1715),
    [anon_sym_flat] = ACTIONS(1715),
    [anon_sym_noperspective] = ACTIONS(1715),
    [anon_sym___extension__] = ACTIONS(1715),
    [anon_sym_typedef] = ACTIONS(1715),
    [anon_sym_extern] = ACTIONS(1715),
    [anon_sym___attribute__] = ACTIONS(1715),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1717),
    [anon_sym___declspec] = ACTIONS(1715),
    [anon_sym___cdecl] = ACTIONS(1715),
    [anon_sym___clrcall] = ACTIONS(1715),
    [anon_sym___stdcall] = ACTIONS(1715),
    [anon_sym___fastcall] = ACTIONS(1715),
    [anon_sym___thiscall] = ACTIONS(1715),
    [anon_sym___vectorcall] = ACTIONS(1715),
    [anon_sym_LBRACE] = ACTIONS(1717),
    [anon_sym_signed] = ACTIONS(1715),
    [anon_sym_unsigned] = ACTIONS(1715),
    [anon_sym_long] = ACTIONS(1715),
    [anon_sym_short] = ACTIONS(1715),
    [anon_sym_static] = ACTIONS(1715),
    [anon_sym_auto] = ACTIONS(1715),
    [anon_sym_register] = ACTIONS(1715),
    [anon_sym_inline] = ACTIONS(1715),
    [anon_sym___inline] = ACTIONS(1715),
    [anon_sym___inline__] = ACTIONS(1715),
    [anon_sym___forceinline] = ACTIONS(1715),
    [anon_sym_thread_local] = ACTIONS(1715),
    [anon_sym___thread] = ACTIONS(1715),
    [anon_sym_const] = ACTIONS(1715),
    [anon_sym_constexpr] = ACTIONS(1715),
    [anon_sym_volatile] = ACTIONS(1715),
    [anon_sym_restrict] = ACTIONS(1715),
    [anon_sym___restrict__] = ACTIONS(1715),
    [anon_sym__Atomic] = ACTIONS(1715),
    [anon_sym__Noreturn] = ACTIONS(1715),
    [anon_sym_noreturn] = ACTIONS(1715),
    [sym_primitive_type] = ACTIONS(1715),
    [anon_sym_enum] = ACTIONS(1715),
    [anon_sym_struct] = ACTIONS(1715),
    [anon_sym_union] = ACTIONS(1715),
    [anon_sym_if] = ACTIONS(1715),
    [anon_sym_switch] = ACTIONS(1715),
    [anon_sym_case] = ACTIONS(1715),
    [anon_sym_default] = ACTIONS(1715),
    [anon_sym_while] = ACTIONS(1715),
    [anon_sym_do] = ACTIONS(1715),
    [anon_sym_for] = ACTIONS(1715),
    [anon_sym_return] = ACTIONS(1715),
    [anon_sym_break] = ACTIONS(1715),
    [anon_sym_continue] = ACTIONS(1715),
    [anon_sym_goto] = ACTIONS(1715),
    [anon_sym___try] = ACTIONS(1715),
    [anon_sym___leave] = ACTIONS(1715),
    [anon_sym_DASH_DASH] = ACTIONS(1717),
    [anon_sym_PLUS_PLUS] = ACTIONS(1717),
    [anon_sym_sizeof] = ACTIONS(1715),
    [anon_sym___alignof__] = ACTIONS(1715),
    [anon_sym___alignof] = ACTIONS(1715),
    [anon_sym__alignof] = ACTIONS(1715),
    [anon_sym_alignof] = ACTIONS(1715),
    [anon_sym__Alignof] = ACTIONS(1715),
    [anon_sym_offsetof] = ACTIONS(1715),
    [anon_sym__Generic] = ACTIONS(1715),
    [anon_sym_asm] = ACTIONS(1715),
    [anon_sym___asm__] = ACTIONS(1715),
    [sym_number_literal] = ACTIONS(1717),
    [anon_sym_L_SQUOTE] = ACTIONS(1717),
    [anon_sym_u_SQUOTE] = ACTIONS(1717),
    [anon_sym_U_SQUOTE] = ACTIONS(1717),
    [anon_sym_u8_SQUOTE] = ACTIONS(1717),
    [anon_sym_SQUOTE] = ACTIONS(1717),
    [anon_sym_L_DQUOTE] = ACTIONS(1717),
    [anon_sym_u_DQUOTE] = ACTIONS(1717),
    [anon_sym_U_DQUOTE] = ACTIONS(1717),
    [anon_sym_u8_DQUOTE] = ACTIONS(1717),
    [anon_sym_DQUOTE] = ACTIONS(1717),
    [sym_true] = ACTIONS(1715),
    [sym_false] = ACTIONS(1715),
    [anon_sym_NULL] = ACTIONS(1715),
    [anon_sym_nullptr] = ACTIONS(1715),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1715),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1715),
    [anon_sym_hitAttributeEXT] = ACTIONS(1715),
    [anon_sym_callableDataEXT] = ACTIONS(1715),
    [anon_sym_callableDataInEXT] = ACTIONS(1715),
    [anon_sym_shaderRecordEXT] = ACTIONS(1715),
    [anon_sym_rayPayloadNV] = ACTIONS(1715),
    [anon_sym_rayPayloadInNV] = ACTIONS(1715),
    [anon_sym_hitAttributeNV] = ACTIONS(1715),
    [anon_sym_callableDataNV] = ACTIONS(1715),
    [anon_sym_callableDataInNV] = ACTIONS(1715),
    [anon_sym_shaderRecordNV] = ACTIONS(1715),
    [anon_sym_layout] = ACTIONS(1715),
  },
  [286] = {
    [sym_identifier] = ACTIONS(1711),
    [aux_sym_preproc_include_token1] = ACTIONS(1711),
    [aux_sym_preproc_def_token1] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1711),
    [aux_sym_preproc_if_token2] = ACTIONS(1711),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1711),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1711),
    [aux_sym_preproc_else_token1] = ACTIONS(1711),
    [aux_sym_preproc_elif_token1] = ACTIONS(1711),
    [sym_preproc_directive] = ACTIONS(1711),
    [anon_sym_LPAREN2] = ACTIONS(1713),
    [anon_sym_BANG] = ACTIONS(1713),
    [anon_sym_TILDE] = ACTIONS(1713),
    [anon_sym_DASH] = ACTIONS(1711),
    [anon_sym_PLUS] = ACTIONS(1711),
    [anon_sym_STAR] = ACTIONS(1713),
    [anon_sym_AMP] = ACTIONS(1713),
    [anon_sym_subroutine] = ACTIONS(1711),
    [anon_sym_invariant] = ACTIONS(1711),
    [anon_sym_precise] = ACTIONS(1711),
    [anon_sym_SEMI] = ACTIONS(1713),
    [anon_sym_in] = ACTIONS(1711),
    [anon_sym_out] = ACTIONS(1711),
    [anon_sym_inout] = ACTIONS(1711),
    [anon_sym_uniform] = ACTIONS(1711),
    [anon_sym_shared] = ACTIONS(1711),
    [anon_sym_attribute] = ACTIONS(1711),
    [anon_sym_varying] = ACTIONS(1711),
    [anon_sym_buffer] = ACTIONS(1711),
    [anon_sym_coherent] = ACTIONS(1711),
    [anon_sym_readonly] = ACTIONS(1711),
    [anon_sym_writeonly] = ACTIONS(1711),
    [anon_sym_precision] = ACTIONS(1711),
    [anon_sym_highp] = ACTIONS(1711),
    [anon_sym_mediump] = ACTIONS(1711),
    [anon_sym_lowp] = ACTIONS(1711),
    [anon_sym_centroid] = ACTIONS(1711),
    [anon_sym_sample] = ACTIONS(1711),
    [anon_sym_patch] = ACTIONS(1711),
    [anon_sym_smooth] = ACTIONS(1711),
    [anon_sym_flat] = ACTIONS(1711),
    [anon_sym_noperspective] = ACTIONS(1711),
    [anon_sym___extension__] = ACTIONS(1711),
    [anon_sym_typedef] = ACTIONS(1711),
    [anon_sym_extern] = ACTIONS(1711),
    [anon_sym___attribute__] = ACTIONS(1711),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1713),
    [anon_sym___declspec] = ACTIONS(1711),
    [anon_sym___cdecl] = ACTIONS(1711),
    [anon_sym___clrcall] = ACTIONS(1711),
    [anon_sym___stdcall] = ACTIONS(1711),
    [anon_sym___fastcall] = ACTIONS(1711),
    [anon_sym___thiscall] = ACTIONS(1711),
    [anon_sym___vectorcall] = ACTIONS(1711),
    [anon_sym_LBRACE] = ACTIONS(1713),
    [anon_sym_signed] = ACTIONS(1711),
    [anon_sym_unsigned] = ACTIONS(1711),
    [anon_sym_long] = ACTIONS(1711),
    [anon_sym_short] = ACTIONS(1711),
    [anon_sym_static] = ACTIONS(1711),
    [anon_sym_auto] = ACTIONS(1711),
    [anon_sym_register] = ACTIONS(1711),
    [anon_sym_inline] = ACTIONS(1711),
    [anon_sym___inline] = ACTIONS(1711),
    [anon_sym___inline__] = ACTIONS(1711),
    [anon_sym___forceinline] = ACTIONS(1711),
    [anon_sym_thread_local] = ACTIONS(1711),
    [anon_sym___thread] = ACTIONS(1711),
    [anon_sym_const] = ACTIONS(1711),
    [anon_sym_constexpr] = ACTIONS(1711),
    [anon_sym_volatile] = ACTIONS(1711),
    [anon_sym_restrict] = ACTIONS(1711),
    [anon_sym___restrict__] = ACTIONS(1711),
    [anon_sym__Atomic] = ACTIONS(1711),
    [anon_sym__Noreturn] = ACTIONS(1711),
    [anon_sym_noreturn] = ACTIONS(1711),
    [sym_primitive_type] = ACTIONS(1711),
    [anon_sym_enum] = ACTIONS(1711),
    [anon_sym_struct] = ACTIONS(1711),
    [anon_sym_union] = ACTIONS(1711),
    [anon_sym_if] = ACTIONS(1711),
    [anon_sym_switch] = ACTIONS(1711),
    [anon_sym_case] = ACTIONS(1711),
    [anon_sym_default] = ACTIONS(1711),
    [anon_sym_while] = ACTIONS(1711),
    [anon_sym_do] = ACTIONS(1711),
    [anon_sym_for] = ACTIONS(1711),
    [anon_sym_return] = ACTIONS(1711),
    [anon_sym_break] = ACTIONS(1711),
    [anon_sym_continue] = ACTIONS(1711),
    [anon_sym_goto] = ACTIONS(1711),
    [anon_sym___try] = ACTIONS(1711),
    [anon_sym___leave] = ACTIONS(1711),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_sizeof] = ACTIONS(1711),
    [anon_sym___alignof__] = ACTIONS(1711),
    [anon_sym___alignof] = ACTIONS(1711),
    [anon_sym__alignof] = ACTIONS(1711),
    [anon_sym_alignof] = ACTIONS(1711),
    [anon_sym__Alignof] = ACTIONS(1711),
    [anon_sym_offsetof] = ACTIONS(1711),
    [anon_sym__Generic] = ACTIONS(1711),
    [anon_sym_asm] = ACTIONS(1711),
    [anon_sym___asm__] = ACTIONS(1711),
    [sym_number_literal] = ACTIONS(1713),
    [anon_sym_L_SQUOTE] = ACTIONS(1713),
    [anon_sym_u_SQUOTE] = ACTIONS(1713),
    [anon_sym_U_SQUOTE] = ACTIONS(1713),
    [anon_sym_u8_SQUOTE] = ACTIONS(1713),
    [anon_sym_SQUOTE] = ACTIONS(1713),
    [anon_sym_L_DQUOTE] = ACTIONS(1713),
    [anon_sym_u_DQUOTE] = ACTIONS(1713),
    [anon_sym_U_DQUOTE] = ACTIONS(1713),
    [anon_sym_u8_DQUOTE] = ACTIONS(1713),
    [anon_sym_DQUOTE] = ACTIONS(1713),
    [sym_true] = ACTIONS(1711),
    [sym_false] = ACTIONS(1711),
    [anon_sym_NULL] = ACTIONS(1711),
    [anon_sym_nullptr] = ACTIONS(1711),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1711),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1711),
    [anon_sym_hitAttributeEXT] = ACTIONS(1711),
    [anon_sym_callableDataEXT] = ACTIONS(1711),
    [anon_sym_callableDataInEXT] = ACTIONS(1711),
    [anon_sym_shaderRecordEXT] = ACTIONS(1711),
    [anon_sym_rayPayloadNV] = ACTIONS(1711),
    [anon_sym_rayPayloadInNV] = ACTIONS(1711),
    [anon_sym_hitAttributeNV] = ACTIONS(1711),
    [anon_sym_callableDataNV] = ACTIONS(1711),
    [anon_sym_callableDataInNV] = ACTIONS(1711),
    [anon_sym_shaderRecordNV] = ACTIONS(1711),
    [anon_sym_layout] = ACTIONS(1711),
  },
  [287] = {
    [sym_identifier] = ACTIONS(1707),
    [aux_sym_preproc_include_token1] = ACTIONS(1707),
    [aux_sym_preproc_def_token1] = ACTIONS(1707),
    [aux_sym_preproc_if_token1] = ACTIONS(1707),
    [aux_sym_preproc_if_token2] = ACTIONS(1707),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1707),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1707),
    [aux_sym_preproc_else_token1] = ACTIONS(1707),
    [aux_sym_preproc_elif_token1] = ACTIONS(1707),
    [sym_preproc_directive] = ACTIONS(1707),
    [anon_sym_LPAREN2] = ACTIONS(1709),
    [anon_sym_BANG] = ACTIONS(1709),
    [anon_sym_TILDE] = ACTIONS(1709),
    [anon_sym_DASH] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1707),
    [anon_sym_STAR] = ACTIONS(1709),
    [anon_sym_AMP] = ACTIONS(1709),
    [anon_sym_subroutine] = ACTIONS(1707),
    [anon_sym_invariant] = ACTIONS(1707),
    [anon_sym_precise] = ACTIONS(1707),
    [anon_sym_SEMI] = ACTIONS(1709),
    [anon_sym_in] = ACTIONS(1707),
    [anon_sym_out] = ACTIONS(1707),
    [anon_sym_inout] = ACTIONS(1707),
    [anon_sym_uniform] = ACTIONS(1707),
    [anon_sym_shared] = ACTIONS(1707),
    [anon_sym_attribute] = ACTIONS(1707),
    [anon_sym_varying] = ACTIONS(1707),
    [anon_sym_buffer] = ACTIONS(1707),
    [anon_sym_coherent] = ACTIONS(1707),
    [anon_sym_readonly] = ACTIONS(1707),
    [anon_sym_writeonly] = ACTIONS(1707),
    [anon_sym_precision] = ACTIONS(1707),
    [anon_sym_highp] = ACTIONS(1707),
    [anon_sym_mediump] = ACTIONS(1707),
    [anon_sym_lowp] = ACTIONS(1707),
    [anon_sym_centroid] = ACTIONS(1707),
    [anon_sym_sample] = ACTIONS(1707),
    [anon_sym_patch] = ACTIONS(1707),
    [anon_sym_smooth] = ACTIONS(1707),
    [anon_sym_flat] = ACTIONS(1707),
    [anon_sym_noperspective] = ACTIONS(1707),
    [anon_sym___extension__] = ACTIONS(1707),
    [anon_sym_typedef] = ACTIONS(1707),
    [anon_sym_extern] = ACTIONS(1707),
    [anon_sym___attribute__] = ACTIONS(1707),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1709),
    [anon_sym___declspec] = ACTIONS(1707),
    [anon_sym___cdecl] = ACTIONS(1707),
    [anon_sym___clrcall] = ACTIONS(1707),
    [anon_sym___stdcall] = ACTIONS(1707),
    [anon_sym___fastcall] = ACTIONS(1707),
    [anon_sym___thiscall] = ACTIONS(1707),
    [anon_sym___vectorcall] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1709),
    [anon_sym_signed] = ACTIONS(1707),
    [anon_sym_unsigned] = ACTIONS(1707),
    [anon_sym_long] = ACTIONS(1707),
    [anon_sym_short] = ACTIONS(1707),
    [anon_sym_static] = ACTIONS(1707),
    [anon_sym_auto] = ACTIONS(1707),
    [anon_sym_register] = ACTIONS(1707),
    [anon_sym_inline] = ACTIONS(1707),
    [anon_sym___inline] = ACTIONS(1707),
    [anon_sym___inline__] = ACTIONS(1707),
    [anon_sym___forceinline] = ACTIONS(1707),
    [anon_sym_thread_local] = ACTIONS(1707),
    [anon_sym___thread] = ACTIONS(1707),
    [anon_sym_const] = ACTIONS(1707),
    [anon_sym_constexpr] = ACTIONS(1707),
    [anon_sym_volatile] = ACTIONS(1707),
    [anon_sym_restrict] = ACTIONS(1707),
    [anon_sym___restrict__] = ACTIONS(1707),
    [anon_sym__Atomic] = ACTIONS(1707),
    [anon_sym__Noreturn] = ACTIONS(1707),
    [anon_sym_noreturn] = ACTIONS(1707),
    [sym_primitive_type] = ACTIONS(1707),
    [anon_sym_enum] = ACTIONS(1707),
    [anon_sym_struct] = ACTIONS(1707),
    [anon_sym_union] = ACTIONS(1707),
    [anon_sym_if] = ACTIONS(1707),
    [anon_sym_switch] = ACTIONS(1707),
    [anon_sym_case] = ACTIONS(1707),
    [anon_sym_default] = ACTIONS(1707),
    [anon_sym_while] = ACTIONS(1707),
    [anon_sym_do] = ACTIONS(1707),
    [anon_sym_for] = ACTIONS(1707),
    [anon_sym_return] = ACTIONS(1707),
    [anon_sym_break] = ACTIONS(1707),
    [anon_sym_continue] = ACTIONS(1707),
    [anon_sym_goto] = ACTIONS(1707),
    [anon_sym___try] = ACTIONS(1707),
    [anon_sym___leave] = ACTIONS(1707),
    [anon_sym_DASH_DASH] = ACTIONS(1709),
    [anon_sym_PLUS_PLUS] = ACTIONS(1709),
    [anon_sym_sizeof] = ACTIONS(1707),
    [anon_sym___alignof__] = ACTIONS(1707),
    [anon_sym___alignof] = ACTIONS(1707),
    [anon_sym__alignof] = ACTIONS(1707),
    [anon_sym_alignof] = ACTIONS(1707),
    [anon_sym__Alignof] = ACTIONS(1707),
    [anon_sym_offsetof] = ACTIONS(1707),
    [anon_sym__Generic] = ACTIONS(1707),
    [anon_sym_asm] = ACTIONS(1707),
    [anon_sym___asm__] = ACTIONS(1707),
    [sym_number_literal] = ACTIONS(1709),
    [anon_sym_L_SQUOTE] = ACTIONS(1709),
    [anon_sym_u_SQUOTE] = ACTIONS(1709),
    [anon_sym_U_SQUOTE] = ACTIONS(1709),
    [anon_sym_u8_SQUOTE] = ACTIONS(1709),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [anon_sym_L_DQUOTE] = ACTIONS(1709),
    [anon_sym_u_DQUOTE] = ACTIONS(1709),
    [anon_sym_U_DQUOTE] = ACTIONS(1709),
    [anon_sym_u8_DQUOTE] = ACTIONS(1709),
    [anon_sym_DQUOTE] = ACTIONS(1709),
    [sym_true] = ACTIONS(1707),
    [sym_false] = ACTIONS(1707),
    [anon_sym_NULL] = ACTIONS(1707),
    [anon_sym_nullptr] = ACTIONS(1707),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1707),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1707),
    [anon_sym_hitAttributeEXT] = ACTIONS(1707),
    [anon_sym_callableDataEXT] = ACTIONS(1707),
    [anon_sym_callableDataInEXT] = ACTIONS(1707),
    [anon_sym_shaderRecordEXT] = ACTIONS(1707),
    [anon_sym_rayPayloadNV] = ACTIONS(1707),
    [anon_sym_rayPayloadInNV] = ACTIONS(1707),
    [anon_sym_hitAttributeNV] = ACTIONS(1707),
    [anon_sym_callableDataNV] = ACTIONS(1707),
    [anon_sym_callableDataInNV] = ACTIONS(1707),
    [anon_sym_shaderRecordNV] = ACTIONS(1707),
    [anon_sym_layout] = ACTIONS(1707),
  },
  [288] = {
    [sym_else_clause] = STATE(426),
    [sym_identifier] = ACTIONS(1423),
    [aux_sym_preproc_include_token1] = ACTIONS(1423),
    [aux_sym_preproc_def_token1] = ACTIONS(1423),
    [aux_sym_preproc_if_token1] = ACTIONS(1423),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1423),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1423),
    [sym_preproc_directive] = ACTIONS(1423),
    [anon_sym_LPAREN2] = ACTIONS(1425),
    [anon_sym_BANG] = ACTIONS(1425),
    [anon_sym_TILDE] = ACTIONS(1425),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1425),
    [anon_sym_AMP] = ACTIONS(1425),
    [anon_sym_subroutine] = ACTIONS(1423),
    [anon_sym_invariant] = ACTIONS(1423),
    [anon_sym_precise] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1425),
    [anon_sym_in] = ACTIONS(1423),
    [anon_sym_out] = ACTIONS(1423),
    [anon_sym_inout] = ACTIONS(1423),
    [anon_sym_uniform] = ACTIONS(1423),
    [anon_sym_shared] = ACTIONS(1423),
    [anon_sym_attribute] = ACTIONS(1423),
    [anon_sym_varying] = ACTIONS(1423),
    [anon_sym_buffer] = ACTIONS(1423),
    [anon_sym_coherent] = ACTIONS(1423),
    [anon_sym_readonly] = ACTIONS(1423),
    [anon_sym_writeonly] = ACTIONS(1423),
    [anon_sym_precision] = ACTIONS(1423),
    [anon_sym_highp] = ACTIONS(1423),
    [anon_sym_mediump] = ACTIONS(1423),
    [anon_sym_lowp] = ACTIONS(1423),
    [anon_sym_centroid] = ACTIONS(1423),
    [anon_sym_sample] = ACTIONS(1423),
    [anon_sym_patch] = ACTIONS(1423),
    [anon_sym_smooth] = ACTIONS(1423),
    [anon_sym_flat] = ACTIONS(1423),
    [anon_sym_noperspective] = ACTIONS(1423),
    [anon_sym___extension__] = ACTIONS(1423),
    [anon_sym_typedef] = ACTIONS(1423),
    [anon_sym_extern] = ACTIONS(1423),
    [anon_sym___attribute__] = ACTIONS(1423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1425),
    [anon_sym___declspec] = ACTIONS(1423),
    [anon_sym___cdecl] = ACTIONS(1423),
    [anon_sym___clrcall] = ACTIONS(1423),
    [anon_sym___stdcall] = ACTIONS(1423),
    [anon_sym___fastcall] = ACTIONS(1423),
    [anon_sym___thiscall] = ACTIONS(1423),
    [anon_sym___vectorcall] = ACTIONS(1423),
    [anon_sym_LBRACE] = ACTIONS(1425),
    [anon_sym_RBRACE] = ACTIONS(1425),
    [anon_sym_signed] = ACTIONS(1423),
    [anon_sym_unsigned] = ACTIONS(1423),
    [anon_sym_long] = ACTIONS(1423),
    [anon_sym_short] = ACTIONS(1423),
    [anon_sym_static] = ACTIONS(1423),
    [anon_sym_auto] = ACTIONS(1423),
    [anon_sym_register] = ACTIONS(1423),
    [anon_sym_inline] = ACTIONS(1423),
    [anon_sym___inline] = ACTIONS(1423),
    [anon_sym___inline__] = ACTIONS(1423),
    [anon_sym___forceinline] = ACTIONS(1423),
    [anon_sym_thread_local] = ACTIONS(1423),
    [anon_sym___thread] = ACTIONS(1423),
    [anon_sym_const] = ACTIONS(1423),
    [anon_sym_constexpr] = ACTIONS(1423),
    [anon_sym_volatile] = ACTIONS(1423),
    [anon_sym_restrict] = ACTIONS(1423),
    [anon_sym___restrict__] = ACTIONS(1423),
    [anon_sym__Atomic] = ACTIONS(1423),
    [anon_sym__Noreturn] = ACTIONS(1423),
    [anon_sym_noreturn] = ACTIONS(1423),
    [sym_primitive_type] = ACTIONS(1423),
    [anon_sym_enum] = ACTIONS(1423),
    [anon_sym_struct] = ACTIONS(1423),
    [anon_sym_union] = ACTIONS(1423),
    [anon_sym_if] = ACTIONS(1423),
    [anon_sym_else] = ACTIONS(1729),
    [anon_sym_switch] = ACTIONS(1423),
    [anon_sym_case] = ACTIONS(1423),
    [anon_sym_default] = ACTIONS(1423),
    [anon_sym_while] = ACTIONS(1423),
    [anon_sym_do] = ACTIONS(1423),
    [anon_sym_for] = ACTIONS(1423),
    [anon_sym_return] = ACTIONS(1423),
    [anon_sym_break] = ACTIONS(1423),
    [anon_sym_continue] = ACTIONS(1423),
    [anon_sym_goto] = ACTIONS(1423),
    [anon_sym___try] = ACTIONS(1423),
    [anon_sym___leave] = ACTIONS(1423),
    [anon_sym_DASH_DASH] = ACTIONS(1425),
    [anon_sym_PLUS_PLUS] = ACTIONS(1425),
    [anon_sym_sizeof] = ACTIONS(1423),
    [anon_sym___alignof__] = ACTIONS(1423),
    [anon_sym___alignof] = ACTIONS(1423),
    [anon_sym__alignof] = ACTIONS(1423),
    [anon_sym_alignof] = ACTIONS(1423),
    [anon_sym__Alignof] = ACTIONS(1423),
    [anon_sym_offsetof] = ACTIONS(1423),
    [anon_sym__Generic] = ACTIONS(1423),
    [anon_sym_asm] = ACTIONS(1423),
    [anon_sym___asm__] = ACTIONS(1423),
    [sym_number_literal] = ACTIONS(1425),
    [anon_sym_L_SQUOTE] = ACTIONS(1425),
    [anon_sym_u_SQUOTE] = ACTIONS(1425),
    [anon_sym_U_SQUOTE] = ACTIONS(1425),
    [anon_sym_u8_SQUOTE] = ACTIONS(1425),
    [anon_sym_SQUOTE] = ACTIONS(1425),
    [anon_sym_L_DQUOTE] = ACTIONS(1425),
    [anon_sym_u_DQUOTE] = ACTIONS(1425),
    [anon_sym_U_DQUOTE] = ACTIONS(1425),
    [anon_sym_u8_DQUOTE] = ACTIONS(1425),
    [anon_sym_DQUOTE] = ACTIONS(1425),
    [sym_true] = ACTIONS(1423),
    [sym_false] = ACTIONS(1423),
    [anon_sym_NULL] = ACTIONS(1423),
    [anon_sym_nullptr] = ACTIONS(1423),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1423),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1423),
    [anon_sym_hitAttributeEXT] = ACTIONS(1423),
    [anon_sym_callableDataEXT] = ACTIONS(1423),
    [anon_sym_callableDataInEXT] = ACTIONS(1423),
    [anon_sym_shaderRecordEXT] = ACTIONS(1423),
    [anon_sym_rayPayloadNV] = ACTIONS(1423),
    [anon_sym_rayPayloadInNV] = ACTIONS(1423),
    [anon_sym_hitAttributeNV] = ACTIONS(1423),
    [anon_sym_callableDataNV] = ACTIONS(1423),
    [anon_sym_callableDataInNV] = ACTIONS(1423),
    [anon_sym_shaderRecordNV] = ACTIONS(1423),
    [anon_sym_layout] = ACTIONS(1423),
  },
  [289] = {
    [sym_identifier] = ACTIONS(1703),
    [aux_sym_preproc_include_token1] = ACTIONS(1703),
    [aux_sym_preproc_def_token1] = ACTIONS(1703),
    [aux_sym_preproc_if_token1] = ACTIONS(1703),
    [aux_sym_preproc_if_token2] = ACTIONS(1703),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1703),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1703),
    [aux_sym_preproc_else_token1] = ACTIONS(1703),
    [aux_sym_preproc_elif_token1] = ACTIONS(1703),
    [sym_preproc_directive] = ACTIONS(1703),
    [anon_sym_LPAREN2] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1705),
    [anon_sym_TILDE] = ACTIONS(1705),
    [anon_sym_DASH] = ACTIONS(1703),
    [anon_sym_PLUS] = ACTIONS(1703),
    [anon_sym_STAR] = ACTIONS(1705),
    [anon_sym_AMP] = ACTIONS(1705),
    [anon_sym_subroutine] = ACTIONS(1703),
    [anon_sym_invariant] = ACTIONS(1703),
    [anon_sym_precise] = ACTIONS(1703),
    [anon_sym_SEMI] = ACTIONS(1705),
    [anon_sym_in] = ACTIONS(1703),
    [anon_sym_out] = ACTIONS(1703),
    [anon_sym_inout] = ACTIONS(1703),
    [anon_sym_uniform] = ACTIONS(1703),
    [anon_sym_shared] = ACTIONS(1703),
    [anon_sym_attribute] = ACTIONS(1703),
    [anon_sym_varying] = ACTIONS(1703),
    [anon_sym_buffer] = ACTIONS(1703),
    [anon_sym_coherent] = ACTIONS(1703),
    [anon_sym_readonly] = ACTIONS(1703),
    [anon_sym_writeonly] = ACTIONS(1703),
    [anon_sym_precision] = ACTIONS(1703),
    [anon_sym_highp] = ACTIONS(1703),
    [anon_sym_mediump] = ACTIONS(1703),
    [anon_sym_lowp] = ACTIONS(1703),
    [anon_sym_centroid] = ACTIONS(1703),
    [anon_sym_sample] = ACTIONS(1703),
    [anon_sym_patch] = ACTIONS(1703),
    [anon_sym_smooth] = ACTIONS(1703),
    [anon_sym_flat] = ACTIONS(1703),
    [anon_sym_noperspective] = ACTIONS(1703),
    [anon_sym___extension__] = ACTIONS(1703),
    [anon_sym_typedef] = ACTIONS(1703),
    [anon_sym_extern] = ACTIONS(1703),
    [anon_sym___attribute__] = ACTIONS(1703),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1705),
    [anon_sym___declspec] = ACTIONS(1703),
    [anon_sym___cdecl] = ACTIONS(1703),
    [anon_sym___clrcall] = ACTIONS(1703),
    [anon_sym___stdcall] = ACTIONS(1703),
    [anon_sym___fastcall] = ACTIONS(1703),
    [anon_sym___thiscall] = ACTIONS(1703),
    [anon_sym___vectorcall] = ACTIONS(1703),
    [anon_sym_LBRACE] = ACTIONS(1705),
    [anon_sym_signed] = ACTIONS(1703),
    [anon_sym_unsigned] = ACTIONS(1703),
    [anon_sym_long] = ACTIONS(1703),
    [anon_sym_short] = ACTIONS(1703),
    [anon_sym_static] = ACTIONS(1703),
    [anon_sym_auto] = ACTIONS(1703),
    [anon_sym_register] = ACTIONS(1703),
    [anon_sym_inline] = ACTIONS(1703),
    [anon_sym___inline] = ACTIONS(1703),
    [anon_sym___inline__] = ACTIONS(1703),
    [anon_sym___forceinline] = ACTIONS(1703),
    [anon_sym_thread_local] = ACTIONS(1703),
    [anon_sym___thread] = ACTIONS(1703),
    [anon_sym_const] = ACTIONS(1703),
    [anon_sym_constexpr] = ACTIONS(1703),
    [anon_sym_volatile] = ACTIONS(1703),
    [anon_sym_restrict] = ACTIONS(1703),
    [anon_sym___restrict__] = ACTIONS(1703),
    [anon_sym__Atomic] = ACTIONS(1703),
    [anon_sym__Noreturn] = ACTIONS(1703),
    [anon_sym_noreturn] = ACTIONS(1703),
    [sym_primitive_type] = ACTIONS(1703),
    [anon_sym_enum] = ACTIONS(1703),
    [anon_sym_struct] = ACTIONS(1703),
    [anon_sym_union] = ACTIONS(1703),
    [anon_sym_if] = ACTIONS(1703),
    [anon_sym_switch] = ACTIONS(1703),
    [anon_sym_case] = ACTIONS(1703),
    [anon_sym_default] = ACTIONS(1703),
    [anon_sym_while] = ACTIONS(1703),
    [anon_sym_do] = ACTIONS(1703),
    [anon_sym_for] = ACTIONS(1703),
    [anon_sym_return] = ACTIONS(1703),
    [anon_sym_break] = ACTIONS(1703),
    [anon_sym_continue] = ACTIONS(1703),
    [anon_sym_goto] = ACTIONS(1703),
    [anon_sym___try] = ACTIONS(1703),
    [anon_sym___leave] = ACTIONS(1703),
    [anon_sym_DASH_DASH] = ACTIONS(1705),
    [anon_sym_PLUS_PLUS] = ACTIONS(1705),
    [anon_sym_sizeof] = ACTIONS(1703),
    [anon_sym___alignof__] = ACTIONS(1703),
    [anon_sym___alignof] = ACTIONS(1703),
    [anon_sym__alignof] = ACTIONS(1703),
    [anon_sym_alignof] = ACTIONS(1703),
    [anon_sym__Alignof] = ACTIONS(1703),
    [anon_sym_offsetof] = ACTIONS(1703),
    [anon_sym__Generic] = ACTIONS(1703),
    [anon_sym_asm] = ACTIONS(1703),
    [anon_sym___asm__] = ACTIONS(1703),
    [sym_number_literal] = ACTIONS(1705),
    [anon_sym_L_SQUOTE] = ACTIONS(1705),
    [anon_sym_u_SQUOTE] = ACTIONS(1705),
    [anon_sym_U_SQUOTE] = ACTIONS(1705),
    [anon_sym_u8_SQUOTE] = ACTIONS(1705),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_L_DQUOTE] = ACTIONS(1705),
    [anon_sym_u_DQUOTE] = ACTIONS(1705),
    [anon_sym_U_DQUOTE] = ACTIONS(1705),
    [anon_sym_u8_DQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1705),
    [sym_true] = ACTIONS(1703),
    [sym_false] = ACTIONS(1703),
    [anon_sym_NULL] = ACTIONS(1703),
    [anon_sym_nullptr] = ACTIONS(1703),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1703),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1703),
    [anon_sym_hitAttributeEXT] = ACTIONS(1703),
    [anon_sym_callableDataEXT] = ACTIONS(1703),
    [anon_sym_callableDataInEXT] = ACTIONS(1703),
    [anon_sym_shaderRecordEXT] = ACTIONS(1703),
    [anon_sym_rayPayloadNV] = ACTIONS(1703),
    [anon_sym_rayPayloadInNV] = ACTIONS(1703),
    [anon_sym_hitAttributeNV] = ACTIONS(1703),
    [anon_sym_callableDataNV] = ACTIONS(1703),
    [anon_sym_callableDataInNV] = ACTIONS(1703),
    [anon_sym_shaderRecordNV] = ACTIONS(1703),
    [anon_sym_layout] = ACTIONS(1703),
  },
  [290] = {
    [sym_identifier] = ACTIONS(1687),
    [aux_sym_preproc_include_token1] = ACTIONS(1687),
    [aux_sym_preproc_def_token1] = ACTIONS(1687),
    [aux_sym_preproc_if_token1] = ACTIONS(1687),
    [aux_sym_preproc_if_token2] = ACTIONS(1687),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1687),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1687),
    [aux_sym_preproc_else_token1] = ACTIONS(1687),
    [aux_sym_preproc_elif_token1] = ACTIONS(1687),
    [sym_preproc_directive] = ACTIONS(1687),
    [anon_sym_LPAREN2] = ACTIONS(1689),
    [anon_sym_BANG] = ACTIONS(1689),
    [anon_sym_TILDE] = ACTIONS(1689),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_PLUS] = ACTIONS(1687),
    [anon_sym_STAR] = ACTIONS(1689),
    [anon_sym_AMP] = ACTIONS(1689),
    [anon_sym_subroutine] = ACTIONS(1687),
    [anon_sym_invariant] = ACTIONS(1687),
    [anon_sym_precise] = ACTIONS(1687),
    [anon_sym_SEMI] = ACTIONS(1689),
    [anon_sym_in] = ACTIONS(1687),
    [anon_sym_out] = ACTIONS(1687),
    [anon_sym_inout] = ACTIONS(1687),
    [anon_sym_uniform] = ACTIONS(1687),
    [anon_sym_shared] = ACTIONS(1687),
    [anon_sym_attribute] = ACTIONS(1687),
    [anon_sym_varying] = ACTIONS(1687),
    [anon_sym_buffer] = ACTIONS(1687),
    [anon_sym_coherent] = ACTIONS(1687),
    [anon_sym_readonly] = ACTIONS(1687),
    [anon_sym_writeonly] = ACTIONS(1687),
    [anon_sym_precision] = ACTIONS(1687),
    [anon_sym_highp] = ACTIONS(1687),
    [anon_sym_mediump] = ACTIONS(1687),
    [anon_sym_lowp] = ACTIONS(1687),
    [anon_sym_centroid] = ACTIONS(1687),
    [anon_sym_sample] = ACTIONS(1687),
    [anon_sym_patch] = ACTIONS(1687),
    [anon_sym_smooth] = ACTIONS(1687),
    [anon_sym_flat] = ACTIONS(1687),
    [anon_sym_noperspective] = ACTIONS(1687),
    [anon_sym___extension__] = ACTIONS(1687),
    [anon_sym_typedef] = ACTIONS(1687),
    [anon_sym_extern] = ACTIONS(1687),
    [anon_sym___attribute__] = ACTIONS(1687),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1689),
    [anon_sym___declspec] = ACTIONS(1687),
    [anon_sym___cdecl] = ACTIONS(1687),
    [anon_sym___clrcall] = ACTIONS(1687),
    [anon_sym___stdcall] = ACTIONS(1687),
    [anon_sym___fastcall] = ACTIONS(1687),
    [anon_sym___thiscall] = ACTIONS(1687),
    [anon_sym___vectorcall] = ACTIONS(1687),
    [anon_sym_LBRACE] = ACTIONS(1689),
    [anon_sym_signed] = ACTIONS(1687),
    [anon_sym_unsigned] = ACTIONS(1687),
    [anon_sym_long] = ACTIONS(1687),
    [anon_sym_short] = ACTIONS(1687),
    [anon_sym_static] = ACTIONS(1687),
    [anon_sym_auto] = ACTIONS(1687),
    [anon_sym_register] = ACTIONS(1687),
    [anon_sym_inline] = ACTIONS(1687),
    [anon_sym___inline] = ACTIONS(1687),
    [anon_sym___inline__] = ACTIONS(1687),
    [anon_sym___forceinline] = ACTIONS(1687),
    [anon_sym_thread_local] = ACTIONS(1687),
    [anon_sym___thread] = ACTIONS(1687),
    [anon_sym_const] = ACTIONS(1687),
    [anon_sym_constexpr] = ACTIONS(1687),
    [anon_sym_volatile] = ACTIONS(1687),
    [anon_sym_restrict] = ACTIONS(1687),
    [anon_sym___restrict__] = ACTIONS(1687),
    [anon_sym__Atomic] = ACTIONS(1687),
    [anon_sym__Noreturn] = ACTIONS(1687),
    [anon_sym_noreturn] = ACTIONS(1687),
    [sym_primitive_type] = ACTIONS(1687),
    [anon_sym_enum] = ACTIONS(1687),
    [anon_sym_struct] = ACTIONS(1687),
    [anon_sym_union] = ACTIONS(1687),
    [anon_sym_if] = ACTIONS(1687),
    [anon_sym_switch] = ACTIONS(1687),
    [anon_sym_case] = ACTIONS(1687),
    [anon_sym_default] = ACTIONS(1687),
    [anon_sym_while] = ACTIONS(1687),
    [anon_sym_do] = ACTIONS(1687),
    [anon_sym_for] = ACTIONS(1687),
    [anon_sym_return] = ACTIONS(1687),
    [anon_sym_break] = ACTIONS(1687),
    [anon_sym_continue] = ACTIONS(1687),
    [anon_sym_goto] = ACTIONS(1687),
    [anon_sym___try] = ACTIONS(1687),
    [anon_sym___leave] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_sizeof] = ACTIONS(1687),
    [anon_sym___alignof__] = ACTIONS(1687),
    [anon_sym___alignof] = ACTIONS(1687),
    [anon_sym__alignof] = ACTIONS(1687),
    [anon_sym_alignof] = ACTIONS(1687),
    [anon_sym__Alignof] = ACTIONS(1687),
    [anon_sym_offsetof] = ACTIONS(1687),
    [anon_sym__Generic] = ACTIONS(1687),
    [anon_sym_asm] = ACTIONS(1687),
    [anon_sym___asm__] = ACTIONS(1687),
    [sym_number_literal] = ACTIONS(1689),
    [anon_sym_L_SQUOTE] = ACTIONS(1689),
    [anon_sym_u_SQUOTE] = ACTIONS(1689),
    [anon_sym_U_SQUOTE] = ACTIONS(1689),
    [anon_sym_u8_SQUOTE] = ACTIONS(1689),
    [anon_sym_SQUOTE] = ACTIONS(1689),
    [anon_sym_L_DQUOTE] = ACTIONS(1689),
    [anon_sym_u_DQUOTE] = ACTIONS(1689),
    [anon_sym_U_DQUOTE] = ACTIONS(1689),
    [anon_sym_u8_DQUOTE] = ACTIONS(1689),
    [anon_sym_DQUOTE] = ACTIONS(1689),
    [sym_true] = ACTIONS(1687),
    [sym_false] = ACTIONS(1687),
    [anon_sym_NULL] = ACTIONS(1687),
    [anon_sym_nullptr] = ACTIONS(1687),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1687),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1687),
    [anon_sym_hitAttributeEXT] = ACTIONS(1687),
    [anon_sym_callableDataEXT] = ACTIONS(1687),
    [anon_sym_callableDataInEXT] = ACTIONS(1687),
    [anon_sym_shaderRecordEXT] = ACTIONS(1687),
    [anon_sym_rayPayloadNV] = ACTIONS(1687),
    [anon_sym_rayPayloadInNV] = ACTIONS(1687),
    [anon_sym_hitAttributeNV] = ACTIONS(1687),
    [anon_sym_callableDataNV] = ACTIONS(1687),
    [anon_sym_callableDataInNV] = ACTIONS(1687),
    [anon_sym_shaderRecordNV] = ACTIONS(1687),
    [anon_sym_layout] = ACTIONS(1687),
  },
  [291] = {
    [sym_identifier] = ACTIONS(1699),
    [aux_sym_preproc_include_token1] = ACTIONS(1699),
    [aux_sym_preproc_def_token1] = ACTIONS(1699),
    [aux_sym_preproc_if_token1] = ACTIONS(1699),
    [aux_sym_preproc_if_token2] = ACTIONS(1699),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1699),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1699),
    [aux_sym_preproc_else_token1] = ACTIONS(1699),
    [aux_sym_preproc_elif_token1] = ACTIONS(1699),
    [sym_preproc_directive] = ACTIONS(1699),
    [anon_sym_LPAREN2] = ACTIONS(1701),
    [anon_sym_BANG] = ACTIONS(1701),
    [anon_sym_TILDE] = ACTIONS(1701),
    [anon_sym_DASH] = ACTIONS(1699),
    [anon_sym_PLUS] = ACTIONS(1699),
    [anon_sym_STAR] = ACTIONS(1701),
    [anon_sym_AMP] = ACTIONS(1701),
    [anon_sym_subroutine] = ACTIONS(1699),
    [anon_sym_invariant] = ACTIONS(1699),
    [anon_sym_precise] = ACTIONS(1699),
    [anon_sym_SEMI] = ACTIONS(1701),
    [anon_sym_in] = ACTIONS(1699),
    [anon_sym_out] = ACTIONS(1699),
    [anon_sym_inout] = ACTIONS(1699),
    [anon_sym_uniform] = ACTIONS(1699),
    [anon_sym_shared] = ACTIONS(1699),
    [anon_sym_attribute] = ACTIONS(1699),
    [anon_sym_varying] = ACTIONS(1699),
    [anon_sym_buffer] = ACTIONS(1699),
    [anon_sym_coherent] = ACTIONS(1699),
    [anon_sym_readonly] = ACTIONS(1699),
    [anon_sym_writeonly] = ACTIONS(1699),
    [anon_sym_precision] = ACTIONS(1699),
    [anon_sym_highp] = ACTIONS(1699),
    [anon_sym_mediump] = ACTIONS(1699),
    [anon_sym_lowp] = ACTIONS(1699),
    [anon_sym_centroid] = ACTIONS(1699),
    [anon_sym_sample] = ACTIONS(1699),
    [anon_sym_patch] = ACTIONS(1699),
    [anon_sym_smooth] = ACTIONS(1699),
    [anon_sym_flat] = ACTIONS(1699),
    [anon_sym_noperspective] = ACTIONS(1699),
    [anon_sym___extension__] = ACTIONS(1699),
    [anon_sym_typedef] = ACTIONS(1699),
    [anon_sym_extern] = ACTIONS(1699),
    [anon_sym___attribute__] = ACTIONS(1699),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1701),
    [anon_sym___declspec] = ACTIONS(1699),
    [anon_sym___cdecl] = ACTIONS(1699),
    [anon_sym___clrcall] = ACTIONS(1699),
    [anon_sym___stdcall] = ACTIONS(1699),
    [anon_sym___fastcall] = ACTIONS(1699),
    [anon_sym___thiscall] = ACTIONS(1699),
    [anon_sym___vectorcall] = ACTIONS(1699),
    [anon_sym_LBRACE] = ACTIONS(1701),
    [anon_sym_signed] = ACTIONS(1699),
    [anon_sym_unsigned] = ACTIONS(1699),
    [anon_sym_long] = ACTIONS(1699),
    [anon_sym_short] = ACTIONS(1699),
    [anon_sym_static] = ACTIONS(1699),
    [anon_sym_auto] = ACTIONS(1699),
    [anon_sym_register] = ACTIONS(1699),
    [anon_sym_inline] = ACTIONS(1699),
    [anon_sym___inline] = ACTIONS(1699),
    [anon_sym___inline__] = ACTIONS(1699),
    [anon_sym___forceinline] = ACTIONS(1699),
    [anon_sym_thread_local] = ACTIONS(1699),
    [anon_sym___thread] = ACTIONS(1699),
    [anon_sym_const] = ACTIONS(1699),
    [anon_sym_constexpr] = ACTIONS(1699),
    [anon_sym_volatile] = ACTIONS(1699),
    [anon_sym_restrict] = ACTIONS(1699),
    [anon_sym___restrict__] = ACTIONS(1699),
    [anon_sym__Atomic] = ACTIONS(1699),
    [anon_sym__Noreturn] = ACTIONS(1699),
    [anon_sym_noreturn] = ACTIONS(1699),
    [sym_primitive_type] = ACTIONS(1699),
    [anon_sym_enum] = ACTIONS(1699),
    [anon_sym_struct] = ACTIONS(1699),
    [anon_sym_union] = ACTIONS(1699),
    [anon_sym_if] = ACTIONS(1699),
    [anon_sym_switch] = ACTIONS(1699),
    [anon_sym_case] = ACTIONS(1699),
    [anon_sym_default] = ACTIONS(1699),
    [anon_sym_while] = ACTIONS(1699),
    [anon_sym_do] = ACTIONS(1699),
    [anon_sym_for] = ACTIONS(1699),
    [anon_sym_return] = ACTIONS(1699),
    [anon_sym_break] = ACTIONS(1699),
    [anon_sym_continue] = ACTIONS(1699),
    [anon_sym_goto] = ACTIONS(1699),
    [anon_sym___try] = ACTIONS(1699),
    [anon_sym___leave] = ACTIONS(1699),
    [anon_sym_DASH_DASH] = ACTIONS(1701),
    [anon_sym_PLUS_PLUS] = ACTIONS(1701),
    [anon_sym_sizeof] = ACTIONS(1699),
    [anon_sym___alignof__] = ACTIONS(1699),
    [anon_sym___alignof] = ACTIONS(1699),
    [anon_sym__alignof] = ACTIONS(1699),
    [anon_sym_alignof] = ACTIONS(1699),
    [anon_sym__Alignof] = ACTIONS(1699),
    [anon_sym_offsetof] = ACTIONS(1699),
    [anon_sym__Generic] = ACTIONS(1699),
    [anon_sym_asm] = ACTIONS(1699),
    [anon_sym___asm__] = ACTIONS(1699),
    [sym_number_literal] = ACTIONS(1701),
    [anon_sym_L_SQUOTE] = ACTIONS(1701),
    [anon_sym_u_SQUOTE] = ACTIONS(1701),
    [anon_sym_U_SQUOTE] = ACTIONS(1701),
    [anon_sym_u8_SQUOTE] = ACTIONS(1701),
    [anon_sym_SQUOTE] = ACTIONS(1701),
    [anon_sym_L_DQUOTE] = ACTIONS(1701),
    [anon_sym_u_DQUOTE] = ACTIONS(1701),
    [anon_sym_U_DQUOTE] = ACTIONS(1701),
    [anon_sym_u8_DQUOTE] = ACTIONS(1701),
    [anon_sym_DQUOTE] = ACTIONS(1701),
    [sym_true] = ACTIONS(1699),
    [sym_false] = ACTIONS(1699),
    [anon_sym_NULL] = ACTIONS(1699),
    [anon_sym_nullptr] = ACTIONS(1699),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1699),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1699),
    [anon_sym_hitAttributeEXT] = ACTIONS(1699),
    [anon_sym_callableDataEXT] = ACTIONS(1699),
    [anon_sym_callableDataInEXT] = ACTIONS(1699),
    [anon_sym_shaderRecordEXT] = ACTIONS(1699),
    [anon_sym_rayPayloadNV] = ACTIONS(1699),
    [anon_sym_rayPayloadInNV] = ACTIONS(1699),
    [anon_sym_hitAttributeNV] = ACTIONS(1699),
    [anon_sym_callableDataNV] = ACTIONS(1699),
    [anon_sym_callableDataInNV] = ACTIONS(1699),
    [anon_sym_shaderRecordNV] = ACTIONS(1699),
    [anon_sym_layout] = ACTIONS(1699),
  },
  [292] = {
    [sym_identifier] = ACTIONS(1671),
    [aux_sym_preproc_include_token1] = ACTIONS(1671),
    [aux_sym_preproc_def_token1] = ACTIONS(1671),
    [aux_sym_preproc_if_token1] = ACTIONS(1671),
    [aux_sym_preproc_if_token2] = ACTIONS(1671),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1671),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1671),
    [aux_sym_preproc_else_token1] = ACTIONS(1671),
    [aux_sym_preproc_elif_token1] = ACTIONS(1671),
    [sym_preproc_directive] = ACTIONS(1671),
    [anon_sym_LPAREN2] = ACTIONS(1673),
    [anon_sym_BANG] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(1673),
    [anon_sym_DASH] = ACTIONS(1671),
    [anon_sym_PLUS] = ACTIONS(1671),
    [anon_sym_STAR] = ACTIONS(1673),
    [anon_sym_AMP] = ACTIONS(1673),
    [anon_sym_subroutine] = ACTIONS(1671),
    [anon_sym_invariant] = ACTIONS(1671),
    [anon_sym_precise] = ACTIONS(1671),
    [anon_sym_SEMI] = ACTIONS(1673),
    [anon_sym_in] = ACTIONS(1671),
    [anon_sym_out] = ACTIONS(1671),
    [anon_sym_inout] = ACTIONS(1671),
    [anon_sym_uniform] = ACTIONS(1671),
    [anon_sym_shared] = ACTIONS(1671),
    [anon_sym_attribute] = ACTIONS(1671),
    [anon_sym_varying] = ACTIONS(1671),
    [anon_sym_buffer] = ACTIONS(1671),
    [anon_sym_coherent] = ACTIONS(1671),
    [anon_sym_readonly] = ACTIONS(1671),
    [anon_sym_writeonly] = ACTIONS(1671),
    [anon_sym_precision] = ACTIONS(1671),
    [anon_sym_highp] = ACTIONS(1671),
    [anon_sym_mediump] = ACTIONS(1671),
    [anon_sym_lowp] = ACTIONS(1671),
    [anon_sym_centroid] = ACTIONS(1671),
    [anon_sym_sample] = ACTIONS(1671),
    [anon_sym_patch] = ACTIONS(1671),
    [anon_sym_smooth] = ACTIONS(1671),
    [anon_sym_flat] = ACTIONS(1671),
    [anon_sym_noperspective] = ACTIONS(1671),
    [anon_sym___extension__] = ACTIONS(1671),
    [anon_sym_typedef] = ACTIONS(1671),
    [anon_sym_extern] = ACTIONS(1671),
    [anon_sym___attribute__] = ACTIONS(1671),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1673),
    [anon_sym___declspec] = ACTIONS(1671),
    [anon_sym___cdecl] = ACTIONS(1671),
    [anon_sym___clrcall] = ACTIONS(1671),
    [anon_sym___stdcall] = ACTIONS(1671),
    [anon_sym___fastcall] = ACTIONS(1671),
    [anon_sym___thiscall] = ACTIONS(1671),
    [anon_sym___vectorcall] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(1673),
    [anon_sym_signed] = ACTIONS(1671),
    [anon_sym_unsigned] = ACTIONS(1671),
    [anon_sym_long] = ACTIONS(1671),
    [anon_sym_short] = ACTIONS(1671),
    [anon_sym_static] = ACTIONS(1671),
    [anon_sym_auto] = ACTIONS(1671),
    [anon_sym_register] = ACTIONS(1671),
    [anon_sym_inline] = ACTIONS(1671),
    [anon_sym___inline] = ACTIONS(1671),
    [anon_sym___inline__] = ACTIONS(1671),
    [anon_sym___forceinline] = ACTIONS(1671),
    [anon_sym_thread_local] = ACTIONS(1671),
    [anon_sym___thread] = ACTIONS(1671),
    [anon_sym_const] = ACTIONS(1671),
    [anon_sym_constexpr] = ACTIONS(1671),
    [anon_sym_volatile] = ACTIONS(1671),
    [anon_sym_restrict] = ACTIONS(1671),
    [anon_sym___restrict__] = ACTIONS(1671),
    [anon_sym__Atomic] = ACTIONS(1671),
    [anon_sym__Noreturn] = ACTIONS(1671),
    [anon_sym_noreturn] = ACTIONS(1671),
    [sym_primitive_type] = ACTIONS(1671),
    [anon_sym_enum] = ACTIONS(1671),
    [anon_sym_struct] = ACTIONS(1671),
    [anon_sym_union] = ACTIONS(1671),
    [anon_sym_if] = ACTIONS(1671),
    [anon_sym_switch] = ACTIONS(1671),
    [anon_sym_case] = ACTIONS(1671),
    [anon_sym_default] = ACTIONS(1671),
    [anon_sym_while] = ACTIONS(1671),
    [anon_sym_do] = ACTIONS(1671),
    [anon_sym_for] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(1671),
    [anon_sym_break] = ACTIONS(1671),
    [anon_sym_continue] = ACTIONS(1671),
    [anon_sym_goto] = ACTIONS(1671),
    [anon_sym___try] = ACTIONS(1671),
    [anon_sym___leave] = ACTIONS(1671),
    [anon_sym_DASH_DASH] = ACTIONS(1673),
    [anon_sym_PLUS_PLUS] = ACTIONS(1673),
    [anon_sym_sizeof] = ACTIONS(1671),
    [anon_sym___alignof__] = ACTIONS(1671),
    [anon_sym___alignof] = ACTIONS(1671),
    [anon_sym__alignof] = ACTIONS(1671),
    [anon_sym_alignof] = ACTIONS(1671),
    [anon_sym__Alignof] = ACTIONS(1671),
    [anon_sym_offsetof] = ACTIONS(1671),
    [anon_sym__Generic] = ACTIONS(1671),
    [anon_sym_asm] = ACTIONS(1671),
    [anon_sym___asm__] = ACTIONS(1671),
    [sym_number_literal] = ACTIONS(1673),
    [anon_sym_L_SQUOTE] = ACTIONS(1673),
    [anon_sym_u_SQUOTE] = ACTIONS(1673),
    [anon_sym_U_SQUOTE] = ACTIONS(1673),
    [anon_sym_u8_SQUOTE] = ACTIONS(1673),
    [anon_sym_SQUOTE] = ACTIONS(1673),
    [anon_sym_L_DQUOTE] = ACTIONS(1673),
    [anon_sym_u_DQUOTE] = ACTIONS(1673),
    [anon_sym_U_DQUOTE] = ACTIONS(1673),
    [anon_sym_u8_DQUOTE] = ACTIONS(1673),
    [anon_sym_DQUOTE] = ACTIONS(1673),
    [sym_true] = ACTIONS(1671),
    [sym_false] = ACTIONS(1671),
    [anon_sym_NULL] = ACTIONS(1671),
    [anon_sym_nullptr] = ACTIONS(1671),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1671),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1671),
    [anon_sym_hitAttributeEXT] = ACTIONS(1671),
    [anon_sym_callableDataEXT] = ACTIONS(1671),
    [anon_sym_callableDataInEXT] = ACTIONS(1671),
    [anon_sym_shaderRecordEXT] = ACTIONS(1671),
    [anon_sym_rayPayloadNV] = ACTIONS(1671),
    [anon_sym_rayPayloadInNV] = ACTIONS(1671),
    [anon_sym_hitAttributeNV] = ACTIONS(1671),
    [anon_sym_callableDataNV] = ACTIONS(1671),
    [anon_sym_callableDataInNV] = ACTIONS(1671),
    [anon_sym_shaderRecordNV] = ACTIONS(1671),
    [anon_sym_layout] = ACTIONS(1671),
  },
  [293] = {
    [sym_identifier] = ACTIONS(1679),
    [aux_sym_preproc_include_token1] = ACTIONS(1679),
    [aux_sym_preproc_def_token1] = ACTIONS(1679),
    [aux_sym_preproc_if_token1] = ACTIONS(1679),
    [aux_sym_preproc_if_token2] = ACTIONS(1679),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1679),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1679),
    [aux_sym_preproc_else_token1] = ACTIONS(1679),
    [aux_sym_preproc_elif_token1] = ACTIONS(1679),
    [sym_preproc_directive] = ACTIONS(1679),
    [anon_sym_LPAREN2] = ACTIONS(1681),
    [anon_sym_BANG] = ACTIONS(1681),
    [anon_sym_TILDE] = ACTIONS(1681),
    [anon_sym_DASH] = ACTIONS(1679),
    [anon_sym_PLUS] = ACTIONS(1679),
    [anon_sym_STAR] = ACTIONS(1681),
    [anon_sym_AMP] = ACTIONS(1681),
    [anon_sym_subroutine] = ACTIONS(1679),
    [anon_sym_invariant] = ACTIONS(1679),
    [anon_sym_precise] = ACTIONS(1679),
    [anon_sym_SEMI] = ACTIONS(1681),
    [anon_sym_in] = ACTIONS(1679),
    [anon_sym_out] = ACTIONS(1679),
    [anon_sym_inout] = ACTIONS(1679),
    [anon_sym_uniform] = ACTIONS(1679),
    [anon_sym_shared] = ACTIONS(1679),
    [anon_sym_attribute] = ACTIONS(1679),
    [anon_sym_varying] = ACTIONS(1679),
    [anon_sym_buffer] = ACTIONS(1679),
    [anon_sym_coherent] = ACTIONS(1679),
    [anon_sym_readonly] = ACTIONS(1679),
    [anon_sym_writeonly] = ACTIONS(1679),
    [anon_sym_precision] = ACTIONS(1679),
    [anon_sym_highp] = ACTIONS(1679),
    [anon_sym_mediump] = ACTIONS(1679),
    [anon_sym_lowp] = ACTIONS(1679),
    [anon_sym_centroid] = ACTIONS(1679),
    [anon_sym_sample] = ACTIONS(1679),
    [anon_sym_patch] = ACTIONS(1679),
    [anon_sym_smooth] = ACTIONS(1679),
    [anon_sym_flat] = ACTIONS(1679),
    [anon_sym_noperspective] = ACTIONS(1679),
    [anon_sym___extension__] = ACTIONS(1679),
    [anon_sym_typedef] = ACTIONS(1679),
    [anon_sym_extern] = ACTIONS(1679),
    [anon_sym___attribute__] = ACTIONS(1679),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1681),
    [anon_sym___declspec] = ACTIONS(1679),
    [anon_sym___cdecl] = ACTIONS(1679),
    [anon_sym___clrcall] = ACTIONS(1679),
    [anon_sym___stdcall] = ACTIONS(1679),
    [anon_sym___fastcall] = ACTIONS(1679),
    [anon_sym___thiscall] = ACTIONS(1679),
    [anon_sym___vectorcall] = ACTIONS(1679),
    [anon_sym_LBRACE] = ACTIONS(1681),
    [anon_sym_signed] = ACTIONS(1679),
    [anon_sym_unsigned] = ACTIONS(1679),
    [anon_sym_long] = ACTIONS(1679),
    [anon_sym_short] = ACTIONS(1679),
    [anon_sym_static] = ACTIONS(1679),
    [anon_sym_auto] = ACTIONS(1679),
    [anon_sym_register] = ACTIONS(1679),
    [anon_sym_inline] = ACTIONS(1679),
    [anon_sym___inline] = ACTIONS(1679),
    [anon_sym___inline__] = ACTIONS(1679),
    [anon_sym___forceinline] = ACTIONS(1679),
    [anon_sym_thread_local] = ACTIONS(1679),
    [anon_sym___thread] = ACTIONS(1679),
    [anon_sym_const] = ACTIONS(1679),
    [anon_sym_constexpr] = ACTIONS(1679),
    [anon_sym_volatile] = ACTIONS(1679),
    [anon_sym_restrict] = ACTIONS(1679),
    [anon_sym___restrict__] = ACTIONS(1679),
    [anon_sym__Atomic] = ACTIONS(1679),
    [anon_sym__Noreturn] = ACTIONS(1679),
    [anon_sym_noreturn] = ACTIONS(1679),
    [sym_primitive_type] = ACTIONS(1679),
    [anon_sym_enum] = ACTIONS(1679),
    [anon_sym_struct] = ACTIONS(1679),
    [anon_sym_union] = ACTIONS(1679),
    [anon_sym_if] = ACTIONS(1679),
    [anon_sym_switch] = ACTIONS(1679),
    [anon_sym_case] = ACTIONS(1679),
    [anon_sym_default] = ACTIONS(1679),
    [anon_sym_while] = ACTIONS(1679),
    [anon_sym_do] = ACTIONS(1679),
    [anon_sym_for] = ACTIONS(1679),
    [anon_sym_return] = ACTIONS(1679),
    [anon_sym_break] = ACTIONS(1679),
    [anon_sym_continue] = ACTIONS(1679),
    [anon_sym_goto] = ACTIONS(1679),
    [anon_sym___try] = ACTIONS(1679),
    [anon_sym___leave] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1681),
    [anon_sym_PLUS_PLUS] = ACTIONS(1681),
    [anon_sym_sizeof] = ACTIONS(1679),
    [anon_sym___alignof__] = ACTIONS(1679),
    [anon_sym___alignof] = ACTIONS(1679),
    [anon_sym__alignof] = ACTIONS(1679),
    [anon_sym_alignof] = ACTIONS(1679),
    [anon_sym__Alignof] = ACTIONS(1679),
    [anon_sym_offsetof] = ACTIONS(1679),
    [anon_sym__Generic] = ACTIONS(1679),
    [anon_sym_asm] = ACTIONS(1679),
    [anon_sym___asm__] = ACTIONS(1679),
    [sym_number_literal] = ACTIONS(1681),
    [anon_sym_L_SQUOTE] = ACTIONS(1681),
    [anon_sym_u_SQUOTE] = ACTIONS(1681),
    [anon_sym_U_SQUOTE] = ACTIONS(1681),
    [anon_sym_u8_SQUOTE] = ACTIONS(1681),
    [anon_sym_SQUOTE] = ACTIONS(1681),
    [anon_sym_L_DQUOTE] = ACTIONS(1681),
    [anon_sym_u_DQUOTE] = ACTIONS(1681),
    [anon_sym_U_DQUOTE] = ACTIONS(1681),
    [anon_sym_u8_DQUOTE] = ACTIONS(1681),
    [anon_sym_DQUOTE] = ACTIONS(1681),
    [sym_true] = ACTIONS(1679),
    [sym_false] = ACTIONS(1679),
    [anon_sym_NULL] = ACTIONS(1679),
    [anon_sym_nullptr] = ACTIONS(1679),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1679),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1679),
    [anon_sym_hitAttributeEXT] = ACTIONS(1679),
    [anon_sym_callableDataEXT] = ACTIONS(1679),
    [anon_sym_callableDataInEXT] = ACTIONS(1679),
    [anon_sym_shaderRecordEXT] = ACTIONS(1679),
    [anon_sym_rayPayloadNV] = ACTIONS(1679),
    [anon_sym_rayPayloadInNV] = ACTIONS(1679),
    [anon_sym_hitAttributeNV] = ACTIONS(1679),
    [anon_sym_callableDataNV] = ACTIONS(1679),
    [anon_sym_callableDataInNV] = ACTIONS(1679),
    [anon_sym_shaderRecordNV] = ACTIONS(1679),
    [anon_sym_layout] = ACTIONS(1679),
  },
  [294] = {
    [sym_identifier] = ACTIONS(1675),
    [aux_sym_preproc_include_token1] = ACTIONS(1675),
    [aux_sym_preproc_def_token1] = ACTIONS(1675),
    [aux_sym_preproc_if_token1] = ACTIONS(1675),
    [aux_sym_preproc_if_token2] = ACTIONS(1675),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1675),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1675),
    [aux_sym_preproc_else_token1] = ACTIONS(1675),
    [aux_sym_preproc_elif_token1] = ACTIONS(1675),
    [sym_preproc_directive] = ACTIONS(1675),
    [anon_sym_LPAREN2] = ACTIONS(1677),
    [anon_sym_BANG] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(1677),
    [anon_sym_DASH] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1675),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_AMP] = ACTIONS(1677),
    [anon_sym_subroutine] = ACTIONS(1675),
    [anon_sym_invariant] = ACTIONS(1675),
    [anon_sym_precise] = ACTIONS(1675),
    [anon_sym_SEMI] = ACTIONS(1677),
    [anon_sym_in] = ACTIONS(1675),
    [anon_sym_out] = ACTIONS(1675),
    [anon_sym_inout] = ACTIONS(1675),
    [anon_sym_uniform] = ACTIONS(1675),
    [anon_sym_shared] = ACTIONS(1675),
    [anon_sym_attribute] = ACTIONS(1675),
    [anon_sym_varying] = ACTIONS(1675),
    [anon_sym_buffer] = ACTIONS(1675),
    [anon_sym_coherent] = ACTIONS(1675),
    [anon_sym_readonly] = ACTIONS(1675),
    [anon_sym_writeonly] = ACTIONS(1675),
    [anon_sym_precision] = ACTIONS(1675),
    [anon_sym_highp] = ACTIONS(1675),
    [anon_sym_mediump] = ACTIONS(1675),
    [anon_sym_lowp] = ACTIONS(1675),
    [anon_sym_centroid] = ACTIONS(1675),
    [anon_sym_sample] = ACTIONS(1675),
    [anon_sym_patch] = ACTIONS(1675),
    [anon_sym_smooth] = ACTIONS(1675),
    [anon_sym_flat] = ACTIONS(1675),
    [anon_sym_noperspective] = ACTIONS(1675),
    [anon_sym___extension__] = ACTIONS(1675),
    [anon_sym_typedef] = ACTIONS(1675),
    [anon_sym_extern] = ACTIONS(1675),
    [anon_sym___attribute__] = ACTIONS(1675),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1677),
    [anon_sym___declspec] = ACTIONS(1675),
    [anon_sym___cdecl] = ACTIONS(1675),
    [anon_sym___clrcall] = ACTIONS(1675),
    [anon_sym___stdcall] = ACTIONS(1675),
    [anon_sym___fastcall] = ACTIONS(1675),
    [anon_sym___thiscall] = ACTIONS(1675),
    [anon_sym___vectorcall] = ACTIONS(1675),
    [anon_sym_LBRACE] = ACTIONS(1677),
    [anon_sym_signed] = ACTIONS(1675),
    [anon_sym_unsigned] = ACTIONS(1675),
    [anon_sym_long] = ACTIONS(1675),
    [anon_sym_short] = ACTIONS(1675),
    [anon_sym_static] = ACTIONS(1675),
    [anon_sym_auto] = ACTIONS(1675),
    [anon_sym_register] = ACTIONS(1675),
    [anon_sym_inline] = ACTIONS(1675),
    [anon_sym___inline] = ACTIONS(1675),
    [anon_sym___inline__] = ACTIONS(1675),
    [anon_sym___forceinline] = ACTIONS(1675),
    [anon_sym_thread_local] = ACTIONS(1675),
    [anon_sym___thread] = ACTIONS(1675),
    [anon_sym_const] = ACTIONS(1675),
    [anon_sym_constexpr] = ACTIONS(1675),
    [anon_sym_volatile] = ACTIONS(1675),
    [anon_sym_restrict] = ACTIONS(1675),
    [anon_sym___restrict__] = ACTIONS(1675),
    [anon_sym__Atomic] = ACTIONS(1675),
    [anon_sym__Noreturn] = ACTIONS(1675),
    [anon_sym_noreturn] = ACTIONS(1675),
    [sym_primitive_type] = ACTIONS(1675),
    [anon_sym_enum] = ACTIONS(1675),
    [anon_sym_struct] = ACTIONS(1675),
    [anon_sym_union] = ACTIONS(1675),
    [anon_sym_if] = ACTIONS(1675),
    [anon_sym_switch] = ACTIONS(1675),
    [anon_sym_case] = ACTIONS(1675),
    [anon_sym_default] = ACTIONS(1675),
    [anon_sym_while] = ACTIONS(1675),
    [anon_sym_do] = ACTIONS(1675),
    [anon_sym_for] = ACTIONS(1675),
    [anon_sym_return] = ACTIONS(1675),
    [anon_sym_break] = ACTIONS(1675),
    [anon_sym_continue] = ACTIONS(1675),
    [anon_sym_goto] = ACTIONS(1675),
    [anon_sym___try] = ACTIONS(1675),
    [anon_sym___leave] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1677),
    [anon_sym_PLUS_PLUS] = ACTIONS(1677),
    [anon_sym_sizeof] = ACTIONS(1675),
    [anon_sym___alignof__] = ACTIONS(1675),
    [anon_sym___alignof] = ACTIONS(1675),
    [anon_sym__alignof] = ACTIONS(1675),
    [anon_sym_alignof] = ACTIONS(1675),
    [anon_sym__Alignof] = ACTIONS(1675),
    [anon_sym_offsetof] = ACTIONS(1675),
    [anon_sym__Generic] = ACTIONS(1675),
    [anon_sym_asm] = ACTIONS(1675),
    [anon_sym___asm__] = ACTIONS(1675),
    [sym_number_literal] = ACTIONS(1677),
    [anon_sym_L_SQUOTE] = ACTIONS(1677),
    [anon_sym_u_SQUOTE] = ACTIONS(1677),
    [anon_sym_U_SQUOTE] = ACTIONS(1677),
    [anon_sym_u8_SQUOTE] = ACTIONS(1677),
    [anon_sym_SQUOTE] = ACTIONS(1677),
    [anon_sym_L_DQUOTE] = ACTIONS(1677),
    [anon_sym_u_DQUOTE] = ACTIONS(1677),
    [anon_sym_U_DQUOTE] = ACTIONS(1677),
    [anon_sym_u8_DQUOTE] = ACTIONS(1677),
    [anon_sym_DQUOTE] = ACTIONS(1677),
    [sym_true] = ACTIONS(1675),
    [sym_false] = ACTIONS(1675),
    [anon_sym_NULL] = ACTIONS(1675),
    [anon_sym_nullptr] = ACTIONS(1675),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1675),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1675),
    [anon_sym_hitAttributeEXT] = ACTIONS(1675),
    [anon_sym_callableDataEXT] = ACTIONS(1675),
    [anon_sym_callableDataInEXT] = ACTIONS(1675),
    [anon_sym_shaderRecordEXT] = ACTIONS(1675),
    [anon_sym_rayPayloadNV] = ACTIONS(1675),
    [anon_sym_rayPayloadInNV] = ACTIONS(1675),
    [anon_sym_hitAttributeNV] = ACTIONS(1675),
    [anon_sym_callableDataNV] = ACTIONS(1675),
    [anon_sym_callableDataInNV] = ACTIONS(1675),
    [anon_sym_shaderRecordNV] = ACTIONS(1675),
    [anon_sym_layout] = ACTIONS(1675),
  },
  [295] = {
    [sym_identifier] = ACTIONS(1671),
    [aux_sym_preproc_include_token1] = ACTIONS(1671),
    [aux_sym_preproc_def_token1] = ACTIONS(1671),
    [aux_sym_preproc_if_token1] = ACTIONS(1671),
    [aux_sym_preproc_if_token2] = ACTIONS(1671),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1671),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1671),
    [aux_sym_preproc_else_token1] = ACTIONS(1671),
    [aux_sym_preproc_elif_token1] = ACTIONS(1671),
    [sym_preproc_directive] = ACTIONS(1671),
    [anon_sym_LPAREN2] = ACTIONS(1673),
    [anon_sym_BANG] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(1673),
    [anon_sym_DASH] = ACTIONS(1671),
    [anon_sym_PLUS] = ACTIONS(1671),
    [anon_sym_STAR] = ACTIONS(1673),
    [anon_sym_AMP] = ACTIONS(1673),
    [anon_sym_subroutine] = ACTIONS(1671),
    [anon_sym_invariant] = ACTIONS(1671),
    [anon_sym_precise] = ACTIONS(1671),
    [anon_sym_SEMI] = ACTIONS(1673),
    [anon_sym_in] = ACTIONS(1671),
    [anon_sym_out] = ACTIONS(1671),
    [anon_sym_inout] = ACTIONS(1671),
    [anon_sym_uniform] = ACTIONS(1671),
    [anon_sym_shared] = ACTIONS(1671),
    [anon_sym_attribute] = ACTIONS(1671),
    [anon_sym_varying] = ACTIONS(1671),
    [anon_sym_buffer] = ACTIONS(1671),
    [anon_sym_coherent] = ACTIONS(1671),
    [anon_sym_readonly] = ACTIONS(1671),
    [anon_sym_writeonly] = ACTIONS(1671),
    [anon_sym_precision] = ACTIONS(1671),
    [anon_sym_highp] = ACTIONS(1671),
    [anon_sym_mediump] = ACTIONS(1671),
    [anon_sym_lowp] = ACTIONS(1671),
    [anon_sym_centroid] = ACTIONS(1671),
    [anon_sym_sample] = ACTIONS(1671),
    [anon_sym_patch] = ACTIONS(1671),
    [anon_sym_smooth] = ACTIONS(1671),
    [anon_sym_flat] = ACTIONS(1671),
    [anon_sym_noperspective] = ACTIONS(1671),
    [anon_sym___extension__] = ACTIONS(1671),
    [anon_sym_typedef] = ACTIONS(1671),
    [anon_sym_extern] = ACTIONS(1671),
    [anon_sym___attribute__] = ACTIONS(1671),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1673),
    [anon_sym___declspec] = ACTIONS(1671),
    [anon_sym___cdecl] = ACTIONS(1671),
    [anon_sym___clrcall] = ACTIONS(1671),
    [anon_sym___stdcall] = ACTIONS(1671),
    [anon_sym___fastcall] = ACTIONS(1671),
    [anon_sym___thiscall] = ACTIONS(1671),
    [anon_sym___vectorcall] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(1673),
    [anon_sym_signed] = ACTIONS(1671),
    [anon_sym_unsigned] = ACTIONS(1671),
    [anon_sym_long] = ACTIONS(1671),
    [anon_sym_short] = ACTIONS(1671),
    [anon_sym_static] = ACTIONS(1671),
    [anon_sym_auto] = ACTIONS(1671),
    [anon_sym_register] = ACTIONS(1671),
    [anon_sym_inline] = ACTIONS(1671),
    [anon_sym___inline] = ACTIONS(1671),
    [anon_sym___inline__] = ACTIONS(1671),
    [anon_sym___forceinline] = ACTIONS(1671),
    [anon_sym_thread_local] = ACTIONS(1671),
    [anon_sym___thread] = ACTIONS(1671),
    [anon_sym_const] = ACTIONS(1671),
    [anon_sym_constexpr] = ACTIONS(1671),
    [anon_sym_volatile] = ACTIONS(1671),
    [anon_sym_restrict] = ACTIONS(1671),
    [anon_sym___restrict__] = ACTIONS(1671),
    [anon_sym__Atomic] = ACTIONS(1671),
    [anon_sym__Noreturn] = ACTIONS(1671),
    [anon_sym_noreturn] = ACTIONS(1671),
    [sym_primitive_type] = ACTIONS(1671),
    [anon_sym_enum] = ACTIONS(1671),
    [anon_sym_struct] = ACTIONS(1671),
    [anon_sym_union] = ACTIONS(1671),
    [anon_sym_if] = ACTIONS(1671),
    [anon_sym_switch] = ACTIONS(1671),
    [anon_sym_case] = ACTIONS(1671),
    [anon_sym_default] = ACTIONS(1671),
    [anon_sym_while] = ACTIONS(1671),
    [anon_sym_do] = ACTIONS(1671),
    [anon_sym_for] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(1671),
    [anon_sym_break] = ACTIONS(1671),
    [anon_sym_continue] = ACTIONS(1671),
    [anon_sym_goto] = ACTIONS(1671),
    [anon_sym___try] = ACTIONS(1671),
    [anon_sym___leave] = ACTIONS(1671),
    [anon_sym_DASH_DASH] = ACTIONS(1673),
    [anon_sym_PLUS_PLUS] = ACTIONS(1673),
    [anon_sym_sizeof] = ACTIONS(1671),
    [anon_sym___alignof__] = ACTIONS(1671),
    [anon_sym___alignof] = ACTIONS(1671),
    [anon_sym__alignof] = ACTIONS(1671),
    [anon_sym_alignof] = ACTIONS(1671),
    [anon_sym__Alignof] = ACTIONS(1671),
    [anon_sym_offsetof] = ACTIONS(1671),
    [anon_sym__Generic] = ACTIONS(1671),
    [anon_sym_asm] = ACTIONS(1671),
    [anon_sym___asm__] = ACTIONS(1671),
    [sym_number_literal] = ACTIONS(1673),
    [anon_sym_L_SQUOTE] = ACTIONS(1673),
    [anon_sym_u_SQUOTE] = ACTIONS(1673),
    [anon_sym_U_SQUOTE] = ACTIONS(1673),
    [anon_sym_u8_SQUOTE] = ACTIONS(1673),
    [anon_sym_SQUOTE] = ACTIONS(1673),
    [anon_sym_L_DQUOTE] = ACTIONS(1673),
    [anon_sym_u_DQUOTE] = ACTIONS(1673),
    [anon_sym_U_DQUOTE] = ACTIONS(1673),
    [anon_sym_u8_DQUOTE] = ACTIONS(1673),
    [anon_sym_DQUOTE] = ACTIONS(1673),
    [sym_true] = ACTIONS(1671),
    [sym_false] = ACTIONS(1671),
    [anon_sym_NULL] = ACTIONS(1671),
    [anon_sym_nullptr] = ACTIONS(1671),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1671),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1671),
    [anon_sym_hitAttributeEXT] = ACTIONS(1671),
    [anon_sym_callableDataEXT] = ACTIONS(1671),
    [anon_sym_callableDataInEXT] = ACTIONS(1671),
    [anon_sym_shaderRecordEXT] = ACTIONS(1671),
    [anon_sym_rayPayloadNV] = ACTIONS(1671),
    [anon_sym_rayPayloadInNV] = ACTIONS(1671),
    [anon_sym_hitAttributeNV] = ACTIONS(1671),
    [anon_sym_callableDataNV] = ACTIONS(1671),
    [anon_sym_callableDataInNV] = ACTIONS(1671),
    [anon_sym_shaderRecordNV] = ACTIONS(1671),
    [anon_sym_layout] = ACTIONS(1671),
  },
  [296] = {
    [sym_identifier] = ACTIONS(1667),
    [aux_sym_preproc_include_token1] = ACTIONS(1667),
    [aux_sym_preproc_def_token1] = ACTIONS(1667),
    [aux_sym_preproc_if_token1] = ACTIONS(1667),
    [aux_sym_preproc_if_token2] = ACTIONS(1667),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1667),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1667),
    [aux_sym_preproc_else_token1] = ACTIONS(1667),
    [aux_sym_preproc_elif_token1] = ACTIONS(1667),
    [sym_preproc_directive] = ACTIONS(1667),
    [anon_sym_LPAREN2] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(1669),
    [anon_sym_TILDE] = ACTIONS(1669),
    [anon_sym_DASH] = ACTIONS(1667),
    [anon_sym_PLUS] = ACTIONS(1667),
    [anon_sym_STAR] = ACTIONS(1669),
    [anon_sym_AMP] = ACTIONS(1669),
    [anon_sym_subroutine] = ACTIONS(1667),
    [anon_sym_invariant] = ACTIONS(1667),
    [anon_sym_precise] = ACTIONS(1667),
    [anon_sym_SEMI] = ACTIONS(1669),
    [anon_sym_in] = ACTIONS(1667),
    [anon_sym_out] = ACTIONS(1667),
    [anon_sym_inout] = ACTIONS(1667),
    [anon_sym_uniform] = ACTIONS(1667),
    [anon_sym_shared] = ACTIONS(1667),
    [anon_sym_attribute] = ACTIONS(1667),
    [anon_sym_varying] = ACTIONS(1667),
    [anon_sym_buffer] = ACTIONS(1667),
    [anon_sym_coherent] = ACTIONS(1667),
    [anon_sym_readonly] = ACTIONS(1667),
    [anon_sym_writeonly] = ACTIONS(1667),
    [anon_sym_precision] = ACTIONS(1667),
    [anon_sym_highp] = ACTIONS(1667),
    [anon_sym_mediump] = ACTIONS(1667),
    [anon_sym_lowp] = ACTIONS(1667),
    [anon_sym_centroid] = ACTIONS(1667),
    [anon_sym_sample] = ACTIONS(1667),
    [anon_sym_patch] = ACTIONS(1667),
    [anon_sym_smooth] = ACTIONS(1667),
    [anon_sym_flat] = ACTIONS(1667),
    [anon_sym_noperspective] = ACTIONS(1667),
    [anon_sym___extension__] = ACTIONS(1667),
    [anon_sym_typedef] = ACTIONS(1667),
    [anon_sym_extern] = ACTIONS(1667),
    [anon_sym___attribute__] = ACTIONS(1667),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1669),
    [anon_sym___declspec] = ACTIONS(1667),
    [anon_sym___cdecl] = ACTIONS(1667),
    [anon_sym___clrcall] = ACTIONS(1667),
    [anon_sym___stdcall] = ACTIONS(1667),
    [anon_sym___fastcall] = ACTIONS(1667),
    [anon_sym___thiscall] = ACTIONS(1667),
    [anon_sym___vectorcall] = ACTIONS(1667),
    [anon_sym_LBRACE] = ACTIONS(1669),
    [anon_sym_signed] = ACTIONS(1667),
    [anon_sym_unsigned] = ACTIONS(1667),
    [anon_sym_long] = ACTIONS(1667),
    [anon_sym_short] = ACTIONS(1667),
    [anon_sym_static] = ACTIONS(1667),
    [anon_sym_auto] = ACTIONS(1667),
    [anon_sym_register] = ACTIONS(1667),
    [anon_sym_inline] = ACTIONS(1667),
    [anon_sym___inline] = ACTIONS(1667),
    [anon_sym___inline__] = ACTIONS(1667),
    [anon_sym___forceinline] = ACTIONS(1667),
    [anon_sym_thread_local] = ACTIONS(1667),
    [anon_sym___thread] = ACTIONS(1667),
    [anon_sym_const] = ACTIONS(1667),
    [anon_sym_constexpr] = ACTIONS(1667),
    [anon_sym_volatile] = ACTIONS(1667),
    [anon_sym_restrict] = ACTIONS(1667),
    [anon_sym___restrict__] = ACTIONS(1667),
    [anon_sym__Atomic] = ACTIONS(1667),
    [anon_sym__Noreturn] = ACTIONS(1667),
    [anon_sym_noreturn] = ACTIONS(1667),
    [sym_primitive_type] = ACTIONS(1667),
    [anon_sym_enum] = ACTIONS(1667),
    [anon_sym_struct] = ACTIONS(1667),
    [anon_sym_union] = ACTIONS(1667),
    [anon_sym_if] = ACTIONS(1667),
    [anon_sym_switch] = ACTIONS(1667),
    [anon_sym_case] = ACTIONS(1667),
    [anon_sym_default] = ACTIONS(1667),
    [anon_sym_while] = ACTIONS(1667),
    [anon_sym_do] = ACTIONS(1667),
    [anon_sym_for] = ACTIONS(1667),
    [anon_sym_return] = ACTIONS(1667),
    [anon_sym_break] = ACTIONS(1667),
    [anon_sym_continue] = ACTIONS(1667),
    [anon_sym_goto] = ACTIONS(1667),
    [anon_sym___try] = ACTIONS(1667),
    [anon_sym___leave] = ACTIONS(1667),
    [anon_sym_DASH_DASH] = ACTIONS(1669),
    [anon_sym_PLUS_PLUS] = ACTIONS(1669),
    [anon_sym_sizeof] = ACTIONS(1667),
    [anon_sym___alignof__] = ACTIONS(1667),
    [anon_sym___alignof] = ACTIONS(1667),
    [anon_sym__alignof] = ACTIONS(1667),
    [anon_sym_alignof] = ACTIONS(1667),
    [anon_sym__Alignof] = ACTIONS(1667),
    [anon_sym_offsetof] = ACTIONS(1667),
    [anon_sym__Generic] = ACTIONS(1667),
    [anon_sym_asm] = ACTIONS(1667),
    [anon_sym___asm__] = ACTIONS(1667),
    [sym_number_literal] = ACTIONS(1669),
    [anon_sym_L_SQUOTE] = ACTIONS(1669),
    [anon_sym_u_SQUOTE] = ACTIONS(1669),
    [anon_sym_U_SQUOTE] = ACTIONS(1669),
    [anon_sym_u8_SQUOTE] = ACTIONS(1669),
    [anon_sym_SQUOTE] = ACTIONS(1669),
    [anon_sym_L_DQUOTE] = ACTIONS(1669),
    [anon_sym_u_DQUOTE] = ACTIONS(1669),
    [anon_sym_U_DQUOTE] = ACTIONS(1669),
    [anon_sym_u8_DQUOTE] = ACTIONS(1669),
    [anon_sym_DQUOTE] = ACTIONS(1669),
    [sym_true] = ACTIONS(1667),
    [sym_false] = ACTIONS(1667),
    [anon_sym_NULL] = ACTIONS(1667),
    [anon_sym_nullptr] = ACTIONS(1667),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1667),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1667),
    [anon_sym_hitAttributeEXT] = ACTIONS(1667),
    [anon_sym_callableDataEXT] = ACTIONS(1667),
    [anon_sym_callableDataInEXT] = ACTIONS(1667),
    [anon_sym_shaderRecordEXT] = ACTIONS(1667),
    [anon_sym_rayPayloadNV] = ACTIONS(1667),
    [anon_sym_rayPayloadInNV] = ACTIONS(1667),
    [anon_sym_hitAttributeNV] = ACTIONS(1667),
    [anon_sym_callableDataNV] = ACTIONS(1667),
    [anon_sym_callableDataInNV] = ACTIONS(1667),
    [anon_sym_shaderRecordNV] = ACTIONS(1667),
    [anon_sym_layout] = ACTIONS(1667),
  },
  [297] = {
    [sym_identifier] = ACTIONS(1663),
    [aux_sym_preproc_include_token1] = ACTIONS(1663),
    [aux_sym_preproc_def_token1] = ACTIONS(1663),
    [aux_sym_preproc_if_token1] = ACTIONS(1663),
    [aux_sym_preproc_if_token2] = ACTIONS(1663),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1663),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1663),
    [aux_sym_preproc_else_token1] = ACTIONS(1663),
    [aux_sym_preproc_elif_token1] = ACTIONS(1663),
    [sym_preproc_directive] = ACTIONS(1663),
    [anon_sym_LPAREN2] = ACTIONS(1665),
    [anon_sym_BANG] = ACTIONS(1665),
    [anon_sym_TILDE] = ACTIONS(1665),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1663),
    [anon_sym_STAR] = ACTIONS(1665),
    [anon_sym_AMP] = ACTIONS(1665),
    [anon_sym_subroutine] = ACTIONS(1663),
    [anon_sym_invariant] = ACTIONS(1663),
    [anon_sym_precise] = ACTIONS(1663),
    [anon_sym_SEMI] = ACTIONS(1665),
    [anon_sym_in] = ACTIONS(1663),
    [anon_sym_out] = ACTIONS(1663),
    [anon_sym_inout] = ACTIONS(1663),
    [anon_sym_uniform] = ACTIONS(1663),
    [anon_sym_shared] = ACTIONS(1663),
    [anon_sym_attribute] = ACTIONS(1663),
    [anon_sym_varying] = ACTIONS(1663),
    [anon_sym_buffer] = ACTIONS(1663),
    [anon_sym_coherent] = ACTIONS(1663),
    [anon_sym_readonly] = ACTIONS(1663),
    [anon_sym_writeonly] = ACTIONS(1663),
    [anon_sym_precision] = ACTIONS(1663),
    [anon_sym_highp] = ACTIONS(1663),
    [anon_sym_mediump] = ACTIONS(1663),
    [anon_sym_lowp] = ACTIONS(1663),
    [anon_sym_centroid] = ACTIONS(1663),
    [anon_sym_sample] = ACTIONS(1663),
    [anon_sym_patch] = ACTIONS(1663),
    [anon_sym_smooth] = ACTIONS(1663),
    [anon_sym_flat] = ACTIONS(1663),
    [anon_sym_noperspective] = ACTIONS(1663),
    [anon_sym___extension__] = ACTIONS(1663),
    [anon_sym_typedef] = ACTIONS(1663),
    [anon_sym_extern] = ACTIONS(1663),
    [anon_sym___attribute__] = ACTIONS(1663),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1665),
    [anon_sym___declspec] = ACTIONS(1663),
    [anon_sym___cdecl] = ACTIONS(1663),
    [anon_sym___clrcall] = ACTIONS(1663),
    [anon_sym___stdcall] = ACTIONS(1663),
    [anon_sym___fastcall] = ACTIONS(1663),
    [anon_sym___thiscall] = ACTIONS(1663),
    [anon_sym___vectorcall] = ACTIONS(1663),
    [anon_sym_LBRACE] = ACTIONS(1665),
    [anon_sym_signed] = ACTIONS(1663),
    [anon_sym_unsigned] = ACTIONS(1663),
    [anon_sym_long] = ACTIONS(1663),
    [anon_sym_short] = ACTIONS(1663),
    [anon_sym_static] = ACTIONS(1663),
    [anon_sym_auto] = ACTIONS(1663),
    [anon_sym_register] = ACTIONS(1663),
    [anon_sym_inline] = ACTIONS(1663),
    [anon_sym___inline] = ACTIONS(1663),
    [anon_sym___inline__] = ACTIONS(1663),
    [anon_sym___forceinline] = ACTIONS(1663),
    [anon_sym_thread_local] = ACTIONS(1663),
    [anon_sym___thread] = ACTIONS(1663),
    [anon_sym_const] = ACTIONS(1663),
    [anon_sym_constexpr] = ACTIONS(1663),
    [anon_sym_volatile] = ACTIONS(1663),
    [anon_sym_restrict] = ACTIONS(1663),
    [anon_sym___restrict__] = ACTIONS(1663),
    [anon_sym__Atomic] = ACTIONS(1663),
    [anon_sym__Noreturn] = ACTIONS(1663),
    [anon_sym_noreturn] = ACTIONS(1663),
    [sym_primitive_type] = ACTIONS(1663),
    [anon_sym_enum] = ACTIONS(1663),
    [anon_sym_struct] = ACTIONS(1663),
    [anon_sym_union] = ACTIONS(1663),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_switch] = ACTIONS(1663),
    [anon_sym_case] = ACTIONS(1663),
    [anon_sym_default] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1663),
    [anon_sym_do] = ACTIONS(1663),
    [anon_sym_for] = ACTIONS(1663),
    [anon_sym_return] = ACTIONS(1663),
    [anon_sym_break] = ACTIONS(1663),
    [anon_sym_continue] = ACTIONS(1663),
    [anon_sym_goto] = ACTIONS(1663),
    [anon_sym___try] = ACTIONS(1663),
    [anon_sym___leave] = ACTIONS(1663),
    [anon_sym_DASH_DASH] = ACTIONS(1665),
    [anon_sym_PLUS_PLUS] = ACTIONS(1665),
    [anon_sym_sizeof] = ACTIONS(1663),
    [anon_sym___alignof__] = ACTIONS(1663),
    [anon_sym___alignof] = ACTIONS(1663),
    [anon_sym__alignof] = ACTIONS(1663),
    [anon_sym_alignof] = ACTIONS(1663),
    [anon_sym__Alignof] = ACTIONS(1663),
    [anon_sym_offsetof] = ACTIONS(1663),
    [anon_sym__Generic] = ACTIONS(1663),
    [anon_sym_asm] = ACTIONS(1663),
    [anon_sym___asm__] = ACTIONS(1663),
    [sym_number_literal] = ACTIONS(1665),
    [anon_sym_L_SQUOTE] = ACTIONS(1665),
    [anon_sym_u_SQUOTE] = ACTIONS(1665),
    [anon_sym_U_SQUOTE] = ACTIONS(1665),
    [anon_sym_u8_SQUOTE] = ACTIONS(1665),
    [anon_sym_SQUOTE] = ACTIONS(1665),
    [anon_sym_L_DQUOTE] = ACTIONS(1665),
    [anon_sym_u_DQUOTE] = ACTIONS(1665),
    [anon_sym_U_DQUOTE] = ACTIONS(1665),
    [anon_sym_u8_DQUOTE] = ACTIONS(1665),
    [anon_sym_DQUOTE] = ACTIONS(1665),
    [sym_true] = ACTIONS(1663),
    [sym_false] = ACTIONS(1663),
    [anon_sym_NULL] = ACTIONS(1663),
    [anon_sym_nullptr] = ACTIONS(1663),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1663),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1663),
    [anon_sym_hitAttributeEXT] = ACTIONS(1663),
    [anon_sym_callableDataEXT] = ACTIONS(1663),
    [anon_sym_callableDataInEXT] = ACTIONS(1663),
    [anon_sym_shaderRecordEXT] = ACTIONS(1663),
    [anon_sym_rayPayloadNV] = ACTIONS(1663),
    [anon_sym_rayPayloadInNV] = ACTIONS(1663),
    [anon_sym_hitAttributeNV] = ACTIONS(1663),
    [anon_sym_callableDataNV] = ACTIONS(1663),
    [anon_sym_callableDataInNV] = ACTIONS(1663),
    [anon_sym_shaderRecordNV] = ACTIONS(1663),
    [anon_sym_layout] = ACTIONS(1663),
  },
  [298] = {
    [sym_identifier] = ACTIONS(1615),
    [aux_sym_preproc_include_token1] = ACTIONS(1615),
    [aux_sym_preproc_def_token1] = ACTIONS(1615),
    [aux_sym_preproc_if_token1] = ACTIONS(1615),
    [aux_sym_preproc_if_token2] = ACTIONS(1615),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1615),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1615),
    [aux_sym_preproc_else_token1] = ACTIONS(1615),
    [aux_sym_preproc_elif_token1] = ACTIONS(1615),
    [sym_preproc_directive] = ACTIONS(1615),
    [anon_sym_LPAREN2] = ACTIONS(1617),
    [anon_sym_BANG] = ACTIONS(1617),
    [anon_sym_TILDE] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1615),
    [anon_sym_PLUS] = ACTIONS(1615),
    [anon_sym_STAR] = ACTIONS(1617),
    [anon_sym_AMP] = ACTIONS(1617),
    [anon_sym_subroutine] = ACTIONS(1615),
    [anon_sym_invariant] = ACTIONS(1615),
    [anon_sym_precise] = ACTIONS(1615),
    [anon_sym_SEMI] = ACTIONS(1617),
    [anon_sym_in] = ACTIONS(1615),
    [anon_sym_out] = ACTIONS(1615),
    [anon_sym_inout] = ACTIONS(1615),
    [anon_sym_uniform] = ACTIONS(1615),
    [anon_sym_shared] = ACTIONS(1615),
    [anon_sym_attribute] = ACTIONS(1615),
    [anon_sym_varying] = ACTIONS(1615),
    [anon_sym_buffer] = ACTIONS(1615),
    [anon_sym_coherent] = ACTIONS(1615),
    [anon_sym_readonly] = ACTIONS(1615),
    [anon_sym_writeonly] = ACTIONS(1615),
    [anon_sym_precision] = ACTIONS(1615),
    [anon_sym_highp] = ACTIONS(1615),
    [anon_sym_mediump] = ACTIONS(1615),
    [anon_sym_lowp] = ACTIONS(1615),
    [anon_sym_centroid] = ACTIONS(1615),
    [anon_sym_sample] = ACTIONS(1615),
    [anon_sym_patch] = ACTIONS(1615),
    [anon_sym_smooth] = ACTIONS(1615),
    [anon_sym_flat] = ACTIONS(1615),
    [anon_sym_noperspective] = ACTIONS(1615),
    [anon_sym___extension__] = ACTIONS(1615),
    [anon_sym_typedef] = ACTIONS(1615),
    [anon_sym_extern] = ACTIONS(1615),
    [anon_sym___attribute__] = ACTIONS(1615),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1617),
    [anon_sym___declspec] = ACTIONS(1615),
    [anon_sym___cdecl] = ACTIONS(1615),
    [anon_sym___clrcall] = ACTIONS(1615),
    [anon_sym___stdcall] = ACTIONS(1615),
    [anon_sym___fastcall] = ACTIONS(1615),
    [anon_sym___thiscall] = ACTIONS(1615),
    [anon_sym___vectorcall] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1617),
    [anon_sym_signed] = ACTIONS(1615),
    [anon_sym_unsigned] = ACTIONS(1615),
    [anon_sym_long] = ACTIONS(1615),
    [anon_sym_short] = ACTIONS(1615),
    [anon_sym_static] = ACTIONS(1615),
    [anon_sym_auto] = ACTIONS(1615),
    [anon_sym_register] = ACTIONS(1615),
    [anon_sym_inline] = ACTIONS(1615),
    [anon_sym___inline] = ACTIONS(1615),
    [anon_sym___inline__] = ACTIONS(1615),
    [anon_sym___forceinline] = ACTIONS(1615),
    [anon_sym_thread_local] = ACTIONS(1615),
    [anon_sym___thread] = ACTIONS(1615),
    [anon_sym_const] = ACTIONS(1615),
    [anon_sym_constexpr] = ACTIONS(1615),
    [anon_sym_volatile] = ACTIONS(1615),
    [anon_sym_restrict] = ACTIONS(1615),
    [anon_sym___restrict__] = ACTIONS(1615),
    [anon_sym__Atomic] = ACTIONS(1615),
    [anon_sym__Noreturn] = ACTIONS(1615),
    [anon_sym_noreturn] = ACTIONS(1615),
    [sym_primitive_type] = ACTIONS(1615),
    [anon_sym_enum] = ACTIONS(1615),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_union] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1615),
    [anon_sym_switch] = ACTIONS(1615),
    [anon_sym_case] = ACTIONS(1615),
    [anon_sym_default] = ACTIONS(1615),
    [anon_sym_while] = ACTIONS(1615),
    [anon_sym_do] = ACTIONS(1615),
    [anon_sym_for] = ACTIONS(1615),
    [anon_sym_return] = ACTIONS(1615),
    [anon_sym_break] = ACTIONS(1615),
    [anon_sym_continue] = ACTIONS(1615),
    [anon_sym_goto] = ACTIONS(1615),
    [anon_sym___try] = ACTIONS(1615),
    [anon_sym___leave] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1617),
    [anon_sym_PLUS_PLUS] = ACTIONS(1617),
    [anon_sym_sizeof] = ACTIONS(1615),
    [anon_sym___alignof__] = ACTIONS(1615),
    [anon_sym___alignof] = ACTIONS(1615),
    [anon_sym__alignof] = ACTIONS(1615),
    [anon_sym_alignof] = ACTIONS(1615),
    [anon_sym__Alignof] = ACTIONS(1615),
    [anon_sym_offsetof] = ACTIONS(1615),
    [anon_sym__Generic] = ACTIONS(1615),
    [anon_sym_asm] = ACTIONS(1615),
    [anon_sym___asm__] = ACTIONS(1615),
    [sym_number_literal] = ACTIONS(1617),
    [anon_sym_L_SQUOTE] = ACTIONS(1617),
    [anon_sym_u_SQUOTE] = ACTIONS(1617),
    [anon_sym_U_SQUOTE] = ACTIONS(1617),
    [anon_sym_u8_SQUOTE] = ACTIONS(1617),
    [anon_sym_SQUOTE] = ACTIONS(1617),
    [anon_sym_L_DQUOTE] = ACTIONS(1617),
    [anon_sym_u_DQUOTE] = ACTIONS(1617),
    [anon_sym_U_DQUOTE] = ACTIONS(1617),
    [anon_sym_u8_DQUOTE] = ACTIONS(1617),
    [anon_sym_DQUOTE] = ACTIONS(1617),
    [sym_true] = ACTIONS(1615),
    [sym_false] = ACTIONS(1615),
    [anon_sym_NULL] = ACTIONS(1615),
    [anon_sym_nullptr] = ACTIONS(1615),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1615),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1615),
    [anon_sym_hitAttributeEXT] = ACTIONS(1615),
    [anon_sym_callableDataEXT] = ACTIONS(1615),
    [anon_sym_callableDataInEXT] = ACTIONS(1615),
    [anon_sym_shaderRecordEXT] = ACTIONS(1615),
    [anon_sym_rayPayloadNV] = ACTIONS(1615),
    [anon_sym_rayPayloadInNV] = ACTIONS(1615),
    [anon_sym_hitAttributeNV] = ACTIONS(1615),
    [anon_sym_callableDataNV] = ACTIONS(1615),
    [anon_sym_callableDataInNV] = ACTIONS(1615),
    [anon_sym_shaderRecordNV] = ACTIONS(1615),
    [anon_sym_layout] = ACTIONS(1615),
  },
  [299] = {
    [sym_identifier] = ACTIONS(1619),
    [aux_sym_preproc_include_token1] = ACTIONS(1619),
    [aux_sym_preproc_def_token1] = ACTIONS(1619),
    [aux_sym_preproc_if_token1] = ACTIONS(1619),
    [aux_sym_preproc_if_token2] = ACTIONS(1619),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1619),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1619),
    [aux_sym_preproc_else_token1] = ACTIONS(1619),
    [aux_sym_preproc_elif_token1] = ACTIONS(1619),
    [sym_preproc_directive] = ACTIONS(1619),
    [anon_sym_LPAREN2] = ACTIONS(1621),
    [anon_sym_BANG] = ACTIONS(1621),
    [anon_sym_TILDE] = ACTIONS(1621),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_STAR] = ACTIONS(1621),
    [anon_sym_AMP] = ACTIONS(1621),
    [anon_sym_subroutine] = ACTIONS(1619),
    [anon_sym_invariant] = ACTIONS(1619),
    [anon_sym_precise] = ACTIONS(1619),
    [anon_sym_SEMI] = ACTIONS(1621),
    [anon_sym_in] = ACTIONS(1619),
    [anon_sym_out] = ACTIONS(1619),
    [anon_sym_inout] = ACTIONS(1619),
    [anon_sym_uniform] = ACTIONS(1619),
    [anon_sym_shared] = ACTIONS(1619),
    [anon_sym_attribute] = ACTIONS(1619),
    [anon_sym_varying] = ACTIONS(1619),
    [anon_sym_buffer] = ACTIONS(1619),
    [anon_sym_coherent] = ACTIONS(1619),
    [anon_sym_readonly] = ACTIONS(1619),
    [anon_sym_writeonly] = ACTIONS(1619),
    [anon_sym_precision] = ACTIONS(1619),
    [anon_sym_highp] = ACTIONS(1619),
    [anon_sym_mediump] = ACTIONS(1619),
    [anon_sym_lowp] = ACTIONS(1619),
    [anon_sym_centroid] = ACTIONS(1619),
    [anon_sym_sample] = ACTIONS(1619),
    [anon_sym_patch] = ACTIONS(1619),
    [anon_sym_smooth] = ACTIONS(1619),
    [anon_sym_flat] = ACTIONS(1619),
    [anon_sym_noperspective] = ACTIONS(1619),
    [anon_sym___extension__] = ACTIONS(1619),
    [anon_sym_typedef] = ACTIONS(1619),
    [anon_sym_extern] = ACTIONS(1619),
    [anon_sym___attribute__] = ACTIONS(1619),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1621),
    [anon_sym___declspec] = ACTIONS(1619),
    [anon_sym___cdecl] = ACTIONS(1619),
    [anon_sym___clrcall] = ACTIONS(1619),
    [anon_sym___stdcall] = ACTIONS(1619),
    [anon_sym___fastcall] = ACTIONS(1619),
    [anon_sym___thiscall] = ACTIONS(1619),
    [anon_sym___vectorcall] = ACTIONS(1619),
    [anon_sym_LBRACE] = ACTIONS(1621),
    [anon_sym_signed] = ACTIONS(1619),
    [anon_sym_unsigned] = ACTIONS(1619),
    [anon_sym_long] = ACTIONS(1619),
    [anon_sym_short] = ACTIONS(1619),
    [anon_sym_static] = ACTIONS(1619),
    [anon_sym_auto] = ACTIONS(1619),
    [anon_sym_register] = ACTIONS(1619),
    [anon_sym_inline] = ACTIONS(1619),
    [anon_sym___inline] = ACTIONS(1619),
    [anon_sym___inline__] = ACTIONS(1619),
    [anon_sym___forceinline] = ACTIONS(1619),
    [anon_sym_thread_local] = ACTIONS(1619),
    [anon_sym___thread] = ACTIONS(1619),
    [anon_sym_const] = ACTIONS(1619),
    [anon_sym_constexpr] = ACTIONS(1619),
    [anon_sym_volatile] = ACTIONS(1619),
    [anon_sym_restrict] = ACTIONS(1619),
    [anon_sym___restrict__] = ACTIONS(1619),
    [anon_sym__Atomic] = ACTIONS(1619),
    [anon_sym__Noreturn] = ACTIONS(1619),
    [anon_sym_noreturn] = ACTIONS(1619),
    [sym_primitive_type] = ACTIONS(1619),
    [anon_sym_enum] = ACTIONS(1619),
    [anon_sym_struct] = ACTIONS(1619),
    [anon_sym_union] = ACTIONS(1619),
    [anon_sym_if] = ACTIONS(1619),
    [anon_sym_switch] = ACTIONS(1619),
    [anon_sym_case] = ACTIONS(1619),
    [anon_sym_default] = ACTIONS(1619),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_do] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1619),
    [anon_sym_return] = ACTIONS(1619),
    [anon_sym_break] = ACTIONS(1619),
    [anon_sym_continue] = ACTIONS(1619),
    [anon_sym_goto] = ACTIONS(1619),
    [anon_sym___try] = ACTIONS(1619),
    [anon_sym___leave] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_sizeof] = ACTIONS(1619),
    [anon_sym___alignof__] = ACTIONS(1619),
    [anon_sym___alignof] = ACTIONS(1619),
    [anon_sym__alignof] = ACTIONS(1619),
    [anon_sym_alignof] = ACTIONS(1619),
    [anon_sym__Alignof] = ACTIONS(1619),
    [anon_sym_offsetof] = ACTIONS(1619),
    [anon_sym__Generic] = ACTIONS(1619),
    [anon_sym_asm] = ACTIONS(1619),
    [anon_sym___asm__] = ACTIONS(1619),
    [sym_number_literal] = ACTIONS(1621),
    [anon_sym_L_SQUOTE] = ACTIONS(1621),
    [anon_sym_u_SQUOTE] = ACTIONS(1621),
    [anon_sym_U_SQUOTE] = ACTIONS(1621),
    [anon_sym_u8_SQUOTE] = ACTIONS(1621),
    [anon_sym_SQUOTE] = ACTIONS(1621),
    [anon_sym_L_DQUOTE] = ACTIONS(1621),
    [anon_sym_u_DQUOTE] = ACTIONS(1621),
    [anon_sym_U_DQUOTE] = ACTIONS(1621),
    [anon_sym_u8_DQUOTE] = ACTIONS(1621),
    [anon_sym_DQUOTE] = ACTIONS(1621),
    [sym_true] = ACTIONS(1619),
    [sym_false] = ACTIONS(1619),
    [anon_sym_NULL] = ACTIONS(1619),
    [anon_sym_nullptr] = ACTIONS(1619),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1619),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1619),
    [anon_sym_hitAttributeEXT] = ACTIONS(1619),
    [anon_sym_callableDataEXT] = ACTIONS(1619),
    [anon_sym_callableDataInEXT] = ACTIONS(1619),
    [anon_sym_shaderRecordEXT] = ACTIONS(1619),
    [anon_sym_rayPayloadNV] = ACTIONS(1619),
    [anon_sym_rayPayloadInNV] = ACTIONS(1619),
    [anon_sym_hitAttributeNV] = ACTIONS(1619),
    [anon_sym_callableDataNV] = ACTIONS(1619),
    [anon_sym_callableDataInNV] = ACTIONS(1619),
    [anon_sym_shaderRecordNV] = ACTIONS(1619),
    [anon_sym_layout] = ACTIONS(1619),
  },
  [300] = {
    [sym_else_clause] = STATE(304),
    [ts_builtin_sym_end] = ACTIONS(1425),
    [sym_identifier] = ACTIONS(1423),
    [aux_sym_preproc_include_token1] = ACTIONS(1423),
    [aux_sym_preproc_def_token1] = ACTIONS(1423),
    [aux_sym_preproc_if_token1] = ACTIONS(1423),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1423),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1423),
    [sym_preproc_directive] = ACTIONS(1423),
    [anon_sym_LPAREN2] = ACTIONS(1425),
    [anon_sym_BANG] = ACTIONS(1425),
    [anon_sym_TILDE] = ACTIONS(1425),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1425),
    [anon_sym_AMP] = ACTIONS(1425),
    [anon_sym_subroutine] = ACTIONS(1423),
    [anon_sym_invariant] = ACTIONS(1423),
    [anon_sym_precise] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1425),
    [anon_sym_in] = ACTIONS(1423),
    [anon_sym_out] = ACTIONS(1423),
    [anon_sym_inout] = ACTIONS(1423),
    [anon_sym_uniform] = ACTIONS(1423),
    [anon_sym_shared] = ACTIONS(1423),
    [anon_sym_attribute] = ACTIONS(1423),
    [anon_sym_varying] = ACTIONS(1423),
    [anon_sym_buffer] = ACTIONS(1423),
    [anon_sym_coherent] = ACTIONS(1423),
    [anon_sym_readonly] = ACTIONS(1423),
    [anon_sym_writeonly] = ACTIONS(1423),
    [anon_sym_precision] = ACTIONS(1423),
    [anon_sym_highp] = ACTIONS(1423),
    [anon_sym_mediump] = ACTIONS(1423),
    [anon_sym_lowp] = ACTIONS(1423),
    [anon_sym_centroid] = ACTIONS(1423),
    [anon_sym_sample] = ACTIONS(1423),
    [anon_sym_patch] = ACTIONS(1423),
    [anon_sym_smooth] = ACTIONS(1423),
    [anon_sym_flat] = ACTIONS(1423),
    [anon_sym_noperspective] = ACTIONS(1423),
    [anon_sym___extension__] = ACTIONS(1423),
    [anon_sym_typedef] = ACTIONS(1423),
    [anon_sym_extern] = ACTIONS(1423),
    [anon_sym___attribute__] = ACTIONS(1423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1425),
    [anon_sym___declspec] = ACTIONS(1423),
    [anon_sym___cdecl] = ACTIONS(1423),
    [anon_sym___clrcall] = ACTIONS(1423),
    [anon_sym___stdcall] = ACTIONS(1423),
    [anon_sym___fastcall] = ACTIONS(1423),
    [anon_sym___thiscall] = ACTIONS(1423),
    [anon_sym___vectorcall] = ACTIONS(1423),
    [anon_sym_LBRACE] = ACTIONS(1425),
    [anon_sym_signed] = ACTIONS(1423),
    [anon_sym_unsigned] = ACTIONS(1423),
    [anon_sym_long] = ACTIONS(1423),
    [anon_sym_short] = ACTIONS(1423),
    [anon_sym_static] = ACTIONS(1423),
    [anon_sym_auto] = ACTIONS(1423),
    [anon_sym_register] = ACTIONS(1423),
    [anon_sym_inline] = ACTIONS(1423),
    [anon_sym___inline] = ACTIONS(1423),
    [anon_sym___inline__] = ACTIONS(1423),
    [anon_sym___forceinline] = ACTIONS(1423),
    [anon_sym_thread_local] = ACTIONS(1423),
    [anon_sym___thread] = ACTIONS(1423),
    [anon_sym_const] = ACTIONS(1423),
    [anon_sym_constexpr] = ACTIONS(1423),
    [anon_sym_volatile] = ACTIONS(1423),
    [anon_sym_restrict] = ACTIONS(1423),
    [anon_sym___restrict__] = ACTIONS(1423),
    [anon_sym__Atomic] = ACTIONS(1423),
    [anon_sym__Noreturn] = ACTIONS(1423),
    [anon_sym_noreturn] = ACTIONS(1423),
    [sym_primitive_type] = ACTIONS(1423),
    [anon_sym_enum] = ACTIONS(1423),
    [anon_sym_struct] = ACTIONS(1423),
    [anon_sym_union] = ACTIONS(1423),
    [anon_sym_if] = ACTIONS(1423),
    [anon_sym_else] = ACTIONS(1731),
    [anon_sym_switch] = ACTIONS(1423),
    [anon_sym_case] = ACTIONS(1423),
    [anon_sym_default] = ACTIONS(1423),
    [anon_sym_while] = ACTIONS(1423),
    [anon_sym_do] = ACTIONS(1423),
    [anon_sym_for] = ACTIONS(1423),
    [anon_sym_return] = ACTIONS(1423),
    [anon_sym_break] = ACTIONS(1423),
    [anon_sym_continue] = ACTIONS(1423),
    [anon_sym_goto] = ACTIONS(1423),
    [anon_sym___try] = ACTIONS(1423),
    [anon_sym___leave] = ACTIONS(1423),
    [anon_sym_DASH_DASH] = ACTIONS(1425),
    [anon_sym_PLUS_PLUS] = ACTIONS(1425),
    [anon_sym_sizeof] = ACTIONS(1423),
    [anon_sym___alignof__] = ACTIONS(1423),
    [anon_sym___alignof] = ACTIONS(1423),
    [anon_sym__alignof] = ACTIONS(1423),
    [anon_sym_alignof] = ACTIONS(1423),
    [anon_sym__Alignof] = ACTIONS(1423),
    [anon_sym_offsetof] = ACTIONS(1423),
    [anon_sym__Generic] = ACTIONS(1423),
    [anon_sym_asm] = ACTIONS(1423),
    [anon_sym___asm__] = ACTIONS(1423),
    [sym_number_literal] = ACTIONS(1425),
    [anon_sym_L_SQUOTE] = ACTIONS(1425),
    [anon_sym_u_SQUOTE] = ACTIONS(1425),
    [anon_sym_U_SQUOTE] = ACTIONS(1425),
    [anon_sym_u8_SQUOTE] = ACTIONS(1425),
    [anon_sym_SQUOTE] = ACTIONS(1425),
    [anon_sym_L_DQUOTE] = ACTIONS(1425),
    [anon_sym_u_DQUOTE] = ACTIONS(1425),
    [anon_sym_U_DQUOTE] = ACTIONS(1425),
    [anon_sym_u8_DQUOTE] = ACTIONS(1425),
    [anon_sym_DQUOTE] = ACTIONS(1425),
    [sym_true] = ACTIONS(1423),
    [sym_false] = ACTIONS(1423),
    [anon_sym_NULL] = ACTIONS(1423),
    [anon_sym_nullptr] = ACTIONS(1423),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1423),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1423),
    [anon_sym_hitAttributeEXT] = ACTIONS(1423),
    [anon_sym_callableDataEXT] = ACTIONS(1423),
    [anon_sym_callableDataInEXT] = ACTIONS(1423),
    [anon_sym_shaderRecordEXT] = ACTIONS(1423),
    [anon_sym_rayPayloadNV] = ACTIONS(1423),
    [anon_sym_rayPayloadInNV] = ACTIONS(1423),
    [anon_sym_hitAttributeNV] = ACTIONS(1423),
    [anon_sym_callableDataNV] = ACTIONS(1423),
    [anon_sym_callableDataInNV] = ACTIONS(1423),
    [anon_sym_shaderRecordNV] = ACTIONS(1423),
    [anon_sym_layout] = ACTIONS(1423),
  },
  [301] = {
    [sym_identifier] = ACTIONS(1595),
    [aux_sym_preproc_include_token1] = ACTIONS(1595),
    [aux_sym_preproc_def_token1] = ACTIONS(1595),
    [aux_sym_preproc_if_token1] = ACTIONS(1595),
    [aux_sym_preproc_if_token2] = ACTIONS(1595),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1595),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1595),
    [aux_sym_preproc_else_token1] = ACTIONS(1595),
    [aux_sym_preproc_elif_token1] = ACTIONS(1595),
    [sym_preproc_directive] = ACTIONS(1595),
    [anon_sym_LPAREN2] = ACTIONS(1597),
    [anon_sym_BANG] = ACTIONS(1597),
    [anon_sym_TILDE] = ACTIONS(1597),
    [anon_sym_DASH] = ACTIONS(1595),
    [anon_sym_PLUS] = ACTIONS(1595),
    [anon_sym_STAR] = ACTIONS(1597),
    [anon_sym_AMP] = ACTIONS(1597),
    [anon_sym_subroutine] = ACTIONS(1595),
    [anon_sym_invariant] = ACTIONS(1595),
    [anon_sym_precise] = ACTIONS(1595),
    [anon_sym_SEMI] = ACTIONS(1597),
    [anon_sym_in] = ACTIONS(1595),
    [anon_sym_out] = ACTIONS(1595),
    [anon_sym_inout] = ACTIONS(1595),
    [anon_sym_uniform] = ACTIONS(1595),
    [anon_sym_shared] = ACTIONS(1595),
    [anon_sym_attribute] = ACTIONS(1595),
    [anon_sym_varying] = ACTIONS(1595),
    [anon_sym_buffer] = ACTIONS(1595),
    [anon_sym_coherent] = ACTIONS(1595),
    [anon_sym_readonly] = ACTIONS(1595),
    [anon_sym_writeonly] = ACTIONS(1595),
    [anon_sym_precision] = ACTIONS(1595),
    [anon_sym_highp] = ACTIONS(1595),
    [anon_sym_mediump] = ACTIONS(1595),
    [anon_sym_lowp] = ACTIONS(1595),
    [anon_sym_centroid] = ACTIONS(1595),
    [anon_sym_sample] = ACTIONS(1595),
    [anon_sym_patch] = ACTIONS(1595),
    [anon_sym_smooth] = ACTIONS(1595),
    [anon_sym_flat] = ACTIONS(1595),
    [anon_sym_noperspective] = ACTIONS(1595),
    [anon_sym___extension__] = ACTIONS(1595),
    [anon_sym_typedef] = ACTIONS(1595),
    [anon_sym_extern] = ACTIONS(1595),
    [anon_sym___attribute__] = ACTIONS(1595),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1597),
    [anon_sym___declspec] = ACTIONS(1595),
    [anon_sym___cdecl] = ACTIONS(1595),
    [anon_sym___clrcall] = ACTIONS(1595),
    [anon_sym___stdcall] = ACTIONS(1595),
    [anon_sym___fastcall] = ACTIONS(1595),
    [anon_sym___thiscall] = ACTIONS(1595),
    [anon_sym___vectorcall] = ACTIONS(1595),
    [anon_sym_LBRACE] = ACTIONS(1597),
    [anon_sym_signed] = ACTIONS(1595),
    [anon_sym_unsigned] = ACTIONS(1595),
    [anon_sym_long] = ACTIONS(1595),
    [anon_sym_short] = ACTIONS(1595),
    [anon_sym_static] = ACTIONS(1595),
    [anon_sym_auto] = ACTIONS(1595),
    [anon_sym_register] = ACTIONS(1595),
    [anon_sym_inline] = ACTIONS(1595),
    [anon_sym___inline] = ACTIONS(1595),
    [anon_sym___inline__] = ACTIONS(1595),
    [anon_sym___forceinline] = ACTIONS(1595),
    [anon_sym_thread_local] = ACTIONS(1595),
    [anon_sym___thread] = ACTIONS(1595),
    [anon_sym_const] = ACTIONS(1595),
    [anon_sym_constexpr] = ACTIONS(1595),
    [anon_sym_volatile] = ACTIONS(1595),
    [anon_sym_restrict] = ACTIONS(1595),
    [anon_sym___restrict__] = ACTIONS(1595),
    [anon_sym__Atomic] = ACTIONS(1595),
    [anon_sym__Noreturn] = ACTIONS(1595),
    [anon_sym_noreturn] = ACTIONS(1595),
    [sym_primitive_type] = ACTIONS(1595),
    [anon_sym_enum] = ACTIONS(1595),
    [anon_sym_struct] = ACTIONS(1595),
    [anon_sym_union] = ACTIONS(1595),
    [anon_sym_if] = ACTIONS(1595),
    [anon_sym_switch] = ACTIONS(1595),
    [anon_sym_case] = ACTIONS(1595),
    [anon_sym_default] = ACTIONS(1595),
    [anon_sym_while] = ACTIONS(1595),
    [anon_sym_do] = ACTIONS(1595),
    [anon_sym_for] = ACTIONS(1595),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_break] = ACTIONS(1595),
    [anon_sym_continue] = ACTIONS(1595),
    [anon_sym_goto] = ACTIONS(1595),
    [anon_sym___try] = ACTIONS(1595),
    [anon_sym___leave] = ACTIONS(1595),
    [anon_sym_DASH_DASH] = ACTIONS(1597),
    [anon_sym_PLUS_PLUS] = ACTIONS(1597),
    [anon_sym_sizeof] = ACTIONS(1595),
    [anon_sym___alignof__] = ACTIONS(1595),
    [anon_sym___alignof] = ACTIONS(1595),
    [anon_sym__alignof] = ACTIONS(1595),
    [anon_sym_alignof] = ACTIONS(1595),
    [anon_sym__Alignof] = ACTIONS(1595),
    [anon_sym_offsetof] = ACTIONS(1595),
    [anon_sym__Generic] = ACTIONS(1595),
    [anon_sym_asm] = ACTIONS(1595),
    [anon_sym___asm__] = ACTIONS(1595),
    [sym_number_literal] = ACTIONS(1597),
    [anon_sym_L_SQUOTE] = ACTIONS(1597),
    [anon_sym_u_SQUOTE] = ACTIONS(1597),
    [anon_sym_U_SQUOTE] = ACTIONS(1597),
    [anon_sym_u8_SQUOTE] = ACTIONS(1597),
    [anon_sym_SQUOTE] = ACTIONS(1597),
    [anon_sym_L_DQUOTE] = ACTIONS(1597),
    [anon_sym_u_DQUOTE] = ACTIONS(1597),
    [anon_sym_U_DQUOTE] = ACTIONS(1597),
    [anon_sym_u8_DQUOTE] = ACTIONS(1597),
    [anon_sym_DQUOTE] = ACTIONS(1597),
    [sym_true] = ACTIONS(1595),
    [sym_false] = ACTIONS(1595),
    [anon_sym_NULL] = ACTIONS(1595),
    [anon_sym_nullptr] = ACTIONS(1595),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1595),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1595),
    [anon_sym_hitAttributeEXT] = ACTIONS(1595),
    [anon_sym_callableDataEXT] = ACTIONS(1595),
    [anon_sym_callableDataInEXT] = ACTIONS(1595),
    [anon_sym_shaderRecordEXT] = ACTIONS(1595),
    [anon_sym_rayPayloadNV] = ACTIONS(1595),
    [anon_sym_rayPayloadInNV] = ACTIONS(1595),
    [anon_sym_hitAttributeNV] = ACTIONS(1595),
    [anon_sym_callableDataNV] = ACTIONS(1595),
    [anon_sym_callableDataInNV] = ACTIONS(1595),
    [anon_sym_shaderRecordNV] = ACTIONS(1595),
    [anon_sym_layout] = ACTIONS(1595),
  },
  [302] = {
    [sym_identifier] = ACTIONS(1599),
    [aux_sym_preproc_include_token1] = ACTIONS(1599),
    [aux_sym_preproc_def_token1] = ACTIONS(1599),
    [aux_sym_preproc_if_token1] = ACTIONS(1599),
    [aux_sym_preproc_if_token2] = ACTIONS(1599),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1599),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1599),
    [aux_sym_preproc_else_token1] = ACTIONS(1599),
    [aux_sym_preproc_elif_token1] = ACTIONS(1599),
    [sym_preproc_directive] = ACTIONS(1599),
    [anon_sym_LPAREN2] = ACTIONS(1601),
    [anon_sym_BANG] = ACTIONS(1601),
    [anon_sym_TILDE] = ACTIONS(1601),
    [anon_sym_DASH] = ACTIONS(1599),
    [anon_sym_PLUS] = ACTIONS(1599),
    [anon_sym_STAR] = ACTIONS(1601),
    [anon_sym_AMP] = ACTIONS(1601),
    [anon_sym_subroutine] = ACTIONS(1599),
    [anon_sym_invariant] = ACTIONS(1599),
    [anon_sym_precise] = ACTIONS(1599),
    [anon_sym_SEMI] = ACTIONS(1601),
    [anon_sym_in] = ACTIONS(1599),
    [anon_sym_out] = ACTIONS(1599),
    [anon_sym_inout] = ACTIONS(1599),
    [anon_sym_uniform] = ACTIONS(1599),
    [anon_sym_shared] = ACTIONS(1599),
    [anon_sym_attribute] = ACTIONS(1599),
    [anon_sym_varying] = ACTIONS(1599),
    [anon_sym_buffer] = ACTIONS(1599),
    [anon_sym_coherent] = ACTIONS(1599),
    [anon_sym_readonly] = ACTIONS(1599),
    [anon_sym_writeonly] = ACTIONS(1599),
    [anon_sym_precision] = ACTIONS(1599),
    [anon_sym_highp] = ACTIONS(1599),
    [anon_sym_mediump] = ACTIONS(1599),
    [anon_sym_lowp] = ACTIONS(1599),
    [anon_sym_centroid] = ACTIONS(1599),
    [anon_sym_sample] = ACTIONS(1599),
    [anon_sym_patch] = ACTIONS(1599),
    [anon_sym_smooth] = ACTIONS(1599),
    [anon_sym_flat] = ACTIONS(1599),
    [anon_sym_noperspective] = ACTIONS(1599),
    [anon_sym___extension__] = ACTIONS(1599),
    [anon_sym_typedef] = ACTIONS(1599),
    [anon_sym_extern] = ACTIONS(1599),
    [anon_sym___attribute__] = ACTIONS(1599),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1601),
    [anon_sym___declspec] = ACTIONS(1599),
    [anon_sym___cdecl] = ACTIONS(1599),
    [anon_sym___clrcall] = ACTIONS(1599),
    [anon_sym___stdcall] = ACTIONS(1599),
    [anon_sym___fastcall] = ACTIONS(1599),
    [anon_sym___thiscall] = ACTIONS(1599),
    [anon_sym___vectorcall] = ACTIONS(1599),
    [anon_sym_LBRACE] = ACTIONS(1601),
    [anon_sym_signed] = ACTIONS(1599),
    [anon_sym_unsigned] = ACTIONS(1599),
    [anon_sym_long] = ACTIONS(1599),
    [anon_sym_short] = ACTIONS(1599),
    [anon_sym_static] = ACTIONS(1599),
    [anon_sym_auto] = ACTIONS(1599),
    [anon_sym_register] = ACTIONS(1599),
    [anon_sym_inline] = ACTIONS(1599),
    [anon_sym___inline] = ACTIONS(1599),
    [anon_sym___inline__] = ACTIONS(1599),
    [anon_sym___forceinline] = ACTIONS(1599),
    [anon_sym_thread_local] = ACTIONS(1599),
    [anon_sym___thread] = ACTIONS(1599),
    [anon_sym_const] = ACTIONS(1599),
    [anon_sym_constexpr] = ACTIONS(1599),
    [anon_sym_volatile] = ACTIONS(1599),
    [anon_sym_restrict] = ACTIONS(1599),
    [anon_sym___restrict__] = ACTIONS(1599),
    [anon_sym__Atomic] = ACTIONS(1599),
    [anon_sym__Noreturn] = ACTIONS(1599),
    [anon_sym_noreturn] = ACTIONS(1599),
    [sym_primitive_type] = ACTIONS(1599),
    [anon_sym_enum] = ACTIONS(1599),
    [anon_sym_struct] = ACTIONS(1599),
    [anon_sym_union] = ACTIONS(1599),
    [anon_sym_if] = ACTIONS(1599),
    [anon_sym_switch] = ACTIONS(1599),
    [anon_sym_case] = ACTIONS(1599),
    [anon_sym_default] = ACTIONS(1599),
    [anon_sym_while] = ACTIONS(1599),
    [anon_sym_do] = ACTIONS(1599),
    [anon_sym_for] = ACTIONS(1599),
    [anon_sym_return] = ACTIONS(1599),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_continue] = ACTIONS(1599),
    [anon_sym_goto] = ACTIONS(1599),
    [anon_sym___try] = ACTIONS(1599),
    [anon_sym___leave] = ACTIONS(1599),
    [anon_sym_DASH_DASH] = ACTIONS(1601),
    [anon_sym_PLUS_PLUS] = ACTIONS(1601),
    [anon_sym_sizeof] = ACTIONS(1599),
    [anon_sym___alignof__] = ACTIONS(1599),
    [anon_sym___alignof] = ACTIONS(1599),
    [anon_sym__alignof] = ACTIONS(1599),
    [anon_sym_alignof] = ACTIONS(1599),
    [anon_sym__Alignof] = ACTIONS(1599),
    [anon_sym_offsetof] = ACTIONS(1599),
    [anon_sym__Generic] = ACTIONS(1599),
    [anon_sym_asm] = ACTIONS(1599),
    [anon_sym___asm__] = ACTIONS(1599),
    [sym_number_literal] = ACTIONS(1601),
    [anon_sym_L_SQUOTE] = ACTIONS(1601),
    [anon_sym_u_SQUOTE] = ACTIONS(1601),
    [anon_sym_U_SQUOTE] = ACTIONS(1601),
    [anon_sym_u8_SQUOTE] = ACTIONS(1601),
    [anon_sym_SQUOTE] = ACTIONS(1601),
    [anon_sym_L_DQUOTE] = ACTIONS(1601),
    [anon_sym_u_DQUOTE] = ACTIONS(1601),
    [anon_sym_U_DQUOTE] = ACTIONS(1601),
    [anon_sym_u8_DQUOTE] = ACTIONS(1601),
    [anon_sym_DQUOTE] = ACTIONS(1601),
    [sym_true] = ACTIONS(1599),
    [sym_false] = ACTIONS(1599),
    [anon_sym_NULL] = ACTIONS(1599),
    [anon_sym_nullptr] = ACTIONS(1599),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1599),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1599),
    [anon_sym_hitAttributeEXT] = ACTIONS(1599),
    [anon_sym_callableDataEXT] = ACTIONS(1599),
    [anon_sym_callableDataInEXT] = ACTIONS(1599),
    [anon_sym_shaderRecordEXT] = ACTIONS(1599),
    [anon_sym_rayPayloadNV] = ACTIONS(1599),
    [anon_sym_rayPayloadInNV] = ACTIONS(1599),
    [anon_sym_hitAttributeNV] = ACTIONS(1599),
    [anon_sym_callableDataNV] = ACTIONS(1599),
    [anon_sym_callableDataInNV] = ACTIONS(1599),
    [anon_sym_shaderRecordNV] = ACTIONS(1599),
    [anon_sym_layout] = ACTIONS(1599),
  },
  [303] = {
    [ts_builtin_sym_end] = ACTIONS(1515),
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [304] = {
    [ts_builtin_sym_end] = ACTIONS(1463),
    [sym_identifier] = ACTIONS(1461),
    [aux_sym_preproc_include_token1] = ACTIONS(1461),
    [aux_sym_preproc_def_token1] = ACTIONS(1461),
    [aux_sym_preproc_if_token1] = ACTIONS(1461),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1461),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1461),
    [sym_preproc_directive] = ACTIONS(1461),
    [anon_sym_LPAREN2] = ACTIONS(1463),
    [anon_sym_BANG] = ACTIONS(1463),
    [anon_sym_TILDE] = ACTIONS(1463),
    [anon_sym_DASH] = ACTIONS(1461),
    [anon_sym_PLUS] = ACTIONS(1461),
    [anon_sym_STAR] = ACTIONS(1463),
    [anon_sym_AMP] = ACTIONS(1463),
    [anon_sym_subroutine] = ACTIONS(1461),
    [anon_sym_invariant] = ACTIONS(1461),
    [anon_sym_precise] = ACTIONS(1461),
    [anon_sym_SEMI] = ACTIONS(1463),
    [anon_sym_in] = ACTIONS(1461),
    [anon_sym_out] = ACTIONS(1461),
    [anon_sym_inout] = ACTIONS(1461),
    [anon_sym_uniform] = ACTIONS(1461),
    [anon_sym_shared] = ACTIONS(1461),
    [anon_sym_attribute] = ACTIONS(1461),
    [anon_sym_varying] = ACTIONS(1461),
    [anon_sym_buffer] = ACTIONS(1461),
    [anon_sym_coherent] = ACTIONS(1461),
    [anon_sym_readonly] = ACTIONS(1461),
    [anon_sym_writeonly] = ACTIONS(1461),
    [anon_sym_precision] = ACTIONS(1461),
    [anon_sym_highp] = ACTIONS(1461),
    [anon_sym_mediump] = ACTIONS(1461),
    [anon_sym_lowp] = ACTIONS(1461),
    [anon_sym_centroid] = ACTIONS(1461),
    [anon_sym_sample] = ACTIONS(1461),
    [anon_sym_patch] = ACTIONS(1461),
    [anon_sym_smooth] = ACTIONS(1461),
    [anon_sym_flat] = ACTIONS(1461),
    [anon_sym_noperspective] = ACTIONS(1461),
    [anon_sym___extension__] = ACTIONS(1461),
    [anon_sym_typedef] = ACTIONS(1461),
    [anon_sym_extern] = ACTIONS(1461),
    [anon_sym___attribute__] = ACTIONS(1461),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1463),
    [anon_sym___declspec] = ACTIONS(1461),
    [anon_sym___cdecl] = ACTIONS(1461),
    [anon_sym___clrcall] = ACTIONS(1461),
    [anon_sym___stdcall] = ACTIONS(1461),
    [anon_sym___fastcall] = ACTIONS(1461),
    [anon_sym___thiscall] = ACTIONS(1461),
    [anon_sym___vectorcall] = ACTIONS(1461),
    [anon_sym_LBRACE] = ACTIONS(1463),
    [anon_sym_signed] = ACTIONS(1461),
    [anon_sym_unsigned] = ACTIONS(1461),
    [anon_sym_long] = ACTIONS(1461),
    [anon_sym_short] = ACTIONS(1461),
    [anon_sym_static] = ACTIONS(1461),
    [anon_sym_auto] = ACTIONS(1461),
    [anon_sym_register] = ACTIONS(1461),
    [anon_sym_inline] = ACTIONS(1461),
    [anon_sym___inline] = ACTIONS(1461),
    [anon_sym___inline__] = ACTIONS(1461),
    [anon_sym___forceinline] = ACTIONS(1461),
    [anon_sym_thread_local] = ACTIONS(1461),
    [anon_sym___thread] = ACTIONS(1461),
    [anon_sym_const] = ACTIONS(1461),
    [anon_sym_constexpr] = ACTIONS(1461),
    [anon_sym_volatile] = ACTIONS(1461),
    [anon_sym_restrict] = ACTIONS(1461),
    [anon_sym___restrict__] = ACTIONS(1461),
    [anon_sym__Atomic] = ACTIONS(1461),
    [anon_sym__Noreturn] = ACTIONS(1461),
    [anon_sym_noreturn] = ACTIONS(1461),
    [sym_primitive_type] = ACTIONS(1461),
    [anon_sym_enum] = ACTIONS(1461),
    [anon_sym_struct] = ACTIONS(1461),
    [anon_sym_union] = ACTIONS(1461),
    [anon_sym_if] = ACTIONS(1461),
    [anon_sym_else] = ACTIONS(1461),
    [anon_sym_switch] = ACTIONS(1461),
    [anon_sym_case] = ACTIONS(1461),
    [anon_sym_default] = ACTIONS(1461),
    [anon_sym_while] = ACTIONS(1461),
    [anon_sym_do] = ACTIONS(1461),
    [anon_sym_for] = ACTIONS(1461),
    [anon_sym_return] = ACTIONS(1461),
    [anon_sym_break] = ACTIONS(1461),
    [anon_sym_continue] = ACTIONS(1461),
    [anon_sym_goto] = ACTIONS(1461),
    [anon_sym___try] = ACTIONS(1461),
    [anon_sym___leave] = ACTIONS(1461),
    [anon_sym_DASH_DASH] = ACTIONS(1463),
    [anon_sym_PLUS_PLUS] = ACTIONS(1463),
    [anon_sym_sizeof] = ACTIONS(1461),
    [anon_sym___alignof__] = ACTIONS(1461),
    [anon_sym___alignof] = ACTIONS(1461),
    [anon_sym__alignof] = ACTIONS(1461),
    [anon_sym_alignof] = ACTIONS(1461),
    [anon_sym__Alignof] = ACTIONS(1461),
    [anon_sym_offsetof] = ACTIONS(1461),
    [anon_sym__Generic] = ACTIONS(1461),
    [anon_sym_asm] = ACTIONS(1461),
    [anon_sym___asm__] = ACTIONS(1461),
    [sym_number_literal] = ACTIONS(1463),
    [anon_sym_L_SQUOTE] = ACTIONS(1463),
    [anon_sym_u_SQUOTE] = ACTIONS(1463),
    [anon_sym_U_SQUOTE] = ACTIONS(1463),
    [anon_sym_u8_SQUOTE] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1463),
    [anon_sym_L_DQUOTE] = ACTIONS(1463),
    [anon_sym_u_DQUOTE] = ACTIONS(1463),
    [anon_sym_U_DQUOTE] = ACTIONS(1463),
    [anon_sym_u8_DQUOTE] = ACTIONS(1463),
    [anon_sym_DQUOTE] = ACTIONS(1463),
    [sym_true] = ACTIONS(1461),
    [sym_false] = ACTIONS(1461),
    [anon_sym_NULL] = ACTIONS(1461),
    [anon_sym_nullptr] = ACTIONS(1461),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1461),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1461),
    [anon_sym_hitAttributeEXT] = ACTIONS(1461),
    [anon_sym_callableDataEXT] = ACTIONS(1461),
    [anon_sym_callableDataInEXT] = ACTIONS(1461),
    [anon_sym_shaderRecordEXT] = ACTIONS(1461),
    [anon_sym_rayPayloadNV] = ACTIONS(1461),
    [anon_sym_rayPayloadInNV] = ACTIONS(1461),
    [anon_sym_hitAttributeNV] = ACTIONS(1461),
    [anon_sym_callableDataNV] = ACTIONS(1461),
    [anon_sym_callableDataInNV] = ACTIONS(1461),
    [anon_sym_shaderRecordNV] = ACTIONS(1461),
    [anon_sym_layout] = ACTIONS(1461),
  },
  [305] = {
    [sym_identifier] = ACTIONS(1585),
    [aux_sym_preproc_include_token1] = ACTIONS(1585),
    [aux_sym_preproc_def_token1] = ACTIONS(1585),
    [aux_sym_preproc_if_token1] = ACTIONS(1585),
    [aux_sym_preproc_if_token2] = ACTIONS(1585),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1585),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1585),
    [sym_preproc_directive] = ACTIONS(1585),
    [anon_sym_LPAREN2] = ACTIONS(1587),
    [anon_sym_BANG] = ACTIONS(1587),
    [anon_sym_TILDE] = ACTIONS(1587),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_STAR] = ACTIONS(1587),
    [anon_sym_AMP] = ACTIONS(1587),
    [anon_sym_subroutine] = ACTIONS(1585),
    [anon_sym_invariant] = ACTIONS(1585),
    [anon_sym_precise] = ACTIONS(1585),
    [anon_sym_SEMI] = ACTIONS(1587),
    [anon_sym_in] = ACTIONS(1585),
    [anon_sym_out] = ACTIONS(1585),
    [anon_sym_inout] = ACTIONS(1585),
    [anon_sym_uniform] = ACTIONS(1585),
    [anon_sym_shared] = ACTIONS(1585),
    [anon_sym_attribute] = ACTIONS(1585),
    [anon_sym_varying] = ACTIONS(1585),
    [anon_sym_buffer] = ACTIONS(1585),
    [anon_sym_coherent] = ACTIONS(1585),
    [anon_sym_readonly] = ACTIONS(1585),
    [anon_sym_writeonly] = ACTIONS(1585),
    [anon_sym_precision] = ACTIONS(1585),
    [anon_sym_highp] = ACTIONS(1585),
    [anon_sym_mediump] = ACTIONS(1585),
    [anon_sym_lowp] = ACTIONS(1585),
    [anon_sym_centroid] = ACTIONS(1585),
    [anon_sym_sample] = ACTIONS(1585),
    [anon_sym_patch] = ACTIONS(1585),
    [anon_sym_smooth] = ACTIONS(1585),
    [anon_sym_flat] = ACTIONS(1585),
    [anon_sym_noperspective] = ACTIONS(1585),
    [anon_sym___extension__] = ACTIONS(1585),
    [anon_sym_typedef] = ACTIONS(1585),
    [anon_sym_extern] = ACTIONS(1585),
    [anon_sym___attribute__] = ACTIONS(1585),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1587),
    [anon_sym___declspec] = ACTIONS(1585),
    [anon_sym___cdecl] = ACTIONS(1585),
    [anon_sym___clrcall] = ACTIONS(1585),
    [anon_sym___stdcall] = ACTIONS(1585),
    [anon_sym___fastcall] = ACTIONS(1585),
    [anon_sym___thiscall] = ACTIONS(1585),
    [anon_sym___vectorcall] = ACTIONS(1585),
    [anon_sym_LBRACE] = ACTIONS(1587),
    [anon_sym_signed] = ACTIONS(1585),
    [anon_sym_unsigned] = ACTIONS(1585),
    [anon_sym_long] = ACTIONS(1585),
    [anon_sym_short] = ACTIONS(1585),
    [anon_sym_static] = ACTIONS(1585),
    [anon_sym_auto] = ACTIONS(1585),
    [anon_sym_register] = ACTIONS(1585),
    [anon_sym_inline] = ACTIONS(1585),
    [anon_sym___inline] = ACTIONS(1585),
    [anon_sym___inline__] = ACTIONS(1585),
    [anon_sym___forceinline] = ACTIONS(1585),
    [anon_sym_thread_local] = ACTIONS(1585),
    [anon_sym___thread] = ACTIONS(1585),
    [anon_sym_const] = ACTIONS(1585),
    [anon_sym_constexpr] = ACTIONS(1585),
    [anon_sym_volatile] = ACTIONS(1585),
    [anon_sym_restrict] = ACTIONS(1585),
    [anon_sym___restrict__] = ACTIONS(1585),
    [anon_sym__Atomic] = ACTIONS(1585),
    [anon_sym__Noreturn] = ACTIONS(1585),
    [anon_sym_noreturn] = ACTIONS(1585),
    [sym_primitive_type] = ACTIONS(1585),
    [anon_sym_enum] = ACTIONS(1585),
    [anon_sym_struct] = ACTIONS(1585),
    [anon_sym_union] = ACTIONS(1585),
    [anon_sym_if] = ACTIONS(1585),
    [anon_sym_else] = ACTIONS(1585),
    [anon_sym_switch] = ACTIONS(1585),
    [anon_sym_case] = ACTIONS(1585),
    [anon_sym_default] = ACTIONS(1585),
    [anon_sym_while] = ACTIONS(1585),
    [anon_sym_do] = ACTIONS(1585),
    [anon_sym_for] = ACTIONS(1585),
    [anon_sym_return] = ACTIONS(1585),
    [anon_sym_break] = ACTIONS(1585),
    [anon_sym_continue] = ACTIONS(1585),
    [anon_sym_goto] = ACTIONS(1585),
    [anon_sym___try] = ACTIONS(1585),
    [anon_sym___leave] = ACTIONS(1585),
    [anon_sym_DASH_DASH] = ACTIONS(1587),
    [anon_sym_PLUS_PLUS] = ACTIONS(1587),
    [anon_sym_sizeof] = ACTIONS(1585),
    [anon_sym___alignof__] = ACTIONS(1585),
    [anon_sym___alignof] = ACTIONS(1585),
    [anon_sym__alignof] = ACTIONS(1585),
    [anon_sym_alignof] = ACTIONS(1585),
    [anon_sym__Alignof] = ACTIONS(1585),
    [anon_sym_offsetof] = ACTIONS(1585),
    [anon_sym__Generic] = ACTIONS(1585),
    [anon_sym_asm] = ACTIONS(1585),
    [anon_sym___asm__] = ACTIONS(1585),
    [sym_number_literal] = ACTIONS(1587),
    [anon_sym_L_SQUOTE] = ACTIONS(1587),
    [anon_sym_u_SQUOTE] = ACTIONS(1587),
    [anon_sym_U_SQUOTE] = ACTIONS(1587),
    [anon_sym_u8_SQUOTE] = ACTIONS(1587),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_L_DQUOTE] = ACTIONS(1587),
    [anon_sym_u_DQUOTE] = ACTIONS(1587),
    [anon_sym_U_DQUOTE] = ACTIONS(1587),
    [anon_sym_u8_DQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_true] = ACTIONS(1585),
    [sym_false] = ACTIONS(1585),
    [anon_sym_NULL] = ACTIONS(1585),
    [anon_sym_nullptr] = ACTIONS(1585),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1585),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1585),
    [anon_sym_hitAttributeEXT] = ACTIONS(1585),
    [anon_sym_callableDataEXT] = ACTIONS(1585),
    [anon_sym_callableDataInEXT] = ACTIONS(1585),
    [anon_sym_shaderRecordEXT] = ACTIONS(1585),
    [anon_sym_rayPayloadNV] = ACTIONS(1585),
    [anon_sym_rayPayloadInNV] = ACTIONS(1585),
    [anon_sym_hitAttributeNV] = ACTIONS(1585),
    [anon_sym_callableDataNV] = ACTIONS(1585),
    [anon_sym_callableDataInNV] = ACTIONS(1585),
    [anon_sym_shaderRecordNV] = ACTIONS(1585),
    [anon_sym_layout] = ACTIONS(1585),
  },
  [306] = {
    [ts_builtin_sym_end] = ACTIONS(1495),
    [sym_identifier] = ACTIONS(1493),
    [aux_sym_preproc_include_token1] = ACTIONS(1493),
    [aux_sym_preproc_def_token1] = ACTIONS(1493),
    [aux_sym_preproc_if_token1] = ACTIONS(1493),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1493),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1493),
    [sym_preproc_directive] = ACTIONS(1493),
    [anon_sym_LPAREN2] = ACTIONS(1495),
    [anon_sym_BANG] = ACTIONS(1495),
    [anon_sym_TILDE] = ACTIONS(1495),
    [anon_sym_DASH] = ACTIONS(1493),
    [anon_sym_PLUS] = ACTIONS(1493),
    [anon_sym_STAR] = ACTIONS(1495),
    [anon_sym_AMP] = ACTIONS(1495),
    [anon_sym_subroutine] = ACTIONS(1493),
    [anon_sym_invariant] = ACTIONS(1493),
    [anon_sym_precise] = ACTIONS(1493),
    [anon_sym_SEMI] = ACTIONS(1495),
    [anon_sym_in] = ACTIONS(1493),
    [anon_sym_out] = ACTIONS(1493),
    [anon_sym_inout] = ACTIONS(1493),
    [anon_sym_uniform] = ACTIONS(1493),
    [anon_sym_shared] = ACTIONS(1493),
    [anon_sym_attribute] = ACTIONS(1493),
    [anon_sym_varying] = ACTIONS(1493),
    [anon_sym_buffer] = ACTIONS(1493),
    [anon_sym_coherent] = ACTIONS(1493),
    [anon_sym_readonly] = ACTIONS(1493),
    [anon_sym_writeonly] = ACTIONS(1493),
    [anon_sym_precision] = ACTIONS(1493),
    [anon_sym_highp] = ACTIONS(1493),
    [anon_sym_mediump] = ACTIONS(1493),
    [anon_sym_lowp] = ACTIONS(1493),
    [anon_sym_centroid] = ACTIONS(1493),
    [anon_sym_sample] = ACTIONS(1493),
    [anon_sym_patch] = ACTIONS(1493),
    [anon_sym_smooth] = ACTIONS(1493),
    [anon_sym_flat] = ACTIONS(1493),
    [anon_sym_noperspective] = ACTIONS(1493),
    [anon_sym___extension__] = ACTIONS(1493),
    [anon_sym_typedef] = ACTIONS(1493),
    [anon_sym_extern] = ACTIONS(1493),
    [anon_sym___attribute__] = ACTIONS(1493),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1495),
    [anon_sym___declspec] = ACTIONS(1493),
    [anon_sym___cdecl] = ACTIONS(1493),
    [anon_sym___clrcall] = ACTIONS(1493),
    [anon_sym___stdcall] = ACTIONS(1493),
    [anon_sym___fastcall] = ACTIONS(1493),
    [anon_sym___thiscall] = ACTIONS(1493),
    [anon_sym___vectorcall] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(1495),
    [anon_sym_signed] = ACTIONS(1493),
    [anon_sym_unsigned] = ACTIONS(1493),
    [anon_sym_long] = ACTIONS(1493),
    [anon_sym_short] = ACTIONS(1493),
    [anon_sym_static] = ACTIONS(1493),
    [anon_sym_auto] = ACTIONS(1493),
    [anon_sym_register] = ACTIONS(1493),
    [anon_sym_inline] = ACTIONS(1493),
    [anon_sym___inline] = ACTIONS(1493),
    [anon_sym___inline__] = ACTIONS(1493),
    [anon_sym___forceinline] = ACTIONS(1493),
    [anon_sym_thread_local] = ACTIONS(1493),
    [anon_sym___thread] = ACTIONS(1493),
    [anon_sym_const] = ACTIONS(1493),
    [anon_sym_constexpr] = ACTIONS(1493),
    [anon_sym_volatile] = ACTIONS(1493),
    [anon_sym_restrict] = ACTIONS(1493),
    [anon_sym___restrict__] = ACTIONS(1493),
    [anon_sym__Atomic] = ACTIONS(1493),
    [anon_sym__Noreturn] = ACTIONS(1493),
    [anon_sym_noreturn] = ACTIONS(1493),
    [sym_primitive_type] = ACTIONS(1493),
    [anon_sym_enum] = ACTIONS(1493),
    [anon_sym_struct] = ACTIONS(1493),
    [anon_sym_union] = ACTIONS(1493),
    [anon_sym_if] = ACTIONS(1493),
    [anon_sym_else] = ACTIONS(1493),
    [anon_sym_switch] = ACTIONS(1493),
    [anon_sym_case] = ACTIONS(1493),
    [anon_sym_default] = ACTIONS(1493),
    [anon_sym_while] = ACTIONS(1493),
    [anon_sym_do] = ACTIONS(1493),
    [anon_sym_for] = ACTIONS(1493),
    [anon_sym_return] = ACTIONS(1493),
    [anon_sym_break] = ACTIONS(1493),
    [anon_sym_continue] = ACTIONS(1493),
    [anon_sym_goto] = ACTIONS(1493),
    [anon_sym___try] = ACTIONS(1493),
    [anon_sym___leave] = ACTIONS(1493),
    [anon_sym_DASH_DASH] = ACTIONS(1495),
    [anon_sym_PLUS_PLUS] = ACTIONS(1495),
    [anon_sym_sizeof] = ACTIONS(1493),
    [anon_sym___alignof__] = ACTIONS(1493),
    [anon_sym___alignof] = ACTIONS(1493),
    [anon_sym__alignof] = ACTIONS(1493),
    [anon_sym_alignof] = ACTIONS(1493),
    [anon_sym__Alignof] = ACTIONS(1493),
    [anon_sym_offsetof] = ACTIONS(1493),
    [anon_sym__Generic] = ACTIONS(1493),
    [anon_sym_asm] = ACTIONS(1493),
    [anon_sym___asm__] = ACTIONS(1493),
    [sym_number_literal] = ACTIONS(1495),
    [anon_sym_L_SQUOTE] = ACTIONS(1495),
    [anon_sym_u_SQUOTE] = ACTIONS(1495),
    [anon_sym_U_SQUOTE] = ACTIONS(1495),
    [anon_sym_u8_SQUOTE] = ACTIONS(1495),
    [anon_sym_SQUOTE] = ACTIONS(1495),
    [anon_sym_L_DQUOTE] = ACTIONS(1495),
    [anon_sym_u_DQUOTE] = ACTIONS(1495),
    [anon_sym_U_DQUOTE] = ACTIONS(1495),
    [anon_sym_u8_DQUOTE] = ACTIONS(1495),
    [anon_sym_DQUOTE] = ACTIONS(1495),
    [sym_true] = ACTIONS(1493),
    [sym_false] = ACTIONS(1493),
    [anon_sym_NULL] = ACTIONS(1493),
    [anon_sym_nullptr] = ACTIONS(1493),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1493),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1493),
    [anon_sym_hitAttributeEXT] = ACTIONS(1493),
    [anon_sym_callableDataEXT] = ACTIONS(1493),
    [anon_sym_callableDataInEXT] = ACTIONS(1493),
    [anon_sym_shaderRecordEXT] = ACTIONS(1493),
    [anon_sym_rayPayloadNV] = ACTIONS(1493),
    [anon_sym_rayPayloadInNV] = ACTIONS(1493),
    [anon_sym_hitAttributeNV] = ACTIONS(1493),
    [anon_sym_callableDataNV] = ACTIONS(1493),
    [anon_sym_callableDataInNV] = ACTIONS(1493),
    [anon_sym_shaderRecordNV] = ACTIONS(1493),
    [anon_sym_layout] = ACTIONS(1493),
  },
  [307] = {
    [sym_identifier] = ACTIONS(1581),
    [aux_sym_preproc_include_token1] = ACTIONS(1581),
    [aux_sym_preproc_def_token1] = ACTIONS(1581),
    [aux_sym_preproc_if_token1] = ACTIONS(1581),
    [aux_sym_preproc_if_token2] = ACTIONS(1581),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1581),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1581),
    [sym_preproc_directive] = ACTIONS(1581),
    [anon_sym_LPAREN2] = ACTIONS(1583),
    [anon_sym_BANG] = ACTIONS(1583),
    [anon_sym_TILDE] = ACTIONS(1583),
    [anon_sym_DASH] = ACTIONS(1581),
    [anon_sym_PLUS] = ACTIONS(1581),
    [anon_sym_STAR] = ACTIONS(1583),
    [anon_sym_AMP] = ACTIONS(1583),
    [anon_sym_subroutine] = ACTIONS(1581),
    [anon_sym_invariant] = ACTIONS(1581),
    [anon_sym_precise] = ACTIONS(1581),
    [anon_sym_SEMI] = ACTIONS(1583),
    [anon_sym_in] = ACTIONS(1581),
    [anon_sym_out] = ACTIONS(1581),
    [anon_sym_inout] = ACTIONS(1581),
    [anon_sym_uniform] = ACTIONS(1581),
    [anon_sym_shared] = ACTIONS(1581),
    [anon_sym_attribute] = ACTIONS(1581),
    [anon_sym_varying] = ACTIONS(1581),
    [anon_sym_buffer] = ACTIONS(1581),
    [anon_sym_coherent] = ACTIONS(1581),
    [anon_sym_readonly] = ACTIONS(1581),
    [anon_sym_writeonly] = ACTIONS(1581),
    [anon_sym_precision] = ACTIONS(1581),
    [anon_sym_highp] = ACTIONS(1581),
    [anon_sym_mediump] = ACTIONS(1581),
    [anon_sym_lowp] = ACTIONS(1581),
    [anon_sym_centroid] = ACTIONS(1581),
    [anon_sym_sample] = ACTIONS(1581),
    [anon_sym_patch] = ACTIONS(1581),
    [anon_sym_smooth] = ACTIONS(1581),
    [anon_sym_flat] = ACTIONS(1581),
    [anon_sym_noperspective] = ACTIONS(1581),
    [anon_sym___extension__] = ACTIONS(1581),
    [anon_sym_typedef] = ACTIONS(1581),
    [anon_sym_extern] = ACTIONS(1581),
    [anon_sym___attribute__] = ACTIONS(1581),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1583),
    [anon_sym___declspec] = ACTIONS(1581),
    [anon_sym___cdecl] = ACTIONS(1581),
    [anon_sym___clrcall] = ACTIONS(1581),
    [anon_sym___stdcall] = ACTIONS(1581),
    [anon_sym___fastcall] = ACTIONS(1581),
    [anon_sym___thiscall] = ACTIONS(1581),
    [anon_sym___vectorcall] = ACTIONS(1581),
    [anon_sym_LBRACE] = ACTIONS(1583),
    [anon_sym_signed] = ACTIONS(1581),
    [anon_sym_unsigned] = ACTIONS(1581),
    [anon_sym_long] = ACTIONS(1581),
    [anon_sym_short] = ACTIONS(1581),
    [anon_sym_static] = ACTIONS(1581),
    [anon_sym_auto] = ACTIONS(1581),
    [anon_sym_register] = ACTIONS(1581),
    [anon_sym_inline] = ACTIONS(1581),
    [anon_sym___inline] = ACTIONS(1581),
    [anon_sym___inline__] = ACTIONS(1581),
    [anon_sym___forceinline] = ACTIONS(1581),
    [anon_sym_thread_local] = ACTIONS(1581),
    [anon_sym___thread] = ACTIONS(1581),
    [anon_sym_const] = ACTIONS(1581),
    [anon_sym_constexpr] = ACTIONS(1581),
    [anon_sym_volatile] = ACTIONS(1581),
    [anon_sym_restrict] = ACTIONS(1581),
    [anon_sym___restrict__] = ACTIONS(1581),
    [anon_sym__Atomic] = ACTIONS(1581),
    [anon_sym__Noreturn] = ACTIONS(1581),
    [anon_sym_noreturn] = ACTIONS(1581),
    [sym_primitive_type] = ACTIONS(1581),
    [anon_sym_enum] = ACTIONS(1581),
    [anon_sym_struct] = ACTIONS(1581),
    [anon_sym_union] = ACTIONS(1581),
    [anon_sym_if] = ACTIONS(1581),
    [anon_sym_else] = ACTIONS(1581),
    [anon_sym_switch] = ACTIONS(1581),
    [anon_sym_case] = ACTIONS(1581),
    [anon_sym_default] = ACTIONS(1581),
    [anon_sym_while] = ACTIONS(1581),
    [anon_sym_do] = ACTIONS(1581),
    [anon_sym_for] = ACTIONS(1581),
    [anon_sym_return] = ACTIONS(1581),
    [anon_sym_break] = ACTIONS(1581),
    [anon_sym_continue] = ACTIONS(1581),
    [anon_sym_goto] = ACTIONS(1581),
    [anon_sym___try] = ACTIONS(1581),
    [anon_sym___leave] = ACTIONS(1581),
    [anon_sym_DASH_DASH] = ACTIONS(1583),
    [anon_sym_PLUS_PLUS] = ACTIONS(1583),
    [anon_sym_sizeof] = ACTIONS(1581),
    [anon_sym___alignof__] = ACTIONS(1581),
    [anon_sym___alignof] = ACTIONS(1581),
    [anon_sym__alignof] = ACTIONS(1581),
    [anon_sym_alignof] = ACTIONS(1581),
    [anon_sym__Alignof] = ACTIONS(1581),
    [anon_sym_offsetof] = ACTIONS(1581),
    [anon_sym__Generic] = ACTIONS(1581),
    [anon_sym_asm] = ACTIONS(1581),
    [anon_sym___asm__] = ACTIONS(1581),
    [sym_number_literal] = ACTIONS(1583),
    [anon_sym_L_SQUOTE] = ACTIONS(1583),
    [anon_sym_u_SQUOTE] = ACTIONS(1583),
    [anon_sym_U_SQUOTE] = ACTIONS(1583),
    [anon_sym_u8_SQUOTE] = ACTIONS(1583),
    [anon_sym_SQUOTE] = ACTIONS(1583),
    [anon_sym_L_DQUOTE] = ACTIONS(1583),
    [anon_sym_u_DQUOTE] = ACTIONS(1583),
    [anon_sym_U_DQUOTE] = ACTIONS(1583),
    [anon_sym_u8_DQUOTE] = ACTIONS(1583),
    [anon_sym_DQUOTE] = ACTIONS(1583),
    [sym_true] = ACTIONS(1581),
    [sym_false] = ACTIONS(1581),
    [anon_sym_NULL] = ACTIONS(1581),
    [anon_sym_nullptr] = ACTIONS(1581),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1581),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1581),
    [anon_sym_hitAttributeEXT] = ACTIONS(1581),
    [anon_sym_callableDataEXT] = ACTIONS(1581),
    [anon_sym_callableDataInEXT] = ACTIONS(1581),
    [anon_sym_shaderRecordEXT] = ACTIONS(1581),
    [anon_sym_rayPayloadNV] = ACTIONS(1581),
    [anon_sym_rayPayloadInNV] = ACTIONS(1581),
    [anon_sym_hitAttributeNV] = ACTIONS(1581),
    [anon_sym_callableDataNV] = ACTIONS(1581),
    [anon_sym_callableDataInNV] = ACTIONS(1581),
    [anon_sym_shaderRecordNV] = ACTIONS(1581),
    [anon_sym_layout] = ACTIONS(1581),
  },
  [308] = {
    [ts_builtin_sym_end] = ACTIONS(1435),
    [sym_identifier] = ACTIONS(1433),
    [aux_sym_preproc_include_token1] = ACTIONS(1433),
    [aux_sym_preproc_def_token1] = ACTIONS(1433),
    [aux_sym_preproc_if_token1] = ACTIONS(1433),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1433),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1433),
    [sym_preproc_directive] = ACTIONS(1433),
    [anon_sym_LPAREN2] = ACTIONS(1435),
    [anon_sym_BANG] = ACTIONS(1435),
    [anon_sym_TILDE] = ACTIONS(1435),
    [anon_sym_DASH] = ACTIONS(1433),
    [anon_sym_PLUS] = ACTIONS(1433),
    [anon_sym_STAR] = ACTIONS(1435),
    [anon_sym_AMP] = ACTIONS(1435),
    [anon_sym_subroutine] = ACTIONS(1433),
    [anon_sym_invariant] = ACTIONS(1433),
    [anon_sym_precise] = ACTIONS(1433),
    [anon_sym_SEMI] = ACTIONS(1435),
    [anon_sym_in] = ACTIONS(1433),
    [anon_sym_out] = ACTIONS(1433),
    [anon_sym_inout] = ACTIONS(1433),
    [anon_sym_uniform] = ACTIONS(1433),
    [anon_sym_shared] = ACTIONS(1433),
    [anon_sym_attribute] = ACTIONS(1433),
    [anon_sym_varying] = ACTIONS(1433),
    [anon_sym_buffer] = ACTIONS(1433),
    [anon_sym_coherent] = ACTIONS(1433),
    [anon_sym_readonly] = ACTIONS(1433),
    [anon_sym_writeonly] = ACTIONS(1433),
    [anon_sym_precision] = ACTIONS(1433),
    [anon_sym_highp] = ACTIONS(1433),
    [anon_sym_mediump] = ACTIONS(1433),
    [anon_sym_lowp] = ACTIONS(1433),
    [anon_sym_centroid] = ACTIONS(1433),
    [anon_sym_sample] = ACTIONS(1433),
    [anon_sym_patch] = ACTIONS(1433),
    [anon_sym_smooth] = ACTIONS(1433),
    [anon_sym_flat] = ACTIONS(1433),
    [anon_sym_noperspective] = ACTIONS(1433),
    [anon_sym___extension__] = ACTIONS(1433),
    [anon_sym_typedef] = ACTIONS(1433),
    [anon_sym_extern] = ACTIONS(1433),
    [anon_sym___attribute__] = ACTIONS(1433),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1435),
    [anon_sym___declspec] = ACTIONS(1433),
    [anon_sym___cdecl] = ACTIONS(1433),
    [anon_sym___clrcall] = ACTIONS(1433),
    [anon_sym___stdcall] = ACTIONS(1433),
    [anon_sym___fastcall] = ACTIONS(1433),
    [anon_sym___thiscall] = ACTIONS(1433),
    [anon_sym___vectorcall] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(1435),
    [anon_sym_signed] = ACTIONS(1433),
    [anon_sym_unsigned] = ACTIONS(1433),
    [anon_sym_long] = ACTIONS(1433),
    [anon_sym_short] = ACTIONS(1433),
    [anon_sym_static] = ACTIONS(1433),
    [anon_sym_auto] = ACTIONS(1433),
    [anon_sym_register] = ACTIONS(1433),
    [anon_sym_inline] = ACTIONS(1433),
    [anon_sym___inline] = ACTIONS(1433),
    [anon_sym___inline__] = ACTIONS(1433),
    [anon_sym___forceinline] = ACTIONS(1433),
    [anon_sym_thread_local] = ACTIONS(1433),
    [anon_sym___thread] = ACTIONS(1433),
    [anon_sym_const] = ACTIONS(1433),
    [anon_sym_constexpr] = ACTIONS(1433),
    [anon_sym_volatile] = ACTIONS(1433),
    [anon_sym_restrict] = ACTIONS(1433),
    [anon_sym___restrict__] = ACTIONS(1433),
    [anon_sym__Atomic] = ACTIONS(1433),
    [anon_sym__Noreturn] = ACTIONS(1433),
    [anon_sym_noreturn] = ACTIONS(1433),
    [sym_primitive_type] = ACTIONS(1433),
    [anon_sym_enum] = ACTIONS(1433),
    [anon_sym_struct] = ACTIONS(1433),
    [anon_sym_union] = ACTIONS(1433),
    [anon_sym_if] = ACTIONS(1433),
    [anon_sym_else] = ACTIONS(1433),
    [anon_sym_switch] = ACTIONS(1433),
    [anon_sym_case] = ACTIONS(1433),
    [anon_sym_default] = ACTIONS(1433),
    [anon_sym_while] = ACTIONS(1433),
    [anon_sym_do] = ACTIONS(1433),
    [anon_sym_for] = ACTIONS(1433),
    [anon_sym_return] = ACTIONS(1433),
    [anon_sym_break] = ACTIONS(1433),
    [anon_sym_continue] = ACTIONS(1433),
    [anon_sym_goto] = ACTIONS(1433),
    [anon_sym___try] = ACTIONS(1433),
    [anon_sym___leave] = ACTIONS(1433),
    [anon_sym_DASH_DASH] = ACTIONS(1435),
    [anon_sym_PLUS_PLUS] = ACTIONS(1435),
    [anon_sym_sizeof] = ACTIONS(1433),
    [anon_sym___alignof__] = ACTIONS(1433),
    [anon_sym___alignof] = ACTIONS(1433),
    [anon_sym__alignof] = ACTIONS(1433),
    [anon_sym_alignof] = ACTIONS(1433),
    [anon_sym__Alignof] = ACTIONS(1433),
    [anon_sym_offsetof] = ACTIONS(1433),
    [anon_sym__Generic] = ACTIONS(1433),
    [anon_sym_asm] = ACTIONS(1433),
    [anon_sym___asm__] = ACTIONS(1433),
    [sym_number_literal] = ACTIONS(1435),
    [anon_sym_L_SQUOTE] = ACTIONS(1435),
    [anon_sym_u_SQUOTE] = ACTIONS(1435),
    [anon_sym_U_SQUOTE] = ACTIONS(1435),
    [anon_sym_u8_SQUOTE] = ACTIONS(1435),
    [anon_sym_SQUOTE] = ACTIONS(1435),
    [anon_sym_L_DQUOTE] = ACTIONS(1435),
    [anon_sym_u_DQUOTE] = ACTIONS(1435),
    [anon_sym_U_DQUOTE] = ACTIONS(1435),
    [anon_sym_u8_DQUOTE] = ACTIONS(1435),
    [anon_sym_DQUOTE] = ACTIONS(1435),
    [sym_true] = ACTIONS(1433),
    [sym_false] = ACTIONS(1433),
    [anon_sym_NULL] = ACTIONS(1433),
    [anon_sym_nullptr] = ACTIONS(1433),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1433),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1433),
    [anon_sym_hitAttributeEXT] = ACTIONS(1433),
    [anon_sym_callableDataEXT] = ACTIONS(1433),
    [anon_sym_callableDataInEXT] = ACTIONS(1433),
    [anon_sym_shaderRecordEXT] = ACTIONS(1433),
    [anon_sym_rayPayloadNV] = ACTIONS(1433),
    [anon_sym_rayPayloadInNV] = ACTIONS(1433),
    [anon_sym_hitAttributeNV] = ACTIONS(1433),
    [anon_sym_callableDataNV] = ACTIONS(1433),
    [anon_sym_callableDataInNV] = ACTIONS(1433),
    [anon_sym_shaderRecordNV] = ACTIONS(1433),
    [anon_sym_layout] = ACTIONS(1433),
  },
  [309] = {
    [sym_identifier] = ACTIONS(1581),
    [aux_sym_preproc_include_token1] = ACTIONS(1581),
    [aux_sym_preproc_def_token1] = ACTIONS(1581),
    [aux_sym_preproc_if_token1] = ACTIONS(1581),
    [aux_sym_preproc_if_token2] = ACTIONS(1581),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1581),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1581),
    [sym_preproc_directive] = ACTIONS(1581),
    [anon_sym_LPAREN2] = ACTIONS(1583),
    [anon_sym_BANG] = ACTIONS(1583),
    [anon_sym_TILDE] = ACTIONS(1583),
    [anon_sym_DASH] = ACTIONS(1581),
    [anon_sym_PLUS] = ACTIONS(1581),
    [anon_sym_STAR] = ACTIONS(1583),
    [anon_sym_AMP] = ACTIONS(1583),
    [anon_sym_subroutine] = ACTIONS(1581),
    [anon_sym_invariant] = ACTIONS(1581),
    [anon_sym_precise] = ACTIONS(1581),
    [anon_sym_SEMI] = ACTIONS(1583),
    [anon_sym_in] = ACTIONS(1581),
    [anon_sym_out] = ACTIONS(1581),
    [anon_sym_inout] = ACTIONS(1581),
    [anon_sym_uniform] = ACTIONS(1581),
    [anon_sym_shared] = ACTIONS(1581),
    [anon_sym_attribute] = ACTIONS(1581),
    [anon_sym_varying] = ACTIONS(1581),
    [anon_sym_buffer] = ACTIONS(1581),
    [anon_sym_coherent] = ACTIONS(1581),
    [anon_sym_readonly] = ACTIONS(1581),
    [anon_sym_writeonly] = ACTIONS(1581),
    [anon_sym_precision] = ACTIONS(1581),
    [anon_sym_highp] = ACTIONS(1581),
    [anon_sym_mediump] = ACTIONS(1581),
    [anon_sym_lowp] = ACTIONS(1581),
    [anon_sym_centroid] = ACTIONS(1581),
    [anon_sym_sample] = ACTIONS(1581),
    [anon_sym_patch] = ACTIONS(1581),
    [anon_sym_smooth] = ACTIONS(1581),
    [anon_sym_flat] = ACTIONS(1581),
    [anon_sym_noperspective] = ACTIONS(1581),
    [anon_sym___extension__] = ACTIONS(1581),
    [anon_sym_typedef] = ACTIONS(1581),
    [anon_sym_extern] = ACTIONS(1581),
    [anon_sym___attribute__] = ACTIONS(1581),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1583),
    [anon_sym___declspec] = ACTIONS(1581),
    [anon_sym___cdecl] = ACTIONS(1581),
    [anon_sym___clrcall] = ACTIONS(1581),
    [anon_sym___stdcall] = ACTIONS(1581),
    [anon_sym___fastcall] = ACTIONS(1581),
    [anon_sym___thiscall] = ACTIONS(1581),
    [anon_sym___vectorcall] = ACTIONS(1581),
    [anon_sym_LBRACE] = ACTIONS(1583),
    [anon_sym_signed] = ACTIONS(1581),
    [anon_sym_unsigned] = ACTIONS(1581),
    [anon_sym_long] = ACTIONS(1581),
    [anon_sym_short] = ACTIONS(1581),
    [anon_sym_static] = ACTIONS(1581),
    [anon_sym_auto] = ACTIONS(1581),
    [anon_sym_register] = ACTIONS(1581),
    [anon_sym_inline] = ACTIONS(1581),
    [anon_sym___inline] = ACTIONS(1581),
    [anon_sym___inline__] = ACTIONS(1581),
    [anon_sym___forceinline] = ACTIONS(1581),
    [anon_sym_thread_local] = ACTIONS(1581),
    [anon_sym___thread] = ACTIONS(1581),
    [anon_sym_const] = ACTIONS(1581),
    [anon_sym_constexpr] = ACTIONS(1581),
    [anon_sym_volatile] = ACTIONS(1581),
    [anon_sym_restrict] = ACTIONS(1581),
    [anon_sym___restrict__] = ACTIONS(1581),
    [anon_sym__Atomic] = ACTIONS(1581),
    [anon_sym__Noreturn] = ACTIONS(1581),
    [anon_sym_noreturn] = ACTIONS(1581),
    [sym_primitive_type] = ACTIONS(1581),
    [anon_sym_enum] = ACTIONS(1581),
    [anon_sym_struct] = ACTIONS(1581),
    [anon_sym_union] = ACTIONS(1581),
    [anon_sym_if] = ACTIONS(1581),
    [anon_sym_else] = ACTIONS(1581),
    [anon_sym_switch] = ACTIONS(1581),
    [anon_sym_case] = ACTIONS(1581),
    [anon_sym_default] = ACTIONS(1581),
    [anon_sym_while] = ACTIONS(1581),
    [anon_sym_do] = ACTIONS(1581),
    [anon_sym_for] = ACTIONS(1581),
    [anon_sym_return] = ACTIONS(1581),
    [anon_sym_break] = ACTIONS(1581),
    [anon_sym_continue] = ACTIONS(1581),
    [anon_sym_goto] = ACTIONS(1581),
    [anon_sym___try] = ACTIONS(1581),
    [anon_sym___leave] = ACTIONS(1581),
    [anon_sym_DASH_DASH] = ACTIONS(1583),
    [anon_sym_PLUS_PLUS] = ACTIONS(1583),
    [anon_sym_sizeof] = ACTIONS(1581),
    [anon_sym___alignof__] = ACTIONS(1581),
    [anon_sym___alignof] = ACTIONS(1581),
    [anon_sym__alignof] = ACTIONS(1581),
    [anon_sym_alignof] = ACTIONS(1581),
    [anon_sym__Alignof] = ACTIONS(1581),
    [anon_sym_offsetof] = ACTIONS(1581),
    [anon_sym__Generic] = ACTIONS(1581),
    [anon_sym_asm] = ACTIONS(1581),
    [anon_sym___asm__] = ACTIONS(1581),
    [sym_number_literal] = ACTIONS(1583),
    [anon_sym_L_SQUOTE] = ACTIONS(1583),
    [anon_sym_u_SQUOTE] = ACTIONS(1583),
    [anon_sym_U_SQUOTE] = ACTIONS(1583),
    [anon_sym_u8_SQUOTE] = ACTIONS(1583),
    [anon_sym_SQUOTE] = ACTIONS(1583),
    [anon_sym_L_DQUOTE] = ACTIONS(1583),
    [anon_sym_u_DQUOTE] = ACTIONS(1583),
    [anon_sym_U_DQUOTE] = ACTIONS(1583),
    [anon_sym_u8_DQUOTE] = ACTIONS(1583),
    [anon_sym_DQUOTE] = ACTIONS(1583),
    [sym_true] = ACTIONS(1581),
    [sym_false] = ACTIONS(1581),
    [anon_sym_NULL] = ACTIONS(1581),
    [anon_sym_nullptr] = ACTIONS(1581),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1581),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1581),
    [anon_sym_hitAttributeEXT] = ACTIONS(1581),
    [anon_sym_callableDataEXT] = ACTIONS(1581),
    [anon_sym_callableDataInEXT] = ACTIONS(1581),
    [anon_sym_shaderRecordEXT] = ACTIONS(1581),
    [anon_sym_rayPayloadNV] = ACTIONS(1581),
    [anon_sym_rayPayloadInNV] = ACTIONS(1581),
    [anon_sym_hitAttributeNV] = ACTIONS(1581),
    [anon_sym_callableDataNV] = ACTIONS(1581),
    [anon_sym_callableDataInNV] = ACTIONS(1581),
    [anon_sym_shaderRecordNV] = ACTIONS(1581),
    [anon_sym_layout] = ACTIONS(1581),
  },
  [310] = {
    [sym_identifier] = ACTIONS(1577),
    [aux_sym_preproc_include_token1] = ACTIONS(1577),
    [aux_sym_preproc_def_token1] = ACTIONS(1577),
    [aux_sym_preproc_if_token1] = ACTIONS(1577),
    [aux_sym_preproc_if_token2] = ACTIONS(1577),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1577),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1577),
    [sym_preproc_directive] = ACTIONS(1577),
    [anon_sym_LPAREN2] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1579),
    [anon_sym_TILDE] = ACTIONS(1579),
    [anon_sym_DASH] = ACTIONS(1577),
    [anon_sym_PLUS] = ACTIONS(1577),
    [anon_sym_STAR] = ACTIONS(1579),
    [anon_sym_AMP] = ACTIONS(1579),
    [anon_sym_subroutine] = ACTIONS(1577),
    [anon_sym_invariant] = ACTIONS(1577),
    [anon_sym_precise] = ACTIONS(1577),
    [anon_sym_SEMI] = ACTIONS(1579),
    [anon_sym_in] = ACTIONS(1577),
    [anon_sym_out] = ACTIONS(1577),
    [anon_sym_inout] = ACTIONS(1577),
    [anon_sym_uniform] = ACTIONS(1577),
    [anon_sym_shared] = ACTIONS(1577),
    [anon_sym_attribute] = ACTIONS(1577),
    [anon_sym_varying] = ACTIONS(1577),
    [anon_sym_buffer] = ACTIONS(1577),
    [anon_sym_coherent] = ACTIONS(1577),
    [anon_sym_readonly] = ACTIONS(1577),
    [anon_sym_writeonly] = ACTIONS(1577),
    [anon_sym_precision] = ACTIONS(1577),
    [anon_sym_highp] = ACTIONS(1577),
    [anon_sym_mediump] = ACTIONS(1577),
    [anon_sym_lowp] = ACTIONS(1577),
    [anon_sym_centroid] = ACTIONS(1577),
    [anon_sym_sample] = ACTIONS(1577),
    [anon_sym_patch] = ACTIONS(1577),
    [anon_sym_smooth] = ACTIONS(1577),
    [anon_sym_flat] = ACTIONS(1577),
    [anon_sym_noperspective] = ACTIONS(1577),
    [anon_sym___extension__] = ACTIONS(1577),
    [anon_sym_typedef] = ACTIONS(1577),
    [anon_sym_extern] = ACTIONS(1577),
    [anon_sym___attribute__] = ACTIONS(1577),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1579),
    [anon_sym___declspec] = ACTIONS(1577),
    [anon_sym___cdecl] = ACTIONS(1577),
    [anon_sym___clrcall] = ACTIONS(1577),
    [anon_sym___stdcall] = ACTIONS(1577),
    [anon_sym___fastcall] = ACTIONS(1577),
    [anon_sym___thiscall] = ACTIONS(1577),
    [anon_sym___vectorcall] = ACTIONS(1577),
    [anon_sym_LBRACE] = ACTIONS(1579),
    [anon_sym_signed] = ACTIONS(1577),
    [anon_sym_unsigned] = ACTIONS(1577),
    [anon_sym_long] = ACTIONS(1577),
    [anon_sym_short] = ACTIONS(1577),
    [anon_sym_static] = ACTIONS(1577),
    [anon_sym_auto] = ACTIONS(1577),
    [anon_sym_register] = ACTIONS(1577),
    [anon_sym_inline] = ACTIONS(1577),
    [anon_sym___inline] = ACTIONS(1577),
    [anon_sym___inline__] = ACTIONS(1577),
    [anon_sym___forceinline] = ACTIONS(1577),
    [anon_sym_thread_local] = ACTIONS(1577),
    [anon_sym___thread] = ACTIONS(1577),
    [anon_sym_const] = ACTIONS(1577),
    [anon_sym_constexpr] = ACTIONS(1577),
    [anon_sym_volatile] = ACTIONS(1577),
    [anon_sym_restrict] = ACTIONS(1577),
    [anon_sym___restrict__] = ACTIONS(1577),
    [anon_sym__Atomic] = ACTIONS(1577),
    [anon_sym__Noreturn] = ACTIONS(1577),
    [anon_sym_noreturn] = ACTIONS(1577),
    [sym_primitive_type] = ACTIONS(1577),
    [anon_sym_enum] = ACTIONS(1577),
    [anon_sym_struct] = ACTIONS(1577),
    [anon_sym_union] = ACTIONS(1577),
    [anon_sym_if] = ACTIONS(1577),
    [anon_sym_else] = ACTIONS(1577),
    [anon_sym_switch] = ACTIONS(1577),
    [anon_sym_case] = ACTIONS(1577),
    [anon_sym_default] = ACTIONS(1577),
    [anon_sym_while] = ACTIONS(1577),
    [anon_sym_do] = ACTIONS(1577),
    [anon_sym_for] = ACTIONS(1577),
    [anon_sym_return] = ACTIONS(1577),
    [anon_sym_break] = ACTIONS(1577),
    [anon_sym_continue] = ACTIONS(1577),
    [anon_sym_goto] = ACTIONS(1577),
    [anon_sym___try] = ACTIONS(1577),
    [anon_sym___leave] = ACTIONS(1577),
    [anon_sym_DASH_DASH] = ACTIONS(1579),
    [anon_sym_PLUS_PLUS] = ACTIONS(1579),
    [anon_sym_sizeof] = ACTIONS(1577),
    [anon_sym___alignof__] = ACTIONS(1577),
    [anon_sym___alignof] = ACTIONS(1577),
    [anon_sym__alignof] = ACTIONS(1577),
    [anon_sym_alignof] = ACTIONS(1577),
    [anon_sym__Alignof] = ACTIONS(1577),
    [anon_sym_offsetof] = ACTIONS(1577),
    [anon_sym__Generic] = ACTIONS(1577),
    [anon_sym_asm] = ACTIONS(1577),
    [anon_sym___asm__] = ACTIONS(1577),
    [sym_number_literal] = ACTIONS(1579),
    [anon_sym_L_SQUOTE] = ACTIONS(1579),
    [anon_sym_u_SQUOTE] = ACTIONS(1579),
    [anon_sym_U_SQUOTE] = ACTIONS(1579),
    [anon_sym_u8_SQUOTE] = ACTIONS(1579),
    [anon_sym_SQUOTE] = ACTIONS(1579),
    [anon_sym_L_DQUOTE] = ACTIONS(1579),
    [anon_sym_u_DQUOTE] = ACTIONS(1579),
    [anon_sym_U_DQUOTE] = ACTIONS(1579),
    [anon_sym_u8_DQUOTE] = ACTIONS(1579),
    [anon_sym_DQUOTE] = ACTIONS(1579),
    [sym_true] = ACTIONS(1577),
    [sym_false] = ACTIONS(1577),
    [anon_sym_NULL] = ACTIONS(1577),
    [anon_sym_nullptr] = ACTIONS(1577),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1577),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1577),
    [anon_sym_hitAttributeEXT] = ACTIONS(1577),
    [anon_sym_callableDataEXT] = ACTIONS(1577),
    [anon_sym_callableDataInEXT] = ACTIONS(1577),
    [anon_sym_shaderRecordEXT] = ACTIONS(1577),
    [anon_sym_rayPayloadNV] = ACTIONS(1577),
    [anon_sym_rayPayloadInNV] = ACTIONS(1577),
    [anon_sym_hitAttributeNV] = ACTIONS(1577),
    [anon_sym_callableDataNV] = ACTIONS(1577),
    [anon_sym_callableDataInNV] = ACTIONS(1577),
    [anon_sym_shaderRecordNV] = ACTIONS(1577),
    [anon_sym_layout] = ACTIONS(1577),
  },
  [311] = {
    [sym_identifier] = ACTIONS(1573),
    [aux_sym_preproc_include_token1] = ACTIONS(1573),
    [aux_sym_preproc_def_token1] = ACTIONS(1573),
    [aux_sym_preproc_if_token1] = ACTIONS(1573),
    [aux_sym_preproc_if_token2] = ACTIONS(1573),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1573),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1573),
    [sym_preproc_directive] = ACTIONS(1573),
    [anon_sym_LPAREN2] = ACTIONS(1575),
    [anon_sym_BANG] = ACTIONS(1575),
    [anon_sym_TILDE] = ACTIONS(1575),
    [anon_sym_DASH] = ACTIONS(1573),
    [anon_sym_PLUS] = ACTIONS(1573),
    [anon_sym_STAR] = ACTIONS(1575),
    [anon_sym_AMP] = ACTIONS(1575),
    [anon_sym_subroutine] = ACTIONS(1573),
    [anon_sym_invariant] = ACTIONS(1573),
    [anon_sym_precise] = ACTIONS(1573),
    [anon_sym_SEMI] = ACTIONS(1575),
    [anon_sym_in] = ACTIONS(1573),
    [anon_sym_out] = ACTIONS(1573),
    [anon_sym_inout] = ACTIONS(1573),
    [anon_sym_uniform] = ACTIONS(1573),
    [anon_sym_shared] = ACTIONS(1573),
    [anon_sym_attribute] = ACTIONS(1573),
    [anon_sym_varying] = ACTIONS(1573),
    [anon_sym_buffer] = ACTIONS(1573),
    [anon_sym_coherent] = ACTIONS(1573),
    [anon_sym_readonly] = ACTIONS(1573),
    [anon_sym_writeonly] = ACTIONS(1573),
    [anon_sym_precision] = ACTIONS(1573),
    [anon_sym_highp] = ACTIONS(1573),
    [anon_sym_mediump] = ACTIONS(1573),
    [anon_sym_lowp] = ACTIONS(1573),
    [anon_sym_centroid] = ACTIONS(1573),
    [anon_sym_sample] = ACTIONS(1573),
    [anon_sym_patch] = ACTIONS(1573),
    [anon_sym_smooth] = ACTIONS(1573),
    [anon_sym_flat] = ACTIONS(1573),
    [anon_sym_noperspective] = ACTIONS(1573),
    [anon_sym___extension__] = ACTIONS(1573),
    [anon_sym_typedef] = ACTIONS(1573),
    [anon_sym_extern] = ACTIONS(1573),
    [anon_sym___attribute__] = ACTIONS(1573),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1575),
    [anon_sym___declspec] = ACTIONS(1573),
    [anon_sym___cdecl] = ACTIONS(1573),
    [anon_sym___clrcall] = ACTIONS(1573),
    [anon_sym___stdcall] = ACTIONS(1573),
    [anon_sym___fastcall] = ACTIONS(1573),
    [anon_sym___thiscall] = ACTIONS(1573),
    [anon_sym___vectorcall] = ACTIONS(1573),
    [anon_sym_LBRACE] = ACTIONS(1575),
    [anon_sym_signed] = ACTIONS(1573),
    [anon_sym_unsigned] = ACTIONS(1573),
    [anon_sym_long] = ACTIONS(1573),
    [anon_sym_short] = ACTIONS(1573),
    [anon_sym_static] = ACTIONS(1573),
    [anon_sym_auto] = ACTIONS(1573),
    [anon_sym_register] = ACTIONS(1573),
    [anon_sym_inline] = ACTIONS(1573),
    [anon_sym___inline] = ACTIONS(1573),
    [anon_sym___inline__] = ACTIONS(1573),
    [anon_sym___forceinline] = ACTIONS(1573),
    [anon_sym_thread_local] = ACTIONS(1573),
    [anon_sym___thread] = ACTIONS(1573),
    [anon_sym_const] = ACTIONS(1573),
    [anon_sym_constexpr] = ACTIONS(1573),
    [anon_sym_volatile] = ACTIONS(1573),
    [anon_sym_restrict] = ACTIONS(1573),
    [anon_sym___restrict__] = ACTIONS(1573),
    [anon_sym__Atomic] = ACTIONS(1573),
    [anon_sym__Noreturn] = ACTIONS(1573),
    [anon_sym_noreturn] = ACTIONS(1573),
    [sym_primitive_type] = ACTIONS(1573),
    [anon_sym_enum] = ACTIONS(1573),
    [anon_sym_struct] = ACTIONS(1573),
    [anon_sym_union] = ACTIONS(1573),
    [anon_sym_if] = ACTIONS(1573),
    [anon_sym_else] = ACTIONS(1573),
    [anon_sym_switch] = ACTIONS(1573),
    [anon_sym_case] = ACTIONS(1573),
    [anon_sym_default] = ACTIONS(1573),
    [anon_sym_while] = ACTIONS(1573),
    [anon_sym_do] = ACTIONS(1573),
    [anon_sym_for] = ACTIONS(1573),
    [anon_sym_return] = ACTIONS(1573),
    [anon_sym_break] = ACTIONS(1573),
    [anon_sym_continue] = ACTIONS(1573),
    [anon_sym_goto] = ACTIONS(1573),
    [anon_sym___try] = ACTIONS(1573),
    [anon_sym___leave] = ACTIONS(1573),
    [anon_sym_DASH_DASH] = ACTIONS(1575),
    [anon_sym_PLUS_PLUS] = ACTIONS(1575),
    [anon_sym_sizeof] = ACTIONS(1573),
    [anon_sym___alignof__] = ACTIONS(1573),
    [anon_sym___alignof] = ACTIONS(1573),
    [anon_sym__alignof] = ACTIONS(1573),
    [anon_sym_alignof] = ACTIONS(1573),
    [anon_sym__Alignof] = ACTIONS(1573),
    [anon_sym_offsetof] = ACTIONS(1573),
    [anon_sym__Generic] = ACTIONS(1573),
    [anon_sym_asm] = ACTIONS(1573),
    [anon_sym___asm__] = ACTIONS(1573),
    [sym_number_literal] = ACTIONS(1575),
    [anon_sym_L_SQUOTE] = ACTIONS(1575),
    [anon_sym_u_SQUOTE] = ACTIONS(1575),
    [anon_sym_U_SQUOTE] = ACTIONS(1575),
    [anon_sym_u8_SQUOTE] = ACTIONS(1575),
    [anon_sym_SQUOTE] = ACTIONS(1575),
    [anon_sym_L_DQUOTE] = ACTIONS(1575),
    [anon_sym_u_DQUOTE] = ACTIONS(1575),
    [anon_sym_U_DQUOTE] = ACTIONS(1575),
    [anon_sym_u8_DQUOTE] = ACTIONS(1575),
    [anon_sym_DQUOTE] = ACTIONS(1575),
    [sym_true] = ACTIONS(1573),
    [sym_false] = ACTIONS(1573),
    [anon_sym_NULL] = ACTIONS(1573),
    [anon_sym_nullptr] = ACTIONS(1573),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1573),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1573),
    [anon_sym_hitAttributeEXT] = ACTIONS(1573),
    [anon_sym_callableDataEXT] = ACTIONS(1573),
    [anon_sym_callableDataInEXT] = ACTIONS(1573),
    [anon_sym_shaderRecordEXT] = ACTIONS(1573),
    [anon_sym_rayPayloadNV] = ACTIONS(1573),
    [anon_sym_rayPayloadInNV] = ACTIONS(1573),
    [anon_sym_hitAttributeNV] = ACTIONS(1573),
    [anon_sym_callableDataNV] = ACTIONS(1573),
    [anon_sym_callableDataInNV] = ACTIONS(1573),
    [anon_sym_shaderRecordNV] = ACTIONS(1573),
    [anon_sym_layout] = ACTIONS(1573),
  },
  [312] = {
    [sym_identifier] = ACTIONS(1549),
    [aux_sym_preproc_include_token1] = ACTIONS(1549),
    [aux_sym_preproc_def_token1] = ACTIONS(1549),
    [aux_sym_preproc_if_token1] = ACTIONS(1549),
    [aux_sym_preproc_if_token2] = ACTIONS(1549),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1549),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1549),
    [sym_preproc_directive] = ACTIONS(1549),
    [anon_sym_LPAREN2] = ACTIONS(1551),
    [anon_sym_BANG] = ACTIONS(1551),
    [anon_sym_TILDE] = ACTIONS(1551),
    [anon_sym_DASH] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_STAR] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(1551),
    [anon_sym_subroutine] = ACTIONS(1549),
    [anon_sym_invariant] = ACTIONS(1549),
    [anon_sym_precise] = ACTIONS(1549),
    [anon_sym_SEMI] = ACTIONS(1551),
    [anon_sym_in] = ACTIONS(1549),
    [anon_sym_out] = ACTIONS(1549),
    [anon_sym_inout] = ACTIONS(1549),
    [anon_sym_uniform] = ACTIONS(1549),
    [anon_sym_shared] = ACTIONS(1549),
    [anon_sym_attribute] = ACTIONS(1549),
    [anon_sym_varying] = ACTIONS(1549),
    [anon_sym_buffer] = ACTIONS(1549),
    [anon_sym_coherent] = ACTIONS(1549),
    [anon_sym_readonly] = ACTIONS(1549),
    [anon_sym_writeonly] = ACTIONS(1549),
    [anon_sym_precision] = ACTIONS(1549),
    [anon_sym_highp] = ACTIONS(1549),
    [anon_sym_mediump] = ACTIONS(1549),
    [anon_sym_lowp] = ACTIONS(1549),
    [anon_sym_centroid] = ACTIONS(1549),
    [anon_sym_sample] = ACTIONS(1549),
    [anon_sym_patch] = ACTIONS(1549),
    [anon_sym_smooth] = ACTIONS(1549),
    [anon_sym_flat] = ACTIONS(1549),
    [anon_sym_noperspective] = ACTIONS(1549),
    [anon_sym___extension__] = ACTIONS(1549),
    [anon_sym_typedef] = ACTIONS(1549),
    [anon_sym_extern] = ACTIONS(1549),
    [anon_sym___attribute__] = ACTIONS(1549),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1551),
    [anon_sym___declspec] = ACTIONS(1549),
    [anon_sym___cdecl] = ACTIONS(1549),
    [anon_sym___clrcall] = ACTIONS(1549),
    [anon_sym___stdcall] = ACTIONS(1549),
    [anon_sym___fastcall] = ACTIONS(1549),
    [anon_sym___thiscall] = ACTIONS(1549),
    [anon_sym___vectorcall] = ACTIONS(1549),
    [anon_sym_LBRACE] = ACTIONS(1551),
    [anon_sym_signed] = ACTIONS(1549),
    [anon_sym_unsigned] = ACTIONS(1549),
    [anon_sym_long] = ACTIONS(1549),
    [anon_sym_short] = ACTIONS(1549),
    [anon_sym_static] = ACTIONS(1549),
    [anon_sym_auto] = ACTIONS(1549),
    [anon_sym_register] = ACTIONS(1549),
    [anon_sym_inline] = ACTIONS(1549),
    [anon_sym___inline] = ACTIONS(1549),
    [anon_sym___inline__] = ACTIONS(1549),
    [anon_sym___forceinline] = ACTIONS(1549),
    [anon_sym_thread_local] = ACTIONS(1549),
    [anon_sym___thread] = ACTIONS(1549),
    [anon_sym_const] = ACTIONS(1549),
    [anon_sym_constexpr] = ACTIONS(1549),
    [anon_sym_volatile] = ACTIONS(1549),
    [anon_sym_restrict] = ACTIONS(1549),
    [anon_sym___restrict__] = ACTIONS(1549),
    [anon_sym__Atomic] = ACTIONS(1549),
    [anon_sym__Noreturn] = ACTIONS(1549),
    [anon_sym_noreturn] = ACTIONS(1549),
    [sym_primitive_type] = ACTIONS(1549),
    [anon_sym_enum] = ACTIONS(1549),
    [anon_sym_struct] = ACTIONS(1549),
    [anon_sym_union] = ACTIONS(1549),
    [anon_sym_if] = ACTIONS(1549),
    [anon_sym_else] = ACTIONS(1549),
    [anon_sym_switch] = ACTIONS(1549),
    [anon_sym_case] = ACTIONS(1549),
    [anon_sym_default] = ACTIONS(1549),
    [anon_sym_while] = ACTIONS(1549),
    [anon_sym_do] = ACTIONS(1549),
    [anon_sym_for] = ACTIONS(1549),
    [anon_sym_return] = ACTIONS(1549),
    [anon_sym_break] = ACTIONS(1549),
    [anon_sym_continue] = ACTIONS(1549),
    [anon_sym_goto] = ACTIONS(1549),
    [anon_sym___try] = ACTIONS(1549),
    [anon_sym___leave] = ACTIONS(1549),
    [anon_sym_DASH_DASH] = ACTIONS(1551),
    [anon_sym_PLUS_PLUS] = ACTIONS(1551),
    [anon_sym_sizeof] = ACTIONS(1549),
    [anon_sym___alignof__] = ACTIONS(1549),
    [anon_sym___alignof] = ACTIONS(1549),
    [anon_sym__alignof] = ACTIONS(1549),
    [anon_sym_alignof] = ACTIONS(1549),
    [anon_sym__Alignof] = ACTIONS(1549),
    [anon_sym_offsetof] = ACTIONS(1549),
    [anon_sym__Generic] = ACTIONS(1549),
    [anon_sym_asm] = ACTIONS(1549),
    [anon_sym___asm__] = ACTIONS(1549),
    [sym_number_literal] = ACTIONS(1551),
    [anon_sym_L_SQUOTE] = ACTIONS(1551),
    [anon_sym_u_SQUOTE] = ACTIONS(1551),
    [anon_sym_U_SQUOTE] = ACTIONS(1551),
    [anon_sym_u8_SQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1551),
    [anon_sym_L_DQUOTE] = ACTIONS(1551),
    [anon_sym_u_DQUOTE] = ACTIONS(1551),
    [anon_sym_U_DQUOTE] = ACTIONS(1551),
    [anon_sym_u8_DQUOTE] = ACTIONS(1551),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [sym_true] = ACTIONS(1549),
    [sym_false] = ACTIONS(1549),
    [anon_sym_NULL] = ACTIONS(1549),
    [anon_sym_nullptr] = ACTIONS(1549),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1549),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1549),
    [anon_sym_hitAttributeEXT] = ACTIONS(1549),
    [anon_sym_callableDataEXT] = ACTIONS(1549),
    [anon_sym_callableDataInEXT] = ACTIONS(1549),
    [anon_sym_shaderRecordEXT] = ACTIONS(1549),
    [anon_sym_rayPayloadNV] = ACTIONS(1549),
    [anon_sym_rayPayloadInNV] = ACTIONS(1549),
    [anon_sym_hitAttributeNV] = ACTIONS(1549),
    [anon_sym_callableDataNV] = ACTIONS(1549),
    [anon_sym_callableDataInNV] = ACTIONS(1549),
    [anon_sym_shaderRecordNV] = ACTIONS(1549),
    [anon_sym_layout] = ACTIONS(1549),
  },
  [313] = {
    [sym_identifier] = ACTIONS(1549),
    [aux_sym_preproc_include_token1] = ACTIONS(1549),
    [aux_sym_preproc_def_token1] = ACTIONS(1549),
    [aux_sym_preproc_if_token1] = ACTIONS(1549),
    [aux_sym_preproc_if_token2] = ACTIONS(1549),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1549),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1549),
    [sym_preproc_directive] = ACTIONS(1549),
    [anon_sym_LPAREN2] = ACTIONS(1551),
    [anon_sym_BANG] = ACTIONS(1551),
    [anon_sym_TILDE] = ACTIONS(1551),
    [anon_sym_DASH] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_STAR] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(1551),
    [anon_sym_subroutine] = ACTIONS(1549),
    [anon_sym_invariant] = ACTIONS(1549),
    [anon_sym_precise] = ACTIONS(1549),
    [anon_sym_SEMI] = ACTIONS(1551),
    [anon_sym_in] = ACTIONS(1549),
    [anon_sym_out] = ACTIONS(1549),
    [anon_sym_inout] = ACTIONS(1549),
    [anon_sym_uniform] = ACTIONS(1549),
    [anon_sym_shared] = ACTIONS(1549),
    [anon_sym_attribute] = ACTIONS(1549),
    [anon_sym_varying] = ACTIONS(1549),
    [anon_sym_buffer] = ACTIONS(1549),
    [anon_sym_coherent] = ACTIONS(1549),
    [anon_sym_readonly] = ACTIONS(1549),
    [anon_sym_writeonly] = ACTIONS(1549),
    [anon_sym_precision] = ACTIONS(1549),
    [anon_sym_highp] = ACTIONS(1549),
    [anon_sym_mediump] = ACTIONS(1549),
    [anon_sym_lowp] = ACTIONS(1549),
    [anon_sym_centroid] = ACTIONS(1549),
    [anon_sym_sample] = ACTIONS(1549),
    [anon_sym_patch] = ACTIONS(1549),
    [anon_sym_smooth] = ACTIONS(1549),
    [anon_sym_flat] = ACTIONS(1549),
    [anon_sym_noperspective] = ACTIONS(1549),
    [anon_sym___extension__] = ACTIONS(1549),
    [anon_sym_typedef] = ACTIONS(1549),
    [anon_sym_extern] = ACTIONS(1549),
    [anon_sym___attribute__] = ACTIONS(1549),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1551),
    [anon_sym___declspec] = ACTIONS(1549),
    [anon_sym___cdecl] = ACTIONS(1549),
    [anon_sym___clrcall] = ACTIONS(1549),
    [anon_sym___stdcall] = ACTIONS(1549),
    [anon_sym___fastcall] = ACTIONS(1549),
    [anon_sym___thiscall] = ACTIONS(1549),
    [anon_sym___vectorcall] = ACTIONS(1549),
    [anon_sym_LBRACE] = ACTIONS(1551),
    [anon_sym_signed] = ACTIONS(1549),
    [anon_sym_unsigned] = ACTIONS(1549),
    [anon_sym_long] = ACTIONS(1549),
    [anon_sym_short] = ACTIONS(1549),
    [anon_sym_static] = ACTIONS(1549),
    [anon_sym_auto] = ACTIONS(1549),
    [anon_sym_register] = ACTIONS(1549),
    [anon_sym_inline] = ACTIONS(1549),
    [anon_sym___inline] = ACTIONS(1549),
    [anon_sym___inline__] = ACTIONS(1549),
    [anon_sym___forceinline] = ACTIONS(1549),
    [anon_sym_thread_local] = ACTIONS(1549),
    [anon_sym___thread] = ACTIONS(1549),
    [anon_sym_const] = ACTIONS(1549),
    [anon_sym_constexpr] = ACTIONS(1549),
    [anon_sym_volatile] = ACTIONS(1549),
    [anon_sym_restrict] = ACTIONS(1549),
    [anon_sym___restrict__] = ACTIONS(1549),
    [anon_sym__Atomic] = ACTIONS(1549),
    [anon_sym__Noreturn] = ACTIONS(1549),
    [anon_sym_noreturn] = ACTIONS(1549),
    [sym_primitive_type] = ACTIONS(1549),
    [anon_sym_enum] = ACTIONS(1549),
    [anon_sym_struct] = ACTIONS(1549),
    [anon_sym_union] = ACTIONS(1549),
    [anon_sym_if] = ACTIONS(1549),
    [anon_sym_else] = ACTIONS(1549),
    [anon_sym_switch] = ACTIONS(1549),
    [anon_sym_case] = ACTIONS(1549),
    [anon_sym_default] = ACTIONS(1549),
    [anon_sym_while] = ACTIONS(1549),
    [anon_sym_do] = ACTIONS(1549),
    [anon_sym_for] = ACTIONS(1549),
    [anon_sym_return] = ACTIONS(1549),
    [anon_sym_break] = ACTIONS(1549),
    [anon_sym_continue] = ACTIONS(1549),
    [anon_sym_goto] = ACTIONS(1549),
    [anon_sym___try] = ACTIONS(1549),
    [anon_sym___leave] = ACTIONS(1549),
    [anon_sym_DASH_DASH] = ACTIONS(1551),
    [anon_sym_PLUS_PLUS] = ACTIONS(1551),
    [anon_sym_sizeof] = ACTIONS(1549),
    [anon_sym___alignof__] = ACTIONS(1549),
    [anon_sym___alignof] = ACTIONS(1549),
    [anon_sym__alignof] = ACTIONS(1549),
    [anon_sym_alignof] = ACTIONS(1549),
    [anon_sym__Alignof] = ACTIONS(1549),
    [anon_sym_offsetof] = ACTIONS(1549),
    [anon_sym__Generic] = ACTIONS(1549),
    [anon_sym_asm] = ACTIONS(1549),
    [anon_sym___asm__] = ACTIONS(1549),
    [sym_number_literal] = ACTIONS(1551),
    [anon_sym_L_SQUOTE] = ACTIONS(1551),
    [anon_sym_u_SQUOTE] = ACTIONS(1551),
    [anon_sym_U_SQUOTE] = ACTIONS(1551),
    [anon_sym_u8_SQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1551),
    [anon_sym_L_DQUOTE] = ACTIONS(1551),
    [anon_sym_u_DQUOTE] = ACTIONS(1551),
    [anon_sym_U_DQUOTE] = ACTIONS(1551),
    [anon_sym_u8_DQUOTE] = ACTIONS(1551),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [sym_true] = ACTIONS(1549),
    [sym_false] = ACTIONS(1549),
    [anon_sym_NULL] = ACTIONS(1549),
    [anon_sym_nullptr] = ACTIONS(1549),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1549),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1549),
    [anon_sym_hitAttributeEXT] = ACTIONS(1549),
    [anon_sym_callableDataEXT] = ACTIONS(1549),
    [anon_sym_callableDataInEXT] = ACTIONS(1549),
    [anon_sym_shaderRecordEXT] = ACTIONS(1549),
    [anon_sym_rayPayloadNV] = ACTIONS(1549),
    [anon_sym_rayPayloadInNV] = ACTIONS(1549),
    [anon_sym_hitAttributeNV] = ACTIONS(1549),
    [anon_sym_callableDataNV] = ACTIONS(1549),
    [anon_sym_callableDataInNV] = ACTIONS(1549),
    [anon_sym_shaderRecordNV] = ACTIONS(1549),
    [anon_sym_layout] = ACTIONS(1549),
  },
  [314] = {
    [sym_identifier] = ACTIONS(1545),
    [aux_sym_preproc_include_token1] = ACTIONS(1545),
    [aux_sym_preproc_def_token1] = ACTIONS(1545),
    [aux_sym_preproc_if_token1] = ACTIONS(1545),
    [aux_sym_preproc_if_token2] = ACTIONS(1545),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1545),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1545),
    [sym_preproc_directive] = ACTIONS(1545),
    [anon_sym_LPAREN2] = ACTIONS(1547),
    [anon_sym_BANG] = ACTIONS(1547),
    [anon_sym_TILDE] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1545),
    [anon_sym_PLUS] = ACTIONS(1545),
    [anon_sym_STAR] = ACTIONS(1547),
    [anon_sym_AMP] = ACTIONS(1547),
    [anon_sym_subroutine] = ACTIONS(1545),
    [anon_sym_invariant] = ACTIONS(1545),
    [anon_sym_precise] = ACTIONS(1545),
    [anon_sym_SEMI] = ACTIONS(1547),
    [anon_sym_in] = ACTIONS(1545),
    [anon_sym_out] = ACTIONS(1545),
    [anon_sym_inout] = ACTIONS(1545),
    [anon_sym_uniform] = ACTIONS(1545),
    [anon_sym_shared] = ACTIONS(1545),
    [anon_sym_attribute] = ACTIONS(1545),
    [anon_sym_varying] = ACTIONS(1545),
    [anon_sym_buffer] = ACTIONS(1545),
    [anon_sym_coherent] = ACTIONS(1545),
    [anon_sym_readonly] = ACTIONS(1545),
    [anon_sym_writeonly] = ACTIONS(1545),
    [anon_sym_precision] = ACTIONS(1545),
    [anon_sym_highp] = ACTIONS(1545),
    [anon_sym_mediump] = ACTIONS(1545),
    [anon_sym_lowp] = ACTIONS(1545),
    [anon_sym_centroid] = ACTIONS(1545),
    [anon_sym_sample] = ACTIONS(1545),
    [anon_sym_patch] = ACTIONS(1545),
    [anon_sym_smooth] = ACTIONS(1545),
    [anon_sym_flat] = ACTIONS(1545),
    [anon_sym_noperspective] = ACTIONS(1545),
    [anon_sym___extension__] = ACTIONS(1545),
    [anon_sym_typedef] = ACTIONS(1545),
    [anon_sym_extern] = ACTIONS(1545),
    [anon_sym___attribute__] = ACTIONS(1545),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1547),
    [anon_sym___declspec] = ACTIONS(1545),
    [anon_sym___cdecl] = ACTIONS(1545),
    [anon_sym___clrcall] = ACTIONS(1545),
    [anon_sym___stdcall] = ACTIONS(1545),
    [anon_sym___fastcall] = ACTIONS(1545),
    [anon_sym___thiscall] = ACTIONS(1545),
    [anon_sym___vectorcall] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(1547),
    [anon_sym_signed] = ACTIONS(1545),
    [anon_sym_unsigned] = ACTIONS(1545),
    [anon_sym_long] = ACTIONS(1545),
    [anon_sym_short] = ACTIONS(1545),
    [anon_sym_static] = ACTIONS(1545),
    [anon_sym_auto] = ACTIONS(1545),
    [anon_sym_register] = ACTIONS(1545),
    [anon_sym_inline] = ACTIONS(1545),
    [anon_sym___inline] = ACTIONS(1545),
    [anon_sym___inline__] = ACTIONS(1545),
    [anon_sym___forceinline] = ACTIONS(1545),
    [anon_sym_thread_local] = ACTIONS(1545),
    [anon_sym___thread] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(1545),
    [anon_sym_constexpr] = ACTIONS(1545),
    [anon_sym_volatile] = ACTIONS(1545),
    [anon_sym_restrict] = ACTIONS(1545),
    [anon_sym___restrict__] = ACTIONS(1545),
    [anon_sym__Atomic] = ACTIONS(1545),
    [anon_sym__Noreturn] = ACTIONS(1545),
    [anon_sym_noreturn] = ACTIONS(1545),
    [sym_primitive_type] = ACTIONS(1545),
    [anon_sym_enum] = ACTIONS(1545),
    [anon_sym_struct] = ACTIONS(1545),
    [anon_sym_union] = ACTIONS(1545),
    [anon_sym_if] = ACTIONS(1545),
    [anon_sym_else] = ACTIONS(1545),
    [anon_sym_switch] = ACTIONS(1545),
    [anon_sym_case] = ACTIONS(1545),
    [anon_sym_default] = ACTIONS(1545),
    [anon_sym_while] = ACTIONS(1545),
    [anon_sym_do] = ACTIONS(1545),
    [anon_sym_for] = ACTIONS(1545),
    [anon_sym_return] = ACTIONS(1545),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_continue] = ACTIONS(1545),
    [anon_sym_goto] = ACTIONS(1545),
    [anon_sym___try] = ACTIONS(1545),
    [anon_sym___leave] = ACTIONS(1545),
    [anon_sym_DASH_DASH] = ACTIONS(1547),
    [anon_sym_PLUS_PLUS] = ACTIONS(1547),
    [anon_sym_sizeof] = ACTIONS(1545),
    [anon_sym___alignof__] = ACTIONS(1545),
    [anon_sym___alignof] = ACTIONS(1545),
    [anon_sym__alignof] = ACTIONS(1545),
    [anon_sym_alignof] = ACTIONS(1545),
    [anon_sym__Alignof] = ACTIONS(1545),
    [anon_sym_offsetof] = ACTIONS(1545),
    [anon_sym__Generic] = ACTIONS(1545),
    [anon_sym_asm] = ACTIONS(1545),
    [anon_sym___asm__] = ACTIONS(1545),
    [sym_number_literal] = ACTIONS(1547),
    [anon_sym_L_SQUOTE] = ACTIONS(1547),
    [anon_sym_u_SQUOTE] = ACTIONS(1547),
    [anon_sym_U_SQUOTE] = ACTIONS(1547),
    [anon_sym_u8_SQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1547),
    [anon_sym_L_DQUOTE] = ACTIONS(1547),
    [anon_sym_u_DQUOTE] = ACTIONS(1547),
    [anon_sym_U_DQUOTE] = ACTIONS(1547),
    [anon_sym_u8_DQUOTE] = ACTIONS(1547),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [sym_true] = ACTIONS(1545),
    [sym_false] = ACTIONS(1545),
    [anon_sym_NULL] = ACTIONS(1545),
    [anon_sym_nullptr] = ACTIONS(1545),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1545),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1545),
    [anon_sym_hitAttributeEXT] = ACTIONS(1545),
    [anon_sym_callableDataEXT] = ACTIONS(1545),
    [anon_sym_callableDataInEXT] = ACTIONS(1545),
    [anon_sym_shaderRecordEXT] = ACTIONS(1545),
    [anon_sym_rayPayloadNV] = ACTIONS(1545),
    [anon_sym_rayPayloadInNV] = ACTIONS(1545),
    [anon_sym_hitAttributeNV] = ACTIONS(1545),
    [anon_sym_callableDataNV] = ACTIONS(1545),
    [anon_sym_callableDataInNV] = ACTIONS(1545),
    [anon_sym_shaderRecordNV] = ACTIONS(1545),
    [anon_sym_layout] = ACTIONS(1545),
  },
  [315] = {
    [sym_identifier] = ACTIONS(1545),
    [aux_sym_preproc_include_token1] = ACTIONS(1545),
    [aux_sym_preproc_def_token1] = ACTIONS(1545),
    [aux_sym_preproc_if_token1] = ACTIONS(1545),
    [aux_sym_preproc_if_token2] = ACTIONS(1545),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1545),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1545),
    [sym_preproc_directive] = ACTIONS(1545),
    [anon_sym_LPAREN2] = ACTIONS(1547),
    [anon_sym_BANG] = ACTIONS(1547),
    [anon_sym_TILDE] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1545),
    [anon_sym_PLUS] = ACTIONS(1545),
    [anon_sym_STAR] = ACTIONS(1547),
    [anon_sym_AMP] = ACTIONS(1547),
    [anon_sym_subroutine] = ACTIONS(1545),
    [anon_sym_invariant] = ACTIONS(1545),
    [anon_sym_precise] = ACTIONS(1545),
    [anon_sym_SEMI] = ACTIONS(1547),
    [anon_sym_in] = ACTIONS(1545),
    [anon_sym_out] = ACTIONS(1545),
    [anon_sym_inout] = ACTIONS(1545),
    [anon_sym_uniform] = ACTIONS(1545),
    [anon_sym_shared] = ACTIONS(1545),
    [anon_sym_attribute] = ACTIONS(1545),
    [anon_sym_varying] = ACTIONS(1545),
    [anon_sym_buffer] = ACTIONS(1545),
    [anon_sym_coherent] = ACTIONS(1545),
    [anon_sym_readonly] = ACTIONS(1545),
    [anon_sym_writeonly] = ACTIONS(1545),
    [anon_sym_precision] = ACTIONS(1545),
    [anon_sym_highp] = ACTIONS(1545),
    [anon_sym_mediump] = ACTIONS(1545),
    [anon_sym_lowp] = ACTIONS(1545),
    [anon_sym_centroid] = ACTIONS(1545),
    [anon_sym_sample] = ACTIONS(1545),
    [anon_sym_patch] = ACTIONS(1545),
    [anon_sym_smooth] = ACTIONS(1545),
    [anon_sym_flat] = ACTIONS(1545),
    [anon_sym_noperspective] = ACTIONS(1545),
    [anon_sym___extension__] = ACTIONS(1545),
    [anon_sym_typedef] = ACTIONS(1545),
    [anon_sym_extern] = ACTIONS(1545),
    [anon_sym___attribute__] = ACTIONS(1545),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1547),
    [anon_sym___declspec] = ACTIONS(1545),
    [anon_sym___cdecl] = ACTIONS(1545),
    [anon_sym___clrcall] = ACTIONS(1545),
    [anon_sym___stdcall] = ACTIONS(1545),
    [anon_sym___fastcall] = ACTIONS(1545),
    [anon_sym___thiscall] = ACTIONS(1545),
    [anon_sym___vectorcall] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(1547),
    [anon_sym_signed] = ACTIONS(1545),
    [anon_sym_unsigned] = ACTIONS(1545),
    [anon_sym_long] = ACTIONS(1545),
    [anon_sym_short] = ACTIONS(1545),
    [anon_sym_static] = ACTIONS(1545),
    [anon_sym_auto] = ACTIONS(1545),
    [anon_sym_register] = ACTIONS(1545),
    [anon_sym_inline] = ACTIONS(1545),
    [anon_sym___inline] = ACTIONS(1545),
    [anon_sym___inline__] = ACTIONS(1545),
    [anon_sym___forceinline] = ACTIONS(1545),
    [anon_sym_thread_local] = ACTIONS(1545),
    [anon_sym___thread] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(1545),
    [anon_sym_constexpr] = ACTIONS(1545),
    [anon_sym_volatile] = ACTIONS(1545),
    [anon_sym_restrict] = ACTIONS(1545),
    [anon_sym___restrict__] = ACTIONS(1545),
    [anon_sym__Atomic] = ACTIONS(1545),
    [anon_sym__Noreturn] = ACTIONS(1545),
    [anon_sym_noreturn] = ACTIONS(1545),
    [sym_primitive_type] = ACTIONS(1545),
    [anon_sym_enum] = ACTIONS(1545),
    [anon_sym_struct] = ACTIONS(1545),
    [anon_sym_union] = ACTIONS(1545),
    [anon_sym_if] = ACTIONS(1545),
    [anon_sym_else] = ACTIONS(1545),
    [anon_sym_switch] = ACTIONS(1545),
    [anon_sym_case] = ACTIONS(1545),
    [anon_sym_default] = ACTIONS(1545),
    [anon_sym_while] = ACTIONS(1545),
    [anon_sym_do] = ACTIONS(1545),
    [anon_sym_for] = ACTIONS(1545),
    [anon_sym_return] = ACTIONS(1545),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_continue] = ACTIONS(1545),
    [anon_sym_goto] = ACTIONS(1545),
    [anon_sym___try] = ACTIONS(1545),
    [anon_sym___leave] = ACTIONS(1545),
    [anon_sym_DASH_DASH] = ACTIONS(1547),
    [anon_sym_PLUS_PLUS] = ACTIONS(1547),
    [anon_sym_sizeof] = ACTIONS(1545),
    [anon_sym___alignof__] = ACTIONS(1545),
    [anon_sym___alignof] = ACTIONS(1545),
    [anon_sym__alignof] = ACTIONS(1545),
    [anon_sym_alignof] = ACTIONS(1545),
    [anon_sym__Alignof] = ACTIONS(1545),
    [anon_sym_offsetof] = ACTIONS(1545),
    [anon_sym__Generic] = ACTIONS(1545),
    [anon_sym_asm] = ACTIONS(1545),
    [anon_sym___asm__] = ACTIONS(1545),
    [sym_number_literal] = ACTIONS(1547),
    [anon_sym_L_SQUOTE] = ACTIONS(1547),
    [anon_sym_u_SQUOTE] = ACTIONS(1547),
    [anon_sym_U_SQUOTE] = ACTIONS(1547),
    [anon_sym_u8_SQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1547),
    [anon_sym_L_DQUOTE] = ACTIONS(1547),
    [anon_sym_u_DQUOTE] = ACTIONS(1547),
    [anon_sym_U_DQUOTE] = ACTIONS(1547),
    [anon_sym_u8_DQUOTE] = ACTIONS(1547),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [sym_true] = ACTIONS(1545),
    [sym_false] = ACTIONS(1545),
    [anon_sym_NULL] = ACTIONS(1545),
    [anon_sym_nullptr] = ACTIONS(1545),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1545),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1545),
    [anon_sym_hitAttributeEXT] = ACTIONS(1545),
    [anon_sym_callableDataEXT] = ACTIONS(1545),
    [anon_sym_callableDataInEXT] = ACTIONS(1545),
    [anon_sym_shaderRecordEXT] = ACTIONS(1545),
    [anon_sym_rayPayloadNV] = ACTIONS(1545),
    [anon_sym_rayPayloadInNV] = ACTIONS(1545),
    [anon_sym_hitAttributeNV] = ACTIONS(1545),
    [anon_sym_callableDataNV] = ACTIONS(1545),
    [anon_sym_callableDataInNV] = ACTIONS(1545),
    [anon_sym_shaderRecordNV] = ACTIONS(1545),
    [anon_sym_layout] = ACTIONS(1545),
  },
  [316] = {
    [ts_builtin_sym_end] = ACTIONS(1439),
    [sym_identifier] = ACTIONS(1437),
    [aux_sym_preproc_include_token1] = ACTIONS(1437),
    [aux_sym_preproc_def_token1] = ACTIONS(1437),
    [aux_sym_preproc_if_token1] = ACTIONS(1437),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1437),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1437),
    [sym_preproc_directive] = ACTIONS(1437),
    [anon_sym_LPAREN2] = ACTIONS(1439),
    [anon_sym_BANG] = ACTIONS(1439),
    [anon_sym_TILDE] = ACTIONS(1439),
    [anon_sym_DASH] = ACTIONS(1437),
    [anon_sym_PLUS] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(1439),
    [anon_sym_AMP] = ACTIONS(1439),
    [anon_sym_subroutine] = ACTIONS(1437),
    [anon_sym_invariant] = ACTIONS(1437),
    [anon_sym_precise] = ACTIONS(1437),
    [anon_sym_SEMI] = ACTIONS(1439),
    [anon_sym_in] = ACTIONS(1437),
    [anon_sym_out] = ACTIONS(1437),
    [anon_sym_inout] = ACTIONS(1437),
    [anon_sym_uniform] = ACTIONS(1437),
    [anon_sym_shared] = ACTIONS(1437),
    [anon_sym_attribute] = ACTIONS(1437),
    [anon_sym_varying] = ACTIONS(1437),
    [anon_sym_buffer] = ACTIONS(1437),
    [anon_sym_coherent] = ACTIONS(1437),
    [anon_sym_readonly] = ACTIONS(1437),
    [anon_sym_writeonly] = ACTIONS(1437),
    [anon_sym_precision] = ACTIONS(1437),
    [anon_sym_highp] = ACTIONS(1437),
    [anon_sym_mediump] = ACTIONS(1437),
    [anon_sym_lowp] = ACTIONS(1437),
    [anon_sym_centroid] = ACTIONS(1437),
    [anon_sym_sample] = ACTIONS(1437),
    [anon_sym_patch] = ACTIONS(1437),
    [anon_sym_smooth] = ACTIONS(1437),
    [anon_sym_flat] = ACTIONS(1437),
    [anon_sym_noperspective] = ACTIONS(1437),
    [anon_sym___extension__] = ACTIONS(1437),
    [anon_sym_typedef] = ACTIONS(1437),
    [anon_sym_extern] = ACTIONS(1437),
    [anon_sym___attribute__] = ACTIONS(1437),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1439),
    [anon_sym___declspec] = ACTIONS(1437),
    [anon_sym___cdecl] = ACTIONS(1437),
    [anon_sym___clrcall] = ACTIONS(1437),
    [anon_sym___stdcall] = ACTIONS(1437),
    [anon_sym___fastcall] = ACTIONS(1437),
    [anon_sym___thiscall] = ACTIONS(1437),
    [anon_sym___vectorcall] = ACTIONS(1437),
    [anon_sym_LBRACE] = ACTIONS(1439),
    [anon_sym_signed] = ACTIONS(1437),
    [anon_sym_unsigned] = ACTIONS(1437),
    [anon_sym_long] = ACTIONS(1437),
    [anon_sym_short] = ACTIONS(1437),
    [anon_sym_static] = ACTIONS(1437),
    [anon_sym_auto] = ACTIONS(1437),
    [anon_sym_register] = ACTIONS(1437),
    [anon_sym_inline] = ACTIONS(1437),
    [anon_sym___inline] = ACTIONS(1437),
    [anon_sym___inline__] = ACTIONS(1437),
    [anon_sym___forceinline] = ACTIONS(1437),
    [anon_sym_thread_local] = ACTIONS(1437),
    [anon_sym___thread] = ACTIONS(1437),
    [anon_sym_const] = ACTIONS(1437),
    [anon_sym_constexpr] = ACTIONS(1437),
    [anon_sym_volatile] = ACTIONS(1437),
    [anon_sym_restrict] = ACTIONS(1437),
    [anon_sym___restrict__] = ACTIONS(1437),
    [anon_sym__Atomic] = ACTIONS(1437),
    [anon_sym__Noreturn] = ACTIONS(1437),
    [anon_sym_noreturn] = ACTIONS(1437),
    [sym_primitive_type] = ACTIONS(1437),
    [anon_sym_enum] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(1437),
    [anon_sym_union] = ACTIONS(1437),
    [anon_sym_if] = ACTIONS(1437),
    [anon_sym_else] = ACTIONS(1437),
    [anon_sym_switch] = ACTIONS(1437),
    [anon_sym_case] = ACTIONS(1437),
    [anon_sym_default] = ACTIONS(1437),
    [anon_sym_while] = ACTIONS(1437),
    [anon_sym_do] = ACTIONS(1437),
    [anon_sym_for] = ACTIONS(1437),
    [anon_sym_return] = ACTIONS(1437),
    [anon_sym_break] = ACTIONS(1437),
    [anon_sym_continue] = ACTIONS(1437),
    [anon_sym_goto] = ACTIONS(1437),
    [anon_sym___try] = ACTIONS(1437),
    [anon_sym___leave] = ACTIONS(1437),
    [anon_sym_DASH_DASH] = ACTIONS(1439),
    [anon_sym_PLUS_PLUS] = ACTIONS(1439),
    [anon_sym_sizeof] = ACTIONS(1437),
    [anon_sym___alignof__] = ACTIONS(1437),
    [anon_sym___alignof] = ACTIONS(1437),
    [anon_sym__alignof] = ACTIONS(1437),
    [anon_sym_alignof] = ACTIONS(1437),
    [anon_sym__Alignof] = ACTIONS(1437),
    [anon_sym_offsetof] = ACTIONS(1437),
    [anon_sym__Generic] = ACTIONS(1437),
    [anon_sym_asm] = ACTIONS(1437),
    [anon_sym___asm__] = ACTIONS(1437),
    [sym_number_literal] = ACTIONS(1439),
    [anon_sym_L_SQUOTE] = ACTIONS(1439),
    [anon_sym_u_SQUOTE] = ACTIONS(1439),
    [anon_sym_U_SQUOTE] = ACTIONS(1439),
    [anon_sym_u8_SQUOTE] = ACTIONS(1439),
    [anon_sym_SQUOTE] = ACTIONS(1439),
    [anon_sym_L_DQUOTE] = ACTIONS(1439),
    [anon_sym_u_DQUOTE] = ACTIONS(1439),
    [anon_sym_U_DQUOTE] = ACTIONS(1439),
    [anon_sym_u8_DQUOTE] = ACTIONS(1439),
    [anon_sym_DQUOTE] = ACTIONS(1439),
    [sym_true] = ACTIONS(1437),
    [sym_false] = ACTIONS(1437),
    [anon_sym_NULL] = ACTIONS(1437),
    [anon_sym_nullptr] = ACTIONS(1437),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1437),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1437),
    [anon_sym_hitAttributeEXT] = ACTIONS(1437),
    [anon_sym_callableDataEXT] = ACTIONS(1437),
    [anon_sym_callableDataInEXT] = ACTIONS(1437),
    [anon_sym_shaderRecordEXT] = ACTIONS(1437),
    [anon_sym_rayPayloadNV] = ACTIONS(1437),
    [anon_sym_rayPayloadInNV] = ACTIONS(1437),
    [anon_sym_hitAttributeNV] = ACTIONS(1437),
    [anon_sym_callableDataNV] = ACTIONS(1437),
    [anon_sym_callableDataInNV] = ACTIONS(1437),
    [anon_sym_shaderRecordNV] = ACTIONS(1437),
    [anon_sym_layout] = ACTIONS(1437),
  },
  [317] = {
    [ts_builtin_sym_end] = ACTIONS(1443),
    [sym_identifier] = ACTIONS(1441),
    [aux_sym_preproc_include_token1] = ACTIONS(1441),
    [aux_sym_preproc_def_token1] = ACTIONS(1441),
    [aux_sym_preproc_if_token1] = ACTIONS(1441),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1441),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1441),
    [sym_preproc_directive] = ACTIONS(1441),
    [anon_sym_LPAREN2] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(1443),
    [anon_sym_TILDE] = ACTIONS(1443),
    [anon_sym_DASH] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_STAR] = ACTIONS(1443),
    [anon_sym_AMP] = ACTIONS(1443),
    [anon_sym_subroutine] = ACTIONS(1441),
    [anon_sym_invariant] = ACTIONS(1441),
    [anon_sym_precise] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1443),
    [anon_sym_in] = ACTIONS(1441),
    [anon_sym_out] = ACTIONS(1441),
    [anon_sym_inout] = ACTIONS(1441),
    [anon_sym_uniform] = ACTIONS(1441),
    [anon_sym_shared] = ACTIONS(1441),
    [anon_sym_attribute] = ACTIONS(1441),
    [anon_sym_varying] = ACTIONS(1441),
    [anon_sym_buffer] = ACTIONS(1441),
    [anon_sym_coherent] = ACTIONS(1441),
    [anon_sym_readonly] = ACTIONS(1441),
    [anon_sym_writeonly] = ACTIONS(1441),
    [anon_sym_precision] = ACTIONS(1441),
    [anon_sym_highp] = ACTIONS(1441),
    [anon_sym_mediump] = ACTIONS(1441),
    [anon_sym_lowp] = ACTIONS(1441),
    [anon_sym_centroid] = ACTIONS(1441),
    [anon_sym_sample] = ACTIONS(1441),
    [anon_sym_patch] = ACTIONS(1441),
    [anon_sym_smooth] = ACTIONS(1441),
    [anon_sym_flat] = ACTIONS(1441),
    [anon_sym_noperspective] = ACTIONS(1441),
    [anon_sym___extension__] = ACTIONS(1441),
    [anon_sym_typedef] = ACTIONS(1441),
    [anon_sym_extern] = ACTIONS(1441),
    [anon_sym___attribute__] = ACTIONS(1441),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1443),
    [anon_sym___declspec] = ACTIONS(1441),
    [anon_sym___cdecl] = ACTIONS(1441),
    [anon_sym___clrcall] = ACTIONS(1441),
    [anon_sym___stdcall] = ACTIONS(1441),
    [anon_sym___fastcall] = ACTIONS(1441),
    [anon_sym___thiscall] = ACTIONS(1441),
    [anon_sym___vectorcall] = ACTIONS(1441),
    [anon_sym_LBRACE] = ACTIONS(1443),
    [anon_sym_signed] = ACTIONS(1441),
    [anon_sym_unsigned] = ACTIONS(1441),
    [anon_sym_long] = ACTIONS(1441),
    [anon_sym_short] = ACTIONS(1441),
    [anon_sym_static] = ACTIONS(1441),
    [anon_sym_auto] = ACTIONS(1441),
    [anon_sym_register] = ACTIONS(1441),
    [anon_sym_inline] = ACTIONS(1441),
    [anon_sym___inline] = ACTIONS(1441),
    [anon_sym___inline__] = ACTIONS(1441),
    [anon_sym___forceinline] = ACTIONS(1441),
    [anon_sym_thread_local] = ACTIONS(1441),
    [anon_sym___thread] = ACTIONS(1441),
    [anon_sym_const] = ACTIONS(1441),
    [anon_sym_constexpr] = ACTIONS(1441),
    [anon_sym_volatile] = ACTIONS(1441),
    [anon_sym_restrict] = ACTIONS(1441),
    [anon_sym___restrict__] = ACTIONS(1441),
    [anon_sym__Atomic] = ACTIONS(1441),
    [anon_sym__Noreturn] = ACTIONS(1441),
    [anon_sym_noreturn] = ACTIONS(1441),
    [sym_primitive_type] = ACTIONS(1441),
    [anon_sym_enum] = ACTIONS(1441),
    [anon_sym_struct] = ACTIONS(1441),
    [anon_sym_union] = ACTIONS(1441),
    [anon_sym_if] = ACTIONS(1441),
    [anon_sym_else] = ACTIONS(1441),
    [anon_sym_switch] = ACTIONS(1441),
    [anon_sym_case] = ACTIONS(1441),
    [anon_sym_default] = ACTIONS(1441),
    [anon_sym_while] = ACTIONS(1441),
    [anon_sym_do] = ACTIONS(1441),
    [anon_sym_for] = ACTIONS(1441),
    [anon_sym_return] = ACTIONS(1441),
    [anon_sym_break] = ACTIONS(1441),
    [anon_sym_continue] = ACTIONS(1441),
    [anon_sym_goto] = ACTIONS(1441),
    [anon_sym___try] = ACTIONS(1441),
    [anon_sym___leave] = ACTIONS(1441),
    [anon_sym_DASH_DASH] = ACTIONS(1443),
    [anon_sym_PLUS_PLUS] = ACTIONS(1443),
    [anon_sym_sizeof] = ACTIONS(1441),
    [anon_sym___alignof__] = ACTIONS(1441),
    [anon_sym___alignof] = ACTIONS(1441),
    [anon_sym__alignof] = ACTIONS(1441),
    [anon_sym_alignof] = ACTIONS(1441),
    [anon_sym__Alignof] = ACTIONS(1441),
    [anon_sym_offsetof] = ACTIONS(1441),
    [anon_sym__Generic] = ACTIONS(1441),
    [anon_sym_asm] = ACTIONS(1441),
    [anon_sym___asm__] = ACTIONS(1441),
    [sym_number_literal] = ACTIONS(1443),
    [anon_sym_L_SQUOTE] = ACTIONS(1443),
    [anon_sym_u_SQUOTE] = ACTIONS(1443),
    [anon_sym_U_SQUOTE] = ACTIONS(1443),
    [anon_sym_u8_SQUOTE] = ACTIONS(1443),
    [anon_sym_SQUOTE] = ACTIONS(1443),
    [anon_sym_L_DQUOTE] = ACTIONS(1443),
    [anon_sym_u_DQUOTE] = ACTIONS(1443),
    [anon_sym_U_DQUOTE] = ACTIONS(1443),
    [anon_sym_u8_DQUOTE] = ACTIONS(1443),
    [anon_sym_DQUOTE] = ACTIONS(1443),
    [sym_true] = ACTIONS(1441),
    [sym_false] = ACTIONS(1441),
    [anon_sym_NULL] = ACTIONS(1441),
    [anon_sym_nullptr] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1441),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1441),
    [anon_sym_hitAttributeEXT] = ACTIONS(1441),
    [anon_sym_callableDataEXT] = ACTIONS(1441),
    [anon_sym_callableDataInEXT] = ACTIONS(1441),
    [anon_sym_shaderRecordEXT] = ACTIONS(1441),
    [anon_sym_rayPayloadNV] = ACTIONS(1441),
    [anon_sym_rayPayloadInNV] = ACTIONS(1441),
    [anon_sym_hitAttributeNV] = ACTIONS(1441),
    [anon_sym_callableDataNV] = ACTIONS(1441),
    [anon_sym_callableDataInNV] = ACTIONS(1441),
    [anon_sym_shaderRecordNV] = ACTIONS(1441),
    [anon_sym_layout] = ACTIONS(1441),
  },
  [318] = {
    [sym_identifier] = ACTIONS(1541),
    [aux_sym_preproc_include_token1] = ACTIONS(1541),
    [aux_sym_preproc_def_token1] = ACTIONS(1541),
    [aux_sym_preproc_if_token1] = ACTIONS(1541),
    [aux_sym_preproc_if_token2] = ACTIONS(1541),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1541),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1541),
    [sym_preproc_directive] = ACTIONS(1541),
    [anon_sym_LPAREN2] = ACTIONS(1543),
    [anon_sym_BANG] = ACTIONS(1543),
    [anon_sym_TILDE] = ACTIONS(1543),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_STAR] = ACTIONS(1543),
    [anon_sym_AMP] = ACTIONS(1543),
    [anon_sym_subroutine] = ACTIONS(1541),
    [anon_sym_invariant] = ACTIONS(1541),
    [anon_sym_precise] = ACTIONS(1541),
    [anon_sym_SEMI] = ACTIONS(1543),
    [anon_sym_in] = ACTIONS(1541),
    [anon_sym_out] = ACTIONS(1541),
    [anon_sym_inout] = ACTIONS(1541),
    [anon_sym_uniform] = ACTIONS(1541),
    [anon_sym_shared] = ACTIONS(1541),
    [anon_sym_attribute] = ACTIONS(1541),
    [anon_sym_varying] = ACTIONS(1541),
    [anon_sym_buffer] = ACTIONS(1541),
    [anon_sym_coherent] = ACTIONS(1541),
    [anon_sym_readonly] = ACTIONS(1541),
    [anon_sym_writeonly] = ACTIONS(1541),
    [anon_sym_precision] = ACTIONS(1541),
    [anon_sym_highp] = ACTIONS(1541),
    [anon_sym_mediump] = ACTIONS(1541),
    [anon_sym_lowp] = ACTIONS(1541),
    [anon_sym_centroid] = ACTIONS(1541),
    [anon_sym_sample] = ACTIONS(1541),
    [anon_sym_patch] = ACTIONS(1541),
    [anon_sym_smooth] = ACTIONS(1541),
    [anon_sym_flat] = ACTIONS(1541),
    [anon_sym_noperspective] = ACTIONS(1541),
    [anon_sym___extension__] = ACTIONS(1541),
    [anon_sym_typedef] = ACTIONS(1541),
    [anon_sym_extern] = ACTIONS(1541),
    [anon_sym___attribute__] = ACTIONS(1541),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1543),
    [anon_sym___declspec] = ACTIONS(1541),
    [anon_sym___cdecl] = ACTIONS(1541),
    [anon_sym___clrcall] = ACTIONS(1541),
    [anon_sym___stdcall] = ACTIONS(1541),
    [anon_sym___fastcall] = ACTIONS(1541),
    [anon_sym___thiscall] = ACTIONS(1541),
    [anon_sym___vectorcall] = ACTIONS(1541),
    [anon_sym_LBRACE] = ACTIONS(1543),
    [anon_sym_signed] = ACTIONS(1541),
    [anon_sym_unsigned] = ACTIONS(1541),
    [anon_sym_long] = ACTIONS(1541),
    [anon_sym_short] = ACTIONS(1541),
    [anon_sym_static] = ACTIONS(1541),
    [anon_sym_auto] = ACTIONS(1541),
    [anon_sym_register] = ACTIONS(1541),
    [anon_sym_inline] = ACTIONS(1541),
    [anon_sym___inline] = ACTIONS(1541),
    [anon_sym___inline__] = ACTIONS(1541),
    [anon_sym___forceinline] = ACTIONS(1541),
    [anon_sym_thread_local] = ACTIONS(1541),
    [anon_sym___thread] = ACTIONS(1541),
    [anon_sym_const] = ACTIONS(1541),
    [anon_sym_constexpr] = ACTIONS(1541),
    [anon_sym_volatile] = ACTIONS(1541),
    [anon_sym_restrict] = ACTIONS(1541),
    [anon_sym___restrict__] = ACTIONS(1541),
    [anon_sym__Atomic] = ACTIONS(1541),
    [anon_sym__Noreturn] = ACTIONS(1541),
    [anon_sym_noreturn] = ACTIONS(1541),
    [sym_primitive_type] = ACTIONS(1541),
    [anon_sym_enum] = ACTIONS(1541),
    [anon_sym_struct] = ACTIONS(1541),
    [anon_sym_union] = ACTIONS(1541),
    [anon_sym_if] = ACTIONS(1541),
    [anon_sym_else] = ACTIONS(1541),
    [anon_sym_switch] = ACTIONS(1541),
    [anon_sym_case] = ACTIONS(1541),
    [anon_sym_default] = ACTIONS(1541),
    [anon_sym_while] = ACTIONS(1541),
    [anon_sym_do] = ACTIONS(1541),
    [anon_sym_for] = ACTIONS(1541),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_break] = ACTIONS(1541),
    [anon_sym_continue] = ACTIONS(1541),
    [anon_sym_goto] = ACTIONS(1541),
    [anon_sym___try] = ACTIONS(1541),
    [anon_sym___leave] = ACTIONS(1541),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_sizeof] = ACTIONS(1541),
    [anon_sym___alignof__] = ACTIONS(1541),
    [anon_sym___alignof] = ACTIONS(1541),
    [anon_sym__alignof] = ACTIONS(1541),
    [anon_sym_alignof] = ACTIONS(1541),
    [anon_sym__Alignof] = ACTIONS(1541),
    [anon_sym_offsetof] = ACTIONS(1541),
    [anon_sym__Generic] = ACTIONS(1541),
    [anon_sym_asm] = ACTIONS(1541),
    [anon_sym___asm__] = ACTIONS(1541),
    [sym_number_literal] = ACTIONS(1543),
    [anon_sym_L_SQUOTE] = ACTIONS(1543),
    [anon_sym_u_SQUOTE] = ACTIONS(1543),
    [anon_sym_U_SQUOTE] = ACTIONS(1543),
    [anon_sym_u8_SQUOTE] = ACTIONS(1543),
    [anon_sym_SQUOTE] = ACTIONS(1543),
    [anon_sym_L_DQUOTE] = ACTIONS(1543),
    [anon_sym_u_DQUOTE] = ACTIONS(1543),
    [anon_sym_U_DQUOTE] = ACTIONS(1543),
    [anon_sym_u8_DQUOTE] = ACTIONS(1543),
    [anon_sym_DQUOTE] = ACTIONS(1543),
    [sym_true] = ACTIONS(1541),
    [sym_false] = ACTIONS(1541),
    [anon_sym_NULL] = ACTIONS(1541),
    [anon_sym_nullptr] = ACTIONS(1541),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1541),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1541),
    [anon_sym_hitAttributeEXT] = ACTIONS(1541),
    [anon_sym_callableDataEXT] = ACTIONS(1541),
    [anon_sym_callableDataInEXT] = ACTIONS(1541),
    [anon_sym_shaderRecordEXT] = ACTIONS(1541),
    [anon_sym_rayPayloadNV] = ACTIONS(1541),
    [anon_sym_rayPayloadInNV] = ACTIONS(1541),
    [anon_sym_hitAttributeNV] = ACTIONS(1541),
    [anon_sym_callableDataNV] = ACTIONS(1541),
    [anon_sym_callableDataInNV] = ACTIONS(1541),
    [anon_sym_shaderRecordNV] = ACTIONS(1541),
    [anon_sym_layout] = ACTIONS(1541),
  },
  [319] = {
    [sym_identifier] = ACTIONS(1537),
    [aux_sym_preproc_include_token1] = ACTIONS(1537),
    [aux_sym_preproc_def_token1] = ACTIONS(1537),
    [aux_sym_preproc_if_token1] = ACTIONS(1537),
    [aux_sym_preproc_if_token2] = ACTIONS(1537),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1537),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1537),
    [sym_preproc_directive] = ACTIONS(1537),
    [anon_sym_LPAREN2] = ACTIONS(1539),
    [anon_sym_BANG] = ACTIONS(1539),
    [anon_sym_TILDE] = ACTIONS(1539),
    [anon_sym_DASH] = ACTIONS(1537),
    [anon_sym_PLUS] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(1539),
    [anon_sym_AMP] = ACTIONS(1539),
    [anon_sym_subroutine] = ACTIONS(1537),
    [anon_sym_invariant] = ACTIONS(1537),
    [anon_sym_precise] = ACTIONS(1537),
    [anon_sym_SEMI] = ACTIONS(1539),
    [anon_sym_in] = ACTIONS(1537),
    [anon_sym_out] = ACTIONS(1537),
    [anon_sym_inout] = ACTIONS(1537),
    [anon_sym_uniform] = ACTIONS(1537),
    [anon_sym_shared] = ACTIONS(1537),
    [anon_sym_attribute] = ACTIONS(1537),
    [anon_sym_varying] = ACTIONS(1537),
    [anon_sym_buffer] = ACTIONS(1537),
    [anon_sym_coherent] = ACTIONS(1537),
    [anon_sym_readonly] = ACTIONS(1537),
    [anon_sym_writeonly] = ACTIONS(1537),
    [anon_sym_precision] = ACTIONS(1537),
    [anon_sym_highp] = ACTIONS(1537),
    [anon_sym_mediump] = ACTIONS(1537),
    [anon_sym_lowp] = ACTIONS(1537),
    [anon_sym_centroid] = ACTIONS(1537),
    [anon_sym_sample] = ACTIONS(1537),
    [anon_sym_patch] = ACTIONS(1537),
    [anon_sym_smooth] = ACTIONS(1537),
    [anon_sym_flat] = ACTIONS(1537),
    [anon_sym_noperspective] = ACTIONS(1537),
    [anon_sym___extension__] = ACTIONS(1537),
    [anon_sym_typedef] = ACTIONS(1537),
    [anon_sym_extern] = ACTIONS(1537),
    [anon_sym___attribute__] = ACTIONS(1537),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1539),
    [anon_sym___declspec] = ACTIONS(1537),
    [anon_sym___cdecl] = ACTIONS(1537),
    [anon_sym___clrcall] = ACTIONS(1537),
    [anon_sym___stdcall] = ACTIONS(1537),
    [anon_sym___fastcall] = ACTIONS(1537),
    [anon_sym___thiscall] = ACTIONS(1537),
    [anon_sym___vectorcall] = ACTIONS(1537),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_signed] = ACTIONS(1537),
    [anon_sym_unsigned] = ACTIONS(1537),
    [anon_sym_long] = ACTIONS(1537),
    [anon_sym_short] = ACTIONS(1537),
    [anon_sym_static] = ACTIONS(1537),
    [anon_sym_auto] = ACTIONS(1537),
    [anon_sym_register] = ACTIONS(1537),
    [anon_sym_inline] = ACTIONS(1537),
    [anon_sym___inline] = ACTIONS(1537),
    [anon_sym___inline__] = ACTIONS(1537),
    [anon_sym___forceinline] = ACTIONS(1537),
    [anon_sym_thread_local] = ACTIONS(1537),
    [anon_sym___thread] = ACTIONS(1537),
    [anon_sym_const] = ACTIONS(1537),
    [anon_sym_constexpr] = ACTIONS(1537),
    [anon_sym_volatile] = ACTIONS(1537),
    [anon_sym_restrict] = ACTIONS(1537),
    [anon_sym___restrict__] = ACTIONS(1537),
    [anon_sym__Atomic] = ACTIONS(1537),
    [anon_sym__Noreturn] = ACTIONS(1537),
    [anon_sym_noreturn] = ACTIONS(1537),
    [sym_primitive_type] = ACTIONS(1537),
    [anon_sym_enum] = ACTIONS(1537),
    [anon_sym_struct] = ACTIONS(1537),
    [anon_sym_union] = ACTIONS(1537),
    [anon_sym_if] = ACTIONS(1537),
    [anon_sym_else] = ACTIONS(1537),
    [anon_sym_switch] = ACTIONS(1537),
    [anon_sym_case] = ACTIONS(1537),
    [anon_sym_default] = ACTIONS(1537),
    [anon_sym_while] = ACTIONS(1537),
    [anon_sym_do] = ACTIONS(1537),
    [anon_sym_for] = ACTIONS(1537),
    [anon_sym_return] = ACTIONS(1537),
    [anon_sym_break] = ACTIONS(1537),
    [anon_sym_continue] = ACTIONS(1537),
    [anon_sym_goto] = ACTIONS(1537),
    [anon_sym___try] = ACTIONS(1537),
    [anon_sym___leave] = ACTIONS(1537),
    [anon_sym_DASH_DASH] = ACTIONS(1539),
    [anon_sym_PLUS_PLUS] = ACTIONS(1539),
    [anon_sym_sizeof] = ACTIONS(1537),
    [anon_sym___alignof__] = ACTIONS(1537),
    [anon_sym___alignof] = ACTIONS(1537),
    [anon_sym__alignof] = ACTIONS(1537),
    [anon_sym_alignof] = ACTIONS(1537),
    [anon_sym__Alignof] = ACTIONS(1537),
    [anon_sym_offsetof] = ACTIONS(1537),
    [anon_sym__Generic] = ACTIONS(1537),
    [anon_sym_asm] = ACTIONS(1537),
    [anon_sym___asm__] = ACTIONS(1537),
    [sym_number_literal] = ACTIONS(1539),
    [anon_sym_L_SQUOTE] = ACTIONS(1539),
    [anon_sym_u_SQUOTE] = ACTIONS(1539),
    [anon_sym_U_SQUOTE] = ACTIONS(1539),
    [anon_sym_u8_SQUOTE] = ACTIONS(1539),
    [anon_sym_SQUOTE] = ACTIONS(1539),
    [anon_sym_L_DQUOTE] = ACTIONS(1539),
    [anon_sym_u_DQUOTE] = ACTIONS(1539),
    [anon_sym_U_DQUOTE] = ACTIONS(1539),
    [anon_sym_u8_DQUOTE] = ACTIONS(1539),
    [anon_sym_DQUOTE] = ACTIONS(1539),
    [sym_true] = ACTIONS(1537),
    [sym_false] = ACTIONS(1537),
    [anon_sym_NULL] = ACTIONS(1537),
    [anon_sym_nullptr] = ACTIONS(1537),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1537),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1537),
    [anon_sym_hitAttributeEXT] = ACTIONS(1537),
    [anon_sym_callableDataEXT] = ACTIONS(1537),
    [anon_sym_callableDataInEXT] = ACTIONS(1537),
    [anon_sym_shaderRecordEXT] = ACTIONS(1537),
    [anon_sym_rayPayloadNV] = ACTIONS(1537),
    [anon_sym_rayPayloadInNV] = ACTIONS(1537),
    [anon_sym_hitAttributeNV] = ACTIONS(1537),
    [anon_sym_callableDataNV] = ACTIONS(1537),
    [anon_sym_callableDataInNV] = ACTIONS(1537),
    [anon_sym_shaderRecordNV] = ACTIONS(1537),
    [anon_sym_layout] = ACTIONS(1537),
  },
  [320] = {
    [sym_identifier] = ACTIONS(1537),
    [aux_sym_preproc_include_token1] = ACTIONS(1537),
    [aux_sym_preproc_def_token1] = ACTIONS(1537),
    [aux_sym_preproc_if_token1] = ACTIONS(1537),
    [aux_sym_preproc_if_token2] = ACTIONS(1537),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1537),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1537),
    [sym_preproc_directive] = ACTIONS(1537),
    [anon_sym_LPAREN2] = ACTIONS(1539),
    [anon_sym_BANG] = ACTIONS(1539),
    [anon_sym_TILDE] = ACTIONS(1539),
    [anon_sym_DASH] = ACTIONS(1537),
    [anon_sym_PLUS] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(1539),
    [anon_sym_AMP] = ACTIONS(1539),
    [anon_sym_subroutine] = ACTIONS(1537),
    [anon_sym_invariant] = ACTIONS(1537),
    [anon_sym_precise] = ACTIONS(1537),
    [anon_sym_SEMI] = ACTIONS(1539),
    [anon_sym_in] = ACTIONS(1537),
    [anon_sym_out] = ACTIONS(1537),
    [anon_sym_inout] = ACTIONS(1537),
    [anon_sym_uniform] = ACTIONS(1537),
    [anon_sym_shared] = ACTIONS(1537),
    [anon_sym_attribute] = ACTIONS(1537),
    [anon_sym_varying] = ACTIONS(1537),
    [anon_sym_buffer] = ACTIONS(1537),
    [anon_sym_coherent] = ACTIONS(1537),
    [anon_sym_readonly] = ACTIONS(1537),
    [anon_sym_writeonly] = ACTIONS(1537),
    [anon_sym_precision] = ACTIONS(1537),
    [anon_sym_highp] = ACTIONS(1537),
    [anon_sym_mediump] = ACTIONS(1537),
    [anon_sym_lowp] = ACTIONS(1537),
    [anon_sym_centroid] = ACTIONS(1537),
    [anon_sym_sample] = ACTIONS(1537),
    [anon_sym_patch] = ACTIONS(1537),
    [anon_sym_smooth] = ACTIONS(1537),
    [anon_sym_flat] = ACTIONS(1537),
    [anon_sym_noperspective] = ACTIONS(1537),
    [anon_sym___extension__] = ACTIONS(1537),
    [anon_sym_typedef] = ACTIONS(1537),
    [anon_sym_extern] = ACTIONS(1537),
    [anon_sym___attribute__] = ACTIONS(1537),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1539),
    [anon_sym___declspec] = ACTIONS(1537),
    [anon_sym___cdecl] = ACTIONS(1537),
    [anon_sym___clrcall] = ACTIONS(1537),
    [anon_sym___stdcall] = ACTIONS(1537),
    [anon_sym___fastcall] = ACTIONS(1537),
    [anon_sym___thiscall] = ACTIONS(1537),
    [anon_sym___vectorcall] = ACTIONS(1537),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_signed] = ACTIONS(1537),
    [anon_sym_unsigned] = ACTIONS(1537),
    [anon_sym_long] = ACTIONS(1537),
    [anon_sym_short] = ACTIONS(1537),
    [anon_sym_static] = ACTIONS(1537),
    [anon_sym_auto] = ACTIONS(1537),
    [anon_sym_register] = ACTIONS(1537),
    [anon_sym_inline] = ACTIONS(1537),
    [anon_sym___inline] = ACTIONS(1537),
    [anon_sym___inline__] = ACTIONS(1537),
    [anon_sym___forceinline] = ACTIONS(1537),
    [anon_sym_thread_local] = ACTIONS(1537),
    [anon_sym___thread] = ACTIONS(1537),
    [anon_sym_const] = ACTIONS(1537),
    [anon_sym_constexpr] = ACTIONS(1537),
    [anon_sym_volatile] = ACTIONS(1537),
    [anon_sym_restrict] = ACTIONS(1537),
    [anon_sym___restrict__] = ACTIONS(1537),
    [anon_sym__Atomic] = ACTIONS(1537),
    [anon_sym__Noreturn] = ACTIONS(1537),
    [anon_sym_noreturn] = ACTIONS(1537),
    [sym_primitive_type] = ACTIONS(1537),
    [anon_sym_enum] = ACTIONS(1537),
    [anon_sym_struct] = ACTIONS(1537),
    [anon_sym_union] = ACTIONS(1537),
    [anon_sym_if] = ACTIONS(1537),
    [anon_sym_else] = ACTIONS(1537),
    [anon_sym_switch] = ACTIONS(1537),
    [anon_sym_case] = ACTIONS(1537),
    [anon_sym_default] = ACTIONS(1537),
    [anon_sym_while] = ACTIONS(1537),
    [anon_sym_do] = ACTIONS(1537),
    [anon_sym_for] = ACTIONS(1537),
    [anon_sym_return] = ACTIONS(1537),
    [anon_sym_break] = ACTIONS(1537),
    [anon_sym_continue] = ACTIONS(1537),
    [anon_sym_goto] = ACTIONS(1537),
    [anon_sym___try] = ACTIONS(1537),
    [anon_sym___leave] = ACTIONS(1537),
    [anon_sym_DASH_DASH] = ACTIONS(1539),
    [anon_sym_PLUS_PLUS] = ACTIONS(1539),
    [anon_sym_sizeof] = ACTIONS(1537),
    [anon_sym___alignof__] = ACTIONS(1537),
    [anon_sym___alignof] = ACTIONS(1537),
    [anon_sym__alignof] = ACTIONS(1537),
    [anon_sym_alignof] = ACTIONS(1537),
    [anon_sym__Alignof] = ACTIONS(1537),
    [anon_sym_offsetof] = ACTIONS(1537),
    [anon_sym__Generic] = ACTIONS(1537),
    [anon_sym_asm] = ACTIONS(1537),
    [anon_sym___asm__] = ACTIONS(1537),
    [sym_number_literal] = ACTIONS(1539),
    [anon_sym_L_SQUOTE] = ACTIONS(1539),
    [anon_sym_u_SQUOTE] = ACTIONS(1539),
    [anon_sym_U_SQUOTE] = ACTIONS(1539),
    [anon_sym_u8_SQUOTE] = ACTIONS(1539),
    [anon_sym_SQUOTE] = ACTIONS(1539),
    [anon_sym_L_DQUOTE] = ACTIONS(1539),
    [anon_sym_u_DQUOTE] = ACTIONS(1539),
    [anon_sym_U_DQUOTE] = ACTIONS(1539),
    [anon_sym_u8_DQUOTE] = ACTIONS(1539),
    [anon_sym_DQUOTE] = ACTIONS(1539),
    [sym_true] = ACTIONS(1537),
    [sym_false] = ACTIONS(1537),
    [anon_sym_NULL] = ACTIONS(1537),
    [anon_sym_nullptr] = ACTIONS(1537),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1537),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1537),
    [anon_sym_hitAttributeEXT] = ACTIONS(1537),
    [anon_sym_callableDataEXT] = ACTIONS(1537),
    [anon_sym_callableDataInEXT] = ACTIONS(1537),
    [anon_sym_shaderRecordEXT] = ACTIONS(1537),
    [anon_sym_rayPayloadNV] = ACTIONS(1537),
    [anon_sym_rayPayloadInNV] = ACTIONS(1537),
    [anon_sym_hitAttributeNV] = ACTIONS(1537),
    [anon_sym_callableDataNV] = ACTIONS(1537),
    [anon_sym_callableDataInNV] = ACTIONS(1537),
    [anon_sym_shaderRecordNV] = ACTIONS(1537),
    [anon_sym_layout] = ACTIONS(1537),
  },
  [321] = {
    [sym_identifier] = ACTIONS(1533),
    [aux_sym_preproc_include_token1] = ACTIONS(1533),
    [aux_sym_preproc_def_token1] = ACTIONS(1533),
    [aux_sym_preproc_if_token1] = ACTIONS(1533),
    [aux_sym_preproc_if_token2] = ACTIONS(1533),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1533),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1533),
    [sym_preproc_directive] = ACTIONS(1533),
    [anon_sym_LPAREN2] = ACTIONS(1535),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_subroutine] = ACTIONS(1533),
    [anon_sym_invariant] = ACTIONS(1533),
    [anon_sym_precise] = ACTIONS(1533),
    [anon_sym_SEMI] = ACTIONS(1535),
    [anon_sym_in] = ACTIONS(1533),
    [anon_sym_out] = ACTIONS(1533),
    [anon_sym_inout] = ACTIONS(1533),
    [anon_sym_uniform] = ACTIONS(1533),
    [anon_sym_shared] = ACTIONS(1533),
    [anon_sym_attribute] = ACTIONS(1533),
    [anon_sym_varying] = ACTIONS(1533),
    [anon_sym_buffer] = ACTIONS(1533),
    [anon_sym_coherent] = ACTIONS(1533),
    [anon_sym_readonly] = ACTIONS(1533),
    [anon_sym_writeonly] = ACTIONS(1533),
    [anon_sym_precision] = ACTIONS(1533),
    [anon_sym_highp] = ACTIONS(1533),
    [anon_sym_mediump] = ACTIONS(1533),
    [anon_sym_lowp] = ACTIONS(1533),
    [anon_sym_centroid] = ACTIONS(1533),
    [anon_sym_sample] = ACTIONS(1533),
    [anon_sym_patch] = ACTIONS(1533),
    [anon_sym_smooth] = ACTIONS(1533),
    [anon_sym_flat] = ACTIONS(1533),
    [anon_sym_noperspective] = ACTIONS(1533),
    [anon_sym___extension__] = ACTIONS(1533),
    [anon_sym_typedef] = ACTIONS(1533),
    [anon_sym_extern] = ACTIONS(1533),
    [anon_sym___attribute__] = ACTIONS(1533),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1535),
    [anon_sym___declspec] = ACTIONS(1533),
    [anon_sym___cdecl] = ACTIONS(1533),
    [anon_sym___clrcall] = ACTIONS(1533),
    [anon_sym___stdcall] = ACTIONS(1533),
    [anon_sym___fastcall] = ACTIONS(1533),
    [anon_sym___thiscall] = ACTIONS(1533),
    [anon_sym___vectorcall] = ACTIONS(1533),
    [anon_sym_LBRACE] = ACTIONS(1535),
    [anon_sym_signed] = ACTIONS(1533),
    [anon_sym_unsigned] = ACTIONS(1533),
    [anon_sym_long] = ACTIONS(1533),
    [anon_sym_short] = ACTIONS(1533),
    [anon_sym_static] = ACTIONS(1533),
    [anon_sym_auto] = ACTIONS(1533),
    [anon_sym_register] = ACTIONS(1533),
    [anon_sym_inline] = ACTIONS(1533),
    [anon_sym___inline] = ACTIONS(1533),
    [anon_sym___inline__] = ACTIONS(1533),
    [anon_sym___forceinline] = ACTIONS(1533),
    [anon_sym_thread_local] = ACTIONS(1533),
    [anon_sym___thread] = ACTIONS(1533),
    [anon_sym_const] = ACTIONS(1533),
    [anon_sym_constexpr] = ACTIONS(1533),
    [anon_sym_volatile] = ACTIONS(1533),
    [anon_sym_restrict] = ACTIONS(1533),
    [anon_sym___restrict__] = ACTIONS(1533),
    [anon_sym__Atomic] = ACTIONS(1533),
    [anon_sym__Noreturn] = ACTIONS(1533),
    [anon_sym_noreturn] = ACTIONS(1533),
    [sym_primitive_type] = ACTIONS(1533),
    [anon_sym_enum] = ACTIONS(1533),
    [anon_sym_struct] = ACTIONS(1533),
    [anon_sym_union] = ACTIONS(1533),
    [anon_sym_if] = ACTIONS(1533),
    [anon_sym_else] = ACTIONS(1533),
    [anon_sym_switch] = ACTIONS(1533),
    [anon_sym_case] = ACTIONS(1533),
    [anon_sym_default] = ACTIONS(1533),
    [anon_sym_while] = ACTIONS(1533),
    [anon_sym_do] = ACTIONS(1533),
    [anon_sym_for] = ACTIONS(1533),
    [anon_sym_return] = ACTIONS(1533),
    [anon_sym_break] = ACTIONS(1533),
    [anon_sym_continue] = ACTIONS(1533),
    [anon_sym_goto] = ACTIONS(1533),
    [anon_sym___try] = ACTIONS(1533),
    [anon_sym___leave] = ACTIONS(1533),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_sizeof] = ACTIONS(1533),
    [anon_sym___alignof__] = ACTIONS(1533),
    [anon_sym___alignof] = ACTIONS(1533),
    [anon_sym__alignof] = ACTIONS(1533),
    [anon_sym_alignof] = ACTIONS(1533),
    [anon_sym__Alignof] = ACTIONS(1533),
    [anon_sym_offsetof] = ACTIONS(1533),
    [anon_sym__Generic] = ACTIONS(1533),
    [anon_sym_asm] = ACTIONS(1533),
    [anon_sym___asm__] = ACTIONS(1533),
    [sym_number_literal] = ACTIONS(1535),
    [anon_sym_L_SQUOTE] = ACTIONS(1535),
    [anon_sym_u_SQUOTE] = ACTIONS(1535),
    [anon_sym_U_SQUOTE] = ACTIONS(1535),
    [anon_sym_u8_SQUOTE] = ACTIONS(1535),
    [anon_sym_SQUOTE] = ACTIONS(1535),
    [anon_sym_L_DQUOTE] = ACTIONS(1535),
    [anon_sym_u_DQUOTE] = ACTIONS(1535),
    [anon_sym_U_DQUOTE] = ACTIONS(1535),
    [anon_sym_u8_DQUOTE] = ACTIONS(1535),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_true] = ACTIONS(1533),
    [sym_false] = ACTIONS(1533),
    [anon_sym_NULL] = ACTIONS(1533),
    [anon_sym_nullptr] = ACTIONS(1533),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1533),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1533),
    [anon_sym_hitAttributeEXT] = ACTIONS(1533),
    [anon_sym_callableDataEXT] = ACTIONS(1533),
    [anon_sym_callableDataInEXT] = ACTIONS(1533),
    [anon_sym_shaderRecordEXT] = ACTIONS(1533),
    [anon_sym_rayPayloadNV] = ACTIONS(1533),
    [anon_sym_rayPayloadInNV] = ACTIONS(1533),
    [anon_sym_hitAttributeNV] = ACTIONS(1533),
    [anon_sym_callableDataNV] = ACTIONS(1533),
    [anon_sym_callableDataInNV] = ACTIONS(1533),
    [anon_sym_shaderRecordNV] = ACTIONS(1533),
    [anon_sym_layout] = ACTIONS(1533),
  },
  [322] = {
    [sym_identifier] = ACTIONS(1481),
    [aux_sym_preproc_include_token1] = ACTIONS(1481),
    [aux_sym_preproc_def_token1] = ACTIONS(1481),
    [aux_sym_preproc_if_token1] = ACTIONS(1481),
    [aux_sym_preproc_if_token2] = ACTIONS(1481),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1481),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1481),
    [sym_preproc_directive] = ACTIONS(1481),
    [anon_sym_LPAREN2] = ACTIONS(1483),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_DASH] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_STAR] = ACTIONS(1483),
    [anon_sym_AMP] = ACTIONS(1483),
    [anon_sym_subroutine] = ACTIONS(1481),
    [anon_sym_invariant] = ACTIONS(1481),
    [anon_sym_precise] = ACTIONS(1481),
    [anon_sym_SEMI] = ACTIONS(1483),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_out] = ACTIONS(1481),
    [anon_sym_inout] = ACTIONS(1481),
    [anon_sym_uniform] = ACTIONS(1481),
    [anon_sym_shared] = ACTIONS(1481),
    [anon_sym_attribute] = ACTIONS(1481),
    [anon_sym_varying] = ACTIONS(1481),
    [anon_sym_buffer] = ACTIONS(1481),
    [anon_sym_coherent] = ACTIONS(1481),
    [anon_sym_readonly] = ACTIONS(1481),
    [anon_sym_writeonly] = ACTIONS(1481),
    [anon_sym_precision] = ACTIONS(1481),
    [anon_sym_highp] = ACTIONS(1481),
    [anon_sym_mediump] = ACTIONS(1481),
    [anon_sym_lowp] = ACTIONS(1481),
    [anon_sym_centroid] = ACTIONS(1481),
    [anon_sym_sample] = ACTIONS(1481),
    [anon_sym_patch] = ACTIONS(1481),
    [anon_sym_smooth] = ACTIONS(1481),
    [anon_sym_flat] = ACTIONS(1481),
    [anon_sym_noperspective] = ACTIONS(1481),
    [anon_sym___extension__] = ACTIONS(1481),
    [anon_sym_typedef] = ACTIONS(1481),
    [anon_sym_extern] = ACTIONS(1481),
    [anon_sym___attribute__] = ACTIONS(1481),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1483),
    [anon_sym___declspec] = ACTIONS(1481),
    [anon_sym___cdecl] = ACTIONS(1481),
    [anon_sym___clrcall] = ACTIONS(1481),
    [anon_sym___stdcall] = ACTIONS(1481),
    [anon_sym___fastcall] = ACTIONS(1481),
    [anon_sym___thiscall] = ACTIONS(1481),
    [anon_sym___vectorcall] = ACTIONS(1481),
    [anon_sym_LBRACE] = ACTIONS(1483),
    [anon_sym_signed] = ACTIONS(1481),
    [anon_sym_unsigned] = ACTIONS(1481),
    [anon_sym_long] = ACTIONS(1481),
    [anon_sym_short] = ACTIONS(1481),
    [anon_sym_static] = ACTIONS(1481),
    [anon_sym_auto] = ACTIONS(1481),
    [anon_sym_register] = ACTIONS(1481),
    [anon_sym_inline] = ACTIONS(1481),
    [anon_sym___inline] = ACTIONS(1481),
    [anon_sym___inline__] = ACTIONS(1481),
    [anon_sym___forceinline] = ACTIONS(1481),
    [anon_sym_thread_local] = ACTIONS(1481),
    [anon_sym___thread] = ACTIONS(1481),
    [anon_sym_const] = ACTIONS(1481),
    [anon_sym_constexpr] = ACTIONS(1481),
    [anon_sym_volatile] = ACTIONS(1481),
    [anon_sym_restrict] = ACTIONS(1481),
    [anon_sym___restrict__] = ACTIONS(1481),
    [anon_sym__Atomic] = ACTIONS(1481),
    [anon_sym__Noreturn] = ACTIONS(1481),
    [anon_sym_noreturn] = ACTIONS(1481),
    [sym_primitive_type] = ACTIONS(1481),
    [anon_sym_enum] = ACTIONS(1481),
    [anon_sym_struct] = ACTIONS(1481),
    [anon_sym_union] = ACTIONS(1481),
    [anon_sym_if] = ACTIONS(1481),
    [anon_sym_else] = ACTIONS(1481),
    [anon_sym_switch] = ACTIONS(1481),
    [anon_sym_case] = ACTIONS(1481),
    [anon_sym_default] = ACTIONS(1481),
    [anon_sym_while] = ACTIONS(1481),
    [anon_sym_do] = ACTIONS(1481),
    [anon_sym_for] = ACTIONS(1481),
    [anon_sym_return] = ACTIONS(1481),
    [anon_sym_break] = ACTIONS(1481),
    [anon_sym_continue] = ACTIONS(1481),
    [anon_sym_goto] = ACTIONS(1481),
    [anon_sym___try] = ACTIONS(1481),
    [anon_sym___leave] = ACTIONS(1481),
    [anon_sym_DASH_DASH] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1483),
    [anon_sym_sizeof] = ACTIONS(1481),
    [anon_sym___alignof__] = ACTIONS(1481),
    [anon_sym___alignof] = ACTIONS(1481),
    [anon_sym__alignof] = ACTIONS(1481),
    [anon_sym_alignof] = ACTIONS(1481),
    [anon_sym__Alignof] = ACTIONS(1481),
    [anon_sym_offsetof] = ACTIONS(1481),
    [anon_sym__Generic] = ACTIONS(1481),
    [anon_sym_asm] = ACTIONS(1481),
    [anon_sym___asm__] = ACTIONS(1481),
    [sym_number_literal] = ACTIONS(1483),
    [anon_sym_L_SQUOTE] = ACTIONS(1483),
    [anon_sym_u_SQUOTE] = ACTIONS(1483),
    [anon_sym_U_SQUOTE] = ACTIONS(1483),
    [anon_sym_u8_SQUOTE] = ACTIONS(1483),
    [anon_sym_SQUOTE] = ACTIONS(1483),
    [anon_sym_L_DQUOTE] = ACTIONS(1483),
    [anon_sym_u_DQUOTE] = ACTIONS(1483),
    [anon_sym_U_DQUOTE] = ACTIONS(1483),
    [anon_sym_u8_DQUOTE] = ACTIONS(1483),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_true] = ACTIONS(1481),
    [sym_false] = ACTIONS(1481),
    [anon_sym_NULL] = ACTIONS(1481),
    [anon_sym_nullptr] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1481),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1481),
    [anon_sym_hitAttributeEXT] = ACTIONS(1481),
    [anon_sym_callableDataEXT] = ACTIONS(1481),
    [anon_sym_callableDataInEXT] = ACTIONS(1481),
    [anon_sym_shaderRecordEXT] = ACTIONS(1481),
    [anon_sym_rayPayloadNV] = ACTIONS(1481),
    [anon_sym_rayPayloadInNV] = ACTIONS(1481),
    [anon_sym_hitAttributeNV] = ACTIONS(1481),
    [anon_sym_callableDataNV] = ACTIONS(1481),
    [anon_sym_callableDataInNV] = ACTIONS(1481),
    [anon_sym_shaderRecordNV] = ACTIONS(1481),
    [anon_sym_layout] = ACTIONS(1481),
  },
  [323] = {
    [sym_identifier] = ACTIONS(1481),
    [aux_sym_preproc_include_token1] = ACTIONS(1481),
    [aux_sym_preproc_def_token1] = ACTIONS(1481),
    [aux_sym_preproc_if_token1] = ACTIONS(1481),
    [aux_sym_preproc_if_token2] = ACTIONS(1481),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1481),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1481),
    [sym_preproc_directive] = ACTIONS(1481),
    [anon_sym_LPAREN2] = ACTIONS(1483),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_DASH] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_STAR] = ACTIONS(1483),
    [anon_sym_AMP] = ACTIONS(1483),
    [anon_sym_subroutine] = ACTIONS(1481),
    [anon_sym_invariant] = ACTIONS(1481),
    [anon_sym_precise] = ACTIONS(1481),
    [anon_sym_SEMI] = ACTIONS(1483),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_out] = ACTIONS(1481),
    [anon_sym_inout] = ACTIONS(1481),
    [anon_sym_uniform] = ACTIONS(1481),
    [anon_sym_shared] = ACTIONS(1481),
    [anon_sym_attribute] = ACTIONS(1481),
    [anon_sym_varying] = ACTIONS(1481),
    [anon_sym_buffer] = ACTIONS(1481),
    [anon_sym_coherent] = ACTIONS(1481),
    [anon_sym_readonly] = ACTIONS(1481),
    [anon_sym_writeonly] = ACTIONS(1481),
    [anon_sym_precision] = ACTIONS(1481),
    [anon_sym_highp] = ACTIONS(1481),
    [anon_sym_mediump] = ACTIONS(1481),
    [anon_sym_lowp] = ACTIONS(1481),
    [anon_sym_centroid] = ACTIONS(1481),
    [anon_sym_sample] = ACTIONS(1481),
    [anon_sym_patch] = ACTIONS(1481),
    [anon_sym_smooth] = ACTIONS(1481),
    [anon_sym_flat] = ACTIONS(1481),
    [anon_sym_noperspective] = ACTIONS(1481),
    [anon_sym___extension__] = ACTIONS(1481),
    [anon_sym_typedef] = ACTIONS(1481),
    [anon_sym_extern] = ACTIONS(1481),
    [anon_sym___attribute__] = ACTIONS(1481),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1483),
    [anon_sym___declspec] = ACTIONS(1481),
    [anon_sym___cdecl] = ACTIONS(1481),
    [anon_sym___clrcall] = ACTIONS(1481),
    [anon_sym___stdcall] = ACTIONS(1481),
    [anon_sym___fastcall] = ACTIONS(1481),
    [anon_sym___thiscall] = ACTIONS(1481),
    [anon_sym___vectorcall] = ACTIONS(1481),
    [anon_sym_LBRACE] = ACTIONS(1483),
    [anon_sym_signed] = ACTIONS(1481),
    [anon_sym_unsigned] = ACTIONS(1481),
    [anon_sym_long] = ACTIONS(1481),
    [anon_sym_short] = ACTIONS(1481),
    [anon_sym_static] = ACTIONS(1481),
    [anon_sym_auto] = ACTIONS(1481),
    [anon_sym_register] = ACTIONS(1481),
    [anon_sym_inline] = ACTIONS(1481),
    [anon_sym___inline] = ACTIONS(1481),
    [anon_sym___inline__] = ACTIONS(1481),
    [anon_sym___forceinline] = ACTIONS(1481),
    [anon_sym_thread_local] = ACTIONS(1481),
    [anon_sym___thread] = ACTIONS(1481),
    [anon_sym_const] = ACTIONS(1481),
    [anon_sym_constexpr] = ACTIONS(1481),
    [anon_sym_volatile] = ACTIONS(1481),
    [anon_sym_restrict] = ACTIONS(1481),
    [anon_sym___restrict__] = ACTIONS(1481),
    [anon_sym__Atomic] = ACTIONS(1481),
    [anon_sym__Noreturn] = ACTIONS(1481),
    [anon_sym_noreturn] = ACTIONS(1481),
    [sym_primitive_type] = ACTIONS(1481),
    [anon_sym_enum] = ACTIONS(1481),
    [anon_sym_struct] = ACTIONS(1481),
    [anon_sym_union] = ACTIONS(1481),
    [anon_sym_if] = ACTIONS(1481),
    [anon_sym_else] = ACTIONS(1481),
    [anon_sym_switch] = ACTIONS(1481),
    [anon_sym_case] = ACTIONS(1481),
    [anon_sym_default] = ACTIONS(1481),
    [anon_sym_while] = ACTIONS(1481),
    [anon_sym_do] = ACTIONS(1481),
    [anon_sym_for] = ACTIONS(1481),
    [anon_sym_return] = ACTIONS(1481),
    [anon_sym_break] = ACTIONS(1481),
    [anon_sym_continue] = ACTIONS(1481),
    [anon_sym_goto] = ACTIONS(1481),
    [anon_sym___try] = ACTIONS(1481),
    [anon_sym___leave] = ACTIONS(1481),
    [anon_sym_DASH_DASH] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1483),
    [anon_sym_sizeof] = ACTIONS(1481),
    [anon_sym___alignof__] = ACTIONS(1481),
    [anon_sym___alignof] = ACTIONS(1481),
    [anon_sym__alignof] = ACTIONS(1481),
    [anon_sym_alignof] = ACTIONS(1481),
    [anon_sym__Alignof] = ACTIONS(1481),
    [anon_sym_offsetof] = ACTIONS(1481),
    [anon_sym__Generic] = ACTIONS(1481),
    [anon_sym_asm] = ACTIONS(1481),
    [anon_sym___asm__] = ACTIONS(1481),
    [sym_number_literal] = ACTIONS(1483),
    [anon_sym_L_SQUOTE] = ACTIONS(1483),
    [anon_sym_u_SQUOTE] = ACTIONS(1483),
    [anon_sym_U_SQUOTE] = ACTIONS(1483),
    [anon_sym_u8_SQUOTE] = ACTIONS(1483),
    [anon_sym_SQUOTE] = ACTIONS(1483),
    [anon_sym_L_DQUOTE] = ACTIONS(1483),
    [anon_sym_u_DQUOTE] = ACTIONS(1483),
    [anon_sym_U_DQUOTE] = ACTIONS(1483),
    [anon_sym_u8_DQUOTE] = ACTIONS(1483),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_true] = ACTIONS(1481),
    [sym_false] = ACTIONS(1481),
    [anon_sym_NULL] = ACTIONS(1481),
    [anon_sym_nullptr] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1481),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1481),
    [anon_sym_hitAttributeEXT] = ACTIONS(1481),
    [anon_sym_callableDataEXT] = ACTIONS(1481),
    [anon_sym_callableDataInEXT] = ACTIONS(1481),
    [anon_sym_shaderRecordEXT] = ACTIONS(1481),
    [anon_sym_rayPayloadNV] = ACTIONS(1481),
    [anon_sym_rayPayloadInNV] = ACTIONS(1481),
    [anon_sym_hitAttributeNV] = ACTIONS(1481),
    [anon_sym_callableDataNV] = ACTIONS(1481),
    [anon_sym_callableDataInNV] = ACTIONS(1481),
    [anon_sym_shaderRecordNV] = ACTIONS(1481),
    [anon_sym_layout] = ACTIONS(1481),
  },
  [324] = {
    [sym_identifier] = ACTIONS(1477),
    [aux_sym_preproc_include_token1] = ACTIONS(1477),
    [aux_sym_preproc_def_token1] = ACTIONS(1477),
    [aux_sym_preproc_if_token1] = ACTIONS(1477),
    [aux_sym_preproc_if_token2] = ACTIONS(1477),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1477),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1477),
    [sym_preproc_directive] = ACTIONS(1477),
    [anon_sym_LPAREN2] = ACTIONS(1479),
    [anon_sym_BANG] = ACTIONS(1479),
    [anon_sym_TILDE] = ACTIONS(1479),
    [anon_sym_DASH] = ACTIONS(1477),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_AMP] = ACTIONS(1479),
    [anon_sym_subroutine] = ACTIONS(1477),
    [anon_sym_invariant] = ACTIONS(1477),
    [anon_sym_precise] = ACTIONS(1477),
    [anon_sym_SEMI] = ACTIONS(1479),
    [anon_sym_in] = ACTIONS(1477),
    [anon_sym_out] = ACTIONS(1477),
    [anon_sym_inout] = ACTIONS(1477),
    [anon_sym_uniform] = ACTIONS(1477),
    [anon_sym_shared] = ACTIONS(1477),
    [anon_sym_attribute] = ACTIONS(1477),
    [anon_sym_varying] = ACTIONS(1477),
    [anon_sym_buffer] = ACTIONS(1477),
    [anon_sym_coherent] = ACTIONS(1477),
    [anon_sym_readonly] = ACTIONS(1477),
    [anon_sym_writeonly] = ACTIONS(1477),
    [anon_sym_precision] = ACTIONS(1477),
    [anon_sym_highp] = ACTIONS(1477),
    [anon_sym_mediump] = ACTIONS(1477),
    [anon_sym_lowp] = ACTIONS(1477),
    [anon_sym_centroid] = ACTIONS(1477),
    [anon_sym_sample] = ACTIONS(1477),
    [anon_sym_patch] = ACTIONS(1477),
    [anon_sym_smooth] = ACTIONS(1477),
    [anon_sym_flat] = ACTIONS(1477),
    [anon_sym_noperspective] = ACTIONS(1477),
    [anon_sym___extension__] = ACTIONS(1477),
    [anon_sym_typedef] = ACTIONS(1477),
    [anon_sym_extern] = ACTIONS(1477),
    [anon_sym___attribute__] = ACTIONS(1477),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1479),
    [anon_sym___declspec] = ACTIONS(1477),
    [anon_sym___cdecl] = ACTIONS(1477),
    [anon_sym___clrcall] = ACTIONS(1477),
    [anon_sym___stdcall] = ACTIONS(1477),
    [anon_sym___fastcall] = ACTIONS(1477),
    [anon_sym___thiscall] = ACTIONS(1477),
    [anon_sym___vectorcall] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(1479),
    [anon_sym_signed] = ACTIONS(1477),
    [anon_sym_unsigned] = ACTIONS(1477),
    [anon_sym_long] = ACTIONS(1477),
    [anon_sym_short] = ACTIONS(1477),
    [anon_sym_static] = ACTIONS(1477),
    [anon_sym_auto] = ACTIONS(1477),
    [anon_sym_register] = ACTIONS(1477),
    [anon_sym_inline] = ACTIONS(1477),
    [anon_sym___inline] = ACTIONS(1477),
    [anon_sym___inline__] = ACTIONS(1477),
    [anon_sym___forceinline] = ACTIONS(1477),
    [anon_sym_thread_local] = ACTIONS(1477),
    [anon_sym___thread] = ACTIONS(1477),
    [anon_sym_const] = ACTIONS(1477),
    [anon_sym_constexpr] = ACTIONS(1477),
    [anon_sym_volatile] = ACTIONS(1477),
    [anon_sym_restrict] = ACTIONS(1477),
    [anon_sym___restrict__] = ACTIONS(1477),
    [anon_sym__Atomic] = ACTIONS(1477),
    [anon_sym__Noreturn] = ACTIONS(1477),
    [anon_sym_noreturn] = ACTIONS(1477),
    [sym_primitive_type] = ACTIONS(1477),
    [anon_sym_enum] = ACTIONS(1477),
    [anon_sym_struct] = ACTIONS(1477),
    [anon_sym_union] = ACTIONS(1477),
    [anon_sym_if] = ACTIONS(1477),
    [anon_sym_else] = ACTIONS(1477),
    [anon_sym_switch] = ACTIONS(1477),
    [anon_sym_case] = ACTIONS(1477),
    [anon_sym_default] = ACTIONS(1477),
    [anon_sym_while] = ACTIONS(1477),
    [anon_sym_do] = ACTIONS(1477),
    [anon_sym_for] = ACTIONS(1477),
    [anon_sym_return] = ACTIONS(1477),
    [anon_sym_break] = ACTIONS(1477),
    [anon_sym_continue] = ACTIONS(1477),
    [anon_sym_goto] = ACTIONS(1477),
    [anon_sym___try] = ACTIONS(1477),
    [anon_sym___leave] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1479),
    [anon_sym_PLUS_PLUS] = ACTIONS(1479),
    [anon_sym_sizeof] = ACTIONS(1477),
    [anon_sym___alignof__] = ACTIONS(1477),
    [anon_sym___alignof] = ACTIONS(1477),
    [anon_sym__alignof] = ACTIONS(1477),
    [anon_sym_alignof] = ACTIONS(1477),
    [anon_sym__Alignof] = ACTIONS(1477),
    [anon_sym_offsetof] = ACTIONS(1477),
    [anon_sym__Generic] = ACTIONS(1477),
    [anon_sym_asm] = ACTIONS(1477),
    [anon_sym___asm__] = ACTIONS(1477),
    [sym_number_literal] = ACTIONS(1479),
    [anon_sym_L_SQUOTE] = ACTIONS(1479),
    [anon_sym_u_SQUOTE] = ACTIONS(1479),
    [anon_sym_U_SQUOTE] = ACTIONS(1479),
    [anon_sym_u8_SQUOTE] = ACTIONS(1479),
    [anon_sym_SQUOTE] = ACTIONS(1479),
    [anon_sym_L_DQUOTE] = ACTIONS(1479),
    [anon_sym_u_DQUOTE] = ACTIONS(1479),
    [anon_sym_U_DQUOTE] = ACTIONS(1479),
    [anon_sym_u8_DQUOTE] = ACTIONS(1479),
    [anon_sym_DQUOTE] = ACTIONS(1479),
    [sym_true] = ACTIONS(1477),
    [sym_false] = ACTIONS(1477),
    [anon_sym_NULL] = ACTIONS(1477),
    [anon_sym_nullptr] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1477),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1477),
    [anon_sym_hitAttributeEXT] = ACTIONS(1477),
    [anon_sym_callableDataEXT] = ACTIONS(1477),
    [anon_sym_callableDataInEXT] = ACTIONS(1477),
    [anon_sym_shaderRecordEXT] = ACTIONS(1477),
    [anon_sym_rayPayloadNV] = ACTIONS(1477),
    [anon_sym_rayPayloadInNV] = ACTIONS(1477),
    [anon_sym_hitAttributeNV] = ACTIONS(1477),
    [anon_sym_callableDataNV] = ACTIONS(1477),
    [anon_sym_callableDataInNV] = ACTIONS(1477),
    [anon_sym_shaderRecordNV] = ACTIONS(1477),
    [anon_sym_layout] = ACTIONS(1477),
  },
  [325] = {
    [sym_identifier] = ACTIONS(1477),
    [aux_sym_preproc_include_token1] = ACTIONS(1477),
    [aux_sym_preproc_def_token1] = ACTIONS(1477),
    [aux_sym_preproc_if_token1] = ACTIONS(1477),
    [aux_sym_preproc_if_token2] = ACTIONS(1477),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1477),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1477),
    [sym_preproc_directive] = ACTIONS(1477),
    [anon_sym_LPAREN2] = ACTIONS(1479),
    [anon_sym_BANG] = ACTIONS(1479),
    [anon_sym_TILDE] = ACTIONS(1479),
    [anon_sym_DASH] = ACTIONS(1477),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_AMP] = ACTIONS(1479),
    [anon_sym_subroutine] = ACTIONS(1477),
    [anon_sym_invariant] = ACTIONS(1477),
    [anon_sym_precise] = ACTIONS(1477),
    [anon_sym_SEMI] = ACTIONS(1479),
    [anon_sym_in] = ACTIONS(1477),
    [anon_sym_out] = ACTIONS(1477),
    [anon_sym_inout] = ACTIONS(1477),
    [anon_sym_uniform] = ACTIONS(1477),
    [anon_sym_shared] = ACTIONS(1477),
    [anon_sym_attribute] = ACTIONS(1477),
    [anon_sym_varying] = ACTIONS(1477),
    [anon_sym_buffer] = ACTIONS(1477),
    [anon_sym_coherent] = ACTIONS(1477),
    [anon_sym_readonly] = ACTIONS(1477),
    [anon_sym_writeonly] = ACTIONS(1477),
    [anon_sym_precision] = ACTIONS(1477),
    [anon_sym_highp] = ACTIONS(1477),
    [anon_sym_mediump] = ACTIONS(1477),
    [anon_sym_lowp] = ACTIONS(1477),
    [anon_sym_centroid] = ACTIONS(1477),
    [anon_sym_sample] = ACTIONS(1477),
    [anon_sym_patch] = ACTIONS(1477),
    [anon_sym_smooth] = ACTIONS(1477),
    [anon_sym_flat] = ACTIONS(1477),
    [anon_sym_noperspective] = ACTIONS(1477),
    [anon_sym___extension__] = ACTIONS(1477),
    [anon_sym_typedef] = ACTIONS(1477),
    [anon_sym_extern] = ACTIONS(1477),
    [anon_sym___attribute__] = ACTIONS(1477),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1479),
    [anon_sym___declspec] = ACTIONS(1477),
    [anon_sym___cdecl] = ACTIONS(1477),
    [anon_sym___clrcall] = ACTIONS(1477),
    [anon_sym___stdcall] = ACTIONS(1477),
    [anon_sym___fastcall] = ACTIONS(1477),
    [anon_sym___thiscall] = ACTIONS(1477),
    [anon_sym___vectorcall] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(1479),
    [anon_sym_signed] = ACTIONS(1477),
    [anon_sym_unsigned] = ACTIONS(1477),
    [anon_sym_long] = ACTIONS(1477),
    [anon_sym_short] = ACTIONS(1477),
    [anon_sym_static] = ACTIONS(1477),
    [anon_sym_auto] = ACTIONS(1477),
    [anon_sym_register] = ACTIONS(1477),
    [anon_sym_inline] = ACTIONS(1477),
    [anon_sym___inline] = ACTIONS(1477),
    [anon_sym___inline__] = ACTIONS(1477),
    [anon_sym___forceinline] = ACTIONS(1477),
    [anon_sym_thread_local] = ACTIONS(1477),
    [anon_sym___thread] = ACTIONS(1477),
    [anon_sym_const] = ACTIONS(1477),
    [anon_sym_constexpr] = ACTIONS(1477),
    [anon_sym_volatile] = ACTIONS(1477),
    [anon_sym_restrict] = ACTIONS(1477),
    [anon_sym___restrict__] = ACTIONS(1477),
    [anon_sym__Atomic] = ACTIONS(1477),
    [anon_sym__Noreturn] = ACTIONS(1477),
    [anon_sym_noreturn] = ACTIONS(1477),
    [sym_primitive_type] = ACTIONS(1477),
    [anon_sym_enum] = ACTIONS(1477),
    [anon_sym_struct] = ACTIONS(1477),
    [anon_sym_union] = ACTIONS(1477),
    [anon_sym_if] = ACTIONS(1477),
    [anon_sym_else] = ACTIONS(1477),
    [anon_sym_switch] = ACTIONS(1477),
    [anon_sym_case] = ACTIONS(1477),
    [anon_sym_default] = ACTIONS(1477),
    [anon_sym_while] = ACTIONS(1477),
    [anon_sym_do] = ACTIONS(1477),
    [anon_sym_for] = ACTIONS(1477),
    [anon_sym_return] = ACTIONS(1477),
    [anon_sym_break] = ACTIONS(1477),
    [anon_sym_continue] = ACTIONS(1477),
    [anon_sym_goto] = ACTIONS(1477),
    [anon_sym___try] = ACTIONS(1477),
    [anon_sym___leave] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1479),
    [anon_sym_PLUS_PLUS] = ACTIONS(1479),
    [anon_sym_sizeof] = ACTIONS(1477),
    [anon_sym___alignof__] = ACTIONS(1477),
    [anon_sym___alignof] = ACTIONS(1477),
    [anon_sym__alignof] = ACTIONS(1477),
    [anon_sym_alignof] = ACTIONS(1477),
    [anon_sym__Alignof] = ACTIONS(1477),
    [anon_sym_offsetof] = ACTIONS(1477),
    [anon_sym__Generic] = ACTIONS(1477),
    [anon_sym_asm] = ACTIONS(1477),
    [anon_sym___asm__] = ACTIONS(1477),
    [sym_number_literal] = ACTIONS(1479),
    [anon_sym_L_SQUOTE] = ACTIONS(1479),
    [anon_sym_u_SQUOTE] = ACTIONS(1479),
    [anon_sym_U_SQUOTE] = ACTIONS(1479),
    [anon_sym_u8_SQUOTE] = ACTIONS(1479),
    [anon_sym_SQUOTE] = ACTIONS(1479),
    [anon_sym_L_DQUOTE] = ACTIONS(1479),
    [anon_sym_u_DQUOTE] = ACTIONS(1479),
    [anon_sym_U_DQUOTE] = ACTIONS(1479),
    [anon_sym_u8_DQUOTE] = ACTIONS(1479),
    [anon_sym_DQUOTE] = ACTIONS(1479),
    [sym_true] = ACTIONS(1477),
    [sym_false] = ACTIONS(1477),
    [anon_sym_NULL] = ACTIONS(1477),
    [anon_sym_nullptr] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1477),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1477),
    [anon_sym_hitAttributeEXT] = ACTIONS(1477),
    [anon_sym_callableDataEXT] = ACTIONS(1477),
    [anon_sym_callableDataInEXT] = ACTIONS(1477),
    [anon_sym_shaderRecordEXT] = ACTIONS(1477),
    [anon_sym_rayPayloadNV] = ACTIONS(1477),
    [anon_sym_rayPayloadInNV] = ACTIONS(1477),
    [anon_sym_hitAttributeNV] = ACTIONS(1477),
    [anon_sym_callableDataNV] = ACTIONS(1477),
    [anon_sym_callableDataInNV] = ACTIONS(1477),
    [anon_sym_shaderRecordNV] = ACTIONS(1477),
    [anon_sym_layout] = ACTIONS(1477),
  },
  [326] = {
    [sym_identifier] = ACTIONS(1469),
    [aux_sym_preproc_include_token1] = ACTIONS(1469),
    [aux_sym_preproc_def_token1] = ACTIONS(1469),
    [aux_sym_preproc_if_token1] = ACTIONS(1469),
    [aux_sym_preproc_if_token2] = ACTIONS(1469),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1469),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1469),
    [sym_preproc_directive] = ACTIONS(1469),
    [anon_sym_LPAREN2] = ACTIONS(1471),
    [anon_sym_BANG] = ACTIONS(1471),
    [anon_sym_TILDE] = ACTIONS(1471),
    [anon_sym_DASH] = ACTIONS(1469),
    [anon_sym_PLUS] = ACTIONS(1469),
    [anon_sym_STAR] = ACTIONS(1471),
    [anon_sym_AMP] = ACTIONS(1471),
    [anon_sym_subroutine] = ACTIONS(1469),
    [anon_sym_invariant] = ACTIONS(1469),
    [anon_sym_precise] = ACTIONS(1469),
    [anon_sym_SEMI] = ACTIONS(1471),
    [anon_sym_in] = ACTIONS(1469),
    [anon_sym_out] = ACTIONS(1469),
    [anon_sym_inout] = ACTIONS(1469),
    [anon_sym_uniform] = ACTIONS(1469),
    [anon_sym_shared] = ACTIONS(1469),
    [anon_sym_attribute] = ACTIONS(1469),
    [anon_sym_varying] = ACTIONS(1469),
    [anon_sym_buffer] = ACTIONS(1469),
    [anon_sym_coherent] = ACTIONS(1469),
    [anon_sym_readonly] = ACTIONS(1469),
    [anon_sym_writeonly] = ACTIONS(1469),
    [anon_sym_precision] = ACTIONS(1469),
    [anon_sym_highp] = ACTIONS(1469),
    [anon_sym_mediump] = ACTIONS(1469),
    [anon_sym_lowp] = ACTIONS(1469),
    [anon_sym_centroid] = ACTIONS(1469),
    [anon_sym_sample] = ACTIONS(1469),
    [anon_sym_patch] = ACTIONS(1469),
    [anon_sym_smooth] = ACTIONS(1469),
    [anon_sym_flat] = ACTIONS(1469),
    [anon_sym_noperspective] = ACTIONS(1469),
    [anon_sym___extension__] = ACTIONS(1469),
    [anon_sym_typedef] = ACTIONS(1469),
    [anon_sym_extern] = ACTIONS(1469),
    [anon_sym___attribute__] = ACTIONS(1469),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1471),
    [anon_sym___declspec] = ACTIONS(1469),
    [anon_sym___cdecl] = ACTIONS(1469),
    [anon_sym___clrcall] = ACTIONS(1469),
    [anon_sym___stdcall] = ACTIONS(1469),
    [anon_sym___fastcall] = ACTIONS(1469),
    [anon_sym___thiscall] = ACTIONS(1469),
    [anon_sym___vectorcall] = ACTIONS(1469),
    [anon_sym_LBRACE] = ACTIONS(1471),
    [anon_sym_signed] = ACTIONS(1469),
    [anon_sym_unsigned] = ACTIONS(1469),
    [anon_sym_long] = ACTIONS(1469),
    [anon_sym_short] = ACTIONS(1469),
    [anon_sym_static] = ACTIONS(1469),
    [anon_sym_auto] = ACTIONS(1469),
    [anon_sym_register] = ACTIONS(1469),
    [anon_sym_inline] = ACTIONS(1469),
    [anon_sym___inline] = ACTIONS(1469),
    [anon_sym___inline__] = ACTIONS(1469),
    [anon_sym___forceinline] = ACTIONS(1469),
    [anon_sym_thread_local] = ACTIONS(1469),
    [anon_sym___thread] = ACTIONS(1469),
    [anon_sym_const] = ACTIONS(1469),
    [anon_sym_constexpr] = ACTIONS(1469),
    [anon_sym_volatile] = ACTIONS(1469),
    [anon_sym_restrict] = ACTIONS(1469),
    [anon_sym___restrict__] = ACTIONS(1469),
    [anon_sym__Atomic] = ACTIONS(1469),
    [anon_sym__Noreturn] = ACTIONS(1469),
    [anon_sym_noreturn] = ACTIONS(1469),
    [sym_primitive_type] = ACTIONS(1469),
    [anon_sym_enum] = ACTIONS(1469),
    [anon_sym_struct] = ACTIONS(1469),
    [anon_sym_union] = ACTIONS(1469),
    [anon_sym_if] = ACTIONS(1469),
    [anon_sym_else] = ACTIONS(1469),
    [anon_sym_switch] = ACTIONS(1469),
    [anon_sym_case] = ACTIONS(1469),
    [anon_sym_default] = ACTIONS(1469),
    [anon_sym_while] = ACTIONS(1469),
    [anon_sym_do] = ACTIONS(1469),
    [anon_sym_for] = ACTIONS(1469),
    [anon_sym_return] = ACTIONS(1469),
    [anon_sym_break] = ACTIONS(1469),
    [anon_sym_continue] = ACTIONS(1469),
    [anon_sym_goto] = ACTIONS(1469),
    [anon_sym___try] = ACTIONS(1469),
    [anon_sym___leave] = ACTIONS(1469),
    [anon_sym_DASH_DASH] = ACTIONS(1471),
    [anon_sym_PLUS_PLUS] = ACTIONS(1471),
    [anon_sym_sizeof] = ACTIONS(1469),
    [anon_sym___alignof__] = ACTIONS(1469),
    [anon_sym___alignof] = ACTIONS(1469),
    [anon_sym__alignof] = ACTIONS(1469),
    [anon_sym_alignof] = ACTIONS(1469),
    [anon_sym__Alignof] = ACTIONS(1469),
    [anon_sym_offsetof] = ACTIONS(1469),
    [anon_sym__Generic] = ACTIONS(1469),
    [anon_sym_asm] = ACTIONS(1469),
    [anon_sym___asm__] = ACTIONS(1469),
    [sym_number_literal] = ACTIONS(1471),
    [anon_sym_L_SQUOTE] = ACTIONS(1471),
    [anon_sym_u_SQUOTE] = ACTIONS(1471),
    [anon_sym_U_SQUOTE] = ACTIONS(1471),
    [anon_sym_u8_SQUOTE] = ACTIONS(1471),
    [anon_sym_SQUOTE] = ACTIONS(1471),
    [anon_sym_L_DQUOTE] = ACTIONS(1471),
    [anon_sym_u_DQUOTE] = ACTIONS(1471),
    [anon_sym_U_DQUOTE] = ACTIONS(1471),
    [anon_sym_u8_DQUOTE] = ACTIONS(1471),
    [anon_sym_DQUOTE] = ACTIONS(1471),
    [sym_true] = ACTIONS(1469),
    [sym_false] = ACTIONS(1469),
    [anon_sym_NULL] = ACTIONS(1469),
    [anon_sym_nullptr] = ACTIONS(1469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1469),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1469),
    [anon_sym_hitAttributeEXT] = ACTIONS(1469),
    [anon_sym_callableDataEXT] = ACTIONS(1469),
    [anon_sym_callableDataInEXT] = ACTIONS(1469),
    [anon_sym_shaderRecordEXT] = ACTIONS(1469),
    [anon_sym_rayPayloadNV] = ACTIONS(1469),
    [anon_sym_rayPayloadInNV] = ACTIONS(1469),
    [anon_sym_hitAttributeNV] = ACTIONS(1469),
    [anon_sym_callableDataNV] = ACTIONS(1469),
    [anon_sym_callableDataInNV] = ACTIONS(1469),
    [anon_sym_shaderRecordNV] = ACTIONS(1469),
    [anon_sym_layout] = ACTIONS(1469),
  },
  [327] = {
    [sym_identifier] = ACTIONS(1469),
    [aux_sym_preproc_include_token1] = ACTIONS(1469),
    [aux_sym_preproc_def_token1] = ACTIONS(1469),
    [aux_sym_preproc_if_token1] = ACTIONS(1469),
    [aux_sym_preproc_if_token2] = ACTIONS(1469),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1469),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1469),
    [sym_preproc_directive] = ACTIONS(1469),
    [anon_sym_LPAREN2] = ACTIONS(1471),
    [anon_sym_BANG] = ACTIONS(1471),
    [anon_sym_TILDE] = ACTIONS(1471),
    [anon_sym_DASH] = ACTIONS(1469),
    [anon_sym_PLUS] = ACTIONS(1469),
    [anon_sym_STAR] = ACTIONS(1471),
    [anon_sym_AMP] = ACTIONS(1471),
    [anon_sym_subroutine] = ACTIONS(1469),
    [anon_sym_invariant] = ACTIONS(1469),
    [anon_sym_precise] = ACTIONS(1469),
    [anon_sym_SEMI] = ACTIONS(1471),
    [anon_sym_in] = ACTIONS(1469),
    [anon_sym_out] = ACTIONS(1469),
    [anon_sym_inout] = ACTIONS(1469),
    [anon_sym_uniform] = ACTIONS(1469),
    [anon_sym_shared] = ACTIONS(1469),
    [anon_sym_attribute] = ACTIONS(1469),
    [anon_sym_varying] = ACTIONS(1469),
    [anon_sym_buffer] = ACTIONS(1469),
    [anon_sym_coherent] = ACTIONS(1469),
    [anon_sym_readonly] = ACTIONS(1469),
    [anon_sym_writeonly] = ACTIONS(1469),
    [anon_sym_precision] = ACTIONS(1469),
    [anon_sym_highp] = ACTIONS(1469),
    [anon_sym_mediump] = ACTIONS(1469),
    [anon_sym_lowp] = ACTIONS(1469),
    [anon_sym_centroid] = ACTIONS(1469),
    [anon_sym_sample] = ACTIONS(1469),
    [anon_sym_patch] = ACTIONS(1469),
    [anon_sym_smooth] = ACTIONS(1469),
    [anon_sym_flat] = ACTIONS(1469),
    [anon_sym_noperspective] = ACTIONS(1469),
    [anon_sym___extension__] = ACTIONS(1469),
    [anon_sym_typedef] = ACTIONS(1469),
    [anon_sym_extern] = ACTIONS(1469),
    [anon_sym___attribute__] = ACTIONS(1469),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1471),
    [anon_sym___declspec] = ACTIONS(1469),
    [anon_sym___cdecl] = ACTIONS(1469),
    [anon_sym___clrcall] = ACTIONS(1469),
    [anon_sym___stdcall] = ACTIONS(1469),
    [anon_sym___fastcall] = ACTIONS(1469),
    [anon_sym___thiscall] = ACTIONS(1469),
    [anon_sym___vectorcall] = ACTIONS(1469),
    [anon_sym_LBRACE] = ACTIONS(1471),
    [anon_sym_signed] = ACTIONS(1469),
    [anon_sym_unsigned] = ACTIONS(1469),
    [anon_sym_long] = ACTIONS(1469),
    [anon_sym_short] = ACTIONS(1469),
    [anon_sym_static] = ACTIONS(1469),
    [anon_sym_auto] = ACTIONS(1469),
    [anon_sym_register] = ACTIONS(1469),
    [anon_sym_inline] = ACTIONS(1469),
    [anon_sym___inline] = ACTIONS(1469),
    [anon_sym___inline__] = ACTIONS(1469),
    [anon_sym___forceinline] = ACTIONS(1469),
    [anon_sym_thread_local] = ACTIONS(1469),
    [anon_sym___thread] = ACTIONS(1469),
    [anon_sym_const] = ACTIONS(1469),
    [anon_sym_constexpr] = ACTIONS(1469),
    [anon_sym_volatile] = ACTIONS(1469),
    [anon_sym_restrict] = ACTIONS(1469),
    [anon_sym___restrict__] = ACTIONS(1469),
    [anon_sym__Atomic] = ACTIONS(1469),
    [anon_sym__Noreturn] = ACTIONS(1469),
    [anon_sym_noreturn] = ACTIONS(1469),
    [sym_primitive_type] = ACTIONS(1469),
    [anon_sym_enum] = ACTIONS(1469),
    [anon_sym_struct] = ACTIONS(1469),
    [anon_sym_union] = ACTIONS(1469),
    [anon_sym_if] = ACTIONS(1469),
    [anon_sym_else] = ACTIONS(1469),
    [anon_sym_switch] = ACTIONS(1469),
    [anon_sym_case] = ACTIONS(1469),
    [anon_sym_default] = ACTIONS(1469),
    [anon_sym_while] = ACTIONS(1469),
    [anon_sym_do] = ACTIONS(1469),
    [anon_sym_for] = ACTIONS(1469),
    [anon_sym_return] = ACTIONS(1469),
    [anon_sym_break] = ACTIONS(1469),
    [anon_sym_continue] = ACTIONS(1469),
    [anon_sym_goto] = ACTIONS(1469),
    [anon_sym___try] = ACTIONS(1469),
    [anon_sym___leave] = ACTIONS(1469),
    [anon_sym_DASH_DASH] = ACTIONS(1471),
    [anon_sym_PLUS_PLUS] = ACTIONS(1471),
    [anon_sym_sizeof] = ACTIONS(1469),
    [anon_sym___alignof__] = ACTIONS(1469),
    [anon_sym___alignof] = ACTIONS(1469),
    [anon_sym__alignof] = ACTIONS(1469),
    [anon_sym_alignof] = ACTIONS(1469),
    [anon_sym__Alignof] = ACTIONS(1469),
    [anon_sym_offsetof] = ACTIONS(1469),
    [anon_sym__Generic] = ACTIONS(1469),
    [anon_sym_asm] = ACTIONS(1469),
    [anon_sym___asm__] = ACTIONS(1469),
    [sym_number_literal] = ACTIONS(1471),
    [anon_sym_L_SQUOTE] = ACTIONS(1471),
    [anon_sym_u_SQUOTE] = ACTIONS(1471),
    [anon_sym_U_SQUOTE] = ACTIONS(1471),
    [anon_sym_u8_SQUOTE] = ACTIONS(1471),
    [anon_sym_SQUOTE] = ACTIONS(1471),
    [anon_sym_L_DQUOTE] = ACTIONS(1471),
    [anon_sym_u_DQUOTE] = ACTIONS(1471),
    [anon_sym_U_DQUOTE] = ACTIONS(1471),
    [anon_sym_u8_DQUOTE] = ACTIONS(1471),
    [anon_sym_DQUOTE] = ACTIONS(1471),
    [sym_true] = ACTIONS(1469),
    [sym_false] = ACTIONS(1469),
    [anon_sym_NULL] = ACTIONS(1469),
    [anon_sym_nullptr] = ACTIONS(1469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1469),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1469),
    [anon_sym_hitAttributeEXT] = ACTIONS(1469),
    [anon_sym_callableDataEXT] = ACTIONS(1469),
    [anon_sym_callableDataInEXT] = ACTIONS(1469),
    [anon_sym_shaderRecordEXT] = ACTIONS(1469),
    [anon_sym_rayPayloadNV] = ACTIONS(1469),
    [anon_sym_rayPayloadInNV] = ACTIONS(1469),
    [anon_sym_hitAttributeNV] = ACTIONS(1469),
    [anon_sym_callableDataNV] = ACTIONS(1469),
    [anon_sym_callableDataInNV] = ACTIONS(1469),
    [anon_sym_shaderRecordNV] = ACTIONS(1469),
    [anon_sym_layout] = ACTIONS(1469),
  },
  [328] = {
    [sym_identifier] = ACTIONS(1465),
    [aux_sym_preproc_include_token1] = ACTIONS(1465),
    [aux_sym_preproc_def_token1] = ACTIONS(1465),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_if_token2] = ACTIONS(1465),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1465),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1465),
    [sym_preproc_directive] = ACTIONS(1465),
    [anon_sym_LPAREN2] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1467),
    [anon_sym_TILDE] = ACTIONS(1467),
    [anon_sym_DASH] = ACTIONS(1465),
    [anon_sym_PLUS] = ACTIONS(1465),
    [anon_sym_STAR] = ACTIONS(1467),
    [anon_sym_AMP] = ACTIONS(1467),
    [anon_sym_subroutine] = ACTIONS(1465),
    [anon_sym_invariant] = ACTIONS(1465),
    [anon_sym_precise] = ACTIONS(1465),
    [anon_sym_SEMI] = ACTIONS(1467),
    [anon_sym_in] = ACTIONS(1465),
    [anon_sym_out] = ACTIONS(1465),
    [anon_sym_inout] = ACTIONS(1465),
    [anon_sym_uniform] = ACTIONS(1465),
    [anon_sym_shared] = ACTIONS(1465),
    [anon_sym_attribute] = ACTIONS(1465),
    [anon_sym_varying] = ACTIONS(1465),
    [anon_sym_buffer] = ACTIONS(1465),
    [anon_sym_coherent] = ACTIONS(1465),
    [anon_sym_readonly] = ACTIONS(1465),
    [anon_sym_writeonly] = ACTIONS(1465),
    [anon_sym_precision] = ACTIONS(1465),
    [anon_sym_highp] = ACTIONS(1465),
    [anon_sym_mediump] = ACTIONS(1465),
    [anon_sym_lowp] = ACTIONS(1465),
    [anon_sym_centroid] = ACTIONS(1465),
    [anon_sym_sample] = ACTIONS(1465),
    [anon_sym_patch] = ACTIONS(1465),
    [anon_sym_smooth] = ACTIONS(1465),
    [anon_sym_flat] = ACTIONS(1465),
    [anon_sym_noperspective] = ACTIONS(1465),
    [anon_sym___extension__] = ACTIONS(1465),
    [anon_sym_typedef] = ACTIONS(1465),
    [anon_sym_extern] = ACTIONS(1465),
    [anon_sym___attribute__] = ACTIONS(1465),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1467),
    [anon_sym___declspec] = ACTIONS(1465),
    [anon_sym___cdecl] = ACTIONS(1465),
    [anon_sym___clrcall] = ACTIONS(1465),
    [anon_sym___stdcall] = ACTIONS(1465),
    [anon_sym___fastcall] = ACTIONS(1465),
    [anon_sym___thiscall] = ACTIONS(1465),
    [anon_sym___vectorcall] = ACTIONS(1465),
    [anon_sym_LBRACE] = ACTIONS(1467),
    [anon_sym_signed] = ACTIONS(1465),
    [anon_sym_unsigned] = ACTIONS(1465),
    [anon_sym_long] = ACTIONS(1465),
    [anon_sym_short] = ACTIONS(1465),
    [anon_sym_static] = ACTIONS(1465),
    [anon_sym_auto] = ACTIONS(1465),
    [anon_sym_register] = ACTIONS(1465),
    [anon_sym_inline] = ACTIONS(1465),
    [anon_sym___inline] = ACTIONS(1465),
    [anon_sym___inline__] = ACTIONS(1465),
    [anon_sym___forceinline] = ACTIONS(1465),
    [anon_sym_thread_local] = ACTIONS(1465),
    [anon_sym___thread] = ACTIONS(1465),
    [anon_sym_const] = ACTIONS(1465),
    [anon_sym_constexpr] = ACTIONS(1465),
    [anon_sym_volatile] = ACTIONS(1465),
    [anon_sym_restrict] = ACTIONS(1465),
    [anon_sym___restrict__] = ACTIONS(1465),
    [anon_sym__Atomic] = ACTIONS(1465),
    [anon_sym__Noreturn] = ACTIONS(1465),
    [anon_sym_noreturn] = ACTIONS(1465),
    [sym_primitive_type] = ACTIONS(1465),
    [anon_sym_enum] = ACTIONS(1465),
    [anon_sym_struct] = ACTIONS(1465),
    [anon_sym_union] = ACTIONS(1465),
    [anon_sym_if] = ACTIONS(1465),
    [anon_sym_else] = ACTIONS(1465),
    [anon_sym_switch] = ACTIONS(1465),
    [anon_sym_case] = ACTIONS(1465),
    [anon_sym_default] = ACTIONS(1465),
    [anon_sym_while] = ACTIONS(1465),
    [anon_sym_do] = ACTIONS(1465),
    [anon_sym_for] = ACTIONS(1465),
    [anon_sym_return] = ACTIONS(1465),
    [anon_sym_break] = ACTIONS(1465),
    [anon_sym_continue] = ACTIONS(1465),
    [anon_sym_goto] = ACTIONS(1465),
    [anon_sym___try] = ACTIONS(1465),
    [anon_sym___leave] = ACTIONS(1465),
    [anon_sym_DASH_DASH] = ACTIONS(1467),
    [anon_sym_PLUS_PLUS] = ACTIONS(1467),
    [anon_sym_sizeof] = ACTIONS(1465),
    [anon_sym___alignof__] = ACTIONS(1465),
    [anon_sym___alignof] = ACTIONS(1465),
    [anon_sym__alignof] = ACTIONS(1465),
    [anon_sym_alignof] = ACTIONS(1465),
    [anon_sym__Alignof] = ACTIONS(1465),
    [anon_sym_offsetof] = ACTIONS(1465),
    [anon_sym__Generic] = ACTIONS(1465),
    [anon_sym_asm] = ACTIONS(1465),
    [anon_sym___asm__] = ACTIONS(1465),
    [sym_number_literal] = ACTIONS(1467),
    [anon_sym_L_SQUOTE] = ACTIONS(1467),
    [anon_sym_u_SQUOTE] = ACTIONS(1467),
    [anon_sym_U_SQUOTE] = ACTIONS(1467),
    [anon_sym_u8_SQUOTE] = ACTIONS(1467),
    [anon_sym_SQUOTE] = ACTIONS(1467),
    [anon_sym_L_DQUOTE] = ACTIONS(1467),
    [anon_sym_u_DQUOTE] = ACTIONS(1467),
    [anon_sym_U_DQUOTE] = ACTIONS(1467),
    [anon_sym_u8_DQUOTE] = ACTIONS(1467),
    [anon_sym_DQUOTE] = ACTIONS(1467),
    [sym_true] = ACTIONS(1465),
    [sym_false] = ACTIONS(1465),
    [anon_sym_NULL] = ACTIONS(1465),
    [anon_sym_nullptr] = ACTIONS(1465),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1465),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1465),
    [anon_sym_hitAttributeEXT] = ACTIONS(1465),
    [anon_sym_callableDataEXT] = ACTIONS(1465),
    [anon_sym_callableDataInEXT] = ACTIONS(1465),
    [anon_sym_shaderRecordEXT] = ACTIONS(1465),
    [anon_sym_rayPayloadNV] = ACTIONS(1465),
    [anon_sym_rayPayloadInNV] = ACTIONS(1465),
    [anon_sym_hitAttributeNV] = ACTIONS(1465),
    [anon_sym_callableDataNV] = ACTIONS(1465),
    [anon_sym_callableDataInNV] = ACTIONS(1465),
    [anon_sym_shaderRecordNV] = ACTIONS(1465),
    [anon_sym_layout] = ACTIONS(1465),
  },
  [329] = {
    [sym_identifier] = ACTIONS(1449),
    [aux_sym_preproc_include_token1] = ACTIONS(1449),
    [aux_sym_preproc_def_token1] = ACTIONS(1449),
    [aux_sym_preproc_if_token1] = ACTIONS(1449),
    [aux_sym_preproc_if_token2] = ACTIONS(1449),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1449),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1449),
    [sym_preproc_directive] = ACTIONS(1449),
    [anon_sym_LPAREN2] = ACTIONS(1451),
    [anon_sym_BANG] = ACTIONS(1451),
    [anon_sym_TILDE] = ACTIONS(1451),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_STAR] = ACTIONS(1451),
    [anon_sym_AMP] = ACTIONS(1451),
    [anon_sym_subroutine] = ACTIONS(1449),
    [anon_sym_invariant] = ACTIONS(1449),
    [anon_sym_precise] = ACTIONS(1449),
    [anon_sym_SEMI] = ACTIONS(1451),
    [anon_sym_in] = ACTIONS(1449),
    [anon_sym_out] = ACTIONS(1449),
    [anon_sym_inout] = ACTIONS(1449),
    [anon_sym_uniform] = ACTIONS(1449),
    [anon_sym_shared] = ACTIONS(1449),
    [anon_sym_attribute] = ACTIONS(1449),
    [anon_sym_varying] = ACTIONS(1449),
    [anon_sym_buffer] = ACTIONS(1449),
    [anon_sym_coherent] = ACTIONS(1449),
    [anon_sym_readonly] = ACTIONS(1449),
    [anon_sym_writeonly] = ACTIONS(1449),
    [anon_sym_precision] = ACTIONS(1449),
    [anon_sym_highp] = ACTIONS(1449),
    [anon_sym_mediump] = ACTIONS(1449),
    [anon_sym_lowp] = ACTIONS(1449),
    [anon_sym_centroid] = ACTIONS(1449),
    [anon_sym_sample] = ACTIONS(1449),
    [anon_sym_patch] = ACTIONS(1449),
    [anon_sym_smooth] = ACTIONS(1449),
    [anon_sym_flat] = ACTIONS(1449),
    [anon_sym_noperspective] = ACTIONS(1449),
    [anon_sym___extension__] = ACTIONS(1449),
    [anon_sym_typedef] = ACTIONS(1449),
    [anon_sym_extern] = ACTIONS(1449),
    [anon_sym___attribute__] = ACTIONS(1449),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1451),
    [anon_sym___declspec] = ACTIONS(1449),
    [anon_sym___cdecl] = ACTIONS(1449),
    [anon_sym___clrcall] = ACTIONS(1449),
    [anon_sym___stdcall] = ACTIONS(1449),
    [anon_sym___fastcall] = ACTIONS(1449),
    [anon_sym___thiscall] = ACTIONS(1449),
    [anon_sym___vectorcall] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_signed] = ACTIONS(1449),
    [anon_sym_unsigned] = ACTIONS(1449),
    [anon_sym_long] = ACTIONS(1449),
    [anon_sym_short] = ACTIONS(1449),
    [anon_sym_static] = ACTIONS(1449),
    [anon_sym_auto] = ACTIONS(1449),
    [anon_sym_register] = ACTIONS(1449),
    [anon_sym_inline] = ACTIONS(1449),
    [anon_sym___inline] = ACTIONS(1449),
    [anon_sym___inline__] = ACTIONS(1449),
    [anon_sym___forceinline] = ACTIONS(1449),
    [anon_sym_thread_local] = ACTIONS(1449),
    [anon_sym___thread] = ACTIONS(1449),
    [anon_sym_const] = ACTIONS(1449),
    [anon_sym_constexpr] = ACTIONS(1449),
    [anon_sym_volatile] = ACTIONS(1449),
    [anon_sym_restrict] = ACTIONS(1449),
    [anon_sym___restrict__] = ACTIONS(1449),
    [anon_sym__Atomic] = ACTIONS(1449),
    [anon_sym__Noreturn] = ACTIONS(1449),
    [anon_sym_noreturn] = ACTIONS(1449),
    [sym_primitive_type] = ACTIONS(1449),
    [anon_sym_enum] = ACTIONS(1449),
    [anon_sym_struct] = ACTIONS(1449),
    [anon_sym_union] = ACTIONS(1449),
    [anon_sym_if] = ACTIONS(1449),
    [anon_sym_else] = ACTIONS(1449),
    [anon_sym_switch] = ACTIONS(1449),
    [anon_sym_case] = ACTIONS(1449),
    [anon_sym_default] = ACTIONS(1449),
    [anon_sym_while] = ACTIONS(1449),
    [anon_sym_do] = ACTIONS(1449),
    [anon_sym_for] = ACTIONS(1449),
    [anon_sym_return] = ACTIONS(1449),
    [anon_sym_break] = ACTIONS(1449),
    [anon_sym_continue] = ACTIONS(1449),
    [anon_sym_goto] = ACTIONS(1449),
    [anon_sym___try] = ACTIONS(1449),
    [anon_sym___leave] = ACTIONS(1449),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym___alignof__] = ACTIONS(1449),
    [anon_sym___alignof] = ACTIONS(1449),
    [anon_sym__alignof] = ACTIONS(1449),
    [anon_sym_alignof] = ACTIONS(1449),
    [anon_sym__Alignof] = ACTIONS(1449),
    [anon_sym_offsetof] = ACTIONS(1449),
    [anon_sym__Generic] = ACTIONS(1449),
    [anon_sym_asm] = ACTIONS(1449),
    [anon_sym___asm__] = ACTIONS(1449),
    [sym_number_literal] = ACTIONS(1451),
    [anon_sym_L_SQUOTE] = ACTIONS(1451),
    [anon_sym_u_SQUOTE] = ACTIONS(1451),
    [anon_sym_U_SQUOTE] = ACTIONS(1451),
    [anon_sym_u8_SQUOTE] = ACTIONS(1451),
    [anon_sym_SQUOTE] = ACTIONS(1451),
    [anon_sym_L_DQUOTE] = ACTIONS(1451),
    [anon_sym_u_DQUOTE] = ACTIONS(1451),
    [anon_sym_U_DQUOTE] = ACTIONS(1451),
    [anon_sym_u8_DQUOTE] = ACTIONS(1451),
    [anon_sym_DQUOTE] = ACTIONS(1451),
    [sym_true] = ACTIONS(1449),
    [sym_false] = ACTIONS(1449),
    [anon_sym_NULL] = ACTIONS(1449),
    [anon_sym_nullptr] = ACTIONS(1449),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1449),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1449),
    [anon_sym_hitAttributeEXT] = ACTIONS(1449),
    [anon_sym_callableDataEXT] = ACTIONS(1449),
    [anon_sym_callableDataInEXT] = ACTIONS(1449),
    [anon_sym_shaderRecordEXT] = ACTIONS(1449),
    [anon_sym_rayPayloadNV] = ACTIONS(1449),
    [anon_sym_rayPayloadInNV] = ACTIONS(1449),
    [anon_sym_hitAttributeNV] = ACTIONS(1449),
    [anon_sym_callableDataNV] = ACTIONS(1449),
    [anon_sym_callableDataInNV] = ACTIONS(1449),
    [anon_sym_shaderRecordNV] = ACTIONS(1449),
    [anon_sym_layout] = ACTIONS(1449),
  },
  [330] = {
    [sym_identifier] = ACTIONS(1449),
    [aux_sym_preproc_include_token1] = ACTIONS(1449),
    [aux_sym_preproc_def_token1] = ACTIONS(1449),
    [aux_sym_preproc_if_token1] = ACTIONS(1449),
    [aux_sym_preproc_if_token2] = ACTIONS(1449),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1449),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1449),
    [sym_preproc_directive] = ACTIONS(1449),
    [anon_sym_LPAREN2] = ACTIONS(1451),
    [anon_sym_BANG] = ACTIONS(1451),
    [anon_sym_TILDE] = ACTIONS(1451),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_STAR] = ACTIONS(1451),
    [anon_sym_AMP] = ACTIONS(1451),
    [anon_sym_subroutine] = ACTIONS(1449),
    [anon_sym_invariant] = ACTIONS(1449),
    [anon_sym_precise] = ACTIONS(1449),
    [anon_sym_SEMI] = ACTIONS(1451),
    [anon_sym_in] = ACTIONS(1449),
    [anon_sym_out] = ACTIONS(1449),
    [anon_sym_inout] = ACTIONS(1449),
    [anon_sym_uniform] = ACTIONS(1449),
    [anon_sym_shared] = ACTIONS(1449),
    [anon_sym_attribute] = ACTIONS(1449),
    [anon_sym_varying] = ACTIONS(1449),
    [anon_sym_buffer] = ACTIONS(1449),
    [anon_sym_coherent] = ACTIONS(1449),
    [anon_sym_readonly] = ACTIONS(1449),
    [anon_sym_writeonly] = ACTIONS(1449),
    [anon_sym_precision] = ACTIONS(1449),
    [anon_sym_highp] = ACTIONS(1449),
    [anon_sym_mediump] = ACTIONS(1449),
    [anon_sym_lowp] = ACTIONS(1449),
    [anon_sym_centroid] = ACTIONS(1449),
    [anon_sym_sample] = ACTIONS(1449),
    [anon_sym_patch] = ACTIONS(1449),
    [anon_sym_smooth] = ACTIONS(1449),
    [anon_sym_flat] = ACTIONS(1449),
    [anon_sym_noperspective] = ACTIONS(1449),
    [anon_sym___extension__] = ACTIONS(1449),
    [anon_sym_typedef] = ACTIONS(1449),
    [anon_sym_extern] = ACTIONS(1449),
    [anon_sym___attribute__] = ACTIONS(1449),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1451),
    [anon_sym___declspec] = ACTIONS(1449),
    [anon_sym___cdecl] = ACTIONS(1449),
    [anon_sym___clrcall] = ACTIONS(1449),
    [anon_sym___stdcall] = ACTIONS(1449),
    [anon_sym___fastcall] = ACTIONS(1449),
    [anon_sym___thiscall] = ACTIONS(1449),
    [anon_sym___vectorcall] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_signed] = ACTIONS(1449),
    [anon_sym_unsigned] = ACTIONS(1449),
    [anon_sym_long] = ACTIONS(1449),
    [anon_sym_short] = ACTIONS(1449),
    [anon_sym_static] = ACTIONS(1449),
    [anon_sym_auto] = ACTIONS(1449),
    [anon_sym_register] = ACTIONS(1449),
    [anon_sym_inline] = ACTIONS(1449),
    [anon_sym___inline] = ACTIONS(1449),
    [anon_sym___inline__] = ACTIONS(1449),
    [anon_sym___forceinline] = ACTIONS(1449),
    [anon_sym_thread_local] = ACTIONS(1449),
    [anon_sym___thread] = ACTIONS(1449),
    [anon_sym_const] = ACTIONS(1449),
    [anon_sym_constexpr] = ACTIONS(1449),
    [anon_sym_volatile] = ACTIONS(1449),
    [anon_sym_restrict] = ACTIONS(1449),
    [anon_sym___restrict__] = ACTIONS(1449),
    [anon_sym__Atomic] = ACTIONS(1449),
    [anon_sym__Noreturn] = ACTIONS(1449),
    [anon_sym_noreturn] = ACTIONS(1449),
    [sym_primitive_type] = ACTIONS(1449),
    [anon_sym_enum] = ACTIONS(1449),
    [anon_sym_struct] = ACTIONS(1449),
    [anon_sym_union] = ACTIONS(1449),
    [anon_sym_if] = ACTIONS(1449),
    [anon_sym_else] = ACTIONS(1449),
    [anon_sym_switch] = ACTIONS(1449),
    [anon_sym_case] = ACTIONS(1449),
    [anon_sym_default] = ACTIONS(1449),
    [anon_sym_while] = ACTIONS(1449),
    [anon_sym_do] = ACTIONS(1449),
    [anon_sym_for] = ACTIONS(1449),
    [anon_sym_return] = ACTIONS(1449),
    [anon_sym_break] = ACTIONS(1449),
    [anon_sym_continue] = ACTIONS(1449),
    [anon_sym_goto] = ACTIONS(1449),
    [anon_sym___try] = ACTIONS(1449),
    [anon_sym___leave] = ACTIONS(1449),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym___alignof__] = ACTIONS(1449),
    [anon_sym___alignof] = ACTIONS(1449),
    [anon_sym__alignof] = ACTIONS(1449),
    [anon_sym_alignof] = ACTIONS(1449),
    [anon_sym__Alignof] = ACTIONS(1449),
    [anon_sym_offsetof] = ACTIONS(1449),
    [anon_sym__Generic] = ACTIONS(1449),
    [anon_sym_asm] = ACTIONS(1449),
    [anon_sym___asm__] = ACTIONS(1449),
    [sym_number_literal] = ACTIONS(1451),
    [anon_sym_L_SQUOTE] = ACTIONS(1451),
    [anon_sym_u_SQUOTE] = ACTIONS(1451),
    [anon_sym_U_SQUOTE] = ACTIONS(1451),
    [anon_sym_u8_SQUOTE] = ACTIONS(1451),
    [anon_sym_SQUOTE] = ACTIONS(1451),
    [anon_sym_L_DQUOTE] = ACTIONS(1451),
    [anon_sym_u_DQUOTE] = ACTIONS(1451),
    [anon_sym_U_DQUOTE] = ACTIONS(1451),
    [anon_sym_u8_DQUOTE] = ACTIONS(1451),
    [anon_sym_DQUOTE] = ACTIONS(1451),
    [sym_true] = ACTIONS(1449),
    [sym_false] = ACTIONS(1449),
    [anon_sym_NULL] = ACTIONS(1449),
    [anon_sym_nullptr] = ACTIONS(1449),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1449),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1449),
    [anon_sym_hitAttributeEXT] = ACTIONS(1449),
    [anon_sym_callableDataEXT] = ACTIONS(1449),
    [anon_sym_callableDataInEXT] = ACTIONS(1449),
    [anon_sym_shaderRecordEXT] = ACTIONS(1449),
    [anon_sym_rayPayloadNV] = ACTIONS(1449),
    [anon_sym_rayPayloadInNV] = ACTIONS(1449),
    [anon_sym_hitAttributeNV] = ACTIONS(1449),
    [anon_sym_callableDataNV] = ACTIONS(1449),
    [anon_sym_callableDataInNV] = ACTIONS(1449),
    [anon_sym_shaderRecordNV] = ACTIONS(1449),
    [anon_sym_layout] = ACTIONS(1449),
  },
  [331] = {
    [sym_identifier] = ACTIONS(1429),
    [aux_sym_preproc_include_token1] = ACTIONS(1429),
    [aux_sym_preproc_def_token1] = ACTIONS(1429),
    [aux_sym_preproc_if_token1] = ACTIONS(1429),
    [aux_sym_preproc_if_token2] = ACTIONS(1429),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1429),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1429),
    [sym_preproc_directive] = ACTIONS(1429),
    [anon_sym_LPAREN2] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1431),
    [anon_sym_TILDE] = ACTIONS(1431),
    [anon_sym_DASH] = ACTIONS(1429),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_STAR] = ACTIONS(1431),
    [anon_sym_AMP] = ACTIONS(1431),
    [anon_sym_subroutine] = ACTIONS(1429),
    [anon_sym_invariant] = ACTIONS(1429),
    [anon_sym_precise] = ACTIONS(1429),
    [anon_sym_SEMI] = ACTIONS(1431),
    [anon_sym_in] = ACTIONS(1429),
    [anon_sym_out] = ACTIONS(1429),
    [anon_sym_inout] = ACTIONS(1429),
    [anon_sym_uniform] = ACTIONS(1429),
    [anon_sym_shared] = ACTIONS(1429),
    [anon_sym_attribute] = ACTIONS(1429),
    [anon_sym_varying] = ACTIONS(1429),
    [anon_sym_buffer] = ACTIONS(1429),
    [anon_sym_coherent] = ACTIONS(1429),
    [anon_sym_readonly] = ACTIONS(1429),
    [anon_sym_writeonly] = ACTIONS(1429),
    [anon_sym_precision] = ACTIONS(1429),
    [anon_sym_highp] = ACTIONS(1429),
    [anon_sym_mediump] = ACTIONS(1429),
    [anon_sym_lowp] = ACTIONS(1429),
    [anon_sym_centroid] = ACTIONS(1429),
    [anon_sym_sample] = ACTIONS(1429),
    [anon_sym_patch] = ACTIONS(1429),
    [anon_sym_smooth] = ACTIONS(1429),
    [anon_sym_flat] = ACTIONS(1429),
    [anon_sym_noperspective] = ACTIONS(1429),
    [anon_sym___extension__] = ACTIONS(1429),
    [anon_sym_typedef] = ACTIONS(1429),
    [anon_sym_extern] = ACTIONS(1429),
    [anon_sym___attribute__] = ACTIONS(1429),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1431),
    [anon_sym___declspec] = ACTIONS(1429),
    [anon_sym___cdecl] = ACTIONS(1429),
    [anon_sym___clrcall] = ACTIONS(1429),
    [anon_sym___stdcall] = ACTIONS(1429),
    [anon_sym___fastcall] = ACTIONS(1429),
    [anon_sym___thiscall] = ACTIONS(1429),
    [anon_sym___vectorcall] = ACTIONS(1429),
    [anon_sym_LBRACE] = ACTIONS(1431),
    [anon_sym_signed] = ACTIONS(1429),
    [anon_sym_unsigned] = ACTIONS(1429),
    [anon_sym_long] = ACTIONS(1429),
    [anon_sym_short] = ACTIONS(1429),
    [anon_sym_static] = ACTIONS(1429),
    [anon_sym_auto] = ACTIONS(1429),
    [anon_sym_register] = ACTIONS(1429),
    [anon_sym_inline] = ACTIONS(1429),
    [anon_sym___inline] = ACTIONS(1429),
    [anon_sym___inline__] = ACTIONS(1429),
    [anon_sym___forceinline] = ACTIONS(1429),
    [anon_sym_thread_local] = ACTIONS(1429),
    [anon_sym___thread] = ACTIONS(1429),
    [anon_sym_const] = ACTIONS(1429),
    [anon_sym_constexpr] = ACTIONS(1429),
    [anon_sym_volatile] = ACTIONS(1429),
    [anon_sym_restrict] = ACTIONS(1429),
    [anon_sym___restrict__] = ACTIONS(1429),
    [anon_sym__Atomic] = ACTIONS(1429),
    [anon_sym__Noreturn] = ACTIONS(1429),
    [anon_sym_noreturn] = ACTIONS(1429),
    [sym_primitive_type] = ACTIONS(1429),
    [anon_sym_enum] = ACTIONS(1429),
    [anon_sym_struct] = ACTIONS(1429),
    [anon_sym_union] = ACTIONS(1429),
    [anon_sym_if] = ACTIONS(1429),
    [anon_sym_else] = ACTIONS(1429),
    [anon_sym_switch] = ACTIONS(1429),
    [anon_sym_case] = ACTIONS(1429),
    [anon_sym_default] = ACTIONS(1429),
    [anon_sym_while] = ACTIONS(1429),
    [anon_sym_do] = ACTIONS(1429),
    [anon_sym_for] = ACTIONS(1429),
    [anon_sym_return] = ACTIONS(1429),
    [anon_sym_break] = ACTIONS(1429),
    [anon_sym_continue] = ACTIONS(1429),
    [anon_sym_goto] = ACTIONS(1429),
    [anon_sym___try] = ACTIONS(1429),
    [anon_sym___leave] = ACTIONS(1429),
    [anon_sym_DASH_DASH] = ACTIONS(1431),
    [anon_sym_PLUS_PLUS] = ACTIONS(1431),
    [anon_sym_sizeof] = ACTIONS(1429),
    [anon_sym___alignof__] = ACTIONS(1429),
    [anon_sym___alignof] = ACTIONS(1429),
    [anon_sym__alignof] = ACTIONS(1429),
    [anon_sym_alignof] = ACTIONS(1429),
    [anon_sym__Alignof] = ACTIONS(1429),
    [anon_sym_offsetof] = ACTIONS(1429),
    [anon_sym__Generic] = ACTIONS(1429),
    [anon_sym_asm] = ACTIONS(1429),
    [anon_sym___asm__] = ACTIONS(1429),
    [sym_number_literal] = ACTIONS(1431),
    [anon_sym_L_SQUOTE] = ACTIONS(1431),
    [anon_sym_u_SQUOTE] = ACTIONS(1431),
    [anon_sym_U_SQUOTE] = ACTIONS(1431),
    [anon_sym_u8_SQUOTE] = ACTIONS(1431),
    [anon_sym_SQUOTE] = ACTIONS(1431),
    [anon_sym_L_DQUOTE] = ACTIONS(1431),
    [anon_sym_u_DQUOTE] = ACTIONS(1431),
    [anon_sym_U_DQUOTE] = ACTIONS(1431),
    [anon_sym_u8_DQUOTE] = ACTIONS(1431),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_true] = ACTIONS(1429),
    [sym_false] = ACTIONS(1429),
    [anon_sym_NULL] = ACTIONS(1429),
    [anon_sym_nullptr] = ACTIONS(1429),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1429),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1429),
    [anon_sym_hitAttributeEXT] = ACTIONS(1429),
    [anon_sym_callableDataEXT] = ACTIONS(1429),
    [anon_sym_callableDataInEXT] = ACTIONS(1429),
    [anon_sym_shaderRecordEXT] = ACTIONS(1429),
    [anon_sym_rayPayloadNV] = ACTIONS(1429),
    [anon_sym_rayPayloadInNV] = ACTIONS(1429),
    [anon_sym_hitAttributeNV] = ACTIONS(1429),
    [anon_sym_callableDataNV] = ACTIONS(1429),
    [anon_sym_callableDataInNV] = ACTIONS(1429),
    [anon_sym_shaderRecordNV] = ACTIONS(1429),
    [anon_sym_layout] = ACTIONS(1429),
  },
  [332] = {
    [ts_builtin_sym_end] = ACTIONS(1447),
    [sym_identifier] = ACTIONS(1445),
    [aux_sym_preproc_include_token1] = ACTIONS(1445),
    [aux_sym_preproc_def_token1] = ACTIONS(1445),
    [aux_sym_preproc_if_token1] = ACTIONS(1445),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1445),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1445),
    [sym_preproc_directive] = ACTIONS(1445),
    [anon_sym_LPAREN2] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1447),
    [anon_sym_TILDE] = ACTIONS(1447),
    [anon_sym_DASH] = ACTIONS(1445),
    [anon_sym_PLUS] = ACTIONS(1445),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_subroutine] = ACTIONS(1445),
    [anon_sym_invariant] = ACTIONS(1445),
    [anon_sym_precise] = ACTIONS(1445),
    [anon_sym_SEMI] = ACTIONS(1447),
    [anon_sym_in] = ACTIONS(1445),
    [anon_sym_out] = ACTIONS(1445),
    [anon_sym_inout] = ACTIONS(1445),
    [anon_sym_uniform] = ACTIONS(1445),
    [anon_sym_shared] = ACTIONS(1445),
    [anon_sym_attribute] = ACTIONS(1445),
    [anon_sym_varying] = ACTIONS(1445),
    [anon_sym_buffer] = ACTIONS(1445),
    [anon_sym_coherent] = ACTIONS(1445),
    [anon_sym_readonly] = ACTIONS(1445),
    [anon_sym_writeonly] = ACTIONS(1445),
    [anon_sym_precision] = ACTIONS(1445),
    [anon_sym_highp] = ACTIONS(1445),
    [anon_sym_mediump] = ACTIONS(1445),
    [anon_sym_lowp] = ACTIONS(1445),
    [anon_sym_centroid] = ACTIONS(1445),
    [anon_sym_sample] = ACTIONS(1445),
    [anon_sym_patch] = ACTIONS(1445),
    [anon_sym_smooth] = ACTIONS(1445),
    [anon_sym_flat] = ACTIONS(1445),
    [anon_sym_noperspective] = ACTIONS(1445),
    [anon_sym___extension__] = ACTIONS(1445),
    [anon_sym_typedef] = ACTIONS(1445),
    [anon_sym_extern] = ACTIONS(1445),
    [anon_sym___attribute__] = ACTIONS(1445),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1447),
    [anon_sym___declspec] = ACTIONS(1445),
    [anon_sym___cdecl] = ACTIONS(1445),
    [anon_sym___clrcall] = ACTIONS(1445),
    [anon_sym___stdcall] = ACTIONS(1445),
    [anon_sym___fastcall] = ACTIONS(1445),
    [anon_sym___thiscall] = ACTIONS(1445),
    [anon_sym___vectorcall] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(1447),
    [anon_sym_signed] = ACTIONS(1445),
    [anon_sym_unsigned] = ACTIONS(1445),
    [anon_sym_long] = ACTIONS(1445),
    [anon_sym_short] = ACTIONS(1445),
    [anon_sym_static] = ACTIONS(1445),
    [anon_sym_auto] = ACTIONS(1445),
    [anon_sym_register] = ACTIONS(1445),
    [anon_sym_inline] = ACTIONS(1445),
    [anon_sym___inline] = ACTIONS(1445),
    [anon_sym___inline__] = ACTIONS(1445),
    [anon_sym___forceinline] = ACTIONS(1445),
    [anon_sym_thread_local] = ACTIONS(1445),
    [anon_sym___thread] = ACTIONS(1445),
    [anon_sym_const] = ACTIONS(1445),
    [anon_sym_constexpr] = ACTIONS(1445),
    [anon_sym_volatile] = ACTIONS(1445),
    [anon_sym_restrict] = ACTIONS(1445),
    [anon_sym___restrict__] = ACTIONS(1445),
    [anon_sym__Atomic] = ACTIONS(1445),
    [anon_sym__Noreturn] = ACTIONS(1445),
    [anon_sym_noreturn] = ACTIONS(1445),
    [sym_primitive_type] = ACTIONS(1445),
    [anon_sym_enum] = ACTIONS(1445),
    [anon_sym_struct] = ACTIONS(1445),
    [anon_sym_union] = ACTIONS(1445),
    [anon_sym_if] = ACTIONS(1445),
    [anon_sym_else] = ACTIONS(1445),
    [anon_sym_switch] = ACTIONS(1445),
    [anon_sym_case] = ACTIONS(1445),
    [anon_sym_default] = ACTIONS(1445),
    [anon_sym_while] = ACTIONS(1445),
    [anon_sym_do] = ACTIONS(1445),
    [anon_sym_for] = ACTIONS(1445),
    [anon_sym_return] = ACTIONS(1445),
    [anon_sym_break] = ACTIONS(1445),
    [anon_sym_continue] = ACTIONS(1445),
    [anon_sym_goto] = ACTIONS(1445),
    [anon_sym___try] = ACTIONS(1445),
    [anon_sym___leave] = ACTIONS(1445),
    [anon_sym_DASH_DASH] = ACTIONS(1447),
    [anon_sym_PLUS_PLUS] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1445),
    [anon_sym___alignof__] = ACTIONS(1445),
    [anon_sym___alignof] = ACTIONS(1445),
    [anon_sym__alignof] = ACTIONS(1445),
    [anon_sym_alignof] = ACTIONS(1445),
    [anon_sym__Alignof] = ACTIONS(1445),
    [anon_sym_offsetof] = ACTIONS(1445),
    [anon_sym__Generic] = ACTIONS(1445),
    [anon_sym_asm] = ACTIONS(1445),
    [anon_sym___asm__] = ACTIONS(1445),
    [sym_number_literal] = ACTIONS(1447),
    [anon_sym_L_SQUOTE] = ACTIONS(1447),
    [anon_sym_u_SQUOTE] = ACTIONS(1447),
    [anon_sym_U_SQUOTE] = ACTIONS(1447),
    [anon_sym_u8_SQUOTE] = ACTIONS(1447),
    [anon_sym_SQUOTE] = ACTIONS(1447),
    [anon_sym_L_DQUOTE] = ACTIONS(1447),
    [anon_sym_u_DQUOTE] = ACTIONS(1447),
    [anon_sym_U_DQUOTE] = ACTIONS(1447),
    [anon_sym_u8_DQUOTE] = ACTIONS(1447),
    [anon_sym_DQUOTE] = ACTIONS(1447),
    [sym_true] = ACTIONS(1445),
    [sym_false] = ACTIONS(1445),
    [anon_sym_NULL] = ACTIONS(1445),
    [anon_sym_nullptr] = ACTIONS(1445),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1445),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1445),
    [anon_sym_hitAttributeEXT] = ACTIONS(1445),
    [anon_sym_callableDataEXT] = ACTIONS(1445),
    [anon_sym_callableDataInEXT] = ACTIONS(1445),
    [anon_sym_shaderRecordEXT] = ACTIONS(1445),
    [anon_sym_rayPayloadNV] = ACTIONS(1445),
    [anon_sym_rayPayloadInNV] = ACTIONS(1445),
    [anon_sym_hitAttributeNV] = ACTIONS(1445),
    [anon_sym_callableDataNV] = ACTIONS(1445),
    [anon_sym_callableDataInNV] = ACTIONS(1445),
    [anon_sym_shaderRecordNV] = ACTIONS(1445),
    [anon_sym_layout] = ACTIONS(1445),
  },
  [333] = {
    [sym_identifier] = ACTIONS(1561),
    [aux_sym_preproc_include_token1] = ACTIONS(1561),
    [aux_sym_preproc_def_token1] = ACTIONS(1561),
    [aux_sym_preproc_if_token1] = ACTIONS(1561),
    [aux_sym_preproc_if_token2] = ACTIONS(1561),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1561),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1561),
    [sym_preproc_directive] = ACTIONS(1561),
    [anon_sym_LPAREN2] = ACTIONS(1563),
    [anon_sym_BANG] = ACTIONS(1563),
    [anon_sym_TILDE] = ACTIONS(1563),
    [anon_sym_DASH] = ACTIONS(1561),
    [anon_sym_PLUS] = ACTIONS(1561),
    [anon_sym_STAR] = ACTIONS(1563),
    [anon_sym_AMP] = ACTIONS(1563),
    [anon_sym_subroutine] = ACTIONS(1561),
    [anon_sym_invariant] = ACTIONS(1561),
    [anon_sym_precise] = ACTIONS(1561),
    [anon_sym_SEMI] = ACTIONS(1563),
    [anon_sym_in] = ACTIONS(1561),
    [anon_sym_out] = ACTIONS(1561),
    [anon_sym_inout] = ACTIONS(1561),
    [anon_sym_uniform] = ACTIONS(1561),
    [anon_sym_shared] = ACTIONS(1561),
    [anon_sym_attribute] = ACTIONS(1561),
    [anon_sym_varying] = ACTIONS(1561),
    [anon_sym_buffer] = ACTIONS(1561),
    [anon_sym_coherent] = ACTIONS(1561),
    [anon_sym_readonly] = ACTIONS(1561),
    [anon_sym_writeonly] = ACTIONS(1561),
    [anon_sym_precision] = ACTIONS(1561),
    [anon_sym_highp] = ACTIONS(1561),
    [anon_sym_mediump] = ACTIONS(1561),
    [anon_sym_lowp] = ACTIONS(1561),
    [anon_sym_centroid] = ACTIONS(1561),
    [anon_sym_sample] = ACTIONS(1561),
    [anon_sym_patch] = ACTIONS(1561),
    [anon_sym_smooth] = ACTIONS(1561),
    [anon_sym_flat] = ACTIONS(1561),
    [anon_sym_noperspective] = ACTIONS(1561),
    [anon_sym___extension__] = ACTIONS(1561),
    [anon_sym_typedef] = ACTIONS(1561),
    [anon_sym_extern] = ACTIONS(1561),
    [anon_sym___attribute__] = ACTIONS(1561),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1563),
    [anon_sym___declspec] = ACTIONS(1561),
    [anon_sym___cdecl] = ACTIONS(1561),
    [anon_sym___clrcall] = ACTIONS(1561),
    [anon_sym___stdcall] = ACTIONS(1561),
    [anon_sym___fastcall] = ACTIONS(1561),
    [anon_sym___thiscall] = ACTIONS(1561),
    [anon_sym___vectorcall] = ACTIONS(1561),
    [anon_sym_LBRACE] = ACTIONS(1563),
    [anon_sym_signed] = ACTIONS(1561),
    [anon_sym_unsigned] = ACTIONS(1561),
    [anon_sym_long] = ACTIONS(1561),
    [anon_sym_short] = ACTIONS(1561),
    [anon_sym_static] = ACTIONS(1561),
    [anon_sym_auto] = ACTIONS(1561),
    [anon_sym_register] = ACTIONS(1561),
    [anon_sym_inline] = ACTIONS(1561),
    [anon_sym___inline] = ACTIONS(1561),
    [anon_sym___inline__] = ACTIONS(1561),
    [anon_sym___forceinline] = ACTIONS(1561),
    [anon_sym_thread_local] = ACTIONS(1561),
    [anon_sym___thread] = ACTIONS(1561),
    [anon_sym_const] = ACTIONS(1561),
    [anon_sym_constexpr] = ACTIONS(1561),
    [anon_sym_volatile] = ACTIONS(1561),
    [anon_sym_restrict] = ACTIONS(1561),
    [anon_sym___restrict__] = ACTIONS(1561),
    [anon_sym__Atomic] = ACTIONS(1561),
    [anon_sym__Noreturn] = ACTIONS(1561),
    [anon_sym_noreturn] = ACTIONS(1561),
    [sym_primitive_type] = ACTIONS(1561),
    [anon_sym_enum] = ACTIONS(1561),
    [anon_sym_struct] = ACTIONS(1561),
    [anon_sym_union] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1561),
    [anon_sym_else] = ACTIONS(1561),
    [anon_sym_switch] = ACTIONS(1561),
    [anon_sym_case] = ACTIONS(1561),
    [anon_sym_default] = ACTIONS(1561),
    [anon_sym_while] = ACTIONS(1561),
    [anon_sym_do] = ACTIONS(1561),
    [anon_sym_for] = ACTIONS(1561),
    [anon_sym_return] = ACTIONS(1561),
    [anon_sym_break] = ACTIONS(1561),
    [anon_sym_continue] = ACTIONS(1561),
    [anon_sym_goto] = ACTIONS(1561),
    [anon_sym___try] = ACTIONS(1561),
    [anon_sym___leave] = ACTIONS(1561),
    [anon_sym_DASH_DASH] = ACTIONS(1563),
    [anon_sym_PLUS_PLUS] = ACTIONS(1563),
    [anon_sym_sizeof] = ACTIONS(1561),
    [anon_sym___alignof__] = ACTIONS(1561),
    [anon_sym___alignof] = ACTIONS(1561),
    [anon_sym__alignof] = ACTIONS(1561),
    [anon_sym_alignof] = ACTIONS(1561),
    [anon_sym__Alignof] = ACTIONS(1561),
    [anon_sym_offsetof] = ACTIONS(1561),
    [anon_sym__Generic] = ACTIONS(1561),
    [anon_sym_asm] = ACTIONS(1561),
    [anon_sym___asm__] = ACTIONS(1561),
    [sym_number_literal] = ACTIONS(1563),
    [anon_sym_L_SQUOTE] = ACTIONS(1563),
    [anon_sym_u_SQUOTE] = ACTIONS(1563),
    [anon_sym_U_SQUOTE] = ACTIONS(1563),
    [anon_sym_u8_SQUOTE] = ACTIONS(1563),
    [anon_sym_SQUOTE] = ACTIONS(1563),
    [anon_sym_L_DQUOTE] = ACTIONS(1563),
    [anon_sym_u_DQUOTE] = ACTIONS(1563),
    [anon_sym_U_DQUOTE] = ACTIONS(1563),
    [anon_sym_u8_DQUOTE] = ACTIONS(1563),
    [anon_sym_DQUOTE] = ACTIONS(1563),
    [sym_true] = ACTIONS(1561),
    [sym_false] = ACTIONS(1561),
    [anon_sym_NULL] = ACTIONS(1561),
    [anon_sym_nullptr] = ACTIONS(1561),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1561),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1561),
    [anon_sym_hitAttributeEXT] = ACTIONS(1561),
    [anon_sym_callableDataEXT] = ACTIONS(1561),
    [anon_sym_callableDataInEXT] = ACTIONS(1561),
    [anon_sym_shaderRecordEXT] = ACTIONS(1561),
    [anon_sym_rayPayloadNV] = ACTIONS(1561),
    [anon_sym_rayPayloadInNV] = ACTIONS(1561),
    [anon_sym_hitAttributeNV] = ACTIONS(1561),
    [anon_sym_callableDataNV] = ACTIONS(1561),
    [anon_sym_callableDataInNV] = ACTIONS(1561),
    [anon_sym_shaderRecordNV] = ACTIONS(1561),
    [anon_sym_layout] = ACTIONS(1561),
  },
  [334] = {
    [sym_identifier] = ACTIONS(1557),
    [aux_sym_preproc_include_token1] = ACTIONS(1557),
    [aux_sym_preproc_def_token1] = ACTIONS(1557),
    [aux_sym_preproc_if_token1] = ACTIONS(1557),
    [aux_sym_preproc_if_token2] = ACTIONS(1557),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1557),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1557),
    [sym_preproc_directive] = ACTIONS(1557),
    [anon_sym_LPAREN2] = ACTIONS(1559),
    [anon_sym_BANG] = ACTIONS(1559),
    [anon_sym_TILDE] = ACTIONS(1559),
    [anon_sym_DASH] = ACTIONS(1557),
    [anon_sym_PLUS] = ACTIONS(1557),
    [anon_sym_STAR] = ACTIONS(1559),
    [anon_sym_AMP] = ACTIONS(1559),
    [anon_sym_subroutine] = ACTIONS(1557),
    [anon_sym_invariant] = ACTIONS(1557),
    [anon_sym_precise] = ACTIONS(1557),
    [anon_sym_SEMI] = ACTIONS(1559),
    [anon_sym_in] = ACTIONS(1557),
    [anon_sym_out] = ACTIONS(1557),
    [anon_sym_inout] = ACTIONS(1557),
    [anon_sym_uniform] = ACTIONS(1557),
    [anon_sym_shared] = ACTIONS(1557),
    [anon_sym_attribute] = ACTIONS(1557),
    [anon_sym_varying] = ACTIONS(1557),
    [anon_sym_buffer] = ACTIONS(1557),
    [anon_sym_coherent] = ACTIONS(1557),
    [anon_sym_readonly] = ACTIONS(1557),
    [anon_sym_writeonly] = ACTIONS(1557),
    [anon_sym_precision] = ACTIONS(1557),
    [anon_sym_highp] = ACTIONS(1557),
    [anon_sym_mediump] = ACTIONS(1557),
    [anon_sym_lowp] = ACTIONS(1557),
    [anon_sym_centroid] = ACTIONS(1557),
    [anon_sym_sample] = ACTIONS(1557),
    [anon_sym_patch] = ACTIONS(1557),
    [anon_sym_smooth] = ACTIONS(1557),
    [anon_sym_flat] = ACTIONS(1557),
    [anon_sym_noperspective] = ACTIONS(1557),
    [anon_sym___extension__] = ACTIONS(1557),
    [anon_sym_typedef] = ACTIONS(1557),
    [anon_sym_extern] = ACTIONS(1557),
    [anon_sym___attribute__] = ACTIONS(1557),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1559),
    [anon_sym___declspec] = ACTIONS(1557),
    [anon_sym___cdecl] = ACTIONS(1557),
    [anon_sym___clrcall] = ACTIONS(1557),
    [anon_sym___stdcall] = ACTIONS(1557),
    [anon_sym___fastcall] = ACTIONS(1557),
    [anon_sym___thiscall] = ACTIONS(1557),
    [anon_sym___vectorcall] = ACTIONS(1557),
    [anon_sym_LBRACE] = ACTIONS(1559),
    [anon_sym_signed] = ACTIONS(1557),
    [anon_sym_unsigned] = ACTIONS(1557),
    [anon_sym_long] = ACTIONS(1557),
    [anon_sym_short] = ACTIONS(1557),
    [anon_sym_static] = ACTIONS(1557),
    [anon_sym_auto] = ACTIONS(1557),
    [anon_sym_register] = ACTIONS(1557),
    [anon_sym_inline] = ACTIONS(1557),
    [anon_sym___inline] = ACTIONS(1557),
    [anon_sym___inline__] = ACTIONS(1557),
    [anon_sym___forceinline] = ACTIONS(1557),
    [anon_sym_thread_local] = ACTIONS(1557),
    [anon_sym___thread] = ACTIONS(1557),
    [anon_sym_const] = ACTIONS(1557),
    [anon_sym_constexpr] = ACTIONS(1557),
    [anon_sym_volatile] = ACTIONS(1557),
    [anon_sym_restrict] = ACTIONS(1557),
    [anon_sym___restrict__] = ACTIONS(1557),
    [anon_sym__Atomic] = ACTIONS(1557),
    [anon_sym__Noreturn] = ACTIONS(1557),
    [anon_sym_noreturn] = ACTIONS(1557),
    [sym_primitive_type] = ACTIONS(1557),
    [anon_sym_enum] = ACTIONS(1557),
    [anon_sym_struct] = ACTIONS(1557),
    [anon_sym_union] = ACTIONS(1557),
    [anon_sym_if] = ACTIONS(1557),
    [anon_sym_else] = ACTIONS(1557),
    [anon_sym_switch] = ACTIONS(1557),
    [anon_sym_case] = ACTIONS(1557),
    [anon_sym_default] = ACTIONS(1557),
    [anon_sym_while] = ACTIONS(1557),
    [anon_sym_do] = ACTIONS(1557),
    [anon_sym_for] = ACTIONS(1557),
    [anon_sym_return] = ACTIONS(1557),
    [anon_sym_break] = ACTIONS(1557),
    [anon_sym_continue] = ACTIONS(1557),
    [anon_sym_goto] = ACTIONS(1557),
    [anon_sym___try] = ACTIONS(1557),
    [anon_sym___leave] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1559),
    [anon_sym_PLUS_PLUS] = ACTIONS(1559),
    [anon_sym_sizeof] = ACTIONS(1557),
    [anon_sym___alignof__] = ACTIONS(1557),
    [anon_sym___alignof] = ACTIONS(1557),
    [anon_sym__alignof] = ACTIONS(1557),
    [anon_sym_alignof] = ACTIONS(1557),
    [anon_sym__Alignof] = ACTIONS(1557),
    [anon_sym_offsetof] = ACTIONS(1557),
    [anon_sym__Generic] = ACTIONS(1557),
    [anon_sym_asm] = ACTIONS(1557),
    [anon_sym___asm__] = ACTIONS(1557),
    [sym_number_literal] = ACTIONS(1559),
    [anon_sym_L_SQUOTE] = ACTIONS(1559),
    [anon_sym_u_SQUOTE] = ACTIONS(1559),
    [anon_sym_U_SQUOTE] = ACTIONS(1559),
    [anon_sym_u8_SQUOTE] = ACTIONS(1559),
    [anon_sym_SQUOTE] = ACTIONS(1559),
    [anon_sym_L_DQUOTE] = ACTIONS(1559),
    [anon_sym_u_DQUOTE] = ACTIONS(1559),
    [anon_sym_U_DQUOTE] = ACTIONS(1559),
    [anon_sym_u8_DQUOTE] = ACTIONS(1559),
    [anon_sym_DQUOTE] = ACTIONS(1559),
    [sym_true] = ACTIONS(1557),
    [sym_false] = ACTIONS(1557),
    [anon_sym_NULL] = ACTIONS(1557),
    [anon_sym_nullptr] = ACTIONS(1557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1557),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1557),
    [anon_sym_hitAttributeEXT] = ACTIONS(1557),
    [anon_sym_callableDataEXT] = ACTIONS(1557),
    [anon_sym_callableDataInEXT] = ACTIONS(1557),
    [anon_sym_shaderRecordEXT] = ACTIONS(1557),
    [anon_sym_rayPayloadNV] = ACTIONS(1557),
    [anon_sym_rayPayloadInNV] = ACTIONS(1557),
    [anon_sym_hitAttributeNV] = ACTIONS(1557),
    [anon_sym_callableDataNV] = ACTIONS(1557),
    [anon_sym_callableDataInNV] = ACTIONS(1557),
    [anon_sym_shaderRecordNV] = ACTIONS(1557),
    [anon_sym_layout] = ACTIONS(1557),
  },
  [335] = {
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token2] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [336] = {
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token2] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [337] = {
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token2] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [338] = {
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token2] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [339] = {
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token2] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [340] = {
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token2] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [341] = {
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token2] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [342] = {
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token2] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [343] = {
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token2] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [344] = {
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token2] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [345] = {
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token2] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [346] = {
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token2] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [347] = {
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token2] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [348] = {
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token2] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [349] = {
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token2] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [350] = {
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token2] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [351] = {
    [sym_identifier] = ACTIONS(1509),
    [aux_sym_preproc_include_token1] = ACTIONS(1509),
    [aux_sym_preproc_def_token1] = ACTIONS(1509),
    [aux_sym_preproc_if_token1] = ACTIONS(1509),
    [aux_sym_preproc_if_token2] = ACTIONS(1509),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1509),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1509),
    [sym_preproc_directive] = ACTIONS(1509),
    [anon_sym_LPAREN2] = ACTIONS(1511),
    [anon_sym_BANG] = ACTIONS(1511),
    [anon_sym_TILDE] = ACTIONS(1511),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_PLUS] = ACTIONS(1509),
    [anon_sym_STAR] = ACTIONS(1511),
    [anon_sym_AMP] = ACTIONS(1511),
    [anon_sym_subroutine] = ACTIONS(1509),
    [anon_sym_invariant] = ACTIONS(1509),
    [anon_sym_precise] = ACTIONS(1509),
    [anon_sym_SEMI] = ACTIONS(1511),
    [anon_sym_in] = ACTIONS(1509),
    [anon_sym_out] = ACTIONS(1509),
    [anon_sym_inout] = ACTIONS(1509),
    [anon_sym_uniform] = ACTIONS(1509),
    [anon_sym_shared] = ACTIONS(1509),
    [anon_sym_attribute] = ACTIONS(1509),
    [anon_sym_varying] = ACTIONS(1509),
    [anon_sym_buffer] = ACTIONS(1509),
    [anon_sym_coherent] = ACTIONS(1509),
    [anon_sym_readonly] = ACTIONS(1509),
    [anon_sym_writeonly] = ACTIONS(1509),
    [anon_sym_precision] = ACTIONS(1509),
    [anon_sym_highp] = ACTIONS(1509),
    [anon_sym_mediump] = ACTIONS(1509),
    [anon_sym_lowp] = ACTIONS(1509),
    [anon_sym_centroid] = ACTIONS(1509),
    [anon_sym_sample] = ACTIONS(1509),
    [anon_sym_patch] = ACTIONS(1509),
    [anon_sym_smooth] = ACTIONS(1509),
    [anon_sym_flat] = ACTIONS(1509),
    [anon_sym_noperspective] = ACTIONS(1509),
    [anon_sym___extension__] = ACTIONS(1509),
    [anon_sym_typedef] = ACTIONS(1509),
    [anon_sym_extern] = ACTIONS(1509),
    [anon_sym___attribute__] = ACTIONS(1509),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1511),
    [anon_sym___declspec] = ACTIONS(1509),
    [anon_sym___cdecl] = ACTIONS(1509),
    [anon_sym___clrcall] = ACTIONS(1509),
    [anon_sym___stdcall] = ACTIONS(1509),
    [anon_sym___fastcall] = ACTIONS(1509),
    [anon_sym___thiscall] = ACTIONS(1509),
    [anon_sym___vectorcall] = ACTIONS(1509),
    [anon_sym_LBRACE] = ACTIONS(1511),
    [anon_sym_signed] = ACTIONS(1509),
    [anon_sym_unsigned] = ACTIONS(1509),
    [anon_sym_long] = ACTIONS(1509),
    [anon_sym_short] = ACTIONS(1509),
    [anon_sym_static] = ACTIONS(1509),
    [anon_sym_auto] = ACTIONS(1509),
    [anon_sym_register] = ACTIONS(1509),
    [anon_sym_inline] = ACTIONS(1509),
    [anon_sym___inline] = ACTIONS(1509),
    [anon_sym___inline__] = ACTIONS(1509),
    [anon_sym___forceinline] = ACTIONS(1509),
    [anon_sym_thread_local] = ACTIONS(1509),
    [anon_sym___thread] = ACTIONS(1509),
    [anon_sym_const] = ACTIONS(1509),
    [anon_sym_constexpr] = ACTIONS(1509),
    [anon_sym_volatile] = ACTIONS(1509),
    [anon_sym_restrict] = ACTIONS(1509),
    [anon_sym___restrict__] = ACTIONS(1509),
    [anon_sym__Atomic] = ACTIONS(1509),
    [anon_sym__Noreturn] = ACTIONS(1509),
    [anon_sym_noreturn] = ACTIONS(1509),
    [sym_primitive_type] = ACTIONS(1509),
    [anon_sym_enum] = ACTIONS(1509),
    [anon_sym_struct] = ACTIONS(1509),
    [anon_sym_union] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1509),
    [anon_sym_else] = ACTIONS(1509),
    [anon_sym_switch] = ACTIONS(1509),
    [anon_sym_case] = ACTIONS(1509),
    [anon_sym_default] = ACTIONS(1509),
    [anon_sym_while] = ACTIONS(1509),
    [anon_sym_do] = ACTIONS(1509),
    [anon_sym_for] = ACTIONS(1509),
    [anon_sym_return] = ACTIONS(1509),
    [anon_sym_break] = ACTIONS(1509),
    [anon_sym_continue] = ACTIONS(1509),
    [anon_sym_goto] = ACTIONS(1509),
    [anon_sym___try] = ACTIONS(1509),
    [anon_sym___leave] = ACTIONS(1509),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_sizeof] = ACTIONS(1509),
    [anon_sym___alignof__] = ACTIONS(1509),
    [anon_sym___alignof] = ACTIONS(1509),
    [anon_sym__alignof] = ACTIONS(1509),
    [anon_sym_alignof] = ACTIONS(1509),
    [anon_sym__Alignof] = ACTIONS(1509),
    [anon_sym_offsetof] = ACTIONS(1509),
    [anon_sym__Generic] = ACTIONS(1509),
    [anon_sym_asm] = ACTIONS(1509),
    [anon_sym___asm__] = ACTIONS(1509),
    [sym_number_literal] = ACTIONS(1511),
    [anon_sym_L_SQUOTE] = ACTIONS(1511),
    [anon_sym_u_SQUOTE] = ACTIONS(1511),
    [anon_sym_U_SQUOTE] = ACTIONS(1511),
    [anon_sym_u8_SQUOTE] = ACTIONS(1511),
    [anon_sym_SQUOTE] = ACTIONS(1511),
    [anon_sym_L_DQUOTE] = ACTIONS(1511),
    [anon_sym_u_DQUOTE] = ACTIONS(1511),
    [anon_sym_U_DQUOTE] = ACTIONS(1511),
    [anon_sym_u8_DQUOTE] = ACTIONS(1511),
    [anon_sym_DQUOTE] = ACTIONS(1511),
    [sym_true] = ACTIONS(1509),
    [sym_false] = ACTIONS(1509),
    [anon_sym_NULL] = ACTIONS(1509),
    [anon_sym_nullptr] = ACTIONS(1509),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1509),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1509),
    [anon_sym_hitAttributeEXT] = ACTIONS(1509),
    [anon_sym_callableDataEXT] = ACTIONS(1509),
    [anon_sym_callableDataInEXT] = ACTIONS(1509),
    [anon_sym_shaderRecordEXT] = ACTIONS(1509),
    [anon_sym_rayPayloadNV] = ACTIONS(1509),
    [anon_sym_rayPayloadInNV] = ACTIONS(1509),
    [anon_sym_hitAttributeNV] = ACTIONS(1509),
    [anon_sym_callableDataNV] = ACTIONS(1509),
    [anon_sym_callableDataInNV] = ACTIONS(1509),
    [anon_sym_shaderRecordNV] = ACTIONS(1509),
    [anon_sym_layout] = ACTIONS(1509),
  },
  [352] = {
    [sym_identifier] = ACTIONS(1505),
    [aux_sym_preproc_include_token1] = ACTIONS(1505),
    [aux_sym_preproc_def_token1] = ACTIONS(1505),
    [aux_sym_preproc_if_token1] = ACTIONS(1505),
    [aux_sym_preproc_if_token2] = ACTIONS(1505),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1505),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1505),
    [sym_preproc_directive] = ACTIONS(1505),
    [anon_sym_LPAREN2] = ACTIONS(1507),
    [anon_sym_BANG] = ACTIONS(1507),
    [anon_sym_TILDE] = ACTIONS(1507),
    [anon_sym_DASH] = ACTIONS(1505),
    [anon_sym_PLUS] = ACTIONS(1505),
    [anon_sym_STAR] = ACTIONS(1507),
    [anon_sym_AMP] = ACTIONS(1507),
    [anon_sym_subroutine] = ACTIONS(1505),
    [anon_sym_invariant] = ACTIONS(1505),
    [anon_sym_precise] = ACTIONS(1505),
    [anon_sym_SEMI] = ACTIONS(1507),
    [anon_sym_in] = ACTIONS(1505),
    [anon_sym_out] = ACTIONS(1505),
    [anon_sym_inout] = ACTIONS(1505),
    [anon_sym_uniform] = ACTIONS(1505),
    [anon_sym_shared] = ACTIONS(1505),
    [anon_sym_attribute] = ACTIONS(1505),
    [anon_sym_varying] = ACTIONS(1505),
    [anon_sym_buffer] = ACTIONS(1505),
    [anon_sym_coherent] = ACTIONS(1505),
    [anon_sym_readonly] = ACTIONS(1505),
    [anon_sym_writeonly] = ACTIONS(1505),
    [anon_sym_precision] = ACTIONS(1505),
    [anon_sym_highp] = ACTIONS(1505),
    [anon_sym_mediump] = ACTIONS(1505),
    [anon_sym_lowp] = ACTIONS(1505),
    [anon_sym_centroid] = ACTIONS(1505),
    [anon_sym_sample] = ACTIONS(1505),
    [anon_sym_patch] = ACTIONS(1505),
    [anon_sym_smooth] = ACTIONS(1505),
    [anon_sym_flat] = ACTIONS(1505),
    [anon_sym_noperspective] = ACTIONS(1505),
    [anon_sym___extension__] = ACTIONS(1505),
    [anon_sym_typedef] = ACTIONS(1505),
    [anon_sym_extern] = ACTIONS(1505),
    [anon_sym___attribute__] = ACTIONS(1505),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1507),
    [anon_sym___declspec] = ACTIONS(1505),
    [anon_sym___cdecl] = ACTIONS(1505),
    [anon_sym___clrcall] = ACTIONS(1505),
    [anon_sym___stdcall] = ACTIONS(1505),
    [anon_sym___fastcall] = ACTIONS(1505),
    [anon_sym___thiscall] = ACTIONS(1505),
    [anon_sym___vectorcall] = ACTIONS(1505),
    [anon_sym_LBRACE] = ACTIONS(1507),
    [anon_sym_signed] = ACTIONS(1505),
    [anon_sym_unsigned] = ACTIONS(1505),
    [anon_sym_long] = ACTIONS(1505),
    [anon_sym_short] = ACTIONS(1505),
    [anon_sym_static] = ACTIONS(1505),
    [anon_sym_auto] = ACTIONS(1505),
    [anon_sym_register] = ACTIONS(1505),
    [anon_sym_inline] = ACTIONS(1505),
    [anon_sym___inline] = ACTIONS(1505),
    [anon_sym___inline__] = ACTIONS(1505),
    [anon_sym___forceinline] = ACTIONS(1505),
    [anon_sym_thread_local] = ACTIONS(1505),
    [anon_sym___thread] = ACTIONS(1505),
    [anon_sym_const] = ACTIONS(1505),
    [anon_sym_constexpr] = ACTIONS(1505),
    [anon_sym_volatile] = ACTIONS(1505),
    [anon_sym_restrict] = ACTIONS(1505),
    [anon_sym___restrict__] = ACTIONS(1505),
    [anon_sym__Atomic] = ACTIONS(1505),
    [anon_sym__Noreturn] = ACTIONS(1505),
    [anon_sym_noreturn] = ACTIONS(1505),
    [sym_primitive_type] = ACTIONS(1505),
    [anon_sym_enum] = ACTIONS(1505),
    [anon_sym_struct] = ACTIONS(1505),
    [anon_sym_union] = ACTIONS(1505),
    [anon_sym_if] = ACTIONS(1505),
    [anon_sym_else] = ACTIONS(1505),
    [anon_sym_switch] = ACTIONS(1505),
    [anon_sym_case] = ACTIONS(1505),
    [anon_sym_default] = ACTIONS(1505),
    [anon_sym_while] = ACTIONS(1505),
    [anon_sym_do] = ACTIONS(1505),
    [anon_sym_for] = ACTIONS(1505),
    [anon_sym_return] = ACTIONS(1505),
    [anon_sym_break] = ACTIONS(1505),
    [anon_sym_continue] = ACTIONS(1505),
    [anon_sym_goto] = ACTIONS(1505),
    [anon_sym___try] = ACTIONS(1505),
    [anon_sym___leave] = ACTIONS(1505),
    [anon_sym_DASH_DASH] = ACTIONS(1507),
    [anon_sym_PLUS_PLUS] = ACTIONS(1507),
    [anon_sym_sizeof] = ACTIONS(1505),
    [anon_sym___alignof__] = ACTIONS(1505),
    [anon_sym___alignof] = ACTIONS(1505),
    [anon_sym__alignof] = ACTIONS(1505),
    [anon_sym_alignof] = ACTIONS(1505),
    [anon_sym__Alignof] = ACTIONS(1505),
    [anon_sym_offsetof] = ACTIONS(1505),
    [anon_sym__Generic] = ACTIONS(1505),
    [anon_sym_asm] = ACTIONS(1505),
    [anon_sym___asm__] = ACTIONS(1505),
    [sym_number_literal] = ACTIONS(1507),
    [anon_sym_L_SQUOTE] = ACTIONS(1507),
    [anon_sym_u_SQUOTE] = ACTIONS(1507),
    [anon_sym_U_SQUOTE] = ACTIONS(1507),
    [anon_sym_u8_SQUOTE] = ACTIONS(1507),
    [anon_sym_SQUOTE] = ACTIONS(1507),
    [anon_sym_L_DQUOTE] = ACTIONS(1507),
    [anon_sym_u_DQUOTE] = ACTIONS(1507),
    [anon_sym_U_DQUOTE] = ACTIONS(1507),
    [anon_sym_u8_DQUOTE] = ACTIONS(1507),
    [anon_sym_DQUOTE] = ACTIONS(1507),
    [sym_true] = ACTIONS(1505),
    [sym_false] = ACTIONS(1505),
    [anon_sym_NULL] = ACTIONS(1505),
    [anon_sym_nullptr] = ACTIONS(1505),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1505),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1505),
    [anon_sym_hitAttributeEXT] = ACTIONS(1505),
    [anon_sym_callableDataEXT] = ACTIONS(1505),
    [anon_sym_callableDataInEXT] = ACTIONS(1505),
    [anon_sym_shaderRecordEXT] = ACTIONS(1505),
    [anon_sym_rayPayloadNV] = ACTIONS(1505),
    [anon_sym_rayPayloadInNV] = ACTIONS(1505),
    [anon_sym_hitAttributeNV] = ACTIONS(1505),
    [anon_sym_callableDataNV] = ACTIONS(1505),
    [anon_sym_callableDataInNV] = ACTIONS(1505),
    [anon_sym_shaderRecordNV] = ACTIONS(1505),
    [anon_sym_layout] = ACTIONS(1505),
  },
  [353] = {
    [sym_identifier] = ACTIONS(1501),
    [aux_sym_preproc_include_token1] = ACTIONS(1501),
    [aux_sym_preproc_def_token1] = ACTIONS(1501),
    [aux_sym_preproc_if_token1] = ACTIONS(1501),
    [aux_sym_preproc_if_token2] = ACTIONS(1501),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1501),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1501),
    [sym_preproc_directive] = ACTIONS(1501),
    [anon_sym_LPAREN2] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1503),
    [anon_sym_TILDE] = ACTIONS(1503),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_PLUS] = ACTIONS(1501),
    [anon_sym_STAR] = ACTIONS(1503),
    [anon_sym_AMP] = ACTIONS(1503),
    [anon_sym_subroutine] = ACTIONS(1501),
    [anon_sym_invariant] = ACTIONS(1501),
    [anon_sym_precise] = ACTIONS(1501),
    [anon_sym_SEMI] = ACTIONS(1503),
    [anon_sym_in] = ACTIONS(1501),
    [anon_sym_out] = ACTIONS(1501),
    [anon_sym_inout] = ACTIONS(1501),
    [anon_sym_uniform] = ACTIONS(1501),
    [anon_sym_shared] = ACTIONS(1501),
    [anon_sym_attribute] = ACTIONS(1501),
    [anon_sym_varying] = ACTIONS(1501),
    [anon_sym_buffer] = ACTIONS(1501),
    [anon_sym_coherent] = ACTIONS(1501),
    [anon_sym_readonly] = ACTIONS(1501),
    [anon_sym_writeonly] = ACTIONS(1501),
    [anon_sym_precision] = ACTIONS(1501),
    [anon_sym_highp] = ACTIONS(1501),
    [anon_sym_mediump] = ACTIONS(1501),
    [anon_sym_lowp] = ACTIONS(1501),
    [anon_sym_centroid] = ACTIONS(1501),
    [anon_sym_sample] = ACTIONS(1501),
    [anon_sym_patch] = ACTIONS(1501),
    [anon_sym_smooth] = ACTIONS(1501),
    [anon_sym_flat] = ACTIONS(1501),
    [anon_sym_noperspective] = ACTIONS(1501),
    [anon_sym___extension__] = ACTIONS(1501),
    [anon_sym_typedef] = ACTIONS(1501),
    [anon_sym_extern] = ACTIONS(1501),
    [anon_sym___attribute__] = ACTIONS(1501),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1503),
    [anon_sym___declspec] = ACTIONS(1501),
    [anon_sym___cdecl] = ACTIONS(1501),
    [anon_sym___clrcall] = ACTIONS(1501),
    [anon_sym___stdcall] = ACTIONS(1501),
    [anon_sym___fastcall] = ACTIONS(1501),
    [anon_sym___thiscall] = ACTIONS(1501),
    [anon_sym___vectorcall] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_signed] = ACTIONS(1501),
    [anon_sym_unsigned] = ACTIONS(1501),
    [anon_sym_long] = ACTIONS(1501),
    [anon_sym_short] = ACTIONS(1501),
    [anon_sym_static] = ACTIONS(1501),
    [anon_sym_auto] = ACTIONS(1501),
    [anon_sym_register] = ACTIONS(1501),
    [anon_sym_inline] = ACTIONS(1501),
    [anon_sym___inline] = ACTIONS(1501),
    [anon_sym___inline__] = ACTIONS(1501),
    [anon_sym___forceinline] = ACTIONS(1501),
    [anon_sym_thread_local] = ACTIONS(1501),
    [anon_sym___thread] = ACTIONS(1501),
    [anon_sym_const] = ACTIONS(1501),
    [anon_sym_constexpr] = ACTIONS(1501),
    [anon_sym_volatile] = ACTIONS(1501),
    [anon_sym_restrict] = ACTIONS(1501),
    [anon_sym___restrict__] = ACTIONS(1501),
    [anon_sym__Atomic] = ACTIONS(1501),
    [anon_sym__Noreturn] = ACTIONS(1501),
    [anon_sym_noreturn] = ACTIONS(1501),
    [sym_primitive_type] = ACTIONS(1501),
    [anon_sym_enum] = ACTIONS(1501),
    [anon_sym_struct] = ACTIONS(1501),
    [anon_sym_union] = ACTIONS(1501),
    [anon_sym_if] = ACTIONS(1501),
    [anon_sym_else] = ACTIONS(1501),
    [anon_sym_switch] = ACTIONS(1501),
    [anon_sym_case] = ACTIONS(1501),
    [anon_sym_default] = ACTIONS(1501),
    [anon_sym_while] = ACTIONS(1501),
    [anon_sym_do] = ACTIONS(1501),
    [anon_sym_for] = ACTIONS(1501),
    [anon_sym_return] = ACTIONS(1501),
    [anon_sym_break] = ACTIONS(1501),
    [anon_sym_continue] = ACTIONS(1501),
    [anon_sym_goto] = ACTIONS(1501),
    [anon_sym___try] = ACTIONS(1501),
    [anon_sym___leave] = ACTIONS(1501),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_sizeof] = ACTIONS(1501),
    [anon_sym___alignof__] = ACTIONS(1501),
    [anon_sym___alignof] = ACTIONS(1501),
    [anon_sym__alignof] = ACTIONS(1501),
    [anon_sym_alignof] = ACTIONS(1501),
    [anon_sym__Alignof] = ACTIONS(1501),
    [anon_sym_offsetof] = ACTIONS(1501),
    [anon_sym__Generic] = ACTIONS(1501),
    [anon_sym_asm] = ACTIONS(1501),
    [anon_sym___asm__] = ACTIONS(1501),
    [sym_number_literal] = ACTIONS(1503),
    [anon_sym_L_SQUOTE] = ACTIONS(1503),
    [anon_sym_u_SQUOTE] = ACTIONS(1503),
    [anon_sym_U_SQUOTE] = ACTIONS(1503),
    [anon_sym_u8_SQUOTE] = ACTIONS(1503),
    [anon_sym_SQUOTE] = ACTIONS(1503),
    [anon_sym_L_DQUOTE] = ACTIONS(1503),
    [anon_sym_u_DQUOTE] = ACTIONS(1503),
    [anon_sym_U_DQUOTE] = ACTIONS(1503),
    [anon_sym_u8_DQUOTE] = ACTIONS(1503),
    [anon_sym_DQUOTE] = ACTIONS(1503),
    [sym_true] = ACTIONS(1501),
    [sym_false] = ACTIONS(1501),
    [anon_sym_NULL] = ACTIONS(1501),
    [anon_sym_nullptr] = ACTIONS(1501),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1501),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1501),
    [anon_sym_hitAttributeEXT] = ACTIONS(1501),
    [anon_sym_callableDataEXT] = ACTIONS(1501),
    [anon_sym_callableDataInEXT] = ACTIONS(1501),
    [anon_sym_shaderRecordEXT] = ACTIONS(1501),
    [anon_sym_rayPayloadNV] = ACTIONS(1501),
    [anon_sym_rayPayloadInNV] = ACTIONS(1501),
    [anon_sym_hitAttributeNV] = ACTIONS(1501),
    [anon_sym_callableDataNV] = ACTIONS(1501),
    [anon_sym_callableDataInNV] = ACTIONS(1501),
    [anon_sym_shaderRecordNV] = ACTIONS(1501),
    [anon_sym_layout] = ACTIONS(1501),
  },
  [354] = {
    [sym_identifier] = ACTIONS(1497),
    [aux_sym_preproc_include_token1] = ACTIONS(1497),
    [aux_sym_preproc_def_token1] = ACTIONS(1497),
    [aux_sym_preproc_if_token1] = ACTIONS(1497),
    [aux_sym_preproc_if_token2] = ACTIONS(1497),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1497),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1497),
    [sym_preproc_directive] = ACTIONS(1497),
    [anon_sym_LPAREN2] = ACTIONS(1499),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_DASH] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1497),
    [anon_sym_STAR] = ACTIONS(1499),
    [anon_sym_AMP] = ACTIONS(1499),
    [anon_sym_subroutine] = ACTIONS(1497),
    [anon_sym_invariant] = ACTIONS(1497),
    [anon_sym_precise] = ACTIONS(1497),
    [anon_sym_SEMI] = ACTIONS(1499),
    [anon_sym_in] = ACTIONS(1497),
    [anon_sym_out] = ACTIONS(1497),
    [anon_sym_inout] = ACTIONS(1497),
    [anon_sym_uniform] = ACTIONS(1497),
    [anon_sym_shared] = ACTIONS(1497),
    [anon_sym_attribute] = ACTIONS(1497),
    [anon_sym_varying] = ACTIONS(1497),
    [anon_sym_buffer] = ACTIONS(1497),
    [anon_sym_coherent] = ACTIONS(1497),
    [anon_sym_readonly] = ACTIONS(1497),
    [anon_sym_writeonly] = ACTIONS(1497),
    [anon_sym_precision] = ACTIONS(1497),
    [anon_sym_highp] = ACTIONS(1497),
    [anon_sym_mediump] = ACTIONS(1497),
    [anon_sym_lowp] = ACTIONS(1497),
    [anon_sym_centroid] = ACTIONS(1497),
    [anon_sym_sample] = ACTIONS(1497),
    [anon_sym_patch] = ACTIONS(1497),
    [anon_sym_smooth] = ACTIONS(1497),
    [anon_sym_flat] = ACTIONS(1497),
    [anon_sym_noperspective] = ACTIONS(1497),
    [anon_sym___extension__] = ACTIONS(1497),
    [anon_sym_typedef] = ACTIONS(1497),
    [anon_sym_extern] = ACTIONS(1497),
    [anon_sym___attribute__] = ACTIONS(1497),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1499),
    [anon_sym___declspec] = ACTIONS(1497),
    [anon_sym___cdecl] = ACTIONS(1497),
    [anon_sym___clrcall] = ACTIONS(1497),
    [anon_sym___stdcall] = ACTIONS(1497),
    [anon_sym___fastcall] = ACTIONS(1497),
    [anon_sym___thiscall] = ACTIONS(1497),
    [anon_sym___vectorcall] = ACTIONS(1497),
    [anon_sym_LBRACE] = ACTIONS(1499),
    [anon_sym_signed] = ACTIONS(1497),
    [anon_sym_unsigned] = ACTIONS(1497),
    [anon_sym_long] = ACTIONS(1497),
    [anon_sym_short] = ACTIONS(1497),
    [anon_sym_static] = ACTIONS(1497),
    [anon_sym_auto] = ACTIONS(1497),
    [anon_sym_register] = ACTIONS(1497),
    [anon_sym_inline] = ACTIONS(1497),
    [anon_sym___inline] = ACTIONS(1497),
    [anon_sym___inline__] = ACTIONS(1497),
    [anon_sym___forceinline] = ACTIONS(1497),
    [anon_sym_thread_local] = ACTIONS(1497),
    [anon_sym___thread] = ACTIONS(1497),
    [anon_sym_const] = ACTIONS(1497),
    [anon_sym_constexpr] = ACTIONS(1497),
    [anon_sym_volatile] = ACTIONS(1497),
    [anon_sym_restrict] = ACTIONS(1497),
    [anon_sym___restrict__] = ACTIONS(1497),
    [anon_sym__Atomic] = ACTIONS(1497),
    [anon_sym__Noreturn] = ACTIONS(1497),
    [anon_sym_noreturn] = ACTIONS(1497),
    [sym_primitive_type] = ACTIONS(1497),
    [anon_sym_enum] = ACTIONS(1497),
    [anon_sym_struct] = ACTIONS(1497),
    [anon_sym_union] = ACTIONS(1497),
    [anon_sym_if] = ACTIONS(1497),
    [anon_sym_else] = ACTIONS(1497),
    [anon_sym_switch] = ACTIONS(1497),
    [anon_sym_case] = ACTIONS(1497),
    [anon_sym_default] = ACTIONS(1497),
    [anon_sym_while] = ACTIONS(1497),
    [anon_sym_do] = ACTIONS(1497),
    [anon_sym_for] = ACTIONS(1497),
    [anon_sym_return] = ACTIONS(1497),
    [anon_sym_break] = ACTIONS(1497),
    [anon_sym_continue] = ACTIONS(1497),
    [anon_sym_goto] = ACTIONS(1497),
    [anon_sym___try] = ACTIONS(1497),
    [anon_sym___leave] = ACTIONS(1497),
    [anon_sym_DASH_DASH] = ACTIONS(1499),
    [anon_sym_PLUS_PLUS] = ACTIONS(1499),
    [anon_sym_sizeof] = ACTIONS(1497),
    [anon_sym___alignof__] = ACTIONS(1497),
    [anon_sym___alignof] = ACTIONS(1497),
    [anon_sym__alignof] = ACTIONS(1497),
    [anon_sym_alignof] = ACTIONS(1497),
    [anon_sym__Alignof] = ACTIONS(1497),
    [anon_sym_offsetof] = ACTIONS(1497),
    [anon_sym__Generic] = ACTIONS(1497),
    [anon_sym_asm] = ACTIONS(1497),
    [anon_sym___asm__] = ACTIONS(1497),
    [sym_number_literal] = ACTIONS(1499),
    [anon_sym_L_SQUOTE] = ACTIONS(1499),
    [anon_sym_u_SQUOTE] = ACTIONS(1499),
    [anon_sym_U_SQUOTE] = ACTIONS(1499),
    [anon_sym_u8_SQUOTE] = ACTIONS(1499),
    [anon_sym_SQUOTE] = ACTIONS(1499),
    [anon_sym_L_DQUOTE] = ACTIONS(1499),
    [anon_sym_u_DQUOTE] = ACTIONS(1499),
    [anon_sym_U_DQUOTE] = ACTIONS(1499),
    [anon_sym_u8_DQUOTE] = ACTIONS(1499),
    [anon_sym_DQUOTE] = ACTIONS(1499),
    [sym_true] = ACTIONS(1497),
    [sym_false] = ACTIONS(1497),
    [anon_sym_NULL] = ACTIONS(1497),
    [anon_sym_nullptr] = ACTIONS(1497),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1497),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1497),
    [anon_sym_hitAttributeEXT] = ACTIONS(1497),
    [anon_sym_callableDataEXT] = ACTIONS(1497),
    [anon_sym_callableDataInEXT] = ACTIONS(1497),
    [anon_sym_shaderRecordEXT] = ACTIONS(1497),
    [anon_sym_rayPayloadNV] = ACTIONS(1497),
    [anon_sym_rayPayloadInNV] = ACTIONS(1497),
    [anon_sym_hitAttributeNV] = ACTIONS(1497),
    [anon_sym_callableDataNV] = ACTIONS(1497),
    [anon_sym_callableDataInNV] = ACTIONS(1497),
    [anon_sym_shaderRecordNV] = ACTIONS(1497),
    [anon_sym_layout] = ACTIONS(1497),
  },
  [355] = {
    [sym_identifier] = ACTIONS(1489),
    [aux_sym_preproc_include_token1] = ACTIONS(1489),
    [aux_sym_preproc_def_token1] = ACTIONS(1489),
    [aux_sym_preproc_if_token1] = ACTIONS(1489),
    [aux_sym_preproc_if_token2] = ACTIONS(1489),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1489),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1489),
    [sym_preproc_directive] = ACTIONS(1489),
    [anon_sym_LPAREN2] = ACTIONS(1491),
    [anon_sym_BANG] = ACTIONS(1491),
    [anon_sym_TILDE] = ACTIONS(1491),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_STAR] = ACTIONS(1491),
    [anon_sym_AMP] = ACTIONS(1491),
    [anon_sym_subroutine] = ACTIONS(1489),
    [anon_sym_invariant] = ACTIONS(1489),
    [anon_sym_precise] = ACTIONS(1489),
    [anon_sym_SEMI] = ACTIONS(1491),
    [anon_sym_in] = ACTIONS(1489),
    [anon_sym_out] = ACTIONS(1489),
    [anon_sym_inout] = ACTIONS(1489),
    [anon_sym_uniform] = ACTIONS(1489),
    [anon_sym_shared] = ACTIONS(1489),
    [anon_sym_attribute] = ACTIONS(1489),
    [anon_sym_varying] = ACTIONS(1489),
    [anon_sym_buffer] = ACTIONS(1489),
    [anon_sym_coherent] = ACTIONS(1489),
    [anon_sym_readonly] = ACTIONS(1489),
    [anon_sym_writeonly] = ACTIONS(1489),
    [anon_sym_precision] = ACTIONS(1489),
    [anon_sym_highp] = ACTIONS(1489),
    [anon_sym_mediump] = ACTIONS(1489),
    [anon_sym_lowp] = ACTIONS(1489),
    [anon_sym_centroid] = ACTIONS(1489),
    [anon_sym_sample] = ACTIONS(1489),
    [anon_sym_patch] = ACTIONS(1489),
    [anon_sym_smooth] = ACTIONS(1489),
    [anon_sym_flat] = ACTIONS(1489),
    [anon_sym_noperspective] = ACTIONS(1489),
    [anon_sym___extension__] = ACTIONS(1489),
    [anon_sym_typedef] = ACTIONS(1489),
    [anon_sym_extern] = ACTIONS(1489),
    [anon_sym___attribute__] = ACTIONS(1489),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1491),
    [anon_sym___declspec] = ACTIONS(1489),
    [anon_sym___cdecl] = ACTIONS(1489),
    [anon_sym___clrcall] = ACTIONS(1489),
    [anon_sym___stdcall] = ACTIONS(1489),
    [anon_sym___fastcall] = ACTIONS(1489),
    [anon_sym___thiscall] = ACTIONS(1489),
    [anon_sym___vectorcall] = ACTIONS(1489),
    [anon_sym_LBRACE] = ACTIONS(1491),
    [anon_sym_signed] = ACTIONS(1489),
    [anon_sym_unsigned] = ACTIONS(1489),
    [anon_sym_long] = ACTIONS(1489),
    [anon_sym_short] = ACTIONS(1489),
    [anon_sym_static] = ACTIONS(1489),
    [anon_sym_auto] = ACTIONS(1489),
    [anon_sym_register] = ACTIONS(1489),
    [anon_sym_inline] = ACTIONS(1489),
    [anon_sym___inline] = ACTIONS(1489),
    [anon_sym___inline__] = ACTIONS(1489),
    [anon_sym___forceinline] = ACTIONS(1489),
    [anon_sym_thread_local] = ACTIONS(1489),
    [anon_sym___thread] = ACTIONS(1489),
    [anon_sym_const] = ACTIONS(1489),
    [anon_sym_constexpr] = ACTIONS(1489),
    [anon_sym_volatile] = ACTIONS(1489),
    [anon_sym_restrict] = ACTIONS(1489),
    [anon_sym___restrict__] = ACTIONS(1489),
    [anon_sym__Atomic] = ACTIONS(1489),
    [anon_sym__Noreturn] = ACTIONS(1489),
    [anon_sym_noreturn] = ACTIONS(1489),
    [sym_primitive_type] = ACTIONS(1489),
    [anon_sym_enum] = ACTIONS(1489),
    [anon_sym_struct] = ACTIONS(1489),
    [anon_sym_union] = ACTIONS(1489),
    [anon_sym_if] = ACTIONS(1489),
    [anon_sym_else] = ACTIONS(1489),
    [anon_sym_switch] = ACTIONS(1489),
    [anon_sym_case] = ACTIONS(1489),
    [anon_sym_default] = ACTIONS(1489),
    [anon_sym_while] = ACTIONS(1489),
    [anon_sym_do] = ACTIONS(1489),
    [anon_sym_for] = ACTIONS(1489),
    [anon_sym_return] = ACTIONS(1489),
    [anon_sym_break] = ACTIONS(1489),
    [anon_sym_continue] = ACTIONS(1489),
    [anon_sym_goto] = ACTIONS(1489),
    [anon_sym___try] = ACTIONS(1489),
    [anon_sym___leave] = ACTIONS(1489),
    [anon_sym_DASH_DASH] = ACTIONS(1491),
    [anon_sym_PLUS_PLUS] = ACTIONS(1491),
    [anon_sym_sizeof] = ACTIONS(1489),
    [anon_sym___alignof__] = ACTIONS(1489),
    [anon_sym___alignof] = ACTIONS(1489),
    [anon_sym__alignof] = ACTIONS(1489),
    [anon_sym_alignof] = ACTIONS(1489),
    [anon_sym__Alignof] = ACTIONS(1489),
    [anon_sym_offsetof] = ACTIONS(1489),
    [anon_sym__Generic] = ACTIONS(1489),
    [anon_sym_asm] = ACTIONS(1489),
    [anon_sym___asm__] = ACTIONS(1489),
    [sym_number_literal] = ACTIONS(1491),
    [anon_sym_L_SQUOTE] = ACTIONS(1491),
    [anon_sym_u_SQUOTE] = ACTIONS(1491),
    [anon_sym_U_SQUOTE] = ACTIONS(1491),
    [anon_sym_u8_SQUOTE] = ACTIONS(1491),
    [anon_sym_SQUOTE] = ACTIONS(1491),
    [anon_sym_L_DQUOTE] = ACTIONS(1491),
    [anon_sym_u_DQUOTE] = ACTIONS(1491),
    [anon_sym_U_DQUOTE] = ACTIONS(1491),
    [anon_sym_u8_DQUOTE] = ACTIONS(1491),
    [anon_sym_DQUOTE] = ACTIONS(1491),
    [sym_true] = ACTIONS(1489),
    [sym_false] = ACTIONS(1489),
    [anon_sym_NULL] = ACTIONS(1489),
    [anon_sym_nullptr] = ACTIONS(1489),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1489),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1489),
    [anon_sym_hitAttributeEXT] = ACTIONS(1489),
    [anon_sym_callableDataEXT] = ACTIONS(1489),
    [anon_sym_callableDataInEXT] = ACTIONS(1489),
    [anon_sym_shaderRecordEXT] = ACTIONS(1489),
    [anon_sym_rayPayloadNV] = ACTIONS(1489),
    [anon_sym_rayPayloadInNV] = ACTIONS(1489),
    [anon_sym_hitAttributeNV] = ACTIONS(1489),
    [anon_sym_callableDataNV] = ACTIONS(1489),
    [anon_sym_callableDataInNV] = ACTIONS(1489),
    [anon_sym_shaderRecordNV] = ACTIONS(1489),
    [anon_sym_layout] = ACTIONS(1489),
  },
  [356] = {
    [sym_identifier] = ACTIONS(1461),
    [aux_sym_preproc_include_token1] = ACTIONS(1461),
    [aux_sym_preproc_def_token1] = ACTIONS(1461),
    [aux_sym_preproc_if_token1] = ACTIONS(1461),
    [aux_sym_preproc_if_token2] = ACTIONS(1461),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1461),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1461),
    [sym_preproc_directive] = ACTIONS(1461),
    [anon_sym_LPAREN2] = ACTIONS(1463),
    [anon_sym_BANG] = ACTIONS(1463),
    [anon_sym_TILDE] = ACTIONS(1463),
    [anon_sym_DASH] = ACTIONS(1461),
    [anon_sym_PLUS] = ACTIONS(1461),
    [anon_sym_STAR] = ACTIONS(1463),
    [anon_sym_AMP] = ACTIONS(1463),
    [anon_sym_subroutine] = ACTIONS(1461),
    [anon_sym_invariant] = ACTIONS(1461),
    [anon_sym_precise] = ACTIONS(1461),
    [anon_sym_SEMI] = ACTIONS(1463),
    [anon_sym_in] = ACTIONS(1461),
    [anon_sym_out] = ACTIONS(1461),
    [anon_sym_inout] = ACTIONS(1461),
    [anon_sym_uniform] = ACTIONS(1461),
    [anon_sym_shared] = ACTIONS(1461),
    [anon_sym_attribute] = ACTIONS(1461),
    [anon_sym_varying] = ACTIONS(1461),
    [anon_sym_buffer] = ACTIONS(1461),
    [anon_sym_coherent] = ACTIONS(1461),
    [anon_sym_readonly] = ACTIONS(1461),
    [anon_sym_writeonly] = ACTIONS(1461),
    [anon_sym_precision] = ACTIONS(1461),
    [anon_sym_highp] = ACTIONS(1461),
    [anon_sym_mediump] = ACTIONS(1461),
    [anon_sym_lowp] = ACTIONS(1461),
    [anon_sym_centroid] = ACTIONS(1461),
    [anon_sym_sample] = ACTIONS(1461),
    [anon_sym_patch] = ACTIONS(1461),
    [anon_sym_smooth] = ACTIONS(1461),
    [anon_sym_flat] = ACTIONS(1461),
    [anon_sym_noperspective] = ACTIONS(1461),
    [anon_sym___extension__] = ACTIONS(1461),
    [anon_sym_typedef] = ACTIONS(1461),
    [anon_sym_extern] = ACTIONS(1461),
    [anon_sym___attribute__] = ACTIONS(1461),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1463),
    [anon_sym___declspec] = ACTIONS(1461),
    [anon_sym___cdecl] = ACTIONS(1461),
    [anon_sym___clrcall] = ACTIONS(1461),
    [anon_sym___stdcall] = ACTIONS(1461),
    [anon_sym___fastcall] = ACTIONS(1461),
    [anon_sym___thiscall] = ACTIONS(1461),
    [anon_sym___vectorcall] = ACTIONS(1461),
    [anon_sym_LBRACE] = ACTIONS(1463),
    [anon_sym_signed] = ACTIONS(1461),
    [anon_sym_unsigned] = ACTIONS(1461),
    [anon_sym_long] = ACTIONS(1461),
    [anon_sym_short] = ACTIONS(1461),
    [anon_sym_static] = ACTIONS(1461),
    [anon_sym_auto] = ACTIONS(1461),
    [anon_sym_register] = ACTIONS(1461),
    [anon_sym_inline] = ACTIONS(1461),
    [anon_sym___inline] = ACTIONS(1461),
    [anon_sym___inline__] = ACTIONS(1461),
    [anon_sym___forceinline] = ACTIONS(1461),
    [anon_sym_thread_local] = ACTIONS(1461),
    [anon_sym___thread] = ACTIONS(1461),
    [anon_sym_const] = ACTIONS(1461),
    [anon_sym_constexpr] = ACTIONS(1461),
    [anon_sym_volatile] = ACTIONS(1461),
    [anon_sym_restrict] = ACTIONS(1461),
    [anon_sym___restrict__] = ACTIONS(1461),
    [anon_sym__Atomic] = ACTIONS(1461),
    [anon_sym__Noreturn] = ACTIONS(1461),
    [anon_sym_noreturn] = ACTIONS(1461),
    [sym_primitive_type] = ACTIONS(1461),
    [anon_sym_enum] = ACTIONS(1461),
    [anon_sym_struct] = ACTIONS(1461),
    [anon_sym_union] = ACTIONS(1461),
    [anon_sym_if] = ACTIONS(1461),
    [anon_sym_else] = ACTIONS(1461),
    [anon_sym_switch] = ACTIONS(1461),
    [anon_sym_case] = ACTIONS(1461),
    [anon_sym_default] = ACTIONS(1461),
    [anon_sym_while] = ACTIONS(1461),
    [anon_sym_do] = ACTIONS(1461),
    [anon_sym_for] = ACTIONS(1461),
    [anon_sym_return] = ACTIONS(1461),
    [anon_sym_break] = ACTIONS(1461),
    [anon_sym_continue] = ACTIONS(1461),
    [anon_sym_goto] = ACTIONS(1461),
    [anon_sym___try] = ACTIONS(1461),
    [anon_sym___leave] = ACTIONS(1461),
    [anon_sym_DASH_DASH] = ACTIONS(1463),
    [anon_sym_PLUS_PLUS] = ACTIONS(1463),
    [anon_sym_sizeof] = ACTIONS(1461),
    [anon_sym___alignof__] = ACTIONS(1461),
    [anon_sym___alignof] = ACTIONS(1461),
    [anon_sym__alignof] = ACTIONS(1461),
    [anon_sym_alignof] = ACTIONS(1461),
    [anon_sym__Alignof] = ACTIONS(1461),
    [anon_sym_offsetof] = ACTIONS(1461),
    [anon_sym__Generic] = ACTIONS(1461),
    [anon_sym_asm] = ACTIONS(1461),
    [anon_sym___asm__] = ACTIONS(1461),
    [sym_number_literal] = ACTIONS(1463),
    [anon_sym_L_SQUOTE] = ACTIONS(1463),
    [anon_sym_u_SQUOTE] = ACTIONS(1463),
    [anon_sym_U_SQUOTE] = ACTIONS(1463),
    [anon_sym_u8_SQUOTE] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1463),
    [anon_sym_L_DQUOTE] = ACTIONS(1463),
    [anon_sym_u_DQUOTE] = ACTIONS(1463),
    [anon_sym_U_DQUOTE] = ACTIONS(1463),
    [anon_sym_u8_DQUOTE] = ACTIONS(1463),
    [anon_sym_DQUOTE] = ACTIONS(1463),
    [sym_true] = ACTIONS(1461),
    [sym_false] = ACTIONS(1461),
    [anon_sym_NULL] = ACTIONS(1461),
    [anon_sym_nullptr] = ACTIONS(1461),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1461),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1461),
    [anon_sym_hitAttributeEXT] = ACTIONS(1461),
    [anon_sym_callableDataEXT] = ACTIONS(1461),
    [anon_sym_callableDataInEXT] = ACTIONS(1461),
    [anon_sym_shaderRecordEXT] = ACTIONS(1461),
    [anon_sym_rayPayloadNV] = ACTIONS(1461),
    [anon_sym_rayPayloadInNV] = ACTIONS(1461),
    [anon_sym_hitAttributeNV] = ACTIONS(1461),
    [anon_sym_callableDataNV] = ACTIONS(1461),
    [anon_sym_callableDataInNV] = ACTIONS(1461),
    [anon_sym_shaderRecordNV] = ACTIONS(1461),
    [anon_sym_layout] = ACTIONS(1461),
  },
  [357] = {
    [ts_builtin_sym_end] = ACTIONS(1451),
    [sym_identifier] = ACTIONS(1449),
    [aux_sym_preproc_include_token1] = ACTIONS(1449),
    [aux_sym_preproc_def_token1] = ACTIONS(1449),
    [aux_sym_preproc_if_token1] = ACTIONS(1449),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1449),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1449),
    [sym_preproc_directive] = ACTIONS(1449),
    [anon_sym_LPAREN2] = ACTIONS(1451),
    [anon_sym_BANG] = ACTIONS(1451),
    [anon_sym_TILDE] = ACTIONS(1451),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_STAR] = ACTIONS(1451),
    [anon_sym_AMP] = ACTIONS(1451),
    [anon_sym_subroutine] = ACTIONS(1449),
    [anon_sym_invariant] = ACTIONS(1449),
    [anon_sym_precise] = ACTIONS(1449),
    [anon_sym_SEMI] = ACTIONS(1451),
    [anon_sym_in] = ACTIONS(1449),
    [anon_sym_out] = ACTIONS(1449),
    [anon_sym_inout] = ACTIONS(1449),
    [anon_sym_uniform] = ACTIONS(1449),
    [anon_sym_shared] = ACTIONS(1449),
    [anon_sym_attribute] = ACTIONS(1449),
    [anon_sym_varying] = ACTIONS(1449),
    [anon_sym_buffer] = ACTIONS(1449),
    [anon_sym_coherent] = ACTIONS(1449),
    [anon_sym_readonly] = ACTIONS(1449),
    [anon_sym_writeonly] = ACTIONS(1449),
    [anon_sym_precision] = ACTIONS(1449),
    [anon_sym_highp] = ACTIONS(1449),
    [anon_sym_mediump] = ACTIONS(1449),
    [anon_sym_lowp] = ACTIONS(1449),
    [anon_sym_centroid] = ACTIONS(1449),
    [anon_sym_sample] = ACTIONS(1449),
    [anon_sym_patch] = ACTIONS(1449),
    [anon_sym_smooth] = ACTIONS(1449),
    [anon_sym_flat] = ACTIONS(1449),
    [anon_sym_noperspective] = ACTIONS(1449),
    [anon_sym___extension__] = ACTIONS(1449),
    [anon_sym_typedef] = ACTIONS(1449),
    [anon_sym_extern] = ACTIONS(1449),
    [anon_sym___attribute__] = ACTIONS(1449),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1451),
    [anon_sym___declspec] = ACTIONS(1449),
    [anon_sym___cdecl] = ACTIONS(1449),
    [anon_sym___clrcall] = ACTIONS(1449),
    [anon_sym___stdcall] = ACTIONS(1449),
    [anon_sym___fastcall] = ACTIONS(1449),
    [anon_sym___thiscall] = ACTIONS(1449),
    [anon_sym___vectorcall] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_signed] = ACTIONS(1449),
    [anon_sym_unsigned] = ACTIONS(1449),
    [anon_sym_long] = ACTIONS(1449),
    [anon_sym_short] = ACTIONS(1449),
    [anon_sym_static] = ACTIONS(1449),
    [anon_sym_auto] = ACTIONS(1449),
    [anon_sym_register] = ACTIONS(1449),
    [anon_sym_inline] = ACTIONS(1449),
    [anon_sym___inline] = ACTIONS(1449),
    [anon_sym___inline__] = ACTIONS(1449),
    [anon_sym___forceinline] = ACTIONS(1449),
    [anon_sym_thread_local] = ACTIONS(1449),
    [anon_sym___thread] = ACTIONS(1449),
    [anon_sym_const] = ACTIONS(1449),
    [anon_sym_constexpr] = ACTIONS(1449),
    [anon_sym_volatile] = ACTIONS(1449),
    [anon_sym_restrict] = ACTIONS(1449),
    [anon_sym___restrict__] = ACTIONS(1449),
    [anon_sym__Atomic] = ACTIONS(1449),
    [anon_sym__Noreturn] = ACTIONS(1449),
    [anon_sym_noreturn] = ACTIONS(1449),
    [sym_primitive_type] = ACTIONS(1449),
    [anon_sym_enum] = ACTIONS(1449),
    [anon_sym_struct] = ACTIONS(1449),
    [anon_sym_union] = ACTIONS(1449),
    [anon_sym_if] = ACTIONS(1449),
    [anon_sym_else] = ACTIONS(1449),
    [anon_sym_switch] = ACTIONS(1449),
    [anon_sym_case] = ACTIONS(1449),
    [anon_sym_default] = ACTIONS(1449),
    [anon_sym_while] = ACTIONS(1449),
    [anon_sym_do] = ACTIONS(1449),
    [anon_sym_for] = ACTIONS(1449),
    [anon_sym_return] = ACTIONS(1449),
    [anon_sym_break] = ACTIONS(1449),
    [anon_sym_continue] = ACTIONS(1449),
    [anon_sym_goto] = ACTIONS(1449),
    [anon_sym___try] = ACTIONS(1449),
    [anon_sym___leave] = ACTIONS(1449),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym___alignof__] = ACTIONS(1449),
    [anon_sym___alignof] = ACTIONS(1449),
    [anon_sym__alignof] = ACTIONS(1449),
    [anon_sym_alignof] = ACTIONS(1449),
    [anon_sym__Alignof] = ACTIONS(1449),
    [anon_sym_offsetof] = ACTIONS(1449),
    [anon_sym__Generic] = ACTIONS(1449),
    [anon_sym_asm] = ACTIONS(1449),
    [anon_sym___asm__] = ACTIONS(1449),
    [sym_number_literal] = ACTIONS(1451),
    [anon_sym_L_SQUOTE] = ACTIONS(1451),
    [anon_sym_u_SQUOTE] = ACTIONS(1451),
    [anon_sym_U_SQUOTE] = ACTIONS(1451),
    [anon_sym_u8_SQUOTE] = ACTIONS(1451),
    [anon_sym_SQUOTE] = ACTIONS(1451),
    [anon_sym_L_DQUOTE] = ACTIONS(1451),
    [anon_sym_u_DQUOTE] = ACTIONS(1451),
    [anon_sym_U_DQUOTE] = ACTIONS(1451),
    [anon_sym_u8_DQUOTE] = ACTIONS(1451),
    [anon_sym_DQUOTE] = ACTIONS(1451),
    [sym_true] = ACTIONS(1449),
    [sym_false] = ACTIONS(1449),
    [anon_sym_NULL] = ACTIONS(1449),
    [anon_sym_nullptr] = ACTIONS(1449),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1449),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1449),
    [anon_sym_hitAttributeEXT] = ACTIONS(1449),
    [anon_sym_callableDataEXT] = ACTIONS(1449),
    [anon_sym_callableDataInEXT] = ACTIONS(1449),
    [anon_sym_shaderRecordEXT] = ACTIONS(1449),
    [anon_sym_rayPayloadNV] = ACTIONS(1449),
    [anon_sym_rayPayloadInNV] = ACTIONS(1449),
    [anon_sym_hitAttributeNV] = ACTIONS(1449),
    [anon_sym_callableDataNV] = ACTIONS(1449),
    [anon_sym_callableDataInNV] = ACTIONS(1449),
    [anon_sym_shaderRecordNV] = ACTIONS(1449),
    [anon_sym_layout] = ACTIONS(1449),
  },
  [358] = {
    [sym_identifier] = ACTIONS(1457),
    [aux_sym_preproc_include_token1] = ACTIONS(1457),
    [aux_sym_preproc_def_token1] = ACTIONS(1457),
    [aux_sym_preproc_if_token1] = ACTIONS(1457),
    [aux_sym_preproc_if_token2] = ACTIONS(1457),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1457),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1457),
    [sym_preproc_directive] = ACTIONS(1457),
    [anon_sym_LPAREN2] = ACTIONS(1459),
    [anon_sym_BANG] = ACTIONS(1459),
    [anon_sym_TILDE] = ACTIONS(1459),
    [anon_sym_DASH] = ACTIONS(1457),
    [anon_sym_PLUS] = ACTIONS(1457),
    [anon_sym_STAR] = ACTIONS(1459),
    [anon_sym_AMP] = ACTIONS(1459),
    [anon_sym_subroutine] = ACTIONS(1457),
    [anon_sym_invariant] = ACTIONS(1457),
    [anon_sym_precise] = ACTIONS(1457),
    [anon_sym_SEMI] = ACTIONS(1459),
    [anon_sym_in] = ACTIONS(1457),
    [anon_sym_out] = ACTIONS(1457),
    [anon_sym_inout] = ACTIONS(1457),
    [anon_sym_uniform] = ACTIONS(1457),
    [anon_sym_shared] = ACTIONS(1457),
    [anon_sym_attribute] = ACTIONS(1457),
    [anon_sym_varying] = ACTIONS(1457),
    [anon_sym_buffer] = ACTIONS(1457),
    [anon_sym_coherent] = ACTIONS(1457),
    [anon_sym_readonly] = ACTIONS(1457),
    [anon_sym_writeonly] = ACTIONS(1457),
    [anon_sym_precision] = ACTIONS(1457),
    [anon_sym_highp] = ACTIONS(1457),
    [anon_sym_mediump] = ACTIONS(1457),
    [anon_sym_lowp] = ACTIONS(1457),
    [anon_sym_centroid] = ACTIONS(1457),
    [anon_sym_sample] = ACTIONS(1457),
    [anon_sym_patch] = ACTIONS(1457),
    [anon_sym_smooth] = ACTIONS(1457),
    [anon_sym_flat] = ACTIONS(1457),
    [anon_sym_noperspective] = ACTIONS(1457),
    [anon_sym___extension__] = ACTIONS(1457),
    [anon_sym_typedef] = ACTIONS(1457),
    [anon_sym_extern] = ACTIONS(1457),
    [anon_sym___attribute__] = ACTIONS(1457),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1459),
    [anon_sym___declspec] = ACTIONS(1457),
    [anon_sym___cdecl] = ACTIONS(1457),
    [anon_sym___clrcall] = ACTIONS(1457),
    [anon_sym___stdcall] = ACTIONS(1457),
    [anon_sym___fastcall] = ACTIONS(1457),
    [anon_sym___thiscall] = ACTIONS(1457),
    [anon_sym___vectorcall] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(1459),
    [anon_sym_signed] = ACTIONS(1457),
    [anon_sym_unsigned] = ACTIONS(1457),
    [anon_sym_long] = ACTIONS(1457),
    [anon_sym_short] = ACTIONS(1457),
    [anon_sym_static] = ACTIONS(1457),
    [anon_sym_auto] = ACTIONS(1457),
    [anon_sym_register] = ACTIONS(1457),
    [anon_sym_inline] = ACTIONS(1457),
    [anon_sym___inline] = ACTIONS(1457),
    [anon_sym___inline__] = ACTIONS(1457),
    [anon_sym___forceinline] = ACTIONS(1457),
    [anon_sym_thread_local] = ACTIONS(1457),
    [anon_sym___thread] = ACTIONS(1457),
    [anon_sym_const] = ACTIONS(1457),
    [anon_sym_constexpr] = ACTIONS(1457),
    [anon_sym_volatile] = ACTIONS(1457),
    [anon_sym_restrict] = ACTIONS(1457),
    [anon_sym___restrict__] = ACTIONS(1457),
    [anon_sym__Atomic] = ACTIONS(1457),
    [anon_sym__Noreturn] = ACTIONS(1457),
    [anon_sym_noreturn] = ACTIONS(1457),
    [sym_primitive_type] = ACTIONS(1457),
    [anon_sym_enum] = ACTIONS(1457),
    [anon_sym_struct] = ACTIONS(1457),
    [anon_sym_union] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1457),
    [anon_sym_else] = ACTIONS(1457),
    [anon_sym_switch] = ACTIONS(1457),
    [anon_sym_case] = ACTIONS(1457),
    [anon_sym_default] = ACTIONS(1457),
    [anon_sym_while] = ACTIONS(1457),
    [anon_sym_do] = ACTIONS(1457),
    [anon_sym_for] = ACTIONS(1457),
    [anon_sym_return] = ACTIONS(1457),
    [anon_sym_break] = ACTIONS(1457),
    [anon_sym_continue] = ACTIONS(1457),
    [anon_sym_goto] = ACTIONS(1457),
    [anon_sym___try] = ACTIONS(1457),
    [anon_sym___leave] = ACTIONS(1457),
    [anon_sym_DASH_DASH] = ACTIONS(1459),
    [anon_sym_PLUS_PLUS] = ACTIONS(1459),
    [anon_sym_sizeof] = ACTIONS(1457),
    [anon_sym___alignof__] = ACTIONS(1457),
    [anon_sym___alignof] = ACTIONS(1457),
    [anon_sym__alignof] = ACTIONS(1457),
    [anon_sym_alignof] = ACTIONS(1457),
    [anon_sym__Alignof] = ACTIONS(1457),
    [anon_sym_offsetof] = ACTIONS(1457),
    [anon_sym__Generic] = ACTIONS(1457),
    [anon_sym_asm] = ACTIONS(1457),
    [anon_sym___asm__] = ACTIONS(1457),
    [sym_number_literal] = ACTIONS(1459),
    [anon_sym_L_SQUOTE] = ACTIONS(1459),
    [anon_sym_u_SQUOTE] = ACTIONS(1459),
    [anon_sym_U_SQUOTE] = ACTIONS(1459),
    [anon_sym_u8_SQUOTE] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1459),
    [anon_sym_L_DQUOTE] = ACTIONS(1459),
    [anon_sym_u_DQUOTE] = ACTIONS(1459),
    [anon_sym_U_DQUOTE] = ACTIONS(1459),
    [anon_sym_u8_DQUOTE] = ACTIONS(1459),
    [anon_sym_DQUOTE] = ACTIONS(1459),
    [sym_true] = ACTIONS(1457),
    [sym_false] = ACTIONS(1457),
    [anon_sym_NULL] = ACTIONS(1457),
    [anon_sym_nullptr] = ACTIONS(1457),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1457),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1457),
    [anon_sym_hitAttributeEXT] = ACTIONS(1457),
    [anon_sym_callableDataEXT] = ACTIONS(1457),
    [anon_sym_callableDataInEXT] = ACTIONS(1457),
    [anon_sym_shaderRecordEXT] = ACTIONS(1457),
    [anon_sym_rayPayloadNV] = ACTIONS(1457),
    [anon_sym_rayPayloadInNV] = ACTIONS(1457),
    [anon_sym_hitAttributeNV] = ACTIONS(1457),
    [anon_sym_callableDataNV] = ACTIONS(1457),
    [anon_sym_callableDataInNV] = ACTIONS(1457),
    [anon_sym_shaderRecordNV] = ACTIONS(1457),
    [anon_sym_layout] = ACTIONS(1457),
  },
  [359] = {
    [sym_identifier] = ACTIONS(1453),
    [aux_sym_preproc_include_token1] = ACTIONS(1453),
    [aux_sym_preproc_def_token1] = ACTIONS(1453),
    [aux_sym_preproc_if_token1] = ACTIONS(1453),
    [aux_sym_preproc_if_token2] = ACTIONS(1453),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1453),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1453),
    [sym_preproc_directive] = ACTIONS(1453),
    [anon_sym_LPAREN2] = ACTIONS(1455),
    [anon_sym_BANG] = ACTIONS(1455),
    [anon_sym_TILDE] = ACTIONS(1455),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_STAR] = ACTIONS(1455),
    [anon_sym_AMP] = ACTIONS(1455),
    [anon_sym_subroutine] = ACTIONS(1453),
    [anon_sym_invariant] = ACTIONS(1453),
    [anon_sym_precise] = ACTIONS(1453),
    [anon_sym_SEMI] = ACTIONS(1455),
    [anon_sym_in] = ACTIONS(1453),
    [anon_sym_out] = ACTIONS(1453),
    [anon_sym_inout] = ACTIONS(1453),
    [anon_sym_uniform] = ACTIONS(1453),
    [anon_sym_shared] = ACTIONS(1453),
    [anon_sym_attribute] = ACTIONS(1453),
    [anon_sym_varying] = ACTIONS(1453),
    [anon_sym_buffer] = ACTIONS(1453),
    [anon_sym_coherent] = ACTIONS(1453),
    [anon_sym_readonly] = ACTIONS(1453),
    [anon_sym_writeonly] = ACTIONS(1453),
    [anon_sym_precision] = ACTIONS(1453),
    [anon_sym_highp] = ACTIONS(1453),
    [anon_sym_mediump] = ACTIONS(1453),
    [anon_sym_lowp] = ACTIONS(1453),
    [anon_sym_centroid] = ACTIONS(1453),
    [anon_sym_sample] = ACTIONS(1453),
    [anon_sym_patch] = ACTIONS(1453),
    [anon_sym_smooth] = ACTIONS(1453),
    [anon_sym_flat] = ACTIONS(1453),
    [anon_sym_noperspective] = ACTIONS(1453),
    [anon_sym___extension__] = ACTIONS(1453),
    [anon_sym_typedef] = ACTIONS(1453),
    [anon_sym_extern] = ACTIONS(1453),
    [anon_sym___attribute__] = ACTIONS(1453),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1455),
    [anon_sym___declspec] = ACTIONS(1453),
    [anon_sym___cdecl] = ACTIONS(1453),
    [anon_sym___clrcall] = ACTIONS(1453),
    [anon_sym___stdcall] = ACTIONS(1453),
    [anon_sym___fastcall] = ACTIONS(1453),
    [anon_sym___thiscall] = ACTIONS(1453),
    [anon_sym___vectorcall] = ACTIONS(1453),
    [anon_sym_LBRACE] = ACTIONS(1455),
    [anon_sym_signed] = ACTIONS(1453),
    [anon_sym_unsigned] = ACTIONS(1453),
    [anon_sym_long] = ACTIONS(1453),
    [anon_sym_short] = ACTIONS(1453),
    [anon_sym_static] = ACTIONS(1453),
    [anon_sym_auto] = ACTIONS(1453),
    [anon_sym_register] = ACTIONS(1453),
    [anon_sym_inline] = ACTIONS(1453),
    [anon_sym___inline] = ACTIONS(1453),
    [anon_sym___inline__] = ACTIONS(1453),
    [anon_sym___forceinline] = ACTIONS(1453),
    [anon_sym_thread_local] = ACTIONS(1453),
    [anon_sym___thread] = ACTIONS(1453),
    [anon_sym_const] = ACTIONS(1453),
    [anon_sym_constexpr] = ACTIONS(1453),
    [anon_sym_volatile] = ACTIONS(1453),
    [anon_sym_restrict] = ACTIONS(1453),
    [anon_sym___restrict__] = ACTIONS(1453),
    [anon_sym__Atomic] = ACTIONS(1453),
    [anon_sym__Noreturn] = ACTIONS(1453),
    [anon_sym_noreturn] = ACTIONS(1453),
    [sym_primitive_type] = ACTIONS(1453),
    [anon_sym_enum] = ACTIONS(1453),
    [anon_sym_struct] = ACTIONS(1453),
    [anon_sym_union] = ACTIONS(1453),
    [anon_sym_if] = ACTIONS(1453),
    [anon_sym_else] = ACTIONS(1453),
    [anon_sym_switch] = ACTIONS(1453),
    [anon_sym_case] = ACTIONS(1453),
    [anon_sym_default] = ACTIONS(1453),
    [anon_sym_while] = ACTIONS(1453),
    [anon_sym_do] = ACTIONS(1453),
    [anon_sym_for] = ACTIONS(1453),
    [anon_sym_return] = ACTIONS(1453),
    [anon_sym_break] = ACTIONS(1453),
    [anon_sym_continue] = ACTIONS(1453),
    [anon_sym_goto] = ACTIONS(1453),
    [anon_sym___try] = ACTIONS(1453),
    [anon_sym___leave] = ACTIONS(1453),
    [anon_sym_DASH_DASH] = ACTIONS(1455),
    [anon_sym_PLUS_PLUS] = ACTIONS(1455),
    [anon_sym_sizeof] = ACTIONS(1453),
    [anon_sym___alignof__] = ACTIONS(1453),
    [anon_sym___alignof] = ACTIONS(1453),
    [anon_sym__alignof] = ACTIONS(1453),
    [anon_sym_alignof] = ACTIONS(1453),
    [anon_sym__Alignof] = ACTIONS(1453),
    [anon_sym_offsetof] = ACTIONS(1453),
    [anon_sym__Generic] = ACTIONS(1453),
    [anon_sym_asm] = ACTIONS(1453),
    [anon_sym___asm__] = ACTIONS(1453),
    [sym_number_literal] = ACTIONS(1455),
    [anon_sym_L_SQUOTE] = ACTIONS(1455),
    [anon_sym_u_SQUOTE] = ACTIONS(1455),
    [anon_sym_U_SQUOTE] = ACTIONS(1455),
    [anon_sym_u8_SQUOTE] = ACTIONS(1455),
    [anon_sym_SQUOTE] = ACTIONS(1455),
    [anon_sym_L_DQUOTE] = ACTIONS(1455),
    [anon_sym_u_DQUOTE] = ACTIONS(1455),
    [anon_sym_U_DQUOTE] = ACTIONS(1455),
    [anon_sym_u8_DQUOTE] = ACTIONS(1455),
    [anon_sym_DQUOTE] = ACTIONS(1455),
    [sym_true] = ACTIONS(1453),
    [sym_false] = ACTIONS(1453),
    [anon_sym_NULL] = ACTIONS(1453),
    [anon_sym_nullptr] = ACTIONS(1453),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1453),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1453),
    [anon_sym_hitAttributeEXT] = ACTIONS(1453),
    [anon_sym_callableDataEXT] = ACTIONS(1453),
    [anon_sym_callableDataInEXT] = ACTIONS(1453),
    [anon_sym_shaderRecordEXT] = ACTIONS(1453),
    [anon_sym_rayPayloadNV] = ACTIONS(1453),
    [anon_sym_rayPayloadInNV] = ACTIONS(1453),
    [anon_sym_hitAttributeNV] = ACTIONS(1453),
    [anon_sym_callableDataNV] = ACTIONS(1453),
    [anon_sym_callableDataInNV] = ACTIONS(1453),
    [anon_sym_shaderRecordNV] = ACTIONS(1453),
    [anon_sym_layout] = ACTIONS(1453),
  },
  [360] = {
    [ts_builtin_sym_end] = ACTIONS(1451),
    [sym_identifier] = ACTIONS(1449),
    [aux_sym_preproc_include_token1] = ACTIONS(1449),
    [aux_sym_preproc_def_token1] = ACTIONS(1449),
    [aux_sym_preproc_if_token1] = ACTIONS(1449),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1449),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1449),
    [sym_preproc_directive] = ACTIONS(1449),
    [anon_sym_LPAREN2] = ACTIONS(1451),
    [anon_sym_BANG] = ACTIONS(1451),
    [anon_sym_TILDE] = ACTIONS(1451),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_STAR] = ACTIONS(1451),
    [anon_sym_AMP] = ACTIONS(1451),
    [anon_sym_subroutine] = ACTIONS(1449),
    [anon_sym_invariant] = ACTIONS(1449),
    [anon_sym_precise] = ACTIONS(1449),
    [anon_sym_SEMI] = ACTIONS(1451),
    [anon_sym_in] = ACTIONS(1449),
    [anon_sym_out] = ACTIONS(1449),
    [anon_sym_inout] = ACTIONS(1449),
    [anon_sym_uniform] = ACTIONS(1449),
    [anon_sym_shared] = ACTIONS(1449),
    [anon_sym_attribute] = ACTIONS(1449),
    [anon_sym_varying] = ACTIONS(1449),
    [anon_sym_buffer] = ACTIONS(1449),
    [anon_sym_coherent] = ACTIONS(1449),
    [anon_sym_readonly] = ACTIONS(1449),
    [anon_sym_writeonly] = ACTIONS(1449),
    [anon_sym_precision] = ACTIONS(1449),
    [anon_sym_highp] = ACTIONS(1449),
    [anon_sym_mediump] = ACTIONS(1449),
    [anon_sym_lowp] = ACTIONS(1449),
    [anon_sym_centroid] = ACTIONS(1449),
    [anon_sym_sample] = ACTIONS(1449),
    [anon_sym_patch] = ACTIONS(1449),
    [anon_sym_smooth] = ACTIONS(1449),
    [anon_sym_flat] = ACTIONS(1449),
    [anon_sym_noperspective] = ACTIONS(1449),
    [anon_sym___extension__] = ACTIONS(1449),
    [anon_sym_typedef] = ACTIONS(1449),
    [anon_sym_extern] = ACTIONS(1449),
    [anon_sym___attribute__] = ACTIONS(1449),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1451),
    [anon_sym___declspec] = ACTIONS(1449),
    [anon_sym___cdecl] = ACTIONS(1449),
    [anon_sym___clrcall] = ACTIONS(1449),
    [anon_sym___stdcall] = ACTIONS(1449),
    [anon_sym___fastcall] = ACTIONS(1449),
    [anon_sym___thiscall] = ACTIONS(1449),
    [anon_sym___vectorcall] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_signed] = ACTIONS(1449),
    [anon_sym_unsigned] = ACTIONS(1449),
    [anon_sym_long] = ACTIONS(1449),
    [anon_sym_short] = ACTIONS(1449),
    [anon_sym_static] = ACTIONS(1449),
    [anon_sym_auto] = ACTIONS(1449),
    [anon_sym_register] = ACTIONS(1449),
    [anon_sym_inline] = ACTIONS(1449),
    [anon_sym___inline] = ACTIONS(1449),
    [anon_sym___inline__] = ACTIONS(1449),
    [anon_sym___forceinline] = ACTIONS(1449),
    [anon_sym_thread_local] = ACTIONS(1449),
    [anon_sym___thread] = ACTIONS(1449),
    [anon_sym_const] = ACTIONS(1449),
    [anon_sym_constexpr] = ACTIONS(1449),
    [anon_sym_volatile] = ACTIONS(1449),
    [anon_sym_restrict] = ACTIONS(1449),
    [anon_sym___restrict__] = ACTIONS(1449),
    [anon_sym__Atomic] = ACTIONS(1449),
    [anon_sym__Noreturn] = ACTIONS(1449),
    [anon_sym_noreturn] = ACTIONS(1449),
    [sym_primitive_type] = ACTIONS(1449),
    [anon_sym_enum] = ACTIONS(1449),
    [anon_sym_struct] = ACTIONS(1449),
    [anon_sym_union] = ACTIONS(1449),
    [anon_sym_if] = ACTIONS(1449),
    [anon_sym_else] = ACTIONS(1449),
    [anon_sym_switch] = ACTIONS(1449),
    [anon_sym_case] = ACTIONS(1449),
    [anon_sym_default] = ACTIONS(1449),
    [anon_sym_while] = ACTIONS(1449),
    [anon_sym_do] = ACTIONS(1449),
    [anon_sym_for] = ACTIONS(1449),
    [anon_sym_return] = ACTIONS(1449),
    [anon_sym_break] = ACTIONS(1449),
    [anon_sym_continue] = ACTIONS(1449),
    [anon_sym_goto] = ACTIONS(1449),
    [anon_sym___try] = ACTIONS(1449),
    [anon_sym___leave] = ACTIONS(1449),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym___alignof__] = ACTIONS(1449),
    [anon_sym___alignof] = ACTIONS(1449),
    [anon_sym__alignof] = ACTIONS(1449),
    [anon_sym_alignof] = ACTIONS(1449),
    [anon_sym__Alignof] = ACTIONS(1449),
    [anon_sym_offsetof] = ACTIONS(1449),
    [anon_sym__Generic] = ACTIONS(1449),
    [anon_sym_asm] = ACTIONS(1449),
    [anon_sym___asm__] = ACTIONS(1449),
    [sym_number_literal] = ACTIONS(1451),
    [anon_sym_L_SQUOTE] = ACTIONS(1451),
    [anon_sym_u_SQUOTE] = ACTIONS(1451),
    [anon_sym_U_SQUOTE] = ACTIONS(1451),
    [anon_sym_u8_SQUOTE] = ACTIONS(1451),
    [anon_sym_SQUOTE] = ACTIONS(1451),
    [anon_sym_L_DQUOTE] = ACTIONS(1451),
    [anon_sym_u_DQUOTE] = ACTIONS(1451),
    [anon_sym_U_DQUOTE] = ACTIONS(1451),
    [anon_sym_u8_DQUOTE] = ACTIONS(1451),
    [anon_sym_DQUOTE] = ACTIONS(1451),
    [sym_true] = ACTIONS(1449),
    [sym_false] = ACTIONS(1449),
    [anon_sym_NULL] = ACTIONS(1449),
    [anon_sym_nullptr] = ACTIONS(1449),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1449),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1449),
    [anon_sym_hitAttributeEXT] = ACTIONS(1449),
    [anon_sym_callableDataEXT] = ACTIONS(1449),
    [anon_sym_callableDataInEXT] = ACTIONS(1449),
    [anon_sym_shaderRecordEXT] = ACTIONS(1449),
    [anon_sym_rayPayloadNV] = ACTIONS(1449),
    [anon_sym_rayPayloadInNV] = ACTIONS(1449),
    [anon_sym_hitAttributeNV] = ACTIONS(1449),
    [anon_sym_callableDataNV] = ACTIONS(1449),
    [anon_sym_callableDataInNV] = ACTIONS(1449),
    [anon_sym_shaderRecordNV] = ACTIONS(1449),
    [anon_sym_layout] = ACTIONS(1449),
  },
  [361] = {
    [sym_identifier] = ACTIONS(1445),
    [aux_sym_preproc_include_token1] = ACTIONS(1445),
    [aux_sym_preproc_def_token1] = ACTIONS(1445),
    [aux_sym_preproc_if_token1] = ACTIONS(1445),
    [aux_sym_preproc_if_token2] = ACTIONS(1445),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1445),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1445),
    [sym_preproc_directive] = ACTIONS(1445),
    [anon_sym_LPAREN2] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1447),
    [anon_sym_TILDE] = ACTIONS(1447),
    [anon_sym_DASH] = ACTIONS(1445),
    [anon_sym_PLUS] = ACTIONS(1445),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_subroutine] = ACTIONS(1445),
    [anon_sym_invariant] = ACTIONS(1445),
    [anon_sym_precise] = ACTIONS(1445),
    [anon_sym_SEMI] = ACTIONS(1447),
    [anon_sym_in] = ACTIONS(1445),
    [anon_sym_out] = ACTIONS(1445),
    [anon_sym_inout] = ACTIONS(1445),
    [anon_sym_uniform] = ACTIONS(1445),
    [anon_sym_shared] = ACTIONS(1445),
    [anon_sym_attribute] = ACTIONS(1445),
    [anon_sym_varying] = ACTIONS(1445),
    [anon_sym_buffer] = ACTIONS(1445),
    [anon_sym_coherent] = ACTIONS(1445),
    [anon_sym_readonly] = ACTIONS(1445),
    [anon_sym_writeonly] = ACTIONS(1445),
    [anon_sym_precision] = ACTIONS(1445),
    [anon_sym_highp] = ACTIONS(1445),
    [anon_sym_mediump] = ACTIONS(1445),
    [anon_sym_lowp] = ACTIONS(1445),
    [anon_sym_centroid] = ACTIONS(1445),
    [anon_sym_sample] = ACTIONS(1445),
    [anon_sym_patch] = ACTIONS(1445),
    [anon_sym_smooth] = ACTIONS(1445),
    [anon_sym_flat] = ACTIONS(1445),
    [anon_sym_noperspective] = ACTIONS(1445),
    [anon_sym___extension__] = ACTIONS(1445),
    [anon_sym_typedef] = ACTIONS(1445),
    [anon_sym_extern] = ACTIONS(1445),
    [anon_sym___attribute__] = ACTIONS(1445),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1447),
    [anon_sym___declspec] = ACTIONS(1445),
    [anon_sym___cdecl] = ACTIONS(1445),
    [anon_sym___clrcall] = ACTIONS(1445),
    [anon_sym___stdcall] = ACTIONS(1445),
    [anon_sym___fastcall] = ACTIONS(1445),
    [anon_sym___thiscall] = ACTIONS(1445),
    [anon_sym___vectorcall] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(1447),
    [anon_sym_signed] = ACTIONS(1445),
    [anon_sym_unsigned] = ACTIONS(1445),
    [anon_sym_long] = ACTIONS(1445),
    [anon_sym_short] = ACTIONS(1445),
    [anon_sym_static] = ACTIONS(1445),
    [anon_sym_auto] = ACTIONS(1445),
    [anon_sym_register] = ACTIONS(1445),
    [anon_sym_inline] = ACTIONS(1445),
    [anon_sym___inline] = ACTIONS(1445),
    [anon_sym___inline__] = ACTIONS(1445),
    [anon_sym___forceinline] = ACTIONS(1445),
    [anon_sym_thread_local] = ACTIONS(1445),
    [anon_sym___thread] = ACTIONS(1445),
    [anon_sym_const] = ACTIONS(1445),
    [anon_sym_constexpr] = ACTIONS(1445),
    [anon_sym_volatile] = ACTIONS(1445),
    [anon_sym_restrict] = ACTIONS(1445),
    [anon_sym___restrict__] = ACTIONS(1445),
    [anon_sym__Atomic] = ACTIONS(1445),
    [anon_sym__Noreturn] = ACTIONS(1445),
    [anon_sym_noreturn] = ACTIONS(1445),
    [sym_primitive_type] = ACTIONS(1445),
    [anon_sym_enum] = ACTIONS(1445),
    [anon_sym_struct] = ACTIONS(1445),
    [anon_sym_union] = ACTIONS(1445),
    [anon_sym_if] = ACTIONS(1445),
    [anon_sym_else] = ACTIONS(1445),
    [anon_sym_switch] = ACTIONS(1445),
    [anon_sym_case] = ACTIONS(1445),
    [anon_sym_default] = ACTIONS(1445),
    [anon_sym_while] = ACTIONS(1445),
    [anon_sym_do] = ACTIONS(1445),
    [anon_sym_for] = ACTIONS(1445),
    [anon_sym_return] = ACTIONS(1445),
    [anon_sym_break] = ACTIONS(1445),
    [anon_sym_continue] = ACTIONS(1445),
    [anon_sym_goto] = ACTIONS(1445),
    [anon_sym___try] = ACTIONS(1445),
    [anon_sym___leave] = ACTIONS(1445),
    [anon_sym_DASH_DASH] = ACTIONS(1447),
    [anon_sym_PLUS_PLUS] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1445),
    [anon_sym___alignof__] = ACTIONS(1445),
    [anon_sym___alignof] = ACTIONS(1445),
    [anon_sym__alignof] = ACTIONS(1445),
    [anon_sym_alignof] = ACTIONS(1445),
    [anon_sym__Alignof] = ACTIONS(1445),
    [anon_sym_offsetof] = ACTIONS(1445),
    [anon_sym__Generic] = ACTIONS(1445),
    [anon_sym_asm] = ACTIONS(1445),
    [anon_sym___asm__] = ACTIONS(1445),
    [sym_number_literal] = ACTIONS(1447),
    [anon_sym_L_SQUOTE] = ACTIONS(1447),
    [anon_sym_u_SQUOTE] = ACTIONS(1447),
    [anon_sym_U_SQUOTE] = ACTIONS(1447),
    [anon_sym_u8_SQUOTE] = ACTIONS(1447),
    [anon_sym_SQUOTE] = ACTIONS(1447),
    [anon_sym_L_DQUOTE] = ACTIONS(1447),
    [anon_sym_u_DQUOTE] = ACTIONS(1447),
    [anon_sym_U_DQUOTE] = ACTIONS(1447),
    [anon_sym_u8_DQUOTE] = ACTIONS(1447),
    [anon_sym_DQUOTE] = ACTIONS(1447),
    [sym_true] = ACTIONS(1445),
    [sym_false] = ACTIONS(1445),
    [anon_sym_NULL] = ACTIONS(1445),
    [anon_sym_nullptr] = ACTIONS(1445),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1445),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1445),
    [anon_sym_hitAttributeEXT] = ACTIONS(1445),
    [anon_sym_callableDataEXT] = ACTIONS(1445),
    [anon_sym_callableDataInEXT] = ACTIONS(1445),
    [anon_sym_shaderRecordEXT] = ACTIONS(1445),
    [anon_sym_rayPayloadNV] = ACTIONS(1445),
    [anon_sym_rayPayloadInNV] = ACTIONS(1445),
    [anon_sym_hitAttributeNV] = ACTIONS(1445),
    [anon_sym_callableDataNV] = ACTIONS(1445),
    [anon_sym_callableDataInNV] = ACTIONS(1445),
    [anon_sym_shaderRecordNV] = ACTIONS(1445),
    [anon_sym_layout] = ACTIONS(1445),
  },
  [362] = {
    [sym_identifier] = ACTIONS(1441),
    [aux_sym_preproc_include_token1] = ACTIONS(1441),
    [aux_sym_preproc_def_token1] = ACTIONS(1441),
    [aux_sym_preproc_if_token1] = ACTIONS(1441),
    [aux_sym_preproc_if_token2] = ACTIONS(1441),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1441),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1441),
    [sym_preproc_directive] = ACTIONS(1441),
    [anon_sym_LPAREN2] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(1443),
    [anon_sym_TILDE] = ACTIONS(1443),
    [anon_sym_DASH] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_STAR] = ACTIONS(1443),
    [anon_sym_AMP] = ACTIONS(1443),
    [anon_sym_subroutine] = ACTIONS(1441),
    [anon_sym_invariant] = ACTIONS(1441),
    [anon_sym_precise] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1443),
    [anon_sym_in] = ACTIONS(1441),
    [anon_sym_out] = ACTIONS(1441),
    [anon_sym_inout] = ACTIONS(1441),
    [anon_sym_uniform] = ACTIONS(1441),
    [anon_sym_shared] = ACTIONS(1441),
    [anon_sym_attribute] = ACTIONS(1441),
    [anon_sym_varying] = ACTIONS(1441),
    [anon_sym_buffer] = ACTIONS(1441),
    [anon_sym_coherent] = ACTIONS(1441),
    [anon_sym_readonly] = ACTIONS(1441),
    [anon_sym_writeonly] = ACTIONS(1441),
    [anon_sym_precision] = ACTIONS(1441),
    [anon_sym_highp] = ACTIONS(1441),
    [anon_sym_mediump] = ACTIONS(1441),
    [anon_sym_lowp] = ACTIONS(1441),
    [anon_sym_centroid] = ACTIONS(1441),
    [anon_sym_sample] = ACTIONS(1441),
    [anon_sym_patch] = ACTIONS(1441),
    [anon_sym_smooth] = ACTIONS(1441),
    [anon_sym_flat] = ACTIONS(1441),
    [anon_sym_noperspective] = ACTIONS(1441),
    [anon_sym___extension__] = ACTIONS(1441),
    [anon_sym_typedef] = ACTIONS(1441),
    [anon_sym_extern] = ACTIONS(1441),
    [anon_sym___attribute__] = ACTIONS(1441),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1443),
    [anon_sym___declspec] = ACTIONS(1441),
    [anon_sym___cdecl] = ACTIONS(1441),
    [anon_sym___clrcall] = ACTIONS(1441),
    [anon_sym___stdcall] = ACTIONS(1441),
    [anon_sym___fastcall] = ACTIONS(1441),
    [anon_sym___thiscall] = ACTIONS(1441),
    [anon_sym___vectorcall] = ACTIONS(1441),
    [anon_sym_LBRACE] = ACTIONS(1443),
    [anon_sym_signed] = ACTIONS(1441),
    [anon_sym_unsigned] = ACTIONS(1441),
    [anon_sym_long] = ACTIONS(1441),
    [anon_sym_short] = ACTIONS(1441),
    [anon_sym_static] = ACTIONS(1441),
    [anon_sym_auto] = ACTIONS(1441),
    [anon_sym_register] = ACTIONS(1441),
    [anon_sym_inline] = ACTIONS(1441),
    [anon_sym___inline] = ACTIONS(1441),
    [anon_sym___inline__] = ACTIONS(1441),
    [anon_sym___forceinline] = ACTIONS(1441),
    [anon_sym_thread_local] = ACTIONS(1441),
    [anon_sym___thread] = ACTIONS(1441),
    [anon_sym_const] = ACTIONS(1441),
    [anon_sym_constexpr] = ACTIONS(1441),
    [anon_sym_volatile] = ACTIONS(1441),
    [anon_sym_restrict] = ACTIONS(1441),
    [anon_sym___restrict__] = ACTIONS(1441),
    [anon_sym__Atomic] = ACTIONS(1441),
    [anon_sym__Noreturn] = ACTIONS(1441),
    [anon_sym_noreturn] = ACTIONS(1441),
    [sym_primitive_type] = ACTIONS(1441),
    [anon_sym_enum] = ACTIONS(1441),
    [anon_sym_struct] = ACTIONS(1441),
    [anon_sym_union] = ACTIONS(1441),
    [anon_sym_if] = ACTIONS(1441),
    [anon_sym_else] = ACTIONS(1441),
    [anon_sym_switch] = ACTIONS(1441),
    [anon_sym_case] = ACTIONS(1441),
    [anon_sym_default] = ACTIONS(1441),
    [anon_sym_while] = ACTIONS(1441),
    [anon_sym_do] = ACTIONS(1441),
    [anon_sym_for] = ACTIONS(1441),
    [anon_sym_return] = ACTIONS(1441),
    [anon_sym_break] = ACTIONS(1441),
    [anon_sym_continue] = ACTIONS(1441),
    [anon_sym_goto] = ACTIONS(1441),
    [anon_sym___try] = ACTIONS(1441),
    [anon_sym___leave] = ACTIONS(1441),
    [anon_sym_DASH_DASH] = ACTIONS(1443),
    [anon_sym_PLUS_PLUS] = ACTIONS(1443),
    [anon_sym_sizeof] = ACTIONS(1441),
    [anon_sym___alignof__] = ACTIONS(1441),
    [anon_sym___alignof] = ACTIONS(1441),
    [anon_sym__alignof] = ACTIONS(1441),
    [anon_sym_alignof] = ACTIONS(1441),
    [anon_sym__Alignof] = ACTIONS(1441),
    [anon_sym_offsetof] = ACTIONS(1441),
    [anon_sym__Generic] = ACTIONS(1441),
    [anon_sym_asm] = ACTIONS(1441),
    [anon_sym___asm__] = ACTIONS(1441),
    [sym_number_literal] = ACTIONS(1443),
    [anon_sym_L_SQUOTE] = ACTIONS(1443),
    [anon_sym_u_SQUOTE] = ACTIONS(1443),
    [anon_sym_U_SQUOTE] = ACTIONS(1443),
    [anon_sym_u8_SQUOTE] = ACTIONS(1443),
    [anon_sym_SQUOTE] = ACTIONS(1443),
    [anon_sym_L_DQUOTE] = ACTIONS(1443),
    [anon_sym_u_DQUOTE] = ACTIONS(1443),
    [anon_sym_U_DQUOTE] = ACTIONS(1443),
    [anon_sym_u8_DQUOTE] = ACTIONS(1443),
    [anon_sym_DQUOTE] = ACTIONS(1443),
    [sym_true] = ACTIONS(1441),
    [sym_false] = ACTIONS(1441),
    [anon_sym_NULL] = ACTIONS(1441),
    [anon_sym_nullptr] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1441),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1441),
    [anon_sym_hitAttributeEXT] = ACTIONS(1441),
    [anon_sym_callableDataEXT] = ACTIONS(1441),
    [anon_sym_callableDataInEXT] = ACTIONS(1441),
    [anon_sym_shaderRecordEXT] = ACTIONS(1441),
    [anon_sym_rayPayloadNV] = ACTIONS(1441),
    [anon_sym_rayPayloadInNV] = ACTIONS(1441),
    [anon_sym_hitAttributeNV] = ACTIONS(1441),
    [anon_sym_callableDataNV] = ACTIONS(1441),
    [anon_sym_callableDataInNV] = ACTIONS(1441),
    [anon_sym_shaderRecordNV] = ACTIONS(1441),
    [anon_sym_layout] = ACTIONS(1441),
  },
  [363] = {
    [sym_identifier] = ACTIONS(1437),
    [aux_sym_preproc_include_token1] = ACTIONS(1437),
    [aux_sym_preproc_def_token1] = ACTIONS(1437),
    [aux_sym_preproc_if_token1] = ACTIONS(1437),
    [aux_sym_preproc_if_token2] = ACTIONS(1437),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1437),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1437),
    [sym_preproc_directive] = ACTIONS(1437),
    [anon_sym_LPAREN2] = ACTIONS(1439),
    [anon_sym_BANG] = ACTIONS(1439),
    [anon_sym_TILDE] = ACTIONS(1439),
    [anon_sym_DASH] = ACTIONS(1437),
    [anon_sym_PLUS] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(1439),
    [anon_sym_AMP] = ACTIONS(1439),
    [anon_sym_subroutine] = ACTIONS(1437),
    [anon_sym_invariant] = ACTIONS(1437),
    [anon_sym_precise] = ACTIONS(1437),
    [anon_sym_SEMI] = ACTIONS(1439),
    [anon_sym_in] = ACTIONS(1437),
    [anon_sym_out] = ACTIONS(1437),
    [anon_sym_inout] = ACTIONS(1437),
    [anon_sym_uniform] = ACTIONS(1437),
    [anon_sym_shared] = ACTIONS(1437),
    [anon_sym_attribute] = ACTIONS(1437),
    [anon_sym_varying] = ACTIONS(1437),
    [anon_sym_buffer] = ACTIONS(1437),
    [anon_sym_coherent] = ACTIONS(1437),
    [anon_sym_readonly] = ACTIONS(1437),
    [anon_sym_writeonly] = ACTIONS(1437),
    [anon_sym_precision] = ACTIONS(1437),
    [anon_sym_highp] = ACTIONS(1437),
    [anon_sym_mediump] = ACTIONS(1437),
    [anon_sym_lowp] = ACTIONS(1437),
    [anon_sym_centroid] = ACTIONS(1437),
    [anon_sym_sample] = ACTIONS(1437),
    [anon_sym_patch] = ACTIONS(1437),
    [anon_sym_smooth] = ACTIONS(1437),
    [anon_sym_flat] = ACTIONS(1437),
    [anon_sym_noperspective] = ACTIONS(1437),
    [anon_sym___extension__] = ACTIONS(1437),
    [anon_sym_typedef] = ACTIONS(1437),
    [anon_sym_extern] = ACTIONS(1437),
    [anon_sym___attribute__] = ACTIONS(1437),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1439),
    [anon_sym___declspec] = ACTIONS(1437),
    [anon_sym___cdecl] = ACTIONS(1437),
    [anon_sym___clrcall] = ACTIONS(1437),
    [anon_sym___stdcall] = ACTIONS(1437),
    [anon_sym___fastcall] = ACTIONS(1437),
    [anon_sym___thiscall] = ACTIONS(1437),
    [anon_sym___vectorcall] = ACTIONS(1437),
    [anon_sym_LBRACE] = ACTIONS(1439),
    [anon_sym_signed] = ACTIONS(1437),
    [anon_sym_unsigned] = ACTIONS(1437),
    [anon_sym_long] = ACTIONS(1437),
    [anon_sym_short] = ACTIONS(1437),
    [anon_sym_static] = ACTIONS(1437),
    [anon_sym_auto] = ACTIONS(1437),
    [anon_sym_register] = ACTIONS(1437),
    [anon_sym_inline] = ACTIONS(1437),
    [anon_sym___inline] = ACTIONS(1437),
    [anon_sym___inline__] = ACTIONS(1437),
    [anon_sym___forceinline] = ACTIONS(1437),
    [anon_sym_thread_local] = ACTIONS(1437),
    [anon_sym___thread] = ACTIONS(1437),
    [anon_sym_const] = ACTIONS(1437),
    [anon_sym_constexpr] = ACTIONS(1437),
    [anon_sym_volatile] = ACTIONS(1437),
    [anon_sym_restrict] = ACTIONS(1437),
    [anon_sym___restrict__] = ACTIONS(1437),
    [anon_sym__Atomic] = ACTIONS(1437),
    [anon_sym__Noreturn] = ACTIONS(1437),
    [anon_sym_noreturn] = ACTIONS(1437),
    [sym_primitive_type] = ACTIONS(1437),
    [anon_sym_enum] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(1437),
    [anon_sym_union] = ACTIONS(1437),
    [anon_sym_if] = ACTIONS(1437),
    [anon_sym_else] = ACTIONS(1437),
    [anon_sym_switch] = ACTIONS(1437),
    [anon_sym_case] = ACTIONS(1437),
    [anon_sym_default] = ACTIONS(1437),
    [anon_sym_while] = ACTIONS(1437),
    [anon_sym_do] = ACTIONS(1437),
    [anon_sym_for] = ACTIONS(1437),
    [anon_sym_return] = ACTIONS(1437),
    [anon_sym_break] = ACTIONS(1437),
    [anon_sym_continue] = ACTIONS(1437),
    [anon_sym_goto] = ACTIONS(1437),
    [anon_sym___try] = ACTIONS(1437),
    [anon_sym___leave] = ACTIONS(1437),
    [anon_sym_DASH_DASH] = ACTIONS(1439),
    [anon_sym_PLUS_PLUS] = ACTIONS(1439),
    [anon_sym_sizeof] = ACTIONS(1437),
    [anon_sym___alignof__] = ACTIONS(1437),
    [anon_sym___alignof] = ACTIONS(1437),
    [anon_sym__alignof] = ACTIONS(1437),
    [anon_sym_alignof] = ACTIONS(1437),
    [anon_sym__Alignof] = ACTIONS(1437),
    [anon_sym_offsetof] = ACTIONS(1437),
    [anon_sym__Generic] = ACTIONS(1437),
    [anon_sym_asm] = ACTIONS(1437),
    [anon_sym___asm__] = ACTIONS(1437),
    [sym_number_literal] = ACTIONS(1439),
    [anon_sym_L_SQUOTE] = ACTIONS(1439),
    [anon_sym_u_SQUOTE] = ACTIONS(1439),
    [anon_sym_U_SQUOTE] = ACTIONS(1439),
    [anon_sym_u8_SQUOTE] = ACTIONS(1439),
    [anon_sym_SQUOTE] = ACTIONS(1439),
    [anon_sym_L_DQUOTE] = ACTIONS(1439),
    [anon_sym_u_DQUOTE] = ACTIONS(1439),
    [anon_sym_U_DQUOTE] = ACTIONS(1439),
    [anon_sym_u8_DQUOTE] = ACTIONS(1439),
    [anon_sym_DQUOTE] = ACTIONS(1439),
    [sym_true] = ACTIONS(1437),
    [sym_false] = ACTIONS(1437),
    [anon_sym_NULL] = ACTIONS(1437),
    [anon_sym_nullptr] = ACTIONS(1437),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1437),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1437),
    [anon_sym_hitAttributeEXT] = ACTIONS(1437),
    [anon_sym_callableDataEXT] = ACTIONS(1437),
    [anon_sym_callableDataInEXT] = ACTIONS(1437),
    [anon_sym_shaderRecordEXT] = ACTIONS(1437),
    [anon_sym_rayPayloadNV] = ACTIONS(1437),
    [anon_sym_rayPayloadInNV] = ACTIONS(1437),
    [anon_sym_hitAttributeNV] = ACTIONS(1437),
    [anon_sym_callableDataNV] = ACTIONS(1437),
    [anon_sym_callableDataInNV] = ACTIONS(1437),
    [anon_sym_shaderRecordNV] = ACTIONS(1437),
    [anon_sym_layout] = ACTIONS(1437),
  },
  [364] = {
    [sym_identifier] = ACTIONS(1433),
    [aux_sym_preproc_include_token1] = ACTIONS(1433),
    [aux_sym_preproc_def_token1] = ACTIONS(1433),
    [aux_sym_preproc_if_token1] = ACTIONS(1433),
    [aux_sym_preproc_if_token2] = ACTIONS(1433),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1433),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1433),
    [sym_preproc_directive] = ACTIONS(1433),
    [anon_sym_LPAREN2] = ACTIONS(1435),
    [anon_sym_BANG] = ACTIONS(1435),
    [anon_sym_TILDE] = ACTIONS(1435),
    [anon_sym_DASH] = ACTIONS(1433),
    [anon_sym_PLUS] = ACTIONS(1433),
    [anon_sym_STAR] = ACTIONS(1435),
    [anon_sym_AMP] = ACTIONS(1435),
    [anon_sym_subroutine] = ACTIONS(1433),
    [anon_sym_invariant] = ACTIONS(1433),
    [anon_sym_precise] = ACTIONS(1433),
    [anon_sym_SEMI] = ACTIONS(1435),
    [anon_sym_in] = ACTIONS(1433),
    [anon_sym_out] = ACTIONS(1433),
    [anon_sym_inout] = ACTIONS(1433),
    [anon_sym_uniform] = ACTIONS(1433),
    [anon_sym_shared] = ACTIONS(1433),
    [anon_sym_attribute] = ACTIONS(1433),
    [anon_sym_varying] = ACTIONS(1433),
    [anon_sym_buffer] = ACTIONS(1433),
    [anon_sym_coherent] = ACTIONS(1433),
    [anon_sym_readonly] = ACTIONS(1433),
    [anon_sym_writeonly] = ACTIONS(1433),
    [anon_sym_precision] = ACTIONS(1433),
    [anon_sym_highp] = ACTIONS(1433),
    [anon_sym_mediump] = ACTIONS(1433),
    [anon_sym_lowp] = ACTIONS(1433),
    [anon_sym_centroid] = ACTIONS(1433),
    [anon_sym_sample] = ACTIONS(1433),
    [anon_sym_patch] = ACTIONS(1433),
    [anon_sym_smooth] = ACTIONS(1433),
    [anon_sym_flat] = ACTIONS(1433),
    [anon_sym_noperspective] = ACTIONS(1433),
    [anon_sym___extension__] = ACTIONS(1433),
    [anon_sym_typedef] = ACTIONS(1433),
    [anon_sym_extern] = ACTIONS(1433),
    [anon_sym___attribute__] = ACTIONS(1433),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1435),
    [anon_sym___declspec] = ACTIONS(1433),
    [anon_sym___cdecl] = ACTIONS(1433),
    [anon_sym___clrcall] = ACTIONS(1433),
    [anon_sym___stdcall] = ACTIONS(1433),
    [anon_sym___fastcall] = ACTIONS(1433),
    [anon_sym___thiscall] = ACTIONS(1433),
    [anon_sym___vectorcall] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(1435),
    [anon_sym_signed] = ACTIONS(1433),
    [anon_sym_unsigned] = ACTIONS(1433),
    [anon_sym_long] = ACTIONS(1433),
    [anon_sym_short] = ACTIONS(1433),
    [anon_sym_static] = ACTIONS(1433),
    [anon_sym_auto] = ACTIONS(1433),
    [anon_sym_register] = ACTIONS(1433),
    [anon_sym_inline] = ACTIONS(1433),
    [anon_sym___inline] = ACTIONS(1433),
    [anon_sym___inline__] = ACTIONS(1433),
    [anon_sym___forceinline] = ACTIONS(1433),
    [anon_sym_thread_local] = ACTIONS(1433),
    [anon_sym___thread] = ACTIONS(1433),
    [anon_sym_const] = ACTIONS(1433),
    [anon_sym_constexpr] = ACTIONS(1433),
    [anon_sym_volatile] = ACTIONS(1433),
    [anon_sym_restrict] = ACTIONS(1433),
    [anon_sym___restrict__] = ACTIONS(1433),
    [anon_sym__Atomic] = ACTIONS(1433),
    [anon_sym__Noreturn] = ACTIONS(1433),
    [anon_sym_noreturn] = ACTIONS(1433),
    [sym_primitive_type] = ACTIONS(1433),
    [anon_sym_enum] = ACTIONS(1433),
    [anon_sym_struct] = ACTIONS(1433),
    [anon_sym_union] = ACTIONS(1433),
    [anon_sym_if] = ACTIONS(1433),
    [anon_sym_else] = ACTIONS(1433),
    [anon_sym_switch] = ACTIONS(1433),
    [anon_sym_case] = ACTIONS(1433),
    [anon_sym_default] = ACTIONS(1433),
    [anon_sym_while] = ACTIONS(1433),
    [anon_sym_do] = ACTIONS(1433),
    [anon_sym_for] = ACTIONS(1433),
    [anon_sym_return] = ACTIONS(1433),
    [anon_sym_break] = ACTIONS(1433),
    [anon_sym_continue] = ACTIONS(1433),
    [anon_sym_goto] = ACTIONS(1433),
    [anon_sym___try] = ACTIONS(1433),
    [anon_sym___leave] = ACTIONS(1433),
    [anon_sym_DASH_DASH] = ACTIONS(1435),
    [anon_sym_PLUS_PLUS] = ACTIONS(1435),
    [anon_sym_sizeof] = ACTIONS(1433),
    [anon_sym___alignof__] = ACTIONS(1433),
    [anon_sym___alignof] = ACTIONS(1433),
    [anon_sym__alignof] = ACTIONS(1433),
    [anon_sym_alignof] = ACTIONS(1433),
    [anon_sym__Alignof] = ACTIONS(1433),
    [anon_sym_offsetof] = ACTIONS(1433),
    [anon_sym__Generic] = ACTIONS(1433),
    [anon_sym_asm] = ACTIONS(1433),
    [anon_sym___asm__] = ACTIONS(1433),
    [sym_number_literal] = ACTIONS(1435),
    [anon_sym_L_SQUOTE] = ACTIONS(1435),
    [anon_sym_u_SQUOTE] = ACTIONS(1435),
    [anon_sym_U_SQUOTE] = ACTIONS(1435),
    [anon_sym_u8_SQUOTE] = ACTIONS(1435),
    [anon_sym_SQUOTE] = ACTIONS(1435),
    [anon_sym_L_DQUOTE] = ACTIONS(1435),
    [anon_sym_u_DQUOTE] = ACTIONS(1435),
    [anon_sym_U_DQUOTE] = ACTIONS(1435),
    [anon_sym_u8_DQUOTE] = ACTIONS(1435),
    [anon_sym_DQUOTE] = ACTIONS(1435),
    [sym_true] = ACTIONS(1433),
    [sym_false] = ACTIONS(1433),
    [anon_sym_NULL] = ACTIONS(1433),
    [anon_sym_nullptr] = ACTIONS(1433),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1433),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1433),
    [anon_sym_hitAttributeEXT] = ACTIONS(1433),
    [anon_sym_callableDataEXT] = ACTIONS(1433),
    [anon_sym_callableDataInEXT] = ACTIONS(1433),
    [anon_sym_shaderRecordEXT] = ACTIONS(1433),
    [anon_sym_rayPayloadNV] = ACTIONS(1433),
    [anon_sym_rayPayloadInNV] = ACTIONS(1433),
    [anon_sym_hitAttributeNV] = ACTIONS(1433),
    [anon_sym_callableDataNV] = ACTIONS(1433),
    [anon_sym_callableDataInNV] = ACTIONS(1433),
    [anon_sym_shaderRecordNV] = ACTIONS(1433),
    [anon_sym_layout] = ACTIONS(1433),
  },
  [365] = {
    [sym_identifier] = ACTIONS(1493),
    [aux_sym_preproc_include_token1] = ACTIONS(1493),
    [aux_sym_preproc_def_token1] = ACTIONS(1493),
    [aux_sym_preproc_if_token1] = ACTIONS(1493),
    [aux_sym_preproc_if_token2] = ACTIONS(1493),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1493),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1493),
    [sym_preproc_directive] = ACTIONS(1493),
    [anon_sym_LPAREN2] = ACTIONS(1495),
    [anon_sym_BANG] = ACTIONS(1495),
    [anon_sym_TILDE] = ACTIONS(1495),
    [anon_sym_DASH] = ACTIONS(1493),
    [anon_sym_PLUS] = ACTIONS(1493),
    [anon_sym_STAR] = ACTIONS(1495),
    [anon_sym_AMP] = ACTIONS(1495),
    [anon_sym_subroutine] = ACTIONS(1493),
    [anon_sym_invariant] = ACTIONS(1493),
    [anon_sym_precise] = ACTIONS(1493),
    [anon_sym_SEMI] = ACTIONS(1495),
    [anon_sym_in] = ACTIONS(1493),
    [anon_sym_out] = ACTIONS(1493),
    [anon_sym_inout] = ACTIONS(1493),
    [anon_sym_uniform] = ACTIONS(1493),
    [anon_sym_shared] = ACTIONS(1493),
    [anon_sym_attribute] = ACTIONS(1493),
    [anon_sym_varying] = ACTIONS(1493),
    [anon_sym_buffer] = ACTIONS(1493),
    [anon_sym_coherent] = ACTIONS(1493),
    [anon_sym_readonly] = ACTIONS(1493),
    [anon_sym_writeonly] = ACTIONS(1493),
    [anon_sym_precision] = ACTIONS(1493),
    [anon_sym_highp] = ACTIONS(1493),
    [anon_sym_mediump] = ACTIONS(1493),
    [anon_sym_lowp] = ACTIONS(1493),
    [anon_sym_centroid] = ACTIONS(1493),
    [anon_sym_sample] = ACTIONS(1493),
    [anon_sym_patch] = ACTIONS(1493),
    [anon_sym_smooth] = ACTIONS(1493),
    [anon_sym_flat] = ACTIONS(1493),
    [anon_sym_noperspective] = ACTIONS(1493),
    [anon_sym___extension__] = ACTIONS(1493),
    [anon_sym_typedef] = ACTIONS(1493),
    [anon_sym_extern] = ACTIONS(1493),
    [anon_sym___attribute__] = ACTIONS(1493),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1495),
    [anon_sym___declspec] = ACTIONS(1493),
    [anon_sym___cdecl] = ACTIONS(1493),
    [anon_sym___clrcall] = ACTIONS(1493),
    [anon_sym___stdcall] = ACTIONS(1493),
    [anon_sym___fastcall] = ACTIONS(1493),
    [anon_sym___thiscall] = ACTIONS(1493),
    [anon_sym___vectorcall] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(1495),
    [anon_sym_signed] = ACTIONS(1493),
    [anon_sym_unsigned] = ACTIONS(1493),
    [anon_sym_long] = ACTIONS(1493),
    [anon_sym_short] = ACTIONS(1493),
    [anon_sym_static] = ACTIONS(1493),
    [anon_sym_auto] = ACTIONS(1493),
    [anon_sym_register] = ACTIONS(1493),
    [anon_sym_inline] = ACTIONS(1493),
    [anon_sym___inline] = ACTIONS(1493),
    [anon_sym___inline__] = ACTIONS(1493),
    [anon_sym___forceinline] = ACTIONS(1493),
    [anon_sym_thread_local] = ACTIONS(1493),
    [anon_sym___thread] = ACTIONS(1493),
    [anon_sym_const] = ACTIONS(1493),
    [anon_sym_constexpr] = ACTIONS(1493),
    [anon_sym_volatile] = ACTIONS(1493),
    [anon_sym_restrict] = ACTIONS(1493),
    [anon_sym___restrict__] = ACTIONS(1493),
    [anon_sym__Atomic] = ACTIONS(1493),
    [anon_sym__Noreturn] = ACTIONS(1493),
    [anon_sym_noreturn] = ACTIONS(1493),
    [sym_primitive_type] = ACTIONS(1493),
    [anon_sym_enum] = ACTIONS(1493),
    [anon_sym_struct] = ACTIONS(1493),
    [anon_sym_union] = ACTIONS(1493),
    [anon_sym_if] = ACTIONS(1493),
    [anon_sym_else] = ACTIONS(1493),
    [anon_sym_switch] = ACTIONS(1493),
    [anon_sym_case] = ACTIONS(1493),
    [anon_sym_default] = ACTIONS(1493),
    [anon_sym_while] = ACTIONS(1493),
    [anon_sym_do] = ACTIONS(1493),
    [anon_sym_for] = ACTIONS(1493),
    [anon_sym_return] = ACTIONS(1493),
    [anon_sym_break] = ACTIONS(1493),
    [anon_sym_continue] = ACTIONS(1493),
    [anon_sym_goto] = ACTIONS(1493),
    [anon_sym___try] = ACTIONS(1493),
    [anon_sym___leave] = ACTIONS(1493),
    [anon_sym_DASH_DASH] = ACTIONS(1495),
    [anon_sym_PLUS_PLUS] = ACTIONS(1495),
    [anon_sym_sizeof] = ACTIONS(1493),
    [anon_sym___alignof__] = ACTIONS(1493),
    [anon_sym___alignof] = ACTIONS(1493),
    [anon_sym__alignof] = ACTIONS(1493),
    [anon_sym_alignof] = ACTIONS(1493),
    [anon_sym__Alignof] = ACTIONS(1493),
    [anon_sym_offsetof] = ACTIONS(1493),
    [anon_sym__Generic] = ACTIONS(1493),
    [anon_sym_asm] = ACTIONS(1493),
    [anon_sym___asm__] = ACTIONS(1493),
    [sym_number_literal] = ACTIONS(1495),
    [anon_sym_L_SQUOTE] = ACTIONS(1495),
    [anon_sym_u_SQUOTE] = ACTIONS(1495),
    [anon_sym_U_SQUOTE] = ACTIONS(1495),
    [anon_sym_u8_SQUOTE] = ACTIONS(1495),
    [anon_sym_SQUOTE] = ACTIONS(1495),
    [anon_sym_L_DQUOTE] = ACTIONS(1495),
    [anon_sym_u_DQUOTE] = ACTIONS(1495),
    [anon_sym_U_DQUOTE] = ACTIONS(1495),
    [anon_sym_u8_DQUOTE] = ACTIONS(1495),
    [anon_sym_DQUOTE] = ACTIONS(1495),
    [sym_true] = ACTIONS(1493),
    [sym_false] = ACTIONS(1493),
    [anon_sym_NULL] = ACTIONS(1493),
    [anon_sym_nullptr] = ACTIONS(1493),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1493),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1493),
    [anon_sym_hitAttributeEXT] = ACTIONS(1493),
    [anon_sym_callableDataEXT] = ACTIONS(1493),
    [anon_sym_callableDataInEXT] = ACTIONS(1493),
    [anon_sym_shaderRecordEXT] = ACTIONS(1493),
    [anon_sym_rayPayloadNV] = ACTIONS(1493),
    [anon_sym_rayPayloadInNV] = ACTIONS(1493),
    [anon_sym_hitAttributeNV] = ACTIONS(1493),
    [anon_sym_callableDataNV] = ACTIONS(1493),
    [anon_sym_callableDataInNV] = ACTIONS(1493),
    [anon_sym_shaderRecordNV] = ACTIONS(1493),
    [anon_sym_layout] = ACTIONS(1493),
  },
  [366] = {
    [sym_identifier] = ACTIONS(1517),
    [aux_sym_preproc_include_token1] = ACTIONS(1517),
    [aux_sym_preproc_def_token1] = ACTIONS(1517),
    [aux_sym_preproc_if_token1] = ACTIONS(1517),
    [aux_sym_preproc_if_token2] = ACTIONS(1517),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1517),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1517),
    [sym_preproc_directive] = ACTIONS(1517),
    [anon_sym_LPAREN2] = ACTIONS(1519),
    [anon_sym_BANG] = ACTIONS(1519),
    [anon_sym_TILDE] = ACTIONS(1519),
    [anon_sym_DASH] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_STAR] = ACTIONS(1519),
    [anon_sym_AMP] = ACTIONS(1519),
    [anon_sym_subroutine] = ACTIONS(1517),
    [anon_sym_invariant] = ACTIONS(1517),
    [anon_sym_precise] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1519),
    [anon_sym_in] = ACTIONS(1517),
    [anon_sym_out] = ACTIONS(1517),
    [anon_sym_inout] = ACTIONS(1517),
    [anon_sym_uniform] = ACTIONS(1517),
    [anon_sym_shared] = ACTIONS(1517),
    [anon_sym_attribute] = ACTIONS(1517),
    [anon_sym_varying] = ACTIONS(1517),
    [anon_sym_buffer] = ACTIONS(1517),
    [anon_sym_coherent] = ACTIONS(1517),
    [anon_sym_readonly] = ACTIONS(1517),
    [anon_sym_writeonly] = ACTIONS(1517),
    [anon_sym_precision] = ACTIONS(1517),
    [anon_sym_highp] = ACTIONS(1517),
    [anon_sym_mediump] = ACTIONS(1517),
    [anon_sym_lowp] = ACTIONS(1517),
    [anon_sym_centroid] = ACTIONS(1517),
    [anon_sym_sample] = ACTIONS(1517),
    [anon_sym_patch] = ACTIONS(1517),
    [anon_sym_smooth] = ACTIONS(1517),
    [anon_sym_flat] = ACTIONS(1517),
    [anon_sym_noperspective] = ACTIONS(1517),
    [anon_sym___extension__] = ACTIONS(1517),
    [anon_sym_typedef] = ACTIONS(1517),
    [anon_sym_extern] = ACTIONS(1517),
    [anon_sym___attribute__] = ACTIONS(1517),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1519),
    [anon_sym___declspec] = ACTIONS(1517),
    [anon_sym___cdecl] = ACTIONS(1517),
    [anon_sym___clrcall] = ACTIONS(1517),
    [anon_sym___stdcall] = ACTIONS(1517),
    [anon_sym___fastcall] = ACTIONS(1517),
    [anon_sym___thiscall] = ACTIONS(1517),
    [anon_sym___vectorcall] = ACTIONS(1517),
    [anon_sym_LBRACE] = ACTIONS(1519),
    [anon_sym_signed] = ACTIONS(1517),
    [anon_sym_unsigned] = ACTIONS(1517),
    [anon_sym_long] = ACTIONS(1517),
    [anon_sym_short] = ACTIONS(1517),
    [anon_sym_static] = ACTIONS(1517),
    [anon_sym_auto] = ACTIONS(1517),
    [anon_sym_register] = ACTIONS(1517),
    [anon_sym_inline] = ACTIONS(1517),
    [anon_sym___inline] = ACTIONS(1517),
    [anon_sym___inline__] = ACTIONS(1517),
    [anon_sym___forceinline] = ACTIONS(1517),
    [anon_sym_thread_local] = ACTIONS(1517),
    [anon_sym___thread] = ACTIONS(1517),
    [anon_sym_const] = ACTIONS(1517),
    [anon_sym_constexpr] = ACTIONS(1517),
    [anon_sym_volatile] = ACTIONS(1517),
    [anon_sym_restrict] = ACTIONS(1517),
    [anon_sym___restrict__] = ACTIONS(1517),
    [anon_sym__Atomic] = ACTIONS(1517),
    [anon_sym__Noreturn] = ACTIONS(1517),
    [anon_sym_noreturn] = ACTIONS(1517),
    [sym_primitive_type] = ACTIONS(1517),
    [anon_sym_enum] = ACTIONS(1517),
    [anon_sym_struct] = ACTIONS(1517),
    [anon_sym_union] = ACTIONS(1517),
    [anon_sym_if] = ACTIONS(1517),
    [anon_sym_else] = ACTIONS(1517),
    [anon_sym_switch] = ACTIONS(1517),
    [anon_sym_case] = ACTIONS(1517),
    [anon_sym_default] = ACTIONS(1517),
    [anon_sym_while] = ACTIONS(1517),
    [anon_sym_do] = ACTIONS(1517),
    [anon_sym_for] = ACTIONS(1517),
    [anon_sym_return] = ACTIONS(1517),
    [anon_sym_break] = ACTIONS(1517),
    [anon_sym_continue] = ACTIONS(1517),
    [anon_sym_goto] = ACTIONS(1517),
    [anon_sym___try] = ACTIONS(1517),
    [anon_sym___leave] = ACTIONS(1517),
    [anon_sym_DASH_DASH] = ACTIONS(1519),
    [anon_sym_PLUS_PLUS] = ACTIONS(1519),
    [anon_sym_sizeof] = ACTIONS(1517),
    [anon_sym___alignof__] = ACTIONS(1517),
    [anon_sym___alignof] = ACTIONS(1517),
    [anon_sym__alignof] = ACTIONS(1517),
    [anon_sym_alignof] = ACTIONS(1517),
    [anon_sym__Alignof] = ACTIONS(1517),
    [anon_sym_offsetof] = ACTIONS(1517),
    [anon_sym__Generic] = ACTIONS(1517),
    [anon_sym_asm] = ACTIONS(1517),
    [anon_sym___asm__] = ACTIONS(1517),
    [sym_number_literal] = ACTIONS(1519),
    [anon_sym_L_SQUOTE] = ACTIONS(1519),
    [anon_sym_u_SQUOTE] = ACTIONS(1519),
    [anon_sym_U_SQUOTE] = ACTIONS(1519),
    [anon_sym_u8_SQUOTE] = ACTIONS(1519),
    [anon_sym_SQUOTE] = ACTIONS(1519),
    [anon_sym_L_DQUOTE] = ACTIONS(1519),
    [anon_sym_u_DQUOTE] = ACTIONS(1519),
    [anon_sym_U_DQUOTE] = ACTIONS(1519),
    [anon_sym_u8_DQUOTE] = ACTIONS(1519),
    [anon_sym_DQUOTE] = ACTIONS(1519),
    [sym_true] = ACTIONS(1517),
    [sym_false] = ACTIONS(1517),
    [anon_sym_NULL] = ACTIONS(1517),
    [anon_sym_nullptr] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1517),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1517),
    [anon_sym_hitAttributeEXT] = ACTIONS(1517),
    [anon_sym_callableDataEXT] = ACTIONS(1517),
    [anon_sym_callableDataInEXT] = ACTIONS(1517),
    [anon_sym_shaderRecordEXT] = ACTIONS(1517),
    [anon_sym_rayPayloadNV] = ACTIONS(1517),
    [anon_sym_rayPayloadInNV] = ACTIONS(1517),
    [anon_sym_hitAttributeNV] = ACTIONS(1517),
    [anon_sym_callableDataNV] = ACTIONS(1517),
    [anon_sym_callableDataInNV] = ACTIONS(1517),
    [anon_sym_shaderRecordNV] = ACTIONS(1517),
    [anon_sym_layout] = ACTIONS(1517),
  },
  [367] = {
    [sym_identifier] = ACTIONS(1521),
    [aux_sym_preproc_include_token1] = ACTIONS(1521),
    [aux_sym_preproc_def_token1] = ACTIONS(1521),
    [aux_sym_preproc_if_token1] = ACTIONS(1521),
    [aux_sym_preproc_if_token2] = ACTIONS(1521),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1521),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1521),
    [sym_preproc_directive] = ACTIONS(1521),
    [anon_sym_LPAREN2] = ACTIONS(1523),
    [anon_sym_BANG] = ACTIONS(1523),
    [anon_sym_TILDE] = ACTIONS(1523),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_PLUS] = ACTIONS(1521),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_AMP] = ACTIONS(1523),
    [anon_sym_subroutine] = ACTIONS(1521),
    [anon_sym_invariant] = ACTIONS(1521),
    [anon_sym_precise] = ACTIONS(1521),
    [anon_sym_SEMI] = ACTIONS(1523),
    [anon_sym_in] = ACTIONS(1521),
    [anon_sym_out] = ACTIONS(1521),
    [anon_sym_inout] = ACTIONS(1521),
    [anon_sym_uniform] = ACTIONS(1521),
    [anon_sym_shared] = ACTIONS(1521),
    [anon_sym_attribute] = ACTIONS(1521),
    [anon_sym_varying] = ACTIONS(1521),
    [anon_sym_buffer] = ACTIONS(1521),
    [anon_sym_coherent] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_writeonly] = ACTIONS(1521),
    [anon_sym_precision] = ACTIONS(1521),
    [anon_sym_highp] = ACTIONS(1521),
    [anon_sym_mediump] = ACTIONS(1521),
    [anon_sym_lowp] = ACTIONS(1521),
    [anon_sym_centroid] = ACTIONS(1521),
    [anon_sym_sample] = ACTIONS(1521),
    [anon_sym_patch] = ACTIONS(1521),
    [anon_sym_smooth] = ACTIONS(1521),
    [anon_sym_flat] = ACTIONS(1521),
    [anon_sym_noperspective] = ACTIONS(1521),
    [anon_sym___extension__] = ACTIONS(1521),
    [anon_sym_typedef] = ACTIONS(1521),
    [anon_sym_extern] = ACTIONS(1521),
    [anon_sym___attribute__] = ACTIONS(1521),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1523),
    [anon_sym___declspec] = ACTIONS(1521),
    [anon_sym___cdecl] = ACTIONS(1521),
    [anon_sym___clrcall] = ACTIONS(1521),
    [anon_sym___stdcall] = ACTIONS(1521),
    [anon_sym___fastcall] = ACTIONS(1521),
    [anon_sym___thiscall] = ACTIONS(1521),
    [anon_sym___vectorcall] = ACTIONS(1521),
    [anon_sym_LBRACE] = ACTIONS(1523),
    [anon_sym_signed] = ACTIONS(1521),
    [anon_sym_unsigned] = ACTIONS(1521),
    [anon_sym_long] = ACTIONS(1521),
    [anon_sym_short] = ACTIONS(1521),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_auto] = ACTIONS(1521),
    [anon_sym_register] = ACTIONS(1521),
    [anon_sym_inline] = ACTIONS(1521),
    [anon_sym___inline] = ACTIONS(1521),
    [anon_sym___inline__] = ACTIONS(1521),
    [anon_sym___forceinline] = ACTIONS(1521),
    [anon_sym_thread_local] = ACTIONS(1521),
    [anon_sym___thread] = ACTIONS(1521),
    [anon_sym_const] = ACTIONS(1521),
    [anon_sym_constexpr] = ACTIONS(1521),
    [anon_sym_volatile] = ACTIONS(1521),
    [anon_sym_restrict] = ACTIONS(1521),
    [anon_sym___restrict__] = ACTIONS(1521),
    [anon_sym__Atomic] = ACTIONS(1521),
    [anon_sym__Noreturn] = ACTIONS(1521),
    [anon_sym_noreturn] = ACTIONS(1521),
    [sym_primitive_type] = ACTIONS(1521),
    [anon_sym_enum] = ACTIONS(1521),
    [anon_sym_struct] = ACTIONS(1521),
    [anon_sym_union] = ACTIONS(1521),
    [anon_sym_if] = ACTIONS(1521),
    [anon_sym_else] = ACTIONS(1521),
    [anon_sym_switch] = ACTIONS(1521),
    [anon_sym_case] = ACTIONS(1521),
    [anon_sym_default] = ACTIONS(1521),
    [anon_sym_while] = ACTIONS(1521),
    [anon_sym_do] = ACTIONS(1521),
    [anon_sym_for] = ACTIONS(1521),
    [anon_sym_return] = ACTIONS(1521),
    [anon_sym_break] = ACTIONS(1521),
    [anon_sym_continue] = ACTIONS(1521),
    [anon_sym_goto] = ACTIONS(1521),
    [anon_sym___try] = ACTIONS(1521),
    [anon_sym___leave] = ACTIONS(1521),
    [anon_sym_DASH_DASH] = ACTIONS(1523),
    [anon_sym_PLUS_PLUS] = ACTIONS(1523),
    [anon_sym_sizeof] = ACTIONS(1521),
    [anon_sym___alignof__] = ACTIONS(1521),
    [anon_sym___alignof] = ACTIONS(1521),
    [anon_sym__alignof] = ACTIONS(1521),
    [anon_sym_alignof] = ACTIONS(1521),
    [anon_sym__Alignof] = ACTIONS(1521),
    [anon_sym_offsetof] = ACTIONS(1521),
    [anon_sym__Generic] = ACTIONS(1521),
    [anon_sym_asm] = ACTIONS(1521),
    [anon_sym___asm__] = ACTIONS(1521),
    [sym_number_literal] = ACTIONS(1523),
    [anon_sym_L_SQUOTE] = ACTIONS(1523),
    [anon_sym_u_SQUOTE] = ACTIONS(1523),
    [anon_sym_U_SQUOTE] = ACTIONS(1523),
    [anon_sym_u8_SQUOTE] = ACTIONS(1523),
    [anon_sym_SQUOTE] = ACTIONS(1523),
    [anon_sym_L_DQUOTE] = ACTIONS(1523),
    [anon_sym_u_DQUOTE] = ACTIONS(1523),
    [anon_sym_U_DQUOTE] = ACTIONS(1523),
    [anon_sym_u8_DQUOTE] = ACTIONS(1523),
    [anon_sym_DQUOTE] = ACTIONS(1523),
    [sym_true] = ACTIONS(1521),
    [sym_false] = ACTIONS(1521),
    [anon_sym_NULL] = ACTIONS(1521),
    [anon_sym_nullptr] = ACTIONS(1521),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1521),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1521),
    [anon_sym_hitAttributeEXT] = ACTIONS(1521),
    [anon_sym_callableDataEXT] = ACTIONS(1521),
    [anon_sym_callableDataInEXT] = ACTIONS(1521),
    [anon_sym_shaderRecordEXT] = ACTIONS(1521),
    [anon_sym_rayPayloadNV] = ACTIONS(1521),
    [anon_sym_rayPayloadInNV] = ACTIONS(1521),
    [anon_sym_hitAttributeNV] = ACTIONS(1521),
    [anon_sym_callableDataNV] = ACTIONS(1521),
    [anon_sym_callableDataInNV] = ACTIONS(1521),
    [anon_sym_shaderRecordNV] = ACTIONS(1521),
    [anon_sym_layout] = ACTIONS(1521),
  },
  [368] = {
    [sym_identifier] = ACTIONS(1525),
    [aux_sym_preproc_include_token1] = ACTIONS(1525),
    [aux_sym_preproc_def_token1] = ACTIONS(1525),
    [aux_sym_preproc_if_token1] = ACTIONS(1525),
    [aux_sym_preproc_if_token2] = ACTIONS(1525),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1525),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1525),
    [sym_preproc_directive] = ACTIONS(1525),
    [anon_sym_LPAREN2] = ACTIONS(1527),
    [anon_sym_BANG] = ACTIONS(1527),
    [anon_sym_TILDE] = ACTIONS(1527),
    [anon_sym_DASH] = ACTIONS(1525),
    [anon_sym_PLUS] = ACTIONS(1525),
    [anon_sym_STAR] = ACTIONS(1527),
    [anon_sym_AMP] = ACTIONS(1527),
    [anon_sym_subroutine] = ACTIONS(1525),
    [anon_sym_invariant] = ACTIONS(1525),
    [anon_sym_precise] = ACTIONS(1525),
    [anon_sym_SEMI] = ACTIONS(1527),
    [anon_sym_in] = ACTIONS(1525),
    [anon_sym_out] = ACTIONS(1525),
    [anon_sym_inout] = ACTIONS(1525),
    [anon_sym_uniform] = ACTIONS(1525),
    [anon_sym_shared] = ACTIONS(1525),
    [anon_sym_attribute] = ACTIONS(1525),
    [anon_sym_varying] = ACTIONS(1525),
    [anon_sym_buffer] = ACTIONS(1525),
    [anon_sym_coherent] = ACTIONS(1525),
    [anon_sym_readonly] = ACTIONS(1525),
    [anon_sym_writeonly] = ACTIONS(1525),
    [anon_sym_precision] = ACTIONS(1525),
    [anon_sym_highp] = ACTIONS(1525),
    [anon_sym_mediump] = ACTIONS(1525),
    [anon_sym_lowp] = ACTIONS(1525),
    [anon_sym_centroid] = ACTIONS(1525),
    [anon_sym_sample] = ACTIONS(1525),
    [anon_sym_patch] = ACTIONS(1525),
    [anon_sym_smooth] = ACTIONS(1525),
    [anon_sym_flat] = ACTIONS(1525),
    [anon_sym_noperspective] = ACTIONS(1525),
    [anon_sym___extension__] = ACTIONS(1525),
    [anon_sym_typedef] = ACTIONS(1525),
    [anon_sym_extern] = ACTIONS(1525),
    [anon_sym___attribute__] = ACTIONS(1525),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1527),
    [anon_sym___declspec] = ACTIONS(1525),
    [anon_sym___cdecl] = ACTIONS(1525),
    [anon_sym___clrcall] = ACTIONS(1525),
    [anon_sym___stdcall] = ACTIONS(1525),
    [anon_sym___fastcall] = ACTIONS(1525),
    [anon_sym___thiscall] = ACTIONS(1525),
    [anon_sym___vectorcall] = ACTIONS(1525),
    [anon_sym_LBRACE] = ACTIONS(1527),
    [anon_sym_signed] = ACTIONS(1525),
    [anon_sym_unsigned] = ACTIONS(1525),
    [anon_sym_long] = ACTIONS(1525),
    [anon_sym_short] = ACTIONS(1525),
    [anon_sym_static] = ACTIONS(1525),
    [anon_sym_auto] = ACTIONS(1525),
    [anon_sym_register] = ACTIONS(1525),
    [anon_sym_inline] = ACTIONS(1525),
    [anon_sym___inline] = ACTIONS(1525),
    [anon_sym___inline__] = ACTIONS(1525),
    [anon_sym___forceinline] = ACTIONS(1525),
    [anon_sym_thread_local] = ACTIONS(1525),
    [anon_sym___thread] = ACTIONS(1525),
    [anon_sym_const] = ACTIONS(1525),
    [anon_sym_constexpr] = ACTIONS(1525),
    [anon_sym_volatile] = ACTIONS(1525),
    [anon_sym_restrict] = ACTIONS(1525),
    [anon_sym___restrict__] = ACTIONS(1525),
    [anon_sym__Atomic] = ACTIONS(1525),
    [anon_sym__Noreturn] = ACTIONS(1525),
    [anon_sym_noreturn] = ACTIONS(1525),
    [sym_primitive_type] = ACTIONS(1525),
    [anon_sym_enum] = ACTIONS(1525),
    [anon_sym_struct] = ACTIONS(1525),
    [anon_sym_union] = ACTIONS(1525),
    [anon_sym_if] = ACTIONS(1525),
    [anon_sym_else] = ACTIONS(1525),
    [anon_sym_switch] = ACTIONS(1525),
    [anon_sym_case] = ACTIONS(1525),
    [anon_sym_default] = ACTIONS(1525),
    [anon_sym_while] = ACTIONS(1525),
    [anon_sym_do] = ACTIONS(1525),
    [anon_sym_for] = ACTIONS(1525),
    [anon_sym_return] = ACTIONS(1525),
    [anon_sym_break] = ACTIONS(1525),
    [anon_sym_continue] = ACTIONS(1525),
    [anon_sym_goto] = ACTIONS(1525),
    [anon_sym___try] = ACTIONS(1525),
    [anon_sym___leave] = ACTIONS(1525),
    [anon_sym_DASH_DASH] = ACTIONS(1527),
    [anon_sym_PLUS_PLUS] = ACTIONS(1527),
    [anon_sym_sizeof] = ACTIONS(1525),
    [anon_sym___alignof__] = ACTIONS(1525),
    [anon_sym___alignof] = ACTIONS(1525),
    [anon_sym__alignof] = ACTIONS(1525),
    [anon_sym_alignof] = ACTIONS(1525),
    [anon_sym__Alignof] = ACTIONS(1525),
    [anon_sym_offsetof] = ACTIONS(1525),
    [anon_sym__Generic] = ACTIONS(1525),
    [anon_sym_asm] = ACTIONS(1525),
    [anon_sym___asm__] = ACTIONS(1525),
    [sym_number_literal] = ACTIONS(1527),
    [anon_sym_L_SQUOTE] = ACTIONS(1527),
    [anon_sym_u_SQUOTE] = ACTIONS(1527),
    [anon_sym_U_SQUOTE] = ACTIONS(1527),
    [anon_sym_u8_SQUOTE] = ACTIONS(1527),
    [anon_sym_SQUOTE] = ACTIONS(1527),
    [anon_sym_L_DQUOTE] = ACTIONS(1527),
    [anon_sym_u_DQUOTE] = ACTIONS(1527),
    [anon_sym_U_DQUOTE] = ACTIONS(1527),
    [anon_sym_u8_DQUOTE] = ACTIONS(1527),
    [anon_sym_DQUOTE] = ACTIONS(1527),
    [sym_true] = ACTIONS(1525),
    [sym_false] = ACTIONS(1525),
    [anon_sym_NULL] = ACTIONS(1525),
    [anon_sym_nullptr] = ACTIONS(1525),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1525),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1525),
    [anon_sym_hitAttributeEXT] = ACTIONS(1525),
    [anon_sym_callableDataEXT] = ACTIONS(1525),
    [anon_sym_callableDataInEXT] = ACTIONS(1525),
    [anon_sym_shaderRecordEXT] = ACTIONS(1525),
    [anon_sym_rayPayloadNV] = ACTIONS(1525),
    [anon_sym_rayPayloadInNV] = ACTIONS(1525),
    [anon_sym_hitAttributeNV] = ACTIONS(1525),
    [anon_sym_callableDataNV] = ACTIONS(1525),
    [anon_sym_callableDataInNV] = ACTIONS(1525),
    [anon_sym_shaderRecordNV] = ACTIONS(1525),
    [anon_sym_layout] = ACTIONS(1525),
  },
  [369] = {
    [sym_identifier] = ACTIONS(1529),
    [aux_sym_preproc_include_token1] = ACTIONS(1529),
    [aux_sym_preproc_def_token1] = ACTIONS(1529),
    [aux_sym_preproc_if_token1] = ACTIONS(1529),
    [aux_sym_preproc_if_token2] = ACTIONS(1529),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1529),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1529),
    [sym_preproc_directive] = ACTIONS(1529),
    [anon_sym_LPAREN2] = ACTIONS(1531),
    [anon_sym_BANG] = ACTIONS(1531),
    [anon_sym_TILDE] = ACTIONS(1531),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_STAR] = ACTIONS(1531),
    [anon_sym_AMP] = ACTIONS(1531),
    [anon_sym_subroutine] = ACTIONS(1529),
    [anon_sym_invariant] = ACTIONS(1529),
    [anon_sym_precise] = ACTIONS(1529),
    [anon_sym_SEMI] = ACTIONS(1531),
    [anon_sym_in] = ACTIONS(1529),
    [anon_sym_out] = ACTIONS(1529),
    [anon_sym_inout] = ACTIONS(1529),
    [anon_sym_uniform] = ACTIONS(1529),
    [anon_sym_shared] = ACTIONS(1529),
    [anon_sym_attribute] = ACTIONS(1529),
    [anon_sym_varying] = ACTIONS(1529),
    [anon_sym_buffer] = ACTIONS(1529),
    [anon_sym_coherent] = ACTIONS(1529),
    [anon_sym_readonly] = ACTIONS(1529),
    [anon_sym_writeonly] = ACTIONS(1529),
    [anon_sym_precision] = ACTIONS(1529),
    [anon_sym_highp] = ACTIONS(1529),
    [anon_sym_mediump] = ACTIONS(1529),
    [anon_sym_lowp] = ACTIONS(1529),
    [anon_sym_centroid] = ACTIONS(1529),
    [anon_sym_sample] = ACTIONS(1529),
    [anon_sym_patch] = ACTIONS(1529),
    [anon_sym_smooth] = ACTIONS(1529),
    [anon_sym_flat] = ACTIONS(1529),
    [anon_sym_noperspective] = ACTIONS(1529),
    [anon_sym___extension__] = ACTIONS(1529),
    [anon_sym_typedef] = ACTIONS(1529),
    [anon_sym_extern] = ACTIONS(1529),
    [anon_sym___attribute__] = ACTIONS(1529),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1531),
    [anon_sym___declspec] = ACTIONS(1529),
    [anon_sym___cdecl] = ACTIONS(1529),
    [anon_sym___clrcall] = ACTIONS(1529),
    [anon_sym___stdcall] = ACTIONS(1529),
    [anon_sym___fastcall] = ACTIONS(1529),
    [anon_sym___thiscall] = ACTIONS(1529),
    [anon_sym___vectorcall] = ACTIONS(1529),
    [anon_sym_LBRACE] = ACTIONS(1531),
    [anon_sym_signed] = ACTIONS(1529),
    [anon_sym_unsigned] = ACTIONS(1529),
    [anon_sym_long] = ACTIONS(1529),
    [anon_sym_short] = ACTIONS(1529),
    [anon_sym_static] = ACTIONS(1529),
    [anon_sym_auto] = ACTIONS(1529),
    [anon_sym_register] = ACTIONS(1529),
    [anon_sym_inline] = ACTIONS(1529),
    [anon_sym___inline] = ACTIONS(1529),
    [anon_sym___inline__] = ACTIONS(1529),
    [anon_sym___forceinline] = ACTIONS(1529),
    [anon_sym_thread_local] = ACTIONS(1529),
    [anon_sym___thread] = ACTIONS(1529),
    [anon_sym_const] = ACTIONS(1529),
    [anon_sym_constexpr] = ACTIONS(1529),
    [anon_sym_volatile] = ACTIONS(1529),
    [anon_sym_restrict] = ACTIONS(1529),
    [anon_sym___restrict__] = ACTIONS(1529),
    [anon_sym__Atomic] = ACTIONS(1529),
    [anon_sym__Noreturn] = ACTIONS(1529),
    [anon_sym_noreturn] = ACTIONS(1529),
    [sym_primitive_type] = ACTIONS(1529),
    [anon_sym_enum] = ACTIONS(1529),
    [anon_sym_struct] = ACTIONS(1529),
    [anon_sym_union] = ACTIONS(1529),
    [anon_sym_if] = ACTIONS(1529),
    [anon_sym_else] = ACTIONS(1529),
    [anon_sym_switch] = ACTIONS(1529),
    [anon_sym_case] = ACTIONS(1529),
    [anon_sym_default] = ACTIONS(1529),
    [anon_sym_while] = ACTIONS(1529),
    [anon_sym_do] = ACTIONS(1529),
    [anon_sym_for] = ACTIONS(1529),
    [anon_sym_return] = ACTIONS(1529),
    [anon_sym_break] = ACTIONS(1529),
    [anon_sym_continue] = ACTIONS(1529),
    [anon_sym_goto] = ACTIONS(1529),
    [anon_sym___try] = ACTIONS(1529),
    [anon_sym___leave] = ACTIONS(1529),
    [anon_sym_DASH_DASH] = ACTIONS(1531),
    [anon_sym_PLUS_PLUS] = ACTIONS(1531),
    [anon_sym_sizeof] = ACTIONS(1529),
    [anon_sym___alignof__] = ACTIONS(1529),
    [anon_sym___alignof] = ACTIONS(1529),
    [anon_sym__alignof] = ACTIONS(1529),
    [anon_sym_alignof] = ACTIONS(1529),
    [anon_sym__Alignof] = ACTIONS(1529),
    [anon_sym_offsetof] = ACTIONS(1529),
    [anon_sym__Generic] = ACTIONS(1529),
    [anon_sym_asm] = ACTIONS(1529),
    [anon_sym___asm__] = ACTIONS(1529),
    [sym_number_literal] = ACTIONS(1531),
    [anon_sym_L_SQUOTE] = ACTIONS(1531),
    [anon_sym_u_SQUOTE] = ACTIONS(1531),
    [anon_sym_U_SQUOTE] = ACTIONS(1531),
    [anon_sym_u8_SQUOTE] = ACTIONS(1531),
    [anon_sym_SQUOTE] = ACTIONS(1531),
    [anon_sym_L_DQUOTE] = ACTIONS(1531),
    [anon_sym_u_DQUOTE] = ACTIONS(1531),
    [anon_sym_U_DQUOTE] = ACTIONS(1531),
    [anon_sym_u8_DQUOTE] = ACTIONS(1531),
    [anon_sym_DQUOTE] = ACTIONS(1531),
    [sym_true] = ACTIONS(1529),
    [sym_false] = ACTIONS(1529),
    [anon_sym_NULL] = ACTIONS(1529),
    [anon_sym_nullptr] = ACTIONS(1529),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1529),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1529),
    [anon_sym_hitAttributeEXT] = ACTIONS(1529),
    [anon_sym_callableDataEXT] = ACTIONS(1529),
    [anon_sym_callableDataInEXT] = ACTIONS(1529),
    [anon_sym_shaderRecordEXT] = ACTIONS(1529),
    [anon_sym_rayPayloadNV] = ACTIONS(1529),
    [anon_sym_rayPayloadInNV] = ACTIONS(1529),
    [anon_sym_hitAttributeNV] = ACTIONS(1529),
    [anon_sym_callableDataNV] = ACTIONS(1529),
    [anon_sym_callableDataInNV] = ACTIONS(1529),
    [anon_sym_shaderRecordNV] = ACTIONS(1529),
    [anon_sym_layout] = ACTIONS(1529),
  },
  [370] = {
    [sym_identifier] = ACTIONS(1553),
    [aux_sym_preproc_include_token1] = ACTIONS(1553),
    [aux_sym_preproc_def_token1] = ACTIONS(1553),
    [aux_sym_preproc_if_token1] = ACTIONS(1553),
    [aux_sym_preproc_if_token2] = ACTIONS(1553),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1553),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1553),
    [sym_preproc_directive] = ACTIONS(1553),
    [anon_sym_LPAREN2] = ACTIONS(1555),
    [anon_sym_BANG] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1555),
    [anon_sym_DASH] = ACTIONS(1553),
    [anon_sym_PLUS] = ACTIONS(1553),
    [anon_sym_STAR] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(1555),
    [anon_sym_subroutine] = ACTIONS(1553),
    [anon_sym_invariant] = ACTIONS(1553),
    [anon_sym_precise] = ACTIONS(1553),
    [anon_sym_SEMI] = ACTIONS(1555),
    [anon_sym_in] = ACTIONS(1553),
    [anon_sym_out] = ACTIONS(1553),
    [anon_sym_inout] = ACTIONS(1553),
    [anon_sym_uniform] = ACTIONS(1553),
    [anon_sym_shared] = ACTIONS(1553),
    [anon_sym_attribute] = ACTIONS(1553),
    [anon_sym_varying] = ACTIONS(1553),
    [anon_sym_buffer] = ACTIONS(1553),
    [anon_sym_coherent] = ACTIONS(1553),
    [anon_sym_readonly] = ACTIONS(1553),
    [anon_sym_writeonly] = ACTIONS(1553),
    [anon_sym_precision] = ACTIONS(1553),
    [anon_sym_highp] = ACTIONS(1553),
    [anon_sym_mediump] = ACTIONS(1553),
    [anon_sym_lowp] = ACTIONS(1553),
    [anon_sym_centroid] = ACTIONS(1553),
    [anon_sym_sample] = ACTIONS(1553),
    [anon_sym_patch] = ACTIONS(1553),
    [anon_sym_smooth] = ACTIONS(1553),
    [anon_sym_flat] = ACTIONS(1553),
    [anon_sym_noperspective] = ACTIONS(1553),
    [anon_sym___extension__] = ACTIONS(1553),
    [anon_sym_typedef] = ACTIONS(1553),
    [anon_sym_extern] = ACTIONS(1553),
    [anon_sym___attribute__] = ACTIONS(1553),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1555),
    [anon_sym___declspec] = ACTIONS(1553),
    [anon_sym___cdecl] = ACTIONS(1553),
    [anon_sym___clrcall] = ACTIONS(1553),
    [anon_sym___stdcall] = ACTIONS(1553),
    [anon_sym___fastcall] = ACTIONS(1553),
    [anon_sym___thiscall] = ACTIONS(1553),
    [anon_sym___vectorcall] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_signed] = ACTIONS(1553),
    [anon_sym_unsigned] = ACTIONS(1553),
    [anon_sym_long] = ACTIONS(1553),
    [anon_sym_short] = ACTIONS(1553),
    [anon_sym_static] = ACTIONS(1553),
    [anon_sym_auto] = ACTIONS(1553),
    [anon_sym_register] = ACTIONS(1553),
    [anon_sym_inline] = ACTIONS(1553),
    [anon_sym___inline] = ACTIONS(1553),
    [anon_sym___inline__] = ACTIONS(1553),
    [anon_sym___forceinline] = ACTIONS(1553),
    [anon_sym_thread_local] = ACTIONS(1553),
    [anon_sym___thread] = ACTIONS(1553),
    [anon_sym_const] = ACTIONS(1553),
    [anon_sym_constexpr] = ACTIONS(1553),
    [anon_sym_volatile] = ACTIONS(1553),
    [anon_sym_restrict] = ACTIONS(1553),
    [anon_sym___restrict__] = ACTIONS(1553),
    [anon_sym__Atomic] = ACTIONS(1553),
    [anon_sym__Noreturn] = ACTIONS(1553),
    [anon_sym_noreturn] = ACTIONS(1553),
    [sym_primitive_type] = ACTIONS(1553),
    [anon_sym_enum] = ACTIONS(1553),
    [anon_sym_struct] = ACTIONS(1553),
    [anon_sym_union] = ACTIONS(1553),
    [anon_sym_if] = ACTIONS(1553),
    [anon_sym_else] = ACTIONS(1553),
    [anon_sym_switch] = ACTIONS(1553),
    [anon_sym_case] = ACTIONS(1553),
    [anon_sym_default] = ACTIONS(1553),
    [anon_sym_while] = ACTIONS(1553),
    [anon_sym_do] = ACTIONS(1553),
    [anon_sym_for] = ACTIONS(1553),
    [anon_sym_return] = ACTIONS(1553),
    [anon_sym_break] = ACTIONS(1553),
    [anon_sym_continue] = ACTIONS(1553),
    [anon_sym_goto] = ACTIONS(1553),
    [anon_sym___try] = ACTIONS(1553),
    [anon_sym___leave] = ACTIONS(1553),
    [anon_sym_DASH_DASH] = ACTIONS(1555),
    [anon_sym_PLUS_PLUS] = ACTIONS(1555),
    [anon_sym_sizeof] = ACTIONS(1553),
    [anon_sym___alignof__] = ACTIONS(1553),
    [anon_sym___alignof] = ACTIONS(1553),
    [anon_sym__alignof] = ACTIONS(1553),
    [anon_sym_alignof] = ACTIONS(1553),
    [anon_sym__Alignof] = ACTIONS(1553),
    [anon_sym_offsetof] = ACTIONS(1553),
    [anon_sym__Generic] = ACTIONS(1553),
    [anon_sym_asm] = ACTIONS(1553),
    [anon_sym___asm__] = ACTIONS(1553),
    [sym_number_literal] = ACTIONS(1555),
    [anon_sym_L_SQUOTE] = ACTIONS(1555),
    [anon_sym_u_SQUOTE] = ACTIONS(1555),
    [anon_sym_U_SQUOTE] = ACTIONS(1555),
    [anon_sym_u8_SQUOTE] = ACTIONS(1555),
    [anon_sym_SQUOTE] = ACTIONS(1555),
    [anon_sym_L_DQUOTE] = ACTIONS(1555),
    [anon_sym_u_DQUOTE] = ACTIONS(1555),
    [anon_sym_U_DQUOTE] = ACTIONS(1555),
    [anon_sym_u8_DQUOTE] = ACTIONS(1555),
    [anon_sym_DQUOTE] = ACTIONS(1555),
    [sym_true] = ACTIONS(1553),
    [sym_false] = ACTIONS(1553),
    [anon_sym_NULL] = ACTIONS(1553),
    [anon_sym_nullptr] = ACTIONS(1553),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1553),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1553),
    [anon_sym_hitAttributeEXT] = ACTIONS(1553),
    [anon_sym_callableDataEXT] = ACTIONS(1553),
    [anon_sym_callableDataInEXT] = ACTIONS(1553),
    [anon_sym_shaderRecordEXT] = ACTIONS(1553),
    [anon_sym_rayPayloadNV] = ACTIONS(1553),
    [anon_sym_rayPayloadInNV] = ACTIONS(1553),
    [anon_sym_hitAttributeNV] = ACTIONS(1553),
    [anon_sym_callableDataNV] = ACTIONS(1553),
    [anon_sym_callableDataInNV] = ACTIONS(1553),
    [anon_sym_shaderRecordNV] = ACTIONS(1553),
    [anon_sym_layout] = ACTIONS(1553),
  },
  [371] = {
    [sym_identifier] = ACTIONS(1565),
    [aux_sym_preproc_include_token1] = ACTIONS(1565),
    [aux_sym_preproc_def_token1] = ACTIONS(1565),
    [aux_sym_preproc_if_token1] = ACTIONS(1565),
    [aux_sym_preproc_if_token2] = ACTIONS(1565),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1565),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1565),
    [sym_preproc_directive] = ACTIONS(1565),
    [anon_sym_LPAREN2] = ACTIONS(1567),
    [anon_sym_BANG] = ACTIONS(1567),
    [anon_sym_TILDE] = ACTIONS(1567),
    [anon_sym_DASH] = ACTIONS(1565),
    [anon_sym_PLUS] = ACTIONS(1565),
    [anon_sym_STAR] = ACTIONS(1567),
    [anon_sym_AMP] = ACTIONS(1567),
    [anon_sym_subroutine] = ACTIONS(1565),
    [anon_sym_invariant] = ACTIONS(1565),
    [anon_sym_precise] = ACTIONS(1565),
    [anon_sym_SEMI] = ACTIONS(1567),
    [anon_sym_in] = ACTIONS(1565),
    [anon_sym_out] = ACTIONS(1565),
    [anon_sym_inout] = ACTIONS(1565),
    [anon_sym_uniform] = ACTIONS(1565),
    [anon_sym_shared] = ACTIONS(1565),
    [anon_sym_attribute] = ACTIONS(1565),
    [anon_sym_varying] = ACTIONS(1565),
    [anon_sym_buffer] = ACTIONS(1565),
    [anon_sym_coherent] = ACTIONS(1565),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_writeonly] = ACTIONS(1565),
    [anon_sym_precision] = ACTIONS(1565),
    [anon_sym_highp] = ACTIONS(1565),
    [anon_sym_mediump] = ACTIONS(1565),
    [anon_sym_lowp] = ACTIONS(1565),
    [anon_sym_centroid] = ACTIONS(1565),
    [anon_sym_sample] = ACTIONS(1565),
    [anon_sym_patch] = ACTIONS(1565),
    [anon_sym_smooth] = ACTIONS(1565),
    [anon_sym_flat] = ACTIONS(1565),
    [anon_sym_noperspective] = ACTIONS(1565),
    [anon_sym___extension__] = ACTIONS(1565),
    [anon_sym_typedef] = ACTIONS(1565),
    [anon_sym_extern] = ACTIONS(1565),
    [anon_sym___attribute__] = ACTIONS(1565),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1567),
    [anon_sym___declspec] = ACTIONS(1565),
    [anon_sym___cdecl] = ACTIONS(1565),
    [anon_sym___clrcall] = ACTIONS(1565),
    [anon_sym___stdcall] = ACTIONS(1565),
    [anon_sym___fastcall] = ACTIONS(1565),
    [anon_sym___thiscall] = ACTIONS(1565),
    [anon_sym___vectorcall] = ACTIONS(1565),
    [anon_sym_LBRACE] = ACTIONS(1567),
    [anon_sym_signed] = ACTIONS(1565),
    [anon_sym_unsigned] = ACTIONS(1565),
    [anon_sym_long] = ACTIONS(1565),
    [anon_sym_short] = ACTIONS(1565),
    [anon_sym_static] = ACTIONS(1565),
    [anon_sym_auto] = ACTIONS(1565),
    [anon_sym_register] = ACTIONS(1565),
    [anon_sym_inline] = ACTIONS(1565),
    [anon_sym___inline] = ACTIONS(1565),
    [anon_sym___inline__] = ACTIONS(1565),
    [anon_sym___forceinline] = ACTIONS(1565),
    [anon_sym_thread_local] = ACTIONS(1565),
    [anon_sym___thread] = ACTIONS(1565),
    [anon_sym_const] = ACTIONS(1565),
    [anon_sym_constexpr] = ACTIONS(1565),
    [anon_sym_volatile] = ACTIONS(1565),
    [anon_sym_restrict] = ACTIONS(1565),
    [anon_sym___restrict__] = ACTIONS(1565),
    [anon_sym__Atomic] = ACTIONS(1565),
    [anon_sym__Noreturn] = ACTIONS(1565),
    [anon_sym_noreturn] = ACTIONS(1565),
    [sym_primitive_type] = ACTIONS(1565),
    [anon_sym_enum] = ACTIONS(1565),
    [anon_sym_struct] = ACTIONS(1565),
    [anon_sym_union] = ACTIONS(1565),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_else] = ACTIONS(1565),
    [anon_sym_switch] = ACTIONS(1565),
    [anon_sym_case] = ACTIONS(1565),
    [anon_sym_default] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1565),
    [anon_sym_do] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(1565),
    [anon_sym_return] = ACTIONS(1565),
    [anon_sym_break] = ACTIONS(1565),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_goto] = ACTIONS(1565),
    [anon_sym___try] = ACTIONS(1565),
    [anon_sym___leave] = ACTIONS(1565),
    [anon_sym_DASH_DASH] = ACTIONS(1567),
    [anon_sym_PLUS_PLUS] = ACTIONS(1567),
    [anon_sym_sizeof] = ACTIONS(1565),
    [anon_sym___alignof__] = ACTIONS(1565),
    [anon_sym___alignof] = ACTIONS(1565),
    [anon_sym__alignof] = ACTIONS(1565),
    [anon_sym_alignof] = ACTIONS(1565),
    [anon_sym__Alignof] = ACTIONS(1565),
    [anon_sym_offsetof] = ACTIONS(1565),
    [anon_sym__Generic] = ACTIONS(1565),
    [anon_sym_asm] = ACTIONS(1565),
    [anon_sym___asm__] = ACTIONS(1565),
    [sym_number_literal] = ACTIONS(1567),
    [anon_sym_L_SQUOTE] = ACTIONS(1567),
    [anon_sym_u_SQUOTE] = ACTIONS(1567),
    [anon_sym_U_SQUOTE] = ACTIONS(1567),
    [anon_sym_u8_SQUOTE] = ACTIONS(1567),
    [anon_sym_SQUOTE] = ACTIONS(1567),
    [anon_sym_L_DQUOTE] = ACTIONS(1567),
    [anon_sym_u_DQUOTE] = ACTIONS(1567),
    [anon_sym_U_DQUOTE] = ACTIONS(1567),
    [anon_sym_u8_DQUOTE] = ACTIONS(1567),
    [anon_sym_DQUOTE] = ACTIONS(1567),
    [sym_true] = ACTIONS(1565),
    [sym_false] = ACTIONS(1565),
    [anon_sym_NULL] = ACTIONS(1565),
    [anon_sym_nullptr] = ACTIONS(1565),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1565),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1565),
    [anon_sym_hitAttributeEXT] = ACTIONS(1565),
    [anon_sym_callableDataEXT] = ACTIONS(1565),
    [anon_sym_callableDataInEXT] = ACTIONS(1565),
    [anon_sym_shaderRecordEXT] = ACTIONS(1565),
    [anon_sym_rayPayloadNV] = ACTIONS(1565),
    [anon_sym_rayPayloadInNV] = ACTIONS(1565),
    [anon_sym_hitAttributeNV] = ACTIONS(1565),
    [anon_sym_callableDataNV] = ACTIONS(1565),
    [anon_sym_callableDataInNV] = ACTIONS(1565),
    [anon_sym_shaderRecordNV] = ACTIONS(1565),
    [anon_sym_layout] = ACTIONS(1565),
  },
  [372] = {
    [sym_identifier] = ACTIONS(1569),
    [aux_sym_preproc_include_token1] = ACTIONS(1569),
    [aux_sym_preproc_def_token1] = ACTIONS(1569),
    [aux_sym_preproc_if_token1] = ACTIONS(1569),
    [aux_sym_preproc_if_token2] = ACTIONS(1569),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1569),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1569),
    [sym_preproc_directive] = ACTIONS(1569),
    [anon_sym_LPAREN2] = ACTIONS(1571),
    [anon_sym_BANG] = ACTIONS(1571),
    [anon_sym_TILDE] = ACTIONS(1571),
    [anon_sym_DASH] = ACTIONS(1569),
    [anon_sym_PLUS] = ACTIONS(1569),
    [anon_sym_STAR] = ACTIONS(1571),
    [anon_sym_AMP] = ACTIONS(1571),
    [anon_sym_subroutine] = ACTIONS(1569),
    [anon_sym_invariant] = ACTIONS(1569),
    [anon_sym_precise] = ACTIONS(1569),
    [anon_sym_SEMI] = ACTIONS(1571),
    [anon_sym_in] = ACTIONS(1569),
    [anon_sym_out] = ACTIONS(1569),
    [anon_sym_inout] = ACTIONS(1569),
    [anon_sym_uniform] = ACTIONS(1569),
    [anon_sym_shared] = ACTIONS(1569),
    [anon_sym_attribute] = ACTIONS(1569),
    [anon_sym_varying] = ACTIONS(1569),
    [anon_sym_buffer] = ACTIONS(1569),
    [anon_sym_coherent] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_writeonly] = ACTIONS(1569),
    [anon_sym_precision] = ACTIONS(1569),
    [anon_sym_highp] = ACTIONS(1569),
    [anon_sym_mediump] = ACTIONS(1569),
    [anon_sym_lowp] = ACTIONS(1569),
    [anon_sym_centroid] = ACTIONS(1569),
    [anon_sym_sample] = ACTIONS(1569),
    [anon_sym_patch] = ACTIONS(1569),
    [anon_sym_smooth] = ACTIONS(1569),
    [anon_sym_flat] = ACTIONS(1569),
    [anon_sym_noperspective] = ACTIONS(1569),
    [anon_sym___extension__] = ACTIONS(1569),
    [anon_sym_typedef] = ACTIONS(1569),
    [anon_sym_extern] = ACTIONS(1569),
    [anon_sym___attribute__] = ACTIONS(1569),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1571),
    [anon_sym___declspec] = ACTIONS(1569),
    [anon_sym___cdecl] = ACTIONS(1569),
    [anon_sym___clrcall] = ACTIONS(1569),
    [anon_sym___stdcall] = ACTIONS(1569),
    [anon_sym___fastcall] = ACTIONS(1569),
    [anon_sym___thiscall] = ACTIONS(1569),
    [anon_sym___vectorcall] = ACTIONS(1569),
    [anon_sym_LBRACE] = ACTIONS(1571),
    [anon_sym_signed] = ACTIONS(1569),
    [anon_sym_unsigned] = ACTIONS(1569),
    [anon_sym_long] = ACTIONS(1569),
    [anon_sym_short] = ACTIONS(1569),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_auto] = ACTIONS(1569),
    [anon_sym_register] = ACTIONS(1569),
    [anon_sym_inline] = ACTIONS(1569),
    [anon_sym___inline] = ACTIONS(1569),
    [anon_sym___inline__] = ACTIONS(1569),
    [anon_sym___forceinline] = ACTIONS(1569),
    [anon_sym_thread_local] = ACTIONS(1569),
    [anon_sym___thread] = ACTIONS(1569),
    [anon_sym_const] = ACTIONS(1569),
    [anon_sym_constexpr] = ACTIONS(1569),
    [anon_sym_volatile] = ACTIONS(1569),
    [anon_sym_restrict] = ACTIONS(1569),
    [anon_sym___restrict__] = ACTIONS(1569),
    [anon_sym__Atomic] = ACTIONS(1569),
    [anon_sym__Noreturn] = ACTIONS(1569),
    [anon_sym_noreturn] = ACTIONS(1569),
    [sym_primitive_type] = ACTIONS(1569),
    [anon_sym_enum] = ACTIONS(1569),
    [anon_sym_struct] = ACTIONS(1569),
    [anon_sym_union] = ACTIONS(1569),
    [anon_sym_if] = ACTIONS(1569),
    [anon_sym_else] = ACTIONS(1569),
    [anon_sym_switch] = ACTIONS(1569),
    [anon_sym_case] = ACTIONS(1569),
    [anon_sym_default] = ACTIONS(1569),
    [anon_sym_while] = ACTIONS(1569),
    [anon_sym_do] = ACTIONS(1569),
    [anon_sym_for] = ACTIONS(1569),
    [anon_sym_return] = ACTIONS(1569),
    [anon_sym_break] = ACTIONS(1569),
    [anon_sym_continue] = ACTIONS(1569),
    [anon_sym_goto] = ACTIONS(1569),
    [anon_sym___try] = ACTIONS(1569),
    [anon_sym___leave] = ACTIONS(1569),
    [anon_sym_DASH_DASH] = ACTIONS(1571),
    [anon_sym_PLUS_PLUS] = ACTIONS(1571),
    [anon_sym_sizeof] = ACTIONS(1569),
    [anon_sym___alignof__] = ACTIONS(1569),
    [anon_sym___alignof] = ACTIONS(1569),
    [anon_sym__alignof] = ACTIONS(1569),
    [anon_sym_alignof] = ACTIONS(1569),
    [anon_sym__Alignof] = ACTIONS(1569),
    [anon_sym_offsetof] = ACTIONS(1569),
    [anon_sym__Generic] = ACTIONS(1569),
    [anon_sym_asm] = ACTIONS(1569),
    [anon_sym___asm__] = ACTIONS(1569),
    [sym_number_literal] = ACTIONS(1571),
    [anon_sym_L_SQUOTE] = ACTIONS(1571),
    [anon_sym_u_SQUOTE] = ACTIONS(1571),
    [anon_sym_U_SQUOTE] = ACTIONS(1571),
    [anon_sym_u8_SQUOTE] = ACTIONS(1571),
    [anon_sym_SQUOTE] = ACTIONS(1571),
    [anon_sym_L_DQUOTE] = ACTIONS(1571),
    [anon_sym_u_DQUOTE] = ACTIONS(1571),
    [anon_sym_U_DQUOTE] = ACTIONS(1571),
    [anon_sym_u8_DQUOTE] = ACTIONS(1571),
    [anon_sym_DQUOTE] = ACTIONS(1571),
    [sym_true] = ACTIONS(1569),
    [sym_false] = ACTIONS(1569),
    [anon_sym_NULL] = ACTIONS(1569),
    [anon_sym_nullptr] = ACTIONS(1569),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1569),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1569),
    [anon_sym_hitAttributeEXT] = ACTIONS(1569),
    [anon_sym_callableDataEXT] = ACTIONS(1569),
    [anon_sym_callableDataInEXT] = ACTIONS(1569),
    [anon_sym_shaderRecordEXT] = ACTIONS(1569),
    [anon_sym_rayPayloadNV] = ACTIONS(1569),
    [anon_sym_rayPayloadInNV] = ACTIONS(1569),
    [anon_sym_hitAttributeNV] = ACTIONS(1569),
    [anon_sym_callableDataNV] = ACTIONS(1569),
    [anon_sym_callableDataInNV] = ACTIONS(1569),
    [anon_sym_shaderRecordNV] = ACTIONS(1569),
    [anon_sym_layout] = ACTIONS(1569),
  },
  [373] = {
    [sym_identifier] = ACTIONS(1475),
    [aux_sym_preproc_include_token1] = ACTIONS(1475),
    [aux_sym_preproc_def_token1] = ACTIONS(1475),
    [aux_sym_preproc_if_token1] = ACTIONS(1475),
    [aux_sym_preproc_if_token2] = ACTIONS(1475),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1475),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1475),
    [sym_preproc_directive] = ACTIONS(1475),
    [anon_sym_LPAREN2] = ACTIONS(1473),
    [anon_sym_BANG] = ACTIONS(1473),
    [anon_sym_TILDE] = ACTIONS(1473),
    [anon_sym_DASH] = ACTIONS(1475),
    [anon_sym_PLUS] = ACTIONS(1475),
    [anon_sym_STAR] = ACTIONS(1473),
    [anon_sym_AMP] = ACTIONS(1473),
    [anon_sym_subroutine] = ACTIONS(1475),
    [anon_sym_invariant] = ACTIONS(1475),
    [anon_sym_precise] = ACTIONS(1475),
    [anon_sym_SEMI] = ACTIONS(1473),
    [anon_sym_in] = ACTIONS(1475),
    [anon_sym_out] = ACTIONS(1475),
    [anon_sym_inout] = ACTIONS(1475),
    [anon_sym_uniform] = ACTIONS(1475),
    [anon_sym_shared] = ACTIONS(1475),
    [anon_sym_attribute] = ACTIONS(1475),
    [anon_sym_varying] = ACTIONS(1475),
    [anon_sym_buffer] = ACTIONS(1475),
    [anon_sym_coherent] = ACTIONS(1475),
    [anon_sym_readonly] = ACTIONS(1475),
    [anon_sym_writeonly] = ACTIONS(1475),
    [anon_sym_precision] = ACTIONS(1475),
    [anon_sym_highp] = ACTIONS(1475),
    [anon_sym_mediump] = ACTIONS(1475),
    [anon_sym_lowp] = ACTIONS(1475),
    [anon_sym_centroid] = ACTIONS(1475),
    [anon_sym_sample] = ACTIONS(1475),
    [anon_sym_patch] = ACTIONS(1475),
    [anon_sym_smooth] = ACTIONS(1475),
    [anon_sym_flat] = ACTIONS(1475),
    [anon_sym_noperspective] = ACTIONS(1475),
    [anon_sym___extension__] = ACTIONS(1475),
    [anon_sym_typedef] = ACTIONS(1475),
    [anon_sym_extern] = ACTIONS(1475),
    [anon_sym___attribute__] = ACTIONS(1475),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1473),
    [anon_sym___declspec] = ACTIONS(1475),
    [anon_sym___cdecl] = ACTIONS(1475),
    [anon_sym___clrcall] = ACTIONS(1475),
    [anon_sym___stdcall] = ACTIONS(1475),
    [anon_sym___fastcall] = ACTIONS(1475),
    [anon_sym___thiscall] = ACTIONS(1475),
    [anon_sym___vectorcall] = ACTIONS(1475),
    [anon_sym_LBRACE] = ACTIONS(1473),
    [anon_sym_signed] = ACTIONS(1475),
    [anon_sym_unsigned] = ACTIONS(1475),
    [anon_sym_long] = ACTIONS(1475),
    [anon_sym_short] = ACTIONS(1475),
    [anon_sym_static] = ACTIONS(1475),
    [anon_sym_auto] = ACTIONS(1475),
    [anon_sym_register] = ACTIONS(1475),
    [anon_sym_inline] = ACTIONS(1475),
    [anon_sym___inline] = ACTIONS(1475),
    [anon_sym___inline__] = ACTIONS(1475),
    [anon_sym___forceinline] = ACTIONS(1475),
    [anon_sym_thread_local] = ACTIONS(1475),
    [anon_sym___thread] = ACTIONS(1475),
    [anon_sym_const] = ACTIONS(1475),
    [anon_sym_constexpr] = ACTIONS(1475),
    [anon_sym_volatile] = ACTIONS(1475),
    [anon_sym_restrict] = ACTIONS(1475),
    [anon_sym___restrict__] = ACTIONS(1475),
    [anon_sym__Atomic] = ACTIONS(1475),
    [anon_sym__Noreturn] = ACTIONS(1475),
    [anon_sym_noreturn] = ACTIONS(1475),
    [sym_primitive_type] = ACTIONS(1475),
    [anon_sym_enum] = ACTIONS(1475),
    [anon_sym_struct] = ACTIONS(1475),
    [anon_sym_union] = ACTIONS(1475),
    [anon_sym_if] = ACTIONS(1475),
    [anon_sym_else] = ACTIONS(1475),
    [anon_sym_switch] = ACTIONS(1475),
    [anon_sym_case] = ACTIONS(1475),
    [anon_sym_default] = ACTIONS(1475),
    [anon_sym_while] = ACTIONS(1475),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_for] = ACTIONS(1475),
    [anon_sym_return] = ACTIONS(1475),
    [anon_sym_break] = ACTIONS(1475),
    [anon_sym_continue] = ACTIONS(1475),
    [anon_sym_goto] = ACTIONS(1475),
    [anon_sym___try] = ACTIONS(1475),
    [anon_sym___leave] = ACTIONS(1475),
    [anon_sym_DASH_DASH] = ACTIONS(1473),
    [anon_sym_PLUS_PLUS] = ACTIONS(1473),
    [anon_sym_sizeof] = ACTIONS(1475),
    [anon_sym___alignof__] = ACTIONS(1475),
    [anon_sym___alignof] = ACTIONS(1475),
    [anon_sym__alignof] = ACTIONS(1475),
    [anon_sym_alignof] = ACTIONS(1475),
    [anon_sym__Alignof] = ACTIONS(1475),
    [anon_sym_offsetof] = ACTIONS(1475),
    [anon_sym__Generic] = ACTIONS(1475),
    [anon_sym_asm] = ACTIONS(1475),
    [anon_sym___asm__] = ACTIONS(1475),
    [sym_number_literal] = ACTIONS(1473),
    [anon_sym_L_SQUOTE] = ACTIONS(1473),
    [anon_sym_u_SQUOTE] = ACTIONS(1473),
    [anon_sym_U_SQUOTE] = ACTIONS(1473),
    [anon_sym_u8_SQUOTE] = ACTIONS(1473),
    [anon_sym_SQUOTE] = ACTIONS(1473),
    [anon_sym_L_DQUOTE] = ACTIONS(1473),
    [anon_sym_u_DQUOTE] = ACTIONS(1473),
    [anon_sym_U_DQUOTE] = ACTIONS(1473),
    [anon_sym_u8_DQUOTE] = ACTIONS(1473),
    [anon_sym_DQUOTE] = ACTIONS(1473),
    [sym_true] = ACTIONS(1475),
    [sym_false] = ACTIONS(1475),
    [anon_sym_NULL] = ACTIONS(1475),
    [anon_sym_nullptr] = ACTIONS(1475),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1475),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1475),
    [anon_sym_hitAttributeEXT] = ACTIONS(1475),
    [anon_sym_callableDataEXT] = ACTIONS(1475),
    [anon_sym_callableDataInEXT] = ACTIONS(1475),
    [anon_sym_shaderRecordEXT] = ACTIONS(1475),
    [anon_sym_rayPayloadNV] = ACTIONS(1475),
    [anon_sym_rayPayloadInNV] = ACTIONS(1475),
    [anon_sym_hitAttributeNV] = ACTIONS(1475),
    [anon_sym_callableDataNV] = ACTIONS(1475),
    [anon_sym_callableDataInNV] = ACTIONS(1475),
    [anon_sym_shaderRecordNV] = ACTIONS(1475),
    [anon_sym_layout] = ACTIONS(1475),
  },
  [374] = {
    [sym_identifier] = ACTIONS(1485),
    [aux_sym_preproc_include_token1] = ACTIONS(1485),
    [aux_sym_preproc_def_token1] = ACTIONS(1485),
    [aux_sym_preproc_if_token1] = ACTIONS(1485),
    [aux_sym_preproc_if_token2] = ACTIONS(1485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1485),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1485),
    [sym_preproc_directive] = ACTIONS(1485),
    [anon_sym_LPAREN2] = ACTIONS(1487),
    [anon_sym_BANG] = ACTIONS(1487),
    [anon_sym_TILDE] = ACTIONS(1487),
    [anon_sym_DASH] = ACTIONS(1485),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_STAR] = ACTIONS(1487),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_subroutine] = ACTIONS(1485),
    [anon_sym_invariant] = ACTIONS(1485),
    [anon_sym_precise] = ACTIONS(1485),
    [anon_sym_SEMI] = ACTIONS(1487),
    [anon_sym_in] = ACTIONS(1485),
    [anon_sym_out] = ACTIONS(1485),
    [anon_sym_inout] = ACTIONS(1485),
    [anon_sym_uniform] = ACTIONS(1485),
    [anon_sym_shared] = ACTIONS(1485),
    [anon_sym_attribute] = ACTIONS(1485),
    [anon_sym_varying] = ACTIONS(1485),
    [anon_sym_buffer] = ACTIONS(1485),
    [anon_sym_coherent] = ACTIONS(1485),
    [anon_sym_readonly] = ACTIONS(1485),
    [anon_sym_writeonly] = ACTIONS(1485),
    [anon_sym_precision] = ACTIONS(1485),
    [anon_sym_highp] = ACTIONS(1485),
    [anon_sym_mediump] = ACTIONS(1485),
    [anon_sym_lowp] = ACTIONS(1485),
    [anon_sym_centroid] = ACTIONS(1485),
    [anon_sym_sample] = ACTIONS(1485),
    [anon_sym_patch] = ACTIONS(1485),
    [anon_sym_smooth] = ACTIONS(1485),
    [anon_sym_flat] = ACTIONS(1485),
    [anon_sym_noperspective] = ACTIONS(1485),
    [anon_sym___extension__] = ACTIONS(1485),
    [anon_sym_typedef] = ACTIONS(1485),
    [anon_sym_extern] = ACTIONS(1485),
    [anon_sym___attribute__] = ACTIONS(1485),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1487),
    [anon_sym___declspec] = ACTIONS(1485),
    [anon_sym___cdecl] = ACTIONS(1485),
    [anon_sym___clrcall] = ACTIONS(1485),
    [anon_sym___stdcall] = ACTIONS(1485),
    [anon_sym___fastcall] = ACTIONS(1485),
    [anon_sym___thiscall] = ACTIONS(1485),
    [anon_sym___vectorcall] = ACTIONS(1485),
    [anon_sym_LBRACE] = ACTIONS(1487),
    [anon_sym_signed] = ACTIONS(1485),
    [anon_sym_unsigned] = ACTIONS(1485),
    [anon_sym_long] = ACTIONS(1485),
    [anon_sym_short] = ACTIONS(1485),
    [anon_sym_static] = ACTIONS(1485),
    [anon_sym_auto] = ACTIONS(1485),
    [anon_sym_register] = ACTIONS(1485),
    [anon_sym_inline] = ACTIONS(1485),
    [anon_sym___inline] = ACTIONS(1485),
    [anon_sym___inline__] = ACTIONS(1485),
    [anon_sym___forceinline] = ACTIONS(1485),
    [anon_sym_thread_local] = ACTIONS(1485),
    [anon_sym___thread] = ACTIONS(1485),
    [anon_sym_const] = ACTIONS(1485),
    [anon_sym_constexpr] = ACTIONS(1485),
    [anon_sym_volatile] = ACTIONS(1485),
    [anon_sym_restrict] = ACTIONS(1485),
    [anon_sym___restrict__] = ACTIONS(1485),
    [anon_sym__Atomic] = ACTIONS(1485),
    [anon_sym__Noreturn] = ACTIONS(1485),
    [anon_sym_noreturn] = ACTIONS(1485),
    [sym_primitive_type] = ACTIONS(1485),
    [anon_sym_enum] = ACTIONS(1485),
    [anon_sym_struct] = ACTIONS(1485),
    [anon_sym_union] = ACTIONS(1485),
    [anon_sym_if] = ACTIONS(1485),
    [anon_sym_else] = ACTIONS(1485),
    [anon_sym_switch] = ACTIONS(1485),
    [anon_sym_case] = ACTIONS(1485),
    [anon_sym_default] = ACTIONS(1485),
    [anon_sym_while] = ACTIONS(1485),
    [anon_sym_do] = ACTIONS(1485),
    [anon_sym_for] = ACTIONS(1485),
    [anon_sym_return] = ACTIONS(1485),
    [anon_sym_break] = ACTIONS(1485),
    [anon_sym_continue] = ACTIONS(1485),
    [anon_sym_goto] = ACTIONS(1485),
    [anon_sym___try] = ACTIONS(1485),
    [anon_sym___leave] = ACTIONS(1485),
    [anon_sym_DASH_DASH] = ACTIONS(1487),
    [anon_sym_PLUS_PLUS] = ACTIONS(1487),
    [anon_sym_sizeof] = ACTIONS(1485),
    [anon_sym___alignof__] = ACTIONS(1485),
    [anon_sym___alignof] = ACTIONS(1485),
    [anon_sym__alignof] = ACTIONS(1485),
    [anon_sym_alignof] = ACTIONS(1485),
    [anon_sym__Alignof] = ACTIONS(1485),
    [anon_sym_offsetof] = ACTIONS(1485),
    [anon_sym__Generic] = ACTIONS(1485),
    [anon_sym_asm] = ACTIONS(1485),
    [anon_sym___asm__] = ACTIONS(1485),
    [sym_number_literal] = ACTIONS(1487),
    [anon_sym_L_SQUOTE] = ACTIONS(1487),
    [anon_sym_u_SQUOTE] = ACTIONS(1487),
    [anon_sym_U_SQUOTE] = ACTIONS(1487),
    [anon_sym_u8_SQUOTE] = ACTIONS(1487),
    [anon_sym_SQUOTE] = ACTIONS(1487),
    [anon_sym_L_DQUOTE] = ACTIONS(1487),
    [anon_sym_u_DQUOTE] = ACTIONS(1487),
    [anon_sym_U_DQUOTE] = ACTIONS(1487),
    [anon_sym_u8_DQUOTE] = ACTIONS(1487),
    [anon_sym_DQUOTE] = ACTIONS(1487),
    [sym_true] = ACTIONS(1485),
    [sym_false] = ACTIONS(1485),
    [anon_sym_NULL] = ACTIONS(1485),
    [anon_sym_nullptr] = ACTIONS(1485),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1485),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1485),
    [anon_sym_hitAttributeEXT] = ACTIONS(1485),
    [anon_sym_callableDataEXT] = ACTIONS(1485),
    [anon_sym_callableDataInEXT] = ACTIONS(1485),
    [anon_sym_shaderRecordEXT] = ACTIONS(1485),
    [anon_sym_rayPayloadNV] = ACTIONS(1485),
    [anon_sym_rayPayloadInNV] = ACTIONS(1485),
    [anon_sym_hitAttributeNV] = ACTIONS(1485),
    [anon_sym_callableDataNV] = ACTIONS(1485),
    [anon_sym_callableDataInNV] = ACTIONS(1485),
    [anon_sym_shaderRecordNV] = ACTIONS(1485),
    [anon_sym_layout] = ACTIONS(1485),
  },
  [375] = {
    [sym_identifier] = ACTIONS(1485),
    [aux_sym_preproc_include_token1] = ACTIONS(1485),
    [aux_sym_preproc_def_token1] = ACTIONS(1485),
    [aux_sym_preproc_if_token1] = ACTIONS(1485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1485),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1485),
    [sym_preproc_directive] = ACTIONS(1485),
    [anon_sym_LPAREN2] = ACTIONS(1487),
    [anon_sym_BANG] = ACTIONS(1487),
    [anon_sym_TILDE] = ACTIONS(1487),
    [anon_sym_DASH] = ACTIONS(1485),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_STAR] = ACTIONS(1487),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_subroutine] = ACTIONS(1485),
    [anon_sym_invariant] = ACTIONS(1485),
    [anon_sym_precise] = ACTIONS(1485),
    [anon_sym_SEMI] = ACTIONS(1487),
    [anon_sym_in] = ACTIONS(1485),
    [anon_sym_out] = ACTIONS(1485),
    [anon_sym_inout] = ACTIONS(1485),
    [anon_sym_uniform] = ACTIONS(1485),
    [anon_sym_shared] = ACTIONS(1485),
    [anon_sym_attribute] = ACTIONS(1485),
    [anon_sym_varying] = ACTIONS(1485),
    [anon_sym_buffer] = ACTIONS(1485),
    [anon_sym_coherent] = ACTIONS(1485),
    [anon_sym_readonly] = ACTIONS(1485),
    [anon_sym_writeonly] = ACTIONS(1485),
    [anon_sym_precision] = ACTIONS(1485),
    [anon_sym_highp] = ACTIONS(1485),
    [anon_sym_mediump] = ACTIONS(1485),
    [anon_sym_lowp] = ACTIONS(1485),
    [anon_sym_centroid] = ACTIONS(1485),
    [anon_sym_sample] = ACTIONS(1485),
    [anon_sym_patch] = ACTIONS(1485),
    [anon_sym_smooth] = ACTIONS(1485),
    [anon_sym_flat] = ACTIONS(1485),
    [anon_sym_noperspective] = ACTIONS(1485),
    [anon_sym___extension__] = ACTIONS(1485),
    [anon_sym_typedef] = ACTIONS(1485),
    [anon_sym_extern] = ACTIONS(1485),
    [anon_sym___attribute__] = ACTIONS(1485),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1487),
    [anon_sym___declspec] = ACTIONS(1485),
    [anon_sym___cdecl] = ACTIONS(1485),
    [anon_sym___clrcall] = ACTIONS(1485),
    [anon_sym___stdcall] = ACTIONS(1485),
    [anon_sym___fastcall] = ACTIONS(1485),
    [anon_sym___thiscall] = ACTIONS(1485),
    [anon_sym___vectorcall] = ACTIONS(1485),
    [anon_sym_LBRACE] = ACTIONS(1487),
    [anon_sym_RBRACE] = ACTIONS(1487),
    [anon_sym_signed] = ACTIONS(1485),
    [anon_sym_unsigned] = ACTIONS(1485),
    [anon_sym_long] = ACTIONS(1485),
    [anon_sym_short] = ACTIONS(1485),
    [anon_sym_static] = ACTIONS(1485),
    [anon_sym_auto] = ACTIONS(1485),
    [anon_sym_register] = ACTIONS(1485),
    [anon_sym_inline] = ACTIONS(1485),
    [anon_sym___inline] = ACTIONS(1485),
    [anon_sym___inline__] = ACTIONS(1485),
    [anon_sym___forceinline] = ACTIONS(1485),
    [anon_sym_thread_local] = ACTIONS(1485),
    [anon_sym___thread] = ACTIONS(1485),
    [anon_sym_const] = ACTIONS(1485),
    [anon_sym_constexpr] = ACTIONS(1485),
    [anon_sym_volatile] = ACTIONS(1485),
    [anon_sym_restrict] = ACTIONS(1485),
    [anon_sym___restrict__] = ACTIONS(1485),
    [anon_sym__Atomic] = ACTIONS(1485),
    [anon_sym__Noreturn] = ACTIONS(1485),
    [anon_sym_noreturn] = ACTIONS(1485),
    [sym_primitive_type] = ACTIONS(1485),
    [anon_sym_enum] = ACTIONS(1485),
    [anon_sym_struct] = ACTIONS(1485),
    [anon_sym_union] = ACTIONS(1485),
    [anon_sym_if] = ACTIONS(1485),
    [anon_sym_else] = ACTIONS(1485),
    [anon_sym_switch] = ACTIONS(1485),
    [anon_sym_case] = ACTIONS(1485),
    [anon_sym_default] = ACTIONS(1485),
    [anon_sym_while] = ACTIONS(1485),
    [anon_sym_do] = ACTIONS(1485),
    [anon_sym_for] = ACTIONS(1485),
    [anon_sym_return] = ACTIONS(1485),
    [anon_sym_break] = ACTIONS(1485),
    [anon_sym_continue] = ACTIONS(1485),
    [anon_sym_goto] = ACTIONS(1485),
    [anon_sym___try] = ACTIONS(1485),
    [anon_sym___leave] = ACTIONS(1485),
    [anon_sym_DASH_DASH] = ACTIONS(1487),
    [anon_sym_PLUS_PLUS] = ACTIONS(1487),
    [anon_sym_sizeof] = ACTIONS(1485),
    [anon_sym___alignof__] = ACTIONS(1485),
    [anon_sym___alignof] = ACTIONS(1485),
    [anon_sym__alignof] = ACTIONS(1485),
    [anon_sym_alignof] = ACTIONS(1485),
    [anon_sym__Alignof] = ACTIONS(1485),
    [anon_sym_offsetof] = ACTIONS(1485),
    [anon_sym__Generic] = ACTIONS(1485),
    [anon_sym_asm] = ACTIONS(1485),
    [anon_sym___asm__] = ACTIONS(1485),
    [sym_number_literal] = ACTIONS(1487),
    [anon_sym_L_SQUOTE] = ACTIONS(1487),
    [anon_sym_u_SQUOTE] = ACTIONS(1487),
    [anon_sym_U_SQUOTE] = ACTIONS(1487),
    [anon_sym_u8_SQUOTE] = ACTIONS(1487),
    [anon_sym_SQUOTE] = ACTIONS(1487),
    [anon_sym_L_DQUOTE] = ACTIONS(1487),
    [anon_sym_u_DQUOTE] = ACTIONS(1487),
    [anon_sym_U_DQUOTE] = ACTIONS(1487),
    [anon_sym_u8_DQUOTE] = ACTIONS(1487),
    [anon_sym_DQUOTE] = ACTIONS(1487),
    [sym_true] = ACTIONS(1485),
    [sym_false] = ACTIONS(1485),
    [anon_sym_NULL] = ACTIONS(1485),
    [anon_sym_nullptr] = ACTIONS(1485),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1485),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1485),
    [anon_sym_hitAttributeEXT] = ACTIONS(1485),
    [anon_sym_callableDataEXT] = ACTIONS(1485),
    [anon_sym_callableDataInEXT] = ACTIONS(1485),
    [anon_sym_shaderRecordEXT] = ACTIONS(1485),
    [anon_sym_rayPayloadNV] = ACTIONS(1485),
    [anon_sym_rayPayloadInNV] = ACTIONS(1485),
    [anon_sym_hitAttributeNV] = ACTIONS(1485),
    [anon_sym_callableDataNV] = ACTIONS(1485),
    [anon_sym_callableDataInNV] = ACTIONS(1485),
    [anon_sym_shaderRecordNV] = ACTIONS(1485),
    [anon_sym_layout] = ACTIONS(1485),
  },
  [376] = {
    [ts_builtin_sym_end] = ACTIONS(1571),
    [sym_identifier] = ACTIONS(1569),
    [aux_sym_preproc_include_token1] = ACTIONS(1569),
    [aux_sym_preproc_def_token1] = ACTIONS(1569),
    [aux_sym_preproc_if_token1] = ACTIONS(1569),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1569),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1569),
    [sym_preproc_directive] = ACTIONS(1569),
    [anon_sym_LPAREN2] = ACTIONS(1571),
    [anon_sym_BANG] = ACTIONS(1571),
    [anon_sym_TILDE] = ACTIONS(1571),
    [anon_sym_DASH] = ACTIONS(1569),
    [anon_sym_PLUS] = ACTIONS(1569),
    [anon_sym_STAR] = ACTIONS(1571),
    [anon_sym_AMP] = ACTIONS(1571),
    [anon_sym_subroutine] = ACTIONS(1569),
    [anon_sym_invariant] = ACTIONS(1569),
    [anon_sym_precise] = ACTIONS(1569),
    [anon_sym_SEMI] = ACTIONS(1571),
    [anon_sym_in] = ACTIONS(1569),
    [anon_sym_out] = ACTIONS(1569),
    [anon_sym_inout] = ACTIONS(1569),
    [anon_sym_uniform] = ACTIONS(1569),
    [anon_sym_shared] = ACTIONS(1569),
    [anon_sym_attribute] = ACTIONS(1569),
    [anon_sym_varying] = ACTIONS(1569),
    [anon_sym_buffer] = ACTIONS(1569),
    [anon_sym_coherent] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_writeonly] = ACTIONS(1569),
    [anon_sym_precision] = ACTIONS(1569),
    [anon_sym_highp] = ACTIONS(1569),
    [anon_sym_mediump] = ACTIONS(1569),
    [anon_sym_lowp] = ACTIONS(1569),
    [anon_sym_centroid] = ACTIONS(1569),
    [anon_sym_sample] = ACTIONS(1569),
    [anon_sym_patch] = ACTIONS(1569),
    [anon_sym_smooth] = ACTIONS(1569),
    [anon_sym_flat] = ACTIONS(1569),
    [anon_sym_noperspective] = ACTIONS(1569),
    [anon_sym___extension__] = ACTIONS(1569),
    [anon_sym_typedef] = ACTIONS(1569),
    [anon_sym_extern] = ACTIONS(1569),
    [anon_sym___attribute__] = ACTIONS(1569),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1571),
    [anon_sym___declspec] = ACTIONS(1569),
    [anon_sym___cdecl] = ACTIONS(1569),
    [anon_sym___clrcall] = ACTIONS(1569),
    [anon_sym___stdcall] = ACTIONS(1569),
    [anon_sym___fastcall] = ACTIONS(1569),
    [anon_sym___thiscall] = ACTIONS(1569),
    [anon_sym___vectorcall] = ACTIONS(1569),
    [anon_sym_LBRACE] = ACTIONS(1571),
    [anon_sym_signed] = ACTIONS(1569),
    [anon_sym_unsigned] = ACTIONS(1569),
    [anon_sym_long] = ACTIONS(1569),
    [anon_sym_short] = ACTIONS(1569),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_auto] = ACTIONS(1569),
    [anon_sym_register] = ACTIONS(1569),
    [anon_sym_inline] = ACTIONS(1569),
    [anon_sym___inline] = ACTIONS(1569),
    [anon_sym___inline__] = ACTIONS(1569),
    [anon_sym___forceinline] = ACTIONS(1569),
    [anon_sym_thread_local] = ACTIONS(1569),
    [anon_sym___thread] = ACTIONS(1569),
    [anon_sym_const] = ACTIONS(1569),
    [anon_sym_constexpr] = ACTIONS(1569),
    [anon_sym_volatile] = ACTIONS(1569),
    [anon_sym_restrict] = ACTIONS(1569),
    [anon_sym___restrict__] = ACTIONS(1569),
    [anon_sym__Atomic] = ACTIONS(1569),
    [anon_sym__Noreturn] = ACTIONS(1569),
    [anon_sym_noreturn] = ACTIONS(1569),
    [sym_primitive_type] = ACTIONS(1569),
    [anon_sym_enum] = ACTIONS(1569),
    [anon_sym_struct] = ACTIONS(1569),
    [anon_sym_union] = ACTIONS(1569),
    [anon_sym_if] = ACTIONS(1569),
    [anon_sym_else] = ACTIONS(1569),
    [anon_sym_switch] = ACTIONS(1569),
    [anon_sym_case] = ACTIONS(1569),
    [anon_sym_default] = ACTIONS(1569),
    [anon_sym_while] = ACTIONS(1569),
    [anon_sym_do] = ACTIONS(1569),
    [anon_sym_for] = ACTIONS(1569),
    [anon_sym_return] = ACTIONS(1569),
    [anon_sym_break] = ACTIONS(1569),
    [anon_sym_continue] = ACTIONS(1569),
    [anon_sym_goto] = ACTIONS(1569),
    [anon_sym___try] = ACTIONS(1569),
    [anon_sym___leave] = ACTIONS(1569),
    [anon_sym_DASH_DASH] = ACTIONS(1571),
    [anon_sym_PLUS_PLUS] = ACTIONS(1571),
    [anon_sym_sizeof] = ACTIONS(1569),
    [anon_sym___alignof__] = ACTIONS(1569),
    [anon_sym___alignof] = ACTIONS(1569),
    [anon_sym__alignof] = ACTIONS(1569),
    [anon_sym_alignof] = ACTIONS(1569),
    [anon_sym__Alignof] = ACTIONS(1569),
    [anon_sym_offsetof] = ACTIONS(1569),
    [anon_sym__Generic] = ACTIONS(1569),
    [anon_sym_asm] = ACTIONS(1569),
    [anon_sym___asm__] = ACTIONS(1569),
    [sym_number_literal] = ACTIONS(1571),
    [anon_sym_L_SQUOTE] = ACTIONS(1571),
    [anon_sym_u_SQUOTE] = ACTIONS(1571),
    [anon_sym_U_SQUOTE] = ACTIONS(1571),
    [anon_sym_u8_SQUOTE] = ACTIONS(1571),
    [anon_sym_SQUOTE] = ACTIONS(1571),
    [anon_sym_L_DQUOTE] = ACTIONS(1571),
    [anon_sym_u_DQUOTE] = ACTIONS(1571),
    [anon_sym_U_DQUOTE] = ACTIONS(1571),
    [anon_sym_u8_DQUOTE] = ACTIONS(1571),
    [anon_sym_DQUOTE] = ACTIONS(1571),
    [sym_true] = ACTIONS(1569),
    [sym_false] = ACTIONS(1569),
    [anon_sym_NULL] = ACTIONS(1569),
    [anon_sym_nullptr] = ACTIONS(1569),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1569),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1569),
    [anon_sym_hitAttributeEXT] = ACTIONS(1569),
    [anon_sym_callableDataEXT] = ACTIONS(1569),
    [anon_sym_callableDataInEXT] = ACTIONS(1569),
    [anon_sym_shaderRecordEXT] = ACTIONS(1569),
    [anon_sym_rayPayloadNV] = ACTIONS(1569),
    [anon_sym_rayPayloadInNV] = ACTIONS(1569),
    [anon_sym_hitAttributeNV] = ACTIONS(1569),
    [anon_sym_callableDataNV] = ACTIONS(1569),
    [anon_sym_callableDataInNV] = ACTIONS(1569),
    [anon_sym_shaderRecordNV] = ACTIONS(1569),
    [anon_sym_layout] = ACTIONS(1569),
  },
  [377] = {
    [ts_builtin_sym_end] = ACTIONS(1567),
    [sym_identifier] = ACTIONS(1565),
    [aux_sym_preproc_include_token1] = ACTIONS(1565),
    [aux_sym_preproc_def_token1] = ACTIONS(1565),
    [aux_sym_preproc_if_token1] = ACTIONS(1565),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1565),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1565),
    [sym_preproc_directive] = ACTIONS(1565),
    [anon_sym_LPAREN2] = ACTIONS(1567),
    [anon_sym_BANG] = ACTIONS(1567),
    [anon_sym_TILDE] = ACTIONS(1567),
    [anon_sym_DASH] = ACTIONS(1565),
    [anon_sym_PLUS] = ACTIONS(1565),
    [anon_sym_STAR] = ACTIONS(1567),
    [anon_sym_AMP] = ACTIONS(1567),
    [anon_sym_subroutine] = ACTIONS(1565),
    [anon_sym_invariant] = ACTIONS(1565),
    [anon_sym_precise] = ACTIONS(1565),
    [anon_sym_SEMI] = ACTIONS(1567),
    [anon_sym_in] = ACTIONS(1565),
    [anon_sym_out] = ACTIONS(1565),
    [anon_sym_inout] = ACTIONS(1565),
    [anon_sym_uniform] = ACTIONS(1565),
    [anon_sym_shared] = ACTIONS(1565),
    [anon_sym_attribute] = ACTIONS(1565),
    [anon_sym_varying] = ACTIONS(1565),
    [anon_sym_buffer] = ACTIONS(1565),
    [anon_sym_coherent] = ACTIONS(1565),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_writeonly] = ACTIONS(1565),
    [anon_sym_precision] = ACTIONS(1565),
    [anon_sym_highp] = ACTIONS(1565),
    [anon_sym_mediump] = ACTIONS(1565),
    [anon_sym_lowp] = ACTIONS(1565),
    [anon_sym_centroid] = ACTIONS(1565),
    [anon_sym_sample] = ACTIONS(1565),
    [anon_sym_patch] = ACTIONS(1565),
    [anon_sym_smooth] = ACTIONS(1565),
    [anon_sym_flat] = ACTIONS(1565),
    [anon_sym_noperspective] = ACTIONS(1565),
    [anon_sym___extension__] = ACTIONS(1565),
    [anon_sym_typedef] = ACTIONS(1565),
    [anon_sym_extern] = ACTIONS(1565),
    [anon_sym___attribute__] = ACTIONS(1565),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1567),
    [anon_sym___declspec] = ACTIONS(1565),
    [anon_sym___cdecl] = ACTIONS(1565),
    [anon_sym___clrcall] = ACTIONS(1565),
    [anon_sym___stdcall] = ACTIONS(1565),
    [anon_sym___fastcall] = ACTIONS(1565),
    [anon_sym___thiscall] = ACTIONS(1565),
    [anon_sym___vectorcall] = ACTIONS(1565),
    [anon_sym_LBRACE] = ACTIONS(1567),
    [anon_sym_signed] = ACTIONS(1565),
    [anon_sym_unsigned] = ACTIONS(1565),
    [anon_sym_long] = ACTIONS(1565),
    [anon_sym_short] = ACTIONS(1565),
    [anon_sym_static] = ACTIONS(1565),
    [anon_sym_auto] = ACTIONS(1565),
    [anon_sym_register] = ACTIONS(1565),
    [anon_sym_inline] = ACTIONS(1565),
    [anon_sym___inline] = ACTIONS(1565),
    [anon_sym___inline__] = ACTIONS(1565),
    [anon_sym___forceinline] = ACTIONS(1565),
    [anon_sym_thread_local] = ACTIONS(1565),
    [anon_sym___thread] = ACTIONS(1565),
    [anon_sym_const] = ACTIONS(1565),
    [anon_sym_constexpr] = ACTIONS(1565),
    [anon_sym_volatile] = ACTIONS(1565),
    [anon_sym_restrict] = ACTIONS(1565),
    [anon_sym___restrict__] = ACTIONS(1565),
    [anon_sym__Atomic] = ACTIONS(1565),
    [anon_sym__Noreturn] = ACTIONS(1565),
    [anon_sym_noreturn] = ACTIONS(1565),
    [sym_primitive_type] = ACTIONS(1565),
    [anon_sym_enum] = ACTIONS(1565),
    [anon_sym_struct] = ACTIONS(1565),
    [anon_sym_union] = ACTIONS(1565),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_else] = ACTIONS(1565),
    [anon_sym_switch] = ACTIONS(1565),
    [anon_sym_case] = ACTIONS(1565),
    [anon_sym_default] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1565),
    [anon_sym_do] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(1565),
    [anon_sym_return] = ACTIONS(1565),
    [anon_sym_break] = ACTIONS(1565),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_goto] = ACTIONS(1565),
    [anon_sym___try] = ACTIONS(1565),
    [anon_sym___leave] = ACTIONS(1565),
    [anon_sym_DASH_DASH] = ACTIONS(1567),
    [anon_sym_PLUS_PLUS] = ACTIONS(1567),
    [anon_sym_sizeof] = ACTIONS(1565),
    [anon_sym___alignof__] = ACTIONS(1565),
    [anon_sym___alignof] = ACTIONS(1565),
    [anon_sym__alignof] = ACTIONS(1565),
    [anon_sym_alignof] = ACTIONS(1565),
    [anon_sym__Alignof] = ACTIONS(1565),
    [anon_sym_offsetof] = ACTIONS(1565),
    [anon_sym__Generic] = ACTIONS(1565),
    [anon_sym_asm] = ACTIONS(1565),
    [anon_sym___asm__] = ACTIONS(1565),
    [sym_number_literal] = ACTIONS(1567),
    [anon_sym_L_SQUOTE] = ACTIONS(1567),
    [anon_sym_u_SQUOTE] = ACTIONS(1567),
    [anon_sym_U_SQUOTE] = ACTIONS(1567),
    [anon_sym_u8_SQUOTE] = ACTIONS(1567),
    [anon_sym_SQUOTE] = ACTIONS(1567),
    [anon_sym_L_DQUOTE] = ACTIONS(1567),
    [anon_sym_u_DQUOTE] = ACTIONS(1567),
    [anon_sym_U_DQUOTE] = ACTIONS(1567),
    [anon_sym_u8_DQUOTE] = ACTIONS(1567),
    [anon_sym_DQUOTE] = ACTIONS(1567),
    [sym_true] = ACTIONS(1565),
    [sym_false] = ACTIONS(1565),
    [anon_sym_NULL] = ACTIONS(1565),
    [anon_sym_nullptr] = ACTIONS(1565),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1565),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1565),
    [anon_sym_hitAttributeEXT] = ACTIONS(1565),
    [anon_sym_callableDataEXT] = ACTIONS(1565),
    [anon_sym_callableDataInEXT] = ACTIONS(1565),
    [anon_sym_shaderRecordEXT] = ACTIONS(1565),
    [anon_sym_rayPayloadNV] = ACTIONS(1565),
    [anon_sym_rayPayloadInNV] = ACTIONS(1565),
    [anon_sym_hitAttributeNV] = ACTIONS(1565),
    [anon_sym_callableDataNV] = ACTIONS(1565),
    [anon_sym_callableDataInNV] = ACTIONS(1565),
    [anon_sym_shaderRecordNV] = ACTIONS(1565),
    [anon_sym_layout] = ACTIONS(1565),
  },
  [378] = {
    [ts_builtin_sym_end] = ACTIONS(1555),
    [sym_identifier] = ACTIONS(1553),
    [aux_sym_preproc_include_token1] = ACTIONS(1553),
    [aux_sym_preproc_def_token1] = ACTIONS(1553),
    [aux_sym_preproc_if_token1] = ACTIONS(1553),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1553),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1553),
    [sym_preproc_directive] = ACTIONS(1553),
    [anon_sym_LPAREN2] = ACTIONS(1555),
    [anon_sym_BANG] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1555),
    [anon_sym_DASH] = ACTIONS(1553),
    [anon_sym_PLUS] = ACTIONS(1553),
    [anon_sym_STAR] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(1555),
    [anon_sym_subroutine] = ACTIONS(1553),
    [anon_sym_invariant] = ACTIONS(1553),
    [anon_sym_precise] = ACTIONS(1553),
    [anon_sym_SEMI] = ACTIONS(1555),
    [anon_sym_in] = ACTIONS(1553),
    [anon_sym_out] = ACTIONS(1553),
    [anon_sym_inout] = ACTIONS(1553),
    [anon_sym_uniform] = ACTIONS(1553),
    [anon_sym_shared] = ACTIONS(1553),
    [anon_sym_attribute] = ACTIONS(1553),
    [anon_sym_varying] = ACTIONS(1553),
    [anon_sym_buffer] = ACTIONS(1553),
    [anon_sym_coherent] = ACTIONS(1553),
    [anon_sym_readonly] = ACTIONS(1553),
    [anon_sym_writeonly] = ACTIONS(1553),
    [anon_sym_precision] = ACTIONS(1553),
    [anon_sym_highp] = ACTIONS(1553),
    [anon_sym_mediump] = ACTIONS(1553),
    [anon_sym_lowp] = ACTIONS(1553),
    [anon_sym_centroid] = ACTIONS(1553),
    [anon_sym_sample] = ACTIONS(1553),
    [anon_sym_patch] = ACTIONS(1553),
    [anon_sym_smooth] = ACTIONS(1553),
    [anon_sym_flat] = ACTIONS(1553),
    [anon_sym_noperspective] = ACTIONS(1553),
    [anon_sym___extension__] = ACTIONS(1553),
    [anon_sym_typedef] = ACTIONS(1553),
    [anon_sym_extern] = ACTIONS(1553),
    [anon_sym___attribute__] = ACTIONS(1553),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1555),
    [anon_sym___declspec] = ACTIONS(1553),
    [anon_sym___cdecl] = ACTIONS(1553),
    [anon_sym___clrcall] = ACTIONS(1553),
    [anon_sym___stdcall] = ACTIONS(1553),
    [anon_sym___fastcall] = ACTIONS(1553),
    [anon_sym___thiscall] = ACTIONS(1553),
    [anon_sym___vectorcall] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_signed] = ACTIONS(1553),
    [anon_sym_unsigned] = ACTIONS(1553),
    [anon_sym_long] = ACTIONS(1553),
    [anon_sym_short] = ACTIONS(1553),
    [anon_sym_static] = ACTIONS(1553),
    [anon_sym_auto] = ACTIONS(1553),
    [anon_sym_register] = ACTIONS(1553),
    [anon_sym_inline] = ACTIONS(1553),
    [anon_sym___inline] = ACTIONS(1553),
    [anon_sym___inline__] = ACTIONS(1553),
    [anon_sym___forceinline] = ACTIONS(1553),
    [anon_sym_thread_local] = ACTIONS(1553),
    [anon_sym___thread] = ACTIONS(1553),
    [anon_sym_const] = ACTIONS(1553),
    [anon_sym_constexpr] = ACTIONS(1553),
    [anon_sym_volatile] = ACTIONS(1553),
    [anon_sym_restrict] = ACTIONS(1553),
    [anon_sym___restrict__] = ACTIONS(1553),
    [anon_sym__Atomic] = ACTIONS(1553),
    [anon_sym__Noreturn] = ACTIONS(1553),
    [anon_sym_noreturn] = ACTIONS(1553),
    [sym_primitive_type] = ACTIONS(1553),
    [anon_sym_enum] = ACTIONS(1553),
    [anon_sym_struct] = ACTIONS(1553),
    [anon_sym_union] = ACTIONS(1553),
    [anon_sym_if] = ACTIONS(1553),
    [anon_sym_else] = ACTIONS(1553),
    [anon_sym_switch] = ACTIONS(1553),
    [anon_sym_case] = ACTIONS(1553),
    [anon_sym_default] = ACTIONS(1553),
    [anon_sym_while] = ACTIONS(1553),
    [anon_sym_do] = ACTIONS(1553),
    [anon_sym_for] = ACTIONS(1553),
    [anon_sym_return] = ACTIONS(1553),
    [anon_sym_break] = ACTIONS(1553),
    [anon_sym_continue] = ACTIONS(1553),
    [anon_sym_goto] = ACTIONS(1553),
    [anon_sym___try] = ACTIONS(1553),
    [anon_sym___leave] = ACTIONS(1553),
    [anon_sym_DASH_DASH] = ACTIONS(1555),
    [anon_sym_PLUS_PLUS] = ACTIONS(1555),
    [anon_sym_sizeof] = ACTIONS(1553),
    [anon_sym___alignof__] = ACTIONS(1553),
    [anon_sym___alignof] = ACTIONS(1553),
    [anon_sym__alignof] = ACTIONS(1553),
    [anon_sym_alignof] = ACTIONS(1553),
    [anon_sym__Alignof] = ACTIONS(1553),
    [anon_sym_offsetof] = ACTIONS(1553),
    [anon_sym__Generic] = ACTIONS(1553),
    [anon_sym_asm] = ACTIONS(1553),
    [anon_sym___asm__] = ACTIONS(1553),
    [sym_number_literal] = ACTIONS(1555),
    [anon_sym_L_SQUOTE] = ACTIONS(1555),
    [anon_sym_u_SQUOTE] = ACTIONS(1555),
    [anon_sym_U_SQUOTE] = ACTIONS(1555),
    [anon_sym_u8_SQUOTE] = ACTIONS(1555),
    [anon_sym_SQUOTE] = ACTIONS(1555),
    [anon_sym_L_DQUOTE] = ACTIONS(1555),
    [anon_sym_u_DQUOTE] = ACTIONS(1555),
    [anon_sym_U_DQUOTE] = ACTIONS(1555),
    [anon_sym_u8_DQUOTE] = ACTIONS(1555),
    [anon_sym_DQUOTE] = ACTIONS(1555),
    [sym_true] = ACTIONS(1553),
    [sym_false] = ACTIONS(1553),
    [anon_sym_NULL] = ACTIONS(1553),
    [anon_sym_nullptr] = ACTIONS(1553),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1553),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1553),
    [anon_sym_hitAttributeEXT] = ACTIONS(1553),
    [anon_sym_callableDataEXT] = ACTIONS(1553),
    [anon_sym_callableDataInEXT] = ACTIONS(1553),
    [anon_sym_shaderRecordEXT] = ACTIONS(1553),
    [anon_sym_rayPayloadNV] = ACTIONS(1553),
    [anon_sym_rayPayloadInNV] = ACTIONS(1553),
    [anon_sym_hitAttributeNV] = ACTIONS(1553),
    [anon_sym_callableDataNV] = ACTIONS(1553),
    [anon_sym_callableDataInNV] = ACTIONS(1553),
    [anon_sym_shaderRecordNV] = ACTIONS(1553),
    [anon_sym_layout] = ACTIONS(1553),
  },
  [379] = {
    [ts_builtin_sym_end] = ACTIONS(1531),
    [sym_identifier] = ACTIONS(1529),
    [aux_sym_preproc_include_token1] = ACTIONS(1529),
    [aux_sym_preproc_def_token1] = ACTIONS(1529),
    [aux_sym_preproc_if_token1] = ACTIONS(1529),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1529),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1529),
    [sym_preproc_directive] = ACTIONS(1529),
    [anon_sym_LPAREN2] = ACTIONS(1531),
    [anon_sym_BANG] = ACTIONS(1531),
    [anon_sym_TILDE] = ACTIONS(1531),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_STAR] = ACTIONS(1531),
    [anon_sym_AMP] = ACTIONS(1531),
    [anon_sym_subroutine] = ACTIONS(1529),
    [anon_sym_invariant] = ACTIONS(1529),
    [anon_sym_precise] = ACTIONS(1529),
    [anon_sym_SEMI] = ACTIONS(1531),
    [anon_sym_in] = ACTIONS(1529),
    [anon_sym_out] = ACTIONS(1529),
    [anon_sym_inout] = ACTIONS(1529),
    [anon_sym_uniform] = ACTIONS(1529),
    [anon_sym_shared] = ACTIONS(1529),
    [anon_sym_attribute] = ACTIONS(1529),
    [anon_sym_varying] = ACTIONS(1529),
    [anon_sym_buffer] = ACTIONS(1529),
    [anon_sym_coherent] = ACTIONS(1529),
    [anon_sym_readonly] = ACTIONS(1529),
    [anon_sym_writeonly] = ACTIONS(1529),
    [anon_sym_precision] = ACTIONS(1529),
    [anon_sym_highp] = ACTIONS(1529),
    [anon_sym_mediump] = ACTIONS(1529),
    [anon_sym_lowp] = ACTIONS(1529),
    [anon_sym_centroid] = ACTIONS(1529),
    [anon_sym_sample] = ACTIONS(1529),
    [anon_sym_patch] = ACTIONS(1529),
    [anon_sym_smooth] = ACTIONS(1529),
    [anon_sym_flat] = ACTIONS(1529),
    [anon_sym_noperspective] = ACTIONS(1529),
    [anon_sym___extension__] = ACTIONS(1529),
    [anon_sym_typedef] = ACTIONS(1529),
    [anon_sym_extern] = ACTIONS(1529),
    [anon_sym___attribute__] = ACTIONS(1529),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1531),
    [anon_sym___declspec] = ACTIONS(1529),
    [anon_sym___cdecl] = ACTIONS(1529),
    [anon_sym___clrcall] = ACTIONS(1529),
    [anon_sym___stdcall] = ACTIONS(1529),
    [anon_sym___fastcall] = ACTIONS(1529),
    [anon_sym___thiscall] = ACTIONS(1529),
    [anon_sym___vectorcall] = ACTIONS(1529),
    [anon_sym_LBRACE] = ACTIONS(1531),
    [anon_sym_signed] = ACTIONS(1529),
    [anon_sym_unsigned] = ACTIONS(1529),
    [anon_sym_long] = ACTIONS(1529),
    [anon_sym_short] = ACTIONS(1529),
    [anon_sym_static] = ACTIONS(1529),
    [anon_sym_auto] = ACTIONS(1529),
    [anon_sym_register] = ACTIONS(1529),
    [anon_sym_inline] = ACTIONS(1529),
    [anon_sym___inline] = ACTIONS(1529),
    [anon_sym___inline__] = ACTIONS(1529),
    [anon_sym___forceinline] = ACTIONS(1529),
    [anon_sym_thread_local] = ACTIONS(1529),
    [anon_sym___thread] = ACTIONS(1529),
    [anon_sym_const] = ACTIONS(1529),
    [anon_sym_constexpr] = ACTIONS(1529),
    [anon_sym_volatile] = ACTIONS(1529),
    [anon_sym_restrict] = ACTIONS(1529),
    [anon_sym___restrict__] = ACTIONS(1529),
    [anon_sym__Atomic] = ACTIONS(1529),
    [anon_sym__Noreturn] = ACTIONS(1529),
    [anon_sym_noreturn] = ACTIONS(1529),
    [sym_primitive_type] = ACTIONS(1529),
    [anon_sym_enum] = ACTIONS(1529),
    [anon_sym_struct] = ACTIONS(1529),
    [anon_sym_union] = ACTIONS(1529),
    [anon_sym_if] = ACTIONS(1529),
    [anon_sym_else] = ACTIONS(1529),
    [anon_sym_switch] = ACTIONS(1529),
    [anon_sym_case] = ACTIONS(1529),
    [anon_sym_default] = ACTIONS(1529),
    [anon_sym_while] = ACTIONS(1529),
    [anon_sym_do] = ACTIONS(1529),
    [anon_sym_for] = ACTIONS(1529),
    [anon_sym_return] = ACTIONS(1529),
    [anon_sym_break] = ACTIONS(1529),
    [anon_sym_continue] = ACTIONS(1529),
    [anon_sym_goto] = ACTIONS(1529),
    [anon_sym___try] = ACTIONS(1529),
    [anon_sym___leave] = ACTIONS(1529),
    [anon_sym_DASH_DASH] = ACTIONS(1531),
    [anon_sym_PLUS_PLUS] = ACTIONS(1531),
    [anon_sym_sizeof] = ACTIONS(1529),
    [anon_sym___alignof__] = ACTIONS(1529),
    [anon_sym___alignof] = ACTIONS(1529),
    [anon_sym__alignof] = ACTIONS(1529),
    [anon_sym_alignof] = ACTIONS(1529),
    [anon_sym__Alignof] = ACTIONS(1529),
    [anon_sym_offsetof] = ACTIONS(1529),
    [anon_sym__Generic] = ACTIONS(1529),
    [anon_sym_asm] = ACTIONS(1529),
    [anon_sym___asm__] = ACTIONS(1529),
    [sym_number_literal] = ACTIONS(1531),
    [anon_sym_L_SQUOTE] = ACTIONS(1531),
    [anon_sym_u_SQUOTE] = ACTIONS(1531),
    [anon_sym_U_SQUOTE] = ACTIONS(1531),
    [anon_sym_u8_SQUOTE] = ACTIONS(1531),
    [anon_sym_SQUOTE] = ACTIONS(1531),
    [anon_sym_L_DQUOTE] = ACTIONS(1531),
    [anon_sym_u_DQUOTE] = ACTIONS(1531),
    [anon_sym_U_DQUOTE] = ACTIONS(1531),
    [anon_sym_u8_DQUOTE] = ACTIONS(1531),
    [anon_sym_DQUOTE] = ACTIONS(1531),
    [sym_true] = ACTIONS(1529),
    [sym_false] = ACTIONS(1529),
    [anon_sym_NULL] = ACTIONS(1529),
    [anon_sym_nullptr] = ACTIONS(1529),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1529),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1529),
    [anon_sym_hitAttributeEXT] = ACTIONS(1529),
    [anon_sym_callableDataEXT] = ACTIONS(1529),
    [anon_sym_callableDataInEXT] = ACTIONS(1529),
    [anon_sym_shaderRecordEXT] = ACTIONS(1529),
    [anon_sym_rayPayloadNV] = ACTIONS(1529),
    [anon_sym_rayPayloadInNV] = ACTIONS(1529),
    [anon_sym_hitAttributeNV] = ACTIONS(1529),
    [anon_sym_callableDataNV] = ACTIONS(1529),
    [anon_sym_callableDataInNV] = ACTIONS(1529),
    [anon_sym_shaderRecordNV] = ACTIONS(1529),
    [anon_sym_layout] = ACTIONS(1529),
  },
  [380] = {
    [ts_builtin_sym_end] = ACTIONS(1431),
    [sym_identifier] = ACTIONS(1429),
    [aux_sym_preproc_include_token1] = ACTIONS(1429),
    [aux_sym_preproc_def_token1] = ACTIONS(1429),
    [aux_sym_preproc_if_token1] = ACTIONS(1429),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1429),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1429),
    [sym_preproc_directive] = ACTIONS(1429),
    [anon_sym_LPAREN2] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1431),
    [anon_sym_TILDE] = ACTIONS(1431),
    [anon_sym_DASH] = ACTIONS(1429),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_STAR] = ACTIONS(1431),
    [anon_sym_AMP] = ACTIONS(1431),
    [anon_sym_subroutine] = ACTIONS(1429),
    [anon_sym_invariant] = ACTIONS(1429),
    [anon_sym_precise] = ACTIONS(1429),
    [anon_sym_SEMI] = ACTIONS(1431),
    [anon_sym_in] = ACTIONS(1429),
    [anon_sym_out] = ACTIONS(1429),
    [anon_sym_inout] = ACTIONS(1429),
    [anon_sym_uniform] = ACTIONS(1429),
    [anon_sym_shared] = ACTIONS(1429),
    [anon_sym_attribute] = ACTIONS(1429),
    [anon_sym_varying] = ACTIONS(1429),
    [anon_sym_buffer] = ACTIONS(1429),
    [anon_sym_coherent] = ACTIONS(1429),
    [anon_sym_readonly] = ACTIONS(1429),
    [anon_sym_writeonly] = ACTIONS(1429),
    [anon_sym_precision] = ACTIONS(1429),
    [anon_sym_highp] = ACTIONS(1429),
    [anon_sym_mediump] = ACTIONS(1429),
    [anon_sym_lowp] = ACTIONS(1429),
    [anon_sym_centroid] = ACTIONS(1429),
    [anon_sym_sample] = ACTIONS(1429),
    [anon_sym_patch] = ACTIONS(1429),
    [anon_sym_smooth] = ACTIONS(1429),
    [anon_sym_flat] = ACTIONS(1429),
    [anon_sym_noperspective] = ACTIONS(1429),
    [anon_sym___extension__] = ACTIONS(1429),
    [anon_sym_typedef] = ACTIONS(1429),
    [anon_sym_extern] = ACTIONS(1429),
    [anon_sym___attribute__] = ACTIONS(1429),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1431),
    [anon_sym___declspec] = ACTIONS(1429),
    [anon_sym___cdecl] = ACTIONS(1429),
    [anon_sym___clrcall] = ACTIONS(1429),
    [anon_sym___stdcall] = ACTIONS(1429),
    [anon_sym___fastcall] = ACTIONS(1429),
    [anon_sym___thiscall] = ACTIONS(1429),
    [anon_sym___vectorcall] = ACTIONS(1429),
    [anon_sym_LBRACE] = ACTIONS(1431),
    [anon_sym_signed] = ACTIONS(1429),
    [anon_sym_unsigned] = ACTIONS(1429),
    [anon_sym_long] = ACTIONS(1429),
    [anon_sym_short] = ACTIONS(1429),
    [anon_sym_static] = ACTIONS(1429),
    [anon_sym_auto] = ACTIONS(1429),
    [anon_sym_register] = ACTIONS(1429),
    [anon_sym_inline] = ACTIONS(1429),
    [anon_sym___inline] = ACTIONS(1429),
    [anon_sym___inline__] = ACTIONS(1429),
    [anon_sym___forceinline] = ACTIONS(1429),
    [anon_sym_thread_local] = ACTIONS(1429),
    [anon_sym___thread] = ACTIONS(1429),
    [anon_sym_const] = ACTIONS(1429),
    [anon_sym_constexpr] = ACTIONS(1429),
    [anon_sym_volatile] = ACTIONS(1429),
    [anon_sym_restrict] = ACTIONS(1429),
    [anon_sym___restrict__] = ACTIONS(1429),
    [anon_sym__Atomic] = ACTIONS(1429),
    [anon_sym__Noreturn] = ACTIONS(1429),
    [anon_sym_noreturn] = ACTIONS(1429),
    [sym_primitive_type] = ACTIONS(1429),
    [anon_sym_enum] = ACTIONS(1429),
    [anon_sym_struct] = ACTIONS(1429),
    [anon_sym_union] = ACTIONS(1429),
    [anon_sym_if] = ACTIONS(1429),
    [anon_sym_else] = ACTIONS(1429),
    [anon_sym_switch] = ACTIONS(1429),
    [anon_sym_case] = ACTIONS(1429),
    [anon_sym_default] = ACTIONS(1429),
    [anon_sym_while] = ACTIONS(1429),
    [anon_sym_do] = ACTIONS(1429),
    [anon_sym_for] = ACTIONS(1429),
    [anon_sym_return] = ACTIONS(1429),
    [anon_sym_break] = ACTIONS(1429),
    [anon_sym_continue] = ACTIONS(1429),
    [anon_sym_goto] = ACTIONS(1429),
    [anon_sym___try] = ACTIONS(1429),
    [anon_sym___leave] = ACTIONS(1429),
    [anon_sym_DASH_DASH] = ACTIONS(1431),
    [anon_sym_PLUS_PLUS] = ACTIONS(1431),
    [anon_sym_sizeof] = ACTIONS(1429),
    [anon_sym___alignof__] = ACTIONS(1429),
    [anon_sym___alignof] = ACTIONS(1429),
    [anon_sym__alignof] = ACTIONS(1429),
    [anon_sym_alignof] = ACTIONS(1429),
    [anon_sym__Alignof] = ACTIONS(1429),
    [anon_sym_offsetof] = ACTIONS(1429),
    [anon_sym__Generic] = ACTIONS(1429),
    [anon_sym_asm] = ACTIONS(1429),
    [anon_sym___asm__] = ACTIONS(1429),
    [sym_number_literal] = ACTIONS(1431),
    [anon_sym_L_SQUOTE] = ACTIONS(1431),
    [anon_sym_u_SQUOTE] = ACTIONS(1431),
    [anon_sym_U_SQUOTE] = ACTIONS(1431),
    [anon_sym_u8_SQUOTE] = ACTIONS(1431),
    [anon_sym_SQUOTE] = ACTIONS(1431),
    [anon_sym_L_DQUOTE] = ACTIONS(1431),
    [anon_sym_u_DQUOTE] = ACTIONS(1431),
    [anon_sym_U_DQUOTE] = ACTIONS(1431),
    [anon_sym_u8_DQUOTE] = ACTIONS(1431),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_true] = ACTIONS(1429),
    [sym_false] = ACTIONS(1429),
    [anon_sym_NULL] = ACTIONS(1429),
    [anon_sym_nullptr] = ACTIONS(1429),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1429),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1429),
    [anon_sym_hitAttributeEXT] = ACTIONS(1429),
    [anon_sym_callableDataEXT] = ACTIONS(1429),
    [anon_sym_callableDataInEXT] = ACTIONS(1429),
    [anon_sym_shaderRecordEXT] = ACTIONS(1429),
    [anon_sym_rayPayloadNV] = ACTIONS(1429),
    [anon_sym_rayPayloadInNV] = ACTIONS(1429),
    [anon_sym_hitAttributeNV] = ACTIONS(1429),
    [anon_sym_callableDataNV] = ACTIONS(1429),
    [anon_sym_callableDataInNV] = ACTIONS(1429),
    [anon_sym_shaderRecordNV] = ACTIONS(1429),
    [anon_sym_layout] = ACTIONS(1429),
  },
  [381] = {
    [sym_identifier] = ACTIONS(1525),
    [aux_sym_preproc_include_token1] = ACTIONS(1525),
    [aux_sym_preproc_def_token1] = ACTIONS(1525),
    [aux_sym_preproc_if_token1] = ACTIONS(1525),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1525),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1525),
    [sym_preproc_directive] = ACTIONS(1525),
    [anon_sym_LPAREN2] = ACTIONS(1527),
    [anon_sym_BANG] = ACTIONS(1527),
    [anon_sym_TILDE] = ACTIONS(1527),
    [anon_sym_DASH] = ACTIONS(1525),
    [anon_sym_PLUS] = ACTIONS(1525),
    [anon_sym_STAR] = ACTIONS(1527),
    [anon_sym_AMP] = ACTIONS(1527),
    [anon_sym_subroutine] = ACTIONS(1525),
    [anon_sym_invariant] = ACTIONS(1525),
    [anon_sym_precise] = ACTIONS(1525),
    [anon_sym_SEMI] = ACTIONS(1527),
    [anon_sym_in] = ACTIONS(1525),
    [anon_sym_out] = ACTIONS(1525),
    [anon_sym_inout] = ACTIONS(1525),
    [anon_sym_uniform] = ACTIONS(1525),
    [anon_sym_shared] = ACTIONS(1525),
    [anon_sym_attribute] = ACTIONS(1525),
    [anon_sym_varying] = ACTIONS(1525),
    [anon_sym_buffer] = ACTIONS(1525),
    [anon_sym_coherent] = ACTIONS(1525),
    [anon_sym_readonly] = ACTIONS(1525),
    [anon_sym_writeonly] = ACTIONS(1525),
    [anon_sym_precision] = ACTIONS(1525),
    [anon_sym_highp] = ACTIONS(1525),
    [anon_sym_mediump] = ACTIONS(1525),
    [anon_sym_lowp] = ACTIONS(1525),
    [anon_sym_centroid] = ACTIONS(1525),
    [anon_sym_sample] = ACTIONS(1525),
    [anon_sym_patch] = ACTIONS(1525),
    [anon_sym_smooth] = ACTIONS(1525),
    [anon_sym_flat] = ACTIONS(1525),
    [anon_sym_noperspective] = ACTIONS(1525),
    [anon_sym___extension__] = ACTIONS(1525),
    [anon_sym_typedef] = ACTIONS(1525),
    [anon_sym_extern] = ACTIONS(1525),
    [anon_sym___attribute__] = ACTIONS(1525),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1527),
    [anon_sym___declspec] = ACTIONS(1525),
    [anon_sym___cdecl] = ACTIONS(1525),
    [anon_sym___clrcall] = ACTIONS(1525),
    [anon_sym___stdcall] = ACTIONS(1525),
    [anon_sym___fastcall] = ACTIONS(1525),
    [anon_sym___thiscall] = ACTIONS(1525),
    [anon_sym___vectorcall] = ACTIONS(1525),
    [anon_sym_LBRACE] = ACTIONS(1527),
    [anon_sym_RBRACE] = ACTIONS(1527),
    [anon_sym_signed] = ACTIONS(1525),
    [anon_sym_unsigned] = ACTIONS(1525),
    [anon_sym_long] = ACTIONS(1525),
    [anon_sym_short] = ACTIONS(1525),
    [anon_sym_static] = ACTIONS(1525),
    [anon_sym_auto] = ACTIONS(1525),
    [anon_sym_register] = ACTIONS(1525),
    [anon_sym_inline] = ACTIONS(1525),
    [anon_sym___inline] = ACTIONS(1525),
    [anon_sym___inline__] = ACTIONS(1525),
    [anon_sym___forceinline] = ACTIONS(1525),
    [anon_sym_thread_local] = ACTIONS(1525),
    [anon_sym___thread] = ACTIONS(1525),
    [anon_sym_const] = ACTIONS(1525),
    [anon_sym_constexpr] = ACTIONS(1525),
    [anon_sym_volatile] = ACTIONS(1525),
    [anon_sym_restrict] = ACTIONS(1525),
    [anon_sym___restrict__] = ACTIONS(1525),
    [anon_sym__Atomic] = ACTIONS(1525),
    [anon_sym__Noreturn] = ACTIONS(1525),
    [anon_sym_noreturn] = ACTIONS(1525),
    [sym_primitive_type] = ACTIONS(1525),
    [anon_sym_enum] = ACTIONS(1525),
    [anon_sym_struct] = ACTIONS(1525),
    [anon_sym_union] = ACTIONS(1525),
    [anon_sym_if] = ACTIONS(1525),
    [anon_sym_else] = ACTIONS(1525),
    [anon_sym_switch] = ACTIONS(1525),
    [anon_sym_case] = ACTIONS(1525),
    [anon_sym_default] = ACTIONS(1525),
    [anon_sym_while] = ACTIONS(1525),
    [anon_sym_do] = ACTIONS(1525),
    [anon_sym_for] = ACTIONS(1525),
    [anon_sym_return] = ACTIONS(1525),
    [anon_sym_break] = ACTIONS(1525),
    [anon_sym_continue] = ACTIONS(1525),
    [anon_sym_goto] = ACTIONS(1525),
    [anon_sym___try] = ACTIONS(1525),
    [anon_sym___leave] = ACTIONS(1525),
    [anon_sym_DASH_DASH] = ACTIONS(1527),
    [anon_sym_PLUS_PLUS] = ACTIONS(1527),
    [anon_sym_sizeof] = ACTIONS(1525),
    [anon_sym___alignof__] = ACTIONS(1525),
    [anon_sym___alignof] = ACTIONS(1525),
    [anon_sym__alignof] = ACTIONS(1525),
    [anon_sym_alignof] = ACTIONS(1525),
    [anon_sym__Alignof] = ACTIONS(1525),
    [anon_sym_offsetof] = ACTIONS(1525),
    [anon_sym__Generic] = ACTIONS(1525),
    [anon_sym_asm] = ACTIONS(1525),
    [anon_sym___asm__] = ACTIONS(1525),
    [sym_number_literal] = ACTIONS(1527),
    [anon_sym_L_SQUOTE] = ACTIONS(1527),
    [anon_sym_u_SQUOTE] = ACTIONS(1527),
    [anon_sym_U_SQUOTE] = ACTIONS(1527),
    [anon_sym_u8_SQUOTE] = ACTIONS(1527),
    [anon_sym_SQUOTE] = ACTIONS(1527),
    [anon_sym_L_DQUOTE] = ACTIONS(1527),
    [anon_sym_u_DQUOTE] = ACTIONS(1527),
    [anon_sym_U_DQUOTE] = ACTIONS(1527),
    [anon_sym_u8_DQUOTE] = ACTIONS(1527),
    [anon_sym_DQUOTE] = ACTIONS(1527),
    [sym_true] = ACTIONS(1525),
    [sym_false] = ACTIONS(1525),
    [anon_sym_NULL] = ACTIONS(1525),
    [anon_sym_nullptr] = ACTIONS(1525),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1525),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1525),
    [anon_sym_hitAttributeEXT] = ACTIONS(1525),
    [anon_sym_callableDataEXT] = ACTIONS(1525),
    [anon_sym_callableDataInEXT] = ACTIONS(1525),
    [anon_sym_shaderRecordEXT] = ACTIONS(1525),
    [anon_sym_rayPayloadNV] = ACTIONS(1525),
    [anon_sym_rayPayloadInNV] = ACTIONS(1525),
    [anon_sym_hitAttributeNV] = ACTIONS(1525),
    [anon_sym_callableDataNV] = ACTIONS(1525),
    [anon_sym_callableDataInNV] = ACTIONS(1525),
    [anon_sym_shaderRecordNV] = ACTIONS(1525),
    [anon_sym_layout] = ACTIONS(1525),
  },
  [382] = {
    [sym_identifier] = ACTIONS(1521),
    [aux_sym_preproc_include_token1] = ACTIONS(1521),
    [aux_sym_preproc_def_token1] = ACTIONS(1521),
    [aux_sym_preproc_if_token1] = ACTIONS(1521),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1521),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1521),
    [sym_preproc_directive] = ACTIONS(1521),
    [anon_sym_LPAREN2] = ACTIONS(1523),
    [anon_sym_BANG] = ACTIONS(1523),
    [anon_sym_TILDE] = ACTIONS(1523),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_PLUS] = ACTIONS(1521),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_AMP] = ACTIONS(1523),
    [anon_sym_subroutine] = ACTIONS(1521),
    [anon_sym_invariant] = ACTIONS(1521),
    [anon_sym_precise] = ACTIONS(1521),
    [anon_sym_SEMI] = ACTIONS(1523),
    [anon_sym_in] = ACTIONS(1521),
    [anon_sym_out] = ACTIONS(1521),
    [anon_sym_inout] = ACTIONS(1521),
    [anon_sym_uniform] = ACTIONS(1521),
    [anon_sym_shared] = ACTIONS(1521),
    [anon_sym_attribute] = ACTIONS(1521),
    [anon_sym_varying] = ACTIONS(1521),
    [anon_sym_buffer] = ACTIONS(1521),
    [anon_sym_coherent] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_writeonly] = ACTIONS(1521),
    [anon_sym_precision] = ACTIONS(1521),
    [anon_sym_highp] = ACTIONS(1521),
    [anon_sym_mediump] = ACTIONS(1521),
    [anon_sym_lowp] = ACTIONS(1521),
    [anon_sym_centroid] = ACTIONS(1521),
    [anon_sym_sample] = ACTIONS(1521),
    [anon_sym_patch] = ACTIONS(1521),
    [anon_sym_smooth] = ACTIONS(1521),
    [anon_sym_flat] = ACTIONS(1521),
    [anon_sym_noperspective] = ACTIONS(1521),
    [anon_sym___extension__] = ACTIONS(1521),
    [anon_sym_typedef] = ACTIONS(1521),
    [anon_sym_extern] = ACTIONS(1521),
    [anon_sym___attribute__] = ACTIONS(1521),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1523),
    [anon_sym___declspec] = ACTIONS(1521),
    [anon_sym___cdecl] = ACTIONS(1521),
    [anon_sym___clrcall] = ACTIONS(1521),
    [anon_sym___stdcall] = ACTIONS(1521),
    [anon_sym___fastcall] = ACTIONS(1521),
    [anon_sym___thiscall] = ACTIONS(1521),
    [anon_sym___vectorcall] = ACTIONS(1521),
    [anon_sym_LBRACE] = ACTIONS(1523),
    [anon_sym_RBRACE] = ACTIONS(1523),
    [anon_sym_signed] = ACTIONS(1521),
    [anon_sym_unsigned] = ACTIONS(1521),
    [anon_sym_long] = ACTIONS(1521),
    [anon_sym_short] = ACTIONS(1521),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_auto] = ACTIONS(1521),
    [anon_sym_register] = ACTIONS(1521),
    [anon_sym_inline] = ACTIONS(1521),
    [anon_sym___inline] = ACTIONS(1521),
    [anon_sym___inline__] = ACTIONS(1521),
    [anon_sym___forceinline] = ACTIONS(1521),
    [anon_sym_thread_local] = ACTIONS(1521),
    [anon_sym___thread] = ACTIONS(1521),
    [anon_sym_const] = ACTIONS(1521),
    [anon_sym_constexpr] = ACTIONS(1521),
    [anon_sym_volatile] = ACTIONS(1521),
    [anon_sym_restrict] = ACTIONS(1521),
    [anon_sym___restrict__] = ACTIONS(1521),
    [anon_sym__Atomic] = ACTIONS(1521),
    [anon_sym__Noreturn] = ACTIONS(1521),
    [anon_sym_noreturn] = ACTIONS(1521),
    [sym_primitive_type] = ACTIONS(1521),
    [anon_sym_enum] = ACTIONS(1521),
    [anon_sym_struct] = ACTIONS(1521),
    [anon_sym_union] = ACTIONS(1521),
    [anon_sym_if] = ACTIONS(1521),
    [anon_sym_else] = ACTIONS(1521),
    [anon_sym_switch] = ACTIONS(1521),
    [anon_sym_case] = ACTIONS(1521),
    [anon_sym_default] = ACTIONS(1521),
    [anon_sym_while] = ACTIONS(1521),
    [anon_sym_do] = ACTIONS(1521),
    [anon_sym_for] = ACTIONS(1521),
    [anon_sym_return] = ACTIONS(1521),
    [anon_sym_break] = ACTIONS(1521),
    [anon_sym_continue] = ACTIONS(1521),
    [anon_sym_goto] = ACTIONS(1521),
    [anon_sym___try] = ACTIONS(1521),
    [anon_sym___leave] = ACTIONS(1521),
    [anon_sym_DASH_DASH] = ACTIONS(1523),
    [anon_sym_PLUS_PLUS] = ACTIONS(1523),
    [anon_sym_sizeof] = ACTIONS(1521),
    [anon_sym___alignof__] = ACTIONS(1521),
    [anon_sym___alignof] = ACTIONS(1521),
    [anon_sym__alignof] = ACTIONS(1521),
    [anon_sym_alignof] = ACTIONS(1521),
    [anon_sym__Alignof] = ACTIONS(1521),
    [anon_sym_offsetof] = ACTIONS(1521),
    [anon_sym__Generic] = ACTIONS(1521),
    [anon_sym_asm] = ACTIONS(1521),
    [anon_sym___asm__] = ACTIONS(1521),
    [sym_number_literal] = ACTIONS(1523),
    [anon_sym_L_SQUOTE] = ACTIONS(1523),
    [anon_sym_u_SQUOTE] = ACTIONS(1523),
    [anon_sym_U_SQUOTE] = ACTIONS(1523),
    [anon_sym_u8_SQUOTE] = ACTIONS(1523),
    [anon_sym_SQUOTE] = ACTIONS(1523),
    [anon_sym_L_DQUOTE] = ACTIONS(1523),
    [anon_sym_u_DQUOTE] = ACTIONS(1523),
    [anon_sym_U_DQUOTE] = ACTIONS(1523),
    [anon_sym_u8_DQUOTE] = ACTIONS(1523),
    [anon_sym_DQUOTE] = ACTIONS(1523),
    [sym_true] = ACTIONS(1521),
    [sym_false] = ACTIONS(1521),
    [anon_sym_NULL] = ACTIONS(1521),
    [anon_sym_nullptr] = ACTIONS(1521),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1521),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1521),
    [anon_sym_hitAttributeEXT] = ACTIONS(1521),
    [anon_sym_callableDataEXT] = ACTIONS(1521),
    [anon_sym_callableDataInEXT] = ACTIONS(1521),
    [anon_sym_shaderRecordEXT] = ACTIONS(1521),
    [anon_sym_rayPayloadNV] = ACTIONS(1521),
    [anon_sym_rayPayloadInNV] = ACTIONS(1521),
    [anon_sym_hitAttributeNV] = ACTIONS(1521),
    [anon_sym_callableDataNV] = ACTIONS(1521),
    [anon_sym_callableDataInNV] = ACTIONS(1521),
    [anon_sym_shaderRecordNV] = ACTIONS(1521),
    [anon_sym_layout] = ACTIONS(1521),
  },
  [383] = {
    [sym_identifier] = ACTIONS(1585),
    [aux_sym_preproc_include_token1] = ACTIONS(1585),
    [aux_sym_preproc_def_token1] = ACTIONS(1585),
    [aux_sym_preproc_if_token1] = ACTIONS(1585),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1585),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1585),
    [sym_preproc_directive] = ACTIONS(1585),
    [anon_sym_LPAREN2] = ACTIONS(1587),
    [anon_sym_BANG] = ACTIONS(1587),
    [anon_sym_TILDE] = ACTIONS(1587),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_STAR] = ACTIONS(1587),
    [anon_sym_AMP] = ACTIONS(1587),
    [anon_sym_subroutine] = ACTIONS(1585),
    [anon_sym_invariant] = ACTIONS(1585),
    [anon_sym_precise] = ACTIONS(1585),
    [anon_sym_SEMI] = ACTIONS(1587),
    [anon_sym_in] = ACTIONS(1585),
    [anon_sym_out] = ACTIONS(1585),
    [anon_sym_inout] = ACTIONS(1585),
    [anon_sym_uniform] = ACTIONS(1585),
    [anon_sym_shared] = ACTIONS(1585),
    [anon_sym_attribute] = ACTIONS(1585),
    [anon_sym_varying] = ACTIONS(1585),
    [anon_sym_buffer] = ACTIONS(1585),
    [anon_sym_coherent] = ACTIONS(1585),
    [anon_sym_readonly] = ACTIONS(1585),
    [anon_sym_writeonly] = ACTIONS(1585),
    [anon_sym_precision] = ACTIONS(1585),
    [anon_sym_highp] = ACTIONS(1585),
    [anon_sym_mediump] = ACTIONS(1585),
    [anon_sym_lowp] = ACTIONS(1585),
    [anon_sym_centroid] = ACTIONS(1585),
    [anon_sym_sample] = ACTIONS(1585),
    [anon_sym_patch] = ACTIONS(1585),
    [anon_sym_smooth] = ACTIONS(1585),
    [anon_sym_flat] = ACTIONS(1585),
    [anon_sym_noperspective] = ACTIONS(1585),
    [anon_sym___extension__] = ACTIONS(1585),
    [anon_sym_typedef] = ACTIONS(1585),
    [anon_sym_extern] = ACTIONS(1585),
    [anon_sym___attribute__] = ACTIONS(1585),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1587),
    [anon_sym___declspec] = ACTIONS(1585),
    [anon_sym___cdecl] = ACTIONS(1585),
    [anon_sym___clrcall] = ACTIONS(1585),
    [anon_sym___stdcall] = ACTIONS(1585),
    [anon_sym___fastcall] = ACTIONS(1585),
    [anon_sym___thiscall] = ACTIONS(1585),
    [anon_sym___vectorcall] = ACTIONS(1585),
    [anon_sym_LBRACE] = ACTIONS(1587),
    [anon_sym_RBRACE] = ACTIONS(1587),
    [anon_sym_signed] = ACTIONS(1585),
    [anon_sym_unsigned] = ACTIONS(1585),
    [anon_sym_long] = ACTIONS(1585),
    [anon_sym_short] = ACTIONS(1585),
    [anon_sym_static] = ACTIONS(1585),
    [anon_sym_auto] = ACTIONS(1585),
    [anon_sym_register] = ACTIONS(1585),
    [anon_sym_inline] = ACTIONS(1585),
    [anon_sym___inline] = ACTIONS(1585),
    [anon_sym___inline__] = ACTIONS(1585),
    [anon_sym___forceinline] = ACTIONS(1585),
    [anon_sym_thread_local] = ACTIONS(1585),
    [anon_sym___thread] = ACTIONS(1585),
    [anon_sym_const] = ACTIONS(1585),
    [anon_sym_constexpr] = ACTIONS(1585),
    [anon_sym_volatile] = ACTIONS(1585),
    [anon_sym_restrict] = ACTIONS(1585),
    [anon_sym___restrict__] = ACTIONS(1585),
    [anon_sym__Atomic] = ACTIONS(1585),
    [anon_sym__Noreturn] = ACTIONS(1585),
    [anon_sym_noreturn] = ACTIONS(1585),
    [sym_primitive_type] = ACTIONS(1585),
    [anon_sym_enum] = ACTIONS(1585),
    [anon_sym_struct] = ACTIONS(1585),
    [anon_sym_union] = ACTIONS(1585),
    [anon_sym_if] = ACTIONS(1585),
    [anon_sym_else] = ACTIONS(1585),
    [anon_sym_switch] = ACTIONS(1585),
    [anon_sym_case] = ACTIONS(1585),
    [anon_sym_default] = ACTIONS(1585),
    [anon_sym_while] = ACTIONS(1585),
    [anon_sym_do] = ACTIONS(1585),
    [anon_sym_for] = ACTIONS(1585),
    [anon_sym_return] = ACTIONS(1585),
    [anon_sym_break] = ACTIONS(1585),
    [anon_sym_continue] = ACTIONS(1585),
    [anon_sym_goto] = ACTIONS(1585),
    [anon_sym___try] = ACTIONS(1585),
    [anon_sym___leave] = ACTIONS(1585),
    [anon_sym_DASH_DASH] = ACTIONS(1587),
    [anon_sym_PLUS_PLUS] = ACTIONS(1587),
    [anon_sym_sizeof] = ACTIONS(1585),
    [anon_sym___alignof__] = ACTIONS(1585),
    [anon_sym___alignof] = ACTIONS(1585),
    [anon_sym__alignof] = ACTIONS(1585),
    [anon_sym_alignof] = ACTIONS(1585),
    [anon_sym__Alignof] = ACTIONS(1585),
    [anon_sym_offsetof] = ACTIONS(1585),
    [anon_sym__Generic] = ACTIONS(1585),
    [anon_sym_asm] = ACTIONS(1585),
    [anon_sym___asm__] = ACTIONS(1585),
    [sym_number_literal] = ACTIONS(1587),
    [anon_sym_L_SQUOTE] = ACTIONS(1587),
    [anon_sym_u_SQUOTE] = ACTIONS(1587),
    [anon_sym_U_SQUOTE] = ACTIONS(1587),
    [anon_sym_u8_SQUOTE] = ACTIONS(1587),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_L_DQUOTE] = ACTIONS(1587),
    [anon_sym_u_DQUOTE] = ACTIONS(1587),
    [anon_sym_U_DQUOTE] = ACTIONS(1587),
    [anon_sym_u8_DQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_true] = ACTIONS(1585),
    [sym_false] = ACTIONS(1585),
    [anon_sym_NULL] = ACTIONS(1585),
    [anon_sym_nullptr] = ACTIONS(1585),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1585),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1585),
    [anon_sym_hitAttributeEXT] = ACTIONS(1585),
    [anon_sym_callableDataEXT] = ACTIONS(1585),
    [anon_sym_callableDataInEXT] = ACTIONS(1585),
    [anon_sym_shaderRecordEXT] = ACTIONS(1585),
    [anon_sym_rayPayloadNV] = ACTIONS(1585),
    [anon_sym_rayPayloadInNV] = ACTIONS(1585),
    [anon_sym_hitAttributeNV] = ACTIONS(1585),
    [anon_sym_callableDataNV] = ACTIONS(1585),
    [anon_sym_callableDataInNV] = ACTIONS(1585),
    [anon_sym_shaderRecordNV] = ACTIONS(1585),
    [anon_sym_layout] = ACTIONS(1585),
  },
  [384] = {
    [sym_identifier] = ACTIONS(1581),
    [aux_sym_preproc_include_token1] = ACTIONS(1581),
    [aux_sym_preproc_def_token1] = ACTIONS(1581),
    [aux_sym_preproc_if_token1] = ACTIONS(1581),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1581),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1581),
    [sym_preproc_directive] = ACTIONS(1581),
    [anon_sym_LPAREN2] = ACTIONS(1583),
    [anon_sym_BANG] = ACTIONS(1583),
    [anon_sym_TILDE] = ACTIONS(1583),
    [anon_sym_DASH] = ACTIONS(1581),
    [anon_sym_PLUS] = ACTIONS(1581),
    [anon_sym_STAR] = ACTIONS(1583),
    [anon_sym_AMP] = ACTIONS(1583),
    [anon_sym_subroutine] = ACTIONS(1581),
    [anon_sym_invariant] = ACTIONS(1581),
    [anon_sym_precise] = ACTIONS(1581),
    [anon_sym_SEMI] = ACTIONS(1583),
    [anon_sym_in] = ACTIONS(1581),
    [anon_sym_out] = ACTIONS(1581),
    [anon_sym_inout] = ACTIONS(1581),
    [anon_sym_uniform] = ACTIONS(1581),
    [anon_sym_shared] = ACTIONS(1581),
    [anon_sym_attribute] = ACTIONS(1581),
    [anon_sym_varying] = ACTIONS(1581),
    [anon_sym_buffer] = ACTIONS(1581),
    [anon_sym_coherent] = ACTIONS(1581),
    [anon_sym_readonly] = ACTIONS(1581),
    [anon_sym_writeonly] = ACTIONS(1581),
    [anon_sym_precision] = ACTIONS(1581),
    [anon_sym_highp] = ACTIONS(1581),
    [anon_sym_mediump] = ACTIONS(1581),
    [anon_sym_lowp] = ACTIONS(1581),
    [anon_sym_centroid] = ACTIONS(1581),
    [anon_sym_sample] = ACTIONS(1581),
    [anon_sym_patch] = ACTIONS(1581),
    [anon_sym_smooth] = ACTIONS(1581),
    [anon_sym_flat] = ACTIONS(1581),
    [anon_sym_noperspective] = ACTIONS(1581),
    [anon_sym___extension__] = ACTIONS(1581),
    [anon_sym_typedef] = ACTIONS(1581),
    [anon_sym_extern] = ACTIONS(1581),
    [anon_sym___attribute__] = ACTIONS(1581),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1583),
    [anon_sym___declspec] = ACTIONS(1581),
    [anon_sym___cdecl] = ACTIONS(1581),
    [anon_sym___clrcall] = ACTIONS(1581),
    [anon_sym___stdcall] = ACTIONS(1581),
    [anon_sym___fastcall] = ACTIONS(1581),
    [anon_sym___thiscall] = ACTIONS(1581),
    [anon_sym___vectorcall] = ACTIONS(1581),
    [anon_sym_LBRACE] = ACTIONS(1583),
    [anon_sym_RBRACE] = ACTIONS(1583),
    [anon_sym_signed] = ACTIONS(1581),
    [anon_sym_unsigned] = ACTIONS(1581),
    [anon_sym_long] = ACTIONS(1581),
    [anon_sym_short] = ACTIONS(1581),
    [anon_sym_static] = ACTIONS(1581),
    [anon_sym_auto] = ACTIONS(1581),
    [anon_sym_register] = ACTIONS(1581),
    [anon_sym_inline] = ACTIONS(1581),
    [anon_sym___inline] = ACTIONS(1581),
    [anon_sym___inline__] = ACTIONS(1581),
    [anon_sym___forceinline] = ACTIONS(1581),
    [anon_sym_thread_local] = ACTIONS(1581),
    [anon_sym___thread] = ACTIONS(1581),
    [anon_sym_const] = ACTIONS(1581),
    [anon_sym_constexpr] = ACTIONS(1581),
    [anon_sym_volatile] = ACTIONS(1581),
    [anon_sym_restrict] = ACTIONS(1581),
    [anon_sym___restrict__] = ACTIONS(1581),
    [anon_sym__Atomic] = ACTIONS(1581),
    [anon_sym__Noreturn] = ACTIONS(1581),
    [anon_sym_noreturn] = ACTIONS(1581),
    [sym_primitive_type] = ACTIONS(1581),
    [anon_sym_enum] = ACTIONS(1581),
    [anon_sym_struct] = ACTIONS(1581),
    [anon_sym_union] = ACTIONS(1581),
    [anon_sym_if] = ACTIONS(1581),
    [anon_sym_else] = ACTIONS(1581),
    [anon_sym_switch] = ACTIONS(1581),
    [anon_sym_case] = ACTIONS(1581),
    [anon_sym_default] = ACTIONS(1581),
    [anon_sym_while] = ACTIONS(1581),
    [anon_sym_do] = ACTIONS(1581),
    [anon_sym_for] = ACTIONS(1581),
    [anon_sym_return] = ACTIONS(1581),
    [anon_sym_break] = ACTIONS(1581),
    [anon_sym_continue] = ACTIONS(1581),
    [anon_sym_goto] = ACTIONS(1581),
    [anon_sym___try] = ACTIONS(1581),
    [anon_sym___leave] = ACTIONS(1581),
    [anon_sym_DASH_DASH] = ACTIONS(1583),
    [anon_sym_PLUS_PLUS] = ACTIONS(1583),
    [anon_sym_sizeof] = ACTIONS(1581),
    [anon_sym___alignof__] = ACTIONS(1581),
    [anon_sym___alignof] = ACTIONS(1581),
    [anon_sym__alignof] = ACTIONS(1581),
    [anon_sym_alignof] = ACTIONS(1581),
    [anon_sym__Alignof] = ACTIONS(1581),
    [anon_sym_offsetof] = ACTIONS(1581),
    [anon_sym__Generic] = ACTIONS(1581),
    [anon_sym_asm] = ACTIONS(1581),
    [anon_sym___asm__] = ACTIONS(1581),
    [sym_number_literal] = ACTIONS(1583),
    [anon_sym_L_SQUOTE] = ACTIONS(1583),
    [anon_sym_u_SQUOTE] = ACTIONS(1583),
    [anon_sym_U_SQUOTE] = ACTIONS(1583),
    [anon_sym_u8_SQUOTE] = ACTIONS(1583),
    [anon_sym_SQUOTE] = ACTIONS(1583),
    [anon_sym_L_DQUOTE] = ACTIONS(1583),
    [anon_sym_u_DQUOTE] = ACTIONS(1583),
    [anon_sym_U_DQUOTE] = ACTIONS(1583),
    [anon_sym_u8_DQUOTE] = ACTIONS(1583),
    [anon_sym_DQUOTE] = ACTIONS(1583),
    [sym_true] = ACTIONS(1581),
    [sym_false] = ACTIONS(1581),
    [anon_sym_NULL] = ACTIONS(1581),
    [anon_sym_nullptr] = ACTIONS(1581),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1581),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1581),
    [anon_sym_hitAttributeEXT] = ACTIONS(1581),
    [anon_sym_callableDataEXT] = ACTIONS(1581),
    [anon_sym_callableDataInEXT] = ACTIONS(1581),
    [anon_sym_shaderRecordEXT] = ACTIONS(1581),
    [anon_sym_rayPayloadNV] = ACTIONS(1581),
    [anon_sym_rayPayloadInNV] = ACTIONS(1581),
    [anon_sym_hitAttributeNV] = ACTIONS(1581),
    [anon_sym_callableDataNV] = ACTIONS(1581),
    [anon_sym_callableDataInNV] = ACTIONS(1581),
    [anon_sym_shaderRecordNV] = ACTIONS(1581),
    [anon_sym_layout] = ACTIONS(1581),
  },
  [385] = {
    [sym_identifier] = ACTIONS(1581),
    [aux_sym_preproc_include_token1] = ACTIONS(1581),
    [aux_sym_preproc_def_token1] = ACTIONS(1581),
    [aux_sym_preproc_if_token1] = ACTIONS(1581),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1581),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1581),
    [sym_preproc_directive] = ACTIONS(1581),
    [anon_sym_LPAREN2] = ACTIONS(1583),
    [anon_sym_BANG] = ACTIONS(1583),
    [anon_sym_TILDE] = ACTIONS(1583),
    [anon_sym_DASH] = ACTIONS(1581),
    [anon_sym_PLUS] = ACTIONS(1581),
    [anon_sym_STAR] = ACTIONS(1583),
    [anon_sym_AMP] = ACTIONS(1583),
    [anon_sym_subroutine] = ACTIONS(1581),
    [anon_sym_invariant] = ACTIONS(1581),
    [anon_sym_precise] = ACTIONS(1581),
    [anon_sym_SEMI] = ACTIONS(1583),
    [anon_sym_in] = ACTIONS(1581),
    [anon_sym_out] = ACTIONS(1581),
    [anon_sym_inout] = ACTIONS(1581),
    [anon_sym_uniform] = ACTIONS(1581),
    [anon_sym_shared] = ACTIONS(1581),
    [anon_sym_attribute] = ACTIONS(1581),
    [anon_sym_varying] = ACTIONS(1581),
    [anon_sym_buffer] = ACTIONS(1581),
    [anon_sym_coherent] = ACTIONS(1581),
    [anon_sym_readonly] = ACTIONS(1581),
    [anon_sym_writeonly] = ACTIONS(1581),
    [anon_sym_precision] = ACTIONS(1581),
    [anon_sym_highp] = ACTIONS(1581),
    [anon_sym_mediump] = ACTIONS(1581),
    [anon_sym_lowp] = ACTIONS(1581),
    [anon_sym_centroid] = ACTIONS(1581),
    [anon_sym_sample] = ACTIONS(1581),
    [anon_sym_patch] = ACTIONS(1581),
    [anon_sym_smooth] = ACTIONS(1581),
    [anon_sym_flat] = ACTIONS(1581),
    [anon_sym_noperspective] = ACTIONS(1581),
    [anon_sym___extension__] = ACTIONS(1581),
    [anon_sym_typedef] = ACTIONS(1581),
    [anon_sym_extern] = ACTIONS(1581),
    [anon_sym___attribute__] = ACTIONS(1581),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1583),
    [anon_sym___declspec] = ACTIONS(1581),
    [anon_sym___cdecl] = ACTIONS(1581),
    [anon_sym___clrcall] = ACTIONS(1581),
    [anon_sym___stdcall] = ACTIONS(1581),
    [anon_sym___fastcall] = ACTIONS(1581),
    [anon_sym___thiscall] = ACTIONS(1581),
    [anon_sym___vectorcall] = ACTIONS(1581),
    [anon_sym_LBRACE] = ACTIONS(1583),
    [anon_sym_RBRACE] = ACTIONS(1583),
    [anon_sym_signed] = ACTIONS(1581),
    [anon_sym_unsigned] = ACTIONS(1581),
    [anon_sym_long] = ACTIONS(1581),
    [anon_sym_short] = ACTIONS(1581),
    [anon_sym_static] = ACTIONS(1581),
    [anon_sym_auto] = ACTIONS(1581),
    [anon_sym_register] = ACTIONS(1581),
    [anon_sym_inline] = ACTIONS(1581),
    [anon_sym___inline] = ACTIONS(1581),
    [anon_sym___inline__] = ACTIONS(1581),
    [anon_sym___forceinline] = ACTIONS(1581),
    [anon_sym_thread_local] = ACTIONS(1581),
    [anon_sym___thread] = ACTIONS(1581),
    [anon_sym_const] = ACTIONS(1581),
    [anon_sym_constexpr] = ACTIONS(1581),
    [anon_sym_volatile] = ACTIONS(1581),
    [anon_sym_restrict] = ACTIONS(1581),
    [anon_sym___restrict__] = ACTIONS(1581),
    [anon_sym__Atomic] = ACTIONS(1581),
    [anon_sym__Noreturn] = ACTIONS(1581),
    [anon_sym_noreturn] = ACTIONS(1581),
    [sym_primitive_type] = ACTIONS(1581),
    [anon_sym_enum] = ACTIONS(1581),
    [anon_sym_struct] = ACTIONS(1581),
    [anon_sym_union] = ACTIONS(1581),
    [anon_sym_if] = ACTIONS(1581),
    [anon_sym_else] = ACTIONS(1581),
    [anon_sym_switch] = ACTIONS(1581),
    [anon_sym_case] = ACTIONS(1581),
    [anon_sym_default] = ACTIONS(1581),
    [anon_sym_while] = ACTIONS(1581),
    [anon_sym_do] = ACTIONS(1581),
    [anon_sym_for] = ACTIONS(1581),
    [anon_sym_return] = ACTIONS(1581),
    [anon_sym_break] = ACTIONS(1581),
    [anon_sym_continue] = ACTIONS(1581),
    [anon_sym_goto] = ACTIONS(1581),
    [anon_sym___try] = ACTIONS(1581),
    [anon_sym___leave] = ACTIONS(1581),
    [anon_sym_DASH_DASH] = ACTIONS(1583),
    [anon_sym_PLUS_PLUS] = ACTIONS(1583),
    [anon_sym_sizeof] = ACTIONS(1581),
    [anon_sym___alignof__] = ACTIONS(1581),
    [anon_sym___alignof] = ACTIONS(1581),
    [anon_sym__alignof] = ACTIONS(1581),
    [anon_sym_alignof] = ACTIONS(1581),
    [anon_sym__Alignof] = ACTIONS(1581),
    [anon_sym_offsetof] = ACTIONS(1581),
    [anon_sym__Generic] = ACTIONS(1581),
    [anon_sym_asm] = ACTIONS(1581),
    [anon_sym___asm__] = ACTIONS(1581),
    [sym_number_literal] = ACTIONS(1583),
    [anon_sym_L_SQUOTE] = ACTIONS(1583),
    [anon_sym_u_SQUOTE] = ACTIONS(1583),
    [anon_sym_U_SQUOTE] = ACTIONS(1583),
    [anon_sym_u8_SQUOTE] = ACTIONS(1583),
    [anon_sym_SQUOTE] = ACTIONS(1583),
    [anon_sym_L_DQUOTE] = ACTIONS(1583),
    [anon_sym_u_DQUOTE] = ACTIONS(1583),
    [anon_sym_U_DQUOTE] = ACTIONS(1583),
    [anon_sym_u8_DQUOTE] = ACTIONS(1583),
    [anon_sym_DQUOTE] = ACTIONS(1583),
    [sym_true] = ACTIONS(1581),
    [sym_false] = ACTIONS(1581),
    [anon_sym_NULL] = ACTIONS(1581),
    [anon_sym_nullptr] = ACTIONS(1581),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1581),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1581),
    [anon_sym_hitAttributeEXT] = ACTIONS(1581),
    [anon_sym_callableDataEXT] = ACTIONS(1581),
    [anon_sym_callableDataInEXT] = ACTIONS(1581),
    [anon_sym_shaderRecordEXT] = ACTIONS(1581),
    [anon_sym_rayPayloadNV] = ACTIONS(1581),
    [anon_sym_rayPayloadInNV] = ACTIONS(1581),
    [anon_sym_hitAttributeNV] = ACTIONS(1581),
    [anon_sym_callableDataNV] = ACTIONS(1581),
    [anon_sym_callableDataInNV] = ACTIONS(1581),
    [anon_sym_shaderRecordNV] = ACTIONS(1581),
    [anon_sym_layout] = ACTIONS(1581),
  },
  [386] = {
    [sym_identifier] = ACTIONS(1577),
    [aux_sym_preproc_include_token1] = ACTIONS(1577),
    [aux_sym_preproc_def_token1] = ACTIONS(1577),
    [aux_sym_preproc_if_token1] = ACTIONS(1577),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1577),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1577),
    [sym_preproc_directive] = ACTIONS(1577),
    [anon_sym_LPAREN2] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1579),
    [anon_sym_TILDE] = ACTIONS(1579),
    [anon_sym_DASH] = ACTIONS(1577),
    [anon_sym_PLUS] = ACTIONS(1577),
    [anon_sym_STAR] = ACTIONS(1579),
    [anon_sym_AMP] = ACTIONS(1579),
    [anon_sym_subroutine] = ACTIONS(1577),
    [anon_sym_invariant] = ACTIONS(1577),
    [anon_sym_precise] = ACTIONS(1577),
    [anon_sym_SEMI] = ACTIONS(1579),
    [anon_sym_in] = ACTIONS(1577),
    [anon_sym_out] = ACTIONS(1577),
    [anon_sym_inout] = ACTIONS(1577),
    [anon_sym_uniform] = ACTIONS(1577),
    [anon_sym_shared] = ACTIONS(1577),
    [anon_sym_attribute] = ACTIONS(1577),
    [anon_sym_varying] = ACTIONS(1577),
    [anon_sym_buffer] = ACTIONS(1577),
    [anon_sym_coherent] = ACTIONS(1577),
    [anon_sym_readonly] = ACTIONS(1577),
    [anon_sym_writeonly] = ACTIONS(1577),
    [anon_sym_precision] = ACTIONS(1577),
    [anon_sym_highp] = ACTIONS(1577),
    [anon_sym_mediump] = ACTIONS(1577),
    [anon_sym_lowp] = ACTIONS(1577),
    [anon_sym_centroid] = ACTIONS(1577),
    [anon_sym_sample] = ACTIONS(1577),
    [anon_sym_patch] = ACTIONS(1577),
    [anon_sym_smooth] = ACTIONS(1577),
    [anon_sym_flat] = ACTIONS(1577),
    [anon_sym_noperspective] = ACTIONS(1577),
    [anon_sym___extension__] = ACTIONS(1577),
    [anon_sym_typedef] = ACTIONS(1577),
    [anon_sym_extern] = ACTIONS(1577),
    [anon_sym___attribute__] = ACTIONS(1577),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1579),
    [anon_sym___declspec] = ACTIONS(1577),
    [anon_sym___cdecl] = ACTIONS(1577),
    [anon_sym___clrcall] = ACTIONS(1577),
    [anon_sym___stdcall] = ACTIONS(1577),
    [anon_sym___fastcall] = ACTIONS(1577),
    [anon_sym___thiscall] = ACTIONS(1577),
    [anon_sym___vectorcall] = ACTIONS(1577),
    [anon_sym_LBRACE] = ACTIONS(1579),
    [anon_sym_RBRACE] = ACTIONS(1579),
    [anon_sym_signed] = ACTIONS(1577),
    [anon_sym_unsigned] = ACTIONS(1577),
    [anon_sym_long] = ACTIONS(1577),
    [anon_sym_short] = ACTIONS(1577),
    [anon_sym_static] = ACTIONS(1577),
    [anon_sym_auto] = ACTIONS(1577),
    [anon_sym_register] = ACTIONS(1577),
    [anon_sym_inline] = ACTIONS(1577),
    [anon_sym___inline] = ACTIONS(1577),
    [anon_sym___inline__] = ACTIONS(1577),
    [anon_sym___forceinline] = ACTIONS(1577),
    [anon_sym_thread_local] = ACTIONS(1577),
    [anon_sym___thread] = ACTIONS(1577),
    [anon_sym_const] = ACTIONS(1577),
    [anon_sym_constexpr] = ACTIONS(1577),
    [anon_sym_volatile] = ACTIONS(1577),
    [anon_sym_restrict] = ACTIONS(1577),
    [anon_sym___restrict__] = ACTIONS(1577),
    [anon_sym__Atomic] = ACTIONS(1577),
    [anon_sym__Noreturn] = ACTIONS(1577),
    [anon_sym_noreturn] = ACTIONS(1577),
    [sym_primitive_type] = ACTIONS(1577),
    [anon_sym_enum] = ACTIONS(1577),
    [anon_sym_struct] = ACTIONS(1577),
    [anon_sym_union] = ACTIONS(1577),
    [anon_sym_if] = ACTIONS(1577),
    [anon_sym_else] = ACTIONS(1577),
    [anon_sym_switch] = ACTIONS(1577),
    [anon_sym_case] = ACTIONS(1577),
    [anon_sym_default] = ACTIONS(1577),
    [anon_sym_while] = ACTIONS(1577),
    [anon_sym_do] = ACTIONS(1577),
    [anon_sym_for] = ACTIONS(1577),
    [anon_sym_return] = ACTIONS(1577),
    [anon_sym_break] = ACTIONS(1577),
    [anon_sym_continue] = ACTIONS(1577),
    [anon_sym_goto] = ACTIONS(1577),
    [anon_sym___try] = ACTIONS(1577),
    [anon_sym___leave] = ACTIONS(1577),
    [anon_sym_DASH_DASH] = ACTIONS(1579),
    [anon_sym_PLUS_PLUS] = ACTIONS(1579),
    [anon_sym_sizeof] = ACTIONS(1577),
    [anon_sym___alignof__] = ACTIONS(1577),
    [anon_sym___alignof] = ACTIONS(1577),
    [anon_sym__alignof] = ACTIONS(1577),
    [anon_sym_alignof] = ACTIONS(1577),
    [anon_sym__Alignof] = ACTIONS(1577),
    [anon_sym_offsetof] = ACTIONS(1577),
    [anon_sym__Generic] = ACTIONS(1577),
    [anon_sym_asm] = ACTIONS(1577),
    [anon_sym___asm__] = ACTIONS(1577),
    [sym_number_literal] = ACTIONS(1579),
    [anon_sym_L_SQUOTE] = ACTIONS(1579),
    [anon_sym_u_SQUOTE] = ACTIONS(1579),
    [anon_sym_U_SQUOTE] = ACTIONS(1579),
    [anon_sym_u8_SQUOTE] = ACTIONS(1579),
    [anon_sym_SQUOTE] = ACTIONS(1579),
    [anon_sym_L_DQUOTE] = ACTIONS(1579),
    [anon_sym_u_DQUOTE] = ACTIONS(1579),
    [anon_sym_U_DQUOTE] = ACTIONS(1579),
    [anon_sym_u8_DQUOTE] = ACTIONS(1579),
    [anon_sym_DQUOTE] = ACTIONS(1579),
    [sym_true] = ACTIONS(1577),
    [sym_false] = ACTIONS(1577),
    [anon_sym_NULL] = ACTIONS(1577),
    [anon_sym_nullptr] = ACTIONS(1577),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1577),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1577),
    [anon_sym_hitAttributeEXT] = ACTIONS(1577),
    [anon_sym_callableDataEXT] = ACTIONS(1577),
    [anon_sym_callableDataInEXT] = ACTIONS(1577),
    [anon_sym_shaderRecordEXT] = ACTIONS(1577),
    [anon_sym_rayPayloadNV] = ACTIONS(1577),
    [anon_sym_rayPayloadInNV] = ACTIONS(1577),
    [anon_sym_hitAttributeNV] = ACTIONS(1577),
    [anon_sym_callableDataNV] = ACTIONS(1577),
    [anon_sym_callableDataInNV] = ACTIONS(1577),
    [anon_sym_shaderRecordNV] = ACTIONS(1577),
    [anon_sym_layout] = ACTIONS(1577),
  },
  [387] = {
    [sym_identifier] = ACTIONS(1573),
    [aux_sym_preproc_include_token1] = ACTIONS(1573),
    [aux_sym_preproc_def_token1] = ACTIONS(1573),
    [aux_sym_preproc_if_token1] = ACTIONS(1573),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1573),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1573),
    [sym_preproc_directive] = ACTIONS(1573),
    [anon_sym_LPAREN2] = ACTIONS(1575),
    [anon_sym_BANG] = ACTIONS(1575),
    [anon_sym_TILDE] = ACTIONS(1575),
    [anon_sym_DASH] = ACTIONS(1573),
    [anon_sym_PLUS] = ACTIONS(1573),
    [anon_sym_STAR] = ACTIONS(1575),
    [anon_sym_AMP] = ACTIONS(1575),
    [anon_sym_subroutine] = ACTIONS(1573),
    [anon_sym_invariant] = ACTIONS(1573),
    [anon_sym_precise] = ACTIONS(1573),
    [anon_sym_SEMI] = ACTIONS(1575),
    [anon_sym_in] = ACTIONS(1573),
    [anon_sym_out] = ACTIONS(1573),
    [anon_sym_inout] = ACTIONS(1573),
    [anon_sym_uniform] = ACTIONS(1573),
    [anon_sym_shared] = ACTIONS(1573),
    [anon_sym_attribute] = ACTIONS(1573),
    [anon_sym_varying] = ACTIONS(1573),
    [anon_sym_buffer] = ACTIONS(1573),
    [anon_sym_coherent] = ACTIONS(1573),
    [anon_sym_readonly] = ACTIONS(1573),
    [anon_sym_writeonly] = ACTIONS(1573),
    [anon_sym_precision] = ACTIONS(1573),
    [anon_sym_highp] = ACTIONS(1573),
    [anon_sym_mediump] = ACTIONS(1573),
    [anon_sym_lowp] = ACTIONS(1573),
    [anon_sym_centroid] = ACTIONS(1573),
    [anon_sym_sample] = ACTIONS(1573),
    [anon_sym_patch] = ACTIONS(1573),
    [anon_sym_smooth] = ACTIONS(1573),
    [anon_sym_flat] = ACTIONS(1573),
    [anon_sym_noperspective] = ACTIONS(1573),
    [anon_sym___extension__] = ACTIONS(1573),
    [anon_sym_typedef] = ACTIONS(1573),
    [anon_sym_extern] = ACTIONS(1573),
    [anon_sym___attribute__] = ACTIONS(1573),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1575),
    [anon_sym___declspec] = ACTIONS(1573),
    [anon_sym___cdecl] = ACTIONS(1573),
    [anon_sym___clrcall] = ACTIONS(1573),
    [anon_sym___stdcall] = ACTIONS(1573),
    [anon_sym___fastcall] = ACTIONS(1573),
    [anon_sym___thiscall] = ACTIONS(1573),
    [anon_sym___vectorcall] = ACTIONS(1573),
    [anon_sym_LBRACE] = ACTIONS(1575),
    [anon_sym_RBRACE] = ACTIONS(1575),
    [anon_sym_signed] = ACTIONS(1573),
    [anon_sym_unsigned] = ACTIONS(1573),
    [anon_sym_long] = ACTIONS(1573),
    [anon_sym_short] = ACTIONS(1573),
    [anon_sym_static] = ACTIONS(1573),
    [anon_sym_auto] = ACTIONS(1573),
    [anon_sym_register] = ACTIONS(1573),
    [anon_sym_inline] = ACTIONS(1573),
    [anon_sym___inline] = ACTIONS(1573),
    [anon_sym___inline__] = ACTIONS(1573),
    [anon_sym___forceinline] = ACTIONS(1573),
    [anon_sym_thread_local] = ACTIONS(1573),
    [anon_sym___thread] = ACTIONS(1573),
    [anon_sym_const] = ACTIONS(1573),
    [anon_sym_constexpr] = ACTIONS(1573),
    [anon_sym_volatile] = ACTIONS(1573),
    [anon_sym_restrict] = ACTIONS(1573),
    [anon_sym___restrict__] = ACTIONS(1573),
    [anon_sym__Atomic] = ACTIONS(1573),
    [anon_sym__Noreturn] = ACTIONS(1573),
    [anon_sym_noreturn] = ACTIONS(1573),
    [sym_primitive_type] = ACTIONS(1573),
    [anon_sym_enum] = ACTIONS(1573),
    [anon_sym_struct] = ACTIONS(1573),
    [anon_sym_union] = ACTIONS(1573),
    [anon_sym_if] = ACTIONS(1573),
    [anon_sym_else] = ACTIONS(1573),
    [anon_sym_switch] = ACTIONS(1573),
    [anon_sym_case] = ACTIONS(1573),
    [anon_sym_default] = ACTIONS(1573),
    [anon_sym_while] = ACTIONS(1573),
    [anon_sym_do] = ACTIONS(1573),
    [anon_sym_for] = ACTIONS(1573),
    [anon_sym_return] = ACTIONS(1573),
    [anon_sym_break] = ACTIONS(1573),
    [anon_sym_continue] = ACTIONS(1573),
    [anon_sym_goto] = ACTIONS(1573),
    [anon_sym___try] = ACTIONS(1573),
    [anon_sym___leave] = ACTIONS(1573),
    [anon_sym_DASH_DASH] = ACTIONS(1575),
    [anon_sym_PLUS_PLUS] = ACTIONS(1575),
    [anon_sym_sizeof] = ACTIONS(1573),
    [anon_sym___alignof__] = ACTIONS(1573),
    [anon_sym___alignof] = ACTIONS(1573),
    [anon_sym__alignof] = ACTIONS(1573),
    [anon_sym_alignof] = ACTIONS(1573),
    [anon_sym__Alignof] = ACTIONS(1573),
    [anon_sym_offsetof] = ACTIONS(1573),
    [anon_sym__Generic] = ACTIONS(1573),
    [anon_sym_asm] = ACTIONS(1573),
    [anon_sym___asm__] = ACTIONS(1573),
    [sym_number_literal] = ACTIONS(1575),
    [anon_sym_L_SQUOTE] = ACTIONS(1575),
    [anon_sym_u_SQUOTE] = ACTIONS(1575),
    [anon_sym_U_SQUOTE] = ACTIONS(1575),
    [anon_sym_u8_SQUOTE] = ACTIONS(1575),
    [anon_sym_SQUOTE] = ACTIONS(1575),
    [anon_sym_L_DQUOTE] = ACTIONS(1575),
    [anon_sym_u_DQUOTE] = ACTIONS(1575),
    [anon_sym_U_DQUOTE] = ACTIONS(1575),
    [anon_sym_u8_DQUOTE] = ACTIONS(1575),
    [anon_sym_DQUOTE] = ACTIONS(1575),
    [sym_true] = ACTIONS(1573),
    [sym_false] = ACTIONS(1573),
    [anon_sym_NULL] = ACTIONS(1573),
    [anon_sym_nullptr] = ACTIONS(1573),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1573),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1573),
    [anon_sym_hitAttributeEXT] = ACTIONS(1573),
    [anon_sym_callableDataEXT] = ACTIONS(1573),
    [anon_sym_callableDataInEXT] = ACTIONS(1573),
    [anon_sym_shaderRecordEXT] = ACTIONS(1573),
    [anon_sym_rayPayloadNV] = ACTIONS(1573),
    [anon_sym_rayPayloadInNV] = ACTIONS(1573),
    [anon_sym_hitAttributeNV] = ACTIONS(1573),
    [anon_sym_callableDataNV] = ACTIONS(1573),
    [anon_sym_callableDataInNV] = ACTIONS(1573),
    [anon_sym_shaderRecordNV] = ACTIONS(1573),
    [anon_sym_layout] = ACTIONS(1573),
  },
  [388] = {
    [ts_builtin_sym_end] = ACTIONS(1563),
    [sym_identifier] = ACTIONS(1561),
    [aux_sym_preproc_include_token1] = ACTIONS(1561),
    [aux_sym_preproc_def_token1] = ACTIONS(1561),
    [aux_sym_preproc_if_token1] = ACTIONS(1561),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1561),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1561),
    [sym_preproc_directive] = ACTIONS(1561),
    [anon_sym_LPAREN2] = ACTIONS(1563),
    [anon_sym_BANG] = ACTIONS(1563),
    [anon_sym_TILDE] = ACTIONS(1563),
    [anon_sym_DASH] = ACTIONS(1561),
    [anon_sym_PLUS] = ACTIONS(1561),
    [anon_sym_STAR] = ACTIONS(1563),
    [anon_sym_AMP] = ACTIONS(1563),
    [anon_sym_subroutine] = ACTIONS(1561),
    [anon_sym_invariant] = ACTIONS(1561),
    [anon_sym_precise] = ACTIONS(1561),
    [anon_sym_SEMI] = ACTIONS(1563),
    [anon_sym_in] = ACTIONS(1561),
    [anon_sym_out] = ACTIONS(1561),
    [anon_sym_inout] = ACTIONS(1561),
    [anon_sym_uniform] = ACTIONS(1561),
    [anon_sym_shared] = ACTIONS(1561),
    [anon_sym_attribute] = ACTIONS(1561),
    [anon_sym_varying] = ACTIONS(1561),
    [anon_sym_buffer] = ACTIONS(1561),
    [anon_sym_coherent] = ACTIONS(1561),
    [anon_sym_readonly] = ACTIONS(1561),
    [anon_sym_writeonly] = ACTIONS(1561),
    [anon_sym_precision] = ACTIONS(1561),
    [anon_sym_highp] = ACTIONS(1561),
    [anon_sym_mediump] = ACTIONS(1561),
    [anon_sym_lowp] = ACTIONS(1561),
    [anon_sym_centroid] = ACTIONS(1561),
    [anon_sym_sample] = ACTIONS(1561),
    [anon_sym_patch] = ACTIONS(1561),
    [anon_sym_smooth] = ACTIONS(1561),
    [anon_sym_flat] = ACTIONS(1561),
    [anon_sym_noperspective] = ACTIONS(1561),
    [anon_sym___extension__] = ACTIONS(1561),
    [anon_sym_typedef] = ACTIONS(1561),
    [anon_sym_extern] = ACTIONS(1561),
    [anon_sym___attribute__] = ACTIONS(1561),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1563),
    [anon_sym___declspec] = ACTIONS(1561),
    [anon_sym___cdecl] = ACTIONS(1561),
    [anon_sym___clrcall] = ACTIONS(1561),
    [anon_sym___stdcall] = ACTIONS(1561),
    [anon_sym___fastcall] = ACTIONS(1561),
    [anon_sym___thiscall] = ACTIONS(1561),
    [anon_sym___vectorcall] = ACTIONS(1561),
    [anon_sym_LBRACE] = ACTIONS(1563),
    [anon_sym_signed] = ACTIONS(1561),
    [anon_sym_unsigned] = ACTIONS(1561),
    [anon_sym_long] = ACTIONS(1561),
    [anon_sym_short] = ACTIONS(1561),
    [anon_sym_static] = ACTIONS(1561),
    [anon_sym_auto] = ACTIONS(1561),
    [anon_sym_register] = ACTIONS(1561),
    [anon_sym_inline] = ACTIONS(1561),
    [anon_sym___inline] = ACTIONS(1561),
    [anon_sym___inline__] = ACTIONS(1561),
    [anon_sym___forceinline] = ACTIONS(1561),
    [anon_sym_thread_local] = ACTIONS(1561),
    [anon_sym___thread] = ACTIONS(1561),
    [anon_sym_const] = ACTIONS(1561),
    [anon_sym_constexpr] = ACTIONS(1561),
    [anon_sym_volatile] = ACTIONS(1561),
    [anon_sym_restrict] = ACTIONS(1561),
    [anon_sym___restrict__] = ACTIONS(1561),
    [anon_sym__Atomic] = ACTIONS(1561),
    [anon_sym__Noreturn] = ACTIONS(1561),
    [anon_sym_noreturn] = ACTIONS(1561),
    [sym_primitive_type] = ACTIONS(1561),
    [anon_sym_enum] = ACTIONS(1561),
    [anon_sym_struct] = ACTIONS(1561),
    [anon_sym_union] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1561),
    [anon_sym_else] = ACTIONS(1561),
    [anon_sym_switch] = ACTIONS(1561),
    [anon_sym_case] = ACTIONS(1561),
    [anon_sym_default] = ACTIONS(1561),
    [anon_sym_while] = ACTIONS(1561),
    [anon_sym_do] = ACTIONS(1561),
    [anon_sym_for] = ACTIONS(1561),
    [anon_sym_return] = ACTIONS(1561),
    [anon_sym_break] = ACTIONS(1561),
    [anon_sym_continue] = ACTIONS(1561),
    [anon_sym_goto] = ACTIONS(1561),
    [anon_sym___try] = ACTIONS(1561),
    [anon_sym___leave] = ACTIONS(1561),
    [anon_sym_DASH_DASH] = ACTIONS(1563),
    [anon_sym_PLUS_PLUS] = ACTIONS(1563),
    [anon_sym_sizeof] = ACTIONS(1561),
    [anon_sym___alignof__] = ACTIONS(1561),
    [anon_sym___alignof] = ACTIONS(1561),
    [anon_sym__alignof] = ACTIONS(1561),
    [anon_sym_alignof] = ACTIONS(1561),
    [anon_sym__Alignof] = ACTIONS(1561),
    [anon_sym_offsetof] = ACTIONS(1561),
    [anon_sym__Generic] = ACTIONS(1561),
    [anon_sym_asm] = ACTIONS(1561),
    [anon_sym___asm__] = ACTIONS(1561),
    [sym_number_literal] = ACTIONS(1563),
    [anon_sym_L_SQUOTE] = ACTIONS(1563),
    [anon_sym_u_SQUOTE] = ACTIONS(1563),
    [anon_sym_U_SQUOTE] = ACTIONS(1563),
    [anon_sym_u8_SQUOTE] = ACTIONS(1563),
    [anon_sym_SQUOTE] = ACTIONS(1563),
    [anon_sym_L_DQUOTE] = ACTIONS(1563),
    [anon_sym_u_DQUOTE] = ACTIONS(1563),
    [anon_sym_U_DQUOTE] = ACTIONS(1563),
    [anon_sym_u8_DQUOTE] = ACTIONS(1563),
    [anon_sym_DQUOTE] = ACTIONS(1563),
    [sym_true] = ACTIONS(1561),
    [sym_false] = ACTIONS(1561),
    [anon_sym_NULL] = ACTIONS(1561),
    [anon_sym_nullptr] = ACTIONS(1561),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1561),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1561),
    [anon_sym_hitAttributeEXT] = ACTIONS(1561),
    [anon_sym_callableDataEXT] = ACTIONS(1561),
    [anon_sym_callableDataInEXT] = ACTIONS(1561),
    [anon_sym_shaderRecordEXT] = ACTIONS(1561),
    [anon_sym_rayPayloadNV] = ACTIONS(1561),
    [anon_sym_rayPayloadInNV] = ACTIONS(1561),
    [anon_sym_hitAttributeNV] = ACTIONS(1561),
    [anon_sym_callableDataNV] = ACTIONS(1561),
    [anon_sym_callableDataInNV] = ACTIONS(1561),
    [anon_sym_shaderRecordNV] = ACTIONS(1561),
    [anon_sym_layout] = ACTIONS(1561),
  },
  [389] = {
    [sym_identifier] = ACTIONS(1557),
    [aux_sym_preproc_include_token1] = ACTIONS(1557),
    [aux_sym_preproc_def_token1] = ACTIONS(1557),
    [aux_sym_preproc_if_token1] = ACTIONS(1557),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1557),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1557),
    [sym_preproc_directive] = ACTIONS(1557),
    [anon_sym_LPAREN2] = ACTIONS(1559),
    [anon_sym_BANG] = ACTIONS(1559),
    [anon_sym_TILDE] = ACTIONS(1559),
    [anon_sym_DASH] = ACTIONS(1557),
    [anon_sym_PLUS] = ACTIONS(1557),
    [anon_sym_STAR] = ACTIONS(1559),
    [anon_sym_AMP] = ACTIONS(1559),
    [anon_sym_subroutine] = ACTIONS(1557),
    [anon_sym_invariant] = ACTIONS(1557),
    [anon_sym_precise] = ACTIONS(1557),
    [anon_sym_SEMI] = ACTIONS(1559),
    [anon_sym_in] = ACTIONS(1557),
    [anon_sym_out] = ACTIONS(1557),
    [anon_sym_inout] = ACTIONS(1557),
    [anon_sym_uniform] = ACTIONS(1557),
    [anon_sym_shared] = ACTIONS(1557),
    [anon_sym_attribute] = ACTIONS(1557),
    [anon_sym_varying] = ACTIONS(1557),
    [anon_sym_buffer] = ACTIONS(1557),
    [anon_sym_coherent] = ACTIONS(1557),
    [anon_sym_readonly] = ACTIONS(1557),
    [anon_sym_writeonly] = ACTIONS(1557),
    [anon_sym_precision] = ACTIONS(1557),
    [anon_sym_highp] = ACTIONS(1557),
    [anon_sym_mediump] = ACTIONS(1557),
    [anon_sym_lowp] = ACTIONS(1557),
    [anon_sym_centroid] = ACTIONS(1557),
    [anon_sym_sample] = ACTIONS(1557),
    [anon_sym_patch] = ACTIONS(1557),
    [anon_sym_smooth] = ACTIONS(1557),
    [anon_sym_flat] = ACTIONS(1557),
    [anon_sym_noperspective] = ACTIONS(1557),
    [anon_sym___extension__] = ACTIONS(1557),
    [anon_sym_typedef] = ACTIONS(1557),
    [anon_sym_extern] = ACTIONS(1557),
    [anon_sym___attribute__] = ACTIONS(1557),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1559),
    [anon_sym___declspec] = ACTIONS(1557),
    [anon_sym___cdecl] = ACTIONS(1557),
    [anon_sym___clrcall] = ACTIONS(1557),
    [anon_sym___stdcall] = ACTIONS(1557),
    [anon_sym___fastcall] = ACTIONS(1557),
    [anon_sym___thiscall] = ACTIONS(1557),
    [anon_sym___vectorcall] = ACTIONS(1557),
    [anon_sym_LBRACE] = ACTIONS(1559),
    [anon_sym_RBRACE] = ACTIONS(1559),
    [anon_sym_signed] = ACTIONS(1557),
    [anon_sym_unsigned] = ACTIONS(1557),
    [anon_sym_long] = ACTIONS(1557),
    [anon_sym_short] = ACTIONS(1557),
    [anon_sym_static] = ACTIONS(1557),
    [anon_sym_auto] = ACTIONS(1557),
    [anon_sym_register] = ACTIONS(1557),
    [anon_sym_inline] = ACTIONS(1557),
    [anon_sym___inline] = ACTIONS(1557),
    [anon_sym___inline__] = ACTIONS(1557),
    [anon_sym___forceinline] = ACTIONS(1557),
    [anon_sym_thread_local] = ACTIONS(1557),
    [anon_sym___thread] = ACTIONS(1557),
    [anon_sym_const] = ACTIONS(1557),
    [anon_sym_constexpr] = ACTIONS(1557),
    [anon_sym_volatile] = ACTIONS(1557),
    [anon_sym_restrict] = ACTIONS(1557),
    [anon_sym___restrict__] = ACTIONS(1557),
    [anon_sym__Atomic] = ACTIONS(1557),
    [anon_sym__Noreturn] = ACTIONS(1557),
    [anon_sym_noreturn] = ACTIONS(1557),
    [sym_primitive_type] = ACTIONS(1557),
    [anon_sym_enum] = ACTIONS(1557),
    [anon_sym_struct] = ACTIONS(1557),
    [anon_sym_union] = ACTIONS(1557),
    [anon_sym_if] = ACTIONS(1557),
    [anon_sym_else] = ACTIONS(1557),
    [anon_sym_switch] = ACTIONS(1557),
    [anon_sym_case] = ACTIONS(1557),
    [anon_sym_default] = ACTIONS(1557),
    [anon_sym_while] = ACTIONS(1557),
    [anon_sym_do] = ACTIONS(1557),
    [anon_sym_for] = ACTIONS(1557),
    [anon_sym_return] = ACTIONS(1557),
    [anon_sym_break] = ACTIONS(1557),
    [anon_sym_continue] = ACTIONS(1557),
    [anon_sym_goto] = ACTIONS(1557),
    [anon_sym___try] = ACTIONS(1557),
    [anon_sym___leave] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1559),
    [anon_sym_PLUS_PLUS] = ACTIONS(1559),
    [anon_sym_sizeof] = ACTIONS(1557),
    [anon_sym___alignof__] = ACTIONS(1557),
    [anon_sym___alignof] = ACTIONS(1557),
    [anon_sym__alignof] = ACTIONS(1557),
    [anon_sym_alignof] = ACTIONS(1557),
    [anon_sym__Alignof] = ACTIONS(1557),
    [anon_sym_offsetof] = ACTIONS(1557),
    [anon_sym__Generic] = ACTIONS(1557),
    [anon_sym_asm] = ACTIONS(1557),
    [anon_sym___asm__] = ACTIONS(1557),
    [sym_number_literal] = ACTIONS(1559),
    [anon_sym_L_SQUOTE] = ACTIONS(1559),
    [anon_sym_u_SQUOTE] = ACTIONS(1559),
    [anon_sym_U_SQUOTE] = ACTIONS(1559),
    [anon_sym_u8_SQUOTE] = ACTIONS(1559),
    [anon_sym_SQUOTE] = ACTIONS(1559),
    [anon_sym_L_DQUOTE] = ACTIONS(1559),
    [anon_sym_u_DQUOTE] = ACTIONS(1559),
    [anon_sym_U_DQUOTE] = ACTIONS(1559),
    [anon_sym_u8_DQUOTE] = ACTIONS(1559),
    [anon_sym_DQUOTE] = ACTIONS(1559),
    [sym_true] = ACTIONS(1557),
    [sym_false] = ACTIONS(1557),
    [anon_sym_NULL] = ACTIONS(1557),
    [anon_sym_nullptr] = ACTIONS(1557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1557),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1557),
    [anon_sym_hitAttributeEXT] = ACTIONS(1557),
    [anon_sym_callableDataEXT] = ACTIONS(1557),
    [anon_sym_callableDataInEXT] = ACTIONS(1557),
    [anon_sym_shaderRecordEXT] = ACTIONS(1557),
    [anon_sym_rayPayloadNV] = ACTIONS(1557),
    [anon_sym_rayPayloadInNV] = ACTIONS(1557),
    [anon_sym_hitAttributeNV] = ACTIONS(1557),
    [anon_sym_callableDataNV] = ACTIONS(1557),
    [anon_sym_callableDataInNV] = ACTIONS(1557),
    [anon_sym_shaderRecordNV] = ACTIONS(1557),
    [anon_sym_layout] = ACTIONS(1557),
  },
  [390] = {
    [sym_identifier] = ACTIONS(1549),
    [aux_sym_preproc_include_token1] = ACTIONS(1549),
    [aux_sym_preproc_def_token1] = ACTIONS(1549),
    [aux_sym_preproc_if_token1] = ACTIONS(1549),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1549),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1549),
    [sym_preproc_directive] = ACTIONS(1549),
    [anon_sym_LPAREN2] = ACTIONS(1551),
    [anon_sym_BANG] = ACTIONS(1551),
    [anon_sym_TILDE] = ACTIONS(1551),
    [anon_sym_DASH] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_STAR] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(1551),
    [anon_sym_subroutine] = ACTIONS(1549),
    [anon_sym_invariant] = ACTIONS(1549),
    [anon_sym_precise] = ACTIONS(1549),
    [anon_sym_SEMI] = ACTIONS(1551),
    [anon_sym_in] = ACTIONS(1549),
    [anon_sym_out] = ACTIONS(1549),
    [anon_sym_inout] = ACTIONS(1549),
    [anon_sym_uniform] = ACTIONS(1549),
    [anon_sym_shared] = ACTIONS(1549),
    [anon_sym_attribute] = ACTIONS(1549),
    [anon_sym_varying] = ACTIONS(1549),
    [anon_sym_buffer] = ACTIONS(1549),
    [anon_sym_coherent] = ACTIONS(1549),
    [anon_sym_readonly] = ACTIONS(1549),
    [anon_sym_writeonly] = ACTIONS(1549),
    [anon_sym_precision] = ACTIONS(1549),
    [anon_sym_highp] = ACTIONS(1549),
    [anon_sym_mediump] = ACTIONS(1549),
    [anon_sym_lowp] = ACTIONS(1549),
    [anon_sym_centroid] = ACTIONS(1549),
    [anon_sym_sample] = ACTIONS(1549),
    [anon_sym_patch] = ACTIONS(1549),
    [anon_sym_smooth] = ACTIONS(1549),
    [anon_sym_flat] = ACTIONS(1549),
    [anon_sym_noperspective] = ACTIONS(1549),
    [anon_sym___extension__] = ACTIONS(1549),
    [anon_sym_typedef] = ACTIONS(1549),
    [anon_sym_extern] = ACTIONS(1549),
    [anon_sym___attribute__] = ACTIONS(1549),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1551),
    [anon_sym___declspec] = ACTIONS(1549),
    [anon_sym___cdecl] = ACTIONS(1549),
    [anon_sym___clrcall] = ACTIONS(1549),
    [anon_sym___stdcall] = ACTIONS(1549),
    [anon_sym___fastcall] = ACTIONS(1549),
    [anon_sym___thiscall] = ACTIONS(1549),
    [anon_sym___vectorcall] = ACTIONS(1549),
    [anon_sym_LBRACE] = ACTIONS(1551),
    [anon_sym_RBRACE] = ACTIONS(1551),
    [anon_sym_signed] = ACTIONS(1549),
    [anon_sym_unsigned] = ACTIONS(1549),
    [anon_sym_long] = ACTIONS(1549),
    [anon_sym_short] = ACTIONS(1549),
    [anon_sym_static] = ACTIONS(1549),
    [anon_sym_auto] = ACTIONS(1549),
    [anon_sym_register] = ACTIONS(1549),
    [anon_sym_inline] = ACTIONS(1549),
    [anon_sym___inline] = ACTIONS(1549),
    [anon_sym___inline__] = ACTIONS(1549),
    [anon_sym___forceinline] = ACTIONS(1549),
    [anon_sym_thread_local] = ACTIONS(1549),
    [anon_sym___thread] = ACTIONS(1549),
    [anon_sym_const] = ACTIONS(1549),
    [anon_sym_constexpr] = ACTIONS(1549),
    [anon_sym_volatile] = ACTIONS(1549),
    [anon_sym_restrict] = ACTIONS(1549),
    [anon_sym___restrict__] = ACTIONS(1549),
    [anon_sym__Atomic] = ACTIONS(1549),
    [anon_sym__Noreturn] = ACTIONS(1549),
    [anon_sym_noreturn] = ACTIONS(1549),
    [sym_primitive_type] = ACTIONS(1549),
    [anon_sym_enum] = ACTIONS(1549),
    [anon_sym_struct] = ACTIONS(1549),
    [anon_sym_union] = ACTIONS(1549),
    [anon_sym_if] = ACTIONS(1549),
    [anon_sym_else] = ACTIONS(1549),
    [anon_sym_switch] = ACTIONS(1549),
    [anon_sym_case] = ACTIONS(1549),
    [anon_sym_default] = ACTIONS(1549),
    [anon_sym_while] = ACTIONS(1549),
    [anon_sym_do] = ACTIONS(1549),
    [anon_sym_for] = ACTIONS(1549),
    [anon_sym_return] = ACTIONS(1549),
    [anon_sym_break] = ACTIONS(1549),
    [anon_sym_continue] = ACTIONS(1549),
    [anon_sym_goto] = ACTIONS(1549),
    [anon_sym___try] = ACTIONS(1549),
    [anon_sym___leave] = ACTIONS(1549),
    [anon_sym_DASH_DASH] = ACTIONS(1551),
    [anon_sym_PLUS_PLUS] = ACTIONS(1551),
    [anon_sym_sizeof] = ACTIONS(1549),
    [anon_sym___alignof__] = ACTIONS(1549),
    [anon_sym___alignof] = ACTIONS(1549),
    [anon_sym__alignof] = ACTIONS(1549),
    [anon_sym_alignof] = ACTIONS(1549),
    [anon_sym__Alignof] = ACTIONS(1549),
    [anon_sym_offsetof] = ACTIONS(1549),
    [anon_sym__Generic] = ACTIONS(1549),
    [anon_sym_asm] = ACTIONS(1549),
    [anon_sym___asm__] = ACTIONS(1549),
    [sym_number_literal] = ACTIONS(1551),
    [anon_sym_L_SQUOTE] = ACTIONS(1551),
    [anon_sym_u_SQUOTE] = ACTIONS(1551),
    [anon_sym_U_SQUOTE] = ACTIONS(1551),
    [anon_sym_u8_SQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1551),
    [anon_sym_L_DQUOTE] = ACTIONS(1551),
    [anon_sym_u_DQUOTE] = ACTIONS(1551),
    [anon_sym_U_DQUOTE] = ACTIONS(1551),
    [anon_sym_u8_DQUOTE] = ACTIONS(1551),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [sym_true] = ACTIONS(1549),
    [sym_false] = ACTIONS(1549),
    [anon_sym_NULL] = ACTIONS(1549),
    [anon_sym_nullptr] = ACTIONS(1549),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1549),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1549),
    [anon_sym_hitAttributeEXT] = ACTIONS(1549),
    [anon_sym_callableDataEXT] = ACTIONS(1549),
    [anon_sym_callableDataInEXT] = ACTIONS(1549),
    [anon_sym_shaderRecordEXT] = ACTIONS(1549),
    [anon_sym_rayPayloadNV] = ACTIONS(1549),
    [anon_sym_rayPayloadInNV] = ACTIONS(1549),
    [anon_sym_hitAttributeNV] = ACTIONS(1549),
    [anon_sym_callableDataNV] = ACTIONS(1549),
    [anon_sym_callableDataInNV] = ACTIONS(1549),
    [anon_sym_shaderRecordNV] = ACTIONS(1549),
    [anon_sym_layout] = ACTIONS(1549),
  },
  [391] = {
    [sym_identifier] = ACTIONS(1549),
    [aux_sym_preproc_include_token1] = ACTIONS(1549),
    [aux_sym_preproc_def_token1] = ACTIONS(1549),
    [aux_sym_preproc_if_token1] = ACTIONS(1549),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1549),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1549),
    [sym_preproc_directive] = ACTIONS(1549),
    [anon_sym_LPAREN2] = ACTIONS(1551),
    [anon_sym_BANG] = ACTIONS(1551),
    [anon_sym_TILDE] = ACTIONS(1551),
    [anon_sym_DASH] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_STAR] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(1551),
    [anon_sym_subroutine] = ACTIONS(1549),
    [anon_sym_invariant] = ACTIONS(1549),
    [anon_sym_precise] = ACTIONS(1549),
    [anon_sym_SEMI] = ACTIONS(1551),
    [anon_sym_in] = ACTIONS(1549),
    [anon_sym_out] = ACTIONS(1549),
    [anon_sym_inout] = ACTIONS(1549),
    [anon_sym_uniform] = ACTIONS(1549),
    [anon_sym_shared] = ACTIONS(1549),
    [anon_sym_attribute] = ACTIONS(1549),
    [anon_sym_varying] = ACTIONS(1549),
    [anon_sym_buffer] = ACTIONS(1549),
    [anon_sym_coherent] = ACTIONS(1549),
    [anon_sym_readonly] = ACTIONS(1549),
    [anon_sym_writeonly] = ACTIONS(1549),
    [anon_sym_precision] = ACTIONS(1549),
    [anon_sym_highp] = ACTIONS(1549),
    [anon_sym_mediump] = ACTIONS(1549),
    [anon_sym_lowp] = ACTIONS(1549),
    [anon_sym_centroid] = ACTIONS(1549),
    [anon_sym_sample] = ACTIONS(1549),
    [anon_sym_patch] = ACTIONS(1549),
    [anon_sym_smooth] = ACTIONS(1549),
    [anon_sym_flat] = ACTIONS(1549),
    [anon_sym_noperspective] = ACTIONS(1549),
    [anon_sym___extension__] = ACTIONS(1549),
    [anon_sym_typedef] = ACTIONS(1549),
    [anon_sym_extern] = ACTIONS(1549),
    [anon_sym___attribute__] = ACTIONS(1549),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1551),
    [anon_sym___declspec] = ACTIONS(1549),
    [anon_sym___cdecl] = ACTIONS(1549),
    [anon_sym___clrcall] = ACTIONS(1549),
    [anon_sym___stdcall] = ACTIONS(1549),
    [anon_sym___fastcall] = ACTIONS(1549),
    [anon_sym___thiscall] = ACTIONS(1549),
    [anon_sym___vectorcall] = ACTIONS(1549),
    [anon_sym_LBRACE] = ACTIONS(1551),
    [anon_sym_RBRACE] = ACTIONS(1551),
    [anon_sym_signed] = ACTIONS(1549),
    [anon_sym_unsigned] = ACTIONS(1549),
    [anon_sym_long] = ACTIONS(1549),
    [anon_sym_short] = ACTIONS(1549),
    [anon_sym_static] = ACTIONS(1549),
    [anon_sym_auto] = ACTIONS(1549),
    [anon_sym_register] = ACTIONS(1549),
    [anon_sym_inline] = ACTIONS(1549),
    [anon_sym___inline] = ACTIONS(1549),
    [anon_sym___inline__] = ACTIONS(1549),
    [anon_sym___forceinline] = ACTIONS(1549),
    [anon_sym_thread_local] = ACTIONS(1549),
    [anon_sym___thread] = ACTIONS(1549),
    [anon_sym_const] = ACTIONS(1549),
    [anon_sym_constexpr] = ACTIONS(1549),
    [anon_sym_volatile] = ACTIONS(1549),
    [anon_sym_restrict] = ACTIONS(1549),
    [anon_sym___restrict__] = ACTIONS(1549),
    [anon_sym__Atomic] = ACTIONS(1549),
    [anon_sym__Noreturn] = ACTIONS(1549),
    [anon_sym_noreturn] = ACTIONS(1549),
    [sym_primitive_type] = ACTIONS(1549),
    [anon_sym_enum] = ACTIONS(1549),
    [anon_sym_struct] = ACTIONS(1549),
    [anon_sym_union] = ACTIONS(1549),
    [anon_sym_if] = ACTIONS(1549),
    [anon_sym_else] = ACTIONS(1549),
    [anon_sym_switch] = ACTIONS(1549),
    [anon_sym_case] = ACTIONS(1549),
    [anon_sym_default] = ACTIONS(1549),
    [anon_sym_while] = ACTIONS(1549),
    [anon_sym_do] = ACTIONS(1549),
    [anon_sym_for] = ACTIONS(1549),
    [anon_sym_return] = ACTIONS(1549),
    [anon_sym_break] = ACTIONS(1549),
    [anon_sym_continue] = ACTIONS(1549),
    [anon_sym_goto] = ACTIONS(1549),
    [anon_sym___try] = ACTIONS(1549),
    [anon_sym___leave] = ACTIONS(1549),
    [anon_sym_DASH_DASH] = ACTIONS(1551),
    [anon_sym_PLUS_PLUS] = ACTIONS(1551),
    [anon_sym_sizeof] = ACTIONS(1549),
    [anon_sym___alignof__] = ACTIONS(1549),
    [anon_sym___alignof] = ACTIONS(1549),
    [anon_sym__alignof] = ACTIONS(1549),
    [anon_sym_alignof] = ACTIONS(1549),
    [anon_sym__Alignof] = ACTIONS(1549),
    [anon_sym_offsetof] = ACTIONS(1549),
    [anon_sym__Generic] = ACTIONS(1549),
    [anon_sym_asm] = ACTIONS(1549),
    [anon_sym___asm__] = ACTIONS(1549),
    [sym_number_literal] = ACTIONS(1551),
    [anon_sym_L_SQUOTE] = ACTIONS(1551),
    [anon_sym_u_SQUOTE] = ACTIONS(1551),
    [anon_sym_U_SQUOTE] = ACTIONS(1551),
    [anon_sym_u8_SQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1551),
    [anon_sym_L_DQUOTE] = ACTIONS(1551),
    [anon_sym_u_DQUOTE] = ACTIONS(1551),
    [anon_sym_U_DQUOTE] = ACTIONS(1551),
    [anon_sym_u8_DQUOTE] = ACTIONS(1551),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [sym_true] = ACTIONS(1549),
    [sym_false] = ACTIONS(1549),
    [anon_sym_NULL] = ACTIONS(1549),
    [anon_sym_nullptr] = ACTIONS(1549),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1549),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1549),
    [anon_sym_hitAttributeEXT] = ACTIONS(1549),
    [anon_sym_callableDataEXT] = ACTIONS(1549),
    [anon_sym_callableDataInEXT] = ACTIONS(1549),
    [anon_sym_shaderRecordEXT] = ACTIONS(1549),
    [anon_sym_rayPayloadNV] = ACTIONS(1549),
    [anon_sym_rayPayloadInNV] = ACTIONS(1549),
    [anon_sym_hitAttributeNV] = ACTIONS(1549),
    [anon_sym_callableDataNV] = ACTIONS(1549),
    [anon_sym_callableDataInNV] = ACTIONS(1549),
    [anon_sym_shaderRecordNV] = ACTIONS(1549),
    [anon_sym_layout] = ACTIONS(1549),
  },
  [392] = {
    [sym_identifier] = ACTIONS(1545),
    [aux_sym_preproc_include_token1] = ACTIONS(1545),
    [aux_sym_preproc_def_token1] = ACTIONS(1545),
    [aux_sym_preproc_if_token1] = ACTIONS(1545),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1545),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1545),
    [sym_preproc_directive] = ACTIONS(1545),
    [anon_sym_LPAREN2] = ACTIONS(1547),
    [anon_sym_BANG] = ACTIONS(1547),
    [anon_sym_TILDE] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1545),
    [anon_sym_PLUS] = ACTIONS(1545),
    [anon_sym_STAR] = ACTIONS(1547),
    [anon_sym_AMP] = ACTIONS(1547),
    [anon_sym_subroutine] = ACTIONS(1545),
    [anon_sym_invariant] = ACTIONS(1545),
    [anon_sym_precise] = ACTIONS(1545),
    [anon_sym_SEMI] = ACTIONS(1547),
    [anon_sym_in] = ACTIONS(1545),
    [anon_sym_out] = ACTIONS(1545),
    [anon_sym_inout] = ACTIONS(1545),
    [anon_sym_uniform] = ACTIONS(1545),
    [anon_sym_shared] = ACTIONS(1545),
    [anon_sym_attribute] = ACTIONS(1545),
    [anon_sym_varying] = ACTIONS(1545),
    [anon_sym_buffer] = ACTIONS(1545),
    [anon_sym_coherent] = ACTIONS(1545),
    [anon_sym_readonly] = ACTIONS(1545),
    [anon_sym_writeonly] = ACTIONS(1545),
    [anon_sym_precision] = ACTIONS(1545),
    [anon_sym_highp] = ACTIONS(1545),
    [anon_sym_mediump] = ACTIONS(1545),
    [anon_sym_lowp] = ACTIONS(1545),
    [anon_sym_centroid] = ACTIONS(1545),
    [anon_sym_sample] = ACTIONS(1545),
    [anon_sym_patch] = ACTIONS(1545),
    [anon_sym_smooth] = ACTIONS(1545),
    [anon_sym_flat] = ACTIONS(1545),
    [anon_sym_noperspective] = ACTIONS(1545),
    [anon_sym___extension__] = ACTIONS(1545),
    [anon_sym_typedef] = ACTIONS(1545),
    [anon_sym_extern] = ACTIONS(1545),
    [anon_sym___attribute__] = ACTIONS(1545),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1547),
    [anon_sym___declspec] = ACTIONS(1545),
    [anon_sym___cdecl] = ACTIONS(1545),
    [anon_sym___clrcall] = ACTIONS(1545),
    [anon_sym___stdcall] = ACTIONS(1545),
    [anon_sym___fastcall] = ACTIONS(1545),
    [anon_sym___thiscall] = ACTIONS(1545),
    [anon_sym___vectorcall] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(1547),
    [anon_sym_RBRACE] = ACTIONS(1547),
    [anon_sym_signed] = ACTIONS(1545),
    [anon_sym_unsigned] = ACTIONS(1545),
    [anon_sym_long] = ACTIONS(1545),
    [anon_sym_short] = ACTIONS(1545),
    [anon_sym_static] = ACTIONS(1545),
    [anon_sym_auto] = ACTIONS(1545),
    [anon_sym_register] = ACTIONS(1545),
    [anon_sym_inline] = ACTIONS(1545),
    [anon_sym___inline] = ACTIONS(1545),
    [anon_sym___inline__] = ACTIONS(1545),
    [anon_sym___forceinline] = ACTIONS(1545),
    [anon_sym_thread_local] = ACTIONS(1545),
    [anon_sym___thread] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(1545),
    [anon_sym_constexpr] = ACTIONS(1545),
    [anon_sym_volatile] = ACTIONS(1545),
    [anon_sym_restrict] = ACTIONS(1545),
    [anon_sym___restrict__] = ACTIONS(1545),
    [anon_sym__Atomic] = ACTIONS(1545),
    [anon_sym__Noreturn] = ACTIONS(1545),
    [anon_sym_noreturn] = ACTIONS(1545),
    [sym_primitive_type] = ACTIONS(1545),
    [anon_sym_enum] = ACTIONS(1545),
    [anon_sym_struct] = ACTIONS(1545),
    [anon_sym_union] = ACTIONS(1545),
    [anon_sym_if] = ACTIONS(1545),
    [anon_sym_else] = ACTIONS(1545),
    [anon_sym_switch] = ACTIONS(1545),
    [anon_sym_case] = ACTIONS(1545),
    [anon_sym_default] = ACTIONS(1545),
    [anon_sym_while] = ACTIONS(1545),
    [anon_sym_do] = ACTIONS(1545),
    [anon_sym_for] = ACTIONS(1545),
    [anon_sym_return] = ACTIONS(1545),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_continue] = ACTIONS(1545),
    [anon_sym_goto] = ACTIONS(1545),
    [anon_sym___try] = ACTIONS(1545),
    [anon_sym___leave] = ACTIONS(1545),
    [anon_sym_DASH_DASH] = ACTIONS(1547),
    [anon_sym_PLUS_PLUS] = ACTIONS(1547),
    [anon_sym_sizeof] = ACTIONS(1545),
    [anon_sym___alignof__] = ACTIONS(1545),
    [anon_sym___alignof] = ACTIONS(1545),
    [anon_sym__alignof] = ACTIONS(1545),
    [anon_sym_alignof] = ACTIONS(1545),
    [anon_sym__Alignof] = ACTIONS(1545),
    [anon_sym_offsetof] = ACTIONS(1545),
    [anon_sym__Generic] = ACTIONS(1545),
    [anon_sym_asm] = ACTIONS(1545),
    [anon_sym___asm__] = ACTIONS(1545),
    [sym_number_literal] = ACTIONS(1547),
    [anon_sym_L_SQUOTE] = ACTIONS(1547),
    [anon_sym_u_SQUOTE] = ACTIONS(1547),
    [anon_sym_U_SQUOTE] = ACTIONS(1547),
    [anon_sym_u8_SQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1547),
    [anon_sym_L_DQUOTE] = ACTIONS(1547),
    [anon_sym_u_DQUOTE] = ACTIONS(1547),
    [anon_sym_U_DQUOTE] = ACTIONS(1547),
    [anon_sym_u8_DQUOTE] = ACTIONS(1547),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [sym_true] = ACTIONS(1545),
    [sym_false] = ACTIONS(1545),
    [anon_sym_NULL] = ACTIONS(1545),
    [anon_sym_nullptr] = ACTIONS(1545),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1545),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1545),
    [anon_sym_hitAttributeEXT] = ACTIONS(1545),
    [anon_sym_callableDataEXT] = ACTIONS(1545),
    [anon_sym_callableDataInEXT] = ACTIONS(1545),
    [anon_sym_shaderRecordEXT] = ACTIONS(1545),
    [anon_sym_rayPayloadNV] = ACTIONS(1545),
    [anon_sym_rayPayloadInNV] = ACTIONS(1545),
    [anon_sym_hitAttributeNV] = ACTIONS(1545),
    [anon_sym_callableDataNV] = ACTIONS(1545),
    [anon_sym_callableDataInNV] = ACTIONS(1545),
    [anon_sym_shaderRecordNV] = ACTIONS(1545),
    [anon_sym_layout] = ACTIONS(1545),
  },
  [393] = {
    [sym_identifier] = ACTIONS(1545),
    [aux_sym_preproc_include_token1] = ACTIONS(1545),
    [aux_sym_preproc_def_token1] = ACTIONS(1545),
    [aux_sym_preproc_if_token1] = ACTIONS(1545),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1545),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1545),
    [sym_preproc_directive] = ACTIONS(1545),
    [anon_sym_LPAREN2] = ACTIONS(1547),
    [anon_sym_BANG] = ACTIONS(1547),
    [anon_sym_TILDE] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1545),
    [anon_sym_PLUS] = ACTIONS(1545),
    [anon_sym_STAR] = ACTIONS(1547),
    [anon_sym_AMP] = ACTIONS(1547),
    [anon_sym_subroutine] = ACTIONS(1545),
    [anon_sym_invariant] = ACTIONS(1545),
    [anon_sym_precise] = ACTIONS(1545),
    [anon_sym_SEMI] = ACTIONS(1547),
    [anon_sym_in] = ACTIONS(1545),
    [anon_sym_out] = ACTIONS(1545),
    [anon_sym_inout] = ACTIONS(1545),
    [anon_sym_uniform] = ACTIONS(1545),
    [anon_sym_shared] = ACTIONS(1545),
    [anon_sym_attribute] = ACTIONS(1545),
    [anon_sym_varying] = ACTIONS(1545),
    [anon_sym_buffer] = ACTIONS(1545),
    [anon_sym_coherent] = ACTIONS(1545),
    [anon_sym_readonly] = ACTIONS(1545),
    [anon_sym_writeonly] = ACTIONS(1545),
    [anon_sym_precision] = ACTIONS(1545),
    [anon_sym_highp] = ACTIONS(1545),
    [anon_sym_mediump] = ACTIONS(1545),
    [anon_sym_lowp] = ACTIONS(1545),
    [anon_sym_centroid] = ACTIONS(1545),
    [anon_sym_sample] = ACTIONS(1545),
    [anon_sym_patch] = ACTIONS(1545),
    [anon_sym_smooth] = ACTIONS(1545),
    [anon_sym_flat] = ACTIONS(1545),
    [anon_sym_noperspective] = ACTIONS(1545),
    [anon_sym___extension__] = ACTIONS(1545),
    [anon_sym_typedef] = ACTIONS(1545),
    [anon_sym_extern] = ACTIONS(1545),
    [anon_sym___attribute__] = ACTIONS(1545),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1547),
    [anon_sym___declspec] = ACTIONS(1545),
    [anon_sym___cdecl] = ACTIONS(1545),
    [anon_sym___clrcall] = ACTIONS(1545),
    [anon_sym___stdcall] = ACTIONS(1545),
    [anon_sym___fastcall] = ACTIONS(1545),
    [anon_sym___thiscall] = ACTIONS(1545),
    [anon_sym___vectorcall] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(1547),
    [anon_sym_RBRACE] = ACTIONS(1547),
    [anon_sym_signed] = ACTIONS(1545),
    [anon_sym_unsigned] = ACTIONS(1545),
    [anon_sym_long] = ACTIONS(1545),
    [anon_sym_short] = ACTIONS(1545),
    [anon_sym_static] = ACTIONS(1545),
    [anon_sym_auto] = ACTIONS(1545),
    [anon_sym_register] = ACTIONS(1545),
    [anon_sym_inline] = ACTIONS(1545),
    [anon_sym___inline] = ACTIONS(1545),
    [anon_sym___inline__] = ACTIONS(1545),
    [anon_sym___forceinline] = ACTIONS(1545),
    [anon_sym_thread_local] = ACTIONS(1545),
    [anon_sym___thread] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(1545),
    [anon_sym_constexpr] = ACTIONS(1545),
    [anon_sym_volatile] = ACTIONS(1545),
    [anon_sym_restrict] = ACTIONS(1545),
    [anon_sym___restrict__] = ACTIONS(1545),
    [anon_sym__Atomic] = ACTIONS(1545),
    [anon_sym__Noreturn] = ACTIONS(1545),
    [anon_sym_noreturn] = ACTIONS(1545),
    [sym_primitive_type] = ACTIONS(1545),
    [anon_sym_enum] = ACTIONS(1545),
    [anon_sym_struct] = ACTIONS(1545),
    [anon_sym_union] = ACTIONS(1545),
    [anon_sym_if] = ACTIONS(1545),
    [anon_sym_else] = ACTIONS(1545),
    [anon_sym_switch] = ACTIONS(1545),
    [anon_sym_case] = ACTIONS(1545),
    [anon_sym_default] = ACTIONS(1545),
    [anon_sym_while] = ACTIONS(1545),
    [anon_sym_do] = ACTIONS(1545),
    [anon_sym_for] = ACTIONS(1545),
    [anon_sym_return] = ACTIONS(1545),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_continue] = ACTIONS(1545),
    [anon_sym_goto] = ACTIONS(1545),
    [anon_sym___try] = ACTIONS(1545),
    [anon_sym___leave] = ACTIONS(1545),
    [anon_sym_DASH_DASH] = ACTIONS(1547),
    [anon_sym_PLUS_PLUS] = ACTIONS(1547),
    [anon_sym_sizeof] = ACTIONS(1545),
    [anon_sym___alignof__] = ACTIONS(1545),
    [anon_sym___alignof] = ACTIONS(1545),
    [anon_sym__alignof] = ACTIONS(1545),
    [anon_sym_alignof] = ACTIONS(1545),
    [anon_sym__Alignof] = ACTIONS(1545),
    [anon_sym_offsetof] = ACTIONS(1545),
    [anon_sym__Generic] = ACTIONS(1545),
    [anon_sym_asm] = ACTIONS(1545),
    [anon_sym___asm__] = ACTIONS(1545),
    [sym_number_literal] = ACTIONS(1547),
    [anon_sym_L_SQUOTE] = ACTIONS(1547),
    [anon_sym_u_SQUOTE] = ACTIONS(1547),
    [anon_sym_U_SQUOTE] = ACTIONS(1547),
    [anon_sym_u8_SQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1547),
    [anon_sym_L_DQUOTE] = ACTIONS(1547),
    [anon_sym_u_DQUOTE] = ACTIONS(1547),
    [anon_sym_U_DQUOTE] = ACTIONS(1547),
    [anon_sym_u8_DQUOTE] = ACTIONS(1547),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [sym_true] = ACTIONS(1545),
    [sym_false] = ACTIONS(1545),
    [anon_sym_NULL] = ACTIONS(1545),
    [anon_sym_nullptr] = ACTIONS(1545),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1545),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1545),
    [anon_sym_hitAttributeEXT] = ACTIONS(1545),
    [anon_sym_callableDataEXT] = ACTIONS(1545),
    [anon_sym_callableDataInEXT] = ACTIONS(1545),
    [anon_sym_shaderRecordEXT] = ACTIONS(1545),
    [anon_sym_rayPayloadNV] = ACTIONS(1545),
    [anon_sym_rayPayloadInNV] = ACTIONS(1545),
    [anon_sym_hitAttributeNV] = ACTIONS(1545),
    [anon_sym_callableDataNV] = ACTIONS(1545),
    [anon_sym_callableDataInNV] = ACTIONS(1545),
    [anon_sym_shaderRecordNV] = ACTIONS(1545),
    [anon_sym_layout] = ACTIONS(1545),
  },
  [394] = {
    [sym_identifier] = ACTIONS(1541),
    [aux_sym_preproc_include_token1] = ACTIONS(1541),
    [aux_sym_preproc_def_token1] = ACTIONS(1541),
    [aux_sym_preproc_if_token1] = ACTIONS(1541),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1541),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1541),
    [sym_preproc_directive] = ACTIONS(1541),
    [anon_sym_LPAREN2] = ACTIONS(1543),
    [anon_sym_BANG] = ACTIONS(1543),
    [anon_sym_TILDE] = ACTIONS(1543),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_STAR] = ACTIONS(1543),
    [anon_sym_AMP] = ACTIONS(1543),
    [anon_sym_subroutine] = ACTIONS(1541),
    [anon_sym_invariant] = ACTIONS(1541),
    [anon_sym_precise] = ACTIONS(1541),
    [anon_sym_SEMI] = ACTIONS(1543),
    [anon_sym_in] = ACTIONS(1541),
    [anon_sym_out] = ACTIONS(1541),
    [anon_sym_inout] = ACTIONS(1541),
    [anon_sym_uniform] = ACTIONS(1541),
    [anon_sym_shared] = ACTIONS(1541),
    [anon_sym_attribute] = ACTIONS(1541),
    [anon_sym_varying] = ACTIONS(1541),
    [anon_sym_buffer] = ACTIONS(1541),
    [anon_sym_coherent] = ACTIONS(1541),
    [anon_sym_readonly] = ACTIONS(1541),
    [anon_sym_writeonly] = ACTIONS(1541),
    [anon_sym_precision] = ACTIONS(1541),
    [anon_sym_highp] = ACTIONS(1541),
    [anon_sym_mediump] = ACTIONS(1541),
    [anon_sym_lowp] = ACTIONS(1541),
    [anon_sym_centroid] = ACTIONS(1541),
    [anon_sym_sample] = ACTIONS(1541),
    [anon_sym_patch] = ACTIONS(1541),
    [anon_sym_smooth] = ACTIONS(1541),
    [anon_sym_flat] = ACTIONS(1541),
    [anon_sym_noperspective] = ACTIONS(1541),
    [anon_sym___extension__] = ACTIONS(1541),
    [anon_sym_typedef] = ACTIONS(1541),
    [anon_sym_extern] = ACTIONS(1541),
    [anon_sym___attribute__] = ACTIONS(1541),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1543),
    [anon_sym___declspec] = ACTIONS(1541),
    [anon_sym___cdecl] = ACTIONS(1541),
    [anon_sym___clrcall] = ACTIONS(1541),
    [anon_sym___stdcall] = ACTIONS(1541),
    [anon_sym___fastcall] = ACTIONS(1541),
    [anon_sym___thiscall] = ACTIONS(1541),
    [anon_sym___vectorcall] = ACTIONS(1541),
    [anon_sym_LBRACE] = ACTIONS(1543),
    [anon_sym_RBRACE] = ACTIONS(1543),
    [anon_sym_signed] = ACTIONS(1541),
    [anon_sym_unsigned] = ACTIONS(1541),
    [anon_sym_long] = ACTIONS(1541),
    [anon_sym_short] = ACTIONS(1541),
    [anon_sym_static] = ACTIONS(1541),
    [anon_sym_auto] = ACTIONS(1541),
    [anon_sym_register] = ACTIONS(1541),
    [anon_sym_inline] = ACTIONS(1541),
    [anon_sym___inline] = ACTIONS(1541),
    [anon_sym___inline__] = ACTIONS(1541),
    [anon_sym___forceinline] = ACTIONS(1541),
    [anon_sym_thread_local] = ACTIONS(1541),
    [anon_sym___thread] = ACTIONS(1541),
    [anon_sym_const] = ACTIONS(1541),
    [anon_sym_constexpr] = ACTIONS(1541),
    [anon_sym_volatile] = ACTIONS(1541),
    [anon_sym_restrict] = ACTIONS(1541),
    [anon_sym___restrict__] = ACTIONS(1541),
    [anon_sym__Atomic] = ACTIONS(1541),
    [anon_sym__Noreturn] = ACTIONS(1541),
    [anon_sym_noreturn] = ACTIONS(1541),
    [sym_primitive_type] = ACTIONS(1541),
    [anon_sym_enum] = ACTIONS(1541),
    [anon_sym_struct] = ACTIONS(1541),
    [anon_sym_union] = ACTIONS(1541),
    [anon_sym_if] = ACTIONS(1541),
    [anon_sym_else] = ACTIONS(1541),
    [anon_sym_switch] = ACTIONS(1541),
    [anon_sym_case] = ACTIONS(1541),
    [anon_sym_default] = ACTIONS(1541),
    [anon_sym_while] = ACTIONS(1541),
    [anon_sym_do] = ACTIONS(1541),
    [anon_sym_for] = ACTIONS(1541),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_break] = ACTIONS(1541),
    [anon_sym_continue] = ACTIONS(1541),
    [anon_sym_goto] = ACTIONS(1541),
    [anon_sym___try] = ACTIONS(1541),
    [anon_sym___leave] = ACTIONS(1541),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_sizeof] = ACTIONS(1541),
    [anon_sym___alignof__] = ACTIONS(1541),
    [anon_sym___alignof] = ACTIONS(1541),
    [anon_sym__alignof] = ACTIONS(1541),
    [anon_sym_alignof] = ACTIONS(1541),
    [anon_sym__Alignof] = ACTIONS(1541),
    [anon_sym_offsetof] = ACTIONS(1541),
    [anon_sym__Generic] = ACTIONS(1541),
    [anon_sym_asm] = ACTIONS(1541),
    [anon_sym___asm__] = ACTIONS(1541),
    [sym_number_literal] = ACTIONS(1543),
    [anon_sym_L_SQUOTE] = ACTIONS(1543),
    [anon_sym_u_SQUOTE] = ACTIONS(1543),
    [anon_sym_U_SQUOTE] = ACTIONS(1543),
    [anon_sym_u8_SQUOTE] = ACTIONS(1543),
    [anon_sym_SQUOTE] = ACTIONS(1543),
    [anon_sym_L_DQUOTE] = ACTIONS(1543),
    [anon_sym_u_DQUOTE] = ACTIONS(1543),
    [anon_sym_U_DQUOTE] = ACTIONS(1543),
    [anon_sym_u8_DQUOTE] = ACTIONS(1543),
    [anon_sym_DQUOTE] = ACTIONS(1543),
    [sym_true] = ACTIONS(1541),
    [sym_false] = ACTIONS(1541),
    [anon_sym_NULL] = ACTIONS(1541),
    [anon_sym_nullptr] = ACTIONS(1541),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1541),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1541),
    [anon_sym_hitAttributeEXT] = ACTIONS(1541),
    [anon_sym_callableDataEXT] = ACTIONS(1541),
    [anon_sym_callableDataInEXT] = ACTIONS(1541),
    [anon_sym_shaderRecordEXT] = ACTIONS(1541),
    [anon_sym_rayPayloadNV] = ACTIONS(1541),
    [anon_sym_rayPayloadInNV] = ACTIONS(1541),
    [anon_sym_hitAttributeNV] = ACTIONS(1541),
    [anon_sym_callableDataNV] = ACTIONS(1541),
    [anon_sym_callableDataInNV] = ACTIONS(1541),
    [anon_sym_shaderRecordNV] = ACTIONS(1541),
    [anon_sym_layout] = ACTIONS(1541),
  },
  [395] = {
    [sym_identifier] = ACTIONS(1537),
    [aux_sym_preproc_include_token1] = ACTIONS(1537),
    [aux_sym_preproc_def_token1] = ACTIONS(1537),
    [aux_sym_preproc_if_token1] = ACTIONS(1537),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1537),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1537),
    [sym_preproc_directive] = ACTIONS(1537),
    [anon_sym_LPAREN2] = ACTIONS(1539),
    [anon_sym_BANG] = ACTIONS(1539),
    [anon_sym_TILDE] = ACTIONS(1539),
    [anon_sym_DASH] = ACTIONS(1537),
    [anon_sym_PLUS] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(1539),
    [anon_sym_AMP] = ACTIONS(1539),
    [anon_sym_subroutine] = ACTIONS(1537),
    [anon_sym_invariant] = ACTIONS(1537),
    [anon_sym_precise] = ACTIONS(1537),
    [anon_sym_SEMI] = ACTIONS(1539),
    [anon_sym_in] = ACTIONS(1537),
    [anon_sym_out] = ACTIONS(1537),
    [anon_sym_inout] = ACTIONS(1537),
    [anon_sym_uniform] = ACTIONS(1537),
    [anon_sym_shared] = ACTIONS(1537),
    [anon_sym_attribute] = ACTIONS(1537),
    [anon_sym_varying] = ACTIONS(1537),
    [anon_sym_buffer] = ACTIONS(1537),
    [anon_sym_coherent] = ACTIONS(1537),
    [anon_sym_readonly] = ACTIONS(1537),
    [anon_sym_writeonly] = ACTIONS(1537),
    [anon_sym_precision] = ACTIONS(1537),
    [anon_sym_highp] = ACTIONS(1537),
    [anon_sym_mediump] = ACTIONS(1537),
    [anon_sym_lowp] = ACTIONS(1537),
    [anon_sym_centroid] = ACTIONS(1537),
    [anon_sym_sample] = ACTIONS(1537),
    [anon_sym_patch] = ACTIONS(1537),
    [anon_sym_smooth] = ACTIONS(1537),
    [anon_sym_flat] = ACTIONS(1537),
    [anon_sym_noperspective] = ACTIONS(1537),
    [anon_sym___extension__] = ACTIONS(1537),
    [anon_sym_typedef] = ACTIONS(1537),
    [anon_sym_extern] = ACTIONS(1537),
    [anon_sym___attribute__] = ACTIONS(1537),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1539),
    [anon_sym___declspec] = ACTIONS(1537),
    [anon_sym___cdecl] = ACTIONS(1537),
    [anon_sym___clrcall] = ACTIONS(1537),
    [anon_sym___stdcall] = ACTIONS(1537),
    [anon_sym___fastcall] = ACTIONS(1537),
    [anon_sym___thiscall] = ACTIONS(1537),
    [anon_sym___vectorcall] = ACTIONS(1537),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_RBRACE] = ACTIONS(1539),
    [anon_sym_signed] = ACTIONS(1537),
    [anon_sym_unsigned] = ACTIONS(1537),
    [anon_sym_long] = ACTIONS(1537),
    [anon_sym_short] = ACTIONS(1537),
    [anon_sym_static] = ACTIONS(1537),
    [anon_sym_auto] = ACTIONS(1537),
    [anon_sym_register] = ACTIONS(1537),
    [anon_sym_inline] = ACTIONS(1537),
    [anon_sym___inline] = ACTIONS(1537),
    [anon_sym___inline__] = ACTIONS(1537),
    [anon_sym___forceinline] = ACTIONS(1537),
    [anon_sym_thread_local] = ACTIONS(1537),
    [anon_sym___thread] = ACTIONS(1537),
    [anon_sym_const] = ACTIONS(1537),
    [anon_sym_constexpr] = ACTIONS(1537),
    [anon_sym_volatile] = ACTIONS(1537),
    [anon_sym_restrict] = ACTIONS(1537),
    [anon_sym___restrict__] = ACTIONS(1537),
    [anon_sym__Atomic] = ACTIONS(1537),
    [anon_sym__Noreturn] = ACTIONS(1537),
    [anon_sym_noreturn] = ACTIONS(1537),
    [sym_primitive_type] = ACTIONS(1537),
    [anon_sym_enum] = ACTIONS(1537),
    [anon_sym_struct] = ACTIONS(1537),
    [anon_sym_union] = ACTIONS(1537),
    [anon_sym_if] = ACTIONS(1537),
    [anon_sym_else] = ACTIONS(1537),
    [anon_sym_switch] = ACTIONS(1537),
    [anon_sym_case] = ACTIONS(1537),
    [anon_sym_default] = ACTIONS(1537),
    [anon_sym_while] = ACTIONS(1537),
    [anon_sym_do] = ACTIONS(1537),
    [anon_sym_for] = ACTIONS(1537),
    [anon_sym_return] = ACTIONS(1537),
    [anon_sym_break] = ACTIONS(1537),
    [anon_sym_continue] = ACTIONS(1537),
    [anon_sym_goto] = ACTIONS(1537),
    [anon_sym___try] = ACTIONS(1537),
    [anon_sym___leave] = ACTIONS(1537),
    [anon_sym_DASH_DASH] = ACTIONS(1539),
    [anon_sym_PLUS_PLUS] = ACTIONS(1539),
    [anon_sym_sizeof] = ACTIONS(1537),
    [anon_sym___alignof__] = ACTIONS(1537),
    [anon_sym___alignof] = ACTIONS(1537),
    [anon_sym__alignof] = ACTIONS(1537),
    [anon_sym_alignof] = ACTIONS(1537),
    [anon_sym__Alignof] = ACTIONS(1537),
    [anon_sym_offsetof] = ACTIONS(1537),
    [anon_sym__Generic] = ACTIONS(1537),
    [anon_sym_asm] = ACTIONS(1537),
    [anon_sym___asm__] = ACTIONS(1537),
    [sym_number_literal] = ACTIONS(1539),
    [anon_sym_L_SQUOTE] = ACTIONS(1539),
    [anon_sym_u_SQUOTE] = ACTIONS(1539),
    [anon_sym_U_SQUOTE] = ACTIONS(1539),
    [anon_sym_u8_SQUOTE] = ACTIONS(1539),
    [anon_sym_SQUOTE] = ACTIONS(1539),
    [anon_sym_L_DQUOTE] = ACTIONS(1539),
    [anon_sym_u_DQUOTE] = ACTIONS(1539),
    [anon_sym_U_DQUOTE] = ACTIONS(1539),
    [anon_sym_u8_DQUOTE] = ACTIONS(1539),
    [anon_sym_DQUOTE] = ACTIONS(1539),
    [sym_true] = ACTIONS(1537),
    [sym_false] = ACTIONS(1537),
    [anon_sym_NULL] = ACTIONS(1537),
    [anon_sym_nullptr] = ACTIONS(1537),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1537),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1537),
    [anon_sym_hitAttributeEXT] = ACTIONS(1537),
    [anon_sym_callableDataEXT] = ACTIONS(1537),
    [anon_sym_callableDataInEXT] = ACTIONS(1537),
    [anon_sym_shaderRecordEXT] = ACTIONS(1537),
    [anon_sym_rayPayloadNV] = ACTIONS(1537),
    [anon_sym_rayPayloadInNV] = ACTIONS(1537),
    [anon_sym_hitAttributeNV] = ACTIONS(1537),
    [anon_sym_callableDataNV] = ACTIONS(1537),
    [anon_sym_callableDataInNV] = ACTIONS(1537),
    [anon_sym_shaderRecordNV] = ACTIONS(1537),
    [anon_sym_layout] = ACTIONS(1537),
  },
  [396] = {
    [sym_identifier] = ACTIONS(1537),
    [aux_sym_preproc_include_token1] = ACTIONS(1537),
    [aux_sym_preproc_def_token1] = ACTIONS(1537),
    [aux_sym_preproc_if_token1] = ACTIONS(1537),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1537),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1537),
    [sym_preproc_directive] = ACTIONS(1537),
    [anon_sym_LPAREN2] = ACTIONS(1539),
    [anon_sym_BANG] = ACTIONS(1539),
    [anon_sym_TILDE] = ACTIONS(1539),
    [anon_sym_DASH] = ACTIONS(1537),
    [anon_sym_PLUS] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(1539),
    [anon_sym_AMP] = ACTIONS(1539),
    [anon_sym_subroutine] = ACTIONS(1537),
    [anon_sym_invariant] = ACTIONS(1537),
    [anon_sym_precise] = ACTIONS(1537),
    [anon_sym_SEMI] = ACTIONS(1539),
    [anon_sym_in] = ACTIONS(1537),
    [anon_sym_out] = ACTIONS(1537),
    [anon_sym_inout] = ACTIONS(1537),
    [anon_sym_uniform] = ACTIONS(1537),
    [anon_sym_shared] = ACTIONS(1537),
    [anon_sym_attribute] = ACTIONS(1537),
    [anon_sym_varying] = ACTIONS(1537),
    [anon_sym_buffer] = ACTIONS(1537),
    [anon_sym_coherent] = ACTIONS(1537),
    [anon_sym_readonly] = ACTIONS(1537),
    [anon_sym_writeonly] = ACTIONS(1537),
    [anon_sym_precision] = ACTIONS(1537),
    [anon_sym_highp] = ACTIONS(1537),
    [anon_sym_mediump] = ACTIONS(1537),
    [anon_sym_lowp] = ACTIONS(1537),
    [anon_sym_centroid] = ACTIONS(1537),
    [anon_sym_sample] = ACTIONS(1537),
    [anon_sym_patch] = ACTIONS(1537),
    [anon_sym_smooth] = ACTIONS(1537),
    [anon_sym_flat] = ACTIONS(1537),
    [anon_sym_noperspective] = ACTIONS(1537),
    [anon_sym___extension__] = ACTIONS(1537),
    [anon_sym_typedef] = ACTIONS(1537),
    [anon_sym_extern] = ACTIONS(1537),
    [anon_sym___attribute__] = ACTIONS(1537),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1539),
    [anon_sym___declspec] = ACTIONS(1537),
    [anon_sym___cdecl] = ACTIONS(1537),
    [anon_sym___clrcall] = ACTIONS(1537),
    [anon_sym___stdcall] = ACTIONS(1537),
    [anon_sym___fastcall] = ACTIONS(1537),
    [anon_sym___thiscall] = ACTIONS(1537),
    [anon_sym___vectorcall] = ACTIONS(1537),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_RBRACE] = ACTIONS(1539),
    [anon_sym_signed] = ACTIONS(1537),
    [anon_sym_unsigned] = ACTIONS(1537),
    [anon_sym_long] = ACTIONS(1537),
    [anon_sym_short] = ACTIONS(1537),
    [anon_sym_static] = ACTIONS(1537),
    [anon_sym_auto] = ACTIONS(1537),
    [anon_sym_register] = ACTIONS(1537),
    [anon_sym_inline] = ACTIONS(1537),
    [anon_sym___inline] = ACTIONS(1537),
    [anon_sym___inline__] = ACTIONS(1537),
    [anon_sym___forceinline] = ACTIONS(1537),
    [anon_sym_thread_local] = ACTIONS(1537),
    [anon_sym___thread] = ACTIONS(1537),
    [anon_sym_const] = ACTIONS(1537),
    [anon_sym_constexpr] = ACTIONS(1537),
    [anon_sym_volatile] = ACTIONS(1537),
    [anon_sym_restrict] = ACTIONS(1537),
    [anon_sym___restrict__] = ACTIONS(1537),
    [anon_sym__Atomic] = ACTIONS(1537),
    [anon_sym__Noreturn] = ACTIONS(1537),
    [anon_sym_noreturn] = ACTIONS(1537),
    [sym_primitive_type] = ACTIONS(1537),
    [anon_sym_enum] = ACTIONS(1537),
    [anon_sym_struct] = ACTIONS(1537),
    [anon_sym_union] = ACTIONS(1537),
    [anon_sym_if] = ACTIONS(1537),
    [anon_sym_else] = ACTIONS(1537),
    [anon_sym_switch] = ACTIONS(1537),
    [anon_sym_case] = ACTIONS(1537),
    [anon_sym_default] = ACTIONS(1537),
    [anon_sym_while] = ACTIONS(1537),
    [anon_sym_do] = ACTIONS(1537),
    [anon_sym_for] = ACTIONS(1537),
    [anon_sym_return] = ACTIONS(1537),
    [anon_sym_break] = ACTIONS(1537),
    [anon_sym_continue] = ACTIONS(1537),
    [anon_sym_goto] = ACTIONS(1537),
    [anon_sym___try] = ACTIONS(1537),
    [anon_sym___leave] = ACTIONS(1537),
    [anon_sym_DASH_DASH] = ACTIONS(1539),
    [anon_sym_PLUS_PLUS] = ACTIONS(1539),
    [anon_sym_sizeof] = ACTIONS(1537),
    [anon_sym___alignof__] = ACTIONS(1537),
    [anon_sym___alignof] = ACTIONS(1537),
    [anon_sym__alignof] = ACTIONS(1537),
    [anon_sym_alignof] = ACTIONS(1537),
    [anon_sym__Alignof] = ACTIONS(1537),
    [anon_sym_offsetof] = ACTIONS(1537),
    [anon_sym__Generic] = ACTIONS(1537),
    [anon_sym_asm] = ACTIONS(1537),
    [anon_sym___asm__] = ACTIONS(1537),
    [sym_number_literal] = ACTIONS(1539),
    [anon_sym_L_SQUOTE] = ACTIONS(1539),
    [anon_sym_u_SQUOTE] = ACTIONS(1539),
    [anon_sym_U_SQUOTE] = ACTIONS(1539),
    [anon_sym_u8_SQUOTE] = ACTIONS(1539),
    [anon_sym_SQUOTE] = ACTIONS(1539),
    [anon_sym_L_DQUOTE] = ACTIONS(1539),
    [anon_sym_u_DQUOTE] = ACTIONS(1539),
    [anon_sym_U_DQUOTE] = ACTIONS(1539),
    [anon_sym_u8_DQUOTE] = ACTIONS(1539),
    [anon_sym_DQUOTE] = ACTIONS(1539),
    [sym_true] = ACTIONS(1537),
    [sym_false] = ACTIONS(1537),
    [anon_sym_NULL] = ACTIONS(1537),
    [anon_sym_nullptr] = ACTIONS(1537),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1537),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1537),
    [anon_sym_hitAttributeEXT] = ACTIONS(1537),
    [anon_sym_callableDataEXT] = ACTIONS(1537),
    [anon_sym_callableDataInEXT] = ACTIONS(1537),
    [anon_sym_shaderRecordEXT] = ACTIONS(1537),
    [anon_sym_rayPayloadNV] = ACTIONS(1537),
    [anon_sym_rayPayloadInNV] = ACTIONS(1537),
    [anon_sym_hitAttributeNV] = ACTIONS(1537),
    [anon_sym_callableDataNV] = ACTIONS(1537),
    [anon_sym_callableDataInNV] = ACTIONS(1537),
    [anon_sym_shaderRecordNV] = ACTIONS(1537),
    [anon_sym_layout] = ACTIONS(1537),
  },
  [397] = {
    [sym_identifier] = ACTIONS(1533),
    [aux_sym_preproc_include_token1] = ACTIONS(1533),
    [aux_sym_preproc_def_token1] = ACTIONS(1533),
    [aux_sym_preproc_if_token1] = ACTIONS(1533),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1533),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1533),
    [sym_preproc_directive] = ACTIONS(1533),
    [anon_sym_LPAREN2] = ACTIONS(1535),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_subroutine] = ACTIONS(1533),
    [anon_sym_invariant] = ACTIONS(1533),
    [anon_sym_precise] = ACTIONS(1533),
    [anon_sym_SEMI] = ACTIONS(1535),
    [anon_sym_in] = ACTIONS(1533),
    [anon_sym_out] = ACTIONS(1533),
    [anon_sym_inout] = ACTIONS(1533),
    [anon_sym_uniform] = ACTIONS(1533),
    [anon_sym_shared] = ACTIONS(1533),
    [anon_sym_attribute] = ACTIONS(1533),
    [anon_sym_varying] = ACTIONS(1533),
    [anon_sym_buffer] = ACTIONS(1533),
    [anon_sym_coherent] = ACTIONS(1533),
    [anon_sym_readonly] = ACTIONS(1533),
    [anon_sym_writeonly] = ACTIONS(1533),
    [anon_sym_precision] = ACTIONS(1533),
    [anon_sym_highp] = ACTIONS(1533),
    [anon_sym_mediump] = ACTIONS(1533),
    [anon_sym_lowp] = ACTIONS(1533),
    [anon_sym_centroid] = ACTIONS(1533),
    [anon_sym_sample] = ACTIONS(1533),
    [anon_sym_patch] = ACTIONS(1533),
    [anon_sym_smooth] = ACTIONS(1533),
    [anon_sym_flat] = ACTIONS(1533),
    [anon_sym_noperspective] = ACTIONS(1533),
    [anon_sym___extension__] = ACTIONS(1533),
    [anon_sym_typedef] = ACTIONS(1533),
    [anon_sym_extern] = ACTIONS(1533),
    [anon_sym___attribute__] = ACTIONS(1533),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1535),
    [anon_sym___declspec] = ACTIONS(1533),
    [anon_sym___cdecl] = ACTIONS(1533),
    [anon_sym___clrcall] = ACTIONS(1533),
    [anon_sym___stdcall] = ACTIONS(1533),
    [anon_sym___fastcall] = ACTIONS(1533),
    [anon_sym___thiscall] = ACTIONS(1533),
    [anon_sym___vectorcall] = ACTIONS(1533),
    [anon_sym_LBRACE] = ACTIONS(1535),
    [anon_sym_RBRACE] = ACTIONS(1535),
    [anon_sym_signed] = ACTIONS(1533),
    [anon_sym_unsigned] = ACTIONS(1533),
    [anon_sym_long] = ACTIONS(1533),
    [anon_sym_short] = ACTIONS(1533),
    [anon_sym_static] = ACTIONS(1533),
    [anon_sym_auto] = ACTIONS(1533),
    [anon_sym_register] = ACTIONS(1533),
    [anon_sym_inline] = ACTIONS(1533),
    [anon_sym___inline] = ACTIONS(1533),
    [anon_sym___inline__] = ACTIONS(1533),
    [anon_sym___forceinline] = ACTIONS(1533),
    [anon_sym_thread_local] = ACTIONS(1533),
    [anon_sym___thread] = ACTIONS(1533),
    [anon_sym_const] = ACTIONS(1533),
    [anon_sym_constexpr] = ACTIONS(1533),
    [anon_sym_volatile] = ACTIONS(1533),
    [anon_sym_restrict] = ACTIONS(1533),
    [anon_sym___restrict__] = ACTIONS(1533),
    [anon_sym__Atomic] = ACTIONS(1533),
    [anon_sym__Noreturn] = ACTIONS(1533),
    [anon_sym_noreturn] = ACTIONS(1533),
    [sym_primitive_type] = ACTIONS(1533),
    [anon_sym_enum] = ACTIONS(1533),
    [anon_sym_struct] = ACTIONS(1533),
    [anon_sym_union] = ACTIONS(1533),
    [anon_sym_if] = ACTIONS(1533),
    [anon_sym_else] = ACTIONS(1533),
    [anon_sym_switch] = ACTIONS(1533),
    [anon_sym_case] = ACTIONS(1533),
    [anon_sym_default] = ACTIONS(1533),
    [anon_sym_while] = ACTIONS(1533),
    [anon_sym_do] = ACTIONS(1533),
    [anon_sym_for] = ACTIONS(1533),
    [anon_sym_return] = ACTIONS(1533),
    [anon_sym_break] = ACTIONS(1533),
    [anon_sym_continue] = ACTIONS(1533),
    [anon_sym_goto] = ACTIONS(1533),
    [anon_sym___try] = ACTIONS(1533),
    [anon_sym___leave] = ACTIONS(1533),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_sizeof] = ACTIONS(1533),
    [anon_sym___alignof__] = ACTIONS(1533),
    [anon_sym___alignof] = ACTIONS(1533),
    [anon_sym__alignof] = ACTIONS(1533),
    [anon_sym_alignof] = ACTIONS(1533),
    [anon_sym__Alignof] = ACTIONS(1533),
    [anon_sym_offsetof] = ACTIONS(1533),
    [anon_sym__Generic] = ACTIONS(1533),
    [anon_sym_asm] = ACTIONS(1533),
    [anon_sym___asm__] = ACTIONS(1533),
    [sym_number_literal] = ACTIONS(1535),
    [anon_sym_L_SQUOTE] = ACTIONS(1535),
    [anon_sym_u_SQUOTE] = ACTIONS(1535),
    [anon_sym_U_SQUOTE] = ACTIONS(1535),
    [anon_sym_u8_SQUOTE] = ACTIONS(1535),
    [anon_sym_SQUOTE] = ACTIONS(1535),
    [anon_sym_L_DQUOTE] = ACTIONS(1535),
    [anon_sym_u_DQUOTE] = ACTIONS(1535),
    [anon_sym_U_DQUOTE] = ACTIONS(1535),
    [anon_sym_u8_DQUOTE] = ACTIONS(1535),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_true] = ACTIONS(1533),
    [sym_false] = ACTIONS(1533),
    [anon_sym_NULL] = ACTIONS(1533),
    [anon_sym_nullptr] = ACTIONS(1533),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1533),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1533),
    [anon_sym_hitAttributeEXT] = ACTIONS(1533),
    [anon_sym_callableDataEXT] = ACTIONS(1533),
    [anon_sym_callableDataInEXT] = ACTIONS(1533),
    [anon_sym_shaderRecordEXT] = ACTIONS(1533),
    [anon_sym_rayPayloadNV] = ACTIONS(1533),
    [anon_sym_rayPayloadInNV] = ACTIONS(1533),
    [anon_sym_hitAttributeNV] = ACTIONS(1533),
    [anon_sym_callableDataNV] = ACTIONS(1533),
    [anon_sym_callableDataInNV] = ACTIONS(1533),
    [anon_sym_shaderRecordNV] = ACTIONS(1533),
    [anon_sym_layout] = ACTIONS(1533),
  },
  [398] = {
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_RBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [399] = {
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_RBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [400] = {
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_RBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [401] = {
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_RBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [402] = {
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_RBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [403] = {
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_RBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [404] = {
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_RBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [405] = {
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_RBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [406] = {
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_RBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [407] = {
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_RBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [408] = {
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_RBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [409] = {
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_RBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [410] = {
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_RBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [411] = {
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_RBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [412] = {
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_RBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [413] = {
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_RBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [414] = {
    [sym_identifier] = ACTIONS(1509),
    [aux_sym_preproc_include_token1] = ACTIONS(1509),
    [aux_sym_preproc_def_token1] = ACTIONS(1509),
    [aux_sym_preproc_if_token1] = ACTIONS(1509),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1509),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1509),
    [sym_preproc_directive] = ACTIONS(1509),
    [anon_sym_LPAREN2] = ACTIONS(1511),
    [anon_sym_BANG] = ACTIONS(1511),
    [anon_sym_TILDE] = ACTIONS(1511),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_PLUS] = ACTIONS(1509),
    [anon_sym_STAR] = ACTIONS(1511),
    [anon_sym_AMP] = ACTIONS(1511),
    [anon_sym_subroutine] = ACTIONS(1509),
    [anon_sym_invariant] = ACTIONS(1509),
    [anon_sym_precise] = ACTIONS(1509),
    [anon_sym_SEMI] = ACTIONS(1511),
    [anon_sym_in] = ACTIONS(1509),
    [anon_sym_out] = ACTIONS(1509),
    [anon_sym_inout] = ACTIONS(1509),
    [anon_sym_uniform] = ACTIONS(1509),
    [anon_sym_shared] = ACTIONS(1509),
    [anon_sym_attribute] = ACTIONS(1509),
    [anon_sym_varying] = ACTIONS(1509),
    [anon_sym_buffer] = ACTIONS(1509),
    [anon_sym_coherent] = ACTIONS(1509),
    [anon_sym_readonly] = ACTIONS(1509),
    [anon_sym_writeonly] = ACTIONS(1509),
    [anon_sym_precision] = ACTIONS(1509),
    [anon_sym_highp] = ACTIONS(1509),
    [anon_sym_mediump] = ACTIONS(1509),
    [anon_sym_lowp] = ACTIONS(1509),
    [anon_sym_centroid] = ACTIONS(1509),
    [anon_sym_sample] = ACTIONS(1509),
    [anon_sym_patch] = ACTIONS(1509),
    [anon_sym_smooth] = ACTIONS(1509),
    [anon_sym_flat] = ACTIONS(1509),
    [anon_sym_noperspective] = ACTIONS(1509),
    [anon_sym___extension__] = ACTIONS(1509),
    [anon_sym_typedef] = ACTIONS(1509),
    [anon_sym_extern] = ACTIONS(1509),
    [anon_sym___attribute__] = ACTIONS(1509),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1511),
    [anon_sym___declspec] = ACTIONS(1509),
    [anon_sym___cdecl] = ACTIONS(1509),
    [anon_sym___clrcall] = ACTIONS(1509),
    [anon_sym___stdcall] = ACTIONS(1509),
    [anon_sym___fastcall] = ACTIONS(1509),
    [anon_sym___thiscall] = ACTIONS(1509),
    [anon_sym___vectorcall] = ACTIONS(1509),
    [anon_sym_LBRACE] = ACTIONS(1511),
    [anon_sym_RBRACE] = ACTIONS(1511),
    [anon_sym_signed] = ACTIONS(1509),
    [anon_sym_unsigned] = ACTIONS(1509),
    [anon_sym_long] = ACTIONS(1509),
    [anon_sym_short] = ACTIONS(1509),
    [anon_sym_static] = ACTIONS(1509),
    [anon_sym_auto] = ACTIONS(1509),
    [anon_sym_register] = ACTIONS(1509),
    [anon_sym_inline] = ACTIONS(1509),
    [anon_sym___inline] = ACTIONS(1509),
    [anon_sym___inline__] = ACTIONS(1509),
    [anon_sym___forceinline] = ACTIONS(1509),
    [anon_sym_thread_local] = ACTIONS(1509),
    [anon_sym___thread] = ACTIONS(1509),
    [anon_sym_const] = ACTIONS(1509),
    [anon_sym_constexpr] = ACTIONS(1509),
    [anon_sym_volatile] = ACTIONS(1509),
    [anon_sym_restrict] = ACTIONS(1509),
    [anon_sym___restrict__] = ACTIONS(1509),
    [anon_sym__Atomic] = ACTIONS(1509),
    [anon_sym__Noreturn] = ACTIONS(1509),
    [anon_sym_noreturn] = ACTIONS(1509),
    [sym_primitive_type] = ACTIONS(1509),
    [anon_sym_enum] = ACTIONS(1509),
    [anon_sym_struct] = ACTIONS(1509),
    [anon_sym_union] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1509),
    [anon_sym_else] = ACTIONS(1509),
    [anon_sym_switch] = ACTIONS(1509),
    [anon_sym_case] = ACTIONS(1509),
    [anon_sym_default] = ACTIONS(1509),
    [anon_sym_while] = ACTIONS(1509),
    [anon_sym_do] = ACTIONS(1509),
    [anon_sym_for] = ACTIONS(1509),
    [anon_sym_return] = ACTIONS(1509),
    [anon_sym_break] = ACTIONS(1509),
    [anon_sym_continue] = ACTIONS(1509),
    [anon_sym_goto] = ACTIONS(1509),
    [anon_sym___try] = ACTIONS(1509),
    [anon_sym___leave] = ACTIONS(1509),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_sizeof] = ACTIONS(1509),
    [anon_sym___alignof__] = ACTIONS(1509),
    [anon_sym___alignof] = ACTIONS(1509),
    [anon_sym__alignof] = ACTIONS(1509),
    [anon_sym_alignof] = ACTIONS(1509),
    [anon_sym__Alignof] = ACTIONS(1509),
    [anon_sym_offsetof] = ACTIONS(1509),
    [anon_sym__Generic] = ACTIONS(1509),
    [anon_sym_asm] = ACTIONS(1509),
    [anon_sym___asm__] = ACTIONS(1509),
    [sym_number_literal] = ACTIONS(1511),
    [anon_sym_L_SQUOTE] = ACTIONS(1511),
    [anon_sym_u_SQUOTE] = ACTIONS(1511),
    [anon_sym_U_SQUOTE] = ACTIONS(1511),
    [anon_sym_u8_SQUOTE] = ACTIONS(1511),
    [anon_sym_SQUOTE] = ACTIONS(1511),
    [anon_sym_L_DQUOTE] = ACTIONS(1511),
    [anon_sym_u_DQUOTE] = ACTIONS(1511),
    [anon_sym_U_DQUOTE] = ACTIONS(1511),
    [anon_sym_u8_DQUOTE] = ACTIONS(1511),
    [anon_sym_DQUOTE] = ACTIONS(1511),
    [sym_true] = ACTIONS(1509),
    [sym_false] = ACTIONS(1509),
    [anon_sym_NULL] = ACTIONS(1509),
    [anon_sym_nullptr] = ACTIONS(1509),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1509),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1509),
    [anon_sym_hitAttributeEXT] = ACTIONS(1509),
    [anon_sym_callableDataEXT] = ACTIONS(1509),
    [anon_sym_callableDataInEXT] = ACTIONS(1509),
    [anon_sym_shaderRecordEXT] = ACTIONS(1509),
    [anon_sym_rayPayloadNV] = ACTIONS(1509),
    [anon_sym_rayPayloadInNV] = ACTIONS(1509),
    [anon_sym_hitAttributeNV] = ACTIONS(1509),
    [anon_sym_callableDataNV] = ACTIONS(1509),
    [anon_sym_callableDataInNV] = ACTIONS(1509),
    [anon_sym_shaderRecordNV] = ACTIONS(1509),
    [anon_sym_layout] = ACTIONS(1509),
  },
  [415] = {
    [sym_identifier] = ACTIONS(1505),
    [aux_sym_preproc_include_token1] = ACTIONS(1505),
    [aux_sym_preproc_def_token1] = ACTIONS(1505),
    [aux_sym_preproc_if_token1] = ACTIONS(1505),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1505),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1505),
    [sym_preproc_directive] = ACTIONS(1505),
    [anon_sym_LPAREN2] = ACTIONS(1507),
    [anon_sym_BANG] = ACTIONS(1507),
    [anon_sym_TILDE] = ACTIONS(1507),
    [anon_sym_DASH] = ACTIONS(1505),
    [anon_sym_PLUS] = ACTIONS(1505),
    [anon_sym_STAR] = ACTIONS(1507),
    [anon_sym_AMP] = ACTIONS(1507),
    [anon_sym_subroutine] = ACTIONS(1505),
    [anon_sym_invariant] = ACTIONS(1505),
    [anon_sym_precise] = ACTIONS(1505),
    [anon_sym_SEMI] = ACTIONS(1507),
    [anon_sym_in] = ACTIONS(1505),
    [anon_sym_out] = ACTIONS(1505),
    [anon_sym_inout] = ACTIONS(1505),
    [anon_sym_uniform] = ACTIONS(1505),
    [anon_sym_shared] = ACTIONS(1505),
    [anon_sym_attribute] = ACTIONS(1505),
    [anon_sym_varying] = ACTIONS(1505),
    [anon_sym_buffer] = ACTIONS(1505),
    [anon_sym_coherent] = ACTIONS(1505),
    [anon_sym_readonly] = ACTIONS(1505),
    [anon_sym_writeonly] = ACTIONS(1505),
    [anon_sym_precision] = ACTIONS(1505),
    [anon_sym_highp] = ACTIONS(1505),
    [anon_sym_mediump] = ACTIONS(1505),
    [anon_sym_lowp] = ACTIONS(1505),
    [anon_sym_centroid] = ACTIONS(1505),
    [anon_sym_sample] = ACTIONS(1505),
    [anon_sym_patch] = ACTIONS(1505),
    [anon_sym_smooth] = ACTIONS(1505),
    [anon_sym_flat] = ACTIONS(1505),
    [anon_sym_noperspective] = ACTIONS(1505),
    [anon_sym___extension__] = ACTIONS(1505),
    [anon_sym_typedef] = ACTIONS(1505),
    [anon_sym_extern] = ACTIONS(1505),
    [anon_sym___attribute__] = ACTIONS(1505),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1507),
    [anon_sym___declspec] = ACTIONS(1505),
    [anon_sym___cdecl] = ACTIONS(1505),
    [anon_sym___clrcall] = ACTIONS(1505),
    [anon_sym___stdcall] = ACTIONS(1505),
    [anon_sym___fastcall] = ACTIONS(1505),
    [anon_sym___thiscall] = ACTIONS(1505),
    [anon_sym___vectorcall] = ACTIONS(1505),
    [anon_sym_LBRACE] = ACTIONS(1507),
    [anon_sym_RBRACE] = ACTIONS(1507),
    [anon_sym_signed] = ACTIONS(1505),
    [anon_sym_unsigned] = ACTIONS(1505),
    [anon_sym_long] = ACTIONS(1505),
    [anon_sym_short] = ACTIONS(1505),
    [anon_sym_static] = ACTIONS(1505),
    [anon_sym_auto] = ACTIONS(1505),
    [anon_sym_register] = ACTIONS(1505),
    [anon_sym_inline] = ACTIONS(1505),
    [anon_sym___inline] = ACTIONS(1505),
    [anon_sym___inline__] = ACTIONS(1505),
    [anon_sym___forceinline] = ACTIONS(1505),
    [anon_sym_thread_local] = ACTIONS(1505),
    [anon_sym___thread] = ACTIONS(1505),
    [anon_sym_const] = ACTIONS(1505),
    [anon_sym_constexpr] = ACTIONS(1505),
    [anon_sym_volatile] = ACTIONS(1505),
    [anon_sym_restrict] = ACTIONS(1505),
    [anon_sym___restrict__] = ACTIONS(1505),
    [anon_sym__Atomic] = ACTIONS(1505),
    [anon_sym__Noreturn] = ACTIONS(1505),
    [anon_sym_noreturn] = ACTIONS(1505),
    [sym_primitive_type] = ACTIONS(1505),
    [anon_sym_enum] = ACTIONS(1505),
    [anon_sym_struct] = ACTIONS(1505),
    [anon_sym_union] = ACTIONS(1505),
    [anon_sym_if] = ACTIONS(1505),
    [anon_sym_else] = ACTIONS(1505),
    [anon_sym_switch] = ACTIONS(1505),
    [anon_sym_case] = ACTIONS(1505),
    [anon_sym_default] = ACTIONS(1505),
    [anon_sym_while] = ACTIONS(1505),
    [anon_sym_do] = ACTIONS(1505),
    [anon_sym_for] = ACTIONS(1505),
    [anon_sym_return] = ACTIONS(1505),
    [anon_sym_break] = ACTIONS(1505),
    [anon_sym_continue] = ACTIONS(1505),
    [anon_sym_goto] = ACTIONS(1505),
    [anon_sym___try] = ACTIONS(1505),
    [anon_sym___leave] = ACTIONS(1505),
    [anon_sym_DASH_DASH] = ACTIONS(1507),
    [anon_sym_PLUS_PLUS] = ACTIONS(1507),
    [anon_sym_sizeof] = ACTIONS(1505),
    [anon_sym___alignof__] = ACTIONS(1505),
    [anon_sym___alignof] = ACTIONS(1505),
    [anon_sym__alignof] = ACTIONS(1505),
    [anon_sym_alignof] = ACTIONS(1505),
    [anon_sym__Alignof] = ACTIONS(1505),
    [anon_sym_offsetof] = ACTIONS(1505),
    [anon_sym__Generic] = ACTIONS(1505),
    [anon_sym_asm] = ACTIONS(1505),
    [anon_sym___asm__] = ACTIONS(1505),
    [sym_number_literal] = ACTIONS(1507),
    [anon_sym_L_SQUOTE] = ACTIONS(1507),
    [anon_sym_u_SQUOTE] = ACTIONS(1507),
    [anon_sym_U_SQUOTE] = ACTIONS(1507),
    [anon_sym_u8_SQUOTE] = ACTIONS(1507),
    [anon_sym_SQUOTE] = ACTIONS(1507),
    [anon_sym_L_DQUOTE] = ACTIONS(1507),
    [anon_sym_u_DQUOTE] = ACTIONS(1507),
    [anon_sym_U_DQUOTE] = ACTIONS(1507),
    [anon_sym_u8_DQUOTE] = ACTIONS(1507),
    [anon_sym_DQUOTE] = ACTIONS(1507),
    [sym_true] = ACTIONS(1505),
    [sym_false] = ACTIONS(1505),
    [anon_sym_NULL] = ACTIONS(1505),
    [anon_sym_nullptr] = ACTIONS(1505),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1505),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1505),
    [anon_sym_hitAttributeEXT] = ACTIONS(1505),
    [anon_sym_callableDataEXT] = ACTIONS(1505),
    [anon_sym_callableDataInEXT] = ACTIONS(1505),
    [anon_sym_shaderRecordEXT] = ACTIONS(1505),
    [anon_sym_rayPayloadNV] = ACTIONS(1505),
    [anon_sym_rayPayloadInNV] = ACTIONS(1505),
    [anon_sym_hitAttributeNV] = ACTIONS(1505),
    [anon_sym_callableDataNV] = ACTIONS(1505),
    [anon_sym_callableDataInNV] = ACTIONS(1505),
    [anon_sym_shaderRecordNV] = ACTIONS(1505),
    [anon_sym_layout] = ACTIONS(1505),
  },
  [416] = {
    [ts_builtin_sym_end] = ACTIONS(1503),
    [sym_identifier] = ACTIONS(1501),
    [aux_sym_preproc_include_token1] = ACTIONS(1501),
    [aux_sym_preproc_def_token1] = ACTIONS(1501),
    [aux_sym_preproc_if_token1] = ACTIONS(1501),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1501),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1501),
    [sym_preproc_directive] = ACTIONS(1501),
    [anon_sym_LPAREN2] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1503),
    [anon_sym_TILDE] = ACTIONS(1503),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_PLUS] = ACTIONS(1501),
    [anon_sym_STAR] = ACTIONS(1503),
    [anon_sym_AMP] = ACTIONS(1503),
    [anon_sym_subroutine] = ACTIONS(1501),
    [anon_sym_invariant] = ACTIONS(1501),
    [anon_sym_precise] = ACTIONS(1501),
    [anon_sym_SEMI] = ACTIONS(1503),
    [anon_sym_in] = ACTIONS(1501),
    [anon_sym_out] = ACTIONS(1501),
    [anon_sym_inout] = ACTIONS(1501),
    [anon_sym_uniform] = ACTIONS(1501),
    [anon_sym_shared] = ACTIONS(1501),
    [anon_sym_attribute] = ACTIONS(1501),
    [anon_sym_varying] = ACTIONS(1501),
    [anon_sym_buffer] = ACTIONS(1501),
    [anon_sym_coherent] = ACTIONS(1501),
    [anon_sym_readonly] = ACTIONS(1501),
    [anon_sym_writeonly] = ACTIONS(1501),
    [anon_sym_precision] = ACTIONS(1501),
    [anon_sym_highp] = ACTIONS(1501),
    [anon_sym_mediump] = ACTIONS(1501),
    [anon_sym_lowp] = ACTIONS(1501),
    [anon_sym_centroid] = ACTIONS(1501),
    [anon_sym_sample] = ACTIONS(1501),
    [anon_sym_patch] = ACTIONS(1501),
    [anon_sym_smooth] = ACTIONS(1501),
    [anon_sym_flat] = ACTIONS(1501),
    [anon_sym_noperspective] = ACTIONS(1501),
    [anon_sym___extension__] = ACTIONS(1501),
    [anon_sym_typedef] = ACTIONS(1501),
    [anon_sym_extern] = ACTIONS(1501),
    [anon_sym___attribute__] = ACTIONS(1501),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1503),
    [anon_sym___declspec] = ACTIONS(1501),
    [anon_sym___cdecl] = ACTIONS(1501),
    [anon_sym___clrcall] = ACTIONS(1501),
    [anon_sym___stdcall] = ACTIONS(1501),
    [anon_sym___fastcall] = ACTIONS(1501),
    [anon_sym___thiscall] = ACTIONS(1501),
    [anon_sym___vectorcall] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_signed] = ACTIONS(1501),
    [anon_sym_unsigned] = ACTIONS(1501),
    [anon_sym_long] = ACTIONS(1501),
    [anon_sym_short] = ACTIONS(1501),
    [anon_sym_static] = ACTIONS(1501),
    [anon_sym_auto] = ACTIONS(1501),
    [anon_sym_register] = ACTIONS(1501),
    [anon_sym_inline] = ACTIONS(1501),
    [anon_sym___inline] = ACTIONS(1501),
    [anon_sym___inline__] = ACTIONS(1501),
    [anon_sym___forceinline] = ACTIONS(1501),
    [anon_sym_thread_local] = ACTIONS(1501),
    [anon_sym___thread] = ACTIONS(1501),
    [anon_sym_const] = ACTIONS(1501),
    [anon_sym_constexpr] = ACTIONS(1501),
    [anon_sym_volatile] = ACTIONS(1501),
    [anon_sym_restrict] = ACTIONS(1501),
    [anon_sym___restrict__] = ACTIONS(1501),
    [anon_sym__Atomic] = ACTIONS(1501),
    [anon_sym__Noreturn] = ACTIONS(1501),
    [anon_sym_noreturn] = ACTIONS(1501),
    [sym_primitive_type] = ACTIONS(1501),
    [anon_sym_enum] = ACTIONS(1501),
    [anon_sym_struct] = ACTIONS(1501),
    [anon_sym_union] = ACTIONS(1501),
    [anon_sym_if] = ACTIONS(1501),
    [anon_sym_else] = ACTIONS(1501),
    [anon_sym_switch] = ACTIONS(1501),
    [anon_sym_case] = ACTIONS(1501),
    [anon_sym_default] = ACTIONS(1501),
    [anon_sym_while] = ACTIONS(1501),
    [anon_sym_do] = ACTIONS(1501),
    [anon_sym_for] = ACTIONS(1501),
    [anon_sym_return] = ACTIONS(1501),
    [anon_sym_break] = ACTIONS(1501),
    [anon_sym_continue] = ACTIONS(1501),
    [anon_sym_goto] = ACTIONS(1501),
    [anon_sym___try] = ACTIONS(1501),
    [anon_sym___leave] = ACTIONS(1501),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_sizeof] = ACTIONS(1501),
    [anon_sym___alignof__] = ACTIONS(1501),
    [anon_sym___alignof] = ACTIONS(1501),
    [anon_sym__alignof] = ACTIONS(1501),
    [anon_sym_alignof] = ACTIONS(1501),
    [anon_sym__Alignof] = ACTIONS(1501),
    [anon_sym_offsetof] = ACTIONS(1501),
    [anon_sym__Generic] = ACTIONS(1501),
    [anon_sym_asm] = ACTIONS(1501),
    [anon_sym___asm__] = ACTIONS(1501),
    [sym_number_literal] = ACTIONS(1503),
    [anon_sym_L_SQUOTE] = ACTIONS(1503),
    [anon_sym_u_SQUOTE] = ACTIONS(1503),
    [anon_sym_U_SQUOTE] = ACTIONS(1503),
    [anon_sym_u8_SQUOTE] = ACTIONS(1503),
    [anon_sym_SQUOTE] = ACTIONS(1503),
    [anon_sym_L_DQUOTE] = ACTIONS(1503),
    [anon_sym_u_DQUOTE] = ACTIONS(1503),
    [anon_sym_U_DQUOTE] = ACTIONS(1503),
    [anon_sym_u8_DQUOTE] = ACTIONS(1503),
    [anon_sym_DQUOTE] = ACTIONS(1503),
    [sym_true] = ACTIONS(1501),
    [sym_false] = ACTIONS(1501),
    [anon_sym_NULL] = ACTIONS(1501),
    [anon_sym_nullptr] = ACTIONS(1501),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1501),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1501),
    [anon_sym_hitAttributeEXT] = ACTIONS(1501),
    [anon_sym_callableDataEXT] = ACTIONS(1501),
    [anon_sym_callableDataInEXT] = ACTIONS(1501),
    [anon_sym_shaderRecordEXT] = ACTIONS(1501),
    [anon_sym_rayPayloadNV] = ACTIONS(1501),
    [anon_sym_rayPayloadInNV] = ACTIONS(1501),
    [anon_sym_hitAttributeNV] = ACTIONS(1501),
    [anon_sym_callableDataNV] = ACTIONS(1501),
    [anon_sym_callableDataInNV] = ACTIONS(1501),
    [anon_sym_shaderRecordNV] = ACTIONS(1501),
    [anon_sym_layout] = ACTIONS(1501),
  },
  [417] = {
    [sym_identifier] = ACTIONS(1497),
    [aux_sym_preproc_include_token1] = ACTIONS(1497),
    [aux_sym_preproc_def_token1] = ACTIONS(1497),
    [aux_sym_preproc_if_token1] = ACTIONS(1497),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1497),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1497),
    [sym_preproc_directive] = ACTIONS(1497),
    [anon_sym_LPAREN2] = ACTIONS(1499),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_DASH] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1497),
    [anon_sym_STAR] = ACTIONS(1499),
    [anon_sym_AMP] = ACTIONS(1499),
    [anon_sym_subroutine] = ACTIONS(1497),
    [anon_sym_invariant] = ACTIONS(1497),
    [anon_sym_precise] = ACTIONS(1497),
    [anon_sym_SEMI] = ACTIONS(1499),
    [anon_sym_in] = ACTIONS(1497),
    [anon_sym_out] = ACTIONS(1497),
    [anon_sym_inout] = ACTIONS(1497),
    [anon_sym_uniform] = ACTIONS(1497),
    [anon_sym_shared] = ACTIONS(1497),
    [anon_sym_attribute] = ACTIONS(1497),
    [anon_sym_varying] = ACTIONS(1497),
    [anon_sym_buffer] = ACTIONS(1497),
    [anon_sym_coherent] = ACTIONS(1497),
    [anon_sym_readonly] = ACTIONS(1497),
    [anon_sym_writeonly] = ACTIONS(1497),
    [anon_sym_precision] = ACTIONS(1497),
    [anon_sym_highp] = ACTIONS(1497),
    [anon_sym_mediump] = ACTIONS(1497),
    [anon_sym_lowp] = ACTIONS(1497),
    [anon_sym_centroid] = ACTIONS(1497),
    [anon_sym_sample] = ACTIONS(1497),
    [anon_sym_patch] = ACTIONS(1497),
    [anon_sym_smooth] = ACTIONS(1497),
    [anon_sym_flat] = ACTIONS(1497),
    [anon_sym_noperspective] = ACTIONS(1497),
    [anon_sym___extension__] = ACTIONS(1497),
    [anon_sym_typedef] = ACTIONS(1497),
    [anon_sym_extern] = ACTIONS(1497),
    [anon_sym___attribute__] = ACTIONS(1497),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1499),
    [anon_sym___declspec] = ACTIONS(1497),
    [anon_sym___cdecl] = ACTIONS(1497),
    [anon_sym___clrcall] = ACTIONS(1497),
    [anon_sym___stdcall] = ACTIONS(1497),
    [anon_sym___fastcall] = ACTIONS(1497),
    [anon_sym___thiscall] = ACTIONS(1497),
    [anon_sym___vectorcall] = ACTIONS(1497),
    [anon_sym_LBRACE] = ACTIONS(1499),
    [anon_sym_RBRACE] = ACTIONS(1499),
    [anon_sym_signed] = ACTIONS(1497),
    [anon_sym_unsigned] = ACTIONS(1497),
    [anon_sym_long] = ACTIONS(1497),
    [anon_sym_short] = ACTIONS(1497),
    [anon_sym_static] = ACTIONS(1497),
    [anon_sym_auto] = ACTIONS(1497),
    [anon_sym_register] = ACTIONS(1497),
    [anon_sym_inline] = ACTIONS(1497),
    [anon_sym___inline] = ACTIONS(1497),
    [anon_sym___inline__] = ACTIONS(1497),
    [anon_sym___forceinline] = ACTIONS(1497),
    [anon_sym_thread_local] = ACTIONS(1497),
    [anon_sym___thread] = ACTIONS(1497),
    [anon_sym_const] = ACTIONS(1497),
    [anon_sym_constexpr] = ACTIONS(1497),
    [anon_sym_volatile] = ACTIONS(1497),
    [anon_sym_restrict] = ACTIONS(1497),
    [anon_sym___restrict__] = ACTIONS(1497),
    [anon_sym__Atomic] = ACTIONS(1497),
    [anon_sym__Noreturn] = ACTIONS(1497),
    [anon_sym_noreturn] = ACTIONS(1497),
    [sym_primitive_type] = ACTIONS(1497),
    [anon_sym_enum] = ACTIONS(1497),
    [anon_sym_struct] = ACTIONS(1497),
    [anon_sym_union] = ACTIONS(1497),
    [anon_sym_if] = ACTIONS(1497),
    [anon_sym_else] = ACTIONS(1497),
    [anon_sym_switch] = ACTIONS(1497),
    [anon_sym_case] = ACTIONS(1497),
    [anon_sym_default] = ACTIONS(1497),
    [anon_sym_while] = ACTIONS(1497),
    [anon_sym_do] = ACTIONS(1497),
    [anon_sym_for] = ACTIONS(1497),
    [anon_sym_return] = ACTIONS(1497),
    [anon_sym_break] = ACTIONS(1497),
    [anon_sym_continue] = ACTIONS(1497),
    [anon_sym_goto] = ACTIONS(1497),
    [anon_sym___try] = ACTIONS(1497),
    [anon_sym___leave] = ACTIONS(1497),
    [anon_sym_DASH_DASH] = ACTIONS(1499),
    [anon_sym_PLUS_PLUS] = ACTIONS(1499),
    [anon_sym_sizeof] = ACTIONS(1497),
    [anon_sym___alignof__] = ACTIONS(1497),
    [anon_sym___alignof] = ACTIONS(1497),
    [anon_sym__alignof] = ACTIONS(1497),
    [anon_sym_alignof] = ACTIONS(1497),
    [anon_sym__Alignof] = ACTIONS(1497),
    [anon_sym_offsetof] = ACTIONS(1497),
    [anon_sym__Generic] = ACTIONS(1497),
    [anon_sym_asm] = ACTIONS(1497),
    [anon_sym___asm__] = ACTIONS(1497),
    [sym_number_literal] = ACTIONS(1499),
    [anon_sym_L_SQUOTE] = ACTIONS(1499),
    [anon_sym_u_SQUOTE] = ACTIONS(1499),
    [anon_sym_U_SQUOTE] = ACTIONS(1499),
    [anon_sym_u8_SQUOTE] = ACTIONS(1499),
    [anon_sym_SQUOTE] = ACTIONS(1499),
    [anon_sym_L_DQUOTE] = ACTIONS(1499),
    [anon_sym_u_DQUOTE] = ACTIONS(1499),
    [anon_sym_U_DQUOTE] = ACTIONS(1499),
    [anon_sym_u8_DQUOTE] = ACTIONS(1499),
    [anon_sym_DQUOTE] = ACTIONS(1499),
    [sym_true] = ACTIONS(1497),
    [sym_false] = ACTIONS(1497),
    [anon_sym_NULL] = ACTIONS(1497),
    [anon_sym_nullptr] = ACTIONS(1497),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1497),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1497),
    [anon_sym_hitAttributeEXT] = ACTIONS(1497),
    [anon_sym_callableDataEXT] = ACTIONS(1497),
    [anon_sym_callableDataInEXT] = ACTIONS(1497),
    [anon_sym_shaderRecordEXT] = ACTIONS(1497),
    [anon_sym_rayPayloadNV] = ACTIONS(1497),
    [anon_sym_rayPayloadInNV] = ACTIONS(1497),
    [anon_sym_hitAttributeNV] = ACTIONS(1497),
    [anon_sym_callableDataNV] = ACTIONS(1497),
    [anon_sym_callableDataInNV] = ACTIONS(1497),
    [anon_sym_shaderRecordNV] = ACTIONS(1497),
    [anon_sym_layout] = ACTIONS(1497),
  },
  [418] = {
    [sym_identifier] = ACTIONS(1489),
    [aux_sym_preproc_include_token1] = ACTIONS(1489),
    [aux_sym_preproc_def_token1] = ACTIONS(1489),
    [aux_sym_preproc_if_token1] = ACTIONS(1489),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1489),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1489),
    [sym_preproc_directive] = ACTIONS(1489),
    [anon_sym_LPAREN2] = ACTIONS(1491),
    [anon_sym_BANG] = ACTIONS(1491),
    [anon_sym_TILDE] = ACTIONS(1491),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_STAR] = ACTIONS(1491),
    [anon_sym_AMP] = ACTIONS(1491),
    [anon_sym_subroutine] = ACTIONS(1489),
    [anon_sym_invariant] = ACTIONS(1489),
    [anon_sym_precise] = ACTIONS(1489),
    [anon_sym_SEMI] = ACTIONS(1491),
    [anon_sym_in] = ACTIONS(1489),
    [anon_sym_out] = ACTIONS(1489),
    [anon_sym_inout] = ACTIONS(1489),
    [anon_sym_uniform] = ACTIONS(1489),
    [anon_sym_shared] = ACTIONS(1489),
    [anon_sym_attribute] = ACTIONS(1489),
    [anon_sym_varying] = ACTIONS(1489),
    [anon_sym_buffer] = ACTIONS(1489),
    [anon_sym_coherent] = ACTIONS(1489),
    [anon_sym_readonly] = ACTIONS(1489),
    [anon_sym_writeonly] = ACTIONS(1489),
    [anon_sym_precision] = ACTIONS(1489),
    [anon_sym_highp] = ACTIONS(1489),
    [anon_sym_mediump] = ACTIONS(1489),
    [anon_sym_lowp] = ACTIONS(1489),
    [anon_sym_centroid] = ACTIONS(1489),
    [anon_sym_sample] = ACTIONS(1489),
    [anon_sym_patch] = ACTIONS(1489),
    [anon_sym_smooth] = ACTIONS(1489),
    [anon_sym_flat] = ACTIONS(1489),
    [anon_sym_noperspective] = ACTIONS(1489),
    [anon_sym___extension__] = ACTIONS(1489),
    [anon_sym_typedef] = ACTIONS(1489),
    [anon_sym_extern] = ACTIONS(1489),
    [anon_sym___attribute__] = ACTIONS(1489),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1491),
    [anon_sym___declspec] = ACTIONS(1489),
    [anon_sym___cdecl] = ACTIONS(1489),
    [anon_sym___clrcall] = ACTIONS(1489),
    [anon_sym___stdcall] = ACTIONS(1489),
    [anon_sym___fastcall] = ACTIONS(1489),
    [anon_sym___thiscall] = ACTIONS(1489),
    [anon_sym___vectorcall] = ACTIONS(1489),
    [anon_sym_LBRACE] = ACTIONS(1491),
    [anon_sym_RBRACE] = ACTIONS(1491),
    [anon_sym_signed] = ACTIONS(1489),
    [anon_sym_unsigned] = ACTIONS(1489),
    [anon_sym_long] = ACTIONS(1489),
    [anon_sym_short] = ACTIONS(1489),
    [anon_sym_static] = ACTIONS(1489),
    [anon_sym_auto] = ACTIONS(1489),
    [anon_sym_register] = ACTIONS(1489),
    [anon_sym_inline] = ACTIONS(1489),
    [anon_sym___inline] = ACTIONS(1489),
    [anon_sym___inline__] = ACTIONS(1489),
    [anon_sym___forceinline] = ACTIONS(1489),
    [anon_sym_thread_local] = ACTIONS(1489),
    [anon_sym___thread] = ACTIONS(1489),
    [anon_sym_const] = ACTIONS(1489),
    [anon_sym_constexpr] = ACTIONS(1489),
    [anon_sym_volatile] = ACTIONS(1489),
    [anon_sym_restrict] = ACTIONS(1489),
    [anon_sym___restrict__] = ACTIONS(1489),
    [anon_sym__Atomic] = ACTIONS(1489),
    [anon_sym__Noreturn] = ACTIONS(1489),
    [anon_sym_noreturn] = ACTIONS(1489),
    [sym_primitive_type] = ACTIONS(1489),
    [anon_sym_enum] = ACTIONS(1489),
    [anon_sym_struct] = ACTIONS(1489),
    [anon_sym_union] = ACTIONS(1489),
    [anon_sym_if] = ACTIONS(1489),
    [anon_sym_else] = ACTIONS(1489),
    [anon_sym_switch] = ACTIONS(1489),
    [anon_sym_case] = ACTIONS(1489),
    [anon_sym_default] = ACTIONS(1489),
    [anon_sym_while] = ACTIONS(1489),
    [anon_sym_do] = ACTIONS(1489),
    [anon_sym_for] = ACTIONS(1489),
    [anon_sym_return] = ACTIONS(1489),
    [anon_sym_break] = ACTIONS(1489),
    [anon_sym_continue] = ACTIONS(1489),
    [anon_sym_goto] = ACTIONS(1489),
    [anon_sym___try] = ACTIONS(1489),
    [anon_sym___leave] = ACTIONS(1489),
    [anon_sym_DASH_DASH] = ACTIONS(1491),
    [anon_sym_PLUS_PLUS] = ACTIONS(1491),
    [anon_sym_sizeof] = ACTIONS(1489),
    [anon_sym___alignof__] = ACTIONS(1489),
    [anon_sym___alignof] = ACTIONS(1489),
    [anon_sym__alignof] = ACTIONS(1489),
    [anon_sym_alignof] = ACTIONS(1489),
    [anon_sym__Alignof] = ACTIONS(1489),
    [anon_sym_offsetof] = ACTIONS(1489),
    [anon_sym__Generic] = ACTIONS(1489),
    [anon_sym_asm] = ACTIONS(1489),
    [anon_sym___asm__] = ACTIONS(1489),
    [sym_number_literal] = ACTIONS(1491),
    [anon_sym_L_SQUOTE] = ACTIONS(1491),
    [anon_sym_u_SQUOTE] = ACTIONS(1491),
    [anon_sym_U_SQUOTE] = ACTIONS(1491),
    [anon_sym_u8_SQUOTE] = ACTIONS(1491),
    [anon_sym_SQUOTE] = ACTIONS(1491),
    [anon_sym_L_DQUOTE] = ACTIONS(1491),
    [anon_sym_u_DQUOTE] = ACTIONS(1491),
    [anon_sym_U_DQUOTE] = ACTIONS(1491),
    [anon_sym_u8_DQUOTE] = ACTIONS(1491),
    [anon_sym_DQUOTE] = ACTIONS(1491),
    [sym_true] = ACTIONS(1489),
    [sym_false] = ACTIONS(1489),
    [anon_sym_NULL] = ACTIONS(1489),
    [anon_sym_nullptr] = ACTIONS(1489),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1489),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1489),
    [anon_sym_hitAttributeEXT] = ACTIONS(1489),
    [anon_sym_callableDataEXT] = ACTIONS(1489),
    [anon_sym_callableDataInEXT] = ACTIONS(1489),
    [anon_sym_shaderRecordEXT] = ACTIONS(1489),
    [anon_sym_rayPayloadNV] = ACTIONS(1489),
    [anon_sym_rayPayloadInNV] = ACTIONS(1489),
    [anon_sym_hitAttributeNV] = ACTIONS(1489),
    [anon_sym_callableDataNV] = ACTIONS(1489),
    [anon_sym_callableDataInNV] = ACTIONS(1489),
    [anon_sym_shaderRecordNV] = ACTIONS(1489),
    [anon_sym_layout] = ACTIONS(1489),
  },
  [419] = {
    [sym_identifier] = ACTIONS(1481),
    [aux_sym_preproc_include_token1] = ACTIONS(1481),
    [aux_sym_preproc_def_token1] = ACTIONS(1481),
    [aux_sym_preproc_if_token1] = ACTIONS(1481),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1481),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1481),
    [sym_preproc_directive] = ACTIONS(1481),
    [anon_sym_LPAREN2] = ACTIONS(1483),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_DASH] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_STAR] = ACTIONS(1483),
    [anon_sym_AMP] = ACTIONS(1483),
    [anon_sym_subroutine] = ACTIONS(1481),
    [anon_sym_invariant] = ACTIONS(1481),
    [anon_sym_precise] = ACTIONS(1481),
    [anon_sym_SEMI] = ACTIONS(1483),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_out] = ACTIONS(1481),
    [anon_sym_inout] = ACTIONS(1481),
    [anon_sym_uniform] = ACTIONS(1481),
    [anon_sym_shared] = ACTIONS(1481),
    [anon_sym_attribute] = ACTIONS(1481),
    [anon_sym_varying] = ACTIONS(1481),
    [anon_sym_buffer] = ACTIONS(1481),
    [anon_sym_coherent] = ACTIONS(1481),
    [anon_sym_readonly] = ACTIONS(1481),
    [anon_sym_writeonly] = ACTIONS(1481),
    [anon_sym_precision] = ACTIONS(1481),
    [anon_sym_highp] = ACTIONS(1481),
    [anon_sym_mediump] = ACTIONS(1481),
    [anon_sym_lowp] = ACTIONS(1481),
    [anon_sym_centroid] = ACTIONS(1481),
    [anon_sym_sample] = ACTIONS(1481),
    [anon_sym_patch] = ACTIONS(1481),
    [anon_sym_smooth] = ACTIONS(1481),
    [anon_sym_flat] = ACTIONS(1481),
    [anon_sym_noperspective] = ACTIONS(1481),
    [anon_sym___extension__] = ACTIONS(1481),
    [anon_sym_typedef] = ACTIONS(1481),
    [anon_sym_extern] = ACTIONS(1481),
    [anon_sym___attribute__] = ACTIONS(1481),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1483),
    [anon_sym___declspec] = ACTIONS(1481),
    [anon_sym___cdecl] = ACTIONS(1481),
    [anon_sym___clrcall] = ACTIONS(1481),
    [anon_sym___stdcall] = ACTIONS(1481),
    [anon_sym___fastcall] = ACTIONS(1481),
    [anon_sym___thiscall] = ACTIONS(1481),
    [anon_sym___vectorcall] = ACTIONS(1481),
    [anon_sym_LBRACE] = ACTIONS(1483),
    [anon_sym_RBRACE] = ACTIONS(1483),
    [anon_sym_signed] = ACTIONS(1481),
    [anon_sym_unsigned] = ACTIONS(1481),
    [anon_sym_long] = ACTIONS(1481),
    [anon_sym_short] = ACTIONS(1481),
    [anon_sym_static] = ACTIONS(1481),
    [anon_sym_auto] = ACTIONS(1481),
    [anon_sym_register] = ACTIONS(1481),
    [anon_sym_inline] = ACTIONS(1481),
    [anon_sym___inline] = ACTIONS(1481),
    [anon_sym___inline__] = ACTIONS(1481),
    [anon_sym___forceinline] = ACTIONS(1481),
    [anon_sym_thread_local] = ACTIONS(1481),
    [anon_sym___thread] = ACTIONS(1481),
    [anon_sym_const] = ACTIONS(1481),
    [anon_sym_constexpr] = ACTIONS(1481),
    [anon_sym_volatile] = ACTIONS(1481),
    [anon_sym_restrict] = ACTIONS(1481),
    [anon_sym___restrict__] = ACTIONS(1481),
    [anon_sym__Atomic] = ACTIONS(1481),
    [anon_sym__Noreturn] = ACTIONS(1481),
    [anon_sym_noreturn] = ACTIONS(1481),
    [sym_primitive_type] = ACTIONS(1481),
    [anon_sym_enum] = ACTIONS(1481),
    [anon_sym_struct] = ACTIONS(1481),
    [anon_sym_union] = ACTIONS(1481),
    [anon_sym_if] = ACTIONS(1481),
    [anon_sym_else] = ACTIONS(1481),
    [anon_sym_switch] = ACTIONS(1481),
    [anon_sym_case] = ACTIONS(1481),
    [anon_sym_default] = ACTIONS(1481),
    [anon_sym_while] = ACTIONS(1481),
    [anon_sym_do] = ACTIONS(1481),
    [anon_sym_for] = ACTIONS(1481),
    [anon_sym_return] = ACTIONS(1481),
    [anon_sym_break] = ACTIONS(1481),
    [anon_sym_continue] = ACTIONS(1481),
    [anon_sym_goto] = ACTIONS(1481),
    [anon_sym___try] = ACTIONS(1481),
    [anon_sym___leave] = ACTIONS(1481),
    [anon_sym_DASH_DASH] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1483),
    [anon_sym_sizeof] = ACTIONS(1481),
    [anon_sym___alignof__] = ACTIONS(1481),
    [anon_sym___alignof] = ACTIONS(1481),
    [anon_sym__alignof] = ACTIONS(1481),
    [anon_sym_alignof] = ACTIONS(1481),
    [anon_sym__Alignof] = ACTIONS(1481),
    [anon_sym_offsetof] = ACTIONS(1481),
    [anon_sym__Generic] = ACTIONS(1481),
    [anon_sym_asm] = ACTIONS(1481),
    [anon_sym___asm__] = ACTIONS(1481),
    [sym_number_literal] = ACTIONS(1483),
    [anon_sym_L_SQUOTE] = ACTIONS(1483),
    [anon_sym_u_SQUOTE] = ACTIONS(1483),
    [anon_sym_U_SQUOTE] = ACTIONS(1483),
    [anon_sym_u8_SQUOTE] = ACTIONS(1483),
    [anon_sym_SQUOTE] = ACTIONS(1483),
    [anon_sym_L_DQUOTE] = ACTIONS(1483),
    [anon_sym_u_DQUOTE] = ACTIONS(1483),
    [anon_sym_U_DQUOTE] = ACTIONS(1483),
    [anon_sym_u8_DQUOTE] = ACTIONS(1483),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_true] = ACTIONS(1481),
    [sym_false] = ACTIONS(1481),
    [anon_sym_NULL] = ACTIONS(1481),
    [anon_sym_nullptr] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1481),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1481),
    [anon_sym_hitAttributeEXT] = ACTIONS(1481),
    [anon_sym_callableDataEXT] = ACTIONS(1481),
    [anon_sym_callableDataInEXT] = ACTIONS(1481),
    [anon_sym_shaderRecordEXT] = ACTIONS(1481),
    [anon_sym_rayPayloadNV] = ACTIONS(1481),
    [anon_sym_rayPayloadInNV] = ACTIONS(1481),
    [anon_sym_hitAttributeNV] = ACTIONS(1481),
    [anon_sym_callableDataNV] = ACTIONS(1481),
    [anon_sym_callableDataInNV] = ACTIONS(1481),
    [anon_sym_shaderRecordNV] = ACTIONS(1481),
    [anon_sym_layout] = ACTIONS(1481),
  },
  [420] = {
    [sym_identifier] = ACTIONS(1481),
    [aux_sym_preproc_include_token1] = ACTIONS(1481),
    [aux_sym_preproc_def_token1] = ACTIONS(1481),
    [aux_sym_preproc_if_token1] = ACTIONS(1481),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1481),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1481),
    [sym_preproc_directive] = ACTIONS(1481),
    [anon_sym_LPAREN2] = ACTIONS(1483),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_DASH] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_STAR] = ACTIONS(1483),
    [anon_sym_AMP] = ACTIONS(1483),
    [anon_sym_subroutine] = ACTIONS(1481),
    [anon_sym_invariant] = ACTIONS(1481),
    [anon_sym_precise] = ACTIONS(1481),
    [anon_sym_SEMI] = ACTIONS(1483),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_out] = ACTIONS(1481),
    [anon_sym_inout] = ACTIONS(1481),
    [anon_sym_uniform] = ACTIONS(1481),
    [anon_sym_shared] = ACTIONS(1481),
    [anon_sym_attribute] = ACTIONS(1481),
    [anon_sym_varying] = ACTIONS(1481),
    [anon_sym_buffer] = ACTIONS(1481),
    [anon_sym_coherent] = ACTIONS(1481),
    [anon_sym_readonly] = ACTIONS(1481),
    [anon_sym_writeonly] = ACTIONS(1481),
    [anon_sym_precision] = ACTIONS(1481),
    [anon_sym_highp] = ACTIONS(1481),
    [anon_sym_mediump] = ACTIONS(1481),
    [anon_sym_lowp] = ACTIONS(1481),
    [anon_sym_centroid] = ACTIONS(1481),
    [anon_sym_sample] = ACTIONS(1481),
    [anon_sym_patch] = ACTIONS(1481),
    [anon_sym_smooth] = ACTIONS(1481),
    [anon_sym_flat] = ACTIONS(1481),
    [anon_sym_noperspective] = ACTIONS(1481),
    [anon_sym___extension__] = ACTIONS(1481),
    [anon_sym_typedef] = ACTIONS(1481),
    [anon_sym_extern] = ACTIONS(1481),
    [anon_sym___attribute__] = ACTIONS(1481),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1483),
    [anon_sym___declspec] = ACTIONS(1481),
    [anon_sym___cdecl] = ACTIONS(1481),
    [anon_sym___clrcall] = ACTIONS(1481),
    [anon_sym___stdcall] = ACTIONS(1481),
    [anon_sym___fastcall] = ACTIONS(1481),
    [anon_sym___thiscall] = ACTIONS(1481),
    [anon_sym___vectorcall] = ACTIONS(1481),
    [anon_sym_LBRACE] = ACTIONS(1483),
    [anon_sym_RBRACE] = ACTIONS(1483),
    [anon_sym_signed] = ACTIONS(1481),
    [anon_sym_unsigned] = ACTIONS(1481),
    [anon_sym_long] = ACTIONS(1481),
    [anon_sym_short] = ACTIONS(1481),
    [anon_sym_static] = ACTIONS(1481),
    [anon_sym_auto] = ACTIONS(1481),
    [anon_sym_register] = ACTIONS(1481),
    [anon_sym_inline] = ACTIONS(1481),
    [anon_sym___inline] = ACTIONS(1481),
    [anon_sym___inline__] = ACTIONS(1481),
    [anon_sym___forceinline] = ACTIONS(1481),
    [anon_sym_thread_local] = ACTIONS(1481),
    [anon_sym___thread] = ACTIONS(1481),
    [anon_sym_const] = ACTIONS(1481),
    [anon_sym_constexpr] = ACTIONS(1481),
    [anon_sym_volatile] = ACTIONS(1481),
    [anon_sym_restrict] = ACTIONS(1481),
    [anon_sym___restrict__] = ACTIONS(1481),
    [anon_sym__Atomic] = ACTIONS(1481),
    [anon_sym__Noreturn] = ACTIONS(1481),
    [anon_sym_noreturn] = ACTIONS(1481),
    [sym_primitive_type] = ACTIONS(1481),
    [anon_sym_enum] = ACTIONS(1481),
    [anon_sym_struct] = ACTIONS(1481),
    [anon_sym_union] = ACTIONS(1481),
    [anon_sym_if] = ACTIONS(1481),
    [anon_sym_else] = ACTIONS(1481),
    [anon_sym_switch] = ACTIONS(1481),
    [anon_sym_case] = ACTIONS(1481),
    [anon_sym_default] = ACTIONS(1481),
    [anon_sym_while] = ACTIONS(1481),
    [anon_sym_do] = ACTIONS(1481),
    [anon_sym_for] = ACTIONS(1481),
    [anon_sym_return] = ACTIONS(1481),
    [anon_sym_break] = ACTIONS(1481),
    [anon_sym_continue] = ACTIONS(1481),
    [anon_sym_goto] = ACTIONS(1481),
    [anon_sym___try] = ACTIONS(1481),
    [anon_sym___leave] = ACTIONS(1481),
    [anon_sym_DASH_DASH] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1483),
    [anon_sym_sizeof] = ACTIONS(1481),
    [anon_sym___alignof__] = ACTIONS(1481),
    [anon_sym___alignof] = ACTIONS(1481),
    [anon_sym__alignof] = ACTIONS(1481),
    [anon_sym_alignof] = ACTIONS(1481),
    [anon_sym__Alignof] = ACTIONS(1481),
    [anon_sym_offsetof] = ACTIONS(1481),
    [anon_sym__Generic] = ACTIONS(1481),
    [anon_sym_asm] = ACTIONS(1481),
    [anon_sym___asm__] = ACTIONS(1481),
    [sym_number_literal] = ACTIONS(1483),
    [anon_sym_L_SQUOTE] = ACTIONS(1483),
    [anon_sym_u_SQUOTE] = ACTIONS(1483),
    [anon_sym_U_SQUOTE] = ACTIONS(1483),
    [anon_sym_u8_SQUOTE] = ACTIONS(1483),
    [anon_sym_SQUOTE] = ACTIONS(1483),
    [anon_sym_L_DQUOTE] = ACTIONS(1483),
    [anon_sym_u_DQUOTE] = ACTIONS(1483),
    [anon_sym_U_DQUOTE] = ACTIONS(1483),
    [anon_sym_u8_DQUOTE] = ACTIONS(1483),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_true] = ACTIONS(1481),
    [sym_false] = ACTIONS(1481),
    [anon_sym_NULL] = ACTIONS(1481),
    [anon_sym_nullptr] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1481),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1481),
    [anon_sym_hitAttributeEXT] = ACTIONS(1481),
    [anon_sym_callableDataEXT] = ACTIONS(1481),
    [anon_sym_callableDataInEXT] = ACTIONS(1481),
    [anon_sym_shaderRecordEXT] = ACTIONS(1481),
    [anon_sym_rayPayloadNV] = ACTIONS(1481),
    [anon_sym_rayPayloadInNV] = ACTIONS(1481),
    [anon_sym_hitAttributeNV] = ACTIONS(1481),
    [anon_sym_callableDataNV] = ACTIONS(1481),
    [anon_sym_callableDataInNV] = ACTIONS(1481),
    [anon_sym_shaderRecordNV] = ACTIONS(1481),
    [anon_sym_layout] = ACTIONS(1481),
  },
  [421] = {
    [sym_identifier] = ACTIONS(1477),
    [aux_sym_preproc_include_token1] = ACTIONS(1477),
    [aux_sym_preproc_def_token1] = ACTIONS(1477),
    [aux_sym_preproc_if_token1] = ACTIONS(1477),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1477),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1477),
    [sym_preproc_directive] = ACTIONS(1477),
    [anon_sym_LPAREN2] = ACTIONS(1479),
    [anon_sym_BANG] = ACTIONS(1479),
    [anon_sym_TILDE] = ACTIONS(1479),
    [anon_sym_DASH] = ACTIONS(1477),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_AMP] = ACTIONS(1479),
    [anon_sym_subroutine] = ACTIONS(1477),
    [anon_sym_invariant] = ACTIONS(1477),
    [anon_sym_precise] = ACTIONS(1477),
    [anon_sym_SEMI] = ACTIONS(1479),
    [anon_sym_in] = ACTIONS(1477),
    [anon_sym_out] = ACTIONS(1477),
    [anon_sym_inout] = ACTIONS(1477),
    [anon_sym_uniform] = ACTIONS(1477),
    [anon_sym_shared] = ACTIONS(1477),
    [anon_sym_attribute] = ACTIONS(1477),
    [anon_sym_varying] = ACTIONS(1477),
    [anon_sym_buffer] = ACTIONS(1477),
    [anon_sym_coherent] = ACTIONS(1477),
    [anon_sym_readonly] = ACTIONS(1477),
    [anon_sym_writeonly] = ACTIONS(1477),
    [anon_sym_precision] = ACTIONS(1477),
    [anon_sym_highp] = ACTIONS(1477),
    [anon_sym_mediump] = ACTIONS(1477),
    [anon_sym_lowp] = ACTIONS(1477),
    [anon_sym_centroid] = ACTIONS(1477),
    [anon_sym_sample] = ACTIONS(1477),
    [anon_sym_patch] = ACTIONS(1477),
    [anon_sym_smooth] = ACTIONS(1477),
    [anon_sym_flat] = ACTIONS(1477),
    [anon_sym_noperspective] = ACTIONS(1477),
    [anon_sym___extension__] = ACTIONS(1477),
    [anon_sym_typedef] = ACTIONS(1477),
    [anon_sym_extern] = ACTIONS(1477),
    [anon_sym___attribute__] = ACTIONS(1477),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1479),
    [anon_sym___declspec] = ACTIONS(1477),
    [anon_sym___cdecl] = ACTIONS(1477),
    [anon_sym___clrcall] = ACTIONS(1477),
    [anon_sym___stdcall] = ACTIONS(1477),
    [anon_sym___fastcall] = ACTIONS(1477),
    [anon_sym___thiscall] = ACTIONS(1477),
    [anon_sym___vectorcall] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(1479),
    [anon_sym_RBRACE] = ACTIONS(1479),
    [anon_sym_signed] = ACTIONS(1477),
    [anon_sym_unsigned] = ACTIONS(1477),
    [anon_sym_long] = ACTIONS(1477),
    [anon_sym_short] = ACTIONS(1477),
    [anon_sym_static] = ACTIONS(1477),
    [anon_sym_auto] = ACTIONS(1477),
    [anon_sym_register] = ACTIONS(1477),
    [anon_sym_inline] = ACTIONS(1477),
    [anon_sym___inline] = ACTIONS(1477),
    [anon_sym___inline__] = ACTIONS(1477),
    [anon_sym___forceinline] = ACTIONS(1477),
    [anon_sym_thread_local] = ACTIONS(1477),
    [anon_sym___thread] = ACTIONS(1477),
    [anon_sym_const] = ACTIONS(1477),
    [anon_sym_constexpr] = ACTIONS(1477),
    [anon_sym_volatile] = ACTIONS(1477),
    [anon_sym_restrict] = ACTIONS(1477),
    [anon_sym___restrict__] = ACTIONS(1477),
    [anon_sym__Atomic] = ACTIONS(1477),
    [anon_sym__Noreturn] = ACTIONS(1477),
    [anon_sym_noreturn] = ACTIONS(1477),
    [sym_primitive_type] = ACTIONS(1477),
    [anon_sym_enum] = ACTIONS(1477),
    [anon_sym_struct] = ACTIONS(1477),
    [anon_sym_union] = ACTIONS(1477),
    [anon_sym_if] = ACTIONS(1477),
    [anon_sym_else] = ACTIONS(1477),
    [anon_sym_switch] = ACTIONS(1477),
    [anon_sym_case] = ACTIONS(1477),
    [anon_sym_default] = ACTIONS(1477),
    [anon_sym_while] = ACTIONS(1477),
    [anon_sym_do] = ACTIONS(1477),
    [anon_sym_for] = ACTIONS(1477),
    [anon_sym_return] = ACTIONS(1477),
    [anon_sym_break] = ACTIONS(1477),
    [anon_sym_continue] = ACTIONS(1477),
    [anon_sym_goto] = ACTIONS(1477),
    [anon_sym___try] = ACTIONS(1477),
    [anon_sym___leave] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1479),
    [anon_sym_PLUS_PLUS] = ACTIONS(1479),
    [anon_sym_sizeof] = ACTIONS(1477),
    [anon_sym___alignof__] = ACTIONS(1477),
    [anon_sym___alignof] = ACTIONS(1477),
    [anon_sym__alignof] = ACTIONS(1477),
    [anon_sym_alignof] = ACTIONS(1477),
    [anon_sym__Alignof] = ACTIONS(1477),
    [anon_sym_offsetof] = ACTIONS(1477),
    [anon_sym__Generic] = ACTIONS(1477),
    [anon_sym_asm] = ACTIONS(1477),
    [anon_sym___asm__] = ACTIONS(1477),
    [sym_number_literal] = ACTIONS(1479),
    [anon_sym_L_SQUOTE] = ACTIONS(1479),
    [anon_sym_u_SQUOTE] = ACTIONS(1479),
    [anon_sym_U_SQUOTE] = ACTIONS(1479),
    [anon_sym_u8_SQUOTE] = ACTIONS(1479),
    [anon_sym_SQUOTE] = ACTIONS(1479),
    [anon_sym_L_DQUOTE] = ACTIONS(1479),
    [anon_sym_u_DQUOTE] = ACTIONS(1479),
    [anon_sym_U_DQUOTE] = ACTIONS(1479),
    [anon_sym_u8_DQUOTE] = ACTIONS(1479),
    [anon_sym_DQUOTE] = ACTIONS(1479),
    [sym_true] = ACTIONS(1477),
    [sym_false] = ACTIONS(1477),
    [anon_sym_NULL] = ACTIONS(1477),
    [anon_sym_nullptr] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1477),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1477),
    [anon_sym_hitAttributeEXT] = ACTIONS(1477),
    [anon_sym_callableDataEXT] = ACTIONS(1477),
    [anon_sym_callableDataInEXT] = ACTIONS(1477),
    [anon_sym_shaderRecordEXT] = ACTIONS(1477),
    [anon_sym_rayPayloadNV] = ACTIONS(1477),
    [anon_sym_rayPayloadInNV] = ACTIONS(1477),
    [anon_sym_hitAttributeNV] = ACTIONS(1477),
    [anon_sym_callableDataNV] = ACTIONS(1477),
    [anon_sym_callableDataInNV] = ACTIONS(1477),
    [anon_sym_shaderRecordNV] = ACTIONS(1477),
    [anon_sym_layout] = ACTIONS(1477),
  },
  [422] = {
    [sym_identifier] = ACTIONS(1477),
    [aux_sym_preproc_include_token1] = ACTIONS(1477),
    [aux_sym_preproc_def_token1] = ACTIONS(1477),
    [aux_sym_preproc_if_token1] = ACTIONS(1477),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1477),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1477),
    [sym_preproc_directive] = ACTIONS(1477),
    [anon_sym_LPAREN2] = ACTIONS(1479),
    [anon_sym_BANG] = ACTIONS(1479),
    [anon_sym_TILDE] = ACTIONS(1479),
    [anon_sym_DASH] = ACTIONS(1477),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_AMP] = ACTIONS(1479),
    [anon_sym_subroutine] = ACTIONS(1477),
    [anon_sym_invariant] = ACTIONS(1477),
    [anon_sym_precise] = ACTIONS(1477),
    [anon_sym_SEMI] = ACTIONS(1479),
    [anon_sym_in] = ACTIONS(1477),
    [anon_sym_out] = ACTIONS(1477),
    [anon_sym_inout] = ACTIONS(1477),
    [anon_sym_uniform] = ACTIONS(1477),
    [anon_sym_shared] = ACTIONS(1477),
    [anon_sym_attribute] = ACTIONS(1477),
    [anon_sym_varying] = ACTIONS(1477),
    [anon_sym_buffer] = ACTIONS(1477),
    [anon_sym_coherent] = ACTIONS(1477),
    [anon_sym_readonly] = ACTIONS(1477),
    [anon_sym_writeonly] = ACTIONS(1477),
    [anon_sym_precision] = ACTIONS(1477),
    [anon_sym_highp] = ACTIONS(1477),
    [anon_sym_mediump] = ACTIONS(1477),
    [anon_sym_lowp] = ACTIONS(1477),
    [anon_sym_centroid] = ACTIONS(1477),
    [anon_sym_sample] = ACTIONS(1477),
    [anon_sym_patch] = ACTIONS(1477),
    [anon_sym_smooth] = ACTIONS(1477),
    [anon_sym_flat] = ACTIONS(1477),
    [anon_sym_noperspective] = ACTIONS(1477),
    [anon_sym___extension__] = ACTIONS(1477),
    [anon_sym_typedef] = ACTIONS(1477),
    [anon_sym_extern] = ACTIONS(1477),
    [anon_sym___attribute__] = ACTIONS(1477),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1479),
    [anon_sym___declspec] = ACTIONS(1477),
    [anon_sym___cdecl] = ACTIONS(1477),
    [anon_sym___clrcall] = ACTIONS(1477),
    [anon_sym___stdcall] = ACTIONS(1477),
    [anon_sym___fastcall] = ACTIONS(1477),
    [anon_sym___thiscall] = ACTIONS(1477),
    [anon_sym___vectorcall] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(1479),
    [anon_sym_RBRACE] = ACTIONS(1479),
    [anon_sym_signed] = ACTIONS(1477),
    [anon_sym_unsigned] = ACTIONS(1477),
    [anon_sym_long] = ACTIONS(1477),
    [anon_sym_short] = ACTIONS(1477),
    [anon_sym_static] = ACTIONS(1477),
    [anon_sym_auto] = ACTIONS(1477),
    [anon_sym_register] = ACTIONS(1477),
    [anon_sym_inline] = ACTIONS(1477),
    [anon_sym___inline] = ACTIONS(1477),
    [anon_sym___inline__] = ACTIONS(1477),
    [anon_sym___forceinline] = ACTIONS(1477),
    [anon_sym_thread_local] = ACTIONS(1477),
    [anon_sym___thread] = ACTIONS(1477),
    [anon_sym_const] = ACTIONS(1477),
    [anon_sym_constexpr] = ACTIONS(1477),
    [anon_sym_volatile] = ACTIONS(1477),
    [anon_sym_restrict] = ACTIONS(1477),
    [anon_sym___restrict__] = ACTIONS(1477),
    [anon_sym__Atomic] = ACTIONS(1477),
    [anon_sym__Noreturn] = ACTIONS(1477),
    [anon_sym_noreturn] = ACTIONS(1477),
    [sym_primitive_type] = ACTIONS(1477),
    [anon_sym_enum] = ACTIONS(1477),
    [anon_sym_struct] = ACTIONS(1477),
    [anon_sym_union] = ACTIONS(1477),
    [anon_sym_if] = ACTIONS(1477),
    [anon_sym_else] = ACTIONS(1477),
    [anon_sym_switch] = ACTIONS(1477),
    [anon_sym_case] = ACTIONS(1477),
    [anon_sym_default] = ACTIONS(1477),
    [anon_sym_while] = ACTIONS(1477),
    [anon_sym_do] = ACTIONS(1477),
    [anon_sym_for] = ACTIONS(1477),
    [anon_sym_return] = ACTIONS(1477),
    [anon_sym_break] = ACTIONS(1477),
    [anon_sym_continue] = ACTIONS(1477),
    [anon_sym_goto] = ACTIONS(1477),
    [anon_sym___try] = ACTIONS(1477),
    [anon_sym___leave] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1479),
    [anon_sym_PLUS_PLUS] = ACTIONS(1479),
    [anon_sym_sizeof] = ACTIONS(1477),
    [anon_sym___alignof__] = ACTIONS(1477),
    [anon_sym___alignof] = ACTIONS(1477),
    [anon_sym__alignof] = ACTIONS(1477),
    [anon_sym_alignof] = ACTIONS(1477),
    [anon_sym__Alignof] = ACTIONS(1477),
    [anon_sym_offsetof] = ACTIONS(1477),
    [anon_sym__Generic] = ACTIONS(1477),
    [anon_sym_asm] = ACTIONS(1477),
    [anon_sym___asm__] = ACTIONS(1477),
    [sym_number_literal] = ACTIONS(1479),
    [anon_sym_L_SQUOTE] = ACTIONS(1479),
    [anon_sym_u_SQUOTE] = ACTIONS(1479),
    [anon_sym_U_SQUOTE] = ACTIONS(1479),
    [anon_sym_u8_SQUOTE] = ACTIONS(1479),
    [anon_sym_SQUOTE] = ACTIONS(1479),
    [anon_sym_L_DQUOTE] = ACTIONS(1479),
    [anon_sym_u_DQUOTE] = ACTIONS(1479),
    [anon_sym_U_DQUOTE] = ACTIONS(1479),
    [anon_sym_u8_DQUOTE] = ACTIONS(1479),
    [anon_sym_DQUOTE] = ACTIONS(1479),
    [sym_true] = ACTIONS(1477),
    [sym_false] = ACTIONS(1477),
    [anon_sym_NULL] = ACTIONS(1477),
    [anon_sym_nullptr] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1477),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1477),
    [anon_sym_hitAttributeEXT] = ACTIONS(1477),
    [anon_sym_callableDataEXT] = ACTIONS(1477),
    [anon_sym_callableDataInEXT] = ACTIONS(1477),
    [anon_sym_shaderRecordEXT] = ACTIONS(1477),
    [anon_sym_rayPayloadNV] = ACTIONS(1477),
    [anon_sym_rayPayloadInNV] = ACTIONS(1477),
    [anon_sym_hitAttributeNV] = ACTIONS(1477),
    [anon_sym_callableDataNV] = ACTIONS(1477),
    [anon_sym_callableDataInNV] = ACTIONS(1477),
    [anon_sym_shaderRecordNV] = ACTIONS(1477),
    [anon_sym_layout] = ACTIONS(1477),
  },
  [423] = {
    [sym_identifier] = ACTIONS(1469),
    [aux_sym_preproc_include_token1] = ACTIONS(1469),
    [aux_sym_preproc_def_token1] = ACTIONS(1469),
    [aux_sym_preproc_if_token1] = ACTIONS(1469),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1469),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1469),
    [sym_preproc_directive] = ACTIONS(1469),
    [anon_sym_LPAREN2] = ACTIONS(1471),
    [anon_sym_BANG] = ACTIONS(1471),
    [anon_sym_TILDE] = ACTIONS(1471),
    [anon_sym_DASH] = ACTIONS(1469),
    [anon_sym_PLUS] = ACTIONS(1469),
    [anon_sym_STAR] = ACTIONS(1471),
    [anon_sym_AMP] = ACTIONS(1471),
    [anon_sym_subroutine] = ACTIONS(1469),
    [anon_sym_invariant] = ACTIONS(1469),
    [anon_sym_precise] = ACTIONS(1469),
    [anon_sym_SEMI] = ACTIONS(1471),
    [anon_sym_in] = ACTIONS(1469),
    [anon_sym_out] = ACTIONS(1469),
    [anon_sym_inout] = ACTIONS(1469),
    [anon_sym_uniform] = ACTIONS(1469),
    [anon_sym_shared] = ACTIONS(1469),
    [anon_sym_attribute] = ACTIONS(1469),
    [anon_sym_varying] = ACTIONS(1469),
    [anon_sym_buffer] = ACTIONS(1469),
    [anon_sym_coherent] = ACTIONS(1469),
    [anon_sym_readonly] = ACTIONS(1469),
    [anon_sym_writeonly] = ACTIONS(1469),
    [anon_sym_precision] = ACTIONS(1469),
    [anon_sym_highp] = ACTIONS(1469),
    [anon_sym_mediump] = ACTIONS(1469),
    [anon_sym_lowp] = ACTIONS(1469),
    [anon_sym_centroid] = ACTIONS(1469),
    [anon_sym_sample] = ACTIONS(1469),
    [anon_sym_patch] = ACTIONS(1469),
    [anon_sym_smooth] = ACTIONS(1469),
    [anon_sym_flat] = ACTIONS(1469),
    [anon_sym_noperspective] = ACTIONS(1469),
    [anon_sym___extension__] = ACTIONS(1469),
    [anon_sym_typedef] = ACTIONS(1469),
    [anon_sym_extern] = ACTIONS(1469),
    [anon_sym___attribute__] = ACTIONS(1469),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1471),
    [anon_sym___declspec] = ACTIONS(1469),
    [anon_sym___cdecl] = ACTIONS(1469),
    [anon_sym___clrcall] = ACTIONS(1469),
    [anon_sym___stdcall] = ACTIONS(1469),
    [anon_sym___fastcall] = ACTIONS(1469),
    [anon_sym___thiscall] = ACTIONS(1469),
    [anon_sym___vectorcall] = ACTIONS(1469),
    [anon_sym_LBRACE] = ACTIONS(1471),
    [anon_sym_RBRACE] = ACTIONS(1471),
    [anon_sym_signed] = ACTIONS(1469),
    [anon_sym_unsigned] = ACTIONS(1469),
    [anon_sym_long] = ACTIONS(1469),
    [anon_sym_short] = ACTIONS(1469),
    [anon_sym_static] = ACTIONS(1469),
    [anon_sym_auto] = ACTIONS(1469),
    [anon_sym_register] = ACTIONS(1469),
    [anon_sym_inline] = ACTIONS(1469),
    [anon_sym___inline] = ACTIONS(1469),
    [anon_sym___inline__] = ACTIONS(1469),
    [anon_sym___forceinline] = ACTIONS(1469),
    [anon_sym_thread_local] = ACTIONS(1469),
    [anon_sym___thread] = ACTIONS(1469),
    [anon_sym_const] = ACTIONS(1469),
    [anon_sym_constexpr] = ACTIONS(1469),
    [anon_sym_volatile] = ACTIONS(1469),
    [anon_sym_restrict] = ACTIONS(1469),
    [anon_sym___restrict__] = ACTIONS(1469),
    [anon_sym__Atomic] = ACTIONS(1469),
    [anon_sym__Noreturn] = ACTIONS(1469),
    [anon_sym_noreturn] = ACTIONS(1469),
    [sym_primitive_type] = ACTIONS(1469),
    [anon_sym_enum] = ACTIONS(1469),
    [anon_sym_struct] = ACTIONS(1469),
    [anon_sym_union] = ACTIONS(1469),
    [anon_sym_if] = ACTIONS(1469),
    [anon_sym_else] = ACTIONS(1469),
    [anon_sym_switch] = ACTIONS(1469),
    [anon_sym_case] = ACTIONS(1469),
    [anon_sym_default] = ACTIONS(1469),
    [anon_sym_while] = ACTIONS(1469),
    [anon_sym_do] = ACTIONS(1469),
    [anon_sym_for] = ACTIONS(1469),
    [anon_sym_return] = ACTIONS(1469),
    [anon_sym_break] = ACTIONS(1469),
    [anon_sym_continue] = ACTIONS(1469),
    [anon_sym_goto] = ACTIONS(1469),
    [anon_sym___try] = ACTIONS(1469),
    [anon_sym___leave] = ACTIONS(1469),
    [anon_sym_DASH_DASH] = ACTIONS(1471),
    [anon_sym_PLUS_PLUS] = ACTIONS(1471),
    [anon_sym_sizeof] = ACTIONS(1469),
    [anon_sym___alignof__] = ACTIONS(1469),
    [anon_sym___alignof] = ACTIONS(1469),
    [anon_sym__alignof] = ACTIONS(1469),
    [anon_sym_alignof] = ACTIONS(1469),
    [anon_sym__Alignof] = ACTIONS(1469),
    [anon_sym_offsetof] = ACTIONS(1469),
    [anon_sym__Generic] = ACTIONS(1469),
    [anon_sym_asm] = ACTIONS(1469),
    [anon_sym___asm__] = ACTIONS(1469),
    [sym_number_literal] = ACTIONS(1471),
    [anon_sym_L_SQUOTE] = ACTIONS(1471),
    [anon_sym_u_SQUOTE] = ACTIONS(1471),
    [anon_sym_U_SQUOTE] = ACTIONS(1471),
    [anon_sym_u8_SQUOTE] = ACTIONS(1471),
    [anon_sym_SQUOTE] = ACTIONS(1471),
    [anon_sym_L_DQUOTE] = ACTIONS(1471),
    [anon_sym_u_DQUOTE] = ACTIONS(1471),
    [anon_sym_U_DQUOTE] = ACTIONS(1471),
    [anon_sym_u8_DQUOTE] = ACTIONS(1471),
    [anon_sym_DQUOTE] = ACTIONS(1471),
    [sym_true] = ACTIONS(1469),
    [sym_false] = ACTIONS(1469),
    [anon_sym_NULL] = ACTIONS(1469),
    [anon_sym_nullptr] = ACTIONS(1469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1469),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1469),
    [anon_sym_hitAttributeEXT] = ACTIONS(1469),
    [anon_sym_callableDataEXT] = ACTIONS(1469),
    [anon_sym_callableDataInEXT] = ACTIONS(1469),
    [anon_sym_shaderRecordEXT] = ACTIONS(1469),
    [anon_sym_rayPayloadNV] = ACTIONS(1469),
    [anon_sym_rayPayloadInNV] = ACTIONS(1469),
    [anon_sym_hitAttributeNV] = ACTIONS(1469),
    [anon_sym_callableDataNV] = ACTIONS(1469),
    [anon_sym_callableDataInNV] = ACTIONS(1469),
    [anon_sym_shaderRecordNV] = ACTIONS(1469),
    [anon_sym_layout] = ACTIONS(1469),
  },
  [424] = {
    [sym_identifier] = ACTIONS(1469),
    [aux_sym_preproc_include_token1] = ACTIONS(1469),
    [aux_sym_preproc_def_token1] = ACTIONS(1469),
    [aux_sym_preproc_if_token1] = ACTIONS(1469),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1469),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1469),
    [sym_preproc_directive] = ACTIONS(1469),
    [anon_sym_LPAREN2] = ACTIONS(1471),
    [anon_sym_BANG] = ACTIONS(1471),
    [anon_sym_TILDE] = ACTIONS(1471),
    [anon_sym_DASH] = ACTIONS(1469),
    [anon_sym_PLUS] = ACTIONS(1469),
    [anon_sym_STAR] = ACTIONS(1471),
    [anon_sym_AMP] = ACTIONS(1471),
    [anon_sym_subroutine] = ACTIONS(1469),
    [anon_sym_invariant] = ACTIONS(1469),
    [anon_sym_precise] = ACTIONS(1469),
    [anon_sym_SEMI] = ACTIONS(1471),
    [anon_sym_in] = ACTIONS(1469),
    [anon_sym_out] = ACTIONS(1469),
    [anon_sym_inout] = ACTIONS(1469),
    [anon_sym_uniform] = ACTIONS(1469),
    [anon_sym_shared] = ACTIONS(1469),
    [anon_sym_attribute] = ACTIONS(1469),
    [anon_sym_varying] = ACTIONS(1469),
    [anon_sym_buffer] = ACTIONS(1469),
    [anon_sym_coherent] = ACTIONS(1469),
    [anon_sym_readonly] = ACTIONS(1469),
    [anon_sym_writeonly] = ACTIONS(1469),
    [anon_sym_precision] = ACTIONS(1469),
    [anon_sym_highp] = ACTIONS(1469),
    [anon_sym_mediump] = ACTIONS(1469),
    [anon_sym_lowp] = ACTIONS(1469),
    [anon_sym_centroid] = ACTIONS(1469),
    [anon_sym_sample] = ACTIONS(1469),
    [anon_sym_patch] = ACTIONS(1469),
    [anon_sym_smooth] = ACTIONS(1469),
    [anon_sym_flat] = ACTIONS(1469),
    [anon_sym_noperspective] = ACTIONS(1469),
    [anon_sym___extension__] = ACTIONS(1469),
    [anon_sym_typedef] = ACTIONS(1469),
    [anon_sym_extern] = ACTIONS(1469),
    [anon_sym___attribute__] = ACTIONS(1469),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1471),
    [anon_sym___declspec] = ACTIONS(1469),
    [anon_sym___cdecl] = ACTIONS(1469),
    [anon_sym___clrcall] = ACTIONS(1469),
    [anon_sym___stdcall] = ACTIONS(1469),
    [anon_sym___fastcall] = ACTIONS(1469),
    [anon_sym___thiscall] = ACTIONS(1469),
    [anon_sym___vectorcall] = ACTIONS(1469),
    [anon_sym_LBRACE] = ACTIONS(1471),
    [anon_sym_RBRACE] = ACTIONS(1471),
    [anon_sym_signed] = ACTIONS(1469),
    [anon_sym_unsigned] = ACTIONS(1469),
    [anon_sym_long] = ACTIONS(1469),
    [anon_sym_short] = ACTIONS(1469),
    [anon_sym_static] = ACTIONS(1469),
    [anon_sym_auto] = ACTIONS(1469),
    [anon_sym_register] = ACTIONS(1469),
    [anon_sym_inline] = ACTIONS(1469),
    [anon_sym___inline] = ACTIONS(1469),
    [anon_sym___inline__] = ACTIONS(1469),
    [anon_sym___forceinline] = ACTIONS(1469),
    [anon_sym_thread_local] = ACTIONS(1469),
    [anon_sym___thread] = ACTIONS(1469),
    [anon_sym_const] = ACTIONS(1469),
    [anon_sym_constexpr] = ACTIONS(1469),
    [anon_sym_volatile] = ACTIONS(1469),
    [anon_sym_restrict] = ACTIONS(1469),
    [anon_sym___restrict__] = ACTIONS(1469),
    [anon_sym__Atomic] = ACTIONS(1469),
    [anon_sym__Noreturn] = ACTIONS(1469),
    [anon_sym_noreturn] = ACTIONS(1469),
    [sym_primitive_type] = ACTIONS(1469),
    [anon_sym_enum] = ACTIONS(1469),
    [anon_sym_struct] = ACTIONS(1469),
    [anon_sym_union] = ACTIONS(1469),
    [anon_sym_if] = ACTIONS(1469),
    [anon_sym_else] = ACTIONS(1469),
    [anon_sym_switch] = ACTIONS(1469),
    [anon_sym_case] = ACTIONS(1469),
    [anon_sym_default] = ACTIONS(1469),
    [anon_sym_while] = ACTIONS(1469),
    [anon_sym_do] = ACTIONS(1469),
    [anon_sym_for] = ACTIONS(1469),
    [anon_sym_return] = ACTIONS(1469),
    [anon_sym_break] = ACTIONS(1469),
    [anon_sym_continue] = ACTIONS(1469),
    [anon_sym_goto] = ACTIONS(1469),
    [anon_sym___try] = ACTIONS(1469),
    [anon_sym___leave] = ACTIONS(1469),
    [anon_sym_DASH_DASH] = ACTIONS(1471),
    [anon_sym_PLUS_PLUS] = ACTIONS(1471),
    [anon_sym_sizeof] = ACTIONS(1469),
    [anon_sym___alignof__] = ACTIONS(1469),
    [anon_sym___alignof] = ACTIONS(1469),
    [anon_sym__alignof] = ACTIONS(1469),
    [anon_sym_alignof] = ACTIONS(1469),
    [anon_sym__Alignof] = ACTIONS(1469),
    [anon_sym_offsetof] = ACTIONS(1469),
    [anon_sym__Generic] = ACTIONS(1469),
    [anon_sym_asm] = ACTIONS(1469),
    [anon_sym___asm__] = ACTIONS(1469),
    [sym_number_literal] = ACTIONS(1471),
    [anon_sym_L_SQUOTE] = ACTIONS(1471),
    [anon_sym_u_SQUOTE] = ACTIONS(1471),
    [anon_sym_U_SQUOTE] = ACTIONS(1471),
    [anon_sym_u8_SQUOTE] = ACTIONS(1471),
    [anon_sym_SQUOTE] = ACTIONS(1471),
    [anon_sym_L_DQUOTE] = ACTIONS(1471),
    [anon_sym_u_DQUOTE] = ACTIONS(1471),
    [anon_sym_U_DQUOTE] = ACTIONS(1471),
    [anon_sym_u8_DQUOTE] = ACTIONS(1471),
    [anon_sym_DQUOTE] = ACTIONS(1471),
    [sym_true] = ACTIONS(1469),
    [sym_false] = ACTIONS(1469),
    [anon_sym_NULL] = ACTIONS(1469),
    [anon_sym_nullptr] = ACTIONS(1469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1469),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1469),
    [anon_sym_hitAttributeEXT] = ACTIONS(1469),
    [anon_sym_callableDataEXT] = ACTIONS(1469),
    [anon_sym_callableDataInEXT] = ACTIONS(1469),
    [anon_sym_shaderRecordEXT] = ACTIONS(1469),
    [anon_sym_rayPayloadNV] = ACTIONS(1469),
    [anon_sym_rayPayloadInNV] = ACTIONS(1469),
    [anon_sym_hitAttributeNV] = ACTIONS(1469),
    [anon_sym_callableDataNV] = ACTIONS(1469),
    [anon_sym_callableDataInNV] = ACTIONS(1469),
    [anon_sym_shaderRecordNV] = ACTIONS(1469),
    [anon_sym_layout] = ACTIONS(1469),
  },
  [425] = {
    [sym_identifier] = ACTIONS(1465),
    [aux_sym_preproc_include_token1] = ACTIONS(1465),
    [aux_sym_preproc_def_token1] = ACTIONS(1465),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1465),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1465),
    [sym_preproc_directive] = ACTIONS(1465),
    [anon_sym_LPAREN2] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1467),
    [anon_sym_TILDE] = ACTIONS(1467),
    [anon_sym_DASH] = ACTIONS(1465),
    [anon_sym_PLUS] = ACTIONS(1465),
    [anon_sym_STAR] = ACTIONS(1467),
    [anon_sym_AMP] = ACTIONS(1467),
    [anon_sym_subroutine] = ACTIONS(1465),
    [anon_sym_invariant] = ACTIONS(1465),
    [anon_sym_precise] = ACTIONS(1465),
    [anon_sym_SEMI] = ACTIONS(1467),
    [anon_sym_in] = ACTIONS(1465),
    [anon_sym_out] = ACTIONS(1465),
    [anon_sym_inout] = ACTIONS(1465),
    [anon_sym_uniform] = ACTIONS(1465),
    [anon_sym_shared] = ACTIONS(1465),
    [anon_sym_attribute] = ACTIONS(1465),
    [anon_sym_varying] = ACTIONS(1465),
    [anon_sym_buffer] = ACTIONS(1465),
    [anon_sym_coherent] = ACTIONS(1465),
    [anon_sym_readonly] = ACTIONS(1465),
    [anon_sym_writeonly] = ACTIONS(1465),
    [anon_sym_precision] = ACTIONS(1465),
    [anon_sym_highp] = ACTIONS(1465),
    [anon_sym_mediump] = ACTIONS(1465),
    [anon_sym_lowp] = ACTIONS(1465),
    [anon_sym_centroid] = ACTIONS(1465),
    [anon_sym_sample] = ACTIONS(1465),
    [anon_sym_patch] = ACTIONS(1465),
    [anon_sym_smooth] = ACTIONS(1465),
    [anon_sym_flat] = ACTIONS(1465),
    [anon_sym_noperspective] = ACTIONS(1465),
    [anon_sym___extension__] = ACTIONS(1465),
    [anon_sym_typedef] = ACTIONS(1465),
    [anon_sym_extern] = ACTIONS(1465),
    [anon_sym___attribute__] = ACTIONS(1465),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1467),
    [anon_sym___declspec] = ACTIONS(1465),
    [anon_sym___cdecl] = ACTIONS(1465),
    [anon_sym___clrcall] = ACTIONS(1465),
    [anon_sym___stdcall] = ACTIONS(1465),
    [anon_sym___fastcall] = ACTIONS(1465),
    [anon_sym___thiscall] = ACTIONS(1465),
    [anon_sym___vectorcall] = ACTIONS(1465),
    [anon_sym_LBRACE] = ACTIONS(1467),
    [anon_sym_RBRACE] = ACTIONS(1467),
    [anon_sym_signed] = ACTIONS(1465),
    [anon_sym_unsigned] = ACTIONS(1465),
    [anon_sym_long] = ACTIONS(1465),
    [anon_sym_short] = ACTIONS(1465),
    [anon_sym_static] = ACTIONS(1465),
    [anon_sym_auto] = ACTIONS(1465),
    [anon_sym_register] = ACTIONS(1465),
    [anon_sym_inline] = ACTIONS(1465),
    [anon_sym___inline] = ACTIONS(1465),
    [anon_sym___inline__] = ACTIONS(1465),
    [anon_sym___forceinline] = ACTIONS(1465),
    [anon_sym_thread_local] = ACTIONS(1465),
    [anon_sym___thread] = ACTIONS(1465),
    [anon_sym_const] = ACTIONS(1465),
    [anon_sym_constexpr] = ACTIONS(1465),
    [anon_sym_volatile] = ACTIONS(1465),
    [anon_sym_restrict] = ACTIONS(1465),
    [anon_sym___restrict__] = ACTIONS(1465),
    [anon_sym__Atomic] = ACTIONS(1465),
    [anon_sym__Noreturn] = ACTIONS(1465),
    [anon_sym_noreturn] = ACTIONS(1465),
    [sym_primitive_type] = ACTIONS(1465),
    [anon_sym_enum] = ACTIONS(1465),
    [anon_sym_struct] = ACTIONS(1465),
    [anon_sym_union] = ACTIONS(1465),
    [anon_sym_if] = ACTIONS(1465),
    [anon_sym_else] = ACTIONS(1465),
    [anon_sym_switch] = ACTIONS(1465),
    [anon_sym_case] = ACTIONS(1465),
    [anon_sym_default] = ACTIONS(1465),
    [anon_sym_while] = ACTIONS(1465),
    [anon_sym_do] = ACTIONS(1465),
    [anon_sym_for] = ACTIONS(1465),
    [anon_sym_return] = ACTIONS(1465),
    [anon_sym_break] = ACTIONS(1465),
    [anon_sym_continue] = ACTIONS(1465),
    [anon_sym_goto] = ACTIONS(1465),
    [anon_sym___try] = ACTIONS(1465),
    [anon_sym___leave] = ACTIONS(1465),
    [anon_sym_DASH_DASH] = ACTIONS(1467),
    [anon_sym_PLUS_PLUS] = ACTIONS(1467),
    [anon_sym_sizeof] = ACTIONS(1465),
    [anon_sym___alignof__] = ACTIONS(1465),
    [anon_sym___alignof] = ACTIONS(1465),
    [anon_sym__alignof] = ACTIONS(1465),
    [anon_sym_alignof] = ACTIONS(1465),
    [anon_sym__Alignof] = ACTIONS(1465),
    [anon_sym_offsetof] = ACTIONS(1465),
    [anon_sym__Generic] = ACTIONS(1465),
    [anon_sym_asm] = ACTIONS(1465),
    [anon_sym___asm__] = ACTIONS(1465),
    [sym_number_literal] = ACTIONS(1467),
    [anon_sym_L_SQUOTE] = ACTIONS(1467),
    [anon_sym_u_SQUOTE] = ACTIONS(1467),
    [anon_sym_U_SQUOTE] = ACTIONS(1467),
    [anon_sym_u8_SQUOTE] = ACTIONS(1467),
    [anon_sym_SQUOTE] = ACTIONS(1467),
    [anon_sym_L_DQUOTE] = ACTIONS(1467),
    [anon_sym_u_DQUOTE] = ACTIONS(1467),
    [anon_sym_U_DQUOTE] = ACTIONS(1467),
    [anon_sym_u8_DQUOTE] = ACTIONS(1467),
    [anon_sym_DQUOTE] = ACTIONS(1467),
    [sym_true] = ACTIONS(1465),
    [sym_false] = ACTIONS(1465),
    [anon_sym_NULL] = ACTIONS(1465),
    [anon_sym_nullptr] = ACTIONS(1465),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1465),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1465),
    [anon_sym_hitAttributeEXT] = ACTIONS(1465),
    [anon_sym_callableDataEXT] = ACTIONS(1465),
    [anon_sym_callableDataInEXT] = ACTIONS(1465),
    [anon_sym_shaderRecordEXT] = ACTIONS(1465),
    [anon_sym_rayPayloadNV] = ACTIONS(1465),
    [anon_sym_rayPayloadInNV] = ACTIONS(1465),
    [anon_sym_hitAttributeNV] = ACTIONS(1465),
    [anon_sym_callableDataNV] = ACTIONS(1465),
    [anon_sym_callableDataInNV] = ACTIONS(1465),
    [anon_sym_shaderRecordNV] = ACTIONS(1465),
    [anon_sym_layout] = ACTIONS(1465),
  },
  [426] = {
    [sym_identifier] = ACTIONS(1461),
    [aux_sym_preproc_include_token1] = ACTIONS(1461),
    [aux_sym_preproc_def_token1] = ACTIONS(1461),
    [aux_sym_preproc_if_token1] = ACTIONS(1461),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1461),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1461),
    [sym_preproc_directive] = ACTIONS(1461),
    [anon_sym_LPAREN2] = ACTIONS(1463),
    [anon_sym_BANG] = ACTIONS(1463),
    [anon_sym_TILDE] = ACTIONS(1463),
    [anon_sym_DASH] = ACTIONS(1461),
    [anon_sym_PLUS] = ACTIONS(1461),
    [anon_sym_STAR] = ACTIONS(1463),
    [anon_sym_AMP] = ACTIONS(1463),
    [anon_sym_subroutine] = ACTIONS(1461),
    [anon_sym_invariant] = ACTIONS(1461),
    [anon_sym_precise] = ACTIONS(1461),
    [anon_sym_SEMI] = ACTIONS(1463),
    [anon_sym_in] = ACTIONS(1461),
    [anon_sym_out] = ACTIONS(1461),
    [anon_sym_inout] = ACTIONS(1461),
    [anon_sym_uniform] = ACTIONS(1461),
    [anon_sym_shared] = ACTIONS(1461),
    [anon_sym_attribute] = ACTIONS(1461),
    [anon_sym_varying] = ACTIONS(1461),
    [anon_sym_buffer] = ACTIONS(1461),
    [anon_sym_coherent] = ACTIONS(1461),
    [anon_sym_readonly] = ACTIONS(1461),
    [anon_sym_writeonly] = ACTIONS(1461),
    [anon_sym_precision] = ACTIONS(1461),
    [anon_sym_highp] = ACTIONS(1461),
    [anon_sym_mediump] = ACTIONS(1461),
    [anon_sym_lowp] = ACTIONS(1461),
    [anon_sym_centroid] = ACTIONS(1461),
    [anon_sym_sample] = ACTIONS(1461),
    [anon_sym_patch] = ACTIONS(1461),
    [anon_sym_smooth] = ACTIONS(1461),
    [anon_sym_flat] = ACTIONS(1461),
    [anon_sym_noperspective] = ACTIONS(1461),
    [anon_sym___extension__] = ACTIONS(1461),
    [anon_sym_typedef] = ACTIONS(1461),
    [anon_sym_extern] = ACTIONS(1461),
    [anon_sym___attribute__] = ACTIONS(1461),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1463),
    [anon_sym___declspec] = ACTIONS(1461),
    [anon_sym___cdecl] = ACTIONS(1461),
    [anon_sym___clrcall] = ACTIONS(1461),
    [anon_sym___stdcall] = ACTIONS(1461),
    [anon_sym___fastcall] = ACTIONS(1461),
    [anon_sym___thiscall] = ACTIONS(1461),
    [anon_sym___vectorcall] = ACTIONS(1461),
    [anon_sym_LBRACE] = ACTIONS(1463),
    [anon_sym_RBRACE] = ACTIONS(1463),
    [anon_sym_signed] = ACTIONS(1461),
    [anon_sym_unsigned] = ACTIONS(1461),
    [anon_sym_long] = ACTIONS(1461),
    [anon_sym_short] = ACTIONS(1461),
    [anon_sym_static] = ACTIONS(1461),
    [anon_sym_auto] = ACTIONS(1461),
    [anon_sym_register] = ACTIONS(1461),
    [anon_sym_inline] = ACTIONS(1461),
    [anon_sym___inline] = ACTIONS(1461),
    [anon_sym___inline__] = ACTIONS(1461),
    [anon_sym___forceinline] = ACTIONS(1461),
    [anon_sym_thread_local] = ACTIONS(1461),
    [anon_sym___thread] = ACTIONS(1461),
    [anon_sym_const] = ACTIONS(1461),
    [anon_sym_constexpr] = ACTIONS(1461),
    [anon_sym_volatile] = ACTIONS(1461),
    [anon_sym_restrict] = ACTIONS(1461),
    [anon_sym___restrict__] = ACTIONS(1461),
    [anon_sym__Atomic] = ACTIONS(1461),
    [anon_sym__Noreturn] = ACTIONS(1461),
    [anon_sym_noreturn] = ACTIONS(1461),
    [sym_primitive_type] = ACTIONS(1461),
    [anon_sym_enum] = ACTIONS(1461),
    [anon_sym_struct] = ACTIONS(1461),
    [anon_sym_union] = ACTIONS(1461),
    [anon_sym_if] = ACTIONS(1461),
    [anon_sym_else] = ACTIONS(1461),
    [anon_sym_switch] = ACTIONS(1461),
    [anon_sym_case] = ACTIONS(1461),
    [anon_sym_default] = ACTIONS(1461),
    [anon_sym_while] = ACTIONS(1461),
    [anon_sym_do] = ACTIONS(1461),
    [anon_sym_for] = ACTIONS(1461),
    [anon_sym_return] = ACTIONS(1461),
    [anon_sym_break] = ACTIONS(1461),
    [anon_sym_continue] = ACTIONS(1461),
    [anon_sym_goto] = ACTIONS(1461),
    [anon_sym___try] = ACTIONS(1461),
    [anon_sym___leave] = ACTIONS(1461),
    [anon_sym_DASH_DASH] = ACTIONS(1463),
    [anon_sym_PLUS_PLUS] = ACTIONS(1463),
    [anon_sym_sizeof] = ACTIONS(1461),
    [anon_sym___alignof__] = ACTIONS(1461),
    [anon_sym___alignof] = ACTIONS(1461),
    [anon_sym__alignof] = ACTIONS(1461),
    [anon_sym_alignof] = ACTIONS(1461),
    [anon_sym__Alignof] = ACTIONS(1461),
    [anon_sym_offsetof] = ACTIONS(1461),
    [anon_sym__Generic] = ACTIONS(1461),
    [anon_sym_asm] = ACTIONS(1461),
    [anon_sym___asm__] = ACTIONS(1461),
    [sym_number_literal] = ACTIONS(1463),
    [anon_sym_L_SQUOTE] = ACTIONS(1463),
    [anon_sym_u_SQUOTE] = ACTIONS(1463),
    [anon_sym_U_SQUOTE] = ACTIONS(1463),
    [anon_sym_u8_SQUOTE] = ACTIONS(1463),
    [anon_sym_SQUOTE] = ACTIONS(1463),
    [anon_sym_L_DQUOTE] = ACTIONS(1463),
    [anon_sym_u_DQUOTE] = ACTIONS(1463),
    [anon_sym_U_DQUOTE] = ACTIONS(1463),
    [anon_sym_u8_DQUOTE] = ACTIONS(1463),
    [anon_sym_DQUOTE] = ACTIONS(1463),
    [sym_true] = ACTIONS(1461),
    [sym_false] = ACTIONS(1461),
    [anon_sym_NULL] = ACTIONS(1461),
    [anon_sym_nullptr] = ACTIONS(1461),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1461),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1461),
    [anon_sym_hitAttributeEXT] = ACTIONS(1461),
    [anon_sym_callableDataEXT] = ACTIONS(1461),
    [anon_sym_callableDataInEXT] = ACTIONS(1461),
    [anon_sym_shaderRecordEXT] = ACTIONS(1461),
    [anon_sym_rayPayloadNV] = ACTIONS(1461),
    [anon_sym_rayPayloadInNV] = ACTIONS(1461),
    [anon_sym_hitAttributeNV] = ACTIONS(1461),
    [anon_sym_callableDataNV] = ACTIONS(1461),
    [anon_sym_callableDataInNV] = ACTIONS(1461),
    [anon_sym_shaderRecordNV] = ACTIONS(1461),
    [anon_sym_layout] = ACTIONS(1461),
  },
  [427] = {
    [ts_builtin_sym_end] = ACTIONS(1459),
    [sym_identifier] = ACTIONS(1457),
    [aux_sym_preproc_include_token1] = ACTIONS(1457),
    [aux_sym_preproc_def_token1] = ACTIONS(1457),
    [aux_sym_preproc_if_token1] = ACTIONS(1457),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1457),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1457),
    [sym_preproc_directive] = ACTIONS(1457),
    [anon_sym_LPAREN2] = ACTIONS(1459),
    [anon_sym_BANG] = ACTIONS(1459),
    [anon_sym_TILDE] = ACTIONS(1459),
    [anon_sym_DASH] = ACTIONS(1457),
    [anon_sym_PLUS] = ACTIONS(1457),
    [anon_sym_STAR] = ACTIONS(1459),
    [anon_sym_AMP] = ACTIONS(1459),
    [anon_sym_subroutine] = ACTIONS(1457),
    [anon_sym_invariant] = ACTIONS(1457),
    [anon_sym_precise] = ACTIONS(1457),
    [anon_sym_SEMI] = ACTIONS(1459),
    [anon_sym_in] = ACTIONS(1457),
    [anon_sym_out] = ACTIONS(1457),
    [anon_sym_inout] = ACTIONS(1457),
    [anon_sym_uniform] = ACTIONS(1457),
    [anon_sym_shared] = ACTIONS(1457),
    [anon_sym_attribute] = ACTIONS(1457),
    [anon_sym_varying] = ACTIONS(1457),
    [anon_sym_buffer] = ACTIONS(1457),
    [anon_sym_coherent] = ACTIONS(1457),
    [anon_sym_readonly] = ACTIONS(1457),
    [anon_sym_writeonly] = ACTIONS(1457),
    [anon_sym_precision] = ACTIONS(1457),
    [anon_sym_highp] = ACTIONS(1457),
    [anon_sym_mediump] = ACTIONS(1457),
    [anon_sym_lowp] = ACTIONS(1457),
    [anon_sym_centroid] = ACTIONS(1457),
    [anon_sym_sample] = ACTIONS(1457),
    [anon_sym_patch] = ACTIONS(1457),
    [anon_sym_smooth] = ACTIONS(1457),
    [anon_sym_flat] = ACTIONS(1457),
    [anon_sym_noperspective] = ACTIONS(1457),
    [anon_sym___extension__] = ACTIONS(1457),
    [anon_sym_typedef] = ACTIONS(1457),
    [anon_sym_extern] = ACTIONS(1457),
    [anon_sym___attribute__] = ACTIONS(1457),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1459),
    [anon_sym___declspec] = ACTIONS(1457),
    [anon_sym___cdecl] = ACTIONS(1457),
    [anon_sym___clrcall] = ACTIONS(1457),
    [anon_sym___stdcall] = ACTIONS(1457),
    [anon_sym___fastcall] = ACTIONS(1457),
    [anon_sym___thiscall] = ACTIONS(1457),
    [anon_sym___vectorcall] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(1459),
    [anon_sym_signed] = ACTIONS(1457),
    [anon_sym_unsigned] = ACTIONS(1457),
    [anon_sym_long] = ACTIONS(1457),
    [anon_sym_short] = ACTIONS(1457),
    [anon_sym_static] = ACTIONS(1457),
    [anon_sym_auto] = ACTIONS(1457),
    [anon_sym_register] = ACTIONS(1457),
    [anon_sym_inline] = ACTIONS(1457),
    [anon_sym___inline] = ACTIONS(1457),
    [anon_sym___inline__] = ACTIONS(1457),
    [anon_sym___forceinline] = ACTIONS(1457),
    [anon_sym_thread_local] = ACTIONS(1457),
    [anon_sym___thread] = ACTIONS(1457),
    [anon_sym_const] = ACTIONS(1457),
    [anon_sym_constexpr] = ACTIONS(1457),
    [anon_sym_volatile] = ACTIONS(1457),
    [anon_sym_restrict] = ACTIONS(1457),
    [anon_sym___restrict__] = ACTIONS(1457),
    [anon_sym__Atomic] = ACTIONS(1457),
    [anon_sym__Noreturn] = ACTIONS(1457),
    [anon_sym_noreturn] = ACTIONS(1457),
    [sym_primitive_type] = ACTIONS(1457),
    [anon_sym_enum] = ACTIONS(1457),
    [anon_sym_struct] = ACTIONS(1457),
    [anon_sym_union] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1457),
    [anon_sym_else] = ACTIONS(1457),
    [anon_sym_switch] = ACTIONS(1457),
    [anon_sym_case] = ACTIONS(1457),
    [anon_sym_default] = ACTIONS(1457),
    [anon_sym_while] = ACTIONS(1457),
    [anon_sym_do] = ACTIONS(1457),
    [anon_sym_for] = ACTIONS(1457),
    [anon_sym_return] = ACTIONS(1457),
    [anon_sym_break] = ACTIONS(1457),
    [anon_sym_continue] = ACTIONS(1457),
    [anon_sym_goto] = ACTIONS(1457),
    [anon_sym___try] = ACTIONS(1457),
    [anon_sym___leave] = ACTIONS(1457),
    [anon_sym_DASH_DASH] = ACTIONS(1459),
    [anon_sym_PLUS_PLUS] = ACTIONS(1459),
    [anon_sym_sizeof] = ACTIONS(1457),
    [anon_sym___alignof__] = ACTIONS(1457),
    [anon_sym___alignof] = ACTIONS(1457),
    [anon_sym__alignof] = ACTIONS(1457),
    [anon_sym_alignof] = ACTIONS(1457),
    [anon_sym__Alignof] = ACTIONS(1457),
    [anon_sym_offsetof] = ACTIONS(1457),
    [anon_sym__Generic] = ACTIONS(1457),
    [anon_sym_asm] = ACTIONS(1457),
    [anon_sym___asm__] = ACTIONS(1457),
    [sym_number_literal] = ACTIONS(1459),
    [anon_sym_L_SQUOTE] = ACTIONS(1459),
    [anon_sym_u_SQUOTE] = ACTIONS(1459),
    [anon_sym_U_SQUOTE] = ACTIONS(1459),
    [anon_sym_u8_SQUOTE] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1459),
    [anon_sym_L_DQUOTE] = ACTIONS(1459),
    [anon_sym_u_DQUOTE] = ACTIONS(1459),
    [anon_sym_U_DQUOTE] = ACTIONS(1459),
    [anon_sym_u8_DQUOTE] = ACTIONS(1459),
    [anon_sym_DQUOTE] = ACTIONS(1459),
    [sym_true] = ACTIONS(1457),
    [sym_false] = ACTIONS(1457),
    [anon_sym_NULL] = ACTIONS(1457),
    [anon_sym_nullptr] = ACTIONS(1457),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1457),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1457),
    [anon_sym_hitAttributeEXT] = ACTIONS(1457),
    [anon_sym_callableDataEXT] = ACTIONS(1457),
    [anon_sym_callableDataInEXT] = ACTIONS(1457),
    [anon_sym_shaderRecordEXT] = ACTIONS(1457),
    [anon_sym_rayPayloadNV] = ACTIONS(1457),
    [anon_sym_rayPayloadInNV] = ACTIONS(1457),
    [anon_sym_hitAttributeNV] = ACTIONS(1457),
    [anon_sym_callableDataNV] = ACTIONS(1457),
    [anon_sym_callableDataInNV] = ACTIONS(1457),
    [anon_sym_shaderRecordNV] = ACTIONS(1457),
    [anon_sym_layout] = ACTIONS(1457),
  },
  [428] = {
    [sym_identifier] = ACTIONS(1453),
    [aux_sym_preproc_include_token1] = ACTIONS(1453),
    [aux_sym_preproc_def_token1] = ACTIONS(1453),
    [aux_sym_preproc_if_token1] = ACTIONS(1453),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1453),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1453),
    [sym_preproc_directive] = ACTIONS(1453),
    [anon_sym_LPAREN2] = ACTIONS(1455),
    [anon_sym_BANG] = ACTIONS(1455),
    [anon_sym_TILDE] = ACTIONS(1455),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_STAR] = ACTIONS(1455),
    [anon_sym_AMP] = ACTIONS(1455),
    [anon_sym_subroutine] = ACTIONS(1453),
    [anon_sym_invariant] = ACTIONS(1453),
    [anon_sym_precise] = ACTIONS(1453),
    [anon_sym_SEMI] = ACTIONS(1455),
    [anon_sym_in] = ACTIONS(1453),
    [anon_sym_out] = ACTIONS(1453),
    [anon_sym_inout] = ACTIONS(1453),
    [anon_sym_uniform] = ACTIONS(1453),
    [anon_sym_shared] = ACTIONS(1453),
    [anon_sym_attribute] = ACTIONS(1453),
    [anon_sym_varying] = ACTIONS(1453),
    [anon_sym_buffer] = ACTIONS(1453),
    [anon_sym_coherent] = ACTIONS(1453),
    [anon_sym_readonly] = ACTIONS(1453),
    [anon_sym_writeonly] = ACTIONS(1453),
    [anon_sym_precision] = ACTIONS(1453),
    [anon_sym_highp] = ACTIONS(1453),
    [anon_sym_mediump] = ACTIONS(1453),
    [anon_sym_lowp] = ACTIONS(1453),
    [anon_sym_centroid] = ACTIONS(1453),
    [anon_sym_sample] = ACTIONS(1453),
    [anon_sym_patch] = ACTIONS(1453),
    [anon_sym_smooth] = ACTIONS(1453),
    [anon_sym_flat] = ACTIONS(1453),
    [anon_sym_noperspective] = ACTIONS(1453),
    [anon_sym___extension__] = ACTIONS(1453),
    [anon_sym_typedef] = ACTIONS(1453),
    [anon_sym_extern] = ACTIONS(1453),
    [anon_sym___attribute__] = ACTIONS(1453),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1455),
    [anon_sym___declspec] = ACTIONS(1453),
    [anon_sym___cdecl] = ACTIONS(1453),
    [anon_sym___clrcall] = ACTIONS(1453),
    [anon_sym___stdcall] = ACTIONS(1453),
    [anon_sym___fastcall] = ACTIONS(1453),
    [anon_sym___thiscall] = ACTIONS(1453),
    [anon_sym___vectorcall] = ACTIONS(1453),
    [anon_sym_LBRACE] = ACTIONS(1455),
    [anon_sym_RBRACE] = ACTIONS(1455),
    [anon_sym_signed] = ACTIONS(1453),
    [anon_sym_unsigned] = ACTIONS(1453),
    [anon_sym_long] = ACTIONS(1453),
    [anon_sym_short] = ACTIONS(1453),
    [anon_sym_static] = ACTIONS(1453),
    [anon_sym_auto] = ACTIONS(1453),
    [anon_sym_register] = ACTIONS(1453),
    [anon_sym_inline] = ACTIONS(1453),
    [anon_sym___inline] = ACTIONS(1453),
    [anon_sym___inline__] = ACTIONS(1453),
    [anon_sym___forceinline] = ACTIONS(1453),
    [anon_sym_thread_local] = ACTIONS(1453),
    [anon_sym___thread] = ACTIONS(1453),
    [anon_sym_const] = ACTIONS(1453),
    [anon_sym_constexpr] = ACTIONS(1453),
    [anon_sym_volatile] = ACTIONS(1453),
    [anon_sym_restrict] = ACTIONS(1453),
    [anon_sym___restrict__] = ACTIONS(1453),
    [anon_sym__Atomic] = ACTIONS(1453),
    [anon_sym__Noreturn] = ACTIONS(1453),
    [anon_sym_noreturn] = ACTIONS(1453),
    [sym_primitive_type] = ACTIONS(1453),
    [anon_sym_enum] = ACTIONS(1453),
    [anon_sym_struct] = ACTIONS(1453),
    [anon_sym_union] = ACTIONS(1453),
    [anon_sym_if] = ACTIONS(1453),
    [anon_sym_else] = ACTIONS(1453),
    [anon_sym_switch] = ACTIONS(1453),
    [anon_sym_case] = ACTIONS(1453),
    [anon_sym_default] = ACTIONS(1453),
    [anon_sym_while] = ACTIONS(1453),
    [anon_sym_do] = ACTIONS(1453),
    [anon_sym_for] = ACTIONS(1453),
    [anon_sym_return] = ACTIONS(1453),
    [anon_sym_break] = ACTIONS(1453),
    [anon_sym_continue] = ACTIONS(1453),
    [anon_sym_goto] = ACTIONS(1453),
    [anon_sym___try] = ACTIONS(1453),
    [anon_sym___leave] = ACTIONS(1453),
    [anon_sym_DASH_DASH] = ACTIONS(1455),
    [anon_sym_PLUS_PLUS] = ACTIONS(1455),
    [anon_sym_sizeof] = ACTIONS(1453),
    [anon_sym___alignof__] = ACTIONS(1453),
    [anon_sym___alignof] = ACTIONS(1453),
    [anon_sym__alignof] = ACTIONS(1453),
    [anon_sym_alignof] = ACTIONS(1453),
    [anon_sym__Alignof] = ACTIONS(1453),
    [anon_sym_offsetof] = ACTIONS(1453),
    [anon_sym__Generic] = ACTIONS(1453),
    [anon_sym_asm] = ACTIONS(1453),
    [anon_sym___asm__] = ACTIONS(1453),
    [sym_number_literal] = ACTIONS(1455),
    [anon_sym_L_SQUOTE] = ACTIONS(1455),
    [anon_sym_u_SQUOTE] = ACTIONS(1455),
    [anon_sym_U_SQUOTE] = ACTIONS(1455),
    [anon_sym_u8_SQUOTE] = ACTIONS(1455),
    [anon_sym_SQUOTE] = ACTIONS(1455),
    [anon_sym_L_DQUOTE] = ACTIONS(1455),
    [anon_sym_u_DQUOTE] = ACTIONS(1455),
    [anon_sym_U_DQUOTE] = ACTIONS(1455),
    [anon_sym_u8_DQUOTE] = ACTIONS(1455),
    [anon_sym_DQUOTE] = ACTIONS(1455),
    [sym_true] = ACTIONS(1453),
    [sym_false] = ACTIONS(1453),
    [anon_sym_NULL] = ACTIONS(1453),
    [anon_sym_nullptr] = ACTIONS(1453),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1453),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1453),
    [anon_sym_hitAttributeEXT] = ACTIONS(1453),
    [anon_sym_callableDataEXT] = ACTIONS(1453),
    [anon_sym_callableDataInEXT] = ACTIONS(1453),
    [anon_sym_shaderRecordEXT] = ACTIONS(1453),
    [anon_sym_rayPayloadNV] = ACTIONS(1453),
    [anon_sym_rayPayloadInNV] = ACTIONS(1453),
    [anon_sym_hitAttributeNV] = ACTIONS(1453),
    [anon_sym_callableDataNV] = ACTIONS(1453),
    [anon_sym_callableDataInNV] = ACTIONS(1453),
    [anon_sym_shaderRecordNV] = ACTIONS(1453),
    [anon_sym_layout] = ACTIONS(1453),
  },
  [429] = {
    [sym_identifier] = ACTIONS(1449),
    [aux_sym_preproc_include_token1] = ACTIONS(1449),
    [aux_sym_preproc_def_token1] = ACTIONS(1449),
    [aux_sym_preproc_if_token1] = ACTIONS(1449),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1449),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1449),
    [sym_preproc_directive] = ACTIONS(1449),
    [anon_sym_LPAREN2] = ACTIONS(1451),
    [anon_sym_BANG] = ACTIONS(1451),
    [anon_sym_TILDE] = ACTIONS(1451),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_STAR] = ACTIONS(1451),
    [anon_sym_AMP] = ACTIONS(1451),
    [anon_sym_subroutine] = ACTIONS(1449),
    [anon_sym_invariant] = ACTIONS(1449),
    [anon_sym_precise] = ACTIONS(1449),
    [anon_sym_SEMI] = ACTIONS(1451),
    [anon_sym_in] = ACTIONS(1449),
    [anon_sym_out] = ACTIONS(1449),
    [anon_sym_inout] = ACTIONS(1449),
    [anon_sym_uniform] = ACTIONS(1449),
    [anon_sym_shared] = ACTIONS(1449),
    [anon_sym_attribute] = ACTIONS(1449),
    [anon_sym_varying] = ACTIONS(1449),
    [anon_sym_buffer] = ACTIONS(1449),
    [anon_sym_coherent] = ACTIONS(1449),
    [anon_sym_readonly] = ACTIONS(1449),
    [anon_sym_writeonly] = ACTIONS(1449),
    [anon_sym_precision] = ACTIONS(1449),
    [anon_sym_highp] = ACTIONS(1449),
    [anon_sym_mediump] = ACTIONS(1449),
    [anon_sym_lowp] = ACTIONS(1449),
    [anon_sym_centroid] = ACTIONS(1449),
    [anon_sym_sample] = ACTIONS(1449),
    [anon_sym_patch] = ACTIONS(1449),
    [anon_sym_smooth] = ACTIONS(1449),
    [anon_sym_flat] = ACTIONS(1449),
    [anon_sym_noperspective] = ACTIONS(1449),
    [anon_sym___extension__] = ACTIONS(1449),
    [anon_sym_typedef] = ACTIONS(1449),
    [anon_sym_extern] = ACTIONS(1449),
    [anon_sym___attribute__] = ACTIONS(1449),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1451),
    [anon_sym___declspec] = ACTIONS(1449),
    [anon_sym___cdecl] = ACTIONS(1449),
    [anon_sym___clrcall] = ACTIONS(1449),
    [anon_sym___stdcall] = ACTIONS(1449),
    [anon_sym___fastcall] = ACTIONS(1449),
    [anon_sym___thiscall] = ACTIONS(1449),
    [anon_sym___vectorcall] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_RBRACE] = ACTIONS(1451),
    [anon_sym_signed] = ACTIONS(1449),
    [anon_sym_unsigned] = ACTIONS(1449),
    [anon_sym_long] = ACTIONS(1449),
    [anon_sym_short] = ACTIONS(1449),
    [anon_sym_static] = ACTIONS(1449),
    [anon_sym_auto] = ACTIONS(1449),
    [anon_sym_register] = ACTIONS(1449),
    [anon_sym_inline] = ACTIONS(1449),
    [anon_sym___inline] = ACTIONS(1449),
    [anon_sym___inline__] = ACTIONS(1449),
    [anon_sym___forceinline] = ACTIONS(1449),
    [anon_sym_thread_local] = ACTIONS(1449),
    [anon_sym___thread] = ACTIONS(1449),
    [anon_sym_const] = ACTIONS(1449),
    [anon_sym_constexpr] = ACTIONS(1449),
    [anon_sym_volatile] = ACTIONS(1449),
    [anon_sym_restrict] = ACTIONS(1449),
    [anon_sym___restrict__] = ACTIONS(1449),
    [anon_sym__Atomic] = ACTIONS(1449),
    [anon_sym__Noreturn] = ACTIONS(1449),
    [anon_sym_noreturn] = ACTIONS(1449),
    [sym_primitive_type] = ACTIONS(1449),
    [anon_sym_enum] = ACTIONS(1449),
    [anon_sym_struct] = ACTIONS(1449),
    [anon_sym_union] = ACTIONS(1449),
    [anon_sym_if] = ACTIONS(1449),
    [anon_sym_else] = ACTIONS(1449),
    [anon_sym_switch] = ACTIONS(1449),
    [anon_sym_case] = ACTIONS(1449),
    [anon_sym_default] = ACTIONS(1449),
    [anon_sym_while] = ACTIONS(1449),
    [anon_sym_do] = ACTIONS(1449),
    [anon_sym_for] = ACTIONS(1449),
    [anon_sym_return] = ACTIONS(1449),
    [anon_sym_break] = ACTIONS(1449),
    [anon_sym_continue] = ACTIONS(1449),
    [anon_sym_goto] = ACTIONS(1449),
    [anon_sym___try] = ACTIONS(1449),
    [anon_sym___leave] = ACTIONS(1449),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym___alignof__] = ACTIONS(1449),
    [anon_sym___alignof] = ACTIONS(1449),
    [anon_sym__alignof] = ACTIONS(1449),
    [anon_sym_alignof] = ACTIONS(1449),
    [anon_sym__Alignof] = ACTIONS(1449),
    [anon_sym_offsetof] = ACTIONS(1449),
    [anon_sym__Generic] = ACTIONS(1449),
    [anon_sym_asm] = ACTIONS(1449),
    [anon_sym___asm__] = ACTIONS(1449),
    [sym_number_literal] = ACTIONS(1451),
    [anon_sym_L_SQUOTE] = ACTIONS(1451),
    [anon_sym_u_SQUOTE] = ACTIONS(1451),
    [anon_sym_U_SQUOTE] = ACTIONS(1451),
    [anon_sym_u8_SQUOTE] = ACTIONS(1451),
    [anon_sym_SQUOTE] = ACTIONS(1451),
    [anon_sym_L_DQUOTE] = ACTIONS(1451),
    [anon_sym_u_DQUOTE] = ACTIONS(1451),
    [anon_sym_U_DQUOTE] = ACTIONS(1451),
    [anon_sym_u8_DQUOTE] = ACTIONS(1451),
    [anon_sym_DQUOTE] = ACTIONS(1451),
    [sym_true] = ACTIONS(1449),
    [sym_false] = ACTIONS(1449),
    [anon_sym_NULL] = ACTIONS(1449),
    [anon_sym_nullptr] = ACTIONS(1449),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1449),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1449),
    [anon_sym_hitAttributeEXT] = ACTIONS(1449),
    [anon_sym_callableDataEXT] = ACTIONS(1449),
    [anon_sym_callableDataInEXT] = ACTIONS(1449),
    [anon_sym_shaderRecordEXT] = ACTIONS(1449),
    [anon_sym_rayPayloadNV] = ACTIONS(1449),
    [anon_sym_rayPayloadInNV] = ACTIONS(1449),
    [anon_sym_hitAttributeNV] = ACTIONS(1449),
    [anon_sym_callableDataNV] = ACTIONS(1449),
    [anon_sym_callableDataInNV] = ACTIONS(1449),
    [anon_sym_shaderRecordNV] = ACTIONS(1449),
    [anon_sym_layout] = ACTIONS(1449),
  },
  [430] = {
    [sym_identifier] = ACTIONS(1449),
    [aux_sym_preproc_include_token1] = ACTIONS(1449),
    [aux_sym_preproc_def_token1] = ACTIONS(1449),
    [aux_sym_preproc_if_token1] = ACTIONS(1449),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1449),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1449),
    [sym_preproc_directive] = ACTIONS(1449),
    [anon_sym_LPAREN2] = ACTIONS(1451),
    [anon_sym_BANG] = ACTIONS(1451),
    [anon_sym_TILDE] = ACTIONS(1451),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_STAR] = ACTIONS(1451),
    [anon_sym_AMP] = ACTIONS(1451),
    [anon_sym_subroutine] = ACTIONS(1449),
    [anon_sym_invariant] = ACTIONS(1449),
    [anon_sym_precise] = ACTIONS(1449),
    [anon_sym_SEMI] = ACTIONS(1451),
    [anon_sym_in] = ACTIONS(1449),
    [anon_sym_out] = ACTIONS(1449),
    [anon_sym_inout] = ACTIONS(1449),
    [anon_sym_uniform] = ACTIONS(1449),
    [anon_sym_shared] = ACTIONS(1449),
    [anon_sym_attribute] = ACTIONS(1449),
    [anon_sym_varying] = ACTIONS(1449),
    [anon_sym_buffer] = ACTIONS(1449),
    [anon_sym_coherent] = ACTIONS(1449),
    [anon_sym_readonly] = ACTIONS(1449),
    [anon_sym_writeonly] = ACTIONS(1449),
    [anon_sym_precision] = ACTIONS(1449),
    [anon_sym_highp] = ACTIONS(1449),
    [anon_sym_mediump] = ACTIONS(1449),
    [anon_sym_lowp] = ACTIONS(1449),
    [anon_sym_centroid] = ACTIONS(1449),
    [anon_sym_sample] = ACTIONS(1449),
    [anon_sym_patch] = ACTIONS(1449),
    [anon_sym_smooth] = ACTIONS(1449),
    [anon_sym_flat] = ACTIONS(1449),
    [anon_sym_noperspective] = ACTIONS(1449),
    [anon_sym___extension__] = ACTIONS(1449),
    [anon_sym_typedef] = ACTIONS(1449),
    [anon_sym_extern] = ACTIONS(1449),
    [anon_sym___attribute__] = ACTIONS(1449),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1451),
    [anon_sym___declspec] = ACTIONS(1449),
    [anon_sym___cdecl] = ACTIONS(1449),
    [anon_sym___clrcall] = ACTIONS(1449),
    [anon_sym___stdcall] = ACTIONS(1449),
    [anon_sym___fastcall] = ACTIONS(1449),
    [anon_sym___thiscall] = ACTIONS(1449),
    [anon_sym___vectorcall] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_RBRACE] = ACTIONS(1451),
    [anon_sym_signed] = ACTIONS(1449),
    [anon_sym_unsigned] = ACTIONS(1449),
    [anon_sym_long] = ACTIONS(1449),
    [anon_sym_short] = ACTIONS(1449),
    [anon_sym_static] = ACTIONS(1449),
    [anon_sym_auto] = ACTIONS(1449),
    [anon_sym_register] = ACTIONS(1449),
    [anon_sym_inline] = ACTIONS(1449),
    [anon_sym___inline] = ACTIONS(1449),
    [anon_sym___inline__] = ACTIONS(1449),
    [anon_sym___forceinline] = ACTIONS(1449),
    [anon_sym_thread_local] = ACTIONS(1449),
    [anon_sym___thread] = ACTIONS(1449),
    [anon_sym_const] = ACTIONS(1449),
    [anon_sym_constexpr] = ACTIONS(1449),
    [anon_sym_volatile] = ACTIONS(1449),
    [anon_sym_restrict] = ACTIONS(1449),
    [anon_sym___restrict__] = ACTIONS(1449),
    [anon_sym__Atomic] = ACTIONS(1449),
    [anon_sym__Noreturn] = ACTIONS(1449),
    [anon_sym_noreturn] = ACTIONS(1449),
    [sym_primitive_type] = ACTIONS(1449),
    [anon_sym_enum] = ACTIONS(1449),
    [anon_sym_struct] = ACTIONS(1449),
    [anon_sym_union] = ACTIONS(1449),
    [anon_sym_if] = ACTIONS(1449),
    [anon_sym_else] = ACTIONS(1449),
    [anon_sym_switch] = ACTIONS(1449),
    [anon_sym_case] = ACTIONS(1449),
    [anon_sym_default] = ACTIONS(1449),
    [anon_sym_while] = ACTIONS(1449),
    [anon_sym_do] = ACTIONS(1449),
    [anon_sym_for] = ACTIONS(1449),
    [anon_sym_return] = ACTIONS(1449),
    [anon_sym_break] = ACTIONS(1449),
    [anon_sym_continue] = ACTIONS(1449),
    [anon_sym_goto] = ACTIONS(1449),
    [anon_sym___try] = ACTIONS(1449),
    [anon_sym___leave] = ACTIONS(1449),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_sizeof] = ACTIONS(1449),
    [anon_sym___alignof__] = ACTIONS(1449),
    [anon_sym___alignof] = ACTIONS(1449),
    [anon_sym__alignof] = ACTIONS(1449),
    [anon_sym_alignof] = ACTIONS(1449),
    [anon_sym__Alignof] = ACTIONS(1449),
    [anon_sym_offsetof] = ACTIONS(1449),
    [anon_sym__Generic] = ACTIONS(1449),
    [anon_sym_asm] = ACTIONS(1449),
    [anon_sym___asm__] = ACTIONS(1449),
    [sym_number_literal] = ACTIONS(1451),
    [anon_sym_L_SQUOTE] = ACTIONS(1451),
    [anon_sym_u_SQUOTE] = ACTIONS(1451),
    [anon_sym_U_SQUOTE] = ACTIONS(1451),
    [anon_sym_u8_SQUOTE] = ACTIONS(1451),
    [anon_sym_SQUOTE] = ACTIONS(1451),
    [anon_sym_L_DQUOTE] = ACTIONS(1451),
    [anon_sym_u_DQUOTE] = ACTIONS(1451),
    [anon_sym_U_DQUOTE] = ACTIONS(1451),
    [anon_sym_u8_DQUOTE] = ACTIONS(1451),
    [anon_sym_DQUOTE] = ACTIONS(1451),
    [sym_true] = ACTIONS(1449),
    [sym_false] = ACTIONS(1449),
    [anon_sym_NULL] = ACTIONS(1449),
    [anon_sym_nullptr] = ACTIONS(1449),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1449),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1449),
    [anon_sym_hitAttributeEXT] = ACTIONS(1449),
    [anon_sym_callableDataEXT] = ACTIONS(1449),
    [anon_sym_callableDataInEXT] = ACTIONS(1449),
    [anon_sym_shaderRecordEXT] = ACTIONS(1449),
    [anon_sym_rayPayloadNV] = ACTIONS(1449),
    [anon_sym_rayPayloadInNV] = ACTIONS(1449),
    [anon_sym_hitAttributeNV] = ACTIONS(1449),
    [anon_sym_callableDataNV] = ACTIONS(1449),
    [anon_sym_callableDataInNV] = ACTIONS(1449),
    [anon_sym_shaderRecordNV] = ACTIONS(1449),
    [anon_sym_layout] = ACTIONS(1449),
  },
  [431] = {
    [sym_identifier] = ACTIONS(1445),
    [aux_sym_preproc_include_token1] = ACTIONS(1445),
    [aux_sym_preproc_def_token1] = ACTIONS(1445),
    [aux_sym_preproc_if_token1] = ACTIONS(1445),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1445),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1445),
    [sym_preproc_directive] = ACTIONS(1445),
    [anon_sym_LPAREN2] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1447),
    [anon_sym_TILDE] = ACTIONS(1447),
    [anon_sym_DASH] = ACTIONS(1445),
    [anon_sym_PLUS] = ACTIONS(1445),
    [anon_sym_STAR] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1447),
    [anon_sym_subroutine] = ACTIONS(1445),
    [anon_sym_invariant] = ACTIONS(1445),
    [anon_sym_precise] = ACTIONS(1445),
    [anon_sym_SEMI] = ACTIONS(1447),
    [anon_sym_in] = ACTIONS(1445),
    [anon_sym_out] = ACTIONS(1445),
    [anon_sym_inout] = ACTIONS(1445),
    [anon_sym_uniform] = ACTIONS(1445),
    [anon_sym_shared] = ACTIONS(1445),
    [anon_sym_attribute] = ACTIONS(1445),
    [anon_sym_varying] = ACTIONS(1445),
    [anon_sym_buffer] = ACTIONS(1445),
    [anon_sym_coherent] = ACTIONS(1445),
    [anon_sym_readonly] = ACTIONS(1445),
    [anon_sym_writeonly] = ACTIONS(1445),
    [anon_sym_precision] = ACTIONS(1445),
    [anon_sym_highp] = ACTIONS(1445),
    [anon_sym_mediump] = ACTIONS(1445),
    [anon_sym_lowp] = ACTIONS(1445),
    [anon_sym_centroid] = ACTIONS(1445),
    [anon_sym_sample] = ACTIONS(1445),
    [anon_sym_patch] = ACTIONS(1445),
    [anon_sym_smooth] = ACTIONS(1445),
    [anon_sym_flat] = ACTIONS(1445),
    [anon_sym_noperspective] = ACTIONS(1445),
    [anon_sym___extension__] = ACTIONS(1445),
    [anon_sym_typedef] = ACTIONS(1445),
    [anon_sym_extern] = ACTIONS(1445),
    [anon_sym___attribute__] = ACTIONS(1445),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1447),
    [anon_sym___declspec] = ACTIONS(1445),
    [anon_sym___cdecl] = ACTIONS(1445),
    [anon_sym___clrcall] = ACTIONS(1445),
    [anon_sym___stdcall] = ACTIONS(1445),
    [anon_sym___fastcall] = ACTIONS(1445),
    [anon_sym___thiscall] = ACTIONS(1445),
    [anon_sym___vectorcall] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(1447),
    [anon_sym_RBRACE] = ACTIONS(1447),
    [anon_sym_signed] = ACTIONS(1445),
    [anon_sym_unsigned] = ACTIONS(1445),
    [anon_sym_long] = ACTIONS(1445),
    [anon_sym_short] = ACTIONS(1445),
    [anon_sym_static] = ACTIONS(1445),
    [anon_sym_auto] = ACTIONS(1445),
    [anon_sym_register] = ACTIONS(1445),
    [anon_sym_inline] = ACTIONS(1445),
    [anon_sym___inline] = ACTIONS(1445),
    [anon_sym___inline__] = ACTIONS(1445),
    [anon_sym___forceinline] = ACTIONS(1445),
    [anon_sym_thread_local] = ACTIONS(1445),
    [anon_sym___thread] = ACTIONS(1445),
    [anon_sym_const] = ACTIONS(1445),
    [anon_sym_constexpr] = ACTIONS(1445),
    [anon_sym_volatile] = ACTIONS(1445),
    [anon_sym_restrict] = ACTIONS(1445),
    [anon_sym___restrict__] = ACTIONS(1445),
    [anon_sym__Atomic] = ACTIONS(1445),
    [anon_sym__Noreturn] = ACTIONS(1445),
    [anon_sym_noreturn] = ACTIONS(1445),
    [sym_primitive_type] = ACTIONS(1445),
    [anon_sym_enum] = ACTIONS(1445),
    [anon_sym_struct] = ACTIONS(1445),
    [anon_sym_union] = ACTIONS(1445),
    [anon_sym_if] = ACTIONS(1445),
    [anon_sym_else] = ACTIONS(1445),
    [anon_sym_switch] = ACTIONS(1445),
    [anon_sym_case] = ACTIONS(1445),
    [anon_sym_default] = ACTIONS(1445),
    [anon_sym_while] = ACTIONS(1445),
    [anon_sym_do] = ACTIONS(1445),
    [anon_sym_for] = ACTIONS(1445),
    [anon_sym_return] = ACTIONS(1445),
    [anon_sym_break] = ACTIONS(1445),
    [anon_sym_continue] = ACTIONS(1445),
    [anon_sym_goto] = ACTIONS(1445),
    [anon_sym___try] = ACTIONS(1445),
    [anon_sym___leave] = ACTIONS(1445),
    [anon_sym_DASH_DASH] = ACTIONS(1447),
    [anon_sym_PLUS_PLUS] = ACTIONS(1447),
    [anon_sym_sizeof] = ACTIONS(1445),
    [anon_sym___alignof__] = ACTIONS(1445),
    [anon_sym___alignof] = ACTIONS(1445),
    [anon_sym__alignof] = ACTIONS(1445),
    [anon_sym_alignof] = ACTIONS(1445),
    [anon_sym__Alignof] = ACTIONS(1445),
    [anon_sym_offsetof] = ACTIONS(1445),
    [anon_sym__Generic] = ACTIONS(1445),
    [anon_sym_asm] = ACTIONS(1445),
    [anon_sym___asm__] = ACTIONS(1445),
    [sym_number_literal] = ACTIONS(1447),
    [anon_sym_L_SQUOTE] = ACTIONS(1447),
    [anon_sym_u_SQUOTE] = ACTIONS(1447),
    [anon_sym_U_SQUOTE] = ACTIONS(1447),
    [anon_sym_u8_SQUOTE] = ACTIONS(1447),
    [anon_sym_SQUOTE] = ACTIONS(1447),
    [anon_sym_L_DQUOTE] = ACTIONS(1447),
    [anon_sym_u_DQUOTE] = ACTIONS(1447),
    [anon_sym_U_DQUOTE] = ACTIONS(1447),
    [anon_sym_u8_DQUOTE] = ACTIONS(1447),
    [anon_sym_DQUOTE] = ACTIONS(1447),
    [sym_true] = ACTIONS(1445),
    [sym_false] = ACTIONS(1445),
    [anon_sym_NULL] = ACTIONS(1445),
    [anon_sym_nullptr] = ACTIONS(1445),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1445),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1445),
    [anon_sym_hitAttributeEXT] = ACTIONS(1445),
    [anon_sym_callableDataEXT] = ACTIONS(1445),
    [anon_sym_callableDataInEXT] = ACTIONS(1445),
    [anon_sym_shaderRecordEXT] = ACTIONS(1445),
    [anon_sym_rayPayloadNV] = ACTIONS(1445),
    [anon_sym_rayPayloadInNV] = ACTIONS(1445),
    [anon_sym_hitAttributeNV] = ACTIONS(1445),
    [anon_sym_callableDataNV] = ACTIONS(1445),
    [anon_sym_callableDataInNV] = ACTIONS(1445),
    [anon_sym_shaderRecordNV] = ACTIONS(1445),
    [anon_sym_layout] = ACTIONS(1445),
  },
  [432] = {
    [sym_identifier] = ACTIONS(1441),
    [aux_sym_preproc_include_token1] = ACTIONS(1441),
    [aux_sym_preproc_def_token1] = ACTIONS(1441),
    [aux_sym_preproc_if_token1] = ACTIONS(1441),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1441),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1441),
    [sym_preproc_directive] = ACTIONS(1441),
    [anon_sym_LPAREN2] = ACTIONS(1443),
    [anon_sym_BANG] = ACTIONS(1443),
    [anon_sym_TILDE] = ACTIONS(1443),
    [anon_sym_DASH] = ACTIONS(1441),
    [anon_sym_PLUS] = ACTIONS(1441),
    [anon_sym_STAR] = ACTIONS(1443),
    [anon_sym_AMP] = ACTIONS(1443),
    [anon_sym_subroutine] = ACTIONS(1441),
    [anon_sym_invariant] = ACTIONS(1441),
    [anon_sym_precise] = ACTIONS(1441),
    [anon_sym_SEMI] = ACTIONS(1443),
    [anon_sym_in] = ACTIONS(1441),
    [anon_sym_out] = ACTIONS(1441),
    [anon_sym_inout] = ACTIONS(1441),
    [anon_sym_uniform] = ACTIONS(1441),
    [anon_sym_shared] = ACTIONS(1441),
    [anon_sym_attribute] = ACTIONS(1441),
    [anon_sym_varying] = ACTIONS(1441),
    [anon_sym_buffer] = ACTIONS(1441),
    [anon_sym_coherent] = ACTIONS(1441),
    [anon_sym_readonly] = ACTIONS(1441),
    [anon_sym_writeonly] = ACTIONS(1441),
    [anon_sym_precision] = ACTIONS(1441),
    [anon_sym_highp] = ACTIONS(1441),
    [anon_sym_mediump] = ACTIONS(1441),
    [anon_sym_lowp] = ACTIONS(1441),
    [anon_sym_centroid] = ACTIONS(1441),
    [anon_sym_sample] = ACTIONS(1441),
    [anon_sym_patch] = ACTIONS(1441),
    [anon_sym_smooth] = ACTIONS(1441),
    [anon_sym_flat] = ACTIONS(1441),
    [anon_sym_noperspective] = ACTIONS(1441),
    [anon_sym___extension__] = ACTIONS(1441),
    [anon_sym_typedef] = ACTIONS(1441),
    [anon_sym_extern] = ACTIONS(1441),
    [anon_sym___attribute__] = ACTIONS(1441),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1443),
    [anon_sym___declspec] = ACTIONS(1441),
    [anon_sym___cdecl] = ACTIONS(1441),
    [anon_sym___clrcall] = ACTIONS(1441),
    [anon_sym___stdcall] = ACTIONS(1441),
    [anon_sym___fastcall] = ACTIONS(1441),
    [anon_sym___thiscall] = ACTIONS(1441),
    [anon_sym___vectorcall] = ACTIONS(1441),
    [anon_sym_LBRACE] = ACTIONS(1443),
    [anon_sym_RBRACE] = ACTIONS(1443),
    [anon_sym_signed] = ACTIONS(1441),
    [anon_sym_unsigned] = ACTIONS(1441),
    [anon_sym_long] = ACTIONS(1441),
    [anon_sym_short] = ACTIONS(1441),
    [anon_sym_static] = ACTIONS(1441),
    [anon_sym_auto] = ACTIONS(1441),
    [anon_sym_register] = ACTIONS(1441),
    [anon_sym_inline] = ACTIONS(1441),
    [anon_sym___inline] = ACTIONS(1441),
    [anon_sym___inline__] = ACTIONS(1441),
    [anon_sym___forceinline] = ACTIONS(1441),
    [anon_sym_thread_local] = ACTIONS(1441),
    [anon_sym___thread] = ACTIONS(1441),
    [anon_sym_const] = ACTIONS(1441),
    [anon_sym_constexpr] = ACTIONS(1441),
    [anon_sym_volatile] = ACTIONS(1441),
    [anon_sym_restrict] = ACTIONS(1441),
    [anon_sym___restrict__] = ACTIONS(1441),
    [anon_sym__Atomic] = ACTIONS(1441),
    [anon_sym__Noreturn] = ACTIONS(1441),
    [anon_sym_noreturn] = ACTIONS(1441),
    [sym_primitive_type] = ACTIONS(1441),
    [anon_sym_enum] = ACTIONS(1441),
    [anon_sym_struct] = ACTIONS(1441),
    [anon_sym_union] = ACTIONS(1441),
    [anon_sym_if] = ACTIONS(1441),
    [anon_sym_else] = ACTIONS(1441),
    [anon_sym_switch] = ACTIONS(1441),
    [anon_sym_case] = ACTIONS(1441),
    [anon_sym_default] = ACTIONS(1441),
    [anon_sym_while] = ACTIONS(1441),
    [anon_sym_do] = ACTIONS(1441),
    [anon_sym_for] = ACTIONS(1441),
    [anon_sym_return] = ACTIONS(1441),
    [anon_sym_break] = ACTIONS(1441),
    [anon_sym_continue] = ACTIONS(1441),
    [anon_sym_goto] = ACTIONS(1441),
    [anon_sym___try] = ACTIONS(1441),
    [anon_sym___leave] = ACTIONS(1441),
    [anon_sym_DASH_DASH] = ACTIONS(1443),
    [anon_sym_PLUS_PLUS] = ACTIONS(1443),
    [anon_sym_sizeof] = ACTIONS(1441),
    [anon_sym___alignof__] = ACTIONS(1441),
    [anon_sym___alignof] = ACTIONS(1441),
    [anon_sym__alignof] = ACTIONS(1441),
    [anon_sym_alignof] = ACTIONS(1441),
    [anon_sym__Alignof] = ACTIONS(1441),
    [anon_sym_offsetof] = ACTIONS(1441),
    [anon_sym__Generic] = ACTIONS(1441),
    [anon_sym_asm] = ACTIONS(1441),
    [anon_sym___asm__] = ACTIONS(1441),
    [sym_number_literal] = ACTIONS(1443),
    [anon_sym_L_SQUOTE] = ACTIONS(1443),
    [anon_sym_u_SQUOTE] = ACTIONS(1443),
    [anon_sym_U_SQUOTE] = ACTIONS(1443),
    [anon_sym_u8_SQUOTE] = ACTIONS(1443),
    [anon_sym_SQUOTE] = ACTIONS(1443),
    [anon_sym_L_DQUOTE] = ACTIONS(1443),
    [anon_sym_u_DQUOTE] = ACTIONS(1443),
    [anon_sym_U_DQUOTE] = ACTIONS(1443),
    [anon_sym_u8_DQUOTE] = ACTIONS(1443),
    [anon_sym_DQUOTE] = ACTIONS(1443),
    [sym_true] = ACTIONS(1441),
    [sym_false] = ACTIONS(1441),
    [anon_sym_NULL] = ACTIONS(1441),
    [anon_sym_nullptr] = ACTIONS(1441),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1441),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1441),
    [anon_sym_hitAttributeEXT] = ACTIONS(1441),
    [anon_sym_callableDataEXT] = ACTIONS(1441),
    [anon_sym_callableDataInEXT] = ACTIONS(1441),
    [anon_sym_shaderRecordEXT] = ACTIONS(1441),
    [anon_sym_rayPayloadNV] = ACTIONS(1441),
    [anon_sym_rayPayloadInNV] = ACTIONS(1441),
    [anon_sym_hitAttributeNV] = ACTIONS(1441),
    [anon_sym_callableDataNV] = ACTIONS(1441),
    [anon_sym_callableDataInNV] = ACTIONS(1441),
    [anon_sym_shaderRecordNV] = ACTIONS(1441),
    [anon_sym_layout] = ACTIONS(1441),
  },
  [433] = {
    [sym_identifier] = ACTIONS(1437),
    [aux_sym_preproc_include_token1] = ACTIONS(1437),
    [aux_sym_preproc_def_token1] = ACTIONS(1437),
    [aux_sym_preproc_if_token1] = ACTIONS(1437),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1437),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1437),
    [sym_preproc_directive] = ACTIONS(1437),
    [anon_sym_LPAREN2] = ACTIONS(1439),
    [anon_sym_BANG] = ACTIONS(1439),
    [anon_sym_TILDE] = ACTIONS(1439),
    [anon_sym_DASH] = ACTIONS(1437),
    [anon_sym_PLUS] = ACTIONS(1437),
    [anon_sym_STAR] = ACTIONS(1439),
    [anon_sym_AMP] = ACTIONS(1439),
    [anon_sym_subroutine] = ACTIONS(1437),
    [anon_sym_invariant] = ACTIONS(1437),
    [anon_sym_precise] = ACTIONS(1437),
    [anon_sym_SEMI] = ACTIONS(1439),
    [anon_sym_in] = ACTIONS(1437),
    [anon_sym_out] = ACTIONS(1437),
    [anon_sym_inout] = ACTIONS(1437),
    [anon_sym_uniform] = ACTIONS(1437),
    [anon_sym_shared] = ACTIONS(1437),
    [anon_sym_attribute] = ACTIONS(1437),
    [anon_sym_varying] = ACTIONS(1437),
    [anon_sym_buffer] = ACTIONS(1437),
    [anon_sym_coherent] = ACTIONS(1437),
    [anon_sym_readonly] = ACTIONS(1437),
    [anon_sym_writeonly] = ACTIONS(1437),
    [anon_sym_precision] = ACTIONS(1437),
    [anon_sym_highp] = ACTIONS(1437),
    [anon_sym_mediump] = ACTIONS(1437),
    [anon_sym_lowp] = ACTIONS(1437),
    [anon_sym_centroid] = ACTIONS(1437),
    [anon_sym_sample] = ACTIONS(1437),
    [anon_sym_patch] = ACTIONS(1437),
    [anon_sym_smooth] = ACTIONS(1437),
    [anon_sym_flat] = ACTIONS(1437),
    [anon_sym_noperspective] = ACTIONS(1437),
    [anon_sym___extension__] = ACTIONS(1437),
    [anon_sym_typedef] = ACTIONS(1437),
    [anon_sym_extern] = ACTIONS(1437),
    [anon_sym___attribute__] = ACTIONS(1437),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1439),
    [anon_sym___declspec] = ACTIONS(1437),
    [anon_sym___cdecl] = ACTIONS(1437),
    [anon_sym___clrcall] = ACTIONS(1437),
    [anon_sym___stdcall] = ACTIONS(1437),
    [anon_sym___fastcall] = ACTIONS(1437),
    [anon_sym___thiscall] = ACTIONS(1437),
    [anon_sym___vectorcall] = ACTIONS(1437),
    [anon_sym_LBRACE] = ACTIONS(1439),
    [anon_sym_RBRACE] = ACTIONS(1439),
    [anon_sym_signed] = ACTIONS(1437),
    [anon_sym_unsigned] = ACTIONS(1437),
    [anon_sym_long] = ACTIONS(1437),
    [anon_sym_short] = ACTIONS(1437),
    [anon_sym_static] = ACTIONS(1437),
    [anon_sym_auto] = ACTIONS(1437),
    [anon_sym_register] = ACTIONS(1437),
    [anon_sym_inline] = ACTIONS(1437),
    [anon_sym___inline] = ACTIONS(1437),
    [anon_sym___inline__] = ACTIONS(1437),
    [anon_sym___forceinline] = ACTIONS(1437),
    [anon_sym_thread_local] = ACTIONS(1437),
    [anon_sym___thread] = ACTIONS(1437),
    [anon_sym_const] = ACTIONS(1437),
    [anon_sym_constexpr] = ACTIONS(1437),
    [anon_sym_volatile] = ACTIONS(1437),
    [anon_sym_restrict] = ACTIONS(1437),
    [anon_sym___restrict__] = ACTIONS(1437),
    [anon_sym__Atomic] = ACTIONS(1437),
    [anon_sym__Noreturn] = ACTIONS(1437),
    [anon_sym_noreturn] = ACTIONS(1437),
    [sym_primitive_type] = ACTIONS(1437),
    [anon_sym_enum] = ACTIONS(1437),
    [anon_sym_struct] = ACTIONS(1437),
    [anon_sym_union] = ACTIONS(1437),
    [anon_sym_if] = ACTIONS(1437),
    [anon_sym_else] = ACTIONS(1437),
    [anon_sym_switch] = ACTIONS(1437),
    [anon_sym_case] = ACTIONS(1437),
    [anon_sym_default] = ACTIONS(1437),
    [anon_sym_while] = ACTIONS(1437),
    [anon_sym_do] = ACTIONS(1437),
    [anon_sym_for] = ACTIONS(1437),
    [anon_sym_return] = ACTIONS(1437),
    [anon_sym_break] = ACTIONS(1437),
    [anon_sym_continue] = ACTIONS(1437),
    [anon_sym_goto] = ACTIONS(1437),
    [anon_sym___try] = ACTIONS(1437),
    [anon_sym___leave] = ACTIONS(1437),
    [anon_sym_DASH_DASH] = ACTIONS(1439),
    [anon_sym_PLUS_PLUS] = ACTIONS(1439),
    [anon_sym_sizeof] = ACTIONS(1437),
    [anon_sym___alignof__] = ACTIONS(1437),
    [anon_sym___alignof] = ACTIONS(1437),
    [anon_sym__alignof] = ACTIONS(1437),
    [anon_sym_alignof] = ACTIONS(1437),
    [anon_sym__Alignof] = ACTIONS(1437),
    [anon_sym_offsetof] = ACTIONS(1437),
    [anon_sym__Generic] = ACTIONS(1437),
    [anon_sym_asm] = ACTIONS(1437),
    [anon_sym___asm__] = ACTIONS(1437),
    [sym_number_literal] = ACTIONS(1439),
    [anon_sym_L_SQUOTE] = ACTIONS(1439),
    [anon_sym_u_SQUOTE] = ACTIONS(1439),
    [anon_sym_U_SQUOTE] = ACTIONS(1439),
    [anon_sym_u8_SQUOTE] = ACTIONS(1439),
    [anon_sym_SQUOTE] = ACTIONS(1439),
    [anon_sym_L_DQUOTE] = ACTIONS(1439),
    [anon_sym_u_DQUOTE] = ACTIONS(1439),
    [anon_sym_U_DQUOTE] = ACTIONS(1439),
    [anon_sym_u8_DQUOTE] = ACTIONS(1439),
    [anon_sym_DQUOTE] = ACTIONS(1439),
    [sym_true] = ACTIONS(1437),
    [sym_false] = ACTIONS(1437),
    [anon_sym_NULL] = ACTIONS(1437),
    [anon_sym_nullptr] = ACTIONS(1437),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1437),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1437),
    [anon_sym_hitAttributeEXT] = ACTIONS(1437),
    [anon_sym_callableDataEXT] = ACTIONS(1437),
    [anon_sym_callableDataInEXT] = ACTIONS(1437),
    [anon_sym_shaderRecordEXT] = ACTIONS(1437),
    [anon_sym_rayPayloadNV] = ACTIONS(1437),
    [anon_sym_rayPayloadInNV] = ACTIONS(1437),
    [anon_sym_hitAttributeNV] = ACTIONS(1437),
    [anon_sym_callableDataNV] = ACTIONS(1437),
    [anon_sym_callableDataInNV] = ACTIONS(1437),
    [anon_sym_shaderRecordNV] = ACTIONS(1437),
    [anon_sym_layout] = ACTIONS(1437),
  },
  [434] = {
    [sym_identifier] = ACTIONS(1433),
    [aux_sym_preproc_include_token1] = ACTIONS(1433),
    [aux_sym_preproc_def_token1] = ACTIONS(1433),
    [aux_sym_preproc_if_token1] = ACTIONS(1433),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1433),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1433),
    [sym_preproc_directive] = ACTIONS(1433),
    [anon_sym_LPAREN2] = ACTIONS(1435),
    [anon_sym_BANG] = ACTIONS(1435),
    [anon_sym_TILDE] = ACTIONS(1435),
    [anon_sym_DASH] = ACTIONS(1433),
    [anon_sym_PLUS] = ACTIONS(1433),
    [anon_sym_STAR] = ACTIONS(1435),
    [anon_sym_AMP] = ACTIONS(1435),
    [anon_sym_subroutine] = ACTIONS(1433),
    [anon_sym_invariant] = ACTIONS(1433),
    [anon_sym_precise] = ACTIONS(1433),
    [anon_sym_SEMI] = ACTIONS(1435),
    [anon_sym_in] = ACTIONS(1433),
    [anon_sym_out] = ACTIONS(1433),
    [anon_sym_inout] = ACTIONS(1433),
    [anon_sym_uniform] = ACTIONS(1433),
    [anon_sym_shared] = ACTIONS(1433),
    [anon_sym_attribute] = ACTIONS(1433),
    [anon_sym_varying] = ACTIONS(1433),
    [anon_sym_buffer] = ACTIONS(1433),
    [anon_sym_coherent] = ACTIONS(1433),
    [anon_sym_readonly] = ACTIONS(1433),
    [anon_sym_writeonly] = ACTIONS(1433),
    [anon_sym_precision] = ACTIONS(1433),
    [anon_sym_highp] = ACTIONS(1433),
    [anon_sym_mediump] = ACTIONS(1433),
    [anon_sym_lowp] = ACTIONS(1433),
    [anon_sym_centroid] = ACTIONS(1433),
    [anon_sym_sample] = ACTIONS(1433),
    [anon_sym_patch] = ACTIONS(1433),
    [anon_sym_smooth] = ACTIONS(1433),
    [anon_sym_flat] = ACTIONS(1433),
    [anon_sym_noperspective] = ACTIONS(1433),
    [anon_sym___extension__] = ACTIONS(1433),
    [anon_sym_typedef] = ACTIONS(1433),
    [anon_sym_extern] = ACTIONS(1433),
    [anon_sym___attribute__] = ACTIONS(1433),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1435),
    [anon_sym___declspec] = ACTIONS(1433),
    [anon_sym___cdecl] = ACTIONS(1433),
    [anon_sym___clrcall] = ACTIONS(1433),
    [anon_sym___stdcall] = ACTIONS(1433),
    [anon_sym___fastcall] = ACTIONS(1433),
    [anon_sym___thiscall] = ACTIONS(1433),
    [anon_sym___vectorcall] = ACTIONS(1433),
    [anon_sym_LBRACE] = ACTIONS(1435),
    [anon_sym_RBRACE] = ACTIONS(1435),
    [anon_sym_signed] = ACTIONS(1433),
    [anon_sym_unsigned] = ACTIONS(1433),
    [anon_sym_long] = ACTIONS(1433),
    [anon_sym_short] = ACTIONS(1433),
    [anon_sym_static] = ACTIONS(1433),
    [anon_sym_auto] = ACTIONS(1433),
    [anon_sym_register] = ACTIONS(1433),
    [anon_sym_inline] = ACTIONS(1433),
    [anon_sym___inline] = ACTIONS(1433),
    [anon_sym___inline__] = ACTIONS(1433),
    [anon_sym___forceinline] = ACTIONS(1433),
    [anon_sym_thread_local] = ACTIONS(1433),
    [anon_sym___thread] = ACTIONS(1433),
    [anon_sym_const] = ACTIONS(1433),
    [anon_sym_constexpr] = ACTIONS(1433),
    [anon_sym_volatile] = ACTIONS(1433),
    [anon_sym_restrict] = ACTIONS(1433),
    [anon_sym___restrict__] = ACTIONS(1433),
    [anon_sym__Atomic] = ACTIONS(1433),
    [anon_sym__Noreturn] = ACTIONS(1433),
    [anon_sym_noreturn] = ACTIONS(1433),
    [sym_primitive_type] = ACTIONS(1433),
    [anon_sym_enum] = ACTIONS(1433),
    [anon_sym_struct] = ACTIONS(1433),
    [anon_sym_union] = ACTIONS(1433),
    [anon_sym_if] = ACTIONS(1433),
    [anon_sym_else] = ACTIONS(1433),
    [anon_sym_switch] = ACTIONS(1433),
    [anon_sym_case] = ACTIONS(1433),
    [anon_sym_default] = ACTIONS(1433),
    [anon_sym_while] = ACTIONS(1433),
    [anon_sym_do] = ACTIONS(1433),
    [anon_sym_for] = ACTIONS(1433),
    [anon_sym_return] = ACTIONS(1433),
    [anon_sym_break] = ACTIONS(1433),
    [anon_sym_continue] = ACTIONS(1433),
    [anon_sym_goto] = ACTIONS(1433),
    [anon_sym___try] = ACTIONS(1433),
    [anon_sym___leave] = ACTIONS(1433),
    [anon_sym_DASH_DASH] = ACTIONS(1435),
    [anon_sym_PLUS_PLUS] = ACTIONS(1435),
    [anon_sym_sizeof] = ACTIONS(1433),
    [anon_sym___alignof__] = ACTIONS(1433),
    [anon_sym___alignof] = ACTIONS(1433),
    [anon_sym__alignof] = ACTIONS(1433),
    [anon_sym_alignof] = ACTIONS(1433),
    [anon_sym__Alignof] = ACTIONS(1433),
    [anon_sym_offsetof] = ACTIONS(1433),
    [anon_sym__Generic] = ACTIONS(1433),
    [anon_sym_asm] = ACTIONS(1433),
    [anon_sym___asm__] = ACTIONS(1433),
    [sym_number_literal] = ACTIONS(1435),
    [anon_sym_L_SQUOTE] = ACTIONS(1435),
    [anon_sym_u_SQUOTE] = ACTIONS(1435),
    [anon_sym_U_SQUOTE] = ACTIONS(1435),
    [anon_sym_u8_SQUOTE] = ACTIONS(1435),
    [anon_sym_SQUOTE] = ACTIONS(1435),
    [anon_sym_L_DQUOTE] = ACTIONS(1435),
    [anon_sym_u_DQUOTE] = ACTIONS(1435),
    [anon_sym_U_DQUOTE] = ACTIONS(1435),
    [anon_sym_u8_DQUOTE] = ACTIONS(1435),
    [anon_sym_DQUOTE] = ACTIONS(1435),
    [sym_true] = ACTIONS(1433),
    [sym_false] = ACTIONS(1433),
    [anon_sym_NULL] = ACTIONS(1433),
    [anon_sym_nullptr] = ACTIONS(1433),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1433),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1433),
    [anon_sym_hitAttributeEXT] = ACTIONS(1433),
    [anon_sym_callableDataEXT] = ACTIONS(1433),
    [anon_sym_callableDataInEXT] = ACTIONS(1433),
    [anon_sym_shaderRecordEXT] = ACTIONS(1433),
    [anon_sym_rayPayloadNV] = ACTIONS(1433),
    [anon_sym_rayPayloadInNV] = ACTIONS(1433),
    [anon_sym_hitAttributeNV] = ACTIONS(1433),
    [anon_sym_callableDataNV] = ACTIONS(1433),
    [anon_sym_callableDataInNV] = ACTIONS(1433),
    [anon_sym_shaderRecordNV] = ACTIONS(1433),
    [anon_sym_layout] = ACTIONS(1433),
  },
  [435] = {
    [sym_identifier] = ACTIONS(1493),
    [aux_sym_preproc_include_token1] = ACTIONS(1493),
    [aux_sym_preproc_def_token1] = ACTIONS(1493),
    [aux_sym_preproc_if_token1] = ACTIONS(1493),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1493),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1493),
    [sym_preproc_directive] = ACTIONS(1493),
    [anon_sym_LPAREN2] = ACTIONS(1495),
    [anon_sym_BANG] = ACTIONS(1495),
    [anon_sym_TILDE] = ACTIONS(1495),
    [anon_sym_DASH] = ACTIONS(1493),
    [anon_sym_PLUS] = ACTIONS(1493),
    [anon_sym_STAR] = ACTIONS(1495),
    [anon_sym_AMP] = ACTIONS(1495),
    [anon_sym_subroutine] = ACTIONS(1493),
    [anon_sym_invariant] = ACTIONS(1493),
    [anon_sym_precise] = ACTIONS(1493),
    [anon_sym_SEMI] = ACTIONS(1495),
    [anon_sym_in] = ACTIONS(1493),
    [anon_sym_out] = ACTIONS(1493),
    [anon_sym_inout] = ACTIONS(1493),
    [anon_sym_uniform] = ACTIONS(1493),
    [anon_sym_shared] = ACTIONS(1493),
    [anon_sym_attribute] = ACTIONS(1493),
    [anon_sym_varying] = ACTIONS(1493),
    [anon_sym_buffer] = ACTIONS(1493),
    [anon_sym_coherent] = ACTIONS(1493),
    [anon_sym_readonly] = ACTIONS(1493),
    [anon_sym_writeonly] = ACTIONS(1493),
    [anon_sym_precision] = ACTIONS(1493),
    [anon_sym_highp] = ACTIONS(1493),
    [anon_sym_mediump] = ACTIONS(1493),
    [anon_sym_lowp] = ACTIONS(1493),
    [anon_sym_centroid] = ACTIONS(1493),
    [anon_sym_sample] = ACTIONS(1493),
    [anon_sym_patch] = ACTIONS(1493),
    [anon_sym_smooth] = ACTIONS(1493),
    [anon_sym_flat] = ACTIONS(1493),
    [anon_sym_noperspective] = ACTIONS(1493),
    [anon_sym___extension__] = ACTIONS(1493),
    [anon_sym_typedef] = ACTIONS(1493),
    [anon_sym_extern] = ACTIONS(1493),
    [anon_sym___attribute__] = ACTIONS(1493),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1495),
    [anon_sym___declspec] = ACTIONS(1493),
    [anon_sym___cdecl] = ACTIONS(1493),
    [anon_sym___clrcall] = ACTIONS(1493),
    [anon_sym___stdcall] = ACTIONS(1493),
    [anon_sym___fastcall] = ACTIONS(1493),
    [anon_sym___thiscall] = ACTIONS(1493),
    [anon_sym___vectorcall] = ACTIONS(1493),
    [anon_sym_LBRACE] = ACTIONS(1495),
    [anon_sym_RBRACE] = ACTIONS(1495),
    [anon_sym_signed] = ACTIONS(1493),
    [anon_sym_unsigned] = ACTIONS(1493),
    [anon_sym_long] = ACTIONS(1493),
    [anon_sym_short] = ACTIONS(1493),
    [anon_sym_static] = ACTIONS(1493),
    [anon_sym_auto] = ACTIONS(1493),
    [anon_sym_register] = ACTIONS(1493),
    [anon_sym_inline] = ACTIONS(1493),
    [anon_sym___inline] = ACTIONS(1493),
    [anon_sym___inline__] = ACTIONS(1493),
    [anon_sym___forceinline] = ACTIONS(1493),
    [anon_sym_thread_local] = ACTIONS(1493),
    [anon_sym___thread] = ACTIONS(1493),
    [anon_sym_const] = ACTIONS(1493),
    [anon_sym_constexpr] = ACTIONS(1493),
    [anon_sym_volatile] = ACTIONS(1493),
    [anon_sym_restrict] = ACTIONS(1493),
    [anon_sym___restrict__] = ACTIONS(1493),
    [anon_sym__Atomic] = ACTIONS(1493),
    [anon_sym__Noreturn] = ACTIONS(1493),
    [anon_sym_noreturn] = ACTIONS(1493),
    [sym_primitive_type] = ACTIONS(1493),
    [anon_sym_enum] = ACTIONS(1493),
    [anon_sym_struct] = ACTIONS(1493),
    [anon_sym_union] = ACTIONS(1493),
    [anon_sym_if] = ACTIONS(1493),
    [anon_sym_else] = ACTIONS(1493),
    [anon_sym_switch] = ACTIONS(1493),
    [anon_sym_case] = ACTIONS(1493),
    [anon_sym_default] = ACTIONS(1493),
    [anon_sym_while] = ACTIONS(1493),
    [anon_sym_do] = ACTIONS(1493),
    [anon_sym_for] = ACTIONS(1493),
    [anon_sym_return] = ACTIONS(1493),
    [anon_sym_break] = ACTIONS(1493),
    [anon_sym_continue] = ACTIONS(1493),
    [anon_sym_goto] = ACTIONS(1493),
    [anon_sym___try] = ACTIONS(1493),
    [anon_sym___leave] = ACTIONS(1493),
    [anon_sym_DASH_DASH] = ACTIONS(1495),
    [anon_sym_PLUS_PLUS] = ACTIONS(1495),
    [anon_sym_sizeof] = ACTIONS(1493),
    [anon_sym___alignof__] = ACTIONS(1493),
    [anon_sym___alignof] = ACTIONS(1493),
    [anon_sym__alignof] = ACTIONS(1493),
    [anon_sym_alignof] = ACTIONS(1493),
    [anon_sym__Alignof] = ACTIONS(1493),
    [anon_sym_offsetof] = ACTIONS(1493),
    [anon_sym__Generic] = ACTIONS(1493),
    [anon_sym_asm] = ACTIONS(1493),
    [anon_sym___asm__] = ACTIONS(1493),
    [sym_number_literal] = ACTIONS(1495),
    [anon_sym_L_SQUOTE] = ACTIONS(1495),
    [anon_sym_u_SQUOTE] = ACTIONS(1495),
    [anon_sym_U_SQUOTE] = ACTIONS(1495),
    [anon_sym_u8_SQUOTE] = ACTIONS(1495),
    [anon_sym_SQUOTE] = ACTIONS(1495),
    [anon_sym_L_DQUOTE] = ACTIONS(1495),
    [anon_sym_u_DQUOTE] = ACTIONS(1495),
    [anon_sym_U_DQUOTE] = ACTIONS(1495),
    [anon_sym_u8_DQUOTE] = ACTIONS(1495),
    [anon_sym_DQUOTE] = ACTIONS(1495),
    [sym_true] = ACTIONS(1493),
    [sym_false] = ACTIONS(1493),
    [anon_sym_NULL] = ACTIONS(1493),
    [anon_sym_nullptr] = ACTIONS(1493),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1493),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1493),
    [anon_sym_hitAttributeEXT] = ACTIONS(1493),
    [anon_sym_callableDataEXT] = ACTIONS(1493),
    [anon_sym_callableDataInEXT] = ACTIONS(1493),
    [anon_sym_shaderRecordEXT] = ACTIONS(1493),
    [anon_sym_rayPayloadNV] = ACTIONS(1493),
    [anon_sym_rayPayloadInNV] = ACTIONS(1493),
    [anon_sym_hitAttributeNV] = ACTIONS(1493),
    [anon_sym_callableDataNV] = ACTIONS(1493),
    [anon_sym_callableDataInNV] = ACTIONS(1493),
    [anon_sym_shaderRecordNV] = ACTIONS(1493),
    [anon_sym_layout] = ACTIONS(1493),
  },
  [436] = {
    [sym_identifier] = ACTIONS(1517),
    [aux_sym_preproc_include_token1] = ACTIONS(1517),
    [aux_sym_preproc_def_token1] = ACTIONS(1517),
    [aux_sym_preproc_if_token1] = ACTIONS(1517),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1517),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1517),
    [sym_preproc_directive] = ACTIONS(1517),
    [anon_sym_LPAREN2] = ACTIONS(1519),
    [anon_sym_BANG] = ACTIONS(1519),
    [anon_sym_TILDE] = ACTIONS(1519),
    [anon_sym_DASH] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_STAR] = ACTIONS(1519),
    [anon_sym_AMP] = ACTIONS(1519),
    [anon_sym_subroutine] = ACTIONS(1517),
    [anon_sym_invariant] = ACTIONS(1517),
    [anon_sym_precise] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1519),
    [anon_sym_in] = ACTIONS(1517),
    [anon_sym_out] = ACTIONS(1517),
    [anon_sym_inout] = ACTIONS(1517),
    [anon_sym_uniform] = ACTIONS(1517),
    [anon_sym_shared] = ACTIONS(1517),
    [anon_sym_attribute] = ACTIONS(1517),
    [anon_sym_varying] = ACTIONS(1517),
    [anon_sym_buffer] = ACTIONS(1517),
    [anon_sym_coherent] = ACTIONS(1517),
    [anon_sym_readonly] = ACTIONS(1517),
    [anon_sym_writeonly] = ACTIONS(1517),
    [anon_sym_precision] = ACTIONS(1517),
    [anon_sym_highp] = ACTIONS(1517),
    [anon_sym_mediump] = ACTIONS(1517),
    [anon_sym_lowp] = ACTIONS(1517),
    [anon_sym_centroid] = ACTIONS(1517),
    [anon_sym_sample] = ACTIONS(1517),
    [anon_sym_patch] = ACTIONS(1517),
    [anon_sym_smooth] = ACTIONS(1517),
    [anon_sym_flat] = ACTIONS(1517),
    [anon_sym_noperspective] = ACTIONS(1517),
    [anon_sym___extension__] = ACTIONS(1517),
    [anon_sym_typedef] = ACTIONS(1517),
    [anon_sym_extern] = ACTIONS(1517),
    [anon_sym___attribute__] = ACTIONS(1517),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1519),
    [anon_sym___declspec] = ACTIONS(1517),
    [anon_sym___cdecl] = ACTIONS(1517),
    [anon_sym___clrcall] = ACTIONS(1517),
    [anon_sym___stdcall] = ACTIONS(1517),
    [anon_sym___fastcall] = ACTIONS(1517),
    [anon_sym___thiscall] = ACTIONS(1517),
    [anon_sym___vectorcall] = ACTIONS(1517),
    [anon_sym_LBRACE] = ACTIONS(1519),
    [anon_sym_RBRACE] = ACTIONS(1519),
    [anon_sym_signed] = ACTIONS(1517),
    [anon_sym_unsigned] = ACTIONS(1517),
    [anon_sym_long] = ACTIONS(1517),
    [anon_sym_short] = ACTIONS(1517),
    [anon_sym_static] = ACTIONS(1517),
    [anon_sym_auto] = ACTIONS(1517),
    [anon_sym_register] = ACTIONS(1517),
    [anon_sym_inline] = ACTIONS(1517),
    [anon_sym___inline] = ACTIONS(1517),
    [anon_sym___inline__] = ACTIONS(1517),
    [anon_sym___forceinline] = ACTIONS(1517),
    [anon_sym_thread_local] = ACTIONS(1517),
    [anon_sym___thread] = ACTIONS(1517),
    [anon_sym_const] = ACTIONS(1517),
    [anon_sym_constexpr] = ACTIONS(1517),
    [anon_sym_volatile] = ACTIONS(1517),
    [anon_sym_restrict] = ACTIONS(1517),
    [anon_sym___restrict__] = ACTIONS(1517),
    [anon_sym__Atomic] = ACTIONS(1517),
    [anon_sym__Noreturn] = ACTIONS(1517),
    [anon_sym_noreturn] = ACTIONS(1517),
    [sym_primitive_type] = ACTIONS(1517),
    [anon_sym_enum] = ACTIONS(1517),
    [anon_sym_struct] = ACTIONS(1517),
    [anon_sym_union] = ACTIONS(1517),
    [anon_sym_if] = ACTIONS(1517),
    [anon_sym_else] = ACTIONS(1517),
    [anon_sym_switch] = ACTIONS(1517),
    [anon_sym_case] = ACTIONS(1517),
    [anon_sym_default] = ACTIONS(1517),
    [anon_sym_while] = ACTIONS(1517),
    [anon_sym_do] = ACTIONS(1517),
    [anon_sym_for] = ACTIONS(1517),
    [anon_sym_return] = ACTIONS(1517),
    [anon_sym_break] = ACTIONS(1517),
    [anon_sym_continue] = ACTIONS(1517),
    [anon_sym_goto] = ACTIONS(1517),
    [anon_sym___try] = ACTIONS(1517),
    [anon_sym___leave] = ACTIONS(1517),
    [anon_sym_DASH_DASH] = ACTIONS(1519),
    [anon_sym_PLUS_PLUS] = ACTIONS(1519),
    [anon_sym_sizeof] = ACTIONS(1517),
    [anon_sym___alignof__] = ACTIONS(1517),
    [anon_sym___alignof] = ACTIONS(1517),
    [anon_sym__alignof] = ACTIONS(1517),
    [anon_sym_alignof] = ACTIONS(1517),
    [anon_sym__Alignof] = ACTIONS(1517),
    [anon_sym_offsetof] = ACTIONS(1517),
    [anon_sym__Generic] = ACTIONS(1517),
    [anon_sym_asm] = ACTIONS(1517),
    [anon_sym___asm__] = ACTIONS(1517),
    [sym_number_literal] = ACTIONS(1519),
    [anon_sym_L_SQUOTE] = ACTIONS(1519),
    [anon_sym_u_SQUOTE] = ACTIONS(1519),
    [anon_sym_U_SQUOTE] = ACTIONS(1519),
    [anon_sym_u8_SQUOTE] = ACTIONS(1519),
    [anon_sym_SQUOTE] = ACTIONS(1519),
    [anon_sym_L_DQUOTE] = ACTIONS(1519),
    [anon_sym_u_DQUOTE] = ACTIONS(1519),
    [anon_sym_U_DQUOTE] = ACTIONS(1519),
    [anon_sym_u8_DQUOTE] = ACTIONS(1519),
    [anon_sym_DQUOTE] = ACTIONS(1519),
    [sym_true] = ACTIONS(1517),
    [sym_false] = ACTIONS(1517),
    [anon_sym_NULL] = ACTIONS(1517),
    [anon_sym_nullptr] = ACTIONS(1517),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1517),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1517),
    [anon_sym_hitAttributeEXT] = ACTIONS(1517),
    [anon_sym_callableDataEXT] = ACTIONS(1517),
    [anon_sym_callableDataInEXT] = ACTIONS(1517),
    [anon_sym_shaderRecordEXT] = ACTIONS(1517),
    [anon_sym_rayPayloadNV] = ACTIONS(1517),
    [anon_sym_rayPayloadInNV] = ACTIONS(1517),
    [anon_sym_hitAttributeNV] = ACTIONS(1517),
    [anon_sym_callableDataNV] = ACTIONS(1517),
    [anon_sym_callableDataInNV] = ACTIONS(1517),
    [anon_sym_shaderRecordNV] = ACTIONS(1517),
    [anon_sym_layout] = ACTIONS(1517),
  },
  [437] = {
    [ts_builtin_sym_end] = ACTIONS(1523),
    [sym_identifier] = ACTIONS(1521),
    [aux_sym_preproc_include_token1] = ACTIONS(1521),
    [aux_sym_preproc_def_token1] = ACTIONS(1521),
    [aux_sym_preproc_if_token1] = ACTIONS(1521),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1521),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1521),
    [sym_preproc_directive] = ACTIONS(1521),
    [anon_sym_LPAREN2] = ACTIONS(1523),
    [anon_sym_BANG] = ACTIONS(1523),
    [anon_sym_TILDE] = ACTIONS(1523),
    [anon_sym_DASH] = ACTIONS(1521),
    [anon_sym_PLUS] = ACTIONS(1521),
    [anon_sym_STAR] = ACTIONS(1523),
    [anon_sym_AMP] = ACTIONS(1523),
    [anon_sym_subroutine] = ACTIONS(1521),
    [anon_sym_invariant] = ACTIONS(1521),
    [anon_sym_precise] = ACTIONS(1521),
    [anon_sym_SEMI] = ACTIONS(1523),
    [anon_sym_in] = ACTIONS(1521),
    [anon_sym_out] = ACTIONS(1521),
    [anon_sym_inout] = ACTIONS(1521),
    [anon_sym_uniform] = ACTIONS(1521),
    [anon_sym_shared] = ACTIONS(1521),
    [anon_sym_attribute] = ACTIONS(1521),
    [anon_sym_varying] = ACTIONS(1521),
    [anon_sym_buffer] = ACTIONS(1521),
    [anon_sym_coherent] = ACTIONS(1521),
    [anon_sym_readonly] = ACTIONS(1521),
    [anon_sym_writeonly] = ACTIONS(1521),
    [anon_sym_precision] = ACTIONS(1521),
    [anon_sym_highp] = ACTIONS(1521),
    [anon_sym_mediump] = ACTIONS(1521),
    [anon_sym_lowp] = ACTIONS(1521),
    [anon_sym_centroid] = ACTIONS(1521),
    [anon_sym_sample] = ACTIONS(1521),
    [anon_sym_patch] = ACTIONS(1521),
    [anon_sym_smooth] = ACTIONS(1521),
    [anon_sym_flat] = ACTIONS(1521),
    [anon_sym_noperspective] = ACTIONS(1521),
    [anon_sym___extension__] = ACTIONS(1521),
    [anon_sym_typedef] = ACTIONS(1521),
    [anon_sym_extern] = ACTIONS(1521),
    [anon_sym___attribute__] = ACTIONS(1521),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1523),
    [anon_sym___declspec] = ACTIONS(1521),
    [anon_sym___cdecl] = ACTIONS(1521),
    [anon_sym___clrcall] = ACTIONS(1521),
    [anon_sym___stdcall] = ACTIONS(1521),
    [anon_sym___fastcall] = ACTIONS(1521),
    [anon_sym___thiscall] = ACTIONS(1521),
    [anon_sym___vectorcall] = ACTIONS(1521),
    [anon_sym_LBRACE] = ACTIONS(1523),
    [anon_sym_signed] = ACTIONS(1521),
    [anon_sym_unsigned] = ACTIONS(1521),
    [anon_sym_long] = ACTIONS(1521),
    [anon_sym_short] = ACTIONS(1521),
    [anon_sym_static] = ACTIONS(1521),
    [anon_sym_auto] = ACTIONS(1521),
    [anon_sym_register] = ACTIONS(1521),
    [anon_sym_inline] = ACTIONS(1521),
    [anon_sym___inline] = ACTIONS(1521),
    [anon_sym___inline__] = ACTIONS(1521),
    [anon_sym___forceinline] = ACTIONS(1521),
    [anon_sym_thread_local] = ACTIONS(1521),
    [anon_sym___thread] = ACTIONS(1521),
    [anon_sym_const] = ACTIONS(1521),
    [anon_sym_constexpr] = ACTIONS(1521),
    [anon_sym_volatile] = ACTIONS(1521),
    [anon_sym_restrict] = ACTIONS(1521),
    [anon_sym___restrict__] = ACTIONS(1521),
    [anon_sym__Atomic] = ACTIONS(1521),
    [anon_sym__Noreturn] = ACTIONS(1521),
    [anon_sym_noreturn] = ACTIONS(1521),
    [sym_primitive_type] = ACTIONS(1521),
    [anon_sym_enum] = ACTIONS(1521),
    [anon_sym_struct] = ACTIONS(1521),
    [anon_sym_union] = ACTIONS(1521),
    [anon_sym_if] = ACTIONS(1521),
    [anon_sym_else] = ACTIONS(1521),
    [anon_sym_switch] = ACTIONS(1521),
    [anon_sym_case] = ACTIONS(1521),
    [anon_sym_default] = ACTIONS(1521),
    [anon_sym_while] = ACTIONS(1521),
    [anon_sym_do] = ACTIONS(1521),
    [anon_sym_for] = ACTIONS(1521),
    [anon_sym_return] = ACTIONS(1521),
    [anon_sym_break] = ACTIONS(1521),
    [anon_sym_continue] = ACTIONS(1521),
    [anon_sym_goto] = ACTIONS(1521),
    [anon_sym___try] = ACTIONS(1521),
    [anon_sym___leave] = ACTIONS(1521),
    [anon_sym_DASH_DASH] = ACTIONS(1523),
    [anon_sym_PLUS_PLUS] = ACTIONS(1523),
    [anon_sym_sizeof] = ACTIONS(1521),
    [anon_sym___alignof__] = ACTIONS(1521),
    [anon_sym___alignof] = ACTIONS(1521),
    [anon_sym__alignof] = ACTIONS(1521),
    [anon_sym_alignof] = ACTIONS(1521),
    [anon_sym__Alignof] = ACTIONS(1521),
    [anon_sym_offsetof] = ACTIONS(1521),
    [anon_sym__Generic] = ACTIONS(1521),
    [anon_sym_asm] = ACTIONS(1521),
    [anon_sym___asm__] = ACTIONS(1521),
    [sym_number_literal] = ACTIONS(1523),
    [anon_sym_L_SQUOTE] = ACTIONS(1523),
    [anon_sym_u_SQUOTE] = ACTIONS(1523),
    [anon_sym_U_SQUOTE] = ACTIONS(1523),
    [anon_sym_u8_SQUOTE] = ACTIONS(1523),
    [anon_sym_SQUOTE] = ACTIONS(1523),
    [anon_sym_L_DQUOTE] = ACTIONS(1523),
    [anon_sym_u_DQUOTE] = ACTIONS(1523),
    [anon_sym_U_DQUOTE] = ACTIONS(1523),
    [anon_sym_u8_DQUOTE] = ACTIONS(1523),
    [anon_sym_DQUOTE] = ACTIONS(1523),
    [sym_true] = ACTIONS(1521),
    [sym_false] = ACTIONS(1521),
    [anon_sym_NULL] = ACTIONS(1521),
    [anon_sym_nullptr] = ACTIONS(1521),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1521),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1521),
    [anon_sym_hitAttributeEXT] = ACTIONS(1521),
    [anon_sym_callableDataEXT] = ACTIONS(1521),
    [anon_sym_callableDataInEXT] = ACTIONS(1521),
    [anon_sym_shaderRecordEXT] = ACTIONS(1521),
    [anon_sym_rayPayloadNV] = ACTIONS(1521),
    [anon_sym_rayPayloadInNV] = ACTIONS(1521),
    [anon_sym_hitAttributeNV] = ACTIONS(1521),
    [anon_sym_callableDataNV] = ACTIONS(1521),
    [anon_sym_callableDataInNV] = ACTIONS(1521),
    [anon_sym_shaderRecordNV] = ACTIONS(1521),
    [anon_sym_layout] = ACTIONS(1521),
  },
  [438] = {
    [ts_builtin_sym_end] = ACTIONS(1527),
    [sym_identifier] = ACTIONS(1525),
    [aux_sym_preproc_include_token1] = ACTIONS(1525),
    [aux_sym_preproc_def_token1] = ACTIONS(1525),
    [aux_sym_preproc_if_token1] = ACTIONS(1525),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1525),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1525),
    [sym_preproc_directive] = ACTIONS(1525),
    [anon_sym_LPAREN2] = ACTIONS(1527),
    [anon_sym_BANG] = ACTIONS(1527),
    [anon_sym_TILDE] = ACTIONS(1527),
    [anon_sym_DASH] = ACTIONS(1525),
    [anon_sym_PLUS] = ACTIONS(1525),
    [anon_sym_STAR] = ACTIONS(1527),
    [anon_sym_AMP] = ACTIONS(1527),
    [anon_sym_subroutine] = ACTIONS(1525),
    [anon_sym_invariant] = ACTIONS(1525),
    [anon_sym_precise] = ACTIONS(1525),
    [anon_sym_SEMI] = ACTIONS(1527),
    [anon_sym_in] = ACTIONS(1525),
    [anon_sym_out] = ACTIONS(1525),
    [anon_sym_inout] = ACTIONS(1525),
    [anon_sym_uniform] = ACTIONS(1525),
    [anon_sym_shared] = ACTIONS(1525),
    [anon_sym_attribute] = ACTIONS(1525),
    [anon_sym_varying] = ACTIONS(1525),
    [anon_sym_buffer] = ACTIONS(1525),
    [anon_sym_coherent] = ACTIONS(1525),
    [anon_sym_readonly] = ACTIONS(1525),
    [anon_sym_writeonly] = ACTIONS(1525),
    [anon_sym_precision] = ACTIONS(1525),
    [anon_sym_highp] = ACTIONS(1525),
    [anon_sym_mediump] = ACTIONS(1525),
    [anon_sym_lowp] = ACTIONS(1525),
    [anon_sym_centroid] = ACTIONS(1525),
    [anon_sym_sample] = ACTIONS(1525),
    [anon_sym_patch] = ACTIONS(1525),
    [anon_sym_smooth] = ACTIONS(1525),
    [anon_sym_flat] = ACTIONS(1525),
    [anon_sym_noperspective] = ACTIONS(1525),
    [anon_sym___extension__] = ACTIONS(1525),
    [anon_sym_typedef] = ACTIONS(1525),
    [anon_sym_extern] = ACTIONS(1525),
    [anon_sym___attribute__] = ACTIONS(1525),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1527),
    [anon_sym___declspec] = ACTIONS(1525),
    [anon_sym___cdecl] = ACTIONS(1525),
    [anon_sym___clrcall] = ACTIONS(1525),
    [anon_sym___stdcall] = ACTIONS(1525),
    [anon_sym___fastcall] = ACTIONS(1525),
    [anon_sym___thiscall] = ACTIONS(1525),
    [anon_sym___vectorcall] = ACTIONS(1525),
    [anon_sym_LBRACE] = ACTIONS(1527),
    [anon_sym_signed] = ACTIONS(1525),
    [anon_sym_unsigned] = ACTIONS(1525),
    [anon_sym_long] = ACTIONS(1525),
    [anon_sym_short] = ACTIONS(1525),
    [anon_sym_static] = ACTIONS(1525),
    [anon_sym_auto] = ACTIONS(1525),
    [anon_sym_register] = ACTIONS(1525),
    [anon_sym_inline] = ACTIONS(1525),
    [anon_sym___inline] = ACTIONS(1525),
    [anon_sym___inline__] = ACTIONS(1525),
    [anon_sym___forceinline] = ACTIONS(1525),
    [anon_sym_thread_local] = ACTIONS(1525),
    [anon_sym___thread] = ACTIONS(1525),
    [anon_sym_const] = ACTIONS(1525),
    [anon_sym_constexpr] = ACTIONS(1525),
    [anon_sym_volatile] = ACTIONS(1525),
    [anon_sym_restrict] = ACTIONS(1525),
    [anon_sym___restrict__] = ACTIONS(1525),
    [anon_sym__Atomic] = ACTIONS(1525),
    [anon_sym__Noreturn] = ACTIONS(1525),
    [anon_sym_noreturn] = ACTIONS(1525),
    [sym_primitive_type] = ACTIONS(1525),
    [anon_sym_enum] = ACTIONS(1525),
    [anon_sym_struct] = ACTIONS(1525),
    [anon_sym_union] = ACTIONS(1525),
    [anon_sym_if] = ACTIONS(1525),
    [anon_sym_else] = ACTIONS(1525),
    [anon_sym_switch] = ACTIONS(1525),
    [anon_sym_case] = ACTIONS(1525),
    [anon_sym_default] = ACTIONS(1525),
    [anon_sym_while] = ACTIONS(1525),
    [anon_sym_do] = ACTIONS(1525),
    [anon_sym_for] = ACTIONS(1525),
    [anon_sym_return] = ACTIONS(1525),
    [anon_sym_break] = ACTIONS(1525),
    [anon_sym_continue] = ACTIONS(1525),
    [anon_sym_goto] = ACTIONS(1525),
    [anon_sym___try] = ACTIONS(1525),
    [anon_sym___leave] = ACTIONS(1525),
    [anon_sym_DASH_DASH] = ACTIONS(1527),
    [anon_sym_PLUS_PLUS] = ACTIONS(1527),
    [anon_sym_sizeof] = ACTIONS(1525),
    [anon_sym___alignof__] = ACTIONS(1525),
    [anon_sym___alignof] = ACTIONS(1525),
    [anon_sym__alignof] = ACTIONS(1525),
    [anon_sym_alignof] = ACTIONS(1525),
    [anon_sym__Alignof] = ACTIONS(1525),
    [anon_sym_offsetof] = ACTIONS(1525),
    [anon_sym__Generic] = ACTIONS(1525),
    [anon_sym_asm] = ACTIONS(1525),
    [anon_sym___asm__] = ACTIONS(1525),
    [sym_number_literal] = ACTIONS(1527),
    [anon_sym_L_SQUOTE] = ACTIONS(1527),
    [anon_sym_u_SQUOTE] = ACTIONS(1527),
    [anon_sym_U_SQUOTE] = ACTIONS(1527),
    [anon_sym_u8_SQUOTE] = ACTIONS(1527),
    [anon_sym_SQUOTE] = ACTIONS(1527),
    [anon_sym_L_DQUOTE] = ACTIONS(1527),
    [anon_sym_u_DQUOTE] = ACTIONS(1527),
    [anon_sym_U_DQUOTE] = ACTIONS(1527),
    [anon_sym_u8_DQUOTE] = ACTIONS(1527),
    [anon_sym_DQUOTE] = ACTIONS(1527),
    [sym_true] = ACTIONS(1525),
    [sym_false] = ACTIONS(1525),
    [anon_sym_NULL] = ACTIONS(1525),
    [anon_sym_nullptr] = ACTIONS(1525),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1525),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1525),
    [anon_sym_hitAttributeEXT] = ACTIONS(1525),
    [anon_sym_callableDataEXT] = ACTIONS(1525),
    [anon_sym_callableDataInEXT] = ACTIONS(1525),
    [anon_sym_shaderRecordEXT] = ACTIONS(1525),
    [anon_sym_rayPayloadNV] = ACTIONS(1525),
    [anon_sym_rayPayloadInNV] = ACTIONS(1525),
    [anon_sym_hitAttributeNV] = ACTIONS(1525),
    [anon_sym_callableDataNV] = ACTIONS(1525),
    [anon_sym_callableDataInNV] = ACTIONS(1525),
    [anon_sym_shaderRecordNV] = ACTIONS(1525),
    [anon_sym_layout] = ACTIONS(1525),
  },
  [439] = {
    [sym_identifier] = ACTIONS(1429),
    [aux_sym_preproc_include_token1] = ACTIONS(1429),
    [aux_sym_preproc_def_token1] = ACTIONS(1429),
    [aux_sym_preproc_if_token1] = ACTIONS(1429),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1429),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1429),
    [sym_preproc_directive] = ACTIONS(1429),
    [anon_sym_LPAREN2] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1431),
    [anon_sym_TILDE] = ACTIONS(1431),
    [anon_sym_DASH] = ACTIONS(1429),
    [anon_sym_PLUS] = ACTIONS(1429),
    [anon_sym_STAR] = ACTIONS(1431),
    [anon_sym_AMP] = ACTIONS(1431),
    [anon_sym_subroutine] = ACTIONS(1429),
    [anon_sym_invariant] = ACTIONS(1429),
    [anon_sym_precise] = ACTIONS(1429),
    [anon_sym_SEMI] = ACTIONS(1431),
    [anon_sym_in] = ACTIONS(1429),
    [anon_sym_out] = ACTIONS(1429),
    [anon_sym_inout] = ACTIONS(1429),
    [anon_sym_uniform] = ACTIONS(1429),
    [anon_sym_shared] = ACTIONS(1429),
    [anon_sym_attribute] = ACTIONS(1429),
    [anon_sym_varying] = ACTIONS(1429),
    [anon_sym_buffer] = ACTIONS(1429),
    [anon_sym_coherent] = ACTIONS(1429),
    [anon_sym_readonly] = ACTIONS(1429),
    [anon_sym_writeonly] = ACTIONS(1429),
    [anon_sym_precision] = ACTIONS(1429),
    [anon_sym_highp] = ACTIONS(1429),
    [anon_sym_mediump] = ACTIONS(1429),
    [anon_sym_lowp] = ACTIONS(1429),
    [anon_sym_centroid] = ACTIONS(1429),
    [anon_sym_sample] = ACTIONS(1429),
    [anon_sym_patch] = ACTIONS(1429),
    [anon_sym_smooth] = ACTIONS(1429),
    [anon_sym_flat] = ACTIONS(1429),
    [anon_sym_noperspective] = ACTIONS(1429),
    [anon_sym___extension__] = ACTIONS(1429),
    [anon_sym_typedef] = ACTIONS(1429),
    [anon_sym_extern] = ACTIONS(1429),
    [anon_sym___attribute__] = ACTIONS(1429),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1431),
    [anon_sym___declspec] = ACTIONS(1429),
    [anon_sym___cdecl] = ACTIONS(1429),
    [anon_sym___clrcall] = ACTIONS(1429),
    [anon_sym___stdcall] = ACTIONS(1429),
    [anon_sym___fastcall] = ACTIONS(1429),
    [anon_sym___thiscall] = ACTIONS(1429),
    [anon_sym___vectorcall] = ACTIONS(1429),
    [anon_sym_LBRACE] = ACTIONS(1431),
    [anon_sym_RBRACE] = ACTIONS(1431),
    [anon_sym_signed] = ACTIONS(1429),
    [anon_sym_unsigned] = ACTIONS(1429),
    [anon_sym_long] = ACTIONS(1429),
    [anon_sym_short] = ACTIONS(1429),
    [anon_sym_static] = ACTIONS(1429),
    [anon_sym_auto] = ACTIONS(1429),
    [anon_sym_register] = ACTIONS(1429),
    [anon_sym_inline] = ACTIONS(1429),
    [anon_sym___inline] = ACTIONS(1429),
    [anon_sym___inline__] = ACTIONS(1429),
    [anon_sym___forceinline] = ACTIONS(1429),
    [anon_sym_thread_local] = ACTIONS(1429),
    [anon_sym___thread] = ACTIONS(1429),
    [anon_sym_const] = ACTIONS(1429),
    [anon_sym_constexpr] = ACTIONS(1429),
    [anon_sym_volatile] = ACTIONS(1429),
    [anon_sym_restrict] = ACTIONS(1429),
    [anon_sym___restrict__] = ACTIONS(1429),
    [anon_sym__Atomic] = ACTIONS(1429),
    [anon_sym__Noreturn] = ACTIONS(1429),
    [anon_sym_noreturn] = ACTIONS(1429),
    [sym_primitive_type] = ACTIONS(1429),
    [anon_sym_enum] = ACTIONS(1429),
    [anon_sym_struct] = ACTIONS(1429),
    [anon_sym_union] = ACTIONS(1429),
    [anon_sym_if] = ACTIONS(1429),
    [anon_sym_else] = ACTIONS(1429),
    [anon_sym_switch] = ACTIONS(1429),
    [anon_sym_case] = ACTIONS(1429),
    [anon_sym_default] = ACTIONS(1429),
    [anon_sym_while] = ACTIONS(1429),
    [anon_sym_do] = ACTIONS(1429),
    [anon_sym_for] = ACTIONS(1429),
    [anon_sym_return] = ACTIONS(1429),
    [anon_sym_break] = ACTIONS(1429),
    [anon_sym_continue] = ACTIONS(1429),
    [anon_sym_goto] = ACTIONS(1429),
    [anon_sym___try] = ACTIONS(1429),
    [anon_sym___leave] = ACTIONS(1429),
    [anon_sym_DASH_DASH] = ACTIONS(1431),
    [anon_sym_PLUS_PLUS] = ACTIONS(1431),
    [anon_sym_sizeof] = ACTIONS(1429),
    [anon_sym___alignof__] = ACTIONS(1429),
    [anon_sym___alignof] = ACTIONS(1429),
    [anon_sym__alignof] = ACTIONS(1429),
    [anon_sym_alignof] = ACTIONS(1429),
    [anon_sym__Alignof] = ACTIONS(1429),
    [anon_sym_offsetof] = ACTIONS(1429),
    [anon_sym__Generic] = ACTIONS(1429),
    [anon_sym_asm] = ACTIONS(1429),
    [anon_sym___asm__] = ACTIONS(1429),
    [sym_number_literal] = ACTIONS(1431),
    [anon_sym_L_SQUOTE] = ACTIONS(1431),
    [anon_sym_u_SQUOTE] = ACTIONS(1431),
    [anon_sym_U_SQUOTE] = ACTIONS(1431),
    [anon_sym_u8_SQUOTE] = ACTIONS(1431),
    [anon_sym_SQUOTE] = ACTIONS(1431),
    [anon_sym_L_DQUOTE] = ACTIONS(1431),
    [anon_sym_u_DQUOTE] = ACTIONS(1431),
    [anon_sym_U_DQUOTE] = ACTIONS(1431),
    [anon_sym_u8_DQUOTE] = ACTIONS(1431),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_true] = ACTIONS(1429),
    [sym_false] = ACTIONS(1429),
    [anon_sym_NULL] = ACTIONS(1429),
    [anon_sym_nullptr] = ACTIONS(1429),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1429),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1429),
    [anon_sym_hitAttributeEXT] = ACTIONS(1429),
    [anon_sym_callableDataEXT] = ACTIONS(1429),
    [anon_sym_callableDataInEXT] = ACTIONS(1429),
    [anon_sym_shaderRecordEXT] = ACTIONS(1429),
    [anon_sym_rayPayloadNV] = ACTIONS(1429),
    [anon_sym_rayPayloadInNV] = ACTIONS(1429),
    [anon_sym_hitAttributeNV] = ACTIONS(1429),
    [anon_sym_callableDataNV] = ACTIONS(1429),
    [anon_sym_callableDataInNV] = ACTIONS(1429),
    [anon_sym_shaderRecordNV] = ACTIONS(1429),
    [anon_sym_layout] = ACTIONS(1429),
  },
  [440] = {
    [sym_identifier] = ACTIONS(1529),
    [aux_sym_preproc_include_token1] = ACTIONS(1529),
    [aux_sym_preproc_def_token1] = ACTIONS(1529),
    [aux_sym_preproc_if_token1] = ACTIONS(1529),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1529),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1529),
    [sym_preproc_directive] = ACTIONS(1529),
    [anon_sym_LPAREN2] = ACTIONS(1531),
    [anon_sym_BANG] = ACTIONS(1531),
    [anon_sym_TILDE] = ACTIONS(1531),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_STAR] = ACTIONS(1531),
    [anon_sym_AMP] = ACTIONS(1531),
    [anon_sym_subroutine] = ACTIONS(1529),
    [anon_sym_invariant] = ACTIONS(1529),
    [anon_sym_precise] = ACTIONS(1529),
    [anon_sym_SEMI] = ACTIONS(1531),
    [anon_sym_in] = ACTIONS(1529),
    [anon_sym_out] = ACTIONS(1529),
    [anon_sym_inout] = ACTIONS(1529),
    [anon_sym_uniform] = ACTIONS(1529),
    [anon_sym_shared] = ACTIONS(1529),
    [anon_sym_attribute] = ACTIONS(1529),
    [anon_sym_varying] = ACTIONS(1529),
    [anon_sym_buffer] = ACTIONS(1529),
    [anon_sym_coherent] = ACTIONS(1529),
    [anon_sym_readonly] = ACTIONS(1529),
    [anon_sym_writeonly] = ACTIONS(1529),
    [anon_sym_precision] = ACTIONS(1529),
    [anon_sym_highp] = ACTIONS(1529),
    [anon_sym_mediump] = ACTIONS(1529),
    [anon_sym_lowp] = ACTIONS(1529),
    [anon_sym_centroid] = ACTIONS(1529),
    [anon_sym_sample] = ACTIONS(1529),
    [anon_sym_patch] = ACTIONS(1529),
    [anon_sym_smooth] = ACTIONS(1529),
    [anon_sym_flat] = ACTIONS(1529),
    [anon_sym_noperspective] = ACTIONS(1529),
    [anon_sym___extension__] = ACTIONS(1529),
    [anon_sym_typedef] = ACTIONS(1529),
    [anon_sym_extern] = ACTIONS(1529),
    [anon_sym___attribute__] = ACTIONS(1529),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1531),
    [anon_sym___declspec] = ACTIONS(1529),
    [anon_sym___cdecl] = ACTIONS(1529),
    [anon_sym___clrcall] = ACTIONS(1529),
    [anon_sym___stdcall] = ACTIONS(1529),
    [anon_sym___fastcall] = ACTIONS(1529),
    [anon_sym___thiscall] = ACTIONS(1529),
    [anon_sym___vectorcall] = ACTIONS(1529),
    [anon_sym_LBRACE] = ACTIONS(1531),
    [anon_sym_RBRACE] = ACTIONS(1531),
    [anon_sym_signed] = ACTIONS(1529),
    [anon_sym_unsigned] = ACTIONS(1529),
    [anon_sym_long] = ACTIONS(1529),
    [anon_sym_short] = ACTIONS(1529),
    [anon_sym_static] = ACTIONS(1529),
    [anon_sym_auto] = ACTIONS(1529),
    [anon_sym_register] = ACTIONS(1529),
    [anon_sym_inline] = ACTIONS(1529),
    [anon_sym___inline] = ACTIONS(1529),
    [anon_sym___inline__] = ACTIONS(1529),
    [anon_sym___forceinline] = ACTIONS(1529),
    [anon_sym_thread_local] = ACTIONS(1529),
    [anon_sym___thread] = ACTIONS(1529),
    [anon_sym_const] = ACTIONS(1529),
    [anon_sym_constexpr] = ACTIONS(1529),
    [anon_sym_volatile] = ACTIONS(1529),
    [anon_sym_restrict] = ACTIONS(1529),
    [anon_sym___restrict__] = ACTIONS(1529),
    [anon_sym__Atomic] = ACTIONS(1529),
    [anon_sym__Noreturn] = ACTIONS(1529),
    [anon_sym_noreturn] = ACTIONS(1529),
    [sym_primitive_type] = ACTIONS(1529),
    [anon_sym_enum] = ACTIONS(1529),
    [anon_sym_struct] = ACTIONS(1529),
    [anon_sym_union] = ACTIONS(1529),
    [anon_sym_if] = ACTIONS(1529),
    [anon_sym_else] = ACTIONS(1529),
    [anon_sym_switch] = ACTIONS(1529),
    [anon_sym_case] = ACTIONS(1529),
    [anon_sym_default] = ACTIONS(1529),
    [anon_sym_while] = ACTIONS(1529),
    [anon_sym_do] = ACTIONS(1529),
    [anon_sym_for] = ACTIONS(1529),
    [anon_sym_return] = ACTIONS(1529),
    [anon_sym_break] = ACTIONS(1529),
    [anon_sym_continue] = ACTIONS(1529),
    [anon_sym_goto] = ACTIONS(1529),
    [anon_sym___try] = ACTIONS(1529),
    [anon_sym___leave] = ACTIONS(1529),
    [anon_sym_DASH_DASH] = ACTIONS(1531),
    [anon_sym_PLUS_PLUS] = ACTIONS(1531),
    [anon_sym_sizeof] = ACTIONS(1529),
    [anon_sym___alignof__] = ACTIONS(1529),
    [anon_sym___alignof] = ACTIONS(1529),
    [anon_sym__alignof] = ACTIONS(1529),
    [anon_sym_alignof] = ACTIONS(1529),
    [anon_sym__Alignof] = ACTIONS(1529),
    [anon_sym_offsetof] = ACTIONS(1529),
    [anon_sym__Generic] = ACTIONS(1529),
    [anon_sym_asm] = ACTIONS(1529),
    [anon_sym___asm__] = ACTIONS(1529),
    [sym_number_literal] = ACTIONS(1531),
    [anon_sym_L_SQUOTE] = ACTIONS(1531),
    [anon_sym_u_SQUOTE] = ACTIONS(1531),
    [anon_sym_U_SQUOTE] = ACTIONS(1531),
    [anon_sym_u8_SQUOTE] = ACTIONS(1531),
    [anon_sym_SQUOTE] = ACTIONS(1531),
    [anon_sym_L_DQUOTE] = ACTIONS(1531),
    [anon_sym_u_DQUOTE] = ACTIONS(1531),
    [anon_sym_U_DQUOTE] = ACTIONS(1531),
    [anon_sym_u8_DQUOTE] = ACTIONS(1531),
    [anon_sym_DQUOTE] = ACTIONS(1531),
    [sym_true] = ACTIONS(1529),
    [sym_false] = ACTIONS(1529),
    [anon_sym_NULL] = ACTIONS(1529),
    [anon_sym_nullptr] = ACTIONS(1529),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1529),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1529),
    [anon_sym_hitAttributeEXT] = ACTIONS(1529),
    [anon_sym_callableDataEXT] = ACTIONS(1529),
    [anon_sym_callableDataInEXT] = ACTIONS(1529),
    [anon_sym_shaderRecordEXT] = ACTIONS(1529),
    [anon_sym_rayPayloadNV] = ACTIONS(1529),
    [anon_sym_rayPayloadInNV] = ACTIONS(1529),
    [anon_sym_hitAttributeNV] = ACTIONS(1529),
    [anon_sym_callableDataNV] = ACTIONS(1529),
    [anon_sym_callableDataInNV] = ACTIONS(1529),
    [anon_sym_shaderRecordNV] = ACTIONS(1529),
    [anon_sym_layout] = ACTIONS(1529),
  },
  [441] = {
    [sym_identifier] = ACTIONS(1553),
    [aux_sym_preproc_include_token1] = ACTIONS(1553),
    [aux_sym_preproc_def_token1] = ACTIONS(1553),
    [aux_sym_preproc_if_token1] = ACTIONS(1553),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1553),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1553),
    [sym_preproc_directive] = ACTIONS(1553),
    [anon_sym_LPAREN2] = ACTIONS(1555),
    [anon_sym_BANG] = ACTIONS(1555),
    [anon_sym_TILDE] = ACTIONS(1555),
    [anon_sym_DASH] = ACTIONS(1553),
    [anon_sym_PLUS] = ACTIONS(1553),
    [anon_sym_STAR] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(1555),
    [anon_sym_subroutine] = ACTIONS(1553),
    [anon_sym_invariant] = ACTIONS(1553),
    [anon_sym_precise] = ACTIONS(1553),
    [anon_sym_SEMI] = ACTIONS(1555),
    [anon_sym_in] = ACTIONS(1553),
    [anon_sym_out] = ACTIONS(1553),
    [anon_sym_inout] = ACTIONS(1553),
    [anon_sym_uniform] = ACTIONS(1553),
    [anon_sym_shared] = ACTIONS(1553),
    [anon_sym_attribute] = ACTIONS(1553),
    [anon_sym_varying] = ACTIONS(1553),
    [anon_sym_buffer] = ACTIONS(1553),
    [anon_sym_coherent] = ACTIONS(1553),
    [anon_sym_readonly] = ACTIONS(1553),
    [anon_sym_writeonly] = ACTIONS(1553),
    [anon_sym_precision] = ACTIONS(1553),
    [anon_sym_highp] = ACTIONS(1553),
    [anon_sym_mediump] = ACTIONS(1553),
    [anon_sym_lowp] = ACTIONS(1553),
    [anon_sym_centroid] = ACTIONS(1553),
    [anon_sym_sample] = ACTIONS(1553),
    [anon_sym_patch] = ACTIONS(1553),
    [anon_sym_smooth] = ACTIONS(1553),
    [anon_sym_flat] = ACTIONS(1553),
    [anon_sym_noperspective] = ACTIONS(1553),
    [anon_sym___extension__] = ACTIONS(1553),
    [anon_sym_typedef] = ACTIONS(1553),
    [anon_sym_extern] = ACTIONS(1553),
    [anon_sym___attribute__] = ACTIONS(1553),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1555),
    [anon_sym___declspec] = ACTIONS(1553),
    [anon_sym___cdecl] = ACTIONS(1553),
    [anon_sym___clrcall] = ACTIONS(1553),
    [anon_sym___stdcall] = ACTIONS(1553),
    [anon_sym___fastcall] = ACTIONS(1553),
    [anon_sym___thiscall] = ACTIONS(1553),
    [anon_sym___vectorcall] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_RBRACE] = ACTIONS(1555),
    [anon_sym_signed] = ACTIONS(1553),
    [anon_sym_unsigned] = ACTIONS(1553),
    [anon_sym_long] = ACTIONS(1553),
    [anon_sym_short] = ACTIONS(1553),
    [anon_sym_static] = ACTIONS(1553),
    [anon_sym_auto] = ACTIONS(1553),
    [anon_sym_register] = ACTIONS(1553),
    [anon_sym_inline] = ACTIONS(1553),
    [anon_sym___inline] = ACTIONS(1553),
    [anon_sym___inline__] = ACTIONS(1553),
    [anon_sym___forceinline] = ACTIONS(1553),
    [anon_sym_thread_local] = ACTIONS(1553),
    [anon_sym___thread] = ACTIONS(1553),
    [anon_sym_const] = ACTIONS(1553),
    [anon_sym_constexpr] = ACTIONS(1553),
    [anon_sym_volatile] = ACTIONS(1553),
    [anon_sym_restrict] = ACTIONS(1553),
    [anon_sym___restrict__] = ACTIONS(1553),
    [anon_sym__Atomic] = ACTIONS(1553),
    [anon_sym__Noreturn] = ACTIONS(1553),
    [anon_sym_noreturn] = ACTIONS(1553),
    [sym_primitive_type] = ACTIONS(1553),
    [anon_sym_enum] = ACTIONS(1553),
    [anon_sym_struct] = ACTIONS(1553),
    [anon_sym_union] = ACTIONS(1553),
    [anon_sym_if] = ACTIONS(1553),
    [anon_sym_else] = ACTIONS(1553),
    [anon_sym_switch] = ACTIONS(1553),
    [anon_sym_case] = ACTIONS(1553),
    [anon_sym_default] = ACTIONS(1553),
    [anon_sym_while] = ACTIONS(1553),
    [anon_sym_do] = ACTIONS(1553),
    [anon_sym_for] = ACTIONS(1553),
    [anon_sym_return] = ACTIONS(1553),
    [anon_sym_break] = ACTIONS(1553),
    [anon_sym_continue] = ACTIONS(1553),
    [anon_sym_goto] = ACTIONS(1553),
    [anon_sym___try] = ACTIONS(1553),
    [anon_sym___leave] = ACTIONS(1553),
    [anon_sym_DASH_DASH] = ACTIONS(1555),
    [anon_sym_PLUS_PLUS] = ACTIONS(1555),
    [anon_sym_sizeof] = ACTIONS(1553),
    [anon_sym___alignof__] = ACTIONS(1553),
    [anon_sym___alignof] = ACTIONS(1553),
    [anon_sym__alignof] = ACTIONS(1553),
    [anon_sym_alignof] = ACTIONS(1553),
    [anon_sym__Alignof] = ACTIONS(1553),
    [anon_sym_offsetof] = ACTIONS(1553),
    [anon_sym__Generic] = ACTIONS(1553),
    [anon_sym_asm] = ACTIONS(1553),
    [anon_sym___asm__] = ACTIONS(1553),
    [sym_number_literal] = ACTIONS(1555),
    [anon_sym_L_SQUOTE] = ACTIONS(1555),
    [anon_sym_u_SQUOTE] = ACTIONS(1555),
    [anon_sym_U_SQUOTE] = ACTIONS(1555),
    [anon_sym_u8_SQUOTE] = ACTIONS(1555),
    [anon_sym_SQUOTE] = ACTIONS(1555),
    [anon_sym_L_DQUOTE] = ACTIONS(1555),
    [anon_sym_u_DQUOTE] = ACTIONS(1555),
    [anon_sym_U_DQUOTE] = ACTIONS(1555),
    [anon_sym_u8_DQUOTE] = ACTIONS(1555),
    [anon_sym_DQUOTE] = ACTIONS(1555),
    [sym_true] = ACTIONS(1553),
    [sym_false] = ACTIONS(1553),
    [anon_sym_NULL] = ACTIONS(1553),
    [anon_sym_nullptr] = ACTIONS(1553),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1553),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1553),
    [anon_sym_hitAttributeEXT] = ACTIONS(1553),
    [anon_sym_callableDataEXT] = ACTIONS(1553),
    [anon_sym_callableDataInEXT] = ACTIONS(1553),
    [anon_sym_shaderRecordEXT] = ACTIONS(1553),
    [anon_sym_rayPayloadNV] = ACTIONS(1553),
    [anon_sym_rayPayloadInNV] = ACTIONS(1553),
    [anon_sym_hitAttributeNV] = ACTIONS(1553),
    [anon_sym_callableDataNV] = ACTIONS(1553),
    [anon_sym_callableDataInNV] = ACTIONS(1553),
    [anon_sym_shaderRecordNV] = ACTIONS(1553),
    [anon_sym_layout] = ACTIONS(1553),
  },
  [442] = {
    [sym_identifier] = ACTIONS(1565),
    [aux_sym_preproc_include_token1] = ACTIONS(1565),
    [aux_sym_preproc_def_token1] = ACTIONS(1565),
    [aux_sym_preproc_if_token1] = ACTIONS(1565),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1565),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1565),
    [sym_preproc_directive] = ACTIONS(1565),
    [anon_sym_LPAREN2] = ACTIONS(1567),
    [anon_sym_BANG] = ACTIONS(1567),
    [anon_sym_TILDE] = ACTIONS(1567),
    [anon_sym_DASH] = ACTIONS(1565),
    [anon_sym_PLUS] = ACTIONS(1565),
    [anon_sym_STAR] = ACTIONS(1567),
    [anon_sym_AMP] = ACTIONS(1567),
    [anon_sym_subroutine] = ACTIONS(1565),
    [anon_sym_invariant] = ACTIONS(1565),
    [anon_sym_precise] = ACTIONS(1565),
    [anon_sym_SEMI] = ACTIONS(1567),
    [anon_sym_in] = ACTIONS(1565),
    [anon_sym_out] = ACTIONS(1565),
    [anon_sym_inout] = ACTIONS(1565),
    [anon_sym_uniform] = ACTIONS(1565),
    [anon_sym_shared] = ACTIONS(1565),
    [anon_sym_attribute] = ACTIONS(1565),
    [anon_sym_varying] = ACTIONS(1565),
    [anon_sym_buffer] = ACTIONS(1565),
    [anon_sym_coherent] = ACTIONS(1565),
    [anon_sym_readonly] = ACTIONS(1565),
    [anon_sym_writeonly] = ACTIONS(1565),
    [anon_sym_precision] = ACTIONS(1565),
    [anon_sym_highp] = ACTIONS(1565),
    [anon_sym_mediump] = ACTIONS(1565),
    [anon_sym_lowp] = ACTIONS(1565),
    [anon_sym_centroid] = ACTIONS(1565),
    [anon_sym_sample] = ACTIONS(1565),
    [anon_sym_patch] = ACTIONS(1565),
    [anon_sym_smooth] = ACTIONS(1565),
    [anon_sym_flat] = ACTIONS(1565),
    [anon_sym_noperspective] = ACTIONS(1565),
    [anon_sym___extension__] = ACTIONS(1565),
    [anon_sym_typedef] = ACTIONS(1565),
    [anon_sym_extern] = ACTIONS(1565),
    [anon_sym___attribute__] = ACTIONS(1565),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1567),
    [anon_sym___declspec] = ACTIONS(1565),
    [anon_sym___cdecl] = ACTIONS(1565),
    [anon_sym___clrcall] = ACTIONS(1565),
    [anon_sym___stdcall] = ACTIONS(1565),
    [anon_sym___fastcall] = ACTIONS(1565),
    [anon_sym___thiscall] = ACTIONS(1565),
    [anon_sym___vectorcall] = ACTIONS(1565),
    [anon_sym_LBRACE] = ACTIONS(1567),
    [anon_sym_RBRACE] = ACTIONS(1567),
    [anon_sym_signed] = ACTIONS(1565),
    [anon_sym_unsigned] = ACTIONS(1565),
    [anon_sym_long] = ACTIONS(1565),
    [anon_sym_short] = ACTIONS(1565),
    [anon_sym_static] = ACTIONS(1565),
    [anon_sym_auto] = ACTIONS(1565),
    [anon_sym_register] = ACTIONS(1565),
    [anon_sym_inline] = ACTIONS(1565),
    [anon_sym___inline] = ACTIONS(1565),
    [anon_sym___inline__] = ACTIONS(1565),
    [anon_sym___forceinline] = ACTIONS(1565),
    [anon_sym_thread_local] = ACTIONS(1565),
    [anon_sym___thread] = ACTIONS(1565),
    [anon_sym_const] = ACTIONS(1565),
    [anon_sym_constexpr] = ACTIONS(1565),
    [anon_sym_volatile] = ACTIONS(1565),
    [anon_sym_restrict] = ACTIONS(1565),
    [anon_sym___restrict__] = ACTIONS(1565),
    [anon_sym__Atomic] = ACTIONS(1565),
    [anon_sym__Noreturn] = ACTIONS(1565),
    [anon_sym_noreturn] = ACTIONS(1565),
    [sym_primitive_type] = ACTIONS(1565),
    [anon_sym_enum] = ACTIONS(1565),
    [anon_sym_struct] = ACTIONS(1565),
    [anon_sym_union] = ACTIONS(1565),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_else] = ACTIONS(1565),
    [anon_sym_switch] = ACTIONS(1565),
    [anon_sym_case] = ACTIONS(1565),
    [anon_sym_default] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1565),
    [anon_sym_do] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(1565),
    [anon_sym_return] = ACTIONS(1565),
    [anon_sym_break] = ACTIONS(1565),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_goto] = ACTIONS(1565),
    [anon_sym___try] = ACTIONS(1565),
    [anon_sym___leave] = ACTIONS(1565),
    [anon_sym_DASH_DASH] = ACTIONS(1567),
    [anon_sym_PLUS_PLUS] = ACTIONS(1567),
    [anon_sym_sizeof] = ACTIONS(1565),
    [anon_sym___alignof__] = ACTIONS(1565),
    [anon_sym___alignof] = ACTIONS(1565),
    [anon_sym__alignof] = ACTIONS(1565),
    [anon_sym_alignof] = ACTIONS(1565),
    [anon_sym__Alignof] = ACTIONS(1565),
    [anon_sym_offsetof] = ACTIONS(1565),
    [anon_sym__Generic] = ACTIONS(1565),
    [anon_sym_asm] = ACTIONS(1565),
    [anon_sym___asm__] = ACTIONS(1565),
    [sym_number_literal] = ACTIONS(1567),
    [anon_sym_L_SQUOTE] = ACTIONS(1567),
    [anon_sym_u_SQUOTE] = ACTIONS(1567),
    [anon_sym_U_SQUOTE] = ACTIONS(1567),
    [anon_sym_u8_SQUOTE] = ACTIONS(1567),
    [anon_sym_SQUOTE] = ACTIONS(1567),
    [anon_sym_L_DQUOTE] = ACTIONS(1567),
    [anon_sym_u_DQUOTE] = ACTIONS(1567),
    [anon_sym_U_DQUOTE] = ACTIONS(1567),
    [anon_sym_u8_DQUOTE] = ACTIONS(1567),
    [anon_sym_DQUOTE] = ACTIONS(1567),
    [sym_true] = ACTIONS(1565),
    [sym_false] = ACTIONS(1565),
    [anon_sym_NULL] = ACTIONS(1565),
    [anon_sym_nullptr] = ACTIONS(1565),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1565),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1565),
    [anon_sym_hitAttributeEXT] = ACTIONS(1565),
    [anon_sym_callableDataEXT] = ACTIONS(1565),
    [anon_sym_callableDataInEXT] = ACTIONS(1565),
    [anon_sym_shaderRecordEXT] = ACTIONS(1565),
    [anon_sym_rayPayloadNV] = ACTIONS(1565),
    [anon_sym_rayPayloadInNV] = ACTIONS(1565),
    [anon_sym_hitAttributeNV] = ACTIONS(1565),
    [anon_sym_callableDataNV] = ACTIONS(1565),
    [anon_sym_callableDataInNV] = ACTIONS(1565),
    [anon_sym_shaderRecordNV] = ACTIONS(1565),
    [anon_sym_layout] = ACTIONS(1565),
  },
  [443] = {
    [sym_identifier] = ACTIONS(1569),
    [aux_sym_preproc_include_token1] = ACTIONS(1569),
    [aux_sym_preproc_def_token1] = ACTIONS(1569),
    [aux_sym_preproc_if_token1] = ACTIONS(1569),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1569),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1569),
    [sym_preproc_directive] = ACTIONS(1569),
    [anon_sym_LPAREN2] = ACTIONS(1571),
    [anon_sym_BANG] = ACTIONS(1571),
    [anon_sym_TILDE] = ACTIONS(1571),
    [anon_sym_DASH] = ACTIONS(1569),
    [anon_sym_PLUS] = ACTIONS(1569),
    [anon_sym_STAR] = ACTIONS(1571),
    [anon_sym_AMP] = ACTIONS(1571),
    [anon_sym_subroutine] = ACTIONS(1569),
    [anon_sym_invariant] = ACTIONS(1569),
    [anon_sym_precise] = ACTIONS(1569),
    [anon_sym_SEMI] = ACTIONS(1571),
    [anon_sym_in] = ACTIONS(1569),
    [anon_sym_out] = ACTIONS(1569),
    [anon_sym_inout] = ACTIONS(1569),
    [anon_sym_uniform] = ACTIONS(1569),
    [anon_sym_shared] = ACTIONS(1569),
    [anon_sym_attribute] = ACTIONS(1569),
    [anon_sym_varying] = ACTIONS(1569),
    [anon_sym_buffer] = ACTIONS(1569),
    [anon_sym_coherent] = ACTIONS(1569),
    [anon_sym_readonly] = ACTIONS(1569),
    [anon_sym_writeonly] = ACTIONS(1569),
    [anon_sym_precision] = ACTIONS(1569),
    [anon_sym_highp] = ACTIONS(1569),
    [anon_sym_mediump] = ACTIONS(1569),
    [anon_sym_lowp] = ACTIONS(1569),
    [anon_sym_centroid] = ACTIONS(1569),
    [anon_sym_sample] = ACTIONS(1569),
    [anon_sym_patch] = ACTIONS(1569),
    [anon_sym_smooth] = ACTIONS(1569),
    [anon_sym_flat] = ACTIONS(1569),
    [anon_sym_noperspective] = ACTIONS(1569),
    [anon_sym___extension__] = ACTIONS(1569),
    [anon_sym_typedef] = ACTIONS(1569),
    [anon_sym_extern] = ACTIONS(1569),
    [anon_sym___attribute__] = ACTIONS(1569),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1571),
    [anon_sym___declspec] = ACTIONS(1569),
    [anon_sym___cdecl] = ACTIONS(1569),
    [anon_sym___clrcall] = ACTIONS(1569),
    [anon_sym___stdcall] = ACTIONS(1569),
    [anon_sym___fastcall] = ACTIONS(1569),
    [anon_sym___thiscall] = ACTIONS(1569),
    [anon_sym___vectorcall] = ACTIONS(1569),
    [anon_sym_LBRACE] = ACTIONS(1571),
    [anon_sym_RBRACE] = ACTIONS(1571),
    [anon_sym_signed] = ACTIONS(1569),
    [anon_sym_unsigned] = ACTIONS(1569),
    [anon_sym_long] = ACTIONS(1569),
    [anon_sym_short] = ACTIONS(1569),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_auto] = ACTIONS(1569),
    [anon_sym_register] = ACTIONS(1569),
    [anon_sym_inline] = ACTIONS(1569),
    [anon_sym___inline] = ACTIONS(1569),
    [anon_sym___inline__] = ACTIONS(1569),
    [anon_sym___forceinline] = ACTIONS(1569),
    [anon_sym_thread_local] = ACTIONS(1569),
    [anon_sym___thread] = ACTIONS(1569),
    [anon_sym_const] = ACTIONS(1569),
    [anon_sym_constexpr] = ACTIONS(1569),
    [anon_sym_volatile] = ACTIONS(1569),
    [anon_sym_restrict] = ACTIONS(1569),
    [anon_sym___restrict__] = ACTIONS(1569),
    [anon_sym__Atomic] = ACTIONS(1569),
    [anon_sym__Noreturn] = ACTIONS(1569),
    [anon_sym_noreturn] = ACTIONS(1569),
    [sym_primitive_type] = ACTIONS(1569),
    [anon_sym_enum] = ACTIONS(1569),
    [anon_sym_struct] = ACTIONS(1569),
    [anon_sym_union] = ACTIONS(1569),
    [anon_sym_if] = ACTIONS(1569),
    [anon_sym_else] = ACTIONS(1569),
    [anon_sym_switch] = ACTIONS(1569),
    [anon_sym_case] = ACTIONS(1569),
    [anon_sym_default] = ACTIONS(1569),
    [anon_sym_while] = ACTIONS(1569),
    [anon_sym_do] = ACTIONS(1569),
    [anon_sym_for] = ACTIONS(1569),
    [anon_sym_return] = ACTIONS(1569),
    [anon_sym_break] = ACTIONS(1569),
    [anon_sym_continue] = ACTIONS(1569),
    [anon_sym_goto] = ACTIONS(1569),
    [anon_sym___try] = ACTIONS(1569),
    [anon_sym___leave] = ACTIONS(1569),
    [anon_sym_DASH_DASH] = ACTIONS(1571),
    [anon_sym_PLUS_PLUS] = ACTIONS(1571),
    [anon_sym_sizeof] = ACTIONS(1569),
    [anon_sym___alignof__] = ACTIONS(1569),
    [anon_sym___alignof] = ACTIONS(1569),
    [anon_sym__alignof] = ACTIONS(1569),
    [anon_sym_alignof] = ACTIONS(1569),
    [anon_sym__Alignof] = ACTIONS(1569),
    [anon_sym_offsetof] = ACTIONS(1569),
    [anon_sym__Generic] = ACTIONS(1569),
    [anon_sym_asm] = ACTIONS(1569),
    [anon_sym___asm__] = ACTIONS(1569),
    [sym_number_literal] = ACTIONS(1571),
    [anon_sym_L_SQUOTE] = ACTIONS(1571),
    [anon_sym_u_SQUOTE] = ACTIONS(1571),
    [anon_sym_U_SQUOTE] = ACTIONS(1571),
    [anon_sym_u8_SQUOTE] = ACTIONS(1571),
    [anon_sym_SQUOTE] = ACTIONS(1571),
    [anon_sym_L_DQUOTE] = ACTIONS(1571),
    [anon_sym_u_DQUOTE] = ACTIONS(1571),
    [anon_sym_U_DQUOTE] = ACTIONS(1571),
    [anon_sym_u8_DQUOTE] = ACTIONS(1571),
    [anon_sym_DQUOTE] = ACTIONS(1571),
    [sym_true] = ACTIONS(1569),
    [sym_false] = ACTIONS(1569),
    [anon_sym_NULL] = ACTIONS(1569),
    [anon_sym_nullptr] = ACTIONS(1569),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1569),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1569),
    [anon_sym_hitAttributeEXT] = ACTIONS(1569),
    [anon_sym_callableDataEXT] = ACTIONS(1569),
    [anon_sym_callableDataInEXT] = ACTIONS(1569),
    [anon_sym_shaderRecordEXT] = ACTIONS(1569),
    [anon_sym_rayPayloadNV] = ACTIONS(1569),
    [anon_sym_rayPayloadInNV] = ACTIONS(1569),
    [anon_sym_hitAttributeNV] = ACTIONS(1569),
    [anon_sym_callableDataNV] = ACTIONS(1569),
    [anon_sym_callableDataInNV] = ACTIONS(1569),
    [anon_sym_shaderRecordNV] = ACTIONS(1569),
    [anon_sym_layout] = ACTIONS(1569),
  },
  [444] = {
    [sym_identifier] = ACTIONS(1475),
    [aux_sym_preproc_include_token1] = ACTIONS(1475),
    [aux_sym_preproc_def_token1] = ACTIONS(1475),
    [aux_sym_preproc_if_token1] = ACTIONS(1475),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1475),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1475),
    [sym_preproc_directive] = ACTIONS(1475),
    [anon_sym_LPAREN2] = ACTIONS(1473),
    [anon_sym_BANG] = ACTIONS(1473),
    [anon_sym_TILDE] = ACTIONS(1473),
    [anon_sym_DASH] = ACTIONS(1475),
    [anon_sym_PLUS] = ACTIONS(1475),
    [anon_sym_STAR] = ACTIONS(1473),
    [anon_sym_AMP] = ACTIONS(1473),
    [anon_sym_subroutine] = ACTIONS(1475),
    [anon_sym_invariant] = ACTIONS(1475),
    [anon_sym_precise] = ACTIONS(1475),
    [anon_sym_SEMI] = ACTIONS(1473),
    [anon_sym_in] = ACTIONS(1475),
    [anon_sym_out] = ACTIONS(1475),
    [anon_sym_inout] = ACTIONS(1475),
    [anon_sym_uniform] = ACTIONS(1475),
    [anon_sym_shared] = ACTIONS(1475),
    [anon_sym_attribute] = ACTIONS(1475),
    [anon_sym_varying] = ACTIONS(1475),
    [anon_sym_buffer] = ACTIONS(1475),
    [anon_sym_coherent] = ACTIONS(1475),
    [anon_sym_readonly] = ACTIONS(1475),
    [anon_sym_writeonly] = ACTIONS(1475),
    [anon_sym_precision] = ACTIONS(1475),
    [anon_sym_highp] = ACTIONS(1475),
    [anon_sym_mediump] = ACTIONS(1475),
    [anon_sym_lowp] = ACTIONS(1475),
    [anon_sym_centroid] = ACTIONS(1475),
    [anon_sym_sample] = ACTIONS(1475),
    [anon_sym_patch] = ACTIONS(1475),
    [anon_sym_smooth] = ACTIONS(1475),
    [anon_sym_flat] = ACTIONS(1475),
    [anon_sym_noperspective] = ACTIONS(1475),
    [anon_sym___extension__] = ACTIONS(1475),
    [anon_sym_typedef] = ACTIONS(1475),
    [anon_sym_extern] = ACTIONS(1475),
    [anon_sym___attribute__] = ACTIONS(1475),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1473),
    [anon_sym___declspec] = ACTIONS(1475),
    [anon_sym___cdecl] = ACTIONS(1475),
    [anon_sym___clrcall] = ACTIONS(1475),
    [anon_sym___stdcall] = ACTIONS(1475),
    [anon_sym___fastcall] = ACTIONS(1475),
    [anon_sym___thiscall] = ACTIONS(1475),
    [anon_sym___vectorcall] = ACTIONS(1475),
    [anon_sym_LBRACE] = ACTIONS(1473),
    [anon_sym_RBRACE] = ACTIONS(1473),
    [anon_sym_signed] = ACTIONS(1475),
    [anon_sym_unsigned] = ACTIONS(1475),
    [anon_sym_long] = ACTIONS(1475),
    [anon_sym_short] = ACTIONS(1475),
    [anon_sym_static] = ACTIONS(1475),
    [anon_sym_auto] = ACTIONS(1475),
    [anon_sym_register] = ACTIONS(1475),
    [anon_sym_inline] = ACTIONS(1475),
    [anon_sym___inline] = ACTIONS(1475),
    [anon_sym___inline__] = ACTIONS(1475),
    [anon_sym___forceinline] = ACTIONS(1475),
    [anon_sym_thread_local] = ACTIONS(1475),
    [anon_sym___thread] = ACTIONS(1475),
    [anon_sym_const] = ACTIONS(1475),
    [anon_sym_constexpr] = ACTIONS(1475),
    [anon_sym_volatile] = ACTIONS(1475),
    [anon_sym_restrict] = ACTIONS(1475),
    [anon_sym___restrict__] = ACTIONS(1475),
    [anon_sym__Atomic] = ACTIONS(1475),
    [anon_sym__Noreturn] = ACTIONS(1475),
    [anon_sym_noreturn] = ACTIONS(1475),
    [sym_primitive_type] = ACTIONS(1475),
    [anon_sym_enum] = ACTIONS(1475),
    [anon_sym_struct] = ACTIONS(1475),
    [anon_sym_union] = ACTIONS(1475),
    [anon_sym_if] = ACTIONS(1475),
    [anon_sym_else] = ACTIONS(1475),
    [anon_sym_switch] = ACTIONS(1475),
    [anon_sym_case] = ACTIONS(1475),
    [anon_sym_default] = ACTIONS(1475),
    [anon_sym_while] = ACTIONS(1475),
    [anon_sym_do] = ACTIONS(1475),
    [anon_sym_for] = ACTIONS(1475),
    [anon_sym_return] = ACTIONS(1475),
    [anon_sym_break] = ACTIONS(1475),
    [anon_sym_continue] = ACTIONS(1475),
    [anon_sym_goto] = ACTIONS(1475),
    [anon_sym___try] = ACTIONS(1475),
    [anon_sym___leave] = ACTIONS(1475),
    [anon_sym_DASH_DASH] = ACTIONS(1473),
    [anon_sym_PLUS_PLUS] = ACTIONS(1473),
    [anon_sym_sizeof] = ACTIONS(1475),
    [anon_sym___alignof__] = ACTIONS(1475),
    [anon_sym___alignof] = ACTIONS(1475),
    [anon_sym__alignof] = ACTIONS(1475),
    [anon_sym_alignof] = ACTIONS(1475),
    [anon_sym__Alignof] = ACTIONS(1475),
    [anon_sym_offsetof] = ACTIONS(1475),
    [anon_sym__Generic] = ACTIONS(1475),
    [anon_sym_asm] = ACTIONS(1475),
    [anon_sym___asm__] = ACTIONS(1475),
    [sym_number_literal] = ACTIONS(1473),
    [anon_sym_L_SQUOTE] = ACTIONS(1473),
    [anon_sym_u_SQUOTE] = ACTIONS(1473),
    [anon_sym_U_SQUOTE] = ACTIONS(1473),
    [anon_sym_u8_SQUOTE] = ACTIONS(1473),
    [anon_sym_SQUOTE] = ACTIONS(1473),
    [anon_sym_L_DQUOTE] = ACTIONS(1473),
    [anon_sym_u_DQUOTE] = ACTIONS(1473),
    [anon_sym_U_DQUOTE] = ACTIONS(1473),
    [anon_sym_u8_DQUOTE] = ACTIONS(1473),
    [anon_sym_DQUOTE] = ACTIONS(1473),
    [sym_true] = ACTIONS(1475),
    [sym_false] = ACTIONS(1475),
    [anon_sym_NULL] = ACTIONS(1475),
    [anon_sym_nullptr] = ACTIONS(1475),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1475),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1475),
    [anon_sym_hitAttributeEXT] = ACTIONS(1475),
    [anon_sym_callableDataEXT] = ACTIONS(1475),
    [anon_sym_callableDataInEXT] = ACTIONS(1475),
    [anon_sym_shaderRecordEXT] = ACTIONS(1475),
    [anon_sym_rayPayloadNV] = ACTIONS(1475),
    [anon_sym_rayPayloadInNV] = ACTIONS(1475),
    [anon_sym_hitAttributeNV] = ACTIONS(1475),
    [anon_sym_callableDataNV] = ACTIONS(1475),
    [anon_sym_callableDataInNV] = ACTIONS(1475),
    [anon_sym_shaderRecordNV] = ACTIONS(1475),
    [anon_sym_layout] = ACTIONS(1475),
  },
  [445] = {
    [ts_builtin_sym_end] = ACTIONS(1487),
    [sym_identifier] = ACTIONS(1485),
    [aux_sym_preproc_include_token1] = ACTIONS(1485),
    [aux_sym_preproc_def_token1] = ACTIONS(1485),
    [aux_sym_preproc_if_token1] = ACTIONS(1485),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1485),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1485),
    [sym_preproc_directive] = ACTIONS(1485),
    [anon_sym_LPAREN2] = ACTIONS(1487),
    [anon_sym_BANG] = ACTIONS(1487),
    [anon_sym_TILDE] = ACTIONS(1487),
    [anon_sym_DASH] = ACTIONS(1485),
    [anon_sym_PLUS] = ACTIONS(1485),
    [anon_sym_STAR] = ACTIONS(1487),
    [anon_sym_AMP] = ACTIONS(1487),
    [anon_sym_subroutine] = ACTIONS(1485),
    [anon_sym_invariant] = ACTIONS(1485),
    [anon_sym_precise] = ACTIONS(1485),
    [anon_sym_SEMI] = ACTIONS(1487),
    [anon_sym_in] = ACTIONS(1485),
    [anon_sym_out] = ACTIONS(1485),
    [anon_sym_inout] = ACTIONS(1485),
    [anon_sym_uniform] = ACTIONS(1485),
    [anon_sym_shared] = ACTIONS(1485),
    [anon_sym_attribute] = ACTIONS(1485),
    [anon_sym_varying] = ACTIONS(1485),
    [anon_sym_buffer] = ACTIONS(1485),
    [anon_sym_coherent] = ACTIONS(1485),
    [anon_sym_readonly] = ACTIONS(1485),
    [anon_sym_writeonly] = ACTIONS(1485),
    [anon_sym_precision] = ACTIONS(1485),
    [anon_sym_highp] = ACTIONS(1485),
    [anon_sym_mediump] = ACTIONS(1485),
    [anon_sym_lowp] = ACTIONS(1485),
    [anon_sym_centroid] = ACTIONS(1485),
    [anon_sym_sample] = ACTIONS(1485),
    [anon_sym_patch] = ACTIONS(1485),
    [anon_sym_smooth] = ACTIONS(1485),
    [anon_sym_flat] = ACTIONS(1485),
    [anon_sym_noperspective] = ACTIONS(1485),
    [anon_sym___extension__] = ACTIONS(1485),
    [anon_sym_typedef] = ACTIONS(1485),
    [anon_sym_extern] = ACTIONS(1485),
    [anon_sym___attribute__] = ACTIONS(1485),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1487),
    [anon_sym___declspec] = ACTIONS(1485),
    [anon_sym___cdecl] = ACTIONS(1485),
    [anon_sym___clrcall] = ACTIONS(1485),
    [anon_sym___stdcall] = ACTIONS(1485),
    [anon_sym___fastcall] = ACTIONS(1485),
    [anon_sym___thiscall] = ACTIONS(1485),
    [anon_sym___vectorcall] = ACTIONS(1485),
    [anon_sym_LBRACE] = ACTIONS(1487),
    [anon_sym_signed] = ACTIONS(1485),
    [anon_sym_unsigned] = ACTIONS(1485),
    [anon_sym_long] = ACTIONS(1485),
    [anon_sym_short] = ACTIONS(1485),
    [anon_sym_static] = ACTIONS(1485),
    [anon_sym_auto] = ACTIONS(1485),
    [anon_sym_register] = ACTIONS(1485),
    [anon_sym_inline] = ACTIONS(1485),
    [anon_sym___inline] = ACTIONS(1485),
    [anon_sym___inline__] = ACTIONS(1485),
    [anon_sym___forceinline] = ACTIONS(1485),
    [anon_sym_thread_local] = ACTIONS(1485),
    [anon_sym___thread] = ACTIONS(1485),
    [anon_sym_const] = ACTIONS(1485),
    [anon_sym_constexpr] = ACTIONS(1485),
    [anon_sym_volatile] = ACTIONS(1485),
    [anon_sym_restrict] = ACTIONS(1485),
    [anon_sym___restrict__] = ACTIONS(1485),
    [anon_sym__Atomic] = ACTIONS(1485),
    [anon_sym__Noreturn] = ACTIONS(1485),
    [anon_sym_noreturn] = ACTIONS(1485),
    [sym_primitive_type] = ACTIONS(1485),
    [anon_sym_enum] = ACTIONS(1485),
    [anon_sym_struct] = ACTIONS(1485),
    [anon_sym_union] = ACTIONS(1485),
    [anon_sym_if] = ACTIONS(1485),
    [anon_sym_else] = ACTIONS(1485),
    [anon_sym_switch] = ACTIONS(1485),
    [anon_sym_case] = ACTIONS(1485),
    [anon_sym_default] = ACTIONS(1485),
    [anon_sym_while] = ACTIONS(1485),
    [anon_sym_do] = ACTIONS(1485),
    [anon_sym_for] = ACTIONS(1485),
    [anon_sym_return] = ACTIONS(1485),
    [anon_sym_break] = ACTIONS(1485),
    [anon_sym_continue] = ACTIONS(1485),
    [anon_sym_goto] = ACTIONS(1485),
    [anon_sym___try] = ACTIONS(1485),
    [anon_sym___leave] = ACTIONS(1485),
    [anon_sym_DASH_DASH] = ACTIONS(1487),
    [anon_sym_PLUS_PLUS] = ACTIONS(1487),
    [anon_sym_sizeof] = ACTIONS(1485),
    [anon_sym___alignof__] = ACTIONS(1485),
    [anon_sym___alignof] = ACTIONS(1485),
    [anon_sym__alignof] = ACTIONS(1485),
    [anon_sym_alignof] = ACTIONS(1485),
    [anon_sym__Alignof] = ACTIONS(1485),
    [anon_sym_offsetof] = ACTIONS(1485),
    [anon_sym__Generic] = ACTIONS(1485),
    [anon_sym_asm] = ACTIONS(1485),
    [anon_sym___asm__] = ACTIONS(1485),
    [sym_number_literal] = ACTIONS(1487),
    [anon_sym_L_SQUOTE] = ACTIONS(1487),
    [anon_sym_u_SQUOTE] = ACTIONS(1487),
    [anon_sym_U_SQUOTE] = ACTIONS(1487),
    [anon_sym_u8_SQUOTE] = ACTIONS(1487),
    [anon_sym_SQUOTE] = ACTIONS(1487),
    [anon_sym_L_DQUOTE] = ACTIONS(1487),
    [anon_sym_u_DQUOTE] = ACTIONS(1487),
    [anon_sym_U_DQUOTE] = ACTIONS(1487),
    [anon_sym_u8_DQUOTE] = ACTIONS(1487),
    [anon_sym_DQUOTE] = ACTIONS(1487),
    [sym_true] = ACTIONS(1485),
    [sym_false] = ACTIONS(1485),
    [anon_sym_NULL] = ACTIONS(1485),
    [anon_sym_nullptr] = ACTIONS(1485),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1485),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1485),
    [anon_sym_hitAttributeEXT] = ACTIONS(1485),
    [anon_sym_callableDataEXT] = ACTIONS(1485),
    [anon_sym_callableDataInEXT] = ACTIONS(1485),
    [anon_sym_shaderRecordEXT] = ACTIONS(1485),
    [anon_sym_rayPayloadNV] = ACTIONS(1485),
    [anon_sym_rayPayloadInNV] = ACTIONS(1485),
    [anon_sym_hitAttributeNV] = ACTIONS(1485),
    [anon_sym_callableDataNV] = ACTIONS(1485),
    [anon_sym_callableDataInNV] = ACTIONS(1485),
    [anon_sym_shaderRecordNV] = ACTIONS(1485),
    [anon_sym_layout] = ACTIONS(1485),
  },
  [446] = {
    [ts_builtin_sym_end] = ACTIONS(1587),
    [sym_identifier] = ACTIONS(1585),
    [aux_sym_preproc_include_token1] = ACTIONS(1585),
    [aux_sym_preproc_def_token1] = ACTIONS(1585),
    [aux_sym_preproc_if_token1] = ACTIONS(1585),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1585),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1585),
    [sym_preproc_directive] = ACTIONS(1585),
    [anon_sym_LPAREN2] = ACTIONS(1587),
    [anon_sym_BANG] = ACTIONS(1587),
    [anon_sym_TILDE] = ACTIONS(1587),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_STAR] = ACTIONS(1587),
    [anon_sym_AMP] = ACTIONS(1587),
    [anon_sym_subroutine] = ACTIONS(1585),
    [anon_sym_invariant] = ACTIONS(1585),
    [anon_sym_precise] = ACTIONS(1585),
    [anon_sym_SEMI] = ACTIONS(1587),
    [anon_sym_in] = ACTIONS(1585),
    [anon_sym_out] = ACTIONS(1585),
    [anon_sym_inout] = ACTIONS(1585),
    [anon_sym_uniform] = ACTIONS(1585),
    [anon_sym_shared] = ACTIONS(1585),
    [anon_sym_attribute] = ACTIONS(1585),
    [anon_sym_varying] = ACTIONS(1585),
    [anon_sym_buffer] = ACTIONS(1585),
    [anon_sym_coherent] = ACTIONS(1585),
    [anon_sym_readonly] = ACTIONS(1585),
    [anon_sym_writeonly] = ACTIONS(1585),
    [anon_sym_precision] = ACTIONS(1585),
    [anon_sym_highp] = ACTIONS(1585),
    [anon_sym_mediump] = ACTIONS(1585),
    [anon_sym_lowp] = ACTIONS(1585),
    [anon_sym_centroid] = ACTIONS(1585),
    [anon_sym_sample] = ACTIONS(1585),
    [anon_sym_patch] = ACTIONS(1585),
    [anon_sym_smooth] = ACTIONS(1585),
    [anon_sym_flat] = ACTIONS(1585),
    [anon_sym_noperspective] = ACTIONS(1585),
    [anon_sym___extension__] = ACTIONS(1585),
    [anon_sym_typedef] = ACTIONS(1585),
    [anon_sym_extern] = ACTIONS(1585),
    [anon_sym___attribute__] = ACTIONS(1585),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1587),
    [anon_sym___declspec] = ACTIONS(1585),
    [anon_sym___cdecl] = ACTIONS(1585),
    [anon_sym___clrcall] = ACTIONS(1585),
    [anon_sym___stdcall] = ACTIONS(1585),
    [anon_sym___fastcall] = ACTIONS(1585),
    [anon_sym___thiscall] = ACTIONS(1585),
    [anon_sym___vectorcall] = ACTIONS(1585),
    [anon_sym_LBRACE] = ACTIONS(1587),
    [anon_sym_signed] = ACTIONS(1585),
    [anon_sym_unsigned] = ACTIONS(1585),
    [anon_sym_long] = ACTIONS(1585),
    [anon_sym_short] = ACTIONS(1585),
    [anon_sym_static] = ACTIONS(1585),
    [anon_sym_auto] = ACTIONS(1585),
    [anon_sym_register] = ACTIONS(1585),
    [anon_sym_inline] = ACTIONS(1585),
    [anon_sym___inline] = ACTIONS(1585),
    [anon_sym___inline__] = ACTIONS(1585),
    [anon_sym___forceinline] = ACTIONS(1585),
    [anon_sym_thread_local] = ACTIONS(1585),
    [anon_sym___thread] = ACTIONS(1585),
    [anon_sym_const] = ACTIONS(1585),
    [anon_sym_constexpr] = ACTIONS(1585),
    [anon_sym_volatile] = ACTIONS(1585),
    [anon_sym_restrict] = ACTIONS(1585),
    [anon_sym___restrict__] = ACTIONS(1585),
    [anon_sym__Atomic] = ACTIONS(1585),
    [anon_sym__Noreturn] = ACTIONS(1585),
    [anon_sym_noreturn] = ACTIONS(1585),
    [sym_primitive_type] = ACTIONS(1585),
    [anon_sym_enum] = ACTIONS(1585),
    [anon_sym_struct] = ACTIONS(1585),
    [anon_sym_union] = ACTIONS(1585),
    [anon_sym_if] = ACTIONS(1585),
    [anon_sym_else] = ACTIONS(1585),
    [anon_sym_switch] = ACTIONS(1585),
    [anon_sym_case] = ACTIONS(1585),
    [anon_sym_default] = ACTIONS(1585),
    [anon_sym_while] = ACTIONS(1585),
    [anon_sym_do] = ACTIONS(1585),
    [anon_sym_for] = ACTIONS(1585),
    [anon_sym_return] = ACTIONS(1585),
    [anon_sym_break] = ACTIONS(1585),
    [anon_sym_continue] = ACTIONS(1585),
    [anon_sym_goto] = ACTIONS(1585),
    [anon_sym___try] = ACTIONS(1585),
    [anon_sym___leave] = ACTIONS(1585),
    [anon_sym_DASH_DASH] = ACTIONS(1587),
    [anon_sym_PLUS_PLUS] = ACTIONS(1587),
    [anon_sym_sizeof] = ACTIONS(1585),
    [anon_sym___alignof__] = ACTIONS(1585),
    [anon_sym___alignof] = ACTIONS(1585),
    [anon_sym__alignof] = ACTIONS(1585),
    [anon_sym_alignof] = ACTIONS(1585),
    [anon_sym__Alignof] = ACTIONS(1585),
    [anon_sym_offsetof] = ACTIONS(1585),
    [anon_sym__Generic] = ACTIONS(1585),
    [anon_sym_asm] = ACTIONS(1585),
    [anon_sym___asm__] = ACTIONS(1585),
    [sym_number_literal] = ACTIONS(1587),
    [anon_sym_L_SQUOTE] = ACTIONS(1587),
    [anon_sym_u_SQUOTE] = ACTIONS(1587),
    [anon_sym_U_SQUOTE] = ACTIONS(1587),
    [anon_sym_u8_SQUOTE] = ACTIONS(1587),
    [anon_sym_SQUOTE] = ACTIONS(1587),
    [anon_sym_L_DQUOTE] = ACTIONS(1587),
    [anon_sym_u_DQUOTE] = ACTIONS(1587),
    [anon_sym_U_DQUOTE] = ACTIONS(1587),
    [anon_sym_u8_DQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_true] = ACTIONS(1585),
    [sym_false] = ACTIONS(1585),
    [anon_sym_NULL] = ACTIONS(1585),
    [anon_sym_nullptr] = ACTIONS(1585),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1585),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1585),
    [anon_sym_hitAttributeEXT] = ACTIONS(1585),
    [anon_sym_callableDataEXT] = ACTIONS(1585),
    [anon_sym_callableDataInEXT] = ACTIONS(1585),
    [anon_sym_shaderRecordEXT] = ACTIONS(1585),
    [anon_sym_rayPayloadNV] = ACTIONS(1585),
    [anon_sym_rayPayloadInNV] = ACTIONS(1585),
    [anon_sym_hitAttributeNV] = ACTIONS(1585),
    [anon_sym_callableDataNV] = ACTIONS(1585),
    [anon_sym_callableDataInNV] = ACTIONS(1585),
    [anon_sym_shaderRecordNV] = ACTIONS(1585),
    [anon_sym_layout] = ACTIONS(1585),
  },
  [447] = {
    [ts_builtin_sym_end] = ACTIONS(1583),
    [sym_identifier] = ACTIONS(1581),
    [aux_sym_preproc_include_token1] = ACTIONS(1581),
    [aux_sym_preproc_def_token1] = ACTIONS(1581),
    [aux_sym_preproc_if_token1] = ACTIONS(1581),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1581),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1581),
    [sym_preproc_directive] = ACTIONS(1581),
    [anon_sym_LPAREN2] = ACTIONS(1583),
    [anon_sym_BANG] = ACTIONS(1583),
    [anon_sym_TILDE] = ACTIONS(1583),
    [anon_sym_DASH] = ACTIONS(1581),
    [anon_sym_PLUS] = ACTIONS(1581),
    [anon_sym_STAR] = ACTIONS(1583),
    [anon_sym_AMP] = ACTIONS(1583),
    [anon_sym_subroutine] = ACTIONS(1581),
    [anon_sym_invariant] = ACTIONS(1581),
    [anon_sym_precise] = ACTIONS(1581),
    [anon_sym_SEMI] = ACTIONS(1583),
    [anon_sym_in] = ACTIONS(1581),
    [anon_sym_out] = ACTIONS(1581),
    [anon_sym_inout] = ACTIONS(1581),
    [anon_sym_uniform] = ACTIONS(1581),
    [anon_sym_shared] = ACTIONS(1581),
    [anon_sym_attribute] = ACTIONS(1581),
    [anon_sym_varying] = ACTIONS(1581),
    [anon_sym_buffer] = ACTIONS(1581),
    [anon_sym_coherent] = ACTIONS(1581),
    [anon_sym_readonly] = ACTIONS(1581),
    [anon_sym_writeonly] = ACTIONS(1581),
    [anon_sym_precision] = ACTIONS(1581),
    [anon_sym_highp] = ACTIONS(1581),
    [anon_sym_mediump] = ACTIONS(1581),
    [anon_sym_lowp] = ACTIONS(1581),
    [anon_sym_centroid] = ACTIONS(1581),
    [anon_sym_sample] = ACTIONS(1581),
    [anon_sym_patch] = ACTIONS(1581),
    [anon_sym_smooth] = ACTIONS(1581),
    [anon_sym_flat] = ACTIONS(1581),
    [anon_sym_noperspective] = ACTIONS(1581),
    [anon_sym___extension__] = ACTIONS(1581),
    [anon_sym_typedef] = ACTIONS(1581),
    [anon_sym_extern] = ACTIONS(1581),
    [anon_sym___attribute__] = ACTIONS(1581),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1583),
    [anon_sym___declspec] = ACTIONS(1581),
    [anon_sym___cdecl] = ACTIONS(1581),
    [anon_sym___clrcall] = ACTIONS(1581),
    [anon_sym___stdcall] = ACTIONS(1581),
    [anon_sym___fastcall] = ACTIONS(1581),
    [anon_sym___thiscall] = ACTIONS(1581),
    [anon_sym___vectorcall] = ACTIONS(1581),
    [anon_sym_LBRACE] = ACTIONS(1583),
    [anon_sym_signed] = ACTIONS(1581),
    [anon_sym_unsigned] = ACTIONS(1581),
    [anon_sym_long] = ACTIONS(1581),
    [anon_sym_short] = ACTIONS(1581),
    [anon_sym_static] = ACTIONS(1581),
    [anon_sym_auto] = ACTIONS(1581),
    [anon_sym_register] = ACTIONS(1581),
    [anon_sym_inline] = ACTIONS(1581),
    [anon_sym___inline] = ACTIONS(1581),
    [anon_sym___inline__] = ACTIONS(1581),
    [anon_sym___forceinline] = ACTIONS(1581),
    [anon_sym_thread_local] = ACTIONS(1581),
    [anon_sym___thread] = ACTIONS(1581),
    [anon_sym_const] = ACTIONS(1581),
    [anon_sym_constexpr] = ACTIONS(1581),
    [anon_sym_volatile] = ACTIONS(1581),
    [anon_sym_restrict] = ACTIONS(1581),
    [anon_sym___restrict__] = ACTIONS(1581),
    [anon_sym__Atomic] = ACTIONS(1581),
    [anon_sym__Noreturn] = ACTIONS(1581),
    [anon_sym_noreturn] = ACTIONS(1581),
    [sym_primitive_type] = ACTIONS(1581),
    [anon_sym_enum] = ACTIONS(1581),
    [anon_sym_struct] = ACTIONS(1581),
    [anon_sym_union] = ACTIONS(1581),
    [anon_sym_if] = ACTIONS(1581),
    [anon_sym_else] = ACTIONS(1581),
    [anon_sym_switch] = ACTIONS(1581),
    [anon_sym_case] = ACTIONS(1581),
    [anon_sym_default] = ACTIONS(1581),
    [anon_sym_while] = ACTIONS(1581),
    [anon_sym_do] = ACTIONS(1581),
    [anon_sym_for] = ACTIONS(1581),
    [anon_sym_return] = ACTIONS(1581),
    [anon_sym_break] = ACTIONS(1581),
    [anon_sym_continue] = ACTIONS(1581),
    [anon_sym_goto] = ACTIONS(1581),
    [anon_sym___try] = ACTIONS(1581),
    [anon_sym___leave] = ACTIONS(1581),
    [anon_sym_DASH_DASH] = ACTIONS(1583),
    [anon_sym_PLUS_PLUS] = ACTIONS(1583),
    [anon_sym_sizeof] = ACTIONS(1581),
    [anon_sym___alignof__] = ACTIONS(1581),
    [anon_sym___alignof] = ACTIONS(1581),
    [anon_sym__alignof] = ACTIONS(1581),
    [anon_sym_alignof] = ACTIONS(1581),
    [anon_sym__Alignof] = ACTIONS(1581),
    [anon_sym_offsetof] = ACTIONS(1581),
    [anon_sym__Generic] = ACTIONS(1581),
    [anon_sym_asm] = ACTIONS(1581),
    [anon_sym___asm__] = ACTIONS(1581),
    [sym_number_literal] = ACTIONS(1583),
    [anon_sym_L_SQUOTE] = ACTIONS(1583),
    [anon_sym_u_SQUOTE] = ACTIONS(1583),
    [anon_sym_U_SQUOTE] = ACTIONS(1583),
    [anon_sym_u8_SQUOTE] = ACTIONS(1583),
    [anon_sym_SQUOTE] = ACTIONS(1583),
    [anon_sym_L_DQUOTE] = ACTIONS(1583),
    [anon_sym_u_DQUOTE] = ACTIONS(1583),
    [anon_sym_U_DQUOTE] = ACTIONS(1583),
    [anon_sym_u8_DQUOTE] = ACTIONS(1583),
    [anon_sym_DQUOTE] = ACTIONS(1583),
    [sym_true] = ACTIONS(1581),
    [sym_false] = ACTIONS(1581),
    [anon_sym_NULL] = ACTIONS(1581),
    [anon_sym_nullptr] = ACTIONS(1581),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1581),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1581),
    [anon_sym_hitAttributeEXT] = ACTIONS(1581),
    [anon_sym_callableDataEXT] = ACTIONS(1581),
    [anon_sym_callableDataInEXT] = ACTIONS(1581),
    [anon_sym_shaderRecordEXT] = ACTIONS(1581),
    [anon_sym_rayPayloadNV] = ACTIONS(1581),
    [anon_sym_rayPayloadInNV] = ACTIONS(1581),
    [anon_sym_hitAttributeNV] = ACTIONS(1581),
    [anon_sym_callableDataNV] = ACTIONS(1581),
    [anon_sym_callableDataInNV] = ACTIONS(1581),
    [anon_sym_shaderRecordNV] = ACTIONS(1581),
    [anon_sym_layout] = ACTIONS(1581),
  },
  [448] = {
    [ts_builtin_sym_end] = ACTIONS(1583),
    [sym_identifier] = ACTIONS(1581),
    [aux_sym_preproc_include_token1] = ACTIONS(1581),
    [aux_sym_preproc_def_token1] = ACTIONS(1581),
    [aux_sym_preproc_if_token1] = ACTIONS(1581),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1581),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1581),
    [sym_preproc_directive] = ACTIONS(1581),
    [anon_sym_LPAREN2] = ACTIONS(1583),
    [anon_sym_BANG] = ACTIONS(1583),
    [anon_sym_TILDE] = ACTIONS(1583),
    [anon_sym_DASH] = ACTIONS(1581),
    [anon_sym_PLUS] = ACTIONS(1581),
    [anon_sym_STAR] = ACTIONS(1583),
    [anon_sym_AMP] = ACTIONS(1583),
    [anon_sym_subroutine] = ACTIONS(1581),
    [anon_sym_invariant] = ACTIONS(1581),
    [anon_sym_precise] = ACTIONS(1581),
    [anon_sym_SEMI] = ACTIONS(1583),
    [anon_sym_in] = ACTIONS(1581),
    [anon_sym_out] = ACTIONS(1581),
    [anon_sym_inout] = ACTIONS(1581),
    [anon_sym_uniform] = ACTIONS(1581),
    [anon_sym_shared] = ACTIONS(1581),
    [anon_sym_attribute] = ACTIONS(1581),
    [anon_sym_varying] = ACTIONS(1581),
    [anon_sym_buffer] = ACTIONS(1581),
    [anon_sym_coherent] = ACTIONS(1581),
    [anon_sym_readonly] = ACTIONS(1581),
    [anon_sym_writeonly] = ACTIONS(1581),
    [anon_sym_precision] = ACTIONS(1581),
    [anon_sym_highp] = ACTIONS(1581),
    [anon_sym_mediump] = ACTIONS(1581),
    [anon_sym_lowp] = ACTIONS(1581),
    [anon_sym_centroid] = ACTIONS(1581),
    [anon_sym_sample] = ACTIONS(1581),
    [anon_sym_patch] = ACTIONS(1581),
    [anon_sym_smooth] = ACTIONS(1581),
    [anon_sym_flat] = ACTIONS(1581),
    [anon_sym_noperspective] = ACTIONS(1581),
    [anon_sym___extension__] = ACTIONS(1581),
    [anon_sym_typedef] = ACTIONS(1581),
    [anon_sym_extern] = ACTIONS(1581),
    [anon_sym___attribute__] = ACTIONS(1581),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1583),
    [anon_sym___declspec] = ACTIONS(1581),
    [anon_sym___cdecl] = ACTIONS(1581),
    [anon_sym___clrcall] = ACTIONS(1581),
    [anon_sym___stdcall] = ACTIONS(1581),
    [anon_sym___fastcall] = ACTIONS(1581),
    [anon_sym___thiscall] = ACTIONS(1581),
    [anon_sym___vectorcall] = ACTIONS(1581),
    [anon_sym_LBRACE] = ACTIONS(1583),
    [anon_sym_signed] = ACTIONS(1581),
    [anon_sym_unsigned] = ACTIONS(1581),
    [anon_sym_long] = ACTIONS(1581),
    [anon_sym_short] = ACTIONS(1581),
    [anon_sym_static] = ACTIONS(1581),
    [anon_sym_auto] = ACTIONS(1581),
    [anon_sym_register] = ACTIONS(1581),
    [anon_sym_inline] = ACTIONS(1581),
    [anon_sym___inline] = ACTIONS(1581),
    [anon_sym___inline__] = ACTIONS(1581),
    [anon_sym___forceinline] = ACTIONS(1581),
    [anon_sym_thread_local] = ACTIONS(1581),
    [anon_sym___thread] = ACTIONS(1581),
    [anon_sym_const] = ACTIONS(1581),
    [anon_sym_constexpr] = ACTIONS(1581),
    [anon_sym_volatile] = ACTIONS(1581),
    [anon_sym_restrict] = ACTIONS(1581),
    [anon_sym___restrict__] = ACTIONS(1581),
    [anon_sym__Atomic] = ACTIONS(1581),
    [anon_sym__Noreturn] = ACTIONS(1581),
    [anon_sym_noreturn] = ACTIONS(1581),
    [sym_primitive_type] = ACTIONS(1581),
    [anon_sym_enum] = ACTIONS(1581),
    [anon_sym_struct] = ACTIONS(1581),
    [anon_sym_union] = ACTIONS(1581),
    [anon_sym_if] = ACTIONS(1581),
    [anon_sym_else] = ACTIONS(1581),
    [anon_sym_switch] = ACTIONS(1581),
    [anon_sym_case] = ACTIONS(1581),
    [anon_sym_default] = ACTIONS(1581),
    [anon_sym_while] = ACTIONS(1581),
    [anon_sym_do] = ACTIONS(1581),
    [anon_sym_for] = ACTIONS(1581),
    [anon_sym_return] = ACTIONS(1581),
    [anon_sym_break] = ACTIONS(1581),
    [anon_sym_continue] = ACTIONS(1581),
    [anon_sym_goto] = ACTIONS(1581),
    [anon_sym___try] = ACTIONS(1581),
    [anon_sym___leave] = ACTIONS(1581),
    [anon_sym_DASH_DASH] = ACTIONS(1583),
    [anon_sym_PLUS_PLUS] = ACTIONS(1583),
    [anon_sym_sizeof] = ACTIONS(1581),
    [anon_sym___alignof__] = ACTIONS(1581),
    [anon_sym___alignof] = ACTIONS(1581),
    [anon_sym__alignof] = ACTIONS(1581),
    [anon_sym_alignof] = ACTIONS(1581),
    [anon_sym__Alignof] = ACTIONS(1581),
    [anon_sym_offsetof] = ACTIONS(1581),
    [anon_sym__Generic] = ACTIONS(1581),
    [anon_sym_asm] = ACTIONS(1581),
    [anon_sym___asm__] = ACTIONS(1581),
    [sym_number_literal] = ACTIONS(1583),
    [anon_sym_L_SQUOTE] = ACTIONS(1583),
    [anon_sym_u_SQUOTE] = ACTIONS(1583),
    [anon_sym_U_SQUOTE] = ACTIONS(1583),
    [anon_sym_u8_SQUOTE] = ACTIONS(1583),
    [anon_sym_SQUOTE] = ACTIONS(1583),
    [anon_sym_L_DQUOTE] = ACTIONS(1583),
    [anon_sym_u_DQUOTE] = ACTIONS(1583),
    [anon_sym_U_DQUOTE] = ACTIONS(1583),
    [anon_sym_u8_DQUOTE] = ACTIONS(1583),
    [anon_sym_DQUOTE] = ACTIONS(1583),
    [sym_true] = ACTIONS(1581),
    [sym_false] = ACTIONS(1581),
    [anon_sym_NULL] = ACTIONS(1581),
    [anon_sym_nullptr] = ACTIONS(1581),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1581),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1581),
    [anon_sym_hitAttributeEXT] = ACTIONS(1581),
    [anon_sym_callableDataEXT] = ACTIONS(1581),
    [anon_sym_callableDataInEXT] = ACTIONS(1581),
    [anon_sym_shaderRecordEXT] = ACTIONS(1581),
    [anon_sym_rayPayloadNV] = ACTIONS(1581),
    [anon_sym_rayPayloadInNV] = ACTIONS(1581),
    [anon_sym_hitAttributeNV] = ACTIONS(1581),
    [anon_sym_callableDataNV] = ACTIONS(1581),
    [anon_sym_callableDataInNV] = ACTIONS(1581),
    [anon_sym_shaderRecordNV] = ACTIONS(1581),
    [anon_sym_layout] = ACTIONS(1581),
  },
  [449] = {
    [ts_builtin_sym_end] = ACTIONS(1579),
    [sym_identifier] = ACTIONS(1577),
    [aux_sym_preproc_include_token1] = ACTIONS(1577),
    [aux_sym_preproc_def_token1] = ACTIONS(1577),
    [aux_sym_preproc_if_token1] = ACTIONS(1577),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1577),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1577),
    [sym_preproc_directive] = ACTIONS(1577),
    [anon_sym_LPAREN2] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1579),
    [anon_sym_TILDE] = ACTIONS(1579),
    [anon_sym_DASH] = ACTIONS(1577),
    [anon_sym_PLUS] = ACTIONS(1577),
    [anon_sym_STAR] = ACTIONS(1579),
    [anon_sym_AMP] = ACTIONS(1579),
    [anon_sym_subroutine] = ACTIONS(1577),
    [anon_sym_invariant] = ACTIONS(1577),
    [anon_sym_precise] = ACTIONS(1577),
    [anon_sym_SEMI] = ACTIONS(1579),
    [anon_sym_in] = ACTIONS(1577),
    [anon_sym_out] = ACTIONS(1577),
    [anon_sym_inout] = ACTIONS(1577),
    [anon_sym_uniform] = ACTIONS(1577),
    [anon_sym_shared] = ACTIONS(1577),
    [anon_sym_attribute] = ACTIONS(1577),
    [anon_sym_varying] = ACTIONS(1577),
    [anon_sym_buffer] = ACTIONS(1577),
    [anon_sym_coherent] = ACTIONS(1577),
    [anon_sym_readonly] = ACTIONS(1577),
    [anon_sym_writeonly] = ACTIONS(1577),
    [anon_sym_precision] = ACTIONS(1577),
    [anon_sym_highp] = ACTIONS(1577),
    [anon_sym_mediump] = ACTIONS(1577),
    [anon_sym_lowp] = ACTIONS(1577),
    [anon_sym_centroid] = ACTIONS(1577),
    [anon_sym_sample] = ACTIONS(1577),
    [anon_sym_patch] = ACTIONS(1577),
    [anon_sym_smooth] = ACTIONS(1577),
    [anon_sym_flat] = ACTIONS(1577),
    [anon_sym_noperspective] = ACTIONS(1577),
    [anon_sym___extension__] = ACTIONS(1577),
    [anon_sym_typedef] = ACTIONS(1577),
    [anon_sym_extern] = ACTIONS(1577),
    [anon_sym___attribute__] = ACTIONS(1577),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1579),
    [anon_sym___declspec] = ACTIONS(1577),
    [anon_sym___cdecl] = ACTIONS(1577),
    [anon_sym___clrcall] = ACTIONS(1577),
    [anon_sym___stdcall] = ACTIONS(1577),
    [anon_sym___fastcall] = ACTIONS(1577),
    [anon_sym___thiscall] = ACTIONS(1577),
    [anon_sym___vectorcall] = ACTIONS(1577),
    [anon_sym_LBRACE] = ACTIONS(1579),
    [anon_sym_signed] = ACTIONS(1577),
    [anon_sym_unsigned] = ACTIONS(1577),
    [anon_sym_long] = ACTIONS(1577),
    [anon_sym_short] = ACTIONS(1577),
    [anon_sym_static] = ACTIONS(1577),
    [anon_sym_auto] = ACTIONS(1577),
    [anon_sym_register] = ACTIONS(1577),
    [anon_sym_inline] = ACTIONS(1577),
    [anon_sym___inline] = ACTIONS(1577),
    [anon_sym___inline__] = ACTIONS(1577),
    [anon_sym___forceinline] = ACTIONS(1577),
    [anon_sym_thread_local] = ACTIONS(1577),
    [anon_sym___thread] = ACTIONS(1577),
    [anon_sym_const] = ACTIONS(1577),
    [anon_sym_constexpr] = ACTIONS(1577),
    [anon_sym_volatile] = ACTIONS(1577),
    [anon_sym_restrict] = ACTIONS(1577),
    [anon_sym___restrict__] = ACTIONS(1577),
    [anon_sym__Atomic] = ACTIONS(1577),
    [anon_sym__Noreturn] = ACTIONS(1577),
    [anon_sym_noreturn] = ACTIONS(1577),
    [sym_primitive_type] = ACTIONS(1577),
    [anon_sym_enum] = ACTIONS(1577),
    [anon_sym_struct] = ACTIONS(1577),
    [anon_sym_union] = ACTIONS(1577),
    [anon_sym_if] = ACTIONS(1577),
    [anon_sym_else] = ACTIONS(1577),
    [anon_sym_switch] = ACTIONS(1577),
    [anon_sym_case] = ACTIONS(1577),
    [anon_sym_default] = ACTIONS(1577),
    [anon_sym_while] = ACTIONS(1577),
    [anon_sym_do] = ACTIONS(1577),
    [anon_sym_for] = ACTIONS(1577),
    [anon_sym_return] = ACTIONS(1577),
    [anon_sym_break] = ACTIONS(1577),
    [anon_sym_continue] = ACTIONS(1577),
    [anon_sym_goto] = ACTIONS(1577),
    [anon_sym___try] = ACTIONS(1577),
    [anon_sym___leave] = ACTIONS(1577),
    [anon_sym_DASH_DASH] = ACTIONS(1579),
    [anon_sym_PLUS_PLUS] = ACTIONS(1579),
    [anon_sym_sizeof] = ACTIONS(1577),
    [anon_sym___alignof__] = ACTIONS(1577),
    [anon_sym___alignof] = ACTIONS(1577),
    [anon_sym__alignof] = ACTIONS(1577),
    [anon_sym_alignof] = ACTIONS(1577),
    [anon_sym__Alignof] = ACTIONS(1577),
    [anon_sym_offsetof] = ACTIONS(1577),
    [anon_sym__Generic] = ACTIONS(1577),
    [anon_sym_asm] = ACTIONS(1577),
    [anon_sym___asm__] = ACTIONS(1577),
    [sym_number_literal] = ACTIONS(1579),
    [anon_sym_L_SQUOTE] = ACTIONS(1579),
    [anon_sym_u_SQUOTE] = ACTIONS(1579),
    [anon_sym_U_SQUOTE] = ACTIONS(1579),
    [anon_sym_u8_SQUOTE] = ACTIONS(1579),
    [anon_sym_SQUOTE] = ACTIONS(1579),
    [anon_sym_L_DQUOTE] = ACTIONS(1579),
    [anon_sym_u_DQUOTE] = ACTIONS(1579),
    [anon_sym_U_DQUOTE] = ACTIONS(1579),
    [anon_sym_u8_DQUOTE] = ACTIONS(1579),
    [anon_sym_DQUOTE] = ACTIONS(1579),
    [sym_true] = ACTIONS(1577),
    [sym_false] = ACTIONS(1577),
    [anon_sym_NULL] = ACTIONS(1577),
    [anon_sym_nullptr] = ACTIONS(1577),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1577),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1577),
    [anon_sym_hitAttributeEXT] = ACTIONS(1577),
    [anon_sym_callableDataEXT] = ACTIONS(1577),
    [anon_sym_callableDataInEXT] = ACTIONS(1577),
    [anon_sym_shaderRecordEXT] = ACTIONS(1577),
    [anon_sym_rayPayloadNV] = ACTIONS(1577),
    [anon_sym_rayPayloadInNV] = ACTIONS(1577),
    [anon_sym_hitAttributeNV] = ACTIONS(1577),
    [anon_sym_callableDataNV] = ACTIONS(1577),
    [anon_sym_callableDataInNV] = ACTIONS(1577),
    [anon_sym_shaderRecordNV] = ACTIONS(1577),
    [anon_sym_layout] = ACTIONS(1577),
  },
  [450] = {
    [ts_builtin_sym_end] = ACTIONS(1575),
    [sym_identifier] = ACTIONS(1573),
    [aux_sym_preproc_include_token1] = ACTIONS(1573),
    [aux_sym_preproc_def_token1] = ACTIONS(1573),
    [aux_sym_preproc_if_token1] = ACTIONS(1573),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1573),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1573),
    [sym_preproc_directive] = ACTIONS(1573),
    [anon_sym_LPAREN2] = ACTIONS(1575),
    [anon_sym_BANG] = ACTIONS(1575),
    [anon_sym_TILDE] = ACTIONS(1575),
    [anon_sym_DASH] = ACTIONS(1573),
    [anon_sym_PLUS] = ACTIONS(1573),
    [anon_sym_STAR] = ACTIONS(1575),
    [anon_sym_AMP] = ACTIONS(1575),
    [anon_sym_subroutine] = ACTIONS(1573),
    [anon_sym_invariant] = ACTIONS(1573),
    [anon_sym_precise] = ACTIONS(1573),
    [anon_sym_SEMI] = ACTIONS(1575),
    [anon_sym_in] = ACTIONS(1573),
    [anon_sym_out] = ACTIONS(1573),
    [anon_sym_inout] = ACTIONS(1573),
    [anon_sym_uniform] = ACTIONS(1573),
    [anon_sym_shared] = ACTIONS(1573),
    [anon_sym_attribute] = ACTIONS(1573),
    [anon_sym_varying] = ACTIONS(1573),
    [anon_sym_buffer] = ACTIONS(1573),
    [anon_sym_coherent] = ACTIONS(1573),
    [anon_sym_readonly] = ACTIONS(1573),
    [anon_sym_writeonly] = ACTIONS(1573),
    [anon_sym_precision] = ACTIONS(1573),
    [anon_sym_highp] = ACTIONS(1573),
    [anon_sym_mediump] = ACTIONS(1573),
    [anon_sym_lowp] = ACTIONS(1573),
    [anon_sym_centroid] = ACTIONS(1573),
    [anon_sym_sample] = ACTIONS(1573),
    [anon_sym_patch] = ACTIONS(1573),
    [anon_sym_smooth] = ACTIONS(1573),
    [anon_sym_flat] = ACTIONS(1573),
    [anon_sym_noperspective] = ACTIONS(1573),
    [anon_sym___extension__] = ACTIONS(1573),
    [anon_sym_typedef] = ACTIONS(1573),
    [anon_sym_extern] = ACTIONS(1573),
    [anon_sym___attribute__] = ACTIONS(1573),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1575),
    [anon_sym___declspec] = ACTIONS(1573),
    [anon_sym___cdecl] = ACTIONS(1573),
    [anon_sym___clrcall] = ACTIONS(1573),
    [anon_sym___stdcall] = ACTIONS(1573),
    [anon_sym___fastcall] = ACTIONS(1573),
    [anon_sym___thiscall] = ACTIONS(1573),
    [anon_sym___vectorcall] = ACTIONS(1573),
    [anon_sym_LBRACE] = ACTIONS(1575),
    [anon_sym_signed] = ACTIONS(1573),
    [anon_sym_unsigned] = ACTIONS(1573),
    [anon_sym_long] = ACTIONS(1573),
    [anon_sym_short] = ACTIONS(1573),
    [anon_sym_static] = ACTIONS(1573),
    [anon_sym_auto] = ACTIONS(1573),
    [anon_sym_register] = ACTIONS(1573),
    [anon_sym_inline] = ACTIONS(1573),
    [anon_sym___inline] = ACTIONS(1573),
    [anon_sym___inline__] = ACTIONS(1573),
    [anon_sym___forceinline] = ACTIONS(1573),
    [anon_sym_thread_local] = ACTIONS(1573),
    [anon_sym___thread] = ACTIONS(1573),
    [anon_sym_const] = ACTIONS(1573),
    [anon_sym_constexpr] = ACTIONS(1573),
    [anon_sym_volatile] = ACTIONS(1573),
    [anon_sym_restrict] = ACTIONS(1573),
    [anon_sym___restrict__] = ACTIONS(1573),
    [anon_sym__Atomic] = ACTIONS(1573),
    [anon_sym__Noreturn] = ACTIONS(1573),
    [anon_sym_noreturn] = ACTIONS(1573),
    [sym_primitive_type] = ACTIONS(1573),
    [anon_sym_enum] = ACTIONS(1573),
    [anon_sym_struct] = ACTIONS(1573),
    [anon_sym_union] = ACTIONS(1573),
    [anon_sym_if] = ACTIONS(1573),
    [anon_sym_else] = ACTIONS(1573),
    [anon_sym_switch] = ACTIONS(1573),
    [anon_sym_case] = ACTIONS(1573),
    [anon_sym_default] = ACTIONS(1573),
    [anon_sym_while] = ACTIONS(1573),
    [anon_sym_do] = ACTIONS(1573),
    [anon_sym_for] = ACTIONS(1573),
    [anon_sym_return] = ACTIONS(1573),
    [anon_sym_break] = ACTIONS(1573),
    [anon_sym_continue] = ACTIONS(1573),
    [anon_sym_goto] = ACTIONS(1573),
    [anon_sym___try] = ACTIONS(1573),
    [anon_sym___leave] = ACTIONS(1573),
    [anon_sym_DASH_DASH] = ACTIONS(1575),
    [anon_sym_PLUS_PLUS] = ACTIONS(1575),
    [anon_sym_sizeof] = ACTIONS(1573),
    [anon_sym___alignof__] = ACTIONS(1573),
    [anon_sym___alignof] = ACTIONS(1573),
    [anon_sym__alignof] = ACTIONS(1573),
    [anon_sym_alignof] = ACTIONS(1573),
    [anon_sym__Alignof] = ACTIONS(1573),
    [anon_sym_offsetof] = ACTIONS(1573),
    [anon_sym__Generic] = ACTIONS(1573),
    [anon_sym_asm] = ACTIONS(1573),
    [anon_sym___asm__] = ACTIONS(1573),
    [sym_number_literal] = ACTIONS(1575),
    [anon_sym_L_SQUOTE] = ACTIONS(1575),
    [anon_sym_u_SQUOTE] = ACTIONS(1575),
    [anon_sym_U_SQUOTE] = ACTIONS(1575),
    [anon_sym_u8_SQUOTE] = ACTIONS(1575),
    [anon_sym_SQUOTE] = ACTIONS(1575),
    [anon_sym_L_DQUOTE] = ACTIONS(1575),
    [anon_sym_u_DQUOTE] = ACTIONS(1575),
    [anon_sym_U_DQUOTE] = ACTIONS(1575),
    [anon_sym_u8_DQUOTE] = ACTIONS(1575),
    [anon_sym_DQUOTE] = ACTIONS(1575),
    [sym_true] = ACTIONS(1573),
    [sym_false] = ACTIONS(1573),
    [anon_sym_NULL] = ACTIONS(1573),
    [anon_sym_nullptr] = ACTIONS(1573),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1573),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1573),
    [anon_sym_hitAttributeEXT] = ACTIONS(1573),
    [anon_sym_callableDataEXT] = ACTIONS(1573),
    [anon_sym_callableDataInEXT] = ACTIONS(1573),
    [anon_sym_shaderRecordEXT] = ACTIONS(1573),
    [anon_sym_rayPayloadNV] = ACTIONS(1573),
    [anon_sym_rayPayloadInNV] = ACTIONS(1573),
    [anon_sym_hitAttributeNV] = ACTIONS(1573),
    [anon_sym_callableDataNV] = ACTIONS(1573),
    [anon_sym_callableDataInNV] = ACTIONS(1573),
    [anon_sym_shaderRecordNV] = ACTIONS(1573),
    [anon_sym_layout] = ACTIONS(1573),
  },
  [451] = {
    [sym_identifier] = ACTIONS(1561),
    [aux_sym_preproc_include_token1] = ACTIONS(1561),
    [aux_sym_preproc_def_token1] = ACTIONS(1561),
    [aux_sym_preproc_if_token1] = ACTIONS(1561),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1561),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1561),
    [sym_preproc_directive] = ACTIONS(1561),
    [anon_sym_LPAREN2] = ACTIONS(1563),
    [anon_sym_BANG] = ACTIONS(1563),
    [anon_sym_TILDE] = ACTIONS(1563),
    [anon_sym_DASH] = ACTIONS(1561),
    [anon_sym_PLUS] = ACTIONS(1561),
    [anon_sym_STAR] = ACTIONS(1563),
    [anon_sym_AMP] = ACTIONS(1563),
    [anon_sym_subroutine] = ACTIONS(1561),
    [anon_sym_invariant] = ACTIONS(1561),
    [anon_sym_precise] = ACTIONS(1561),
    [anon_sym_SEMI] = ACTIONS(1563),
    [anon_sym_in] = ACTIONS(1561),
    [anon_sym_out] = ACTIONS(1561),
    [anon_sym_inout] = ACTIONS(1561),
    [anon_sym_uniform] = ACTIONS(1561),
    [anon_sym_shared] = ACTIONS(1561),
    [anon_sym_attribute] = ACTIONS(1561),
    [anon_sym_varying] = ACTIONS(1561),
    [anon_sym_buffer] = ACTIONS(1561),
    [anon_sym_coherent] = ACTIONS(1561),
    [anon_sym_readonly] = ACTIONS(1561),
    [anon_sym_writeonly] = ACTIONS(1561),
    [anon_sym_precision] = ACTIONS(1561),
    [anon_sym_highp] = ACTIONS(1561),
    [anon_sym_mediump] = ACTIONS(1561),
    [anon_sym_lowp] = ACTIONS(1561),
    [anon_sym_centroid] = ACTIONS(1561),
    [anon_sym_sample] = ACTIONS(1561),
    [anon_sym_patch] = ACTIONS(1561),
    [anon_sym_smooth] = ACTIONS(1561),
    [anon_sym_flat] = ACTIONS(1561),
    [anon_sym_noperspective] = ACTIONS(1561),
    [anon_sym___extension__] = ACTIONS(1561),
    [anon_sym_typedef] = ACTIONS(1561),
    [anon_sym_extern] = ACTIONS(1561),
    [anon_sym___attribute__] = ACTIONS(1561),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1563),
    [anon_sym___declspec] = ACTIONS(1561),
    [anon_sym___cdecl] = ACTIONS(1561),
    [anon_sym___clrcall] = ACTIONS(1561),
    [anon_sym___stdcall] = ACTIONS(1561),
    [anon_sym___fastcall] = ACTIONS(1561),
    [anon_sym___thiscall] = ACTIONS(1561),
    [anon_sym___vectorcall] = ACTIONS(1561),
    [anon_sym_LBRACE] = ACTIONS(1563),
    [anon_sym_RBRACE] = ACTIONS(1563),
    [anon_sym_signed] = ACTIONS(1561),
    [anon_sym_unsigned] = ACTIONS(1561),
    [anon_sym_long] = ACTIONS(1561),
    [anon_sym_short] = ACTIONS(1561),
    [anon_sym_static] = ACTIONS(1561),
    [anon_sym_auto] = ACTIONS(1561),
    [anon_sym_register] = ACTIONS(1561),
    [anon_sym_inline] = ACTIONS(1561),
    [anon_sym___inline] = ACTIONS(1561),
    [anon_sym___inline__] = ACTIONS(1561),
    [anon_sym___forceinline] = ACTIONS(1561),
    [anon_sym_thread_local] = ACTIONS(1561),
    [anon_sym___thread] = ACTIONS(1561),
    [anon_sym_const] = ACTIONS(1561),
    [anon_sym_constexpr] = ACTIONS(1561),
    [anon_sym_volatile] = ACTIONS(1561),
    [anon_sym_restrict] = ACTIONS(1561),
    [anon_sym___restrict__] = ACTIONS(1561),
    [anon_sym__Atomic] = ACTIONS(1561),
    [anon_sym__Noreturn] = ACTIONS(1561),
    [anon_sym_noreturn] = ACTIONS(1561),
    [sym_primitive_type] = ACTIONS(1561),
    [anon_sym_enum] = ACTIONS(1561),
    [anon_sym_struct] = ACTIONS(1561),
    [anon_sym_union] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1561),
    [anon_sym_else] = ACTIONS(1561),
    [anon_sym_switch] = ACTIONS(1561),
    [anon_sym_case] = ACTIONS(1561),
    [anon_sym_default] = ACTIONS(1561),
    [anon_sym_while] = ACTIONS(1561),
    [anon_sym_do] = ACTIONS(1561),
    [anon_sym_for] = ACTIONS(1561),
    [anon_sym_return] = ACTIONS(1561),
    [anon_sym_break] = ACTIONS(1561),
    [anon_sym_continue] = ACTIONS(1561),
    [anon_sym_goto] = ACTIONS(1561),
    [anon_sym___try] = ACTIONS(1561),
    [anon_sym___leave] = ACTIONS(1561),
    [anon_sym_DASH_DASH] = ACTIONS(1563),
    [anon_sym_PLUS_PLUS] = ACTIONS(1563),
    [anon_sym_sizeof] = ACTIONS(1561),
    [anon_sym___alignof__] = ACTIONS(1561),
    [anon_sym___alignof] = ACTIONS(1561),
    [anon_sym__alignof] = ACTIONS(1561),
    [anon_sym_alignof] = ACTIONS(1561),
    [anon_sym__Alignof] = ACTIONS(1561),
    [anon_sym_offsetof] = ACTIONS(1561),
    [anon_sym__Generic] = ACTIONS(1561),
    [anon_sym_asm] = ACTIONS(1561),
    [anon_sym___asm__] = ACTIONS(1561),
    [sym_number_literal] = ACTIONS(1563),
    [anon_sym_L_SQUOTE] = ACTIONS(1563),
    [anon_sym_u_SQUOTE] = ACTIONS(1563),
    [anon_sym_U_SQUOTE] = ACTIONS(1563),
    [anon_sym_u8_SQUOTE] = ACTIONS(1563),
    [anon_sym_SQUOTE] = ACTIONS(1563),
    [anon_sym_L_DQUOTE] = ACTIONS(1563),
    [anon_sym_u_DQUOTE] = ACTIONS(1563),
    [anon_sym_U_DQUOTE] = ACTIONS(1563),
    [anon_sym_u8_DQUOTE] = ACTIONS(1563),
    [anon_sym_DQUOTE] = ACTIONS(1563),
    [sym_true] = ACTIONS(1561),
    [sym_false] = ACTIONS(1561),
    [anon_sym_NULL] = ACTIONS(1561),
    [anon_sym_nullptr] = ACTIONS(1561),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1561),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1561),
    [anon_sym_hitAttributeEXT] = ACTIONS(1561),
    [anon_sym_callableDataEXT] = ACTIONS(1561),
    [anon_sym_callableDataInEXT] = ACTIONS(1561),
    [anon_sym_shaderRecordEXT] = ACTIONS(1561),
    [anon_sym_rayPayloadNV] = ACTIONS(1561),
    [anon_sym_rayPayloadInNV] = ACTIONS(1561),
    [anon_sym_hitAttributeNV] = ACTIONS(1561),
    [anon_sym_callableDataNV] = ACTIONS(1561),
    [anon_sym_callableDataInNV] = ACTIONS(1561),
    [anon_sym_shaderRecordNV] = ACTIONS(1561),
    [anon_sym_layout] = ACTIONS(1561),
  },
  [452] = {
    [ts_builtin_sym_end] = ACTIONS(1559),
    [sym_identifier] = ACTIONS(1557),
    [aux_sym_preproc_include_token1] = ACTIONS(1557),
    [aux_sym_preproc_def_token1] = ACTIONS(1557),
    [aux_sym_preproc_if_token1] = ACTIONS(1557),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1557),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1557),
    [sym_preproc_directive] = ACTIONS(1557),
    [anon_sym_LPAREN2] = ACTIONS(1559),
    [anon_sym_BANG] = ACTIONS(1559),
    [anon_sym_TILDE] = ACTIONS(1559),
    [anon_sym_DASH] = ACTIONS(1557),
    [anon_sym_PLUS] = ACTIONS(1557),
    [anon_sym_STAR] = ACTIONS(1559),
    [anon_sym_AMP] = ACTIONS(1559),
    [anon_sym_subroutine] = ACTIONS(1557),
    [anon_sym_invariant] = ACTIONS(1557),
    [anon_sym_precise] = ACTIONS(1557),
    [anon_sym_SEMI] = ACTIONS(1559),
    [anon_sym_in] = ACTIONS(1557),
    [anon_sym_out] = ACTIONS(1557),
    [anon_sym_inout] = ACTIONS(1557),
    [anon_sym_uniform] = ACTIONS(1557),
    [anon_sym_shared] = ACTIONS(1557),
    [anon_sym_attribute] = ACTIONS(1557),
    [anon_sym_varying] = ACTIONS(1557),
    [anon_sym_buffer] = ACTIONS(1557),
    [anon_sym_coherent] = ACTIONS(1557),
    [anon_sym_readonly] = ACTIONS(1557),
    [anon_sym_writeonly] = ACTIONS(1557),
    [anon_sym_precision] = ACTIONS(1557),
    [anon_sym_highp] = ACTIONS(1557),
    [anon_sym_mediump] = ACTIONS(1557),
    [anon_sym_lowp] = ACTIONS(1557),
    [anon_sym_centroid] = ACTIONS(1557),
    [anon_sym_sample] = ACTIONS(1557),
    [anon_sym_patch] = ACTIONS(1557),
    [anon_sym_smooth] = ACTIONS(1557),
    [anon_sym_flat] = ACTIONS(1557),
    [anon_sym_noperspective] = ACTIONS(1557),
    [anon_sym___extension__] = ACTIONS(1557),
    [anon_sym_typedef] = ACTIONS(1557),
    [anon_sym_extern] = ACTIONS(1557),
    [anon_sym___attribute__] = ACTIONS(1557),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1559),
    [anon_sym___declspec] = ACTIONS(1557),
    [anon_sym___cdecl] = ACTIONS(1557),
    [anon_sym___clrcall] = ACTIONS(1557),
    [anon_sym___stdcall] = ACTIONS(1557),
    [anon_sym___fastcall] = ACTIONS(1557),
    [anon_sym___thiscall] = ACTIONS(1557),
    [anon_sym___vectorcall] = ACTIONS(1557),
    [anon_sym_LBRACE] = ACTIONS(1559),
    [anon_sym_signed] = ACTIONS(1557),
    [anon_sym_unsigned] = ACTIONS(1557),
    [anon_sym_long] = ACTIONS(1557),
    [anon_sym_short] = ACTIONS(1557),
    [anon_sym_static] = ACTIONS(1557),
    [anon_sym_auto] = ACTIONS(1557),
    [anon_sym_register] = ACTIONS(1557),
    [anon_sym_inline] = ACTIONS(1557),
    [anon_sym___inline] = ACTIONS(1557),
    [anon_sym___inline__] = ACTIONS(1557),
    [anon_sym___forceinline] = ACTIONS(1557),
    [anon_sym_thread_local] = ACTIONS(1557),
    [anon_sym___thread] = ACTIONS(1557),
    [anon_sym_const] = ACTIONS(1557),
    [anon_sym_constexpr] = ACTIONS(1557),
    [anon_sym_volatile] = ACTIONS(1557),
    [anon_sym_restrict] = ACTIONS(1557),
    [anon_sym___restrict__] = ACTIONS(1557),
    [anon_sym__Atomic] = ACTIONS(1557),
    [anon_sym__Noreturn] = ACTIONS(1557),
    [anon_sym_noreturn] = ACTIONS(1557),
    [sym_primitive_type] = ACTIONS(1557),
    [anon_sym_enum] = ACTIONS(1557),
    [anon_sym_struct] = ACTIONS(1557),
    [anon_sym_union] = ACTIONS(1557),
    [anon_sym_if] = ACTIONS(1557),
    [anon_sym_else] = ACTIONS(1557),
    [anon_sym_switch] = ACTIONS(1557),
    [anon_sym_case] = ACTIONS(1557),
    [anon_sym_default] = ACTIONS(1557),
    [anon_sym_while] = ACTIONS(1557),
    [anon_sym_do] = ACTIONS(1557),
    [anon_sym_for] = ACTIONS(1557),
    [anon_sym_return] = ACTIONS(1557),
    [anon_sym_break] = ACTIONS(1557),
    [anon_sym_continue] = ACTIONS(1557),
    [anon_sym_goto] = ACTIONS(1557),
    [anon_sym___try] = ACTIONS(1557),
    [anon_sym___leave] = ACTIONS(1557),
    [anon_sym_DASH_DASH] = ACTIONS(1559),
    [anon_sym_PLUS_PLUS] = ACTIONS(1559),
    [anon_sym_sizeof] = ACTIONS(1557),
    [anon_sym___alignof__] = ACTIONS(1557),
    [anon_sym___alignof] = ACTIONS(1557),
    [anon_sym__alignof] = ACTIONS(1557),
    [anon_sym_alignof] = ACTIONS(1557),
    [anon_sym__Alignof] = ACTIONS(1557),
    [anon_sym_offsetof] = ACTIONS(1557),
    [anon_sym__Generic] = ACTIONS(1557),
    [anon_sym_asm] = ACTIONS(1557),
    [anon_sym___asm__] = ACTIONS(1557),
    [sym_number_literal] = ACTIONS(1559),
    [anon_sym_L_SQUOTE] = ACTIONS(1559),
    [anon_sym_u_SQUOTE] = ACTIONS(1559),
    [anon_sym_U_SQUOTE] = ACTIONS(1559),
    [anon_sym_u8_SQUOTE] = ACTIONS(1559),
    [anon_sym_SQUOTE] = ACTIONS(1559),
    [anon_sym_L_DQUOTE] = ACTIONS(1559),
    [anon_sym_u_DQUOTE] = ACTIONS(1559),
    [anon_sym_U_DQUOTE] = ACTIONS(1559),
    [anon_sym_u8_DQUOTE] = ACTIONS(1559),
    [anon_sym_DQUOTE] = ACTIONS(1559),
    [sym_true] = ACTIONS(1557),
    [sym_false] = ACTIONS(1557),
    [anon_sym_NULL] = ACTIONS(1557),
    [anon_sym_nullptr] = ACTIONS(1557),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1557),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1557),
    [anon_sym_hitAttributeEXT] = ACTIONS(1557),
    [anon_sym_callableDataEXT] = ACTIONS(1557),
    [anon_sym_callableDataInEXT] = ACTIONS(1557),
    [anon_sym_shaderRecordEXT] = ACTIONS(1557),
    [anon_sym_rayPayloadNV] = ACTIONS(1557),
    [anon_sym_rayPayloadInNV] = ACTIONS(1557),
    [anon_sym_hitAttributeNV] = ACTIONS(1557),
    [anon_sym_callableDataNV] = ACTIONS(1557),
    [anon_sym_callableDataInNV] = ACTIONS(1557),
    [anon_sym_shaderRecordNV] = ACTIONS(1557),
    [anon_sym_layout] = ACTIONS(1557),
  },
  [453] = {
    [ts_builtin_sym_end] = ACTIONS(1551),
    [sym_identifier] = ACTIONS(1549),
    [aux_sym_preproc_include_token1] = ACTIONS(1549),
    [aux_sym_preproc_def_token1] = ACTIONS(1549),
    [aux_sym_preproc_if_token1] = ACTIONS(1549),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1549),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1549),
    [sym_preproc_directive] = ACTIONS(1549),
    [anon_sym_LPAREN2] = ACTIONS(1551),
    [anon_sym_BANG] = ACTIONS(1551),
    [anon_sym_TILDE] = ACTIONS(1551),
    [anon_sym_DASH] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_STAR] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(1551),
    [anon_sym_subroutine] = ACTIONS(1549),
    [anon_sym_invariant] = ACTIONS(1549),
    [anon_sym_precise] = ACTIONS(1549),
    [anon_sym_SEMI] = ACTIONS(1551),
    [anon_sym_in] = ACTIONS(1549),
    [anon_sym_out] = ACTIONS(1549),
    [anon_sym_inout] = ACTIONS(1549),
    [anon_sym_uniform] = ACTIONS(1549),
    [anon_sym_shared] = ACTIONS(1549),
    [anon_sym_attribute] = ACTIONS(1549),
    [anon_sym_varying] = ACTIONS(1549),
    [anon_sym_buffer] = ACTIONS(1549),
    [anon_sym_coherent] = ACTIONS(1549),
    [anon_sym_readonly] = ACTIONS(1549),
    [anon_sym_writeonly] = ACTIONS(1549),
    [anon_sym_precision] = ACTIONS(1549),
    [anon_sym_highp] = ACTIONS(1549),
    [anon_sym_mediump] = ACTIONS(1549),
    [anon_sym_lowp] = ACTIONS(1549),
    [anon_sym_centroid] = ACTIONS(1549),
    [anon_sym_sample] = ACTIONS(1549),
    [anon_sym_patch] = ACTIONS(1549),
    [anon_sym_smooth] = ACTIONS(1549),
    [anon_sym_flat] = ACTIONS(1549),
    [anon_sym_noperspective] = ACTIONS(1549),
    [anon_sym___extension__] = ACTIONS(1549),
    [anon_sym_typedef] = ACTIONS(1549),
    [anon_sym_extern] = ACTIONS(1549),
    [anon_sym___attribute__] = ACTIONS(1549),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1551),
    [anon_sym___declspec] = ACTIONS(1549),
    [anon_sym___cdecl] = ACTIONS(1549),
    [anon_sym___clrcall] = ACTIONS(1549),
    [anon_sym___stdcall] = ACTIONS(1549),
    [anon_sym___fastcall] = ACTIONS(1549),
    [anon_sym___thiscall] = ACTIONS(1549),
    [anon_sym___vectorcall] = ACTIONS(1549),
    [anon_sym_LBRACE] = ACTIONS(1551),
    [anon_sym_signed] = ACTIONS(1549),
    [anon_sym_unsigned] = ACTIONS(1549),
    [anon_sym_long] = ACTIONS(1549),
    [anon_sym_short] = ACTIONS(1549),
    [anon_sym_static] = ACTIONS(1549),
    [anon_sym_auto] = ACTIONS(1549),
    [anon_sym_register] = ACTIONS(1549),
    [anon_sym_inline] = ACTIONS(1549),
    [anon_sym___inline] = ACTIONS(1549),
    [anon_sym___inline__] = ACTIONS(1549),
    [anon_sym___forceinline] = ACTIONS(1549),
    [anon_sym_thread_local] = ACTIONS(1549),
    [anon_sym___thread] = ACTIONS(1549),
    [anon_sym_const] = ACTIONS(1549),
    [anon_sym_constexpr] = ACTIONS(1549),
    [anon_sym_volatile] = ACTIONS(1549),
    [anon_sym_restrict] = ACTIONS(1549),
    [anon_sym___restrict__] = ACTIONS(1549),
    [anon_sym__Atomic] = ACTIONS(1549),
    [anon_sym__Noreturn] = ACTIONS(1549),
    [anon_sym_noreturn] = ACTIONS(1549),
    [sym_primitive_type] = ACTIONS(1549),
    [anon_sym_enum] = ACTIONS(1549),
    [anon_sym_struct] = ACTIONS(1549),
    [anon_sym_union] = ACTIONS(1549),
    [anon_sym_if] = ACTIONS(1549),
    [anon_sym_else] = ACTIONS(1549),
    [anon_sym_switch] = ACTIONS(1549),
    [anon_sym_case] = ACTIONS(1549),
    [anon_sym_default] = ACTIONS(1549),
    [anon_sym_while] = ACTIONS(1549),
    [anon_sym_do] = ACTIONS(1549),
    [anon_sym_for] = ACTIONS(1549),
    [anon_sym_return] = ACTIONS(1549),
    [anon_sym_break] = ACTIONS(1549),
    [anon_sym_continue] = ACTIONS(1549),
    [anon_sym_goto] = ACTIONS(1549),
    [anon_sym___try] = ACTIONS(1549),
    [anon_sym___leave] = ACTIONS(1549),
    [anon_sym_DASH_DASH] = ACTIONS(1551),
    [anon_sym_PLUS_PLUS] = ACTIONS(1551),
    [anon_sym_sizeof] = ACTIONS(1549),
    [anon_sym___alignof__] = ACTIONS(1549),
    [anon_sym___alignof] = ACTIONS(1549),
    [anon_sym__alignof] = ACTIONS(1549),
    [anon_sym_alignof] = ACTIONS(1549),
    [anon_sym__Alignof] = ACTIONS(1549),
    [anon_sym_offsetof] = ACTIONS(1549),
    [anon_sym__Generic] = ACTIONS(1549),
    [anon_sym_asm] = ACTIONS(1549),
    [anon_sym___asm__] = ACTIONS(1549),
    [sym_number_literal] = ACTIONS(1551),
    [anon_sym_L_SQUOTE] = ACTIONS(1551),
    [anon_sym_u_SQUOTE] = ACTIONS(1551),
    [anon_sym_U_SQUOTE] = ACTIONS(1551),
    [anon_sym_u8_SQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1551),
    [anon_sym_L_DQUOTE] = ACTIONS(1551),
    [anon_sym_u_DQUOTE] = ACTIONS(1551),
    [anon_sym_U_DQUOTE] = ACTIONS(1551),
    [anon_sym_u8_DQUOTE] = ACTIONS(1551),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [sym_true] = ACTIONS(1549),
    [sym_false] = ACTIONS(1549),
    [anon_sym_NULL] = ACTIONS(1549),
    [anon_sym_nullptr] = ACTIONS(1549),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1549),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1549),
    [anon_sym_hitAttributeEXT] = ACTIONS(1549),
    [anon_sym_callableDataEXT] = ACTIONS(1549),
    [anon_sym_callableDataInEXT] = ACTIONS(1549),
    [anon_sym_shaderRecordEXT] = ACTIONS(1549),
    [anon_sym_rayPayloadNV] = ACTIONS(1549),
    [anon_sym_rayPayloadInNV] = ACTIONS(1549),
    [anon_sym_hitAttributeNV] = ACTIONS(1549),
    [anon_sym_callableDataNV] = ACTIONS(1549),
    [anon_sym_callableDataInNV] = ACTIONS(1549),
    [anon_sym_shaderRecordNV] = ACTIONS(1549),
    [anon_sym_layout] = ACTIONS(1549),
  },
  [454] = {
    [ts_builtin_sym_end] = ACTIONS(1551),
    [sym_identifier] = ACTIONS(1549),
    [aux_sym_preproc_include_token1] = ACTIONS(1549),
    [aux_sym_preproc_def_token1] = ACTIONS(1549),
    [aux_sym_preproc_if_token1] = ACTIONS(1549),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1549),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1549),
    [sym_preproc_directive] = ACTIONS(1549),
    [anon_sym_LPAREN2] = ACTIONS(1551),
    [anon_sym_BANG] = ACTIONS(1551),
    [anon_sym_TILDE] = ACTIONS(1551),
    [anon_sym_DASH] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_STAR] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(1551),
    [anon_sym_subroutine] = ACTIONS(1549),
    [anon_sym_invariant] = ACTIONS(1549),
    [anon_sym_precise] = ACTIONS(1549),
    [anon_sym_SEMI] = ACTIONS(1551),
    [anon_sym_in] = ACTIONS(1549),
    [anon_sym_out] = ACTIONS(1549),
    [anon_sym_inout] = ACTIONS(1549),
    [anon_sym_uniform] = ACTIONS(1549),
    [anon_sym_shared] = ACTIONS(1549),
    [anon_sym_attribute] = ACTIONS(1549),
    [anon_sym_varying] = ACTIONS(1549),
    [anon_sym_buffer] = ACTIONS(1549),
    [anon_sym_coherent] = ACTIONS(1549),
    [anon_sym_readonly] = ACTIONS(1549),
    [anon_sym_writeonly] = ACTIONS(1549),
    [anon_sym_precision] = ACTIONS(1549),
    [anon_sym_highp] = ACTIONS(1549),
    [anon_sym_mediump] = ACTIONS(1549),
    [anon_sym_lowp] = ACTIONS(1549),
    [anon_sym_centroid] = ACTIONS(1549),
    [anon_sym_sample] = ACTIONS(1549),
    [anon_sym_patch] = ACTIONS(1549),
    [anon_sym_smooth] = ACTIONS(1549),
    [anon_sym_flat] = ACTIONS(1549),
    [anon_sym_noperspective] = ACTIONS(1549),
    [anon_sym___extension__] = ACTIONS(1549),
    [anon_sym_typedef] = ACTIONS(1549),
    [anon_sym_extern] = ACTIONS(1549),
    [anon_sym___attribute__] = ACTIONS(1549),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1551),
    [anon_sym___declspec] = ACTIONS(1549),
    [anon_sym___cdecl] = ACTIONS(1549),
    [anon_sym___clrcall] = ACTIONS(1549),
    [anon_sym___stdcall] = ACTIONS(1549),
    [anon_sym___fastcall] = ACTIONS(1549),
    [anon_sym___thiscall] = ACTIONS(1549),
    [anon_sym___vectorcall] = ACTIONS(1549),
    [anon_sym_LBRACE] = ACTIONS(1551),
    [anon_sym_signed] = ACTIONS(1549),
    [anon_sym_unsigned] = ACTIONS(1549),
    [anon_sym_long] = ACTIONS(1549),
    [anon_sym_short] = ACTIONS(1549),
    [anon_sym_static] = ACTIONS(1549),
    [anon_sym_auto] = ACTIONS(1549),
    [anon_sym_register] = ACTIONS(1549),
    [anon_sym_inline] = ACTIONS(1549),
    [anon_sym___inline] = ACTIONS(1549),
    [anon_sym___inline__] = ACTIONS(1549),
    [anon_sym___forceinline] = ACTIONS(1549),
    [anon_sym_thread_local] = ACTIONS(1549),
    [anon_sym___thread] = ACTIONS(1549),
    [anon_sym_const] = ACTIONS(1549),
    [anon_sym_constexpr] = ACTIONS(1549),
    [anon_sym_volatile] = ACTIONS(1549),
    [anon_sym_restrict] = ACTIONS(1549),
    [anon_sym___restrict__] = ACTIONS(1549),
    [anon_sym__Atomic] = ACTIONS(1549),
    [anon_sym__Noreturn] = ACTIONS(1549),
    [anon_sym_noreturn] = ACTIONS(1549),
    [sym_primitive_type] = ACTIONS(1549),
    [anon_sym_enum] = ACTIONS(1549),
    [anon_sym_struct] = ACTIONS(1549),
    [anon_sym_union] = ACTIONS(1549),
    [anon_sym_if] = ACTIONS(1549),
    [anon_sym_else] = ACTIONS(1549),
    [anon_sym_switch] = ACTIONS(1549),
    [anon_sym_case] = ACTIONS(1549),
    [anon_sym_default] = ACTIONS(1549),
    [anon_sym_while] = ACTIONS(1549),
    [anon_sym_do] = ACTIONS(1549),
    [anon_sym_for] = ACTIONS(1549),
    [anon_sym_return] = ACTIONS(1549),
    [anon_sym_break] = ACTIONS(1549),
    [anon_sym_continue] = ACTIONS(1549),
    [anon_sym_goto] = ACTIONS(1549),
    [anon_sym___try] = ACTIONS(1549),
    [anon_sym___leave] = ACTIONS(1549),
    [anon_sym_DASH_DASH] = ACTIONS(1551),
    [anon_sym_PLUS_PLUS] = ACTIONS(1551),
    [anon_sym_sizeof] = ACTIONS(1549),
    [anon_sym___alignof__] = ACTIONS(1549),
    [anon_sym___alignof] = ACTIONS(1549),
    [anon_sym__alignof] = ACTIONS(1549),
    [anon_sym_alignof] = ACTIONS(1549),
    [anon_sym__Alignof] = ACTIONS(1549),
    [anon_sym_offsetof] = ACTIONS(1549),
    [anon_sym__Generic] = ACTIONS(1549),
    [anon_sym_asm] = ACTIONS(1549),
    [anon_sym___asm__] = ACTIONS(1549),
    [sym_number_literal] = ACTIONS(1551),
    [anon_sym_L_SQUOTE] = ACTIONS(1551),
    [anon_sym_u_SQUOTE] = ACTIONS(1551),
    [anon_sym_U_SQUOTE] = ACTIONS(1551),
    [anon_sym_u8_SQUOTE] = ACTIONS(1551),
    [anon_sym_SQUOTE] = ACTIONS(1551),
    [anon_sym_L_DQUOTE] = ACTIONS(1551),
    [anon_sym_u_DQUOTE] = ACTIONS(1551),
    [anon_sym_U_DQUOTE] = ACTIONS(1551),
    [anon_sym_u8_DQUOTE] = ACTIONS(1551),
    [anon_sym_DQUOTE] = ACTIONS(1551),
    [sym_true] = ACTIONS(1549),
    [sym_false] = ACTIONS(1549),
    [anon_sym_NULL] = ACTIONS(1549),
    [anon_sym_nullptr] = ACTIONS(1549),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1549),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1549),
    [anon_sym_hitAttributeEXT] = ACTIONS(1549),
    [anon_sym_callableDataEXT] = ACTIONS(1549),
    [anon_sym_callableDataInEXT] = ACTIONS(1549),
    [anon_sym_shaderRecordEXT] = ACTIONS(1549),
    [anon_sym_rayPayloadNV] = ACTIONS(1549),
    [anon_sym_rayPayloadInNV] = ACTIONS(1549),
    [anon_sym_hitAttributeNV] = ACTIONS(1549),
    [anon_sym_callableDataNV] = ACTIONS(1549),
    [anon_sym_callableDataInNV] = ACTIONS(1549),
    [anon_sym_shaderRecordNV] = ACTIONS(1549),
    [anon_sym_layout] = ACTIONS(1549),
  },
  [455] = {
    [ts_builtin_sym_end] = ACTIONS(1547),
    [sym_identifier] = ACTIONS(1545),
    [aux_sym_preproc_include_token1] = ACTIONS(1545),
    [aux_sym_preproc_def_token1] = ACTIONS(1545),
    [aux_sym_preproc_if_token1] = ACTIONS(1545),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1545),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1545),
    [sym_preproc_directive] = ACTIONS(1545),
    [anon_sym_LPAREN2] = ACTIONS(1547),
    [anon_sym_BANG] = ACTIONS(1547),
    [anon_sym_TILDE] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1545),
    [anon_sym_PLUS] = ACTIONS(1545),
    [anon_sym_STAR] = ACTIONS(1547),
    [anon_sym_AMP] = ACTIONS(1547),
    [anon_sym_subroutine] = ACTIONS(1545),
    [anon_sym_invariant] = ACTIONS(1545),
    [anon_sym_precise] = ACTIONS(1545),
    [anon_sym_SEMI] = ACTIONS(1547),
    [anon_sym_in] = ACTIONS(1545),
    [anon_sym_out] = ACTIONS(1545),
    [anon_sym_inout] = ACTIONS(1545),
    [anon_sym_uniform] = ACTIONS(1545),
    [anon_sym_shared] = ACTIONS(1545),
    [anon_sym_attribute] = ACTIONS(1545),
    [anon_sym_varying] = ACTIONS(1545),
    [anon_sym_buffer] = ACTIONS(1545),
    [anon_sym_coherent] = ACTIONS(1545),
    [anon_sym_readonly] = ACTIONS(1545),
    [anon_sym_writeonly] = ACTIONS(1545),
    [anon_sym_precision] = ACTIONS(1545),
    [anon_sym_highp] = ACTIONS(1545),
    [anon_sym_mediump] = ACTIONS(1545),
    [anon_sym_lowp] = ACTIONS(1545),
    [anon_sym_centroid] = ACTIONS(1545),
    [anon_sym_sample] = ACTIONS(1545),
    [anon_sym_patch] = ACTIONS(1545),
    [anon_sym_smooth] = ACTIONS(1545),
    [anon_sym_flat] = ACTIONS(1545),
    [anon_sym_noperspective] = ACTIONS(1545),
    [anon_sym___extension__] = ACTIONS(1545),
    [anon_sym_typedef] = ACTIONS(1545),
    [anon_sym_extern] = ACTIONS(1545),
    [anon_sym___attribute__] = ACTIONS(1545),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1547),
    [anon_sym___declspec] = ACTIONS(1545),
    [anon_sym___cdecl] = ACTIONS(1545),
    [anon_sym___clrcall] = ACTIONS(1545),
    [anon_sym___stdcall] = ACTIONS(1545),
    [anon_sym___fastcall] = ACTIONS(1545),
    [anon_sym___thiscall] = ACTIONS(1545),
    [anon_sym___vectorcall] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(1547),
    [anon_sym_signed] = ACTIONS(1545),
    [anon_sym_unsigned] = ACTIONS(1545),
    [anon_sym_long] = ACTIONS(1545),
    [anon_sym_short] = ACTIONS(1545),
    [anon_sym_static] = ACTIONS(1545),
    [anon_sym_auto] = ACTIONS(1545),
    [anon_sym_register] = ACTIONS(1545),
    [anon_sym_inline] = ACTIONS(1545),
    [anon_sym___inline] = ACTIONS(1545),
    [anon_sym___inline__] = ACTIONS(1545),
    [anon_sym___forceinline] = ACTIONS(1545),
    [anon_sym_thread_local] = ACTIONS(1545),
    [anon_sym___thread] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(1545),
    [anon_sym_constexpr] = ACTIONS(1545),
    [anon_sym_volatile] = ACTIONS(1545),
    [anon_sym_restrict] = ACTIONS(1545),
    [anon_sym___restrict__] = ACTIONS(1545),
    [anon_sym__Atomic] = ACTIONS(1545),
    [anon_sym__Noreturn] = ACTIONS(1545),
    [anon_sym_noreturn] = ACTIONS(1545),
    [sym_primitive_type] = ACTIONS(1545),
    [anon_sym_enum] = ACTIONS(1545),
    [anon_sym_struct] = ACTIONS(1545),
    [anon_sym_union] = ACTIONS(1545),
    [anon_sym_if] = ACTIONS(1545),
    [anon_sym_else] = ACTIONS(1545),
    [anon_sym_switch] = ACTIONS(1545),
    [anon_sym_case] = ACTIONS(1545),
    [anon_sym_default] = ACTIONS(1545),
    [anon_sym_while] = ACTIONS(1545),
    [anon_sym_do] = ACTIONS(1545),
    [anon_sym_for] = ACTIONS(1545),
    [anon_sym_return] = ACTIONS(1545),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_continue] = ACTIONS(1545),
    [anon_sym_goto] = ACTIONS(1545),
    [anon_sym___try] = ACTIONS(1545),
    [anon_sym___leave] = ACTIONS(1545),
    [anon_sym_DASH_DASH] = ACTIONS(1547),
    [anon_sym_PLUS_PLUS] = ACTIONS(1547),
    [anon_sym_sizeof] = ACTIONS(1545),
    [anon_sym___alignof__] = ACTIONS(1545),
    [anon_sym___alignof] = ACTIONS(1545),
    [anon_sym__alignof] = ACTIONS(1545),
    [anon_sym_alignof] = ACTIONS(1545),
    [anon_sym__Alignof] = ACTIONS(1545),
    [anon_sym_offsetof] = ACTIONS(1545),
    [anon_sym__Generic] = ACTIONS(1545),
    [anon_sym_asm] = ACTIONS(1545),
    [anon_sym___asm__] = ACTIONS(1545),
    [sym_number_literal] = ACTIONS(1547),
    [anon_sym_L_SQUOTE] = ACTIONS(1547),
    [anon_sym_u_SQUOTE] = ACTIONS(1547),
    [anon_sym_U_SQUOTE] = ACTIONS(1547),
    [anon_sym_u8_SQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1547),
    [anon_sym_L_DQUOTE] = ACTIONS(1547),
    [anon_sym_u_DQUOTE] = ACTIONS(1547),
    [anon_sym_U_DQUOTE] = ACTIONS(1547),
    [anon_sym_u8_DQUOTE] = ACTIONS(1547),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [sym_true] = ACTIONS(1545),
    [sym_false] = ACTIONS(1545),
    [anon_sym_NULL] = ACTIONS(1545),
    [anon_sym_nullptr] = ACTIONS(1545),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1545),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1545),
    [anon_sym_hitAttributeEXT] = ACTIONS(1545),
    [anon_sym_callableDataEXT] = ACTIONS(1545),
    [anon_sym_callableDataInEXT] = ACTIONS(1545),
    [anon_sym_shaderRecordEXT] = ACTIONS(1545),
    [anon_sym_rayPayloadNV] = ACTIONS(1545),
    [anon_sym_rayPayloadInNV] = ACTIONS(1545),
    [anon_sym_hitAttributeNV] = ACTIONS(1545),
    [anon_sym_callableDataNV] = ACTIONS(1545),
    [anon_sym_callableDataInNV] = ACTIONS(1545),
    [anon_sym_shaderRecordNV] = ACTIONS(1545),
    [anon_sym_layout] = ACTIONS(1545),
  },
  [456] = {
    [ts_builtin_sym_end] = ACTIONS(1547),
    [sym_identifier] = ACTIONS(1545),
    [aux_sym_preproc_include_token1] = ACTIONS(1545),
    [aux_sym_preproc_def_token1] = ACTIONS(1545),
    [aux_sym_preproc_if_token1] = ACTIONS(1545),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1545),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1545),
    [sym_preproc_directive] = ACTIONS(1545),
    [anon_sym_LPAREN2] = ACTIONS(1547),
    [anon_sym_BANG] = ACTIONS(1547),
    [anon_sym_TILDE] = ACTIONS(1547),
    [anon_sym_DASH] = ACTIONS(1545),
    [anon_sym_PLUS] = ACTIONS(1545),
    [anon_sym_STAR] = ACTIONS(1547),
    [anon_sym_AMP] = ACTIONS(1547),
    [anon_sym_subroutine] = ACTIONS(1545),
    [anon_sym_invariant] = ACTIONS(1545),
    [anon_sym_precise] = ACTIONS(1545),
    [anon_sym_SEMI] = ACTIONS(1547),
    [anon_sym_in] = ACTIONS(1545),
    [anon_sym_out] = ACTIONS(1545),
    [anon_sym_inout] = ACTIONS(1545),
    [anon_sym_uniform] = ACTIONS(1545),
    [anon_sym_shared] = ACTIONS(1545),
    [anon_sym_attribute] = ACTIONS(1545),
    [anon_sym_varying] = ACTIONS(1545),
    [anon_sym_buffer] = ACTIONS(1545),
    [anon_sym_coherent] = ACTIONS(1545),
    [anon_sym_readonly] = ACTIONS(1545),
    [anon_sym_writeonly] = ACTIONS(1545),
    [anon_sym_precision] = ACTIONS(1545),
    [anon_sym_highp] = ACTIONS(1545),
    [anon_sym_mediump] = ACTIONS(1545),
    [anon_sym_lowp] = ACTIONS(1545),
    [anon_sym_centroid] = ACTIONS(1545),
    [anon_sym_sample] = ACTIONS(1545),
    [anon_sym_patch] = ACTIONS(1545),
    [anon_sym_smooth] = ACTIONS(1545),
    [anon_sym_flat] = ACTIONS(1545),
    [anon_sym_noperspective] = ACTIONS(1545),
    [anon_sym___extension__] = ACTIONS(1545),
    [anon_sym_typedef] = ACTIONS(1545),
    [anon_sym_extern] = ACTIONS(1545),
    [anon_sym___attribute__] = ACTIONS(1545),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1547),
    [anon_sym___declspec] = ACTIONS(1545),
    [anon_sym___cdecl] = ACTIONS(1545),
    [anon_sym___clrcall] = ACTIONS(1545),
    [anon_sym___stdcall] = ACTIONS(1545),
    [anon_sym___fastcall] = ACTIONS(1545),
    [anon_sym___thiscall] = ACTIONS(1545),
    [anon_sym___vectorcall] = ACTIONS(1545),
    [anon_sym_LBRACE] = ACTIONS(1547),
    [anon_sym_signed] = ACTIONS(1545),
    [anon_sym_unsigned] = ACTIONS(1545),
    [anon_sym_long] = ACTIONS(1545),
    [anon_sym_short] = ACTIONS(1545),
    [anon_sym_static] = ACTIONS(1545),
    [anon_sym_auto] = ACTIONS(1545),
    [anon_sym_register] = ACTIONS(1545),
    [anon_sym_inline] = ACTIONS(1545),
    [anon_sym___inline] = ACTIONS(1545),
    [anon_sym___inline__] = ACTIONS(1545),
    [anon_sym___forceinline] = ACTIONS(1545),
    [anon_sym_thread_local] = ACTIONS(1545),
    [anon_sym___thread] = ACTIONS(1545),
    [anon_sym_const] = ACTIONS(1545),
    [anon_sym_constexpr] = ACTIONS(1545),
    [anon_sym_volatile] = ACTIONS(1545),
    [anon_sym_restrict] = ACTIONS(1545),
    [anon_sym___restrict__] = ACTIONS(1545),
    [anon_sym__Atomic] = ACTIONS(1545),
    [anon_sym__Noreturn] = ACTIONS(1545),
    [anon_sym_noreturn] = ACTIONS(1545),
    [sym_primitive_type] = ACTIONS(1545),
    [anon_sym_enum] = ACTIONS(1545),
    [anon_sym_struct] = ACTIONS(1545),
    [anon_sym_union] = ACTIONS(1545),
    [anon_sym_if] = ACTIONS(1545),
    [anon_sym_else] = ACTIONS(1545),
    [anon_sym_switch] = ACTIONS(1545),
    [anon_sym_case] = ACTIONS(1545),
    [anon_sym_default] = ACTIONS(1545),
    [anon_sym_while] = ACTIONS(1545),
    [anon_sym_do] = ACTIONS(1545),
    [anon_sym_for] = ACTIONS(1545),
    [anon_sym_return] = ACTIONS(1545),
    [anon_sym_break] = ACTIONS(1545),
    [anon_sym_continue] = ACTIONS(1545),
    [anon_sym_goto] = ACTIONS(1545),
    [anon_sym___try] = ACTIONS(1545),
    [anon_sym___leave] = ACTIONS(1545),
    [anon_sym_DASH_DASH] = ACTIONS(1547),
    [anon_sym_PLUS_PLUS] = ACTIONS(1547),
    [anon_sym_sizeof] = ACTIONS(1545),
    [anon_sym___alignof__] = ACTIONS(1545),
    [anon_sym___alignof] = ACTIONS(1545),
    [anon_sym__alignof] = ACTIONS(1545),
    [anon_sym_alignof] = ACTIONS(1545),
    [anon_sym__Alignof] = ACTIONS(1545),
    [anon_sym_offsetof] = ACTIONS(1545),
    [anon_sym__Generic] = ACTIONS(1545),
    [anon_sym_asm] = ACTIONS(1545),
    [anon_sym___asm__] = ACTIONS(1545),
    [sym_number_literal] = ACTIONS(1547),
    [anon_sym_L_SQUOTE] = ACTIONS(1547),
    [anon_sym_u_SQUOTE] = ACTIONS(1547),
    [anon_sym_U_SQUOTE] = ACTIONS(1547),
    [anon_sym_u8_SQUOTE] = ACTIONS(1547),
    [anon_sym_SQUOTE] = ACTIONS(1547),
    [anon_sym_L_DQUOTE] = ACTIONS(1547),
    [anon_sym_u_DQUOTE] = ACTIONS(1547),
    [anon_sym_U_DQUOTE] = ACTIONS(1547),
    [anon_sym_u8_DQUOTE] = ACTIONS(1547),
    [anon_sym_DQUOTE] = ACTIONS(1547),
    [sym_true] = ACTIONS(1545),
    [sym_false] = ACTIONS(1545),
    [anon_sym_NULL] = ACTIONS(1545),
    [anon_sym_nullptr] = ACTIONS(1545),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1545),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1545),
    [anon_sym_hitAttributeEXT] = ACTIONS(1545),
    [anon_sym_callableDataEXT] = ACTIONS(1545),
    [anon_sym_callableDataInEXT] = ACTIONS(1545),
    [anon_sym_shaderRecordEXT] = ACTIONS(1545),
    [anon_sym_rayPayloadNV] = ACTIONS(1545),
    [anon_sym_rayPayloadInNV] = ACTIONS(1545),
    [anon_sym_hitAttributeNV] = ACTIONS(1545),
    [anon_sym_callableDataNV] = ACTIONS(1545),
    [anon_sym_callableDataInNV] = ACTIONS(1545),
    [anon_sym_shaderRecordNV] = ACTIONS(1545),
    [anon_sym_layout] = ACTIONS(1545),
  },
  [457] = {
    [ts_builtin_sym_end] = ACTIONS(1543),
    [sym_identifier] = ACTIONS(1541),
    [aux_sym_preproc_include_token1] = ACTIONS(1541),
    [aux_sym_preproc_def_token1] = ACTIONS(1541),
    [aux_sym_preproc_if_token1] = ACTIONS(1541),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1541),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1541),
    [sym_preproc_directive] = ACTIONS(1541),
    [anon_sym_LPAREN2] = ACTIONS(1543),
    [anon_sym_BANG] = ACTIONS(1543),
    [anon_sym_TILDE] = ACTIONS(1543),
    [anon_sym_DASH] = ACTIONS(1541),
    [anon_sym_PLUS] = ACTIONS(1541),
    [anon_sym_STAR] = ACTIONS(1543),
    [anon_sym_AMP] = ACTIONS(1543),
    [anon_sym_subroutine] = ACTIONS(1541),
    [anon_sym_invariant] = ACTIONS(1541),
    [anon_sym_precise] = ACTIONS(1541),
    [anon_sym_SEMI] = ACTIONS(1543),
    [anon_sym_in] = ACTIONS(1541),
    [anon_sym_out] = ACTIONS(1541),
    [anon_sym_inout] = ACTIONS(1541),
    [anon_sym_uniform] = ACTIONS(1541),
    [anon_sym_shared] = ACTIONS(1541),
    [anon_sym_attribute] = ACTIONS(1541),
    [anon_sym_varying] = ACTIONS(1541),
    [anon_sym_buffer] = ACTIONS(1541),
    [anon_sym_coherent] = ACTIONS(1541),
    [anon_sym_readonly] = ACTIONS(1541),
    [anon_sym_writeonly] = ACTIONS(1541),
    [anon_sym_precision] = ACTIONS(1541),
    [anon_sym_highp] = ACTIONS(1541),
    [anon_sym_mediump] = ACTIONS(1541),
    [anon_sym_lowp] = ACTIONS(1541),
    [anon_sym_centroid] = ACTIONS(1541),
    [anon_sym_sample] = ACTIONS(1541),
    [anon_sym_patch] = ACTIONS(1541),
    [anon_sym_smooth] = ACTIONS(1541),
    [anon_sym_flat] = ACTIONS(1541),
    [anon_sym_noperspective] = ACTIONS(1541),
    [anon_sym___extension__] = ACTIONS(1541),
    [anon_sym_typedef] = ACTIONS(1541),
    [anon_sym_extern] = ACTIONS(1541),
    [anon_sym___attribute__] = ACTIONS(1541),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1543),
    [anon_sym___declspec] = ACTIONS(1541),
    [anon_sym___cdecl] = ACTIONS(1541),
    [anon_sym___clrcall] = ACTIONS(1541),
    [anon_sym___stdcall] = ACTIONS(1541),
    [anon_sym___fastcall] = ACTIONS(1541),
    [anon_sym___thiscall] = ACTIONS(1541),
    [anon_sym___vectorcall] = ACTIONS(1541),
    [anon_sym_LBRACE] = ACTIONS(1543),
    [anon_sym_signed] = ACTIONS(1541),
    [anon_sym_unsigned] = ACTIONS(1541),
    [anon_sym_long] = ACTIONS(1541),
    [anon_sym_short] = ACTIONS(1541),
    [anon_sym_static] = ACTIONS(1541),
    [anon_sym_auto] = ACTIONS(1541),
    [anon_sym_register] = ACTIONS(1541),
    [anon_sym_inline] = ACTIONS(1541),
    [anon_sym___inline] = ACTIONS(1541),
    [anon_sym___inline__] = ACTIONS(1541),
    [anon_sym___forceinline] = ACTIONS(1541),
    [anon_sym_thread_local] = ACTIONS(1541),
    [anon_sym___thread] = ACTIONS(1541),
    [anon_sym_const] = ACTIONS(1541),
    [anon_sym_constexpr] = ACTIONS(1541),
    [anon_sym_volatile] = ACTIONS(1541),
    [anon_sym_restrict] = ACTIONS(1541),
    [anon_sym___restrict__] = ACTIONS(1541),
    [anon_sym__Atomic] = ACTIONS(1541),
    [anon_sym__Noreturn] = ACTIONS(1541),
    [anon_sym_noreturn] = ACTIONS(1541),
    [sym_primitive_type] = ACTIONS(1541),
    [anon_sym_enum] = ACTIONS(1541),
    [anon_sym_struct] = ACTIONS(1541),
    [anon_sym_union] = ACTIONS(1541),
    [anon_sym_if] = ACTIONS(1541),
    [anon_sym_else] = ACTIONS(1541),
    [anon_sym_switch] = ACTIONS(1541),
    [anon_sym_case] = ACTIONS(1541),
    [anon_sym_default] = ACTIONS(1541),
    [anon_sym_while] = ACTIONS(1541),
    [anon_sym_do] = ACTIONS(1541),
    [anon_sym_for] = ACTIONS(1541),
    [anon_sym_return] = ACTIONS(1541),
    [anon_sym_break] = ACTIONS(1541),
    [anon_sym_continue] = ACTIONS(1541),
    [anon_sym_goto] = ACTIONS(1541),
    [anon_sym___try] = ACTIONS(1541),
    [anon_sym___leave] = ACTIONS(1541),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_sizeof] = ACTIONS(1541),
    [anon_sym___alignof__] = ACTIONS(1541),
    [anon_sym___alignof] = ACTIONS(1541),
    [anon_sym__alignof] = ACTIONS(1541),
    [anon_sym_alignof] = ACTIONS(1541),
    [anon_sym__Alignof] = ACTIONS(1541),
    [anon_sym_offsetof] = ACTIONS(1541),
    [anon_sym__Generic] = ACTIONS(1541),
    [anon_sym_asm] = ACTIONS(1541),
    [anon_sym___asm__] = ACTIONS(1541),
    [sym_number_literal] = ACTIONS(1543),
    [anon_sym_L_SQUOTE] = ACTIONS(1543),
    [anon_sym_u_SQUOTE] = ACTIONS(1543),
    [anon_sym_U_SQUOTE] = ACTIONS(1543),
    [anon_sym_u8_SQUOTE] = ACTIONS(1543),
    [anon_sym_SQUOTE] = ACTIONS(1543),
    [anon_sym_L_DQUOTE] = ACTIONS(1543),
    [anon_sym_u_DQUOTE] = ACTIONS(1543),
    [anon_sym_U_DQUOTE] = ACTIONS(1543),
    [anon_sym_u8_DQUOTE] = ACTIONS(1543),
    [anon_sym_DQUOTE] = ACTIONS(1543),
    [sym_true] = ACTIONS(1541),
    [sym_false] = ACTIONS(1541),
    [anon_sym_NULL] = ACTIONS(1541),
    [anon_sym_nullptr] = ACTIONS(1541),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1541),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1541),
    [anon_sym_hitAttributeEXT] = ACTIONS(1541),
    [anon_sym_callableDataEXT] = ACTIONS(1541),
    [anon_sym_callableDataInEXT] = ACTIONS(1541),
    [anon_sym_shaderRecordEXT] = ACTIONS(1541),
    [anon_sym_rayPayloadNV] = ACTIONS(1541),
    [anon_sym_rayPayloadInNV] = ACTIONS(1541),
    [anon_sym_hitAttributeNV] = ACTIONS(1541),
    [anon_sym_callableDataNV] = ACTIONS(1541),
    [anon_sym_callableDataInNV] = ACTIONS(1541),
    [anon_sym_shaderRecordNV] = ACTIONS(1541),
    [anon_sym_layout] = ACTIONS(1541),
  },
  [458] = {
    [ts_builtin_sym_end] = ACTIONS(1539),
    [sym_identifier] = ACTIONS(1537),
    [aux_sym_preproc_include_token1] = ACTIONS(1537),
    [aux_sym_preproc_def_token1] = ACTIONS(1537),
    [aux_sym_preproc_if_token1] = ACTIONS(1537),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1537),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1537),
    [sym_preproc_directive] = ACTIONS(1537),
    [anon_sym_LPAREN2] = ACTIONS(1539),
    [anon_sym_BANG] = ACTIONS(1539),
    [anon_sym_TILDE] = ACTIONS(1539),
    [anon_sym_DASH] = ACTIONS(1537),
    [anon_sym_PLUS] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(1539),
    [anon_sym_AMP] = ACTIONS(1539),
    [anon_sym_subroutine] = ACTIONS(1537),
    [anon_sym_invariant] = ACTIONS(1537),
    [anon_sym_precise] = ACTIONS(1537),
    [anon_sym_SEMI] = ACTIONS(1539),
    [anon_sym_in] = ACTIONS(1537),
    [anon_sym_out] = ACTIONS(1537),
    [anon_sym_inout] = ACTIONS(1537),
    [anon_sym_uniform] = ACTIONS(1537),
    [anon_sym_shared] = ACTIONS(1537),
    [anon_sym_attribute] = ACTIONS(1537),
    [anon_sym_varying] = ACTIONS(1537),
    [anon_sym_buffer] = ACTIONS(1537),
    [anon_sym_coherent] = ACTIONS(1537),
    [anon_sym_readonly] = ACTIONS(1537),
    [anon_sym_writeonly] = ACTIONS(1537),
    [anon_sym_precision] = ACTIONS(1537),
    [anon_sym_highp] = ACTIONS(1537),
    [anon_sym_mediump] = ACTIONS(1537),
    [anon_sym_lowp] = ACTIONS(1537),
    [anon_sym_centroid] = ACTIONS(1537),
    [anon_sym_sample] = ACTIONS(1537),
    [anon_sym_patch] = ACTIONS(1537),
    [anon_sym_smooth] = ACTIONS(1537),
    [anon_sym_flat] = ACTIONS(1537),
    [anon_sym_noperspective] = ACTIONS(1537),
    [anon_sym___extension__] = ACTIONS(1537),
    [anon_sym_typedef] = ACTIONS(1537),
    [anon_sym_extern] = ACTIONS(1537),
    [anon_sym___attribute__] = ACTIONS(1537),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1539),
    [anon_sym___declspec] = ACTIONS(1537),
    [anon_sym___cdecl] = ACTIONS(1537),
    [anon_sym___clrcall] = ACTIONS(1537),
    [anon_sym___stdcall] = ACTIONS(1537),
    [anon_sym___fastcall] = ACTIONS(1537),
    [anon_sym___thiscall] = ACTIONS(1537),
    [anon_sym___vectorcall] = ACTIONS(1537),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_signed] = ACTIONS(1537),
    [anon_sym_unsigned] = ACTIONS(1537),
    [anon_sym_long] = ACTIONS(1537),
    [anon_sym_short] = ACTIONS(1537),
    [anon_sym_static] = ACTIONS(1537),
    [anon_sym_auto] = ACTIONS(1537),
    [anon_sym_register] = ACTIONS(1537),
    [anon_sym_inline] = ACTIONS(1537),
    [anon_sym___inline] = ACTIONS(1537),
    [anon_sym___inline__] = ACTIONS(1537),
    [anon_sym___forceinline] = ACTIONS(1537),
    [anon_sym_thread_local] = ACTIONS(1537),
    [anon_sym___thread] = ACTIONS(1537),
    [anon_sym_const] = ACTIONS(1537),
    [anon_sym_constexpr] = ACTIONS(1537),
    [anon_sym_volatile] = ACTIONS(1537),
    [anon_sym_restrict] = ACTIONS(1537),
    [anon_sym___restrict__] = ACTIONS(1537),
    [anon_sym__Atomic] = ACTIONS(1537),
    [anon_sym__Noreturn] = ACTIONS(1537),
    [anon_sym_noreturn] = ACTIONS(1537),
    [sym_primitive_type] = ACTIONS(1537),
    [anon_sym_enum] = ACTIONS(1537),
    [anon_sym_struct] = ACTIONS(1537),
    [anon_sym_union] = ACTIONS(1537),
    [anon_sym_if] = ACTIONS(1537),
    [anon_sym_else] = ACTIONS(1537),
    [anon_sym_switch] = ACTIONS(1537),
    [anon_sym_case] = ACTIONS(1537),
    [anon_sym_default] = ACTIONS(1537),
    [anon_sym_while] = ACTIONS(1537),
    [anon_sym_do] = ACTIONS(1537),
    [anon_sym_for] = ACTIONS(1537),
    [anon_sym_return] = ACTIONS(1537),
    [anon_sym_break] = ACTIONS(1537),
    [anon_sym_continue] = ACTIONS(1537),
    [anon_sym_goto] = ACTIONS(1537),
    [anon_sym___try] = ACTIONS(1537),
    [anon_sym___leave] = ACTIONS(1537),
    [anon_sym_DASH_DASH] = ACTIONS(1539),
    [anon_sym_PLUS_PLUS] = ACTIONS(1539),
    [anon_sym_sizeof] = ACTIONS(1537),
    [anon_sym___alignof__] = ACTIONS(1537),
    [anon_sym___alignof] = ACTIONS(1537),
    [anon_sym__alignof] = ACTIONS(1537),
    [anon_sym_alignof] = ACTIONS(1537),
    [anon_sym__Alignof] = ACTIONS(1537),
    [anon_sym_offsetof] = ACTIONS(1537),
    [anon_sym__Generic] = ACTIONS(1537),
    [anon_sym_asm] = ACTIONS(1537),
    [anon_sym___asm__] = ACTIONS(1537),
    [sym_number_literal] = ACTIONS(1539),
    [anon_sym_L_SQUOTE] = ACTIONS(1539),
    [anon_sym_u_SQUOTE] = ACTIONS(1539),
    [anon_sym_U_SQUOTE] = ACTIONS(1539),
    [anon_sym_u8_SQUOTE] = ACTIONS(1539),
    [anon_sym_SQUOTE] = ACTIONS(1539),
    [anon_sym_L_DQUOTE] = ACTIONS(1539),
    [anon_sym_u_DQUOTE] = ACTIONS(1539),
    [anon_sym_U_DQUOTE] = ACTIONS(1539),
    [anon_sym_u8_DQUOTE] = ACTIONS(1539),
    [anon_sym_DQUOTE] = ACTIONS(1539),
    [sym_true] = ACTIONS(1537),
    [sym_false] = ACTIONS(1537),
    [anon_sym_NULL] = ACTIONS(1537),
    [anon_sym_nullptr] = ACTIONS(1537),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1537),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1537),
    [anon_sym_hitAttributeEXT] = ACTIONS(1537),
    [anon_sym_callableDataEXT] = ACTIONS(1537),
    [anon_sym_callableDataInEXT] = ACTIONS(1537),
    [anon_sym_shaderRecordEXT] = ACTIONS(1537),
    [anon_sym_rayPayloadNV] = ACTIONS(1537),
    [anon_sym_rayPayloadInNV] = ACTIONS(1537),
    [anon_sym_hitAttributeNV] = ACTIONS(1537),
    [anon_sym_callableDataNV] = ACTIONS(1537),
    [anon_sym_callableDataInNV] = ACTIONS(1537),
    [anon_sym_shaderRecordNV] = ACTIONS(1537),
    [anon_sym_layout] = ACTIONS(1537),
  },
  [459] = {
    [ts_builtin_sym_end] = ACTIONS(1539),
    [sym_identifier] = ACTIONS(1537),
    [aux_sym_preproc_include_token1] = ACTIONS(1537),
    [aux_sym_preproc_def_token1] = ACTIONS(1537),
    [aux_sym_preproc_if_token1] = ACTIONS(1537),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1537),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1537),
    [sym_preproc_directive] = ACTIONS(1537),
    [anon_sym_LPAREN2] = ACTIONS(1539),
    [anon_sym_BANG] = ACTIONS(1539),
    [anon_sym_TILDE] = ACTIONS(1539),
    [anon_sym_DASH] = ACTIONS(1537),
    [anon_sym_PLUS] = ACTIONS(1537),
    [anon_sym_STAR] = ACTIONS(1539),
    [anon_sym_AMP] = ACTIONS(1539),
    [anon_sym_subroutine] = ACTIONS(1537),
    [anon_sym_invariant] = ACTIONS(1537),
    [anon_sym_precise] = ACTIONS(1537),
    [anon_sym_SEMI] = ACTIONS(1539),
    [anon_sym_in] = ACTIONS(1537),
    [anon_sym_out] = ACTIONS(1537),
    [anon_sym_inout] = ACTIONS(1537),
    [anon_sym_uniform] = ACTIONS(1537),
    [anon_sym_shared] = ACTIONS(1537),
    [anon_sym_attribute] = ACTIONS(1537),
    [anon_sym_varying] = ACTIONS(1537),
    [anon_sym_buffer] = ACTIONS(1537),
    [anon_sym_coherent] = ACTIONS(1537),
    [anon_sym_readonly] = ACTIONS(1537),
    [anon_sym_writeonly] = ACTIONS(1537),
    [anon_sym_precision] = ACTIONS(1537),
    [anon_sym_highp] = ACTIONS(1537),
    [anon_sym_mediump] = ACTIONS(1537),
    [anon_sym_lowp] = ACTIONS(1537),
    [anon_sym_centroid] = ACTIONS(1537),
    [anon_sym_sample] = ACTIONS(1537),
    [anon_sym_patch] = ACTIONS(1537),
    [anon_sym_smooth] = ACTIONS(1537),
    [anon_sym_flat] = ACTIONS(1537),
    [anon_sym_noperspective] = ACTIONS(1537),
    [anon_sym___extension__] = ACTIONS(1537),
    [anon_sym_typedef] = ACTIONS(1537),
    [anon_sym_extern] = ACTIONS(1537),
    [anon_sym___attribute__] = ACTIONS(1537),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1539),
    [anon_sym___declspec] = ACTIONS(1537),
    [anon_sym___cdecl] = ACTIONS(1537),
    [anon_sym___clrcall] = ACTIONS(1537),
    [anon_sym___stdcall] = ACTIONS(1537),
    [anon_sym___fastcall] = ACTIONS(1537),
    [anon_sym___thiscall] = ACTIONS(1537),
    [anon_sym___vectorcall] = ACTIONS(1537),
    [anon_sym_LBRACE] = ACTIONS(1539),
    [anon_sym_signed] = ACTIONS(1537),
    [anon_sym_unsigned] = ACTIONS(1537),
    [anon_sym_long] = ACTIONS(1537),
    [anon_sym_short] = ACTIONS(1537),
    [anon_sym_static] = ACTIONS(1537),
    [anon_sym_auto] = ACTIONS(1537),
    [anon_sym_register] = ACTIONS(1537),
    [anon_sym_inline] = ACTIONS(1537),
    [anon_sym___inline] = ACTIONS(1537),
    [anon_sym___inline__] = ACTIONS(1537),
    [anon_sym___forceinline] = ACTIONS(1537),
    [anon_sym_thread_local] = ACTIONS(1537),
    [anon_sym___thread] = ACTIONS(1537),
    [anon_sym_const] = ACTIONS(1537),
    [anon_sym_constexpr] = ACTIONS(1537),
    [anon_sym_volatile] = ACTIONS(1537),
    [anon_sym_restrict] = ACTIONS(1537),
    [anon_sym___restrict__] = ACTIONS(1537),
    [anon_sym__Atomic] = ACTIONS(1537),
    [anon_sym__Noreturn] = ACTIONS(1537),
    [anon_sym_noreturn] = ACTIONS(1537),
    [sym_primitive_type] = ACTIONS(1537),
    [anon_sym_enum] = ACTIONS(1537),
    [anon_sym_struct] = ACTIONS(1537),
    [anon_sym_union] = ACTIONS(1537),
    [anon_sym_if] = ACTIONS(1537),
    [anon_sym_else] = ACTIONS(1537),
    [anon_sym_switch] = ACTIONS(1537),
    [anon_sym_case] = ACTIONS(1537),
    [anon_sym_default] = ACTIONS(1537),
    [anon_sym_while] = ACTIONS(1537),
    [anon_sym_do] = ACTIONS(1537),
    [anon_sym_for] = ACTIONS(1537),
    [anon_sym_return] = ACTIONS(1537),
    [anon_sym_break] = ACTIONS(1537),
    [anon_sym_continue] = ACTIONS(1537),
    [anon_sym_goto] = ACTIONS(1537),
    [anon_sym___try] = ACTIONS(1537),
    [anon_sym___leave] = ACTIONS(1537),
    [anon_sym_DASH_DASH] = ACTIONS(1539),
    [anon_sym_PLUS_PLUS] = ACTIONS(1539),
    [anon_sym_sizeof] = ACTIONS(1537),
    [anon_sym___alignof__] = ACTIONS(1537),
    [anon_sym___alignof] = ACTIONS(1537),
    [anon_sym__alignof] = ACTIONS(1537),
    [anon_sym_alignof] = ACTIONS(1537),
    [anon_sym__Alignof] = ACTIONS(1537),
    [anon_sym_offsetof] = ACTIONS(1537),
    [anon_sym__Generic] = ACTIONS(1537),
    [anon_sym_asm] = ACTIONS(1537),
    [anon_sym___asm__] = ACTIONS(1537),
    [sym_number_literal] = ACTIONS(1539),
    [anon_sym_L_SQUOTE] = ACTIONS(1539),
    [anon_sym_u_SQUOTE] = ACTIONS(1539),
    [anon_sym_U_SQUOTE] = ACTIONS(1539),
    [anon_sym_u8_SQUOTE] = ACTIONS(1539),
    [anon_sym_SQUOTE] = ACTIONS(1539),
    [anon_sym_L_DQUOTE] = ACTIONS(1539),
    [anon_sym_u_DQUOTE] = ACTIONS(1539),
    [anon_sym_U_DQUOTE] = ACTIONS(1539),
    [anon_sym_u8_DQUOTE] = ACTIONS(1539),
    [anon_sym_DQUOTE] = ACTIONS(1539),
    [sym_true] = ACTIONS(1537),
    [sym_false] = ACTIONS(1537),
    [anon_sym_NULL] = ACTIONS(1537),
    [anon_sym_nullptr] = ACTIONS(1537),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1537),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1537),
    [anon_sym_hitAttributeEXT] = ACTIONS(1537),
    [anon_sym_callableDataEXT] = ACTIONS(1537),
    [anon_sym_callableDataInEXT] = ACTIONS(1537),
    [anon_sym_shaderRecordEXT] = ACTIONS(1537),
    [anon_sym_rayPayloadNV] = ACTIONS(1537),
    [anon_sym_rayPayloadInNV] = ACTIONS(1537),
    [anon_sym_hitAttributeNV] = ACTIONS(1537),
    [anon_sym_callableDataNV] = ACTIONS(1537),
    [anon_sym_callableDataInNV] = ACTIONS(1537),
    [anon_sym_shaderRecordNV] = ACTIONS(1537),
    [anon_sym_layout] = ACTIONS(1537),
  },
  [460] = {
    [ts_builtin_sym_end] = ACTIONS(1535),
    [sym_identifier] = ACTIONS(1533),
    [aux_sym_preproc_include_token1] = ACTIONS(1533),
    [aux_sym_preproc_def_token1] = ACTIONS(1533),
    [aux_sym_preproc_if_token1] = ACTIONS(1533),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1533),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1533),
    [sym_preproc_directive] = ACTIONS(1533),
    [anon_sym_LPAREN2] = ACTIONS(1535),
    [anon_sym_BANG] = ACTIONS(1535),
    [anon_sym_TILDE] = ACTIONS(1535),
    [anon_sym_DASH] = ACTIONS(1533),
    [anon_sym_PLUS] = ACTIONS(1533),
    [anon_sym_STAR] = ACTIONS(1535),
    [anon_sym_AMP] = ACTIONS(1535),
    [anon_sym_subroutine] = ACTIONS(1533),
    [anon_sym_invariant] = ACTIONS(1533),
    [anon_sym_precise] = ACTIONS(1533),
    [anon_sym_SEMI] = ACTIONS(1535),
    [anon_sym_in] = ACTIONS(1533),
    [anon_sym_out] = ACTIONS(1533),
    [anon_sym_inout] = ACTIONS(1533),
    [anon_sym_uniform] = ACTIONS(1533),
    [anon_sym_shared] = ACTIONS(1533),
    [anon_sym_attribute] = ACTIONS(1533),
    [anon_sym_varying] = ACTIONS(1533),
    [anon_sym_buffer] = ACTIONS(1533),
    [anon_sym_coherent] = ACTIONS(1533),
    [anon_sym_readonly] = ACTIONS(1533),
    [anon_sym_writeonly] = ACTIONS(1533),
    [anon_sym_precision] = ACTIONS(1533),
    [anon_sym_highp] = ACTIONS(1533),
    [anon_sym_mediump] = ACTIONS(1533),
    [anon_sym_lowp] = ACTIONS(1533),
    [anon_sym_centroid] = ACTIONS(1533),
    [anon_sym_sample] = ACTIONS(1533),
    [anon_sym_patch] = ACTIONS(1533),
    [anon_sym_smooth] = ACTIONS(1533),
    [anon_sym_flat] = ACTIONS(1533),
    [anon_sym_noperspective] = ACTIONS(1533),
    [anon_sym___extension__] = ACTIONS(1533),
    [anon_sym_typedef] = ACTIONS(1533),
    [anon_sym_extern] = ACTIONS(1533),
    [anon_sym___attribute__] = ACTIONS(1533),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1535),
    [anon_sym___declspec] = ACTIONS(1533),
    [anon_sym___cdecl] = ACTIONS(1533),
    [anon_sym___clrcall] = ACTIONS(1533),
    [anon_sym___stdcall] = ACTIONS(1533),
    [anon_sym___fastcall] = ACTIONS(1533),
    [anon_sym___thiscall] = ACTIONS(1533),
    [anon_sym___vectorcall] = ACTIONS(1533),
    [anon_sym_LBRACE] = ACTIONS(1535),
    [anon_sym_signed] = ACTIONS(1533),
    [anon_sym_unsigned] = ACTIONS(1533),
    [anon_sym_long] = ACTIONS(1533),
    [anon_sym_short] = ACTIONS(1533),
    [anon_sym_static] = ACTIONS(1533),
    [anon_sym_auto] = ACTIONS(1533),
    [anon_sym_register] = ACTIONS(1533),
    [anon_sym_inline] = ACTIONS(1533),
    [anon_sym___inline] = ACTIONS(1533),
    [anon_sym___inline__] = ACTIONS(1533),
    [anon_sym___forceinline] = ACTIONS(1533),
    [anon_sym_thread_local] = ACTIONS(1533),
    [anon_sym___thread] = ACTIONS(1533),
    [anon_sym_const] = ACTIONS(1533),
    [anon_sym_constexpr] = ACTIONS(1533),
    [anon_sym_volatile] = ACTIONS(1533),
    [anon_sym_restrict] = ACTIONS(1533),
    [anon_sym___restrict__] = ACTIONS(1533),
    [anon_sym__Atomic] = ACTIONS(1533),
    [anon_sym__Noreturn] = ACTIONS(1533),
    [anon_sym_noreturn] = ACTIONS(1533),
    [sym_primitive_type] = ACTIONS(1533),
    [anon_sym_enum] = ACTIONS(1533),
    [anon_sym_struct] = ACTIONS(1533),
    [anon_sym_union] = ACTIONS(1533),
    [anon_sym_if] = ACTIONS(1533),
    [anon_sym_else] = ACTIONS(1533),
    [anon_sym_switch] = ACTIONS(1533),
    [anon_sym_case] = ACTIONS(1533),
    [anon_sym_default] = ACTIONS(1533),
    [anon_sym_while] = ACTIONS(1533),
    [anon_sym_do] = ACTIONS(1533),
    [anon_sym_for] = ACTIONS(1533),
    [anon_sym_return] = ACTIONS(1533),
    [anon_sym_break] = ACTIONS(1533),
    [anon_sym_continue] = ACTIONS(1533),
    [anon_sym_goto] = ACTIONS(1533),
    [anon_sym___try] = ACTIONS(1533),
    [anon_sym___leave] = ACTIONS(1533),
    [anon_sym_DASH_DASH] = ACTIONS(1535),
    [anon_sym_PLUS_PLUS] = ACTIONS(1535),
    [anon_sym_sizeof] = ACTIONS(1533),
    [anon_sym___alignof__] = ACTIONS(1533),
    [anon_sym___alignof] = ACTIONS(1533),
    [anon_sym__alignof] = ACTIONS(1533),
    [anon_sym_alignof] = ACTIONS(1533),
    [anon_sym__Alignof] = ACTIONS(1533),
    [anon_sym_offsetof] = ACTIONS(1533),
    [anon_sym__Generic] = ACTIONS(1533),
    [anon_sym_asm] = ACTIONS(1533),
    [anon_sym___asm__] = ACTIONS(1533),
    [sym_number_literal] = ACTIONS(1535),
    [anon_sym_L_SQUOTE] = ACTIONS(1535),
    [anon_sym_u_SQUOTE] = ACTIONS(1535),
    [anon_sym_U_SQUOTE] = ACTIONS(1535),
    [anon_sym_u8_SQUOTE] = ACTIONS(1535),
    [anon_sym_SQUOTE] = ACTIONS(1535),
    [anon_sym_L_DQUOTE] = ACTIONS(1535),
    [anon_sym_u_DQUOTE] = ACTIONS(1535),
    [anon_sym_U_DQUOTE] = ACTIONS(1535),
    [anon_sym_u8_DQUOTE] = ACTIONS(1535),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_true] = ACTIONS(1533),
    [sym_false] = ACTIONS(1533),
    [anon_sym_NULL] = ACTIONS(1533),
    [anon_sym_nullptr] = ACTIONS(1533),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1533),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1533),
    [anon_sym_hitAttributeEXT] = ACTIONS(1533),
    [anon_sym_callableDataEXT] = ACTIONS(1533),
    [anon_sym_callableDataInEXT] = ACTIONS(1533),
    [anon_sym_shaderRecordEXT] = ACTIONS(1533),
    [anon_sym_rayPayloadNV] = ACTIONS(1533),
    [anon_sym_rayPayloadInNV] = ACTIONS(1533),
    [anon_sym_hitAttributeNV] = ACTIONS(1533),
    [anon_sym_callableDataNV] = ACTIONS(1533),
    [anon_sym_callableDataInNV] = ACTIONS(1533),
    [anon_sym_shaderRecordNV] = ACTIONS(1533),
    [anon_sym_layout] = ACTIONS(1533),
  },
  [461] = {
    [ts_builtin_sym_end] = ACTIONS(1515),
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [462] = {
    [ts_builtin_sym_end] = ACTIONS(1455),
    [sym_identifier] = ACTIONS(1453),
    [aux_sym_preproc_include_token1] = ACTIONS(1453),
    [aux_sym_preproc_def_token1] = ACTIONS(1453),
    [aux_sym_preproc_if_token1] = ACTIONS(1453),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1453),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1453),
    [sym_preproc_directive] = ACTIONS(1453),
    [anon_sym_LPAREN2] = ACTIONS(1455),
    [anon_sym_BANG] = ACTIONS(1455),
    [anon_sym_TILDE] = ACTIONS(1455),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_STAR] = ACTIONS(1455),
    [anon_sym_AMP] = ACTIONS(1455),
    [anon_sym_subroutine] = ACTIONS(1453),
    [anon_sym_invariant] = ACTIONS(1453),
    [anon_sym_precise] = ACTIONS(1453),
    [anon_sym_SEMI] = ACTIONS(1455),
    [anon_sym_in] = ACTIONS(1453),
    [anon_sym_out] = ACTIONS(1453),
    [anon_sym_inout] = ACTIONS(1453),
    [anon_sym_uniform] = ACTIONS(1453),
    [anon_sym_shared] = ACTIONS(1453),
    [anon_sym_attribute] = ACTIONS(1453),
    [anon_sym_varying] = ACTIONS(1453),
    [anon_sym_buffer] = ACTIONS(1453),
    [anon_sym_coherent] = ACTIONS(1453),
    [anon_sym_readonly] = ACTIONS(1453),
    [anon_sym_writeonly] = ACTIONS(1453),
    [anon_sym_precision] = ACTIONS(1453),
    [anon_sym_highp] = ACTIONS(1453),
    [anon_sym_mediump] = ACTIONS(1453),
    [anon_sym_lowp] = ACTIONS(1453),
    [anon_sym_centroid] = ACTIONS(1453),
    [anon_sym_sample] = ACTIONS(1453),
    [anon_sym_patch] = ACTIONS(1453),
    [anon_sym_smooth] = ACTIONS(1453),
    [anon_sym_flat] = ACTIONS(1453),
    [anon_sym_noperspective] = ACTIONS(1453),
    [anon_sym___extension__] = ACTIONS(1453),
    [anon_sym_typedef] = ACTIONS(1453),
    [anon_sym_extern] = ACTIONS(1453),
    [anon_sym___attribute__] = ACTIONS(1453),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1455),
    [anon_sym___declspec] = ACTIONS(1453),
    [anon_sym___cdecl] = ACTIONS(1453),
    [anon_sym___clrcall] = ACTIONS(1453),
    [anon_sym___stdcall] = ACTIONS(1453),
    [anon_sym___fastcall] = ACTIONS(1453),
    [anon_sym___thiscall] = ACTIONS(1453),
    [anon_sym___vectorcall] = ACTIONS(1453),
    [anon_sym_LBRACE] = ACTIONS(1455),
    [anon_sym_signed] = ACTIONS(1453),
    [anon_sym_unsigned] = ACTIONS(1453),
    [anon_sym_long] = ACTIONS(1453),
    [anon_sym_short] = ACTIONS(1453),
    [anon_sym_static] = ACTIONS(1453),
    [anon_sym_auto] = ACTIONS(1453),
    [anon_sym_register] = ACTIONS(1453),
    [anon_sym_inline] = ACTIONS(1453),
    [anon_sym___inline] = ACTIONS(1453),
    [anon_sym___inline__] = ACTIONS(1453),
    [anon_sym___forceinline] = ACTIONS(1453),
    [anon_sym_thread_local] = ACTIONS(1453),
    [anon_sym___thread] = ACTIONS(1453),
    [anon_sym_const] = ACTIONS(1453),
    [anon_sym_constexpr] = ACTIONS(1453),
    [anon_sym_volatile] = ACTIONS(1453),
    [anon_sym_restrict] = ACTIONS(1453),
    [anon_sym___restrict__] = ACTIONS(1453),
    [anon_sym__Atomic] = ACTIONS(1453),
    [anon_sym__Noreturn] = ACTIONS(1453),
    [anon_sym_noreturn] = ACTIONS(1453),
    [sym_primitive_type] = ACTIONS(1453),
    [anon_sym_enum] = ACTIONS(1453),
    [anon_sym_struct] = ACTIONS(1453),
    [anon_sym_union] = ACTIONS(1453),
    [anon_sym_if] = ACTIONS(1453),
    [anon_sym_else] = ACTIONS(1453),
    [anon_sym_switch] = ACTIONS(1453),
    [anon_sym_case] = ACTIONS(1453),
    [anon_sym_default] = ACTIONS(1453),
    [anon_sym_while] = ACTIONS(1453),
    [anon_sym_do] = ACTIONS(1453),
    [anon_sym_for] = ACTIONS(1453),
    [anon_sym_return] = ACTIONS(1453),
    [anon_sym_break] = ACTIONS(1453),
    [anon_sym_continue] = ACTIONS(1453),
    [anon_sym_goto] = ACTIONS(1453),
    [anon_sym___try] = ACTIONS(1453),
    [anon_sym___leave] = ACTIONS(1453),
    [anon_sym_DASH_DASH] = ACTIONS(1455),
    [anon_sym_PLUS_PLUS] = ACTIONS(1455),
    [anon_sym_sizeof] = ACTIONS(1453),
    [anon_sym___alignof__] = ACTIONS(1453),
    [anon_sym___alignof] = ACTIONS(1453),
    [anon_sym__alignof] = ACTIONS(1453),
    [anon_sym_alignof] = ACTIONS(1453),
    [anon_sym__Alignof] = ACTIONS(1453),
    [anon_sym_offsetof] = ACTIONS(1453),
    [anon_sym__Generic] = ACTIONS(1453),
    [anon_sym_asm] = ACTIONS(1453),
    [anon_sym___asm__] = ACTIONS(1453),
    [sym_number_literal] = ACTIONS(1455),
    [anon_sym_L_SQUOTE] = ACTIONS(1455),
    [anon_sym_u_SQUOTE] = ACTIONS(1455),
    [anon_sym_U_SQUOTE] = ACTIONS(1455),
    [anon_sym_u8_SQUOTE] = ACTIONS(1455),
    [anon_sym_SQUOTE] = ACTIONS(1455),
    [anon_sym_L_DQUOTE] = ACTIONS(1455),
    [anon_sym_u_DQUOTE] = ACTIONS(1455),
    [anon_sym_U_DQUOTE] = ACTIONS(1455),
    [anon_sym_u8_DQUOTE] = ACTIONS(1455),
    [anon_sym_DQUOTE] = ACTIONS(1455),
    [sym_true] = ACTIONS(1453),
    [sym_false] = ACTIONS(1453),
    [anon_sym_NULL] = ACTIONS(1453),
    [anon_sym_nullptr] = ACTIONS(1453),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1453),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1453),
    [anon_sym_hitAttributeEXT] = ACTIONS(1453),
    [anon_sym_callableDataEXT] = ACTIONS(1453),
    [anon_sym_callableDataInEXT] = ACTIONS(1453),
    [anon_sym_shaderRecordEXT] = ACTIONS(1453),
    [anon_sym_rayPayloadNV] = ACTIONS(1453),
    [anon_sym_rayPayloadInNV] = ACTIONS(1453),
    [anon_sym_hitAttributeNV] = ACTIONS(1453),
    [anon_sym_callableDataNV] = ACTIONS(1453),
    [anon_sym_callableDataInNV] = ACTIONS(1453),
    [anon_sym_shaderRecordNV] = ACTIONS(1453),
    [anon_sym_layout] = ACTIONS(1453),
  },
  [463] = {
    [ts_builtin_sym_end] = ACTIONS(1515),
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [464] = {
    [ts_builtin_sym_end] = ACTIONS(1515),
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [465] = {
    [ts_builtin_sym_end] = ACTIONS(1515),
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [466] = {
    [ts_builtin_sym_end] = ACTIONS(1515),
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [467] = {
    [ts_builtin_sym_end] = ACTIONS(1515),
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [468] = {
    [ts_builtin_sym_end] = ACTIONS(1515),
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [469] = {
    [ts_builtin_sym_end] = ACTIONS(1515),
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [470] = {
    [ts_builtin_sym_end] = ACTIONS(1515),
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [471] = {
    [ts_builtin_sym_end] = ACTIONS(1515),
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [472] = {
    [ts_builtin_sym_end] = ACTIONS(1515),
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [473] = {
    [ts_builtin_sym_end] = ACTIONS(1515),
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [474] = {
    [ts_builtin_sym_end] = ACTIONS(1515),
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [475] = {
    [ts_builtin_sym_end] = ACTIONS(1515),
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [476] = {
    [ts_builtin_sym_end] = ACTIONS(1515),
    [sym_identifier] = ACTIONS(1513),
    [aux_sym_preproc_include_token1] = ACTIONS(1513),
    [aux_sym_preproc_def_token1] = ACTIONS(1513),
    [aux_sym_preproc_if_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1513),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1513),
    [sym_preproc_directive] = ACTIONS(1513),
    [anon_sym_LPAREN2] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1515),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_DASH] = ACTIONS(1513),
    [anon_sym_PLUS] = ACTIONS(1513),
    [anon_sym_STAR] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1515),
    [anon_sym_subroutine] = ACTIONS(1513),
    [anon_sym_invariant] = ACTIONS(1513),
    [anon_sym_precise] = ACTIONS(1513),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1513),
    [anon_sym_out] = ACTIONS(1513),
    [anon_sym_inout] = ACTIONS(1513),
    [anon_sym_uniform] = ACTIONS(1513),
    [anon_sym_shared] = ACTIONS(1513),
    [anon_sym_attribute] = ACTIONS(1513),
    [anon_sym_varying] = ACTIONS(1513),
    [anon_sym_buffer] = ACTIONS(1513),
    [anon_sym_coherent] = ACTIONS(1513),
    [anon_sym_readonly] = ACTIONS(1513),
    [anon_sym_writeonly] = ACTIONS(1513),
    [anon_sym_precision] = ACTIONS(1513),
    [anon_sym_highp] = ACTIONS(1513),
    [anon_sym_mediump] = ACTIONS(1513),
    [anon_sym_lowp] = ACTIONS(1513),
    [anon_sym_centroid] = ACTIONS(1513),
    [anon_sym_sample] = ACTIONS(1513),
    [anon_sym_patch] = ACTIONS(1513),
    [anon_sym_smooth] = ACTIONS(1513),
    [anon_sym_flat] = ACTIONS(1513),
    [anon_sym_noperspective] = ACTIONS(1513),
    [anon_sym___extension__] = ACTIONS(1513),
    [anon_sym_typedef] = ACTIONS(1513),
    [anon_sym_extern] = ACTIONS(1513),
    [anon_sym___attribute__] = ACTIONS(1513),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1515),
    [anon_sym___declspec] = ACTIONS(1513),
    [anon_sym___cdecl] = ACTIONS(1513),
    [anon_sym___clrcall] = ACTIONS(1513),
    [anon_sym___stdcall] = ACTIONS(1513),
    [anon_sym___fastcall] = ACTIONS(1513),
    [anon_sym___thiscall] = ACTIONS(1513),
    [anon_sym___vectorcall] = ACTIONS(1513),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_signed] = ACTIONS(1513),
    [anon_sym_unsigned] = ACTIONS(1513),
    [anon_sym_long] = ACTIONS(1513),
    [anon_sym_short] = ACTIONS(1513),
    [anon_sym_static] = ACTIONS(1513),
    [anon_sym_auto] = ACTIONS(1513),
    [anon_sym_register] = ACTIONS(1513),
    [anon_sym_inline] = ACTIONS(1513),
    [anon_sym___inline] = ACTIONS(1513),
    [anon_sym___inline__] = ACTIONS(1513),
    [anon_sym___forceinline] = ACTIONS(1513),
    [anon_sym_thread_local] = ACTIONS(1513),
    [anon_sym___thread] = ACTIONS(1513),
    [anon_sym_const] = ACTIONS(1513),
    [anon_sym_constexpr] = ACTIONS(1513),
    [anon_sym_volatile] = ACTIONS(1513),
    [anon_sym_restrict] = ACTIONS(1513),
    [anon_sym___restrict__] = ACTIONS(1513),
    [anon_sym__Atomic] = ACTIONS(1513),
    [anon_sym__Noreturn] = ACTIONS(1513),
    [anon_sym_noreturn] = ACTIONS(1513),
    [sym_primitive_type] = ACTIONS(1513),
    [anon_sym_enum] = ACTIONS(1513),
    [anon_sym_struct] = ACTIONS(1513),
    [anon_sym_union] = ACTIONS(1513),
    [anon_sym_if] = ACTIONS(1513),
    [anon_sym_else] = ACTIONS(1513),
    [anon_sym_switch] = ACTIONS(1513),
    [anon_sym_case] = ACTIONS(1513),
    [anon_sym_default] = ACTIONS(1513),
    [anon_sym_while] = ACTIONS(1513),
    [anon_sym_do] = ACTIONS(1513),
    [anon_sym_for] = ACTIONS(1513),
    [anon_sym_return] = ACTIONS(1513),
    [anon_sym_break] = ACTIONS(1513),
    [anon_sym_continue] = ACTIONS(1513),
    [anon_sym_goto] = ACTIONS(1513),
    [anon_sym___try] = ACTIONS(1513),
    [anon_sym___leave] = ACTIONS(1513),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_sizeof] = ACTIONS(1513),
    [anon_sym___alignof__] = ACTIONS(1513),
    [anon_sym___alignof] = ACTIONS(1513),
    [anon_sym__alignof] = ACTIONS(1513),
    [anon_sym_alignof] = ACTIONS(1513),
    [anon_sym__Alignof] = ACTIONS(1513),
    [anon_sym_offsetof] = ACTIONS(1513),
    [anon_sym__Generic] = ACTIONS(1513),
    [anon_sym_asm] = ACTIONS(1513),
    [anon_sym___asm__] = ACTIONS(1513),
    [sym_number_literal] = ACTIONS(1515),
    [anon_sym_L_SQUOTE] = ACTIONS(1515),
    [anon_sym_u_SQUOTE] = ACTIONS(1515),
    [anon_sym_U_SQUOTE] = ACTIONS(1515),
    [anon_sym_u8_SQUOTE] = ACTIONS(1515),
    [anon_sym_SQUOTE] = ACTIONS(1515),
    [anon_sym_L_DQUOTE] = ACTIONS(1515),
    [anon_sym_u_DQUOTE] = ACTIONS(1515),
    [anon_sym_U_DQUOTE] = ACTIONS(1515),
    [anon_sym_u8_DQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1515),
    [sym_true] = ACTIONS(1513),
    [sym_false] = ACTIONS(1513),
    [anon_sym_NULL] = ACTIONS(1513),
    [anon_sym_nullptr] = ACTIONS(1513),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1513),
    [anon_sym_hitAttributeEXT] = ACTIONS(1513),
    [anon_sym_callableDataEXT] = ACTIONS(1513),
    [anon_sym_callableDataInEXT] = ACTIONS(1513),
    [anon_sym_shaderRecordEXT] = ACTIONS(1513),
    [anon_sym_rayPayloadNV] = ACTIONS(1513),
    [anon_sym_rayPayloadInNV] = ACTIONS(1513),
    [anon_sym_hitAttributeNV] = ACTIONS(1513),
    [anon_sym_callableDataNV] = ACTIONS(1513),
    [anon_sym_callableDataInNV] = ACTIONS(1513),
    [anon_sym_shaderRecordNV] = ACTIONS(1513),
    [anon_sym_layout] = ACTIONS(1513),
  },
  [477] = {
    [ts_builtin_sym_end] = ACTIONS(1511),
    [sym_identifier] = ACTIONS(1509),
    [aux_sym_preproc_include_token1] = ACTIONS(1509),
    [aux_sym_preproc_def_token1] = ACTIONS(1509),
    [aux_sym_preproc_if_token1] = ACTIONS(1509),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1509),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1509),
    [sym_preproc_directive] = ACTIONS(1509),
    [anon_sym_LPAREN2] = ACTIONS(1511),
    [anon_sym_BANG] = ACTIONS(1511),
    [anon_sym_TILDE] = ACTIONS(1511),
    [anon_sym_DASH] = ACTIONS(1509),
    [anon_sym_PLUS] = ACTIONS(1509),
    [anon_sym_STAR] = ACTIONS(1511),
    [anon_sym_AMP] = ACTIONS(1511),
    [anon_sym_subroutine] = ACTIONS(1509),
    [anon_sym_invariant] = ACTIONS(1509),
    [anon_sym_precise] = ACTIONS(1509),
    [anon_sym_SEMI] = ACTIONS(1511),
    [anon_sym_in] = ACTIONS(1509),
    [anon_sym_out] = ACTIONS(1509),
    [anon_sym_inout] = ACTIONS(1509),
    [anon_sym_uniform] = ACTIONS(1509),
    [anon_sym_shared] = ACTIONS(1509),
    [anon_sym_attribute] = ACTIONS(1509),
    [anon_sym_varying] = ACTIONS(1509),
    [anon_sym_buffer] = ACTIONS(1509),
    [anon_sym_coherent] = ACTIONS(1509),
    [anon_sym_readonly] = ACTIONS(1509),
    [anon_sym_writeonly] = ACTIONS(1509),
    [anon_sym_precision] = ACTIONS(1509),
    [anon_sym_highp] = ACTIONS(1509),
    [anon_sym_mediump] = ACTIONS(1509),
    [anon_sym_lowp] = ACTIONS(1509),
    [anon_sym_centroid] = ACTIONS(1509),
    [anon_sym_sample] = ACTIONS(1509),
    [anon_sym_patch] = ACTIONS(1509),
    [anon_sym_smooth] = ACTIONS(1509),
    [anon_sym_flat] = ACTIONS(1509),
    [anon_sym_noperspective] = ACTIONS(1509),
    [anon_sym___extension__] = ACTIONS(1509),
    [anon_sym_typedef] = ACTIONS(1509),
    [anon_sym_extern] = ACTIONS(1509),
    [anon_sym___attribute__] = ACTIONS(1509),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1511),
    [anon_sym___declspec] = ACTIONS(1509),
    [anon_sym___cdecl] = ACTIONS(1509),
    [anon_sym___clrcall] = ACTIONS(1509),
    [anon_sym___stdcall] = ACTIONS(1509),
    [anon_sym___fastcall] = ACTIONS(1509),
    [anon_sym___thiscall] = ACTIONS(1509),
    [anon_sym___vectorcall] = ACTIONS(1509),
    [anon_sym_LBRACE] = ACTIONS(1511),
    [anon_sym_signed] = ACTIONS(1509),
    [anon_sym_unsigned] = ACTIONS(1509),
    [anon_sym_long] = ACTIONS(1509),
    [anon_sym_short] = ACTIONS(1509),
    [anon_sym_static] = ACTIONS(1509),
    [anon_sym_auto] = ACTIONS(1509),
    [anon_sym_register] = ACTIONS(1509),
    [anon_sym_inline] = ACTIONS(1509),
    [anon_sym___inline] = ACTIONS(1509),
    [anon_sym___inline__] = ACTIONS(1509),
    [anon_sym___forceinline] = ACTIONS(1509),
    [anon_sym_thread_local] = ACTIONS(1509),
    [anon_sym___thread] = ACTIONS(1509),
    [anon_sym_const] = ACTIONS(1509),
    [anon_sym_constexpr] = ACTIONS(1509),
    [anon_sym_volatile] = ACTIONS(1509),
    [anon_sym_restrict] = ACTIONS(1509),
    [anon_sym___restrict__] = ACTIONS(1509),
    [anon_sym__Atomic] = ACTIONS(1509),
    [anon_sym__Noreturn] = ACTIONS(1509),
    [anon_sym_noreturn] = ACTIONS(1509),
    [sym_primitive_type] = ACTIONS(1509),
    [anon_sym_enum] = ACTIONS(1509),
    [anon_sym_struct] = ACTIONS(1509),
    [anon_sym_union] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1509),
    [anon_sym_else] = ACTIONS(1509),
    [anon_sym_switch] = ACTIONS(1509),
    [anon_sym_case] = ACTIONS(1509),
    [anon_sym_default] = ACTIONS(1509),
    [anon_sym_while] = ACTIONS(1509),
    [anon_sym_do] = ACTIONS(1509),
    [anon_sym_for] = ACTIONS(1509),
    [anon_sym_return] = ACTIONS(1509),
    [anon_sym_break] = ACTIONS(1509),
    [anon_sym_continue] = ACTIONS(1509),
    [anon_sym_goto] = ACTIONS(1509),
    [anon_sym___try] = ACTIONS(1509),
    [anon_sym___leave] = ACTIONS(1509),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_sizeof] = ACTIONS(1509),
    [anon_sym___alignof__] = ACTIONS(1509),
    [anon_sym___alignof] = ACTIONS(1509),
    [anon_sym__alignof] = ACTIONS(1509),
    [anon_sym_alignof] = ACTIONS(1509),
    [anon_sym__Alignof] = ACTIONS(1509),
    [anon_sym_offsetof] = ACTIONS(1509),
    [anon_sym__Generic] = ACTIONS(1509),
    [anon_sym_asm] = ACTIONS(1509),
    [anon_sym___asm__] = ACTIONS(1509),
    [sym_number_literal] = ACTIONS(1511),
    [anon_sym_L_SQUOTE] = ACTIONS(1511),
    [anon_sym_u_SQUOTE] = ACTIONS(1511),
    [anon_sym_U_SQUOTE] = ACTIONS(1511),
    [anon_sym_u8_SQUOTE] = ACTIONS(1511),
    [anon_sym_SQUOTE] = ACTIONS(1511),
    [anon_sym_L_DQUOTE] = ACTIONS(1511),
    [anon_sym_u_DQUOTE] = ACTIONS(1511),
    [anon_sym_U_DQUOTE] = ACTIONS(1511),
    [anon_sym_u8_DQUOTE] = ACTIONS(1511),
    [anon_sym_DQUOTE] = ACTIONS(1511),
    [sym_true] = ACTIONS(1509),
    [sym_false] = ACTIONS(1509),
    [anon_sym_NULL] = ACTIONS(1509),
    [anon_sym_nullptr] = ACTIONS(1509),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1509),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1509),
    [anon_sym_hitAttributeEXT] = ACTIONS(1509),
    [anon_sym_callableDataEXT] = ACTIONS(1509),
    [anon_sym_callableDataInEXT] = ACTIONS(1509),
    [anon_sym_shaderRecordEXT] = ACTIONS(1509),
    [anon_sym_rayPayloadNV] = ACTIONS(1509),
    [anon_sym_rayPayloadInNV] = ACTIONS(1509),
    [anon_sym_hitAttributeNV] = ACTIONS(1509),
    [anon_sym_callableDataNV] = ACTIONS(1509),
    [anon_sym_callableDataInNV] = ACTIONS(1509),
    [anon_sym_shaderRecordNV] = ACTIONS(1509),
    [anon_sym_layout] = ACTIONS(1509),
  },
  [478] = {
    [ts_builtin_sym_end] = ACTIONS(1507),
    [sym_identifier] = ACTIONS(1505),
    [aux_sym_preproc_include_token1] = ACTIONS(1505),
    [aux_sym_preproc_def_token1] = ACTIONS(1505),
    [aux_sym_preproc_if_token1] = ACTIONS(1505),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1505),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1505),
    [sym_preproc_directive] = ACTIONS(1505),
    [anon_sym_LPAREN2] = ACTIONS(1507),
    [anon_sym_BANG] = ACTIONS(1507),
    [anon_sym_TILDE] = ACTIONS(1507),
    [anon_sym_DASH] = ACTIONS(1505),
    [anon_sym_PLUS] = ACTIONS(1505),
    [anon_sym_STAR] = ACTIONS(1507),
    [anon_sym_AMP] = ACTIONS(1507),
    [anon_sym_subroutine] = ACTIONS(1505),
    [anon_sym_invariant] = ACTIONS(1505),
    [anon_sym_precise] = ACTIONS(1505),
    [anon_sym_SEMI] = ACTIONS(1507),
    [anon_sym_in] = ACTIONS(1505),
    [anon_sym_out] = ACTIONS(1505),
    [anon_sym_inout] = ACTIONS(1505),
    [anon_sym_uniform] = ACTIONS(1505),
    [anon_sym_shared] = ACTIONS(1505),
    [anon_sym_attribute] = ACTIONS(1505),
    [anon_sym_varying] = ACTIONS(1505),
    [anon_sym_buffer] = ACTIONS(1505),
    [anon_sym_coherent] = ACTIONS(1505),
    [anon_sym_readonly] = ACTIONS(1505),
    [anon_sym_writeonly] = ACTIONS(1505),
    [anon_sym_precision] = ACTIONS(1505),
    [anon_sym_highp] = ACTIONS(1505),
    [anon_sym_mediump] = ACTIONS(1505),
    [anon_sym_lowp] = ACTIONS(1505),
    [anon_sym_centroid] = ACTIONS(1505),
    [anon_sym_sample] = ACTIONS(1505),
    [anon_sym_patch] = ACTIONS(1505),
    [anon_sym_smooth] = ACTIONS(1505),
    [anon_sym_flat] = ACTIONS(1505),
    [anon_sym_noperspective] = ACTIONS(1505),
    [anon_sym___extension__] = ACTIONS(1505),
    [anon_sym_typedef] = ACTIONS(1505),
    [anon_sym_extern] = ACTIONS(1505),
    [anon_sym___attribute__] = ACTIONS(1505),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1507),
    [anon_sym___declspec] = ACTIONS(1505),
    [anon_sym___cdecl] = ACTIONS(1505),
    [anon_sym___clrcall] = ACTIONS(1505),
    [anon_sym___stdcall] = ACTIONS(1505),
    [anon_sym___fastcall] = ACTIONS(1505),
    [anon_sym___thiscall] = ACTIONS(1505),
    [anon_sym___vectorcall] = ACTIONS(1505),
    [anon_sym_LBRACE] = ACTIONS(1507),
    [anon_sym_signed] = ACTIONS(1505),
    [anon_sym_unsigned] = ACTIONS(1505),
    [anon_sym_long] = ACTIONS(1505),
    [anon_sym_short] = ACTIONS(1505),
    [anon_sym_static] = ACTIONS(1505),
    [anon_sym_auto] = ACTIONS(1505),
    [anon_sym_register] = ACTIONS(1505),
    [anon_sym_inline] = ACTIONS(1505),
    [anon_sym___inline] = ACTIONS(1505),
    [anon_sym___inline__] = ACTIONS(1505),
    [anon_sym___forceinline] = ACTIONS(1505),
    [anon_sym_thread_local] = ACTIONS(1505),
    [anon_sym___thread] = ACTIONS(1505),
    [anon_sym_const] = ACTIONS(1505),
    [anon_sym_constexpr] = ACTIONS(1505),
    [anon_sym_volatile] = ACTIONS(1505),
    [anon_sym_restrict] = ACTIONS(1505),
    [anon_sym___restrict__] = ACTIONS(1505),
    [anon_sym__Atomic] = ACTIONS(1505),
    [anon_sym__Noreturn] = ACTIONS(1505),
    [anon_sym_noreturn] = ACTIONS(1505),
    [sym_primitive_type] = ACTIONS(1505),
    [anon_sym_enum] = ACTIONS(1505),
    [anon_sym_struct] = ACTIONS(1505),
    [anon_sym_union] = ACTIONS(1505),
    [anon_sym_if] = ACTIONS(1505),
    [anon_sym_else] = ACTIONS(1505),
    [anon_sym_switch] = ACTIONS(1505),
    [anon_sym_case] = ACTIONS(1505),
    [anon_sym_default] = ACTIONS(1505),
    [anon_sym_while] = ACTIONS(1505),
    [anon_sym_do] = ACTIONS(1505),
    [anon_sym_for] = ACTIONS(1505),
    [anon_sym_return] = ACTIONS(1505),
    [anon_sym_break] = ACTIONS(1505),
    [anon_sym_continue] = ACTIONS(1505),
    [anon_sym_goto] = ACTIONS(1505),
    [anon_sym___try] = ACTIONS(1505),
    [anon_sym___leave] = ACTIONS(1505),
    [anon_sym_DASH_DASH] = ACTIONS(1507),
    [anon_sym_PLUS_PLUS] = ACTIONS(1507),
    [anon_sym_sizeof] = ACTIONS(1505),
    [anon_sym___alignof__] = ACTIONS(1505),
    [anon_sym___alignof] = ACTIONS(1505),
    [anon_sym__alignof] = ACTIONS(1505),
    [anon_sym_alignof] = ACTIONS(1505),
    [anon_sym__Alignof] = ACTIONS(1505),
    [anon_sym_offsetof] = ACTIONS(1505),
    [anon_sym__Generic] = ACTIONS(1505),
    [anon_sym_asm] = ACTIONS(1505),
    [anon_sym___asm__] = ACTIONS(1505),
    [sym_number_literal] = ACTIONS(1507),
    [anon_sym_L_SQUOTE] = ACTIONS(1507),
    [anon_sym_u_SQUOTE] = ACTIONS(1507),
    [anon_sym_U_SQUOTE] = ACTIONS(1507),
    [anon_sym_u8_SQUOTE] = ACTIONS(1507),
    [anon_sym_SQUOTE] = ACTIONS(1507),
    [anon_sym_L_DQUOTE] = ACTIONS(1507),
    [anon_sym_u_DQUOTE] = ACTIONS(1507),
    [anon_sym_U_DQUOTE] = ACTIONS(1507),
    [anon_sym_u8_DQUOTE] = ACTIONS(1507),
    [anon_sym_DQUOTE] = ACTIONS(1507),
    [sym_true] = ACTIONS(1505),
    [sym_false] = ACTIONS(1505),
    [anon_sym_NULL] = ACTIONS(1505),
    [anon_sym_nullptr] = ACTIONS(1505),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1505),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1505),
    [anon_sym_hitAttributeEXT] = ACTIONS(1505),
    [anon_sym_callableDataEXT] = ACTIONS(1505),
    [anon_sym_callableDataInEXT] = ACTIONS(1505),
    [anon_sym_shaderRecordEXT] = ACTIONS(1505),
    [anon_sym_rayPayloadNV] = ACTIONS(1505),
    [anon_sym_rayPayloadInNV] = ACTIONS(1505),
    [anon_sym_hitAttributeNV] = ACTIONS(1505),
    [anon_sym_callableDataNV] = ACTIONS(1505),
    [anon_sym_callableDataInNV] = ACTIONS(1505),
    [anon_sym_shaderRecordNV] = ACTIONS(1505),
    [anon_sym_layout] = ACTIONS(1505),
  },
  [479] = {
    [sym_identifier] = ACTIONS(1501),
    [aux_sym_preproc_include_token1] = ACTIONS(1501),
    [aux_sym_preproc_def_token1] = ACTIONS(1501),
    [aux_sym_preproc_if_token1] = ACTIONS(1501),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1501),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1501),
    [sym_preproc_directive] = ACTIONS(1501),
    [anon_sym_LPAREN2] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1503),
    [anon_sym_TILDE] = ACTIONS(1503),
    [anon_sym_DASH] = ACTIONS(1501),
    [anon_sym_PLUS] = ACTIONS(1501),
    [anon_sym_STAR] = ACTIONS(1503),
    [anon_sym_AMP] = ACTIONS(1503),
    [anon_sym_subroutine] = ACTIONS(1501),
    [anon_sym_invariant] = ACTIONS(1501),
    [anon_sym_precise] = ACTIONS(1501),
    [anon_sym_SEMI] = ACTIONS(1503),
    [anon_sym_in] = ACTIONS(1501),
    [anon_sym_out] = ACTIONS(1501),
    [anon_sym_inout] = ACTIONS(1501),
    [anon_sym_uniform] = ACTIONS(1501),
    [anon_sym_shared] = ACTIONS(1501),
    [anon_sym_attribute] = ACTIONS(1501),
    [anon_sym_varying] = ACTIONS(1501),
    [anon_sym_buffer] = ACTIONS(1501),
    [anon_sym_coherent] = ACTIONS(1501),
    [anon_sym_readonly] = ACTIONS(1501),
    [anon_sym_writeonly] = ACTIONS(1501),
    [anon_sym_precision] = ACTIONS(1501),
    [anon_sym_highp] = ACTIONS(1501),
    [anon_sym_mediump] = ACTIONS(1501),
    [anon_sym_lowp] = ACTIONS(1501),
    [anon_sym_centroid] = ACTIONS(1501),
    [anon_sym_sample] = ACTIONS(1501),
    [anon_sym_patch] = ACTIONS(1501),
    [anon_sym_smooth] = ACTIONS(1501),
    [anon_sym_flat] = ACTIONS(1501),
    [anon_sym_noperspective] = ACTIONS(1501),
    [anon_sym___extension__] = ACTIONS(1501),
    [anon_sym_typedef] = ACTIONS(1501),
    [anon_sym_extern] = ACTIONS(1501),
    [anon_sym___attribute__] = ACTIONS(1501),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1503),
    [anon_sym___declspec] = ACTIONS(1501),
    [anon_sym___cdecl] = ACTIONS(1501),
    [anon_sym___clrcall] = ACTIONS(1501),
    [anon_sym___stdcall] = ACTIONS(1501),
    [anon_sym___fastcall] = ACTIONS(1501),
    [anon_sym___thiscall] = ACTIONS(1501),
    [anon_sym___vectorcall] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_RBRACE] = ACTIONS(1503),
    [anon_sym_signed] = ACTIONS(1501),
    [anon_sym_unsigned] = ACTIONS(1501),
    [anon_sym_long] = ACTIONS(1501),
    [anon_sym_short] = ACTIONS(1501),
    [anon_sym_static] = ACTIONS(1501),
    [anon_sym_auto] = ACTIONS(1501),
    [anon_sym_register] = ACTIONS(1501),
    [anon_sym_inline] = ACTIONS(1501),
    [anon_sym___inline] = ACTIONS(1501),
    [anon_sym___inline__] = ACTIONS(1501),
    [anon_sym___forceinline] = ACTIONS(1501),
    [anon_sym_thread_local] = ACTIONS(1501),
    [anon_sym___thread] = ACTIONS(1501),
    [anon_sym_const] = ACTIONS(1501),
    [anon_sym_constexpr] = ACTIONS(1501),
    [anon_sym_volatile] = ACTIONS(1501),
    [anon_sym_restrict] = ACTIONS(1501),
    [anon_sym___restrict__] = ACTIONS(1501),
    [anon_sym__Atomic] = ACTIONS(1501),
    [anon_sym__Noreturn] = ACTIONS(1501),
    [anon_sym_noreturn] = ACTIONS(1501),
    [sym_primitive_type] = ACTIONS(1501),
    [anon_sym_enum] = ACTIONS(1501),
    [anon_sym_struct] = ACTIONS(1501),
    [anon_sym_union] = ACTIONS(1501),
    [anon_sym_if] = ACTIONS(1501),
    [anon_sym_else] = ACTIONS(1501),
    [anon_sym_switch] = ACTIONS(1501),
    [anon_sym_case] = ACTIONS(1501),
    [anon_sym_default] = ACTIONS(1501),
    [anon_sym_while] = ACTIONS(1501),
    [anon_sym_do] = ACTIONS(1501),
    [anon_sym_for] = ACTIONS(1501),
    [anon_sym_return] = ACTIONS(1501),
    [anon_sym_break] = ACTIONS(1501),
    [anon_sym_continue] = ACTIONS(1501),
    [anon_sym_goto] = ACTIONS(1501),
    [anon_sym___try] = ACTIONS(1501),
    [anon_sym___leave] = ACTIONS(1501),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_sizeof] = ACTIONS(1501),
    [anon_sym___alignof__] = ACTIONS(1501),
    [anon_sym___alignof] = ACTIONS(1501),
    [anon_sym__alignof] = ACTIONS(1501),
    [anon_sym_alignof] = ACTIONS(1501),
    [anon_sym__Alignof] = ACTIONS(1501),
    [anon_sym_offsetof] = ACTIONS(1501),
    [anon_sym__Generic] = ACTIONS(1501),
    [anon_sym_asm] = ACTIONS(1501),
    [anon_sym___asm__] = ACTIONS(1501),
    [sym_number_literal] = ACTIONS(1503),
    [anon_sym_L_SQUOTE] = ACTIONS(1503),
    [anon_sym_u_SQUOTE] = ACTIONS(1503),
    [anon_sym_U_SQUOTE] = ACTIONS(1503),
    [anon_sym_u8_SQUOTE] = ACTIONS(1503),
    [anon_sym_SQUOTE] = ACTIONS(1503),
    [anon_sym_L_DQUOTE] = ACTIONS(1503),
    [anon_sym_u_DQUOTE] = ACTIONS(1503),
    [anon_sym_U_DQUOTE] = ACTIONS(1503),
    [anon_sym_u8_DQUOTE] = ACTIONS(1503),
    [anon_sym_DQUOTE] = ACTIONS(1503),
    [sym_true] = ACTIONS(1501),
    [sym_false] = ACTIONS(1501),
    [anon_sym_NULL] = ACTIONS(1501),
    [anon_sym_nullptr] = ACTIONS(1501),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1501),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1501),
    [anon_sym_hitAttributeEXT] = ACTIONS(1501),
    [anon_sym_callableDataEXT] = ACTIONS(1501),
    [anon_sym_callableDataInEXT] = ACTIONS(1501),
    [anon_sym_shaderRecordEXT] = ACTIONS(1501),
    [anon_sym_rayPayloadNV] = ACTIONS(1501),
    [anon_sym_rayPayloadInNV] = ACTIONS(1501),
    [anon_sym_hitAttributeNV] = ACTIONS(1501),
    [anon_sym_callableDataNV] = ACTIONS(1501),
    [anon_sym_callableDataInNV] = ACTIONS(1501),
    [anon_sym_shaderRecordNV] = ACTIONS(1501),
    [anon_sym_layout] = ACTIONS(1501),
  },
  [480] = {
    [ts_builtin_sym_end] = ACTIONS(1499),
    [sym_identifier] = ACTIONS(1497),
    [aux_sym_preproc_include_token1] = ACTIONS(1497),
    [aux_sym_preproc_def_token1] = ACTIONS(1497),
    [aux_sym_preproc_if_token1] = ACTIONS(1497),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1497),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1497),
    [sym_preproc_directive] = ACTIONS(1497),
    [anon_sym_LPAREN2] = ACTIONS(1499),
    [anon_sym_BANG] = ACTIONS(1499),
    [anon_sym_TILDE] = ACTIONS(1499),
    [anon_sym_DASH] = ACTIONS(1497),
    [anon_sym_PLUS] = ACTIONS(1497),
    [anon_sym_STAR] = ACTIONS(1499),
    [anon_sym_AMP] = ACTIONS(1499),
    [anon_sym_subroutine] = ACTIONS(1497),
    [anon_sym_invariant] = ACTIONS(1497),
    [anon_sym_precise] = ACTIONS(1497),
    [anon_sym_SEMI] = ACTIONS(1499),
    [anon_sym_in] = ACTIONS(1497),
    [anon_sym_out] = ACTIONS(1497),
    [anon_sym_inout] = ACTIONS(1497),
    [anon_sym_uniform] = ACTIONS(1497),
    [anon_sym_shared] = ACTIONS(1497),
    [anon_sym_attribute] = ACTIONS(1497),
    [anon_sym_varying] = ACTIONS(1497),
    [anon_sym_buffer] = ACTIONS(1497),
    [anon_sym_coherent] = ACTIONS(1497),
    [anon_sym_readonly] = ACTIONS(1497),
    [anon_sym_writeonly] = ACTIONS(1497),
    [anon_sym_precision] = ACTIONS(1497),
    [anon_sym_highp] = ACTIONS(1497),
    [anon_sym_mediump] = ACTIONS(1497),
    [anon_sym_lowp] = ACTIONS(1497),
    [anon_sym_centroid] = ACTIONS(1497),
    [anon_sym_sample] = ACTIONS(1497),
    [anon_sym_patch] = ACTIONS(1497),
    [anon_sym_smooth] = ACTIONS(1497),
    [anon_sym_flat] = ACTIONS(1497),
    [anon_sym_noperspective] = ACTIONS(1497),
    [anon_sym___extension__] = ACTIONS(1497),
    [anon_sym_typedef] = ACTIONS(1497),
    [anon_sym_extern] = ACTIONS(1497),
    [anon_sym___attribute__] = ACTIONS(1497),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1499),
    [anon_sym___declspec] = ACTIONS(1497),
    [anon_sym___cdecl] = ACTIONS(1497),
    [anon_sym___clrcall] = ACTIONS(1497),
    [anon_sym___stdcall] = ACTIONS(1497),
    [anon_sym___fastcall] = ACTIONS(1497),
    [anon_sym___thiscall] = ACTIONS(1497),
    [anon_sym___vectorcall] = ACTIONS(1497),
    [anon_sym_LBRACE] = ACTIONS(1499),
    [anon_sym_signed] = ACTIONS(1497),
    [anon_sym_unsigned] = ACTIONS(1497),
    [anon_sym_long] = ACTIONS(1497),
    [anon_sym_short] = ACTIONS(1497),
    [anon_sym_static] = ACTIONS(1497),
    [anon_sym_auto] = ACTIONS(1497),
    [anon_sym_register] = ACTIONS(1497),
    [anon_sym_inline] = ACTIONS(1497),
    [anon_sym___inline] = ACTIONS(1497),
    [anon_sym___inline__] = ACTIONS(1497),
    [anon_sym___forceinline] = ACTIONS(1497),
    [anon_sym_thread_local] = ACTIONS(1497),
    [anon_sym___thread] = ACTIONS(1497),
    [anon_sym_const] = ACTIONS(1497),
    [anon_sym_constexpr] = ACTIONS(1497),
    [anon_sym_volatile] = ACTIONS(1497),
    [anon_sym_restrict] = ACTIONS(1497),
    [anon_sym___restrict__] = ACTIONS(1497),
    [anon_sym__Atomic] = ACTIONS(1497),
    [anon_sym__Noreturn] = ACTIONS(1497),
    [anon_sym_noreturn] = ACTIONS(1497),
    [sym_primitive_type] = ACTIONS(1497),
    [anon_sym_enum] = ACTIONS(1497),
    [anon_sym_struct] = ACTIONS(1497),
    [anon_sym_union] = ACTIONS(1497),
    [anon_sym_if] = ACTIONS(1497),
    [anon_sym_else] = ACTIONS(1497),
    [anon_sym_switch] = ACTIONS(1497),
    [anon_sym_case] = ACTIONS(1497),
    [anon_sym_default] = ACTIONS(1497),
    [anon_sym_while] = ACTIONS(1497),
    [anon_sym_do] = ACTIONS(1497),
    [anon_sym_for] = ACTIONS(1497),
    [anon_sym_return] = ACTIONS(1497),
    [anon_sym_break] = ACTIONS(1497),
    [anon_sym_continue] = ACTIONS(1497),
    [anon_sym_goto] = ACTIONS(1497),
    [anon_sym___try] = ACTIONS(1497),
    [anon_sym___leave] = ACTIONS(1497),
    [anon_sym_DASH_DASH] = ACTIONS(1499),
    [anon_sym_PLUS_PLUS] = ACTIONS(1499),
    [anon_sym_sizeof] = ACTIONS(1497),
    [anon_sym___alignof__] = ACTIONS(1497),
    [anon_sym___alignof] = ACTIONS(1497),
    [anon_sym__alignof] = ACTIONS(1497),
    [anon_sym_alignof] = ACTIONS(1497),
    [anon_sym__Alignof] = ACTIONS(1497),
    [anon_sym_offsetof] = ACTIONS(1497),
    [anon_sym__Generic] = ACTIONS(1497),
    [anon_sym_asm] = ACTIONS(1497),
    [anon_sym___asm__] = ACTIONS(1497),
    [sym_number_literal] = ACTIONS(1499),
    [anon_sym_L_SQUOTE] = ACTIONS(1499),
    [anon_sym_u_SQUOTE] = ACTIONS(1499),
    [anon_sym_U_SQUOTE] = ACTIONS(1499),
    [anon_sym_u8_SQUOTE] = ACTIONS(1499),
    [anon_sym_SQUOTE] = ACTIONS(1499),
    [anon_sym_L_DQUOTE] = ACTIONS(1499),
    [anon_sym_u_DQUOTE] = ACTIONS(1499),
    [anon_sym_U_DQUOTE] = ACTIONS(1499),
    [anon_sym_u8_DQUOTE] = ACTIONS(1499),
    [anon_sym_DQUOTE] = ACTIONS(1499),
    [sym_true] = ACTIONS(1497),
    [sym_false] = ACTIONS(1497),
    [anon_sym_NULL] = ACTIONS(1497),
    [anon_sym_nullptr] = ACTIONS(1497),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1497),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1497),
    [anon_sym_hitAttributeEXT] = ACTIONS(1497),
    [anon_sym_callableDataEXT] = ACTIONS(1497),
    [anon_sym_callableDataInEXT] = ACTIONS(1497),
    [anon_sym_shaderRecordEXT] = ACTIONS(1497),
    [anon_sym_rayPayloadNV] = ACTIONS(1497),
    [anon_sym_rayPayloadInNV] = ACTIONS(1497),
    [anon_sym_hitAttributeNV] = ACTIONS(1497),
    [anon_sym_callableDataNV] = ACTIONS(1497),
    [anon_sym_callableDataInNV] = ACTIONS(1497),
    [anon_sym_shaderRecordNV] = ACTIONS(1497),
    [anon_sym_layout] = ACTIONS(1497),
  },
  [481] = {
    [sym_identifier] = ACTIONS(1457),
    [aux_sym_preproc_include_token1] = ACTIONS(1457),
    [aux_sym_preproc_def_token1] = ACTIONS(1457),
    [aux_sym_preproc_if_token1] = ACTIONS(1457),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1457),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1457),
    [sym_preproc_directive] = ACTIONS(1457),
    [anon_sym_LPAREN2] = ACTIONS(1459),
    [anon_sym_BANG] = ACTIONS(1459),
    [anon_sym_TILDE] = ACTIONS(1459),
    [anon_sym_DASH] = ACTIONS(1457),
    [anon_sym_PLUS] = ACTIONS(1457),
    [anon_sym_STAR] = ACTIONS(1459),
    [anon_sym_AMP] = ACTIONS(1459),
    [anon_sym_subroutine] = ACTIONS(1457),
    [anon_sym_invariant] = ACTIONS(1457),
    [anon_sym_precise] = ACTIONS(1457),
    [anon_sym_SEMI] = ACTIONS(1459),
    [anon_sym_in] = ACTIONS(1457),
    [anon_sym_out] = ACTIONS(1457),
    [anon_sym_inout] = ACTIONS(1457),
    [anon_sym_uniform] = ACTIONS(1457),
    [anon_sym_shared] = ACTIONS(1457),
    [anon_sym_attribute] = ACTIONS(1457),
    [anon_sym_varying] = ACTIONS(1457),
    [anon_sym_buffer] = ACTIONS(1457),
    [anon_sym_coherent] = ACTIONS(1457),
    [anon_sym_readonly] = ACTIONS(1457),
    [anon_sym_writeonly] = ACTIONS(1457),
    [anon_sym_precision] = ACTIONS(1457),
    [anon_sym_highp] = ACTIONS(1457),
    [anon_sym_mediump] = ACTIONS(1457),
    [anon_sym_lowp] = ACTIONS(1457),
    [anon_sym_centroid] = ACTIONS(1457),
    [anon_sym_sample] = ACTIONS(1457),
    [anon_sym_patch] = ACTIONS(1457),
    [anon_sym_smooth] = ACTIONS(1457),
    [anon_sym_flat] = ACTIONS(1457),
    [anon_sym_noperspective] = ACTIONS(1457),
    [anon_sym___extension__] = ACTIONS(1457),
    [anon_sym_typedef] = ACTIONS(1457),
    [anon_sym_extern] = ACTIONS(1457),
    [anon_sym___attribute__] = ACTIONS(1457),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1459),
    [anon_sym___declspec] = ACTIONS(1457),
    [anon_sym___cdecl] = ACTIONS(1457),
    [anon_sym___clrcall] = ACTIONS(1457),
    [anon_sym___stdcall] = ACTIONS(1457),
    [anon_sym___fastcall] = ACTIONS(1457),
    [anon_sym___thiscall] = ACTIONS(1457),
    [anon_sym___vectorcall] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(1459),
    [anon_sym_RBRACE] = ACTIONS(1459),
    [anon_sym_signed] = ACTIONS(1457),
    [anon_sym_unsigned] = ACTIONS(1457),
    [anon_sym_long] = ACTIONS(1457),
    [anon_sym_short] = ACTIONS(1457),
    [anon_sym_static] = ACTIONS(1457),
    [anon_sym_auto] = ACTIONS(1457),
    [anon_sym_register] = ACTIONS(1457),
    [anon_sym_inline] = ACTIONS(1457),
    [anon_sym___inline] = ACTIONS(1457),
    [anon_sym___inline__] = ACTIONS(1457),
    [anon_sym___forceinline] = ACTIONS(1457),
    [anon_sym_thread_local] = ACTIONS(1457),
    [anon_sym___thread] = ACTIONS(1457),
    [anon_sym_const] = ACTIONS(1457),
    [anon_sym_constexpr] = ACTIONS(1457),
    [anon_sym_volatile] = ACTIONS(1457),
    [anon_sym_restrict] = ACTIONS(1457),
    [anon_sym___restrict__] = ACTIONS(1457),
    [anon_sym__Atomic] = ACTIONS(1457),
    [anon_sym__Noreturn] = ACTIONS(1457),
    [anon_sym_noreturn] = ACTIONS(1457),
    [sym_primitive_type] = ACTIONS(1457),
    [anon_sym_enum] = ACTIONS(1457),
    [anon_sym_struct] = ACTIONS(1457),
    [anon_sym_union] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1457),
    [anon_sym_else] = ACTIONS(1457),
    [anon_sym_switch] = ACTIONS(1457),
    [anon_sym_case] = ACTIONS(1457),
    [anon_sym_default] = ACTIONS(1457),
    [anon_sym_while] = ACTIONS(1457),
    [anon_sym_do] = ACTIONS(1457),
    [anon_sym_for] = ACTIONS(1457),
    [anon_sym_return] = ACTIONS(1457),
    [anon_sym_break] = ACTIONS(1457),
    [anon_sym_continue] = ACTIONS(1457),
    [anon_sym_goto] = ACTIONS(1457),
    [anon_sym___try] = ACTIONS(1457),
    [anon_sym___leave] = ACTIONS(1457),
    [anon_sym_DASH_DASH] = ACTIONS(1459),
    [anon_sym_PLUS_PLUS] = ACTIONS(1459),
    [anon_sym_sizeof] = ACTIONS(1457),
    [anon_sym___alignof__] = ACTIONS(1457),
    [anon_sym___alignof] = ACTIONS(1457),
    [anon_sym__alignof] = ACTIONS(1457),
    [anon_sym_alignof] = ACTIONS(1457),
    [anon_sym__Alignof] = ACTIONS(1457),
    [anon_sym_offsetof] = ACTIONS(1457),
    [anon_sym__Generic] = ACTIONS(1457),
    [anon_sym_asm] = ACTIONS(1457),
    [anon_sym___asm__] = ACTIONS(1457),
    [sym_number_literal] = ACTIONS(1459),
    [anon_sym_L_SQUOTE] = ACTIONS(1459),
    [anon_sym_u_SQUOTE] = ACTIONS(1459),
    [anon_sym_U_SQUOTE] = ACTIONS(1459),
    [anon_sym_u8_SQUOTE] = ACTIONS(1459),
    [anon_sym_SQUOTE] = ACTIONS(1459),
    [anon_sym_L_DQUOTE] = ACTIONS(1459),
    [anon_sym_u_DQUOTE] = ACTIONS(1459),
    [anon_sym_U_DQUOTE] = ACTIONS(1459),
    [anon_sym_u8_DQUOTE] = ACTIONS(1459),
    [anon_sym_DQUOTE] = ACTIONS(1459),
    [sym_true] = ACTIONS(1457),
    [sym_false] = ACTIONS(1457),
    [anon_sym_NULL] = ACTIONS(1457),
    [anon_sym_nullptr] = ACTIONS(1457),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1457),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1457),
    [anon_sym_hitAttributeEXT] = ACTIONS(1457),
    [anon_sym_callableDataEXT] = ACTIONS(1457),
    [anon_sym_callableDataInEXT] = ACTIONS(1457),
    [anon_sym_shaderRecordEXT] = ACTIONS(1457),
    [anon_sym_rayPayloadNV] = ACTIONS(1457),
    [anon_sym_rayPayloadInNV] = ACTIONS(1457),
    [anon_sym_hitAttributeNV] = ACTIONS(1457),
    [anon_sym_callableDataNV] = ACTIONS(1457),
    [anon_sym_callableDataInNV] = ACTIONS(1457),
    [anon_sym_shaderRecordNV] = ACTIONS(1457),
    [anon_sym_layout] = ACTIONS(1457),
  },
  [482] = {
    [ts_builtin_sym_end] = ACTIONS(1491),
    [sym_identifier] = ACTIONS(1489),
    [aux_sym_preproc_include_token1] = ACTIONS(1489),
    [aux_sym_preproc_def_token1] = ACTIONS(1489),
    [aux_sym_preproc_if_token1] = ACTIONS(1489),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1489),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1489),
    [sym_preproc_directive] = ACTIONS(1489),
    [anon_sym_LPAREN2] = ACTIONS(1491),
    [anon_sym_BANG] = ACTIONS(1491),
    [anon_sym_TILDE] = ACTIONS(1491),
    [anon_sym_DASH] = ACTIONS(1489),
    [anon_sym_PLUS] = ACTIONS(1489),
    [anon_sym_STAR] = ACTIONS(1491),
    [anon_sym_AMP] = ACTIONS(1491),
    [anon_sym_subroutine] = ACTIONS(1489),
    [anon_sym_invariant] = ACTIONS(1489),
    [anon_sym_precise] = ACTIONS(1489),
    [anon_sym_SEMI] = ACTIONS(1491),
    [anon_sym_in] = ACTIONS(1489),
    [anon_sym_out] = ACTIONS(1489),
    [anon_sym_inout] = ACTIONS(1489),
    [anon_sym_uniform] = ACTIONS(1489),
    [anon_sym_shared] = ACTIONS(1489),
    [anon_sym_attribute] = ACTIONS(1489),
    [anon_sym_varying] = ACTIONS(1489),
    [anon_sym_buffer] = ACTIONS(1489),
    [anon_sym_coherent] = ACTIONS(1489),
    [anon_sym_readonly] = ACTIONS(1489),
    [anon_sym_writeonly] = ACTIONS(1489),
    [anon_sym_precision] = ACTIONS(1489),
    [anon_sym_highp] = ACTIONS(1489),
    [anon_sym_mediump] = ACTIONS(1489),
    [anon_sym_lowp] = ACTIONS(1489),
    [anon_sym_centroid] = ACTIONS(1489),
    [anon_sym_sample] = ACTIONS(1489),
    [anon_sym_patch] = ACTIONS(1489),
    [anon_sym_smooth] = ACTIONS(1489),
    [anon_sym_flat] = ACTIONS(1489),
    [anon_sym_noperspective] = ACTIONS(1489),
    [anon_sym___extension__] = ACTIONS(1489),
    [anon_sym_typedef] = ACTIONS(1489),
    [anon_sym_extern] = ACTIONS(1489),
    [anon_sym___attribute__] = ACTIONS(1489),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1491),
    [anon_sym___declspec] = ACTIONS(1489),
    [anon_sym___cdecl] = ACTIONS(1489),
    [anon_sym___clrcall] = ACTIONS(1489),
    [anon_sym___stdcall] = ACTIONS(1489),
    [anon_sym___fastcall] = ACTIONS(1489),
    [anon_sym___thiscall] = ACTIONS(1489),
    [anon_sym___vectorcall] = ACTIONS(1489),
    [anon_sym_LBRACE] = ACTIONS(1491),
    [anon_sym_signed] = ACTIONS(1489),
    [anon_sym_unsigned] = ACTIONS(1489),
    [anon_sym_long] = ACTIONS(1489),
    [anon_sym_short] = ACTIONS(1489),
    [anon_sym_static] = ACTIONS(1489),
    [anon_sym_auto] = ACTIONS(1489),
    [anon_sym_register] = ACTIONS(1489),
    [anon_sym_inline] = ACTIONS(1489),
    [anon_sym___inline] = ACTIONS(1489),
    [anon_sym___inline__] = ACTIONS(1489),
    [anon_sym___forceinline] = ACTIONS(1489),
    [anon_sym_thread_local] = ACTIONS(1489),
    [anon_sym___thread] = ACTIONS(1489),
    [anon_sym_const] = ACTIONS(1489),
    [anon_sym_constexpr] = ACTIONS(1489),
    [anon_sym_volatile] = ACTIONS(1489),
    [anon_sym_restrict] = ACTIONS(1489),
    [anon_sym___restrict__] = ACTIONS(1489),
    [anon_sym__Atomic] = ACTIONS(1489),
    [anon_sym__Noreturn] = ACTIONS(1489),
    [anon_sym_noreturn] = ACTIONS(1489),
    [sym_primitive_type] = ACTIONS(1489),
    [anon_sym_enum] = ACTIONS(1489),
    [anon_sym_struct] = ACTIONS(1489),
    [anon_sym_union] = ACTIONS(1489),
    [anon_sym_if] = ACTIONS(1489),
    [anon_sym_else] = ACTIONS(1489),
    [anon_sym_switch] = ACTIONS(1489),
    [anon_sym_case] = ACTIONS(1489),
    [anon_sym_default] = ACTIONS(1489),
    [anon_sym_while] = ACTIONS(1489),
    [anon_sym_do] = ACTIONS(1489),
    [anon_sym_for] = ACTIONS(1489),
    [anon_sym_return] = ACTIONS(1489),
    [anon_sym_break] = ACTIONS(1489),
    [anon_sym_continue] = ACTIONS(1489),
    [anon_sym_goto] = ACTIONS(1489),
    [anon_sym___try] = ACTIONS(1489),
    [anon_sym___leave] = ACTIONS(1489),
    [anon_sym_DASH_DASH] = ACTIONS(1491),
    [anon_sym_PLUS_PLUS] = ACTIONS(1491),
    [anon_sym_sizeof] = ACTIONS(1489),
    [anon_sym___alignof__] = ACTIONS(1489),
    [anon_sym___alignof] = ACTIONS(1489),
    [anon_sym__alignof] = ACTIONS(1489),
    [anon_sym_alignof] = ACTIONS(1489),
    [anon_sym__Alignof] = ACTIONS(1489),
    [anon_sym_offsetof] = ACTIONS(1489),
    [anon_sym__Generic] = ACTIONS(1489),
    [anon_sym_asm] = ACTIONS(1489),
    [anon_sym___asm__] = ACTIONS(1489),
    [sym_number_literal] = ACTIONS(1491),
    [anon_sym_L_SQUOTE] = ACTIONS(1491),
    [anon_sym_u_SQUOTE] = ACTIONS(1491),
    [anon_sym_U_SQUOTE] = ACTIONS(1491),
    [anon_sym_u8_SQUOTE] = ACTIONS(1491),
    [anon_sym_SQUOTE] = ACTIONS(1491),
    [anon_sym_L_DQUOTE] = ACTIONS(1491),
    [anon_sym_u_DQUOTE] = ACTIONS(1491),
    [anon_sym_U_DQUOTE] = ACTIONS(1491),
    [anon_sym_u8_DQUOTE] = ACTIONS(1491),
    [anon_sym_DQUOTE] = ACTIONS(1491),
    [sym_true] = ACTIONS(1489),
    [sym_false] = ACTIONS(1489),
    [anon_sym_NULL] = ACTIONS(1489),
    [anon_sym_nullptr] = ACTIONS(1489),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1489),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1489),
    [anon_sym_hitAttributeEXT] = ACTIONS(1489),
    [anon_sym_callableDataEXT] = ACTIONS(1489),
    [anon_sym_callableDataInEXT] = ACTIONS(1489),
    [anon_sym_shaderRecordEXT] = ACTIONS(1489),
    [anon_sym_rayPayloadNV] = ACTIONS(1489),
    [anon_sym_rayPayloadInNV] = ACTIONS(1489),
    [anon_sym_hitAttributeNV] = ACTIONS(1489),
    [anon_sym_callableDataNV] = ACTIONS(1489),
    [anon_sym_callableDataInNV] = ACTIONS(1489),
    [anon_sym_shaderRecordNV] = ACTIONS(1489),
    [anon_sym_layout] = ACTIONS(1489),
  },
  [483] = {
    [ts_builtin_sym_end] = ACTIONS(1483),
    [sym_identifier] = ACTIONS(1481),
    [aux_sym_preproc_include_token1] = ACTIONS(1481),
    [aux_sym_preproc_def_token1] = ACTIONS(1481),
    [aux_sym_preproc_if_token1] = ACTIONS(1481),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1481),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1481),
    [sym_preproc_directive] = ACTIONS(1481),
    [anon_sym_LPAREN2] = ACTIONS(1483),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_DASH] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_STAR] = ACTIONS(1483),
    [anon_sym_AMP] = ACTIONS(1483),
    [anon_sym_subroutine] = ACTIONS(1481),
    [anon_sym_invariant] = ACTIONS(1481),
    [anon_sym_precise] = ACTIONS(1481),
    [anon_sym_SEMI] = ACTIONS(1483),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_out] = ACTIONS(1481),
    [anon_sym_inout] = ACTIONS(1481),
    [anon_sym_uniform] = ACTIONS(1481),
    [anon_sym_shared] = ACTIONS(1481),
    [anon_sym_attribute] = ACTIONS(1481),
    [anon_sym_varying] = ACTIONS(1481),
    [anon_sym_buffer] = ACTIONS(1481),
    [anon_sym_coherent] = ACTIONS(1481),
    [anon_sym_readonly] = ACTIONS(1481),
    [anon_sym_writeonly] = ACTIONS(1481),
    [anon_sym_precision] = ACTIONS(1481),
    [anon_sym_highp] = ACTIONS(1481),
    [anon_sym_mediump] = ACTIONS(1481),
    [anon_sym_lowp] = ACTIONS(1481),
    [anon_sym_centroid] = ACTIONS(1481),
    [anon_sym_sample] = ACTIONS(1481),
    [anon_sym_patch] = ACTIONS(1481),
    [anon_sym_smooth] = ACTIONS(1481),
    [anon_sym_flat] = ACTIONS(1481),
    [anon_sym_noperspective] = ACTIONS(1481),
    [anon_sym___extension__] = ACTIONS(1481),
    [anon_sym_typedef] = ACTIONS(1481),
    [anon_sym_extern] = ACTIONS(1481),
    [anon_sym___attribute__] = ACTIONS(1481),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1483),
    [anon_sym___declspec] = ACTIONS(1481),
    [anon_sym___cdecl] = ACTIONS(1481),
    [anon_sym___clrcall] = ACTIONS(1481),
    [anon_sym___stdcall] = ACTIONS(1481),
    [anon_sym___fastcall] = ACTIONS(1481),
    [anon_sym___thiscall] = ACTIONS(1481),
    [anon_sym___vectorcall] = ACTIONS(1481),
    [anon_sym_LBRACE] = ACTIONS(1483),
    [anon_sym_signed] = ACTIONS(1481),
    [anon_sym_unsigned] = ACTIONS(1481),
    [anon_sym_long] = ACTIONS(1481),
    [anon_sym_short] = ACTIONS(1481),
    [anon_sym_static] = ACTIONS(1481),
    [anon_sym_auto] = ACTIONS(1481),
    [anon_sym_register] = ACTIONS(1481),
    [anon_sym_inline] = ACTIONS(1481),
    [anon_sym___inline] = ACTIONS(1481),
    [anon_sym___inline__] = ACTIONS(1481),
    [anon_sym___forceinline] = ACTIONS(1481),
    [anon_sym_thread_local] = ACTIONS(1481),
    [anon_sym___thread] = ACTIONS(1481),
    [anon_sym_const] = ACTIONS(1481),
    [anon_sym_constexpr] = ACTIONS(1481),
    [anon_sym_volatile] = ACTIONS(1481),
    [anon_sym_restrict] = ACTIONS(1481),
    [anon_sym___restrict__] = ACTIONS(1481),
    [anon_sym__Atomic] = ACTIONS(1481),
    [anon_sym__Noreturn] = ACTIONS(1481),
    [anon_sym_noreturn] = ACTIONS(1481),
    [sym_primitive_type] = ACTIONS(1481),
    [anon_sym_enum] = ACTIONS(1481),
    [anon_sym_struct] = ACTIONS(1481),
    [anon_sym_union] = ACTIONS(1481),
    [anon_sym_if] = ACTIONS(1481),
    [anon_sym_else] = ACTIONS(1481),
    [anon_sym_switch] = ACTIONS(1481),
    [anon_sym_case] = ACTIONS(1481),
    [anon_sym_default] = ACTIONS(1481),
    [anon_sym_while] = ACTIONS(1481),
    [anon_sym_do] = ACTIONS(1481),
    [anon_sym_for] = ACTIONS(1481),
    [anon_sym_return] = ACTIONS(1481),
    [anon_sym_break] = ACTIONS(1481),
    [anon_sym_continue] = ACTIONS(1481),
    [anon_sym_goto] = ACTIONS(1481),
    [anon_sym___try] = ACTIONS(1481),
    [anon_sym___leave] = ACTIONS(1481),
    [anon_sym_DASH_DASH] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1483),
    [anon_sym_sizeof] = ACTIONS(1481),
    [anon_sym___alignof__] = ACTIONS(1481),
    [anon_sym___alignof] = ACTIONS(1481),
    [anon_sym__alignof] = ACTIONS(1481),
    [anon_sym_alignof] = ACTIONS(1481),
    [anon_sym__Alignof] = ACTIONS(1481),
    [anon_sym_offsetof] = ACTIONS(1481),
    [anon_sym__Generic] = ACTIONS(1481),
    [anon_sym_asm] = ACTIONS(1481),
    [anon_sym___asm__] = ACTIONS(1481),
    [sym_number_literal] = ACTIONS(1483),
    [anon_sym_L_SQUOTE] = ACTIONS(1483),
    [anon_sym_u_SQUOTE] = ACTIONS(1483),
    [anon_sym_U_SQUOTE] = ACTIONS(1483),
    [anon_sym_u8_SQUOTE] = ACTIONS(1483),
    [anon_sym_SQUOTE] = ACTIONS(1483),
    [anon_sym_L_DQUOTE] = ACTIONS(1483),
    [anon_sym_u_DQUOTE] = ACTIONS(1483),
    [anon_sym_U_DQUOTE] = ACTIONS(1483),
    [anon_sym_u8_DQUOTE] = ACTIONS(1483),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_true] = ACTIONS(1481),
    [sym_false] = ACTIONS(1481),
    [anon_sym_NULL] = ACTIONS(1481),
    [anon_sym_nullptr] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1481),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1481),
    [anon_sym_hitAttributeEXT] = ACTIONS(1481),
    [anon_sym_callableDataEXT] = ACTIONS(1481),
    [anon_sym_callableDataInEXT] = ACTIONS(1481),
    [anon_sym_shaderRecordEXT] = ACTIONS(1481),
    [anon_sym_rayPayloadNV] = ACTIONS(1481),
    [anon_sym_rayPayloadInNV] = ACTIONS(1481),
    [anon_sym_hitAttributeNV] = ACTIONS(1481),
    [anon_sym_callableDataNV] = ACTIONS(1481),
    [anon_sym_callableDataInNV] = ACTIONS(1481),
    [anon_sym_shaderRecordNV] = ACTIONS(1481),
    [anon_sym_layout] = ACTIONS(1481),
  },
  [484] = {
    [ts_builtin_sym_end] = ACTIONS(1483),
    [sym_identifier] = ACTIONS(1481),
    [aux_sym_preproc_include_token1] = ACTIONS(1481),
    [aux_sym_preproc_def_token1] = ACTIONS(1481),
    [aux_sym_preproc_if_token1] = ACTIONS(1481),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1481),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1481),
    [sym_preproc_directive] = ACTIONS(1481),
    [anon_sym_LPAREN2] = ACTIONS(1483),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_DASH] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(1481),
    [anon_sym_STAR] = ACTIONS(1483),
    [anon_sym_AMP] = ACTIONS(1483),
    [anon_sym_subroutine] = ACTIONS(1481),
    [anon_sym_invariant] = ACTIONS(1481),
    [anon_sym_precise] = ACTIONS(1481),
    [anon_sym_SEMI] = ACTIONS(1483),
    [anon_sym_in] = ACTIONS(1481),
    [anon_sym_out] = ACTIONS(1481),
    [anon_sym_inout] = ACTIONS(1481),
    [anon_sym_uniform] = ACTIONS(1481),
    [anon_sym_shared] = ACTIONS(1481),
    [anon_sym_attribute] = ACTIONS(1481),
    [anon_sym_varying] = ACTIONS(1481),
    [anon_sym_buffer] = ACTIONS(1481),
    [anon_sym_coherent] = ACTIONS(1481),
    [anon_sym_readonly] = ACTIONS(1481),
    [anon_sym_writeonly] = ACTIONS(1481),
    [anon_sym_precision] = ACTIONS(1481),
    [anon_sym_highp] = ACTIONS(1481),
    [anon_sym_mediump] = ACTIONS(1481),
    [anon_sym_lowp] = ACTIONS(1481),
    [anon_sym_centroid] = ACTIONS(1481),
    [anon_sym_sample] = ACTIONS(1481),
    [anon_sym_patch] = ACTIONS(1481),
    [anon_sym_smooth] = ACTIONS(1481),
    [anon_sym_flat] = ACTIONS(1481),
    [anon_sym_noperspective] = ACTIONS(1481),
    [anon_sym___extension__] = ACTIONS(1481),
    [anon_sym_typedef] = ACTIONS(1481),
    [anon_sym_extern] = ACTIONS(1481),
    [anon_sym___attribute__] = ACTIONS(1481),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1483),
    [anon_sym___declspec] = ACTIONS(1481),
    [anon_sym___cdecl] = ACTIONS(1481),
    [anon_sym___clrcall] = ACTIONS(1481),
    [anon_sym___stdcall] = ACTIONS(1481),
    [anon_sym___fastcall] = ACTIONS(1481),
    [anon_sym___thiscall] = ACTIONS(1481),
    [anon_sym___vectorcall] = ACTIONS(1481),
    [anon_sym_LBRACE] = ACTIONS(1483),
    [anon_sym_signed] = ACTIONS(1481),
    [anon_sym_unsigned] = ACTIONS(1481),
    [anon_sym_long] = ACTIONS(1481),
    [anon_sym_short] = ACTIONS(1481),
    [anon_sym_static] = ACTIONS(1481),
    [anon_sym_auto] = ACTIONS(1481),
    [anon_sym_register] = ACTIONS(1481),
    [anon_sym_inline] = ACTIONS(1481),
    [anon_sym___inline] = ACTIONS(1481),
    [anon_sym___inline__] = ACTIONS(1481),
    [anon_sym___forceinline] = ACTIONS(1481),
    [anon_sym_thread_local] = ACTIONS(1481),
    [anon_sym___thread] = ACTIONS(1481),
    [anon_sym_const] = ACTIONS(1481),
    [anon_sym_constexpr] = ACTIONS(1481),
    [anon_sym_volatile] = ACTIONS(1481),
    [anon_sym_restrict] = ACTIONS(1481),
    [anon_sym___restrict__] = ACTIONS(1481),
    [anon_sym__Atomic] = ACTIONS(1481),
    [anon_sym__Noreturn] = ACTIONS(1481),
    [anon_sym_noreturn] = ACTIONS(1481),
    [sym_primitive_type] = ACTIONS(1481),
    [anon_sym_enum] = ACTIONS(1481),
    [anon_sym_struct] = ACTIONS(1481),
    [anon_sym_union] = ACTIONS(1481),
    [anon_sym_if] = ACTIONS(1481),
    [anon_sym_else] = ACTIONS(1481),
    [anon_sym_switch] = ACTIONS(1481),
    [anon_sym_case] = ACTIONS(1481),
    [anon_sym_default] = ACTIONS(1481),
    [anon_sym_while] = ACTIONS(1481),
    [anon_sym_do] = ACTIONS(1481),
    [anon_sym_for] = ACTIONS(1481),
    [anon_sym_return] = ACTIONS(1481),
    [anon_sym_break] = ACTIONS(1481),
    [anon_sym_continue] = ACTIONS(1481),
    [anon_sym_goto] = ACTIONS(1481),
    [anon_sym___try] = ACTIONS(1481),
    [anon_sym___leave] = ACTIONS(1481),
    [anon_sym_DASH_DASH] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1483),
    [anon_sym_sizeof] = ACTIONS(1481),
    [anon_sym___alignof__] = ACTIONS(1481),
    [anon_sym___alignof] = ACTIONS(1481),
    [anon_sym__alignof] = ACTIONS(1481),
    [anon_sym_alignof] = ACTIONS(1481),
    [anon_sym__Alignof] = ACTIONS(1481),
    [anon_sym_offsetof] = ACTIONS(1481),
    [anon_sym__Generic] = ACTIONS(1481),
    [anon_sym_asm] = ACTIONS(1481),
    [anon_sym___asm__] = ACTIONS(1481),
    [sym_number_literal] = ACTIONS(1483),
    [anon_sym_L_SQUOTE] = ACTIONS(1483),
    [anon_sym_u_SQUOTE] = ACTIONS(1483),
    [anon_sym_U_SQUOTE] = ACTIONS(1483),
    [anon_sym_u8_SQUOTE] = ACTIONS(1483),
    [anon_sym_SQUOTE] = ACTIONS(1483),
    [anon_sym_L_DQUOTE] = ACTIONS(1483),
    [anon_sym_u_DQUOTE] = ACTIONS(1483),
    [anon_sym_U_DQUOTE] = ACTIONS(1483),
    [anon_sym_u8_DQUOTE] = ACTIONS(1483),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_true] = ACTIONS(1481),
    [sym_false] = ACTIONS(1481),
    [anon_sym_NULL] = ACTIONS(1481),
    [anon_sym_nullptr] = ACTIONS(1481),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1481),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1481),
    [anon_sym_hitAttributeEXT] = ACTIONS(1481),
    [anon_sym_callableDataEXT] = ACTIONS(1481),
    [anon_sym_callableDataInEXT] = ACTIONS(1481),
    [anon_sym_shaderRecordEXT] = ACTIONS(1481),
    [anon_sym_rayPayloadNV] = ACTIONS(1481),
    [anon_sym_rayPayloadInNV] = ACTIONS(1481),
    [anon_sym_hitAttributeNV] = ACTIONS(1481),
    [anon_sym_callableDataNV] = ACTIONS(1481),
    [anon_sym_callableDataInNV] = ACTIONS(1481),
    [anon_sym_shaderRecordNV] = ACTIONS(1481),
    [anon_sym_layout] = ACTIONS(1481),
  },
  [485] = {
    [ts_builtin_sym_end] = ACTIONS(1479),
    [sym_identifier] = ACTIONS(1477),
    [aux_sym_preproc_include_token1] = ACTIONS(1477),
    [aux_sym_preproc_def_token1] = ACTIONS(1477),
    [aux_sym_preproc_if_token1] = ACTIONS(1477),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1477),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1477),
    [sym_preproc_directive] = ACTIONS(1477),
    [anon_sym_LPAREN2] = ACTIONS(1479),
    [anon_sym_BANG] = ACTIONS(1479),
    [anon_sym_TILDE] = ACTIONS(1479),
    [anon_sym_DASH] = ACTIONS(1477),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_AMP] = ACTIONS(1479),
    [anon_sym_subroutine] = ACTIONS(1477),
    [anon_sym_invariant] = ACTIONS(1477),
    [anon_sym_precise] = ACTIONS(1477),
    [anon_sym_SEMI] = ACTIONS(1479),
    [anon_sym_in] = ACTIONS(1477),
    [anon_sym_out] = ACTIONS(1477),
    [anon_sym_inout] = ACTIONS(1477),
    [anon_sym_uniform] = ACTIONS(1477),
    [anon_sym_shared] = ACTIONS(1477),
    [anon_sym_attribute] = ACTIONS(1477),
    [anon_sym_varying] = ACTIONS(1477),
    [anon_sym_buffer] = ACTIONS(1477),
    [anon_sym_coherent] = ACTIONS(1477),
    [anon_sym_readonly] = ACTIONS(1477),
    [anon_sym_writeonly] = ACTIONS(1477),
    [anon_sym_precision] = ACTIONS(1477),
    [anon_sym_highp] = ACTIONS(1477),
    [anon_sym_mediump] = ACTIONS(1477),
    [anon_sym_lowp] = ACTIONS(1477),
    [anon_sym_centroid] = ACTIONS(1477),
    [anon_sym_sample] = ACTIONS(1477),
    [anon_sym_patch] = ACTIONS(1477),
    [anon_sym_smooth] = ACTIONS(1477),
    [anon_sym_flat] = ACTIONS(1477),
    [anon_sym_noperspective] = ACTIONS(1477),
    [anon_sym___extension__] = ACTIONS(1477),
    [anon_sym_typedef] = ACTIONS(1477),
    [anon_sym_extern] = ACTIONS(1477),
    [anon_sym___attribute__] = ACTIONS(1477),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1479),
    [anon_sym___declspec] = ACTIONS(1477),
    [anon_sym___cdecl] = ACTIONS(1477),
    [anon_sym___clrcall] = ACTIONS(1477),
    [anon_sym___stdcall] = ACTIONS(1477),
    [anon_sym___fastcall] = ACTIONS(1477),
    [anon_sym___thiscall] = ACTIONS(1477),
    [anon_sym___vectorcall] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(1479),
    [anon_sym_signed] = ACTIONS(1477),
    [anon_sym_unsigned] = ACTIONS(1477),
    [anon_sym_long] = ACTIONS(1477),
    [anon_sym_short] = ACTIONS(1477),
    [anon_sym_static] = ACTIONS(1477),
    [anon_sym_auto] = ACTIONS(1477),
    [anon_sym_register] = ACTIONS(1477),
    [anon_sym_inline] = ACTIONS(1477),
    [anon_sym___inline] = ACTIONS(1477),
    [anon_sym___inline__] = ACTIONS(1477),
    [anon_sym___forceinline] = ACTIONS(1477),
    [anon_sym_thread_local] = ACTIONS(1477),
    [anon_sym___thread] = ACTIONS(1477),
    [anon_sym_const] = ACTIONS(1477),
    [anon_sym_constexpr] = ACTIONS(1477),
    [anon_sym_volatile] = ACTIONS(1477),
    [anon_sym_restrict] = ACTIONS(1477),
    [anon_sym___restrict__] = ACTIONS(1477),
    [anon_sym__Atomic] = ACTIONS(1477),
    [anon_sym__Noreturn] = ACTIONS(1477),
    [anon_sym_noreturn] = ACTIONS(1477),
    [sym_primitive_type] = ACTIONS(1477),
    [anon_sym_enum] = ACTIONS(1477),
    [anon_sym_struct] = ACTIONS(1477),
    [anon_sym_union] = ACTIONS(1477),
    [anon_sym_if] = ACTIONS(1477),
    [anon_sym_else] = ACTIONS(1477),
    [anon_sym_switch] = ACTIONS(1477),
    [anon_sym_case] = ACTIONS(1477),
    [anon_sym_default] = ACTIONS(1477),
    [anon_sym_while] = ACTIONS(1477),
    [anon_sym_do] = ACTIONS(1477),
    [anon_sym_for] = ACTIONS(1477),
    [anon_sym_return] = ACTIONS(1477),
    [anon_sym_break] = ACTIONS(1477),
    [anon_sym_continue] = ACTIONS(1477),
    [anon_sym_goto] = ACTIONS(1477),
    [anon_sym___try] = ACTIONS(1477),
    [anon_sym___leave] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1479),
    [anon_sym_PLUS_PLUS] = ACTIONS(1479),
    [anon_sym_sizeof] = ACTIONS(1477),
    [anon_sym___alignof__] = ACTIONS(1477),
    [anon_sym___alignof] = ACTIONS(1477),
    [anon_sym__alignof] = ACTIONS(1477),
    [anon_sym_alignof] = ACTIONS(1477),
    [anon_sym__Alignof] = ACTIONS(1477),
    [anon_sym_offsetof] = ACTIONS(1477),
    [anon_sym__Generic] = ACTIONS(1477),
    [anon_sym_asm] = ACTIONS(1477),
    [anon_sym___asm__] = ACTIONS(1477),
    [sym_number_literal] = ACTIONS(1479),
    [anon_sym_L_SQUOTE] = ACTIONS(1479),
    [anon_sym_u_SQUOTE] = ACTIONS(1479),
    [anon_sym_U_SQUOTE] = ACTIONS(1479),
    [anon_sym_u8_SQUOTE] = ACTIONS(1479),
    [anon_sym_SQUOTE] = ACTIONS(1479),
    [anon_sym_L_DQUOTE] = ACTIONS(1479),
    [anon_sym_u_DQUOTE] = ACTIONS(1479),
    [anon_sym_U_DQUOTE] = ACTIONS(1479),
    [anon_sym_u8_DQUOTE] = ACTIONS(1479),
    [anon_sym_DQUOTE] = ACTIONS(1479),
    [sym_true] = ACTIONS(1477),
    [sym_false] = ACTIONS(1477),
    [anon_sym_NULL] = ACTIONS(1477),
    [anon_sym_nullptr] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1477),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1477),
    [anon_sym_hitAttributeEXT] = ACTIONS(1477),
    [anon_sym_callableDataEXT] = ACTIONS(1477),
    [anon_sym_callableDataInEXT] = ACTIONS(1477),
    [anon_sym_shaderRecordEXT] = ACTIONS(1477),
    [anon_sym_rayPayloadNV] = ACTIONS(1477),
    [anon_sym_rayPayloadInNV] = ACTIONS(1477),
    [anon_sym_hitAttributeNV] = ACTIONS(1477),
    [anon_sym_callableDataNV] = ACTIONS(1477),
    [anon_sym_callableDataInNV] = ACTIONS(1477),
    [anon_sym_shaderRecordNV] = ACTIONS(1477),
    [anon_sym_layout] = ACTIONS(1477),
  },
  [486] = {
    [ts_builtin_sym_end] = ACTIONS(1479),
    [sym_identifier] = ACTIONS(1477),
    [aux_sym_preproc_include_token1] = ACTIONS(1477),
    [aux_sym_preproc_def_token1] = ACTIONS(1477),
    [aux_sym_preproc_if_token1] = ACTIONS(1477),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1477),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1477),
    [sym_preproc_directive] = ACTIONS(1477),
    [anon_sym_LPAREN2] = ACTIONS(1479),
    [anon_sym_BANG] = ACTIONS(1479),
    [anon_sym_TILDE] = ACTIONS(1479),
    [anon_sym_DASH] = ACTIONS(1477),
    [anon_sym_PLUS] = ACTIONS(1477),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_AMP] = ACTIONS(1479),
    [anon_sym_subroutine] = ACTIONS(1477),
    [anon_sym_invariant] = ACTIONS(1477),
    [anon_sym_precise] = ACTIONS(1477),
    [anon_sym_SEMI] = ACTIONS(1479),
    [anon_sym_in] = ACTIONS(1477),
    [anon_sym_out] = ACTIONS(1477),
    [anon_sym_inout] = ACTIONS(1477),
    [anon_sym_uniform] = ACTIONS(1477),
    [anon_sym_shared] = ACTIONS(1477),
    [anon_sym_attribute] = ACTIONS(1477),
    [anon_sym_varying] = ACTIONS(1477),
    [anon_sym_buffer] = ACTIONS(1477),
    [anon_sym_coherent] = ACTIONS(1477),
    [anon_sym_readonly] = ACTIONS(1477),
    [anon_sym_writeonly] = ACTIONS(1477),
    [anon_sym_precision] = ACTIONS(1477),
    [anon_sym_highp] = ACTIONS(1477),
    [anon_sym_mediump] = ACTIONS(1477),
    [anon_sym_lowp] = ACTIONS(1477),
    [anon_sym_centroid] = ACTIONS(1477),
    [anon_sym_sample] = ACTIONS(1477),
    [anon_sym_patch] = ACTIONS(1477),
    [anon_sym_smooth] = ACTIONS(1477),
    [anon_sym_flat] = ACTIONS(1477),
    [anon_sym_noperspective] = ACTIONS(1477),
    [anon_sym___extension__] = ACTIONS(1477),
    [anon_sym_typedef] = ACTIONS(1477),
    [anon_sym_extern] = ACTIONS(1477),
    [anon_sym___attribute__] = ACTIONS(1477),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1479),
    [anon_sym___declspec] = ACTIONS(1477),
    [anon_sym___cdecl] = ACTIONS(1477),
    [anon_sym___clrcall] = ACTIONS(1477),
    [anon_sym___stdcall] = ACTIONS(1477),
    [anon_sym___fastcall] = ACTIONS(1477),
    [anon_sym___thiscall] = ACTIONS(1477),
    [anon_sym___vectorcall] = ACTIONS(1477),
    [anon_sym_LBRACE] = ACTIONS(1479),
    [anon_sym_signed] = ACTIONS(1477),
    [anon_sym_unsigned] = ACTIONS(1477),
    [anon_sym_long] = ACTIONS(1477),
    [anon_sym_short] = ACTIONS(1477),
    [anon_sym_static] = ACTIONS(1477),
    [anon_sym_auto] = ACTIONS(1477),
    [anon_sym_register] = ACTIONS(1477),
    [anon_sym_inline] = ACTIONS(1477),
    [anon_sym___inline] = ACTIONS(1477),
    [anon_sym___inline__] = ACTIONS(1477),
    [anon_sym___forceinline] = ACTIONS(1477),
    [anon_sym_thread_local] = ACTIONS(1477),
    [anon_sym___thread] = ACTIONS(1477),
    [anon_sym_const] = ACTIONS(1477),
    [anon_sym_constexpr] = ACTIONS(1477),
    [anon_sym_volatile] = ACTIONS(1477),
    [anon_sym_restrict] = ACTIONS(1477),
    [anon_sym___restrict__] = ACTIONS(1477),
    [anon_sym__Atomic] = ACTIONS(1477),
    [anon_sym__Noreturn] = ACTIONS(1477),
    [anon_sym_noreturn] = ACTIONS(1477),
    [sym_primitive_type] = ACTIONS(1477),
    [anon_sym_enum] = ACTIONS(1477),
    [anon_sym_struct] = ACTIONS(1477),
    [anon_sym_union] = ACTIONS(1477),
    [anon_sym_if] = ACTIONS(1477),
    [anon_sym_else] = ACTIONS(1477),
    [anon_sym_switch] = ACTIONS(1477),
    [anon_sym_case] = ACTIONS(1477),
    [anon_sym_default] = ACTIONS(1477),
    [anon_sym_while] = ACTIONS(1477),
    [anon_sym_do] = ACTIONS(1477),
    [anon_sym_for] = ACTIONS(1477),
    [anon_sym_return] = ACTIONS(1477),
    [anon_sym_break] = ACTIONS(1477),
    [anon_sym_continue] = ACTIONS(1477),
    [anon_sym_goto] = ACTIONS(1477),
    [anon_sym___try] = ACTIONS(1477),
    [anon_sym___leave] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1479),
    [anon_sym_PLUS_PLUS] = ACTIONS(1479),
    [anon_sym_sizeof] = ACTIONS(1477),
    [anon_sym___alignof__] = ACTIONS(1477),
    [anon_sym___alignof] = ACTIONS(1477),
    [anon_sym__alignof] = ACTIONS(1477),
    [anon_sym_alignof] = ACTIONS(1477),
    [anon_sym__Alignof] = ACTIONS(1477),
    [anon_sym_offsetof] = ACTIONS(1477),
    [anon_sym__Generic] = ACTIONS(1477),
    [anon_sym_asm] = ACTIONS(1477),
    [anon_sym___asm__] = ACTIONS(1477),
    [sym_number_literal] = ACTIONS(1479),
    [anon_sym_L_SQUOTE] = ACTIONS(1479),
    [anon_sym_u_SQUOTE] = ACTIONS(1479),
    [anon_sym_U_SQUOTE] = ACTIONS(1479),
    [anon_sym_u8_SQUOTE] = ACTIONS(1479),
    [anon_sym_SQUOTE] = ACTIONS(1479),
    [anon_sym_L_DQUOTE] = ACTIONS(1479),
    [anon_sym_u_DQUOTE] = ACTIONS(1479),
    [anon_sym_U_DQUOTE] = ACTIONS(1479),
    [anon_sym_u8_DQUOTE] = ACTIONS(1479),
    [anon_sym_DQUOTE] = ACTIONS(1479),
    [sym_true] = ACTIONS(1477),
    [sym_false] = ACTIONS(1477),
    [anon_sym_NULL] = ACTIONS(1477),
    [anon_sym_nullptr] = ACTIONS(1477),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1477),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1477),
    [anon_sym_hitAttributeEXT] = ACTIONS(1477),
    [anon_sym_callableDataEXT] = ACTIONS(1477),
    [anon_sym_callableDataInEXT] = ACTIONS(1477),
    [anon_sym_shaderRecordEXT] = ACTIONS(1477),
    [anon_sym_rayPayloadNV] = ACTIONS(1477),
    [anon_sym_rayPayloadInNV] = ACTIONS(1477),
    [anon_sym_hitAttributeNV] = ACTIONS(1477),
    [anon_sym_callableDataNV] = ACTIONS(1477),
    [anon_sym_callableDataInNV] = ACTIONS(1477),
    [anon_sym_shaderRecordNV] = ACTIONS(1477),
    [anon_sym_layout] = ACTIONS(1477),
  },
  [487] = {
    [ts_builtin_sym_end] = ACTIONS(1471),
    [sym_identifier] = ACTIONS(1469),
    [aux_sym_preproc_include_token1] = ACTIONS(1469),
    [aux_sym_preproc_def_token1] = ACTIONS(1469),
    [aux_sym_preproc_if_token1] = ACTIONS(1469),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1469),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1469),
    [sym_preproc_directive] = ACTIONS(1469),
    [anon_sym_LPAREN2] = ACTIONS(1471),
    [anon_sym_BANG] = ACTIONS(1471),
    [anon_sym_TILDE] = ACTIONS(1471),
    [anon_sym_DASH] = ACTIONS(1469),
    [anon_sym_PLUS] = ACTIONS(1469),
    [anon_sym_STAR] = ACTIONS(1471),
    [anon_sym_AMP] = ACTIONS(1471),
    [anon_sym_subroutine] = ACTIONS(1469),
    [anon_sym_invariant] = ACTIONS(1469),
    [anon_sym_precise] = ACTIONS(1469),
    [anon_sym_SEMI] = ACTIONS(1471),
    [anon_sym_in] = ACTIONS(1469),
    [anon_sym_out] = ACTIONS(1469),
    [anon_sym_inout] = ACTIONS(1469),
    [anon_sym_uniform] = ACTIONS(1469),
    [anon_sym_shared] = ACTIONS(1469),
    [anon_sym_attribute] = ACTIONS(1469),
    [anon_sym_varying] = ACTIONS(1469),
    [anon_sym_buffer] = ACTIONS(1469),
    [anon_sym_coherent] = ACTIONS(1469),
    [anon_sym_readonly] = ACTIONS(1469),
    [anon_sym_writeonly] = ACTIONS(1469),
    [anon_sym_precision] = ACTIONS(1469),
    [anon_sym_highp] = ACTIONS(1469),
    [anon_sym_mediump] = ACTIONS(1469),
    [anon_sym_lowp] = ACTIONS(1469),
    [anon_sym_centroid] = ACTIONS(1469),
    [anon_sym_sample] = ACTIONS(1469),
    [anon_sym_patch] = ACTIONS(1469),
    [anon_sym_smooth] = ACTIONS(1469),
    [anon_sym_flat] = ACTIONS(1469),
    [anon_sym_noperspective] = ACTIONS(1469),
    [anon_sym___extension__] = ACTIONS(1469),
    [anon_sym_typedef] = ACTIONS(1469),
    [anon_sym_extern] = ACTIONS(1469),
    [anon_sym___attribute__] = ACTIONS(1469),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1471),
    [anon_sym___declspec] = ACTIONS(1469),
    [anon_sym___cdecl] = ACTIONS(1469),
    [anon_sym___clrcall] = ACTIONS(1469),
    [anon_sym___stdcall] = ACTIONS(1469),
    [anon_sym___fastcall] = ACTIONS(1469),
    [anon_sym___thiscall] = ACTIONS(1469),
    [anon_sym___vectorcall] = ACTIONS(1469),
    [anon_sym_LBRACE] = ACTIONS(1471),
    [anon_sym_signed] = ACTIONS(1469),
    [anon_sym_unsigned] = ACTIONS(1469),
    [anon_sym_long] = ACTIONS(1469),
    [anon_sym_short] = ACTIONS(1469),
    [anon_sym_static] = ACTIONS(1469),
    [anon_sym_auto] = ACTIONS(1469),
    [anon_sym_register] = ACTIONS(1469),
    [anon_sym_inline] = ACTIONS(1469),
    [anon_sym___inline] = ACTIONS(1469),
    [anon_sym___inline__] = ACTIONS(1469),
    [anon_sym___forceinline] = ACTIONS(1469),
    [anon_sym_thread_local] = ACTIONS(1469),
    [anon_sym___thread] = ACTIONS(1469),
    [anon_sym_const] = ACTIONS(1469),
    [anon_sym_constexpr] = ACTIONS(1469),
    [anon_sym_volatile] = ACTIONS(1469),
    [anon_sym_restrict] = ACTIONS(1469),
    [anon_sym___restrict__] = ACTIONS(1469),
    [anon_sym__Atomic] = ACTIONS(1469),
    [anon_sym__Noreturn] = ACTIONS(1469),
    [anon_sym_noreturn] = ACTIONS(1469),
    [sym_primitive_type] = ACTIONS(1469),
    [anon_sym_enum] = ACTIONS(1469),
    [anon_sym_struct] = ACTIONS(1469),
    [anon_sym_union] = ACTIONS(1469),
    [anon_sym_if] = ACTIONS(1469),
    [anon_sym_else] = ACTIONS(1469),
    [anon_sym_switch] = ACTIONS(1469),
    [anon_sym_case] = ACTIONS(1469),
    [anon_sym_default] = ACTIONS(1469),
    [anon_sym_while] = ACTIONS(1469),
    [anon_sym_do] = ACTIONS(1469),
    [anon_sym_for] = ACTIONS(1469),
    [anon_sym_return] = ACTIONS(1469),
    [anon_sym_break] = ACTIONS(1469),
    [anon_sym_continue] = ACTIONS(1469),
    [anon_sym_goto] = ACTIONS(1469),
    [anon_sym___try] = ACTIONS(1469),
    [anon_sym___leave] = ACTIONS(1469),
    [anon_sym_DASH_DASH] = ACTIONS(1471),
    [anon_sym_PLUS_PLUS] = ACTIONS(1471),
    [anon_sym_sizeof] = ACTIONS(1469),
    [anon_sym___alignof__] = ACTIONS(1469),
    [anon_sym___alignof] = ACTIONS(1469),
    [anon_sym__alignof] = ACTIONS(1469),
    [anon_sym_alignof] = ACTIONS(1469),
    [anon_sym__Alignof] = ACTIONS(1469),
    [anon_sym_offsetof] = ACTIONS(1469),
    [anon_sym__Generic] = ACTIONS(1469),
    [anon_sym_asm] = ACTIONS(1469),
    [anon_sym___asm__] = ACTIONS(1469),
    [sym_number_literal] = ACTIONS(1471),
    [anon_sym_L_SQUOTE] = ACTIONS(1471),
    [anon_sym_u_SQUOTE] = ACTIONS(1471),
    [anon_sym_U_SQUOTE] = ACTIONS(1471),
    [anon_sym_u8_SQUOTE] = ACTIONS(1471),
    [anon_sym_SQUOTE] = ACTIONS(1471),
    [anon_sym_L_DQUOTE] = ACTIONS(1471),
    [anon_sym_u_DQUOTE] = ACTIONS(1471),
    [anon_sym_U_DQUOTE] = ACTIONS(1471),
    [anon_sym_u8_DQUOTE] = ACTIONS(1471),
    [anon_sym_DQUOTE] = ACTIONS(1471),
    [sym_true] = ACTIONS(1469),
    [sym_false] = ACTIONS(1469),
    [anon_sym_NULL] = ACTIONS(1469),
    [anon_sym_nullptr] = ACTIONS(1469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1469),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1469),
    [anon_sym_hitAttributeEXT] = ACTIONS(1469),
    [anon_sym_callableDataEXT] = ACTIONS(1469),
    [anon_sym_callableDataInEXT] = ACTIONS(1469),
    [anon_sym_shaderRecordEXT] = ACTIONS(1469),
    [anon_sym_rayPayloadNV] = ACTIONS(1469),
    [anon_sym_rayPayloadInNV] = ACTIONS(1469),
    [anon_sym_hitAttributeNV] = ACTIONS(1469),
    [anon_sym_callableDataNV] = ACTIONS(1469),
    [anon_sym_callableDataInNV] = ACTIONS(1469),
    [anon_sym_shaderRecordNV] = ACTIONS(1469),
    [anon_sym_layout] = ACTIONS(1469),
  },
  [488] = {
    [ts_builtin_sym_end] = ACTIONS(1471),
    [sym_identifier] = ACTIONS(1469),
    [aux_sym_preproc_include_token1] = ACTIONS(1469),
    [aux_sym_preproc_def_token1] = ACTIONS(1469),
    [aux_sym_preproc_if_token1] = ACTIONS(1469),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1469),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1469),
    [sym_preproc_directive] = ACTIONS(1469),
    [anon_sym_LPAREN2] = ACTIONS(1471),
    [anon_sym_BANG] = ACTIONS(1471),
    [anon_sym_TILDE] = ACTIONS(1471),
    [anon_sym_DASH] = ACTIONS(1469),
    [anon_sym_PLUS] = ACTIONS(1469),
    [anon_sym_STAR] = ACTIONS(1471),
    [anon_sym_AMP] = ACTIONS(1471),
    [anon_sym_subroutine] = ACTIONS(1469),
    [anon_sym_invariant] = ACTIONS(1469),
    [anon_sym_precise] = ACTIONS(1469),
    [anon_sym_SEMI] = ACTIONS(1471),
    [anon_sym_in] = ACTIONS(1469),
    [anon_sym_out] = ACTIONS(1469),
    [anon_sym_inout] = ACTIONS(1469),
    [anon_sym_uniform] = ACTIONS(1469),
    [anon_sym_shared] = ACTIONS(1469),
    [anon_sym_attribute] = ACTIONS(1469),
    [anon_sym_varying] = ACTIONS(1469),
    [anon_sym_buffer] = ACTIONS(1469),
    [anon_sym_coherent] = ACTIONS(1469),
    [anon_sym_readonly] = ACTIONS(1469),
    [anon_sym_writeonly] = ACTIONS(1469),
    [anon_sym_precision] = ACTIONS(1469),
    [anon_sym_highp] = ACTIONS(1469),
    [anon_sym_mediump] = ACTIONS(1469),
    [anon_sym_lowp] = ACTIONS(1469),
    [anon_sym_centroid] = ACTIONS(1469),
    [anon_sym_sample] = ACTIONS(1469),
    [anon_sym_patch] = ACTIONS(1469),
    [anon_sym_smooth] = ACTIONS(1469),
    [anon_sym_flat] = ACTIONS(1469),
    [anon_sym_noperspective] = ACTIONS(1469),
    [anon_sym___extension__] = ACTIONS(1469),
    [anon_sym_typedef] = ACTIONS(1469),
    [anon_sym_extern] = ACTIONS(1469),
    [anon_sym___attribute__] = ACTIONS(1469),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1471),
    [anon_sym___declspec] = ACTIONS(1469),
    [anon_sym___cdecl] = ACTIONS(1469),
    [anon_sym___clrcall] = ACTIONS(1469),
    [anon_sym___stdcall] = ACTIONS(1469),
    [anon_sym___fastcall] = ACTIONS(1469),
    [anon_sym___thiscall] = ACTIONS(1469),
    [anon_sym___vectorcall] = ACTIONS(1469),
    [anon_sym_LBRACE] = ACTIONS(1471),
    [anon_sym_signed] = ACTIONS(1469),
    [anon_sym_unsigned] = ACTIONS(1469),
    [anon_sym_long] = ACTIONS(1469),
    [anon_sym_short] = ACTIONS(1469),
    [anon_sym_static] = ACTIONS(1469),
    [anon_sym_auto] = ACTIONS(1469),
    [anon_sym_register] = ACTIONS(1469),
    [anon_sym_inline] = ACTIONS(1469),
    [anon_sym___inline] = ACTIONS(1469),
    [anon_sym___inline__] = ACTIONS(1469),
    [anon_sym___forceinline] = ACTIONS(1469),
    [anon_sym_thread_local] = ACTIONS(1469),
    [anon_sym___thread] = ACTIONS(1469),
    [anon_sym_const] = ACTIONS(1469),
    [anon_sym_constexpr] = ACTIONS(1469),
    [anon_sym_volatile] = ACTIONS(1469),
    [anon_sym_restrict] = ACTIONS(1469),
    [anon_sym___restrict__] = ACTIONS(1469),
    [anon_sym__Atomic] = ACTIONS(1469),
    [anon_sym__Noreturn] = ACTIONS(1469),
    [anon_sym_noreturn] = ACTIONS(1469),
    [sym_primitive_type] = ACTIONS(1469),
    [anon_sym_enum] = ACTIONS(1469),
    [anon_sym_struct] = ACTIONS(1469),
    [anon_sym_union] = ACTIONS(1469),
    [anon_sym_if] = ACTIONS(1469),
    [anon_sym_else] = ACTIONS(1469),
    [anon_sym_switch] = ACTIONS(1469),
    [anon_sym_case] = ACTIONS(1469),
    [anon_sym_default] = ACTIONS(1469),
    [anon_sym_while] = ACTIONS(1469),
    [anon_sym_do] = ACTIONS(1469),
    [anon_sym_for] = ACTIONS(1469),
    [anon_sym_return] = ACTIONS(1469),
    [anon_sym_break] = ACTIONS(1469),
    [anon_sym_continue] = ACTIONS(1469),
    [anon_sym_goto] = ACTIONS(1469),
    [anon_sym___try] = ACTIONS(1469),
    [anon_sym___leave] = ACTIONS(1469),
    [anon_sym_DASH_DASH] = ACTIONS(1471),
    [anon_sym_PLUS_PLUS] = ACTIONS(1471),
    [anon_sym_sizeof] = ACTIONS(1469),
    [anon_sym___alignof__] = ACTIONS(1469),
    [anon_sym___alignof] = ACTIONS(1469),
    [anon_sym__alignof] = ACTIONS(1469),
    [anon_sym_alignof] = ACTIONS(1469),
    [anon_sym__Alignof] = ACTIONS(1469),
    [anon_sym_offsetof] = ACTIONS(1469),
    [anon_sym__Generic] = ACTIONS(1469),
    [anon_sym_asm] = ACTIONS(1469),
    [anon_sym___asm__] = ACTIONS(1469),
    [sym_number_literal] = ACTIONS(1471),
    [anon_sym_L_SQUOTE] = ACTIONS(1471),
    [anon_sym_u_SQUOTE] = ACTIONS(1471),
    [anon_sym_U_SQUOTE] = ACTIONS(1471),
    [anon_sym_u8_SQUOTE] = ACTIONS(1471),
    [anon_sym_SQUOTE] = ACTIONS(1471),
    [anon_sym_L_DQUOTE] = ACTIONS(1471),
    [anon_sym_u_DQUOTE] = ACTIONS(1471),
    [anon_sym_U_DQUOTE] = ACTIONS(1471),
    [anon_sym_u8_DQUOTE] = ACTIONS(1471),
    [anon_sym_DQUOTE] = ACTIONS(1471),
    [sym_true] = ACTIONS(1469),
    [sym_false] = ACTIONS(1469),
    [anon_sym_NULL] = ACTIONS(1469),
    [anon_sym_nullptr] = ACTIONS(1469),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1469),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1469),
    [anon_sym_hitAttributeEXT] = ACTIONS(1469),
    [anon_sym_callableDataEXT] = ACTIONS(1469),
    [anon_sym_callableDataInEXT] = ACTIONS(1469),
    [anon_sym_shaderRecordEXT] = ACTIONS(1469),
    [anon_sym_rayPayloadNV] = ACTIONS(1469),
    [anon_sym_rayPayloadInNV] = ACTIONS(1469),
    [anon_sym_hitAttributeNV] = ACTIONS(1469),
    [anon_sym_callableDataNV] = ACTIONS(1469),
    [anon_sym_callableDataInNV] = ACTIONS(1469),
    [anon_sym_shaderRecordNV] = ACTIONS(1469),
    [anon_sym_layout] = ACTIONS(1469),
  },
  [489] = {
    [ts_builtin_sym_end] = ACTIONS(1467),
    [sym_identifier] = ACTIONS(1465),
    [aux_sym_preproc_include_token1] = ACTIONS(1465),
    [aux_sym_preproc_def_token1] = ACTIONS(1465),
    [aux_sym_preproc_if_token1] = ACTIONS(1465),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1465),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1465),
    [sym_preproc_directive] = ACTIONS(1465),
    [anon_sym_LPAREN2] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1467),
    [anon_sym_TILDE] = ACTIONS(1467),
    [anon_sym_DASH] = ACTIONS(1465),
    [anon_sym_PLUS] = ACTIONS(1465),
    [anon_sym_STAR] = ACTIONS(1467),
    [anon_sym_AMP] = ACTIONS(1467),
    [anon_sym_subroutine] = ACTIONS(1465),
    [anon_sym_invariant] = ACTIONS(1465),
    [anon_sym_precise] = ACTIONS(1465),
    [anon_sym_SEMI] = ACTIONS(1467),
    [anon_sym_in] = ACTIONS(1465),
    [anon_sym_out] = ACTIONS(1465),
    [anon_sym_inout] = ACTIONS(1465),
    [anon_sym_uniform] = ACTIONS(1465),
    [anon_sym_shared] = ACTIONS(1465),
    [anon_sym_attribute] = ACTIONS(1465),
    [anon_sym_varying] = ACTIONS(1465),
    [anon_sym_buffer] = ACTIONS(1465),
    [anon_sym_coherent] = ACTIONS(1465),
    [anon_sym_readonly] = ACTIONS(1465),
    [anon_sym_writeonly] = ACTIONS(1465),
    [anon_sym_precision] = ACTIONS(1465),
    [anon_sym_highp] = ACTIONS(1465),
    [anon_sym_mediump] = ACTIONS(1465),
    [anon_sym_lowp] = ACTIONS(1465),
    [anon_sym_centroid] = ACTIONS(1465),
    [anon_sym_sample] = ACTIONS(1465),
    [anon_sym_patch] = ACTIONS(1465),
    [anon_sym_smooth] = ACTIONS(1465),
    [anon_sym_flat] = ACTIONS(1465),
    [anon_sym_noperspective] = ACTIONS(1465),
    [anon_sym___extension__] = ACTIONS(1465),
    [anon_sym_typedef] = ACTIONS(1465),
    [anon_sym_extern] = ACTIONS(1465),
    [anon_sym___attribute__] = ACTIONS(1465),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1467),
    [anon_sym___declspec] = ACTIONS(1465),
    [anon_sym___cdecl] = ACTIONS(1465),
    [anon_sym___clrcall] = ACTIONS(1465),
    [anon_sym___stdcall] = ACTIONS(1465),
    [anon_sym___fastcall] = ACTIONS(1465),
    [anon_sym___thiscall] = ACTIONS(1465),
    [anon_sym___vectorcall] = ACTIONS(1465),
    [anon_sym_LBRACE] = ACTIONS(1467),
    [anon_sym_signed] = ACTIONS(1465),
    [anon_sym_unsigned] = ACTIONS(1465),
    [anon_sym_long] = ACTIONS(1465),
    [anon_sym_short] = ACTIONS(1465),
    [anon_sym_static] = ACTIONS(1465),
    [anon_sym_auto] = ACTIONS(1465),
    [anon_sym_register] = ACTIONS(1465),
    [anon_sym_inline] = ACTIONS(1465),
    [anon_sym___inline] = ACTIONS(1465),
    [anon_sym___inline__] = ACTIONS(1465),
    [anon_sym___forceinline] = ACTIONS(1465),
    [anon_sym_thread_local] = ACTIONS(1465),
    [anon_sym___thread] = ACTIONS(1465),
    [anon_sym_const] = ACTIONS(1465),
    [anon_sym_constexpr] = ACTIONS(1465),
    [anon_sym_volatile] = ACTIONS(1465),
    [anon_sym_restrict] = ACTIONS(1465),
    [anon_sym___restrict__] = ACTIONS(1465),
    [anon_sym__Atomic] = ACTIONS(1465),
    [anon_sym__Noreturn] = ACTIONS(1465),
    [anon_sym_noreturn] = ACTIONS(1465),
    [sym_primitive_type] = ACTIONS(1465),
    [anon_sym_enum] = ACTIONS(1465),
    [anon_sym_struct] = ACTIONS(1465),
    [anon_sym_union] = ACTIONS(1465),
    [anon_sym_if] = ACTIONS(1465),
    [anon_sym_else] = ACTIONS(1465),
    [anon_sym_switch] = ACTIONS(1465),
    [anon_sym_case] = ACTIONS(1465),
    [anon_sym_default] = ACTIONS(1465),
    [anon_sym_while] = ACTIONS(1465),
    [anon_sym_do] = ACTIONS(1465),
    [anon_sym_for] = ACTIONS(1465),
    [anon_sym_return] = ACTIONS(1465),
    [anon_sym_break] = ACTIONS(1465),
    [anon_sym_continue] = ACTIONS(1465),
    [anon_sym_goto] = ACTIONS(1465),
    [anon_sym___try] = ACTIONS(1465),
    [anon_sym___leave] = ACTIONS(1465),
    [anon_sym_DASH_DASH] = ACTIONS(1467),
    [anon_sym_PLUS_PLUS] = ACTIONS(1467),
    [anon_sym_sizeof] = ACTIONS(1465),
    [anon_sym___alignof__] = ACTIONS(1465),
    [anon_sym___alignof] = ACTIONS(1465),
    [anon_sym__alignof] = ACTIONS(1465),
    [anon_sym_alignof] = ACTIONS(1465),
    [anon_sym__Alignof] = ACTIONS(1465),
    [anon_sym_offsetof] = ACTIONS(1465),
    [anon_sym__Generic] = ACTIONS(1465),
    [anon_sym_asm] = ACTIONS(1465),
    [anon_sym___asm__] = ACTIONS(1465),
    [sym_number_literal] = ACTIONS(1467),
    [anon_sym_L_SQUOTE] = ACTIONS(1467),
    [anon_sym_u_SQUOTE] = ACTIONS(1467),
    [anon_sym_U_SQUOTE] = ACTIONS(1467),
    [anon_sym_u8_SQUOTE] = ACTIONS(1467),
    [anon_sym_SQUOTE] = ACTIONS(1467),
    [anon_sym_L_DQUOTE] = ACTIONS(1467),
    [anon_sym_u_DQUOTE] = ACTIONS(1467),
    [anon_sym_U_DQUOTE] = ACTIONS(1467),
    [anon_sym_u8_DQUOTE] = ACTIONS(1467),
    [anon_sym_DQUOTE] = ACTIONS(1467),
    [sym_true] = ACTIONS(1465),
    [sym_false] = ACTIONS(1465),
    [anon_sym_NULL] = ACTIONS(1465),
    [anon_sym_nullptr] = ACTIONS(1465),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1465),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1465),
    [anon_sym_hitAttributeEXT] = ACTIONS(1465),
    [anon_sym_callableDataEXT] = ACTIONS(1465),
    [anon_sym_callableDataInEXT] = ACTIONS(1465),
    [anon_sym_shaderRecordEXT] = ACTIONS(1465),
    [anon_sym_rayPayloadNV] = ACTIONS(1465),
    [anon_sym_rayPayloadInNV] = ACTIONS(1465),
    [anon_sym_hitAttributeNV] = ACTIONS(1465),
    [anon_sym_callableDataNV] = ACTIONS(1465),
    [anon_sym_callableDataInNV] = ACTIONS(1465),
    [anon_sym_shaderRecordNV] = ACTIONS(1465),
    [anon_sym_layout] = ACTIONS(1465),
  },
  [490] = {
    [sym_identifier] = ACTIONS(1635),
    [aux_sym_preproc_include_token1] = ACTIONS(1635),
    [aux_sym_preproc_def_token1] = ACTIONS(1635),
    [aux_sym_preproc_if_token1] = ACTIONS(1635),
    [aux_sym_preproc_if_token2] = ACTIONS(1635),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1635),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1635),
    [sym_preproc_directive] = ACTIONS(1635),
    [anon_sym_LPAREN2] = ACTIONS(1637),
    [anon_sym_BANG] = ACTIONS(1637),
    [anon_sym_TILDE] = ACTIONS(1637),
    [anon_sym_DASH] = ACTIONS(1635),
    [anon_sym_PLUS] = ACTIONS(1635),
    [anon_sym_STAR] = ACTIONS(1637),
    [anon_sym_AMP] = ACTIONS(1637),
    [anon_sym_subroutine] = ACTIONS(1635),
    [anon_sym_invariant] = ACTIONS(1635),
    [anon_sym_precise] = ACTIONS(1635),
    [anon_sym_SEMI] = ACTIONS(1637),
    [anon_sym_in] = ACTIONS(1635),
    [anon_sym_out] = ACTIONS(1635),
    [anon_sym_inout] = ACTIONS(1635),
    [anon_sym_uniform] = ACTIONS(1635),
    [anon_sym_shared] = ACTIONS(1635),
    [anon_sym_attribute] = ACTIONS(1635),
    [anon_sym_varying] = ACTIONS(1635),
    [anon_sym_buffer] = ACTIONS(1635),
    [anon_sym_coherent] = ACTIONS(1635),
    [anon_sym_readonly] = ACTIONS(1635),
    [anon_sym_writeonly] = ACTIONS(1635),
    [anon_sym_precision] = ACTIONS(1635),
    [anon_sym_highp] = ACTIONS(1635),
    [anon_sym_mediump] = ACTIONS(1635),
    [anon_sym_lowp] = ACTIONS(1635),
    [anon_sym_centroid] = ACTIONS(1635),
    [anon_sym_sample] = ACTIONS(1635),
    [anon_sym_patch] = ACTIONS(1635),
    [anon_sym_smooth] = ACTIONS(1635),
    [anon_sym_flat] = ACTIONS(1635),
    [anon_sym_noperspective] = ACTIONS(1635),
    [anon_sym___extension__] = ACTIONS(1635),
    [anon_sym_typedef] = ACTIONS(1635),
    [anon_sym_extern] = ACTIONS(1635),
    [anon_sym___attribute__] = ACTIONS(1635),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1637),
    [anon_sym___declspec] = ACTIONS(1635),
    [anon_sym___cdecl] = ACTIONS(1635),
    [anon_sym___clrcall] = ACTIONS(1635),
    [anon_sym___stdcall] = ACTIONS(1635),
    [anon_sym___fastcall] = ACTIONS(1635),
    [anon_sym___thiscall] = ACTIONS(1635),
    [anon_sym___vectorcall] = ACTIONS(1635),
    [anon_sym_LBRACE] = ACTIONS(1637),
    [anon_sym_signed] = ACTIONS(1635),
    [anon_sym_unsigned] = ACTIONS(1635),
    [anon_sym_long] = ACTIONS(1635),
    [anon_sym_short] = ACTIONS(1635),
    [anon_sym_static] = ACTIONS(1635),
    [anon_sym_auto] = ACTIONS(1635),
    [anon_sym_register] = ACTIONS(1635),
    [anon_sym_inline] = ACTIONS(1635),
    [anon_sym___inline] = ACTIONS(1635),
    [anon_sym___inline__] = ACTIONS(1635),
    [anon_sym___forceinline] = ACTIONS(1635),
    [anon_sym_thread_local] = ACTIONS(1635),
    [anon_sym___thread] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1635),
    [anon_sym_constexpr] = ACTIONS(1635),
    [anon_sym_volatile] = ACTIONS(1635),
    [anon_sym_restrict] = ACTIONS(1635),
    [anon_sym___restrict__] = ACTIONS(1635),
    [anon_sym__Atomic] = ACTIONS(1635),
    [anon_sym__Noreturn] = ACTIONS(1635),
    [anon_sym_noreturn] = ACTIONS(1635),
    [sym_primitive_type] = ACTIONS(1635),
    [anon_sym_enum] = ACTIONS(1635),
    [anon_sym_struct] = ACTIONS(1635),
    [anon_sym_union] = ACTIONS(1635),
    [anon_sym_if] = ACTIONS(1635),
    [anon_sym_switch] = ACTIONS(1635),
    [anon_sym_case] = ACTIONS(1635),
    [anon_sym_default] = ACTIONS(1635),
    [anon_sym_while] = ACTIONS(1635),
    [anon_sym_do] = ACTIONS(1635),
    [anon_sym_for] = ACTIONS(1635),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_break] = ACTIONS(1635),
    [anon_sym_continue] = ACTIONS(1635),
    [anon_sym_goto] = ACTIONS(1635),
    [anon_sym___try] = ACTIONS(1635),
    [anon_sym___leave] = ACTIONS(1635),
    [anon_sym_DASH_DASH] = ACTIONS(1637),
    [anon_sym_PLUS_PLUS] = ACTIONS(1637),
    [anon_sym_sizeof] = ACTIONS(1635),
    [anon_sym___alignof__] = ACTIONS(1635),
    [anon_sym___alignof] = ACTIONS(1635),
    [anon_sym__alignof] = ACTIONS(1635),
    [anon_sym_alignof] = ACTIONS(1635),
    [anon_sym__Alignof] = ACTIONS(1635),
    [anon_sym_offsetof] = ACTIONS(1635),
    [anon_sym__Generic] = ACTIONS(1635),
    [anon_sym_asm] = ACTIONS(1635),
    [anon_sym___asm__] = ACTIONS(1635),
    [sym_number_literal] = ACTIONS(1637),
    [anon_sym_L_SQUOTE] = ACTIONS(1637),
    [anon_sym_u_SQUOTE] = ACTIONS(1637),
    [anon_sym_U_SQUOTE] = ACTIONS(1637),
    [anon_sym_u8_SQUOTE] = ACTIONS(1637),
    [anon_sym_SQUOTE] = ACTIONS(1637),
    [anon_sym_L_DQUOTE] = ACTIONS(1637),
    [anon_sym_u_DQUOTE] = ACTIONS(1637),
    [anon_sym_U_DQUOTE] = ACTIONS(1637),
    [anon_sym_u8_DQUOTE] = ACTIONS(1637),
    [anon_sym_DQUOTE] = ACTIONS(1637),
    [sym_true] = ACTIONS(1635),
    [sym_false] = ACTIONS(1635),
    [anon_sym_NULL] = ACTIONS(1635),
    [anon_sym_nullptr] = ACTIONS(1635),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1635),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1635),
    [anon_sym_hitAttributeEXT] = ACTIONS(1635),
    [anon_sym_callableDataEXT] = ACTIONS(1635),
    [anon_sym_callableDataInEXT] = ACTIONS(1635),
    [anon_sym_shaderRecordEXT] = ACTIONS(1635),
    [anon_sym_rayPayloadNV] = ACTIONS(1635),
    [anon_sym_rayPayloadInNV] = ACTIONS(1635),
    [anon_sym_hitAttributeNV] = ACTIONS(1635),
    [anon_sym_callableDataNV] = ACTIONS(1635),
    [anon_sym_callableDataInNV] = ACTIONS(1635),
    [anon_sym_shaderRecordNV] = ACTIONS(1635),
    [anon_sym_layout] = ACTIONS(1635),
  },
  [491] = {
    [sym_identifier] = ACTIONS(1647),
    [aux_sym_preproc_include_token1] = ACTIONS(1647),
    [aux_sym_preproc_def_token1] = ACTIONS(1647),
    [aux_sym_preproc_if_token1] = ACTIONS(1647),
    [aux_sym_preproc_if_token2] = ACTIONS(1647),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1647),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1647),
    [sym_preproc_directive] = ACTIONS(1647),
    [anon_sym_LPAREN2] = ACTIONS(1649),
    [anon_sym_BANG] = ACTIONS(1649),
    [anon_sym_TILDE] = ACTIONS(1649),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_STAR] = ACTIONS(1649),
    [anon_sym_AMP] = ACTIONS(1649),
    [anon_sym_subroutine] = ACTIONS(1647),
    [anon_sym_invariant] = ACTIONS(1647),
    [anon_sym_precise] = ACTIONS(1647),
    [anon_sym_SEMI] = ACTIONS(1649),
    [anon_sym_in] = ACTIONS(1647),
    [anon_sym_out] = ACTIONS(1647),
    [anon_sym_inout] = ACTIONS(1647),
    [anon_sym_uniform] = ACTIONS(1647),
    [anon_sym_shared] = ACTIONS(1647),
    [anon_sym_attribute] = ACTIONS(1647),
    [anon_sym_varying] = ACTIONS(1647),
    [anon_sym_buffer] = ACTIONS(1647),
    [anon_sym_coherent] = ACTIONS(1647),
    [anon_sym_readonly] = ACTIONS(1647),
    [anon_sym_writeonly] = ACTIONS(1647),
    [anon_sym_precision] = ACTIONS(1647),
    [anon_sym_highp] = ACTIONS(1647),
    [anon_sym_mediump] = ACTIONS(1647),
    [anon_sym_lowp] = ACTIONS(1647),
    [anon_sym_centroid] = ACTIONS(1647),
    [anon_sym_sample] = ACTIONS(1647),
    [anon_sym_patch] = ACTIONS(1647),
    [anon_sym_smooth] = ACTIONS(1647),
    [anon_sym_flat] = ACTIONS(1647),
    [anon_sym_noperspective] = ACTIONS(1647),
    [anon_sym___extension__] = ACTIONS(1647),
    [anon_sym_typedef] = ACTIONS(1647),
    [anon_sym_extern] = ACTIONS(1647),
    [anon_sym___attribute__] = ACTIONS(1647),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1649),
    [anon_sym___declspec] = ACTIONS(1647),
    [anon_sym___cdecl] = ACTIONS(1647),
    [anon_sym___clrcall] = ACTIONS(1647),
    [anon_sym___stdcall] = ACTIONS(1647),
    [anon_sym___fastcall] = ACTIONS(1647),
    [anon_sym___thiscall] = ACTIONS(1647),
    [anon_sym___vectorcall] = ACTIONS(1647),
    [anon_sym_LBRACE] = ACTIONS(1649),
    [anon_sym_signed] = ACTIONS(1647),
    [anon_sym_unsigned] = ACTIONS(1647),
    [anon_sym_long] = ACTIONS(1647),
    [anon_sym_short] = ACTIONS(1647),
    [anon_sym_static] = ACTIONS(1647),
    [anon_sym_auto] = ACTIONS(1647),
    [anon_sym_register] = ACTIONS(1647),
    [anon_sym_inline] = ACTIONS(1647),
    [anon_sym___inline] = ACTIONS(1647),
    [anon_sym___inline__] = ACTIONS(1647),
    [anon_sym___forceinline] = ACTIONS(1647),
    [anon_sym_thread_local] = ACTIONS(1647),
    [anon_sym___thread] = ACTIONS(1647),
    [anon_sym_const] = ACTIONS(1647),
    [anon_sym_constexpr] = ACTIONS(1647),
    [anon_sym_volatile] = ACTIONS(1647),
    [anon_sym_restrict] = ACTIONS(1647),
    [anon_sym___restrict__] = ACTIONS(1647),
    [anon_sym__Atomic] = ACTIONS(1647),
    [anon_sym__Noreturn] = ACTIONS(1647),
    [anon_sym_noreturn] = ACTIONS(1647),
    [sym_primitive_type] = ACTIONS(1647),
    [anon_sym_enum] = ACTIONS(1647),
    [anon_sym_struct] = ACTIONS(1647),
    [anon_sym_union] = ACTIONS(1647),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_switch] = ACTIONS(1647),
    [anon_sym_case] = ACTIONS(1647),
    [anon_sym_default] = ACTIONS(1647),
    [anon_sym_while] = ACTIONS(1647),
    [anon_sym_do] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(1647),
    [anon_sym_return] = ACTIONS(1647),
    [anon_sym_break] = ACTIONS(1647),
    [anon_sym_continue] = ACTIONS(1647),
    [anon_sym_goto] = ACTIONS(1647),
    [anon_sym___try] = ACTIONS(1647),
    [anon_sym___leave] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1649),
    [anon_sym_PLUS_PLUS] = ACTIONS(1649),
    [anon_sym_sizeof] = ACTIONS(1647),
    [anon_sym___alignof__] = ACTIONS(1647),
    [anon_sym___alignof] = ACTIONS(1647),
    [anon_sym__alignof] = ACTIONS(1647),
    [anon_sym_alignof] = ACTIONS(1647),
    [anon_sym__Alignof] = ACTIONS(1647),
    [anon_sym_offsetof] = ACTIONS(1647),
    [anon_sym__Generic] = ACTIONS(1647),
    [anon_sym_asm] = ACTIONS(1647),
    [anon_sym___asm__] = ACTIONS(1647),
    [sym_number_literal] = ACTIONS(1649),
    [anon_sym_L_SQUOTE] = ACTIONS(1649),
    [anon_sym_u_SQUOTE] = ACTIONS(1649),
    [anon_sym_U_SQUOTE] = ACTIONS(1649),
    [anon_sym_u8_SQUOTE] = ACTIONS(1649),
    [anon_sym_SQUOTE] = ACTIONS(1649),
    [anon_sym_L_DQUOTE] = ACTIONS(1649),
    [anon_sym_u_DQUOTE] = ACTIONS(1649),
    [anon_sym_U_DQUOTE] = ACTIONS(1649),
    [anon_sym_u8_DQUOTE] = ACTIONS(1649),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_true] = ACTIONS(1647),
    [sym_false] = ACTIONS(1647),
    [anon_sym_NULL] = ACTIONS(1647),
    [anon_sym_nullptr] = ACTIONS(1647),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1647),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1647),
    [anon_sym_hitAttributeEXT] = ACTIONS(1647),
    [anon_sym_callableDataEXT] = ACTIONS(1647),
    [anon_sym_callableDataInEXT] = ACTIONS(1647),
    [anon_sym_shaderRecordEXT] = ACTIONS(1647),
    [anon_sym_rayPayloadNV] = ACTIONS(1647),
    [anon_sym_rayPayloadInNV] = ACTIONS(1647),
    [anon_sym_hitAttributeNV] = ACTIONS(1647),
    [anon_sym_callableDataNV] = ACTIONS(1647),
    [anon_sym_callableDataInNV] = ACTIONS(1647),
    [anon_sym_shaderRecordNV] = ACTIONS(1647),
    [anon_sym_layout] = ACTIONS(1647),
  },
  [492] = {
    [sym_identifier] = ACTIONS(1603),
    [aux_sym_preproc_include_token1] = ACTIONS(1603),
    [aux_sym_preproc_def_token1] = ACTIONS(1603),
    [aux_sym_preproc_if_token1] = ACTIONS(1603),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1603),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1603),
    [sym_preproc_directive] = ACTIONS(1603),
    [anon_sym_LPAREN2] = ACTIONS(1605),
    [anon_sym_BANG] = ACTIONS(1605),
    [anon_sym_TILDE] = ACTIONS(1605),
    [anon_sym_DASH] = ACTIONS(1603),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_STAR] = ACTIONS(1605),
    [anon_sym_AMP] = ACTIONS(1605),
    [anon_sym_subroutine] = ACTIONS(1603),
    [anon_sym_invariant] = ACTIONS(1603),
    [anon_sym_precise] = ACTIONS(1603),
    [anon_sym_SEMI] = ACTIONS(1605),
    [anon_sym_in] = ACTIONS(1603),
    [anon_sym_out] = ACTIONS(1603),
    [anon_sym_inout] = ACTIONS(1603),
    [anon_sym_uniform] = ACTIONS(1603),
    [anon_sym_shared] = ACTIONS(1603),
    [anon_sym_attribute] = ACTIONS(1603),
    [anon_sym_varying] = ACTIONS(1603),
    [anon_sym_buffer] = ACTIONS(1603),
    [anon_sym_coherent] = ACTIONS(1603),
    [anon_sym_readonly] = ACTIONS(1603),
    [anon_sym_writeonly] = ACTIONS(1603),
    [anon_sym_precision] = ACTIONS(1603),
    [anon_sym_highp] = ACTIONS(1603),
    [anon_sym_mediump] = ACTIONS(1603),
    [anon_sym_lowp] = ACTIONS(1603),
    [anon_sym_centroid] = ACTIONS(1603),
    [anon_sym_sample] = ACTIONS(1603),
    [anon_sym_patch] = ACTIONS(1603),
    [anon_sym_smooth] = ACTIONS(1603),
    [anon_sym_flat] = ACTIONS(1603),
    [anon_sym_noperspective] = ACTIONS(1603),
    [anon_sym___extension__] = ACTIONS(1603),
    [anon_sym_typedef] = ACTIONS(1603),
    [anon_sym_extern] = ACTIONS(1603),
    [anon_sym___attribute__] = ACTIONS(1603),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1605),
    [anon_sym___declspec] = ACTIONS(1603),
    [anon_sym___cdecl] = ACTIONS(1603),
    [anon_sym___clrcall] = ACTIONS(1603),
    [anon_sym___stdcall] = ACTIONS(1603),
    [anon_sym___fastcall] = ACTIONS(1603),
    [anon_sym___thiscall] = ACTIONS(1603),
    [anon_sym___vectorcall] = ACTIONS(1603),
    [anon_sym_LBRACE] = ACTIONS(1605),
    [anon_sym_RBRACE] = ACTIONS(1605),
    [anon_sym_signed] = ACTIONS(1603),
    [anon_sym_unsigned] = ACTIONS(1603),
    [anon_sym_long] = ACTIONS(1603),
    [anon_sym_short] = ACTIONS(1603),
    [anon_sym_static] = ACTIONS(1603),
    [anon_sym_auto] = ACTIONS(1603),
    [anon_sym_register] = ACTIONS(1603),
    [anon_sym_inline] = ACTIONS(1603),
    [anon_sym___inline] = ACTIONS(1603),
    [anon_sym___inline__] = ACTIONS(1603),
    [anon_sym___forceinline] = ACTIONS(1603),
    [anon_sym_thread_local] = ACTIONS(1603),
    [anon_sym___thread] = ACTIONS(1603),
    [anon_sym_const] = ACTIONS(1603),
    [anon_sym_constexpr] = ACTIONS(1603),
    [anon_sym_volatile] = ACTIONS(1603),
    [anon_sym_restrict] = ACTIONS(1603),
    [anon_sym___restrict__] = ACTIONS(1603),
    [anon_sym__Atomic] = ACTIONS(1603),
    [anon_sym__Noreturn] = ACTIONS(1603),
    [anon_sym_noreturn] = ACTIONS(1603),
    [sym_primitive_type] = ACTIONS(1603),
    [anon_sym_enum] = ACTIONS(1603),
    [anon_sym_struct] = ACTIONS(1603),
    [anon_sym_union] = ACTIONS(1603),
    [anon_sym_if] = ACTIONS(1603),
    [anon_sym_switch] = ACTIONS(1603),
    [anon_sym_case] = ACTIONS(1603),
    [anon_sym_default] = ACTIONS(1603),
    [anon_sym_while] = ACTIONS(1603),
    [anon_sym_do] = ACTIONS(1603),
    [anon_sym_for] = ACTIONS(1603),
    [anon_sym_return] = ACTIONS(1603),
    [anon_sym_break] = ACTIONS(1603),
    [anon_sym_continue] = ACTIONS(1603),
    [anon_sym_goto] = ACTIONS(1603),
    [anon_sym___try] = ACTIONS(1603),
    [anon_sym___leave] = ACTIONS(1603),
    [anon_sym_DASH_DASH] = ACTIONS(1605),
    [anon_sym_PLUS_PLUS] = ACTIONS(1605),
    [anon_sym_sizeof] = ACTIONS(1603),
    [anon_sym___alignof__] = ACTIONS(1603),
    [anon_sym___alignof] = ACTIONS(1603),
    [anon_sym__alignof] = ACTIONS(1603),
    [anon_sym_alignof] = ACTIONS(1603),
    [anon_sym__Alignof] = ACTIONS(1603),
    [anon_sym_offsetof] = ACTIONS(1603),
    [anon_sym__Generic] = ACTIONS(1603),
    [anon_sym_asm] = ACTIONS(1603),
    [anon_sym___asm__] = ACTIONS(1603),
    [sym_number_literal] = ACTIONS(1605),
    [anon_sym_L_SQUOTE] = ACTIONS(1605),
    [anon_sym_u_SQUOTE] = ACTIONS(1605),
    [anon_sym_U_SQUOTE] = ACTIONS(1605),
    [anon_sym_u8_SQUOTE] = ACTIONS(1605),
    [anon_sym_SQUOTE] = ACTIONS(1605),
    [anon_sym_L_DQUOTE] = ACTIONS(1605),
    [anon_sym_u_DQUOTE] = ACTIONS(1605),
    [anon_sym_U_DQUOTE] = ACTIONS(1605),
    [anon_sym_u8_DQUOTE] = ACTIONS(1605),
    [anon_sym_DQUOTE] = ACTIONS(1605),
    [sym_true] = ACTIONS(1603),
    [sym_false] = ACTIONS(1603),
    [anon_sym_NULL] = ACTIONS(1603),
    [anon_sym_nullptr] = ACTIONS(1603),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1603),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1603),
    [anon_sym_hitAttributeEXT] = ACTIONS(1603),
    [anon_sym_callableDataEXT] = ACTIONS(1603),
    [anon_sym_callableDataInEXT] = ACTIONS(1603),
    [anon_sym_shaderRecordEXT] = ACTIONS(1603),
    [anon_sym_rayPayloadNV] = ACTIONS(1603),
    [anon_sym_rayPayloadInNV] = ACTIONS(1603),
    [anon_sym_hitAttributeNV] = ACTIONS(1603),
    [anon_sym_callableDataNV] = ACTIONS(1603),
    [anon_sym_callableDataInNV] = ACTIONS(1603),
    [anon_sym_shaderRecordNV] = ACTIONS(1603),
    [anon_sym_layout] = ACTIONS(1603),
  },
  [493] = {
    [sym_identifier] = ACTIONS(1599),
    [aux_sym_preproc_include_token1] = ACTIONS(1599),
    [aux_sym_preproc_def_token1] = ACTIONS(1599),
    [aux_sym_preproc_if_token1] = ACTIONS(1599),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1599),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1599),
    [sym_preproc_directive] = ACTIONS(1599),
    [anon_sym_LPAREN2] = ACTIONS(1601),
    [anon_sym_BANG] = ACTIONS(1601),
    [anon_sym_TILDE] = ACTIONS(1601),
    [anon_sym_DASH] = ACTIONS(1599),
    [anon_sym_PLUS] = ACTIONS(1599),
    [anon_sym_STAR] = ACTIONS(1601),
    [anon_sym_AMP] = ACTIONS(1601),
    [anon_sym_subroutine] = ACTIONS(1599),
    [anon_sym_invariant] = ACTIONS(1599),
    [anon_sym_precise] = ACTIONS(1599),
    [anon_sym_SEMI] = ACTIONS(1601),
    [anon_sym_in] = ACTIONS(1599),
    [anon_sym_out] = ACTIONS(1599),
    [anon_sym_inout] = ACTIONS(1599),
    [anon_sym_uniform] = ACTIONS(1599),
    [anon_sym_shared] = ACTIONS(1599),
    [anon_sym_attribute] = ACTIONS(1599),
    [anon_sym_varying] = ACTIONS(1599),
    [anon_sym_buffer] = ACTIONS(1599),
    [anon_sym_coherent] = ACTIONS(1599),
    [anon_sym_readonly] = ACTIONS(1599),
    [anon_sym_writeonly] = ACTIONS(1599),
    [anon_sym_precision] = ACTIONS(1599),
    [anon_sym_highp] = ACTIONS(1599),
    [anon_sym_mediump] = ACTIONS(1599),
    [anon_sym_lowp] = ACTIONS(1599),
    [anon_sym_centroid] = ACTIONS(1599),
    [anon_sym_sample] = ACTIONS(1599),
    [anon_sym_patch] = ACTIONS(1599),
    [anon_sym_smooth] = ACTIONS(1599),
    [anon_sym_flat] = ACTIONS(1599),
    [anon_sym_noperspective] = ACTIONS(1599),
    [anon_sym___extension__] = ACTIONS(1599),
    [anon_sym_typedef] = ACTIONS(1599),
    [anon_sym_extern] = ACTIONS(1599),
    [anon_sym___attribute__] = ACTIONS(1599),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1601),
    [anon_sym___declspec] = ACTIONS(1599),
    [anon_sym___cdecl] = ACTIONS(1599),
    [anon_sym___clrcall] = ACTIONS(1599),
    [anon_sym___stdcall] = ACTIONS(1599),
    [anon_sym___fastcall] = ACTIONS(1599),
    [anon_sym___thiscall] = ACTIONS(1599),
    [anon_sym___vectorcall] = ACTIONS(1599),
    [anon_sym_LBRACE] = ACTIONS(1601),
    [anon_sym_RBRACE] = ACTIONS(1601),
    [anon_sym_signed] = ACTIONS(1599),
    [anon_sym_unsigned] = ACTIONS(1599),
    [anon_sym_long] = ACTIONS(1599),
    [anon_sym_short] = ACTIONS(1599),
    [anon_sym_static] = ACTIONS(1599),
    [anon_sym_auto] = ACTIONS(1599),
    [anon_sym_register] = ACTIONS(1599),
    [anon_sym_inline] = ACTIONS(1599),
    [anon_sym___inline] = ACTIONS(1599),
    [anon_sym___inline__] = ACTIONS(1599),
    [anon_sym___forceinline] = ACTIONS(1599),
    [anon_sym_thread_local] = ACTIONS(1599),
    [anon_sym___thread] = ACTIONS(1599),
    [anon_sym_const] = ACTIONS(1599),
    [anon_sym_constexpr] = ACTIONS(1599),
    [anon_sym_volatile] = ACTIONS(1599),
    [anon_sym_restrict] = ACTIONS(1599),
    [anon_sym___restrict__] = ACTIONS(1599),
    [anon_sym__Atomic] = ACTIONS(1599),
    [anon_sym__Noreturn] = ACTIONS(1599),
    [anon_sym_noreturn] = ACTIONS(1599),
    [sym_primitive_type] = ACTIONS(1599),
    [anon_sym_enum] = ACTIONS(1599),
    [anon_sym_struct] = ACTIONS(1599),
    [anon_sym_union] = ACTIONS(1599),
    [anon_sym_if] = ACTIONS(1599),
    [anon_sym_switch] = ACTIONS(1599),
    [anon_sym_case] = ACTIONS(1599),
    [anon_sym_default] = ACTIONS(1599),
    [anon_sym_while] = ACTIONS(1599),
    [anon_sym_do] = ACTIONS(1599),
    [anon_sym_for] = ACTIONS(1599),
    [anon_sym_return] = ACTIONS(1599),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_continue] = ACTIONS(1599),
    [anon_sym_goto] = ACTIONS(1599),
    [anon_sym___try] = ACTIONS(1599),
    [anon_sym___leave] = ACTIONS(1599),
    [anon_sym_DASH_DASH] = ACTIONS(1601),
    [anon_sym_PLUS_PLUS] = ACTIONS(1601),
    [anon_sym_sizeof] = ACTIONS(1599),
    [anon_sym___alignof__] = ACTIONS(1599),
    [anon_sym___alignof] = ACTIONS(1599),
    [anon_sym__alignof] = ACTIONS(1599),
    [anon_sym_alignof] = ACTIONS(1599),
    [anon_sym__Alignof] = ACTIONS(1599),
    [anon_sym_offsetof] = ACTIONS(1599),
    [anon_sym__Generic] = ACTIONS(1599),
    [anon_sym_asm] = ACTIONS(1599),
    [anon_sym___asm__] = ACTIONS(1599),
    [sym_number_literal] = ACTIONS(1601),
    [anon_sym_L_SQUOTE] = ACTIONS(1601),
    [anon_sym_u_SQUOTE] = ACTIONS(1601),
    [anon_sym_U_SQUOTE] = ACTIONS(1601),
    [anon_sym_u8_SQUOTE] = ACTIONS(1601),
    [anon_sym_SQUOTE] = ACTIONS(1601),
    [anon_sym_L_DQUOTE] = ACTIONS(1601),
    [anon_sym_u_DQUOTE] = ACTIONS(1601),
    [anon_sym_U_DQUOTE] = ACTIONS(1601),
    [anon_sym_u8_DQUOTE] = ACTIONS(1601),
    [anon_sym_DQUOTE] = ACTIONS(1601),
    [sym_true] = ACTIONS(1599),
    [sym_false] = ACTIONS(1599),
    [anon_sym_NULL] = ACTIONS(1599),
    [anon_sym_nullptr] = ACTIONS(1599),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1599),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1599),
    [anon_sym_hitAttributeEXT] = ACTIONS(1599),
    [anon_sym_callableDataEXT] = ACTIONS(1599),
    [anon_sym_callableDataInEXT] = ACTIONS(1599),
    [anon_sym_shaderRecordEXT] = ACTIONS(1599),
    [anon_sym_rayPayloadNV] = ACTIONS(1599),
    [anon_sym_rayPayloadInNV] = ACTIONS(1599),
    [anon_sym_hitAttributeNV] = ACTIONS(1599),
    [anon_sym_callableDataNV] = ACTIONS(1599),
    [anon_sym_callableDataInNV] = ACTIONS(1599),
    [anon_sym_shaderRecordNV] = ACTIONS(1599),
    [anon_sym_layout] = ACTIONS(1599),
  },
  [494] = {
    [sym_identifier] = ACTIONS(1595),
    [aux_sym_preproc_include_token1] = ACTIONS(1595),
    [aux_sym_preproc_def_token1] = ACTIONS(1595),
    [aux_sym_preproc_if_token1] = ACTIONS(1595),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1595),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1595),
    [sym_preproc_directive] = ACTIONS(1595),
    [anon_sym_LPAREN2] = ACTIONS(1597),
    [anon_sym_BANG] = ACTIONS(1597),
    [anon_sym_TILDE] = ACTIONS(1597),
    [anon_sym_DASH] = ACTIONS(1595),
    [anon_sym_PLUS] = ACTIONS(1595),
    [anon_sym_STAR] = ACTIONS(1597),
    [anon_sym_AMP] = ACTIONS(1597),
    [anon_sym_subroutine] = ACTIONS(1595),
    [anon_sym_invariant] = ACTIONS(1595),
    [anon_sym_precise] = ACTIONS(1595),
    [anon_sym_SEMI] = ACTIONS(1597),
    [anon_sym_in] = ACTIONS(1595),
    [anon_sym_out] = ACTIONS(1595),
    [anon_sym_inout] = ACTIONS(1595),
    [anon_sym_uniform] = ACTIONS(1595),
    [anon_sym_shared] = ACTIONS(1595),
    [anon_sym_attribute] = ACTIONS(1595),
    [anon_sym_varying] = ACTIONS(1595),
    [anon_sym_buffer] = ACTIONS(1595),
    [anon_sym_coherent] = ACTIONS(1595),
    [anon_sym_readonly] = ACTIONS(1595),
    [anon_sym_writeonly] = ACTIONS(1595),
    [anon_sym_precision] = ACTIONS(1595),
    [anon_sym_highp] = ACTIONS(1595),
    [anon_sym_mediump] = ACTIONS(1595),
    [anon_sym_lowp] = ACTIONS(1595),
    [anon_sym_centroid] = ACTIONS(1595),
    [anon_sym_sample] = ACTIONS(1595),
    [anon_sym_patch] = ACTIONS(1595),
    [anon_sym_smooth] = ACTIONS(1595),
    [anon_sym_flat] = ACTIONS(1595),
    [anon_sym_noperspective] = ACTIONS(1595),
    [anon_sym___extension__] = ACTIONS(1595),
    [anon_sym_typedef] = ACTIONS(1595),
    [anon_sym_extern] = ACTIONS(1595),
    [anon_sym___attribute__] = ACTIONS(1595),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1597),
    [anon_sym___declspec] = ACTIONS(1595),
    [anon_sym___cdecl] = ACTIONS(1595),
    [anon_sym___clrcall] = ACTIONS(1595),
    [anon_sym___stdcall] = ACTIONS(1595),
    [anon_sym___fastcall] = ACTIONS(1595),
    [anon_sym___thiscall] = ACTIONS(1595),
    [anon_sym___vectorcall] = ACTIONS(1595),
    [anon_sym_LBRACE] = ACTIONS(1597),
    [anon_sym_RBRACE] = ACTIONS(1597),
    [anon_sym_signed] = ACTIONS(1595),
    [anon_sym_unsigned] = ACTIONS(1595),
    [anon_sym_long] = ACTIONS(1595),
    [anon_sym_short] = ACTIONS(1595),
    [anon_sym_static] = ACTIONS(1595),
    [anon_sym_auto] = ACTIONS(1595),
    [anon_sym_register] = ACTIONS(1595),
    [anon_sym_inline] = ACTIONS(1595),
    [anon_sym___inline] = ACTIONS(1595),
    [anon_sym___inline__] = ACTIONS(1595),
    [anon_sym___forceinline] = ACTIONS(1595),
    [anon_sym_thread_local] = ACTIONS(1595),
    [anon_sym___thread] = ACTIONS(1595),
    [anon_sym_const] = ACTIONS(1595),
    [anon_sym_constexpr] = ACTIONS(1595),
    [anon_sym_volatile] = ACTIONS(1595),
    [anon_sym_restrict] = ACTIONS(1595),
    [anon_sym___restrict__] = ACTIONS(1595),
    [anon_sym__Atomic] = ACTIONS(1595),
    [anon_sym__Noreturn] = ACTIONS(1595),
    [anon_sym_noreturn] = ACTIONS(1595),
    [sym_primitive_type] = ACTIONS(1595),
    [anon_sym_enum] = ACTIONS(1595),
    [anon_sym_struct] = ACTIONS(1595),
    [anon_sym_union] = ACTIONS(1595),
    [anon_sym_if] = ACTIONS(1595),
    [anon_sym_switch] = ACTIONS(1595),
    [anon_sym_case] = ACTIONS(1595),
    [anon_sym_default] = ACTIONS(1595),
    [anon_sym_while] = ACTIONS(1595),
    [anon_sym_do] = ACTIONS(1595),
    [anon_sym_for] = ACTIONS(1595),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_break] = ACTIONS(1595),
    [anon_sym_continue] = ACTIONS(1595),
    [anon_sym_goto] = ACTIONS(1595),
    [anon_sym___try] = ACTIONS(1595),
    [anon_sym___leave] = ACTIONS(1595),
    [anon_sym_DASH_DASH] = ACTIONS(1597),
    [anon_sym_PLUS_PLUS] = ACTIONS(1597),
    [anon_sym_sizeof] = ACTIONS(1595),
    [anon_sym___alignof__] = ACTIONS(1595),
    [anon_sym___alignof] = ACTIONS(1595),
    [anon_sym__alignof] = ACTIONS(1595),
    [anon_sym_alignof] = ACTIONS(1595),
    [anon_sym__Alignof] = ACTIONS(1595),
    [anon_sym_offsetof] = ACTIONS(1595),
    [anon_sym__Generic] = ACTIONS(1595),
    [anon_sym_asm] = ACTIONS(1595),
    [anon_sym___asm__] = ACTIONS(1595),
    [sym_number_literal] = ACTIONS(1597),
    [anon_sym_L_SQUOTE] = ACTIONS(1597),
    [anon_sym_u_SQUOTE] = ACTIONS(1597),
    [anon_sym_U_SQUOTE] = ACTIONS(1597),
    [anon_sym_u8_SQUOTE] = ACTIONS(1597),
    [anon_sym_SQUOTE] = ACTIONS(1597),
    [anon_sym_L_DQUOTE] = ACTIONS(1597),
    [anon_sym_u_DQUOTE] = ACTIONS(1597),
    [anon_sym_U_DQUOTE] = ACTIONS(1597),
    [anon_sym_u8_DQUOTE] = ACTIONS(1597),
    [anon_sym_DQUOTE] = ACTIONS(1597),
    [sym_true] = ACTIONS(1595),
    [sym_false] = ACTIONS(1595),
    [anon_sym_NULL] = ACTIONS(1595),
    [anon_sym_nullptr] = ACTIONS(1595),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1595),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1595),
    [anon_sym_hitAttributeEXT] = ACTIONS(1595),
    [anon_sym_callableDataEXT] = ACTIONS(1595),
    [anon_sym_callableDataInEXT] = ACTIONS(1595),
    [anon_sym_shaderRecordEXT] = ACTIONS(1595),
    [anon_sym_rayPayloadNV] = ACTIONS(1595),
    [anon_sym_rayPayloadInNV] = ACTIONS(1595),
    [anon_sym_hitAttributeNV] = ACTIONS(1595),
    [anon_sym_callableDataNV] = ACTIONS(1595),
    [anon_sym_callableDataInNV] = ACTIONS(1595),
    [anon_sym_shaderRecordNV] = ACTIONS(1595),
    [anon_sym_layout] = ACTIONS(1595),
  },
  [495] = {
    [sym_identifier] = ACTIONS(1591),
    [aux_sym_preproc_include_token1] = ACTIONS(1591),
    [aux_sym_preproc_def_token1] = ACTIONS(1591),
    [aux_sym_preproc_if_token1] = ACTIONS(1591),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1591),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1591),
    [sym_preproc_directive] = ACTIONS(1591),
    [anon_sym_LPAREN2] = ACTIONS(1593),
    [anon_sym_BANG] = ACTIONS(1593),
    [anon_sym_TILDE] = ACTIONS(1593),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_STAR] = ACTIONS(1593),
    [anon_sym_AMP] = ACTIONS(1593),
    [anon_sym_subroutine] = ACTIONS(1591),
    [anon_sym_invariant] = ACTIONS(1591),
    [anon_sym_precise] = ACTIONS(1591),
    [anon_sym_SEMI] = ACTIONS(1593),
    [anon_sym_in] = ACTIONS(1591),
    [anon_sym_out] = ACTIONS(1591),
    [anon_sym_inout] = ACTIONS(1591),
    [anon_sym_uniform] = ACTIONS(1591),
    [anon_sym_shared] = ACTIONS(1591),
    [anon_sym_attribute] = ACTIONS(1591),
    [anon_sym_varying] = ACTIONS(1591),
    [anon_sym_buffer] = ACTIONS(1591),
    [anon_sym_coherent] = ACTIONS(1591),
    [anon_sym_readonly] = ACTIONS(1591),
    [anon_sym_writeonly] = ACTIONS(1591),
    [anon_sym_precision] = ACTIONS(1591),
    [anon_sym_highp] = ACTIONS(1591),
    [anon_sym_mediump] = ACTIONS(1591),
    [anon_sym_lowp] = ACTIONS(1591),
    [anon_sym_centroid] = ACTIONS(1591),
    [anon_sym_sample] = ACTIONS(1591),
    [anon_sym_patch] = ACTIONS(1591),
    [anon_sym_smooth] = ACTIONS(1591),
    [anon_sym_flat] = ACTIONS(1591),
    [anon_sym_noperspective] = ACTIONS(1591),
    [anon_sym___extension__] = ACTIONS(1591),
    [anon_sym_typedef] = ACTIONS(1591),
    [anon_sym_extern] = ACTIONS(1591),
    [anon_sym___attribute__] = ACTIONS(1591),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1593),
    [anon_sym___declspec] = ACTIONS(1591),
    [anon_sym___cdecl] = ACTIONS(1591),
    [anon_sym___clrcall] = ACTIONS(1591),
    [anon_sym___stdcall] = ACTIONS(1591),
    [anon_sym___fastcall] = ACTIONS(1591),
    [anon_sym___thiscall] = ACTIONS(1591),
    [anon_sym___vectorcall] = ACTIONS(1591),
    [anon_sym_LBRACE] = ACTIONS(1593),
    [anon_sym_RBRACE] = ACTIONS(1593),
    [anon_sym_signed] = ACTIONS(1591),
    [anon_sym_unsigned] = ACTIONS(1591),
    [anon_sym_long] = ACTIONS(1591),
    [anon_sym_short] = ACTIONS(1591),
    [anon_sym_static] = ACTIONS(1591),
    [anon_sym_auto] = ACTIONS(1591),
    [anon_sym_register] = ACTIONS(1591),
    [anon_sym_inline] = ACTIONS(1591),
    [anon_sym___inline] = ACTIONS(1591),
    [anon_sym___inline__] = ACTIONS(1591),
    [anon_sym___forceinline] = ACTIONS(1591),
    [anon_sym_thread_local] = ACTIONS(1591),
    [anon_sym___thread] = ACTIONS(1591),
    [anon_sym_const] = ACTIONS(1591),
    [anon_sym_constexpr] = ACTIONS(1591),
    [anon_sym_volatile] = ACTIONS(1591),
    [anon_sym_restrict] = ACTIONS(1591),
    [anon_sym___restrict__] = ACTIONS(1591),
    [anon_sym__Atomic] = ACTIONS(1591),
    [anon_sym__Noreturn] = ACTIONS(1591),
    [anon_sym_noreturn] = ACTIONS(1591),
    [sym_primitive_type] = ACTIONS(1591),
    [anon_sym_enum] = ACTIONS(1591),
    [anon_sym_struct] = ACTIONS(1591),
    [anon_sym_union] = ACTIONS(1591),
    [anon_sym_if] = ACTIONS(1591),
    [anon_sym_switch] = ACTIONS(1591),
    [anon_sym_case] = ACTIONS(1591),
    [anon_sym_default] = ACTIONS(1591),
    [anon_sym_while] = ACTIONS(1591),
    [anon_sym_do] = ACTIONS(1591),
    [anon_sym_for] = ACTIONS(1591),
    [anon_sym_return] = ACTIONS(1591),
    [anon_sym_break] = ACTIONS(1591),
    [anon_sym_continue] = ACTIONS(1591),
    [anon_sym_goto] = ACTIONS(1591),
    [anon_sym___try] = ACTIONS(1591),
    [anon_sym___leave] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1593),
    [anon_sym_PLUS_PLUS] = ACTIONS(1593),
    [anon_sym_sizeof] = ACTIONS(1591),
    [anon_sym___alignof__] = ACTIONS(1591),
    [anon_sym___alignof] = ACTIONS(1591),
    [anon_sym__alignof] = ACTIONS(1591),
    [anon_sym_alignof] = ACTIONS(1591),
    [anon_sym__Alignof] = ACTIONS(1591),
    [anon_sym_offsetof] = ACTIONS(1591),
    [anon_sym__Generic] = ACTIONS(1591),
    [anon_sym_asm] = ACTIONS(1591),
    [anon_sym___asm__] = ACTIONS(1591),
    [sym_number_literal] = ACTIONS(1593),
    [anon_sym_L_SQUOTE] = ACTIONS(1593),
    [anon_sym_u_SQUOTE] = ACTIONS(1593),
    [anon_sym_U_SQUOTE] = ACTIONS(1593),
    [anon_sym_u8_SQUOTE] = ACTIONS(1593),
    [anon_sym_SQUOTE] = ACTIONS(1593),
    [anon_sym_L_DQUOTE] = ACTIONS(1593),
    [anon_sym_u_DQUOTE] = ACTIONS(1593),
    [anon_sym_U_DQUOTE] = ACTIONS(1593),
    [anon_sym_u8_DQUOTE] = ACTIONS(1593),
    [anon_sym_DQUOTE] = ACTIONS(1593),
    [sym_true] = ACTIONS(1591),
    [sym_false] = ACTIONS(1591),
    [anon_sym_NULL] = ACTIONS(1591),
    [anon_sym_nullptr] = ACTIONS(1591),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1591),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1591),
    [anon_sym_hitAttributeEXT] = ACTIONS(1591),
    [anon_sym_callableDataEXT] = ACTIONS(1591),
    [anon_sym_callableDataInEXT] = ACTIONS(1591),
    [anon_sym_shaderRecordEXT] = ACTIONS(1591),
    [anon_sym_rayPayloadNV] = ACTIONS(1591),
    [anon_sym_rayPayloadInNV] = ACTIONS(1591),
    [anon_sym_hitAttributeNV] = ACTIONS(1591),
    [anon_sym_callableDataNV] = ACTIONS(1591),
    [anon_sym_callableDataInNV] = ACTIONS(1591),
    [anon_sym_shaderRecordNV] = ACTIONS(1591),
    [anon_sym_layout] = ACTIONS(1591),
  },
  [496] = {
    [sym_identifier] = ACTIONS(1607),
    [aux_sym_preproc_include_token1] = ACTIONS(1607),
    [aux_sym_preproc_def_token1] = ACTIONS(1607),
    [aux_sym_preproc_if_token1] = ACTIONS(1607),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1607),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1607),
    [sym_preproc_directive] = ACTIONS(1607),
    [anon_sym_LPAREN2] = ACTIONS(1609),
    [anon_sym_BANG] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1609),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_PLUS] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_AMP] = ACTIONS(1609),
    [anon_sym_subroutine] = ACTIONS(1607),
    [anon_sym_invariant] = ACTIONS(1607),
    [anon_sym_precise] = ACTIONS(1607),
    [anon_sym_SEMI] = ACTIONS(1609),
    [anon_sym_in] = ACTIONS(1607),
    [anon_sym_out] = ACTIONS(1607),
    [anon_sym_inout] = ACTIONS(1607),
    [anon_sym_uniform] = ACTIONS(1607),
    [anon_sym_shared] = ACTIONS(1607),
    [anon_sym_attribute] = ACTIONS(1607),
    [anon_sym_varying] = ACTIONS(1607),
    [anon_sym_buffer] = ACTIONS(1607),
    [anon_sym_coherent] = ACTIONS(1607),
    [anon_sym_readonly] = ACTIONS(1607),
    [anon_sym_writeonly] = ACTIONS(1607),
    [anon_sym_precision] = ACTIONS(1607),
    [anon_sym_highp] = ACTIONS(1607),
    [anon_sym_mediump] = ACTIONS(1607),
    [anon_sym_lowp] = ACTIONS(1607),
    [anon_sym_centroid] = ACTIONS(1607),
    [anon_sym_sample] = ACTIONS(1607),
    [anon_sym_patch] = ACTIONS(1607),
    [anon_sym_smooth] = ACTIONS(1607),
    [anon_sym_flat] = ACTIONS(1607),
    [anon_sym_noperspective] = ACTIONS(1607),
    [anon_sym___extension__] = ACTIONS(1607),
    [anon_sym_typedef] = ACTIONS(1607),
    [anon_sym_extern] = ACTIONS(1607),
    [anon_sym___attribute__] = ACTIONS(1607),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1609),
    [anon_sym___declspec] = ACTIONS(1607),
    [anon_sym___cdecl] = ACTIONS(1607),
    [anon_sym___clrcall] = ACTIONS(1607),
    [anon_sym___stdcall] = ACTIONS(1607),
    [anon_sym___fastcall] = ACTIONS(1607),
    [anon_sym___thiscall] = ACTIONS(1607),
    [anon_sym___vectorcall] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_RBRACE] = ACTIONS(1609),
    [anon_sym_signed] = ACTIONS(1607),
    [anon_sym_unsigned] = ACTIONS(1607),
    [anon_sym_long] = ACTIONS(1607),
    [anon_sym_short] = ACTIONS(1607),
    [anon_sym_static] = ACTIONS(1607),
    [anon_sym_auto] = ACTIONS(1607),
    [anon_sym_register] = ACTIONS(1607),
    [anon_sym_inline] = ACTIONS(1607),
    [anon_sym___inline] = ACTIONS(1607),
    [anon_sym___inline__] = ACTIONS(1607),
    [anon_sym___forceinline] = ACTIONS(1607),
    [anon_sym_thread_local] = ACTIONS(1607),
    [anon_sym___thread] = ACTIONS(1607),
    [anon_sym_const] = ACTIONS(1607),
    [anon_sym_constexpr] = ACTIONS(1607),
    [anon_sym_volatile] = ACTIONS(1607),
    [anon_sym_restrict] = ACTIONS(1607),
    [anon_sym___restrict__] = ACTIONS(1607),
    [anon_sym__Atomic] = ACTIONS(1607),
    [anon_sym__Noreturn] = ACTIONS(1607),
    [anon_sym_noreturn] = ACTIONS(1607),
    [sym_primitive_type] = ACTIONS(1607),
    [anon_sym_enum] = ACTIONS(1607),
    [anon_sym_struct] = ACTIONS(1607),
    [anon_sym_union] = ACTIONS(1607),
    [anon_sym_if] = ACTIONS(1607),
    [anon_sym_switch] = ACTIONS(1607),
    [anon_sym_case] = ACTIONS(1607),
    [anon_sym_default] = ACTIONS(1607),
    [anon_sym_while] = ACTIONS(1607),
    [anon_sym_do] = ACTIONS(1607),
    [anon_sym_for] = ACTIONS(1607),
    [anon_sym_return] = ACTIONS(1607),
    [anon_sym_break] = ACTIONS(1607),
    [anon_sym_continue] = ACTIONS(1607),
    [anon_sym_goto] = ACTIONS(1607),
    [anon_sym___try] = ACTIONS(1607),
    [anon_sym___leave] = ACTIONS(1607),
    [anon_sym_DASH_DASH] = ACTIONS(1609),
    [anon_sym_PLUS_PLUS] = ACTIONS(1609),
    [anon_sym_sizeof] = ACTIONS(1607),
    [anon_sym___alignof__] = ACTIONS(1607),
    [anon_sym___alignof] = ACTIONS(1607),
    [anon_sym__alignof] = ACTIONS(1607),
    [anon_sym_alignof] = ACTIONS(1607),
    [anon_sym__Alignof] = ACTIONS(1607),
    [anon_sym_offsetof] = ACTIONS(1607),
    [anon_sym__Generic] = ACTIONS(1607),
    [anon_sym_asm] = ACTIONS(1607),
    [anon_sym___asm__] = ACTIONS(1607),
    [sym_number_literal] = ACTIONS(1609),
    [anon_sym_L_SQUOTE] = ACTIONS(1609),
    [anon_sym_u_SQUOTE] = ACTIONS(1609),
    [anon_sym_U_SQUOTE] = ACTIONS(1609),
    [anon_sym_u8_SQUOTE] = ACTIONS(1609),
    [anon_sym_SQUOTE] = ACTIONS(1609),
    [anon_sym_L_DQUOTE] = ACTIONS(1609),
    [anon_sym_u_DQUOTE] = ACTIONS(1609),
    [anon_sym_U_DQUOTE] = ACTIONS(1609),
    [anon_sym_u8_DQUOTE] = ACTIONS(1609),
    [anon_sym_DQUOTE] = ACTIONS(1609),
    [sym_true] = ACTIONS(1607),
    [sym_false] = ACTIONS(1607),
    [anon_sym_NULL] = ACTIONS(1607),
    [anon_sym_nullptr] = ACTIONS(1607),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1607),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1607),
    [anon_sym_hitAttributeEXT] = ACTIONS(1607),
    [anon_sym_callableDataEXT] = ACTIONS(1607),
    [anon_sym_callableDataInEXT] = ACTIONS(1607),
    [anon_sym_shaderRecordEXT] = ACTIONS(1607),
    [anon_sym_rayPayloadNV] = ACTIONS(1607),
    [anon_sym_rayPayloadInNV] = ACTIONS(1607),
    [anon_sym_hitAttributeNV] = ACTIONS(1607),
    [anon_sym_callableDataNV] = ACTIONS(1607),
    [anon_sym_callableDataInNV] = ACTIONS(1607),
    [anon_sym_shaderRecordNV] = ACTIONS(1607),
    [anon_sym_layout] = ACTIONS(1607),
  },
  [497] = {
    [sym_identifier] = ACTIONS(1611),
    [aux_sym_preproc_include_token1] = ACTIONS(1611),
    [aux_sym_preproc_def_token1] = ACTIONS(1611),
    [aux_sym_preproc_if_token1] = ACTIONS(1611),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1611),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1611),
    [sym_preproc_directive] = ACTIONS(1611),
    [anon_sym_LPAREN2] = ACTIONS(1613),
    [anon_sym_BANG] = ACTIONS(1613),
    [anon_sym_TILDE] = ACTIONS(1613),
    [anon_sym_DASH] = ACTIONS(1611),
    [anon_sym_PLUS] = ACTIONS(1611),
    [anon_sym_STAR] = ACTIONS(1613),
    [anon_sym_AMP] = ACTIONS(1613),
    [anon_sym_subroutine] = ACTIONS(1611),
    [anon_sym_invariant] = ACTIONS(1611),
    [anon_sym_precise] = ACTIONS(1611),
    [anon_sym_SEMI] = ACTIONS(1613),
    [anon_sym_in] = ACTIONS(1611),
    [anon_sym_out] = ACTIONS(1611),
    [anon_sym_inout] = ACTIONS(1611),
    [anon_sym_uniform] = ACTIONS(1611),
    [anon_sym_shared] = ACTIONS(1611),
    [anon_sym_attribute] = ACTIONS(1611),
    [anon_sym_varying] = ACTIONS(1611),
    [anon_sym_buffer] = ACTIONS(1611),
    [anon_sym_coherent] = ACTIONS(1611),
    [anon_sym_readonly] = ACTIONS(1611),
    [anon_sym_writeonly] = ACTIONS(1611),
    [anon_sym_precision] = ACTIONS(1611),
    [anon_sym_highp] = ACTIONS(1611),
    [anon_sym_mediump] = ACTIONS(1611),
    [anon_sym_lowp] = ACTIONS(1611),
    [anon_sym_centroid] = ACTIONS(1611),
    [anon_sym_sample] = ACTIONS(1611),
    [anon_sym_patch] = ACTIONS(1611),
    [anon_sym_smooth] = ACTIONS(1611),
    [anon_sym_flat] = ACTIONS(1611),
    [anon_sym_noperspective] = ACTIONS(1611),
    [anon_sym___extension__] = ACTIONS(1611),
    [anon_sym_typedef] = ACTIONS(1611),
    [anon_sym_extern] = ACTIONS(1611),
    [anon_sym___attribute__] = ACTIONS(1611),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1613),
    [anon_sym___declspec] = ACTIONS(1611),
    [anon_sym___cdecl] = ACTIONS(1611),
    [anon_sym___clrcall] = ACTIONS(1611),
    [anon_sym___stdcall] = ACTIONS(1611),
    [anon_sym___fastcall] = ACTIONS(1611),
    [anon_sym___thiscall] = ACTIONS(1611),
    [anon_sym___vectorcall] = ACTIONS(1611),
    [anon_sym_LBRACE] = ACTIONS(1613),
    [anon_sym_RBRACE] = ACTIONS(1613),
    [anon_sym_signed] = ACTIONS(1611),
    [anon_sym_unsigned] = ACTIONS(1611),
    [anon_sym_long] = ACTIONS(1611),
    [anon_sym_short] = ACTIONS(1611),
    [anon_sym_static] = ACTIONS(1611),
    [anon_sym_auto] = ACTIONS(1611),
    [anon_sym_register] = ACTIONS(1611),
    [anon_sym_inline] = ACTIONS(1611),
    [anon_sym___inline] = ACTIONS(1611),
    [anon_sym___inline__] = ACTIONS(1611),
    [anon_sym___forceinline] = ACTIONS(1611),
    [anon_sym_thread_local] = ACTIONS(1611),
    [anon_sym___thread] = ACTIONS(1611),
    [anon_sym_const] = ACTIONS(1611),
    [anon_sym_constexpr] = ACTIONS(1611),
    [anon_sym_volatile] = ACTIONS(1611),
    [anon_sym_restrict] = ACTIONS(1611),
    [anon_sym___restrict__] = ACTIONS(1611),
    [anon_sym__Atomic] = ACTIONS(1611),
    [anon_sym__Noreturn] = ACTIONS(1611),
    [anon_sym_noreturn] = ACTIONS(1611),
    [sym_primitive_type] = ACTIONS(1611),
    [anon_sym_enum] = ACTIONS(1611),
    [anon_sym_struct] = ACTIONS(1611),
    [anon_sym_union] = ACTIONS(1611),
    [anon_sym_if] = ACTIONS(1611),
    [anon_sym_switch] = ACTIONS(1611),
    [anon_sym_case] = ACTIONS(1611),
    [anon_sym_default] = ACTIONS(1611),
    [anon_sym_while] = ACTIONS(1611),
    [anon_sym_do] = ACTIONS(1611),
    [anon_sym_for] = ACTIONS(1611),
    [anon_sym_return] = ACTIONS(1611),
    [anon_sym_break] = ACTIONS(1611),
    [anon_sym_continue] = ACTIONS(1611),
    [anon_sym_goto] = ACTIONS(1611),
    [anon_sym___try] = ACTIONS(1611),
    [anon_sym___leave] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1613),
    [anon_sym_PLUS_PLUS] = ACTIONS(1613),
    [anon_sym_sizeof] = ACTIONS(1611),
    [anon_sym___alignof__] = ACTIONS(1611),
    [anon_sym___alignof] = ACTIONS(1611),
    [anon_sym__alignof] = ACTIONS(1611),
    [anon_sym_alignof] = ACTIONS(1611),
    [anon_sym__Alignof] = ACTIONS(1611),
    [anon_sym_offsetof] = ACTIONS(1611),
    [anon_sym__Generic] = ACTIONS(1611),
    [anon_sym_asm] = ACTIONS(1611),
    [anon_sym___asm__] = ACTIONS(1611),
    [sym_number_literal] = ACTIONS(1613),
    [anon_sym_L_SQUOTE] = ACTIONS(1613),
    [anon_sym_u_SQUOTE] = ACTIONS(1613),
    [anon_sym_U_SQUOTE] = ACTIONS(1613),
    [anon_sym_u8_SQUOTE] = ACTIONS(1613),
    [anon_sym_SQUOTE] = ACTIONS(1613),
    [anon_sym_L_DQUOTE] = ACTIONS(1613),
    [anon_sym_u_DQUOTE] = ACTIONS(1613),
    [anon_sym_U_DQUOTE] = ACTIONS(1613),
    [anon_sym_u8_DQUOTE] = ACTIONS(1613),
    [anon_sym_DQUOTE] = ACTIONS(1613),
    [sym_true] = ACTIONS(1611),
    [sym_false] = ACTIONS(1611),
    [anon_sym_NULL] = ACTIONS(1611),
    [anon_sym_nullptr] = ACTIONS(1611),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1611),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1611),
    [anon_sym_hitAttributeEXT] = ACTIONS(1611),
    [anon_sym_callableDataEXT] = ACTIONS(1611),
    [anon_sym_callableDataInEXT] = ACTIONS(1611),
    [anon_sym_shaderRecordEXT] = ACTIONS(1611),
    [anon_sym_rayPayloadNV] = ACTIONS(1611),
    [anon_sym_rayPayloadInNV] = ACTIONS(1611),
    [anon_sym_hitAttributeNV] = ACTIONS(1611),
    [anon_sym_callableDataNV] = ACTIONS(1611),
    [anon_sym_callableDataInNV] = ACTIONS(1611),
    [anon_sym_shaderRecordNV] = ACTIONS(1611),
    [anon_sym_layout] = ACTIONS(1611),
  },
  [498] = {
    [sym_identifier] = ACTIONS(1615),
    [aux_sym_preproc_include_token1] = ACTIONS(1615),
    [aux_sym_preproc_def_token1] = ACTIONS(1615),
    [aux_sym_preproc_if_token1] = ACTIONS(1615),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1615),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1615),
    [sym_preproc_directive] = ACTIONS(1615),
    [anon_sym_LPAREN2] = ACTIONS(1617),
    [anon_sym_BANG] = ACTIONS(1617),
    [anon_sym_TILDE] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1615),
    [anon_sym_PLUS] = ACTIONS(1615),
    [anon_sym_STAR] = ACTIONS(1617),
    [anon_sym_AMP] = ACTIONS(1617),
    [anon_sym_subroutine] = ACTIONS(1615),
    [anon_sym_invariant] = ACTIONS(1615),
    [anon_sym_precise] = ACTIONS(1615),
    [anon_sym_SEMI] = ACTIONS(1617),
    [anon_sym_in] = ACTIONS(1615),
    [anon_sym_out] = ACTIONS(1615),
    [anon_sym_inout] = ACTIONS(1615),
    [anon_sym_uniform] = ACTIONS(1615),
    [anon_sym_shared] = ACTIONS(1615),
    [anon_sym_attribute] = ACTIONS(1615),
    [anon_sym_varying] = ACTIONS(1615),
    [anon_sym_buffer] = ACTIONS(1615),
    [anon_sym_coherent] = ACTIONS(1615),
    [anon_sym_readonly] = ACTIONS(1615),
    [anon_sym_writeonly] = ACTIONS(1615),
    [anon_sym_precision] = ACTIONS(1615),
    [anon_sym_highp] = ACTIONS(1615),
    [anon_sym_mediump] = ACTIONS(1615),
    [anon_sym_lowp] = ACTIONS(1615),
    [anon_sym_centroid] = ACTIONS(1615),
    [anon_sym_sample] = ACTIONS(1615),
    [anon_sym_patch] = ACTIONS(1615),
    [anon_sym_smooth] = ACTIONS(1615),
    [anon_sym_flat] = ACTIONS(1615),
    [anon_sym_noperspective] = ACTIONS(1615),
    [anon_sym___extension__] = ACTIONS(1615),
    [anon_sym_typedef] = ACTIONS(1615),
    [anon_sym_extern] = ACTIONS(1615),
    [anon_sym___attribute__] = ACTIONS(1615),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1617),
    [anon_sym___declspec] = ACTIONS(1615),
    [anon_sym___cdecl] = ACTIONS(1615),
    [anon_sym___clrcall] = ACTIONS(1615),
    [anon_sym___stdcall] = ACTIONS(1615),
    [anon_sym___fastcall] = ACTIONS(1615),
    [anon_sym___thiscall] = ACTIONS(1615),
    [anon_sym___vectorcall] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1617),
    [anon_sym_RBRACE] = ACTIONS(1617),
    [anon_sym_signed] = ACTIONS(1615),
    [anon_sym_unsigned] = ACTIONS(1615),
    [anon_sym_long] = ACTIONS(1615),
    [anon_sym_short] = ACTIONS(1615),
    [anon_sym_static] = ACTIONS(1615),
    [anon_sym_auto] = ACTIONS(1615),
    [anon_sym_register] = ACTIONS(1615),
    [anon_sym_inline] = ACTIONS(1615),
    [anon_sym___inline] = ACTIONS(1615),
    [anon_sym___inline__] = ACTIONS(1615),
    [anon_sym___forceinline] = ACTIONS(1615),
    [anon_sym_thread_local] = ACTIONS(1615),
    [anon_sym___thread] = ACTIONS(1615),
    [anon_sym_const] = ACTIONS(1615),
    [anon_sym_constexpr] = ACTIONS(1615),
    [anon_sym_volatile] = ACTIONS(1615),
    [anon_sym_restrict] = ACTIONS(1615),
    [anon_sym___restrict__] = ACTIONS(1615),
    [anon_sym__Atomic] = ACTIONS(1615),
    [anon_sym__Noreturn] = ACTIONS(1615),
    [anon_sym_noreturn] = ACTIONS(1615),
    [sym_primitive_type] = ACTIONS(1615),
    [anon_sym_enum] = ACTIONS(1615),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_union] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1615),
    [anon_sym_switch] = ACTIONS(1615),
    [anon_sym_case] = ACTIONS(1615),
    [anon_sym_default] = ACTIONS(1615),
    [anon_sym_while] = ACTIONS(1615),
    [anon_sym_do] = ACTIONS(1615),
    [anon_sym_for] = ACTIONS(1615),
    [anon_sym_return] = ACTIONS(1615),
    [anon_sym_break] = ACTIONS(1615),
    [anon_sym_continue] = ACTIONS(1615),
    [anon_sym_goto] = ACTIONS(1615),
    [anon_sym___try] = ACTIONS(1615),
    [anon_sym___leave] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1617),
    [anon_sym_PLUS_PLUS] = ACTIONS(1617),
    [anon_sym_sizeof] = ACTIONS(1615),
    [anon_sym___alignof__] = ACTIONS(1615),
    [anon_sym___alignof] = ACTIONS(1615),
    [anon_sym__alignof] = ACTIONS(1615),
    [anon_sym_alignof] = ACTIONS(1615),
    [anon_sym__Alignof] = ACTIONS(1615),
    [anon_sym_offsetof] = ACTIONS(1615),
    [anon_sym__Generic] = ACTIONS(1615),
    [anon_sym_asm] = ACTIONS(1615),
    [anon_sym___asm__] = ACTIONS(1615),
    [sym_number_literal] = ACTIONS(1617),
    [anon_sym_L_SQUOTE] = ACTIONS(1617),
    [anon_sym_u_SQUOTE] = ACTIONS(1617),
    [anon_sym_U_SQUOTE] = ACTIONS(1617),
    [anon_sym_u8_SQUOTE] = ACTIONS(1617),
    [anon_sym_SQUOTE] = ACTIONS(1617),
    [anon_sym_L_DQUOTE] = ACTIONS(1617),
    [anon_sym_u_DQUOTE] = ACTIONS(1617),
    [anon_sym_U_DQUOTE] = ACTIONS(1617),
    [anon_sym_u8_DQUOTE] = ACTIONS(1617),
    [anon_sym_DQUOTE] = ACTIONS(1617),
    [sym_true] = ACTIONS(1615),
    [sym_false] = ACTIONS(1615),
    [anon_sym_NULL] = ACTIONS(1615),
    [anon_sym_nullptr] = ACTIONS(1615),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1615),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1615),
    [anon_sym_hitAttributeEXT] = ACTIONS(1615),
    [anon_sym_callableDataEXT] = ACTIONS(1615),
    [anon_sym_callableDataInEXT] = ACTIONS(1615),
    [anon_sym_shaderRecordEXT] = ACTIONS(1615),
    [anon_sym_rayPayloadNV] = ACTIONS(1615),
    [anon_sym_rayPayloadInNV] = ACTIONS(1615),
    [anon_sym_hitAttributeNV] = ACTIONS(1615),
    [anon_sym_callableDataNV] = ACTIONS(1615),
    [anon_sym_callableDataInNV] = ACTIONS(1615),
    [anon_sym_shaderRecordNV] = ACTIONS(1615),
    [anon_sym_layout] = ACTIONS(1615),
  },
  [499] = {
    [sym_identifier] = ACTIONS(1619),
    [aux_sym_preproc_include_token1] = ACTIONS(1619),
    [aux_sym_preproc_def_token1] = ACTIONS(1619),
    [aux_sym_preproc_if_token1] = ACTIONS(1619),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1619),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1619),
    [sym_preproc_directive] = ACTIONS(1619),
    [anon_sym_LPAREN2] = ACTIONS(1621),
    [anon_sym_BANG] = ACTIONS(1621),
    [anon_sym_TILDE] = ACTIONS(1621),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_STAR] = ACTIONS(1621),
    [anon_sym_AMP] = ACTIONS(1621),
    [anon_sym_subroutine] = ACTIONS(1619),
    [anon_sym_invariant] = ACTIONS(1619),
    [anon_sym_precise] = ACTIONS(1619),
    [anon_sym_SEMI] = ACTIONS(1621),
    [anon_sym_in] = ACTIONS(1619),
    [anon_sym_out] = ACTIONS(1619),
    [anon_sym_inout] = ACTIONS(1619),
    [anon_sym_uniform] = ACTIONS(1619),
    [anon_sym_shared] = ACTIONS(1619),
    [anon_sym_attribute] = ACTIONS(1619),
    [anon_sym_varying] = ACTIONS(1619),
    [anon_sym_buffer] = ACTIONS(1619),
    [anon_sym_coherent] = ACTIONS(1619),
    [anon_sym_readonly] = ACTIONS(1619),
    [anon_sym_writeonly] = ACTIONS(1619),
    [anon_sym_precision] = ACTIONS(1619),
    [anon_sym_highp] = ACTIONS(1619),
    [anon_sym_mediump] = ACTIONS(1619),
    [anon_sym_lowp] = ACTIONS(1619),
    [anon_sym_centroid] = ACTIONS(1619),
    [anon_sym_sample] = ACTIONS(1619),
    [anon_sym_patch] = ACTIONS(1619),
    [anon_sym_smooth] = ACTIONS(1619),
    [anon_sym_flat] = ACTIONS(1619),
    [anon_sym_noperspective] = ACTIONS(1619),
    [anon_sym___extension__] = ACTIONS(1619),
    [anon_sym_typedef] = ACTIONS(1619),
    [anon_sym_extern] = ACTIONS(1619),
    [anon_sym___attribute__] = ACTIONS(1619),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1621),
    [anon_sym___declspec] = ACTIONS(1619),
    [anon_sym___cdecl] = ACTIONS(1619),
    [anon_sym___clrcall] = ACTIONS(1619),
    [anon_sym___stdcall] = ACTIONS(1619),
    [anon_sym___fastcall] = ACTIONS(1619),
    [anon_sym___thiscall] = ACTIONS(1619),
    [anon_sym___vectorcall] = ACTIONS(1619),
    [anon_sym_LBRACE] = ACTIONS(1621),
    [anon_sym_RBRACE] = ACTIONS(1621),
    [anon_sym_signed] = ACTIONS(1619),
    [anon_sym_unsigned] = ACTIONS(1619),
    [anon_sym_long] = ACTIONS(1619),
    [anon_sym_short] = ACTIONS(1619),
    [anon_sym_static] = ACTIONS(1619),
    [anon_sym_auto] = ACTIONS(1619),
    [anon_sym_register] = ACTIONS(1619),
    [anon_sym_inline] = ACTIONS(1619),
    [anon_sym___inline] = ACTIONS(1619),
    [anon_sym___inline__] = ACTIONS(1619),
    [anon_sym___forceinline] = ACTIONS(1619),
    [anon_sym_thread_local] = ACTIONS(1619),
    [anon_sym___thread] = ACTIONS(1619),
    [anon_sym_const] = ACTIONS(1619),
    [anon_sym_constexpr] = ACTIONS(1619),
    [anon_sym_volatile] = ACTIONS(1619),
    [anon_sym_restrict] = ACTIONS(1619),
    [anon_sym___restrict__] = ACTIONS(1619),
    [anon_sym__Atomic] = ACTIONS(1619),
    [anon_sym__Noreturn] = ACTIONS(1619),
    [anon_sym_noreturn] = ACTIONS(1619),
    [sym_primitive_type] = ACTIONS(1619),
    [anon_sym_enum] = ACTIONS(1619),
    [anon_sym_struct] = ACTIONS(1619),
    [anon_sym_union] = ACTIONS(1619),
    [anon_sym_if] = ACTIONS(1619),
    [anon_sym_switch] = ACTIONS(1619),
    [anon_sym_case] = ACTIONS(1619),
    [anon_sym_default] = ACTIONS(1619),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_do] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1619),
    [anon_sym_return] = ACTIONS(1619),
    [anon_sym_break] = ACTIONS(1619),
    [anon_sym_continue] = ACTIONS(1619),
    [anon_sym_goto] = ACTIONS(1619),
    [anon_sym___try] = ACTIONS(1619),
    [anon_sym___leave] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_sizeof] = ACTIONS(1619),
    [anon_sym___alignof__] = ACTIONS(1619),
    [anon_sym___alignof] = ACTIONS(1619),
    [anon_sym__alignof] = ACTIONS(1619),
    [anon_sym_alignof] = ACTIONS(1619),
    [anon_sym__Alignof] = ACTIONS(1619),
    [anon_sym_offsetof] = ACTIONS(1619),
    [anon_sym__Generic] = ACTIONS(1619),
    [anon_sym_asm] = ACTIONS(1619),
    [anon_sym___asm__] = ACTIONS(1619),
    [sym_number_literal] = ACTIONS(1621),
    [anon_sym_L_SQUOTE] = ACTIONS(1621),
    [anon_sym_u_SQUOTE] = ACTIONS(1621),
    [anon_sym_U_SQUOTE] = ACTIONS(1621),
    [anon_sym_u8_SQUOTE] = ACTIONS(1621),
    [anon_sym_SQUOTE] = ACTIONS(1621),
    [anon_sym_L_DQUOTE] = ACTIONS(1621),
    [anon_sym_u_DQUOTE] = ACTIONS(1621),
    [anon_sym_U_DQUOTE] = ACTIONS(1621),
    [anon_sym_u8_DQUOTE] = ACTIONS(1621),
    [anon_sym_DQUOTE] = ACTIONS(1621),
    [sym_true] = ACTIONS(1619),
    [sym_false] = ACTIONS(1619),
    [anon_sym_NULL] = ACTIONS(1619),
    [anon_sym_nullptr] = ACTIONS(1619),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1619),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1619),
    [anon_sym_hitAttributeEXT] = ACTIONS(1619),
    [anon_sym_callableDataEXT] = ACTIONS(1619),
    [anon_sym_callableDataInEXT] = ACTIONS(1619),
    [anon_sym_shaderRecordEXT] = ACTIONS(1619),
    [anon_sym_rayPayloadNV] = ACTIONS(1619),
    [anon_sym_rayPayloadInNV] = ACTIONS(1619),
    [anon_sym_hitAttributeNV] = ACTIONS(1619),
    [anon_sym_callableDataNV] = ACTIONS(1619),
    [anon_sym_callableDataInNV] = ACTIONS(1619),
    [anon_sym_shaderRecordNV] = ACTIONS(1619),
    [anon_sym_layout] = ACTIONS(1619),
  },
  [500] = {
    [sym_identifier] = ACTIONS(1595),
    [aux_sym_preproc_include_token1] = ACTIONS(1595),
    [aux_sym_preproc_def_token1] = ACTIONS(1595),
    [aux_sym_preproc_if_token1] = ACTIONS(1595),
    [aux_sym_preproc_if_token2] = ACTIONS(1595),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1595),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1595),
    [sym_preproc_directive] = ACTIONS(1595),
    [anon_sym_LPAREN2] = ACTIONS(1597),
    [anon_sym_BANG] = ACTIONS(1597),
    [anon_sym_TILDE] = ACTIONS(1597),
    [anon_sym_DASH] = ACTIONS(1595),
    [anon_sym_PLUS] = ACTIONS(1595),
    [anon_sym_STAR] = ACTIONS(1597),
    [anon_sym_AMP] = ACTIONS(1597),
    [anon_sym_subroutine] = ACTIONS(1595),
    [anon_sym_invariant] = ACTIONS(1595),
    [anon_sym_precise] = ACTIONS(1595),
    [anon_sym_SEMI] = ACTIONS(1597),
    [anon_sym_in] = ACTIONS(1595),
    [anon_sym_out] = ACTIONS(1595),
    [anon_sym_inout] = ACTIONS(1595),
    [anon_sym_uniform] = ACTIONS(1595),
    [anon_sym_shared] = ACTIONS(1595),
    [anon_sym_attribute] = ACTIONS(1595),
    [anon_sym_varying] = ACTIONS(1595),
    [anon_sym_buffer] = ACTIONS(1595),
    [anon_sym_coherent] = ACTIONS(1595),
    [anon_sym_readonly] = ACTIONS(1595),
    [anon_sym_writeonly] = ACTIONS(1595),
    [anon_sym_precision] = ACTIONS(1595),
    [anon_sym_highp] = ACTIONS(1595),
    [anon_sym_mediump] = ACTIONS(1595),
    [anon_sym_lowp] = ACTIONS(1595),
    [anon_sym_centroid] = ACTIONS(1595),
    [anon_sym_sample] = ACTIONS(1595),
    [anon_sym_patch] = ACTIONS(1595),
    [anon_sym_smooth] = ACTIONS(1595),
    [anon_sym_flat] = ACTIONS(1595),
    [anon_sym_noperspective] = ACTIONS(1595),
    [anon_sym___extension__] = ACTIONS(1595),
    [anon_sym_typedef] = ACTIONS(1595),
    [anon_sym_extern] = ACTIONS(1595),
    [anon_sym___attribute__] = ACTIONS(1595),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1597),
    [anon_sym___declspec] = ACTIONS(1595),
    [anon_sym___cdecl] = ACTIONS(1595),
    [anon_sym___clrcall] = ACTIONS(1595),
    [anon_sym___stdcall] = ACTIONS(1595),
    [anon_sym___fastcall] = ACTIONS(1595),
    [anon_sym___thiscall] = ACTIONS(1595),
    [anon_sym___vectorcall] = ACTIONS(1595),
    [anon_sym_LBRACE] = ACTIONS(1597),
    [anon_sym_signed] = ACTIONS(1595),
    [anon_sym_unsigned] = ACTIONS(1595),
    [anon_sym_long] = ACTIONS(1595),
    [anon_sym_short] = ACTIONS(1595),
    [anon_sym_static] = ACTIONS(1595),
    [anon_sym_auto] = ACTIONS(1595),
    [anon_sym_register] = ACTIONS(1595),
    [anon_sym_inline] = ACTIONS(1595),
    [anon_sym___inline] = ACTIONS(1595),
    [anon_sym___inline__] = ACTIONS(1595),
    [anon_sym___forceinline] = ACTIONS(1595),
    [anon_sym_thread_local] = ACTIONS(1595),
    [anon_sym___thread] = ACTIONS(1595),
    [anon_sym_const] = ACTIONS(1595),
    [anon_sym_constexpr] = ACTIONS(1595),
    [anon_sym_volatile] = ACTIONS(1595),
    [anon_sym_restrict] = ACTIONS(1595),
    [anon_sym___restrict__] = ACTIONS(1595),
    [anon_sym__Atomic] = ACTIONS(1595),
    [anon_sym__Noreturn] = ACTIONS(1595),
    [anon_sym_noreturn] = ACTIONS(1595),
    [sym_primitive_type] = ACTIONS(1595),
    [anon_sym_enum] = ACTIONS(1595),
    [anon_sym_struct] = ACTIONS(1595),
    [anon_sym_union] = ACTIONS(1595),
    [anon_sym_if] = ACTIONS(1595),
    [anon_sym_switch] = ACTIONS(1595),
    [anon_sym_case] = ACTIONS(1595),
    [anon_sym_default] = ACTIONS(1595),
    [anon_sym_while] = ACTIONS(1595),
    [anon_sym_do] = ACTIONS(1595),
    [anon_sym_for] = ACTIONS(1595),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_break] = ACTIONS(1595),
    [anon_sym_continue] = ACTIONS(1595),
    [anon_sym_goto] = ACTIONS(1595),
    [anon_sym___try] = ACTIONS(1595),
    [anon_sym___leave] = ACTIONS(1595),
    [anon_sym_DASH_DASH] = ACTIONS(1597),
    [anon_sym_PLUS_PLUS] = ACTIONS(1597),
    [anon_sym_sizeof] = ACTIONS(1595),
    [anon_sym___alignof__] = ACTIONS(1595),
    [anon_sym___alignof] = ACTIONS(1595),
    [anon_sym__alignof] = ACTIONS(1595),
    [anon_sym_alignof] = ACTIONS(1595),
    [anon_sym__Alignof] = ACTIONS(1595),
    [anon_sym_offsetof] = ACTIONS(1595),
    [anon_sym__Generic] = ACTIONS(1595),
    [anon_sym_asm] = ACTIONS(1595),
    [anon_sym___asm__] = ACTIONS(1595),
    [sym_number_literal] = ACTIONS(1597),
    [anon_sym_L_SQUOTE] = ACTIONS(1597),
    [anon_sym_u_SQUOTE] = ACTIONS(1597),
    [anon_sym_U_SQUOTE] = ACTIONS(1597),
    [anon_sym_u8_SQUOTE] = ACTIONS(1597),
    [anon_sym_SQUOTE] = ACTIONS(1597),
    [anon_sym_L_DQUOTE] = ACTIONS(1597),
    [anon_sym_u_DQUOTE] = ACTIONS(1597),
    [anon_sym_U_DQUOTE] = ACTIONS(1597),
    [anon_sym_u8_DQUOTE] = ACTIONS(1597),
    [anon_sym_DQUOTE] = ACTIONS(1597),
    [sym_true] = ACTIONS(1595),
    [sym_false] = ACTIONS(1595),
    [anon_sym_NULL] = ACTIONS(1595),
    [anon_sym_nullptr] = ACTIONS(1595),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1595),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1595),
    [anon_sym_hitAttributeEXT] = ACTIONS(1595),
    [anon_sym_callableDataEXT] = ACTIONS(1595),
    [anon_sym_callableDataInEXT] = ACTIONS(1595),
    [anon_sym_shaderRecordEXT] = ACTIONS(1595),
    [anon_sym_rayPayloadNV] = ACTIONS(1595),
    [anon_sym_rayPayloadInNV] = ACTIONS(1595),
    [anon_sym_hitAttributeNV] = ACTIONS(1595),
    [anon_sym_callableDataNV] = ACTIONS(1595),
    [anon_sym_callableDataInNV] = ACTIONS(1595),
    [anon_sym_shaderRecordNV] = ACTIONS(1595),
    [anon_sym_layout] = ACTIONS(1595),
  },
  [501] = {
    [sym_identifier] = ACTIONS(1599),
    [aux_sym_preproc_include_token1] = ACTIONS(1599),
    [aux_sym_preproc_def_token1] = ACTIONS(1599),
    [aux_sym_preproc_if_token1] = ACTIONS(1599),
    [aux_sym_preproc_if_token2] = ACTIONS(1599),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1599),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1599),
    [sym_preproc_directive] = ACTIONS(1599),
    [anon_sym_LPAREN2] = ACTIONS(1601),
    [anon_sym_BANG] = ACTIONS(1601),
    [anon_sym_TILDE] = ACTIONS(1601),
    [anon_sym_DASH] = ACTIONS(1599),
    [anon_sym_PLUS] = ACTIONS(1599),
    [anon_sym_STAR] = ACTIONS(1601),
    [anon_sym_AMP] = ACTIONS(1601),
    [anon_sym_subroutine] = ACTIONS(1599),
    [anon_sym_invariant] = ACTIONS(1599),
    [anon_sym_precise] = ACTIONS(1599),
    [anon_sym_SEMI] = ACTIONS(1601),
    [anon_sym_in] = ACTIONS(1599),
    [anon_sym_out] = ACTIONS(1599),
    [anon_sym_inout] = ACTIONS(1599),
    [anon_sym_uniform] = ACTIONS(1599),
    [anon_sym_shared] = ACTIONS(1599),
    [anon_sym_attribute] = ACTIONS(1599),
    [anon_sym_varying] = ACTIONS(1599),
    [anon_sym_buffer] = ACTIONS(1599),
    [anon_sym_coherent] = ACTIONS(1599),
    [anon_sym_readonly] = ACTIONS(1599),
    [anon_sym_writeonly] = ACTIONS(1599),
    [anon_sym_precision] = ACTIONS(1599),
    [anon_sym_highp] = ACTIONS(1599),
    [anon_sym_mediump] = ACTIONS(1599),
    [anon_sym_lowp] = ACTIONS(1599),
    [anon_sym_centroid] = ACTIONS(1599),
    [anon_sym_sample] = ACTIONS(1599),
    [anon_sym_patch] = ACTIONS(1599),
    [anon_sym_smooth] = ACTIONS(1599),
    [anon_sym_flat] = ACTIONS(1599),
    [anon_sym_noperspective] = ACTIONS(1599),
    [anon_sym___extension__] = ACTIONS(1599),
    [anon_sym_typedef] = ACTIONS(1599),
    [anon_sym_extern] = ACTIONS(1599),
    [anon_sym___attribute__] = ACTIONS(1599),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1601),
    [anon_sym___declspec] = ACTIONS(1599),
    [anon_sym___cdecl] = ACTIONS(1599),
    [anon_sym___clrcall] = ACTIONS(1599),
    [anon_sym___stdcall] = ACTIONS(1599),
    [anon_sym___fastcall] = ACTIONS(1599),
    [anon_sym___thiscall] = ACTIONS(1599),
    [anon_sym___vectorcall] = ACTIONS(1599),
    [anon_sym_LBRACE] = ACTIONS(1601),
    [anon_sym_signed] = ACTIONS(1599),
    [anon_sym_unsigned] = ACTIONS(1599),
    [anon_sym_long] = ACTIONS(1599),
    [anon_sym_short] = ACTIONS(1599),
    [anon_sym_static] = ACTIONS(1599),
    [anon_sym_auto] = ACTIONS(1599),
    [anon_sym_register] = ACTIONS(1599),
    [anon_sym_inline] = ACTIONS(1599),
    [anon_sym___inline] = ACTIONS(1599),
    [anon_sym___inline__] = ACTIONS(1599),
    [anon_sym___forceinline] = ACTIONS(1599),
    [anon_sym_thread_local] = ACTIONS(1599),
    [anon_sym___thread] = ACTIONS(1599),
    [anon_sym_const] = ACTIONS(1599),
    [anon_sym_constexpr] = ACTIONS(1599),
    [anon_sym_volatile] = ACTIONS(1599),
    [anon_sym_restrict] = ACTIONS(1599),
    [anon_sym___restrict__] = ACTIONS(1599),
    [anon_sym__Atomic] = ACTIONS(1599),
    [anon_sym__Noreturn] = ACTIONS(1599),
    [anon_sym_noreturn] = ACTIONS(1599),
    [sym_primitive_type] = ACTIONS(1599),
    [anon_sym_enum] = ACTIONS(1599),
    [anon_sym_struct] = ACTIONS(1599),
    [anon_sym_union] = ACTIONS(1599),
    [anon_sym_if] = ACTIONS(1599),
    [anon_sym_switch] = ACTIONS(1599),
    [anon_sym_case] = ACTIONS(1599),
    [anon_sym_default] = ACTIONS(1599),
    [anon_sym_while] = ACTIONS(1599),
    [anon_sym_do] = ACTIONS(1599),
    [anon_sym_for] = ACTIONS(1599),
    [anon_sym_return] = ACTIONS(1599),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_continue] = ACTIONS(1599),
    [anon_sym_goto] = ACTIONS(1599),
    [anon_sym___try] = ACTIONS(1599),
    [anon_sym___leave] = ACTIONS(1599),
    [anon_sym_DASH_DASH] = ACTIONS(1601),
    [anon_sym_PLUS_PLUS] = ACTIONS(1601),
    [anon_sym_sizeof] = ACTIONS(1599),
    [anon_sym___alignof__] = ACTIONS(1599),
    [anon_sym___alignof] = ACTIONS(1599),
    [anon_sym__alignof] = ACTIONS(1599),
    [anon_sym_alignof] = ACTIONS(1599),
    [anon_sym__Alignof] = ACTIONS(1599),
    [anon_sym_offsetof] = ACTIONS(1599),
    [anon_sym__Generic] = ACTIONS(1599),
    [anon_sym_asm] = ACTIONS(1599),
    [anon_sym___asm__] = ACTIONS(1599),
    [sym_number_literal] = ACTIONS(1601),
    [anon_sym_L_SQUOTE] = ACTIONS(1601),
    [anon_sym_u_SQUOTE] = ACTIONS(1601),
    [anon_sym_U_SQUOTE] = ACTIONS(1601),
    [anon_sym_u8_SQUOTE] = ACTIONS(1601),
    [anon_sym_SQUOTE] = ACTIONS(1601),
    [anon_sym_L_DQUOTE] = ACTIONS(1601),
    [anon_sym_u_DQUOTE] = ACTIONS(1601),
    [anon_sym_U_DQUOTE] = ACTIONS(1601),
    [anon_sym_u8_DQUOTE] = ACTIONS(1601),
    [anon_sym_DQUOTE] = ACTIONS(1601),
    [sym_true] = ACTIONS(1599),
    [sym_false] = ACTIONS(1599),
    [anon_sym_NULL] = ACTIONS(1599),
    [anon_sym_nullptr] = ACTIONS(1599),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1599),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1599),
    [anon_sym_hitAttributeEXT] = ACTIONS(1599),
    [anon_sym_callableDataEXT] = ACTIONS(1599),
    [anon_sym_callableDataInEXT] = ACTIONS(1599),
    [anon_sym_shaderRecordEXT] = ACTIONS(1599),
    [anon_sym_rayPayloadNV] = ACTIONS(1599),
    [anon_sym_rayPayloadInNV] = ACTIONS(1599),
    [anon_sym_hitAttributeNV] = ACTIONS(1599),
    [anon_sym_callableDataNV] = ACTIONS(1599),
    [anon_sym_callableDataInNV] = ACTIONS(1599),
    [anon_sym_shaderRecordNV] = ACTIONS(1599),
    [anon_sym_layout] = ACTIONS(1599),
  },
  [502] = {
    [sym_identifier] = ACTIONS(1607),
    [aux_sym_preproc_include_token1] = ACTIONS(1607),
    [aux_sym_preproc_def_token1] = ACTIONS(1607),
    [aux_sym_preproc_if_token1] = ACTIONS(1607),
    [aux_sym_preproc_if_token2] = ACTIONS(1607),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1607),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1607),
    [sym_preproc_directive] = ACTIONS(1607),
    [anon_sym_LPAREN2] = ACTIONS(1609),
    [anon_sym_BANG] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1609),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_PLUS] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_AMP] = ACTIONS(1609),
    [anon_sym_subroutine] = ACTIONS(1607),
    [anon_sym_invariant] = ACTIONS(1607),
    [anon_sym_precise] = ACTIONS(1607),
    [anon_sym_SEMI] = ACTIONS(1609),
    [anon_sym_in] = ACTIONS(1607),
    [anon_sym_out] = ACTIONS(1607),
    [anon_sym_inout] = ACTIONS(1607),
    [anon_sym_uniform] = ACTIONS(1607),
    [anon_sym_shared] = ACTIONS(1607),
    [anon_sym_attribute] = ACTIONS(1607),
    [anon_sym_varying] = ACTIONS(1607),
    [anon_sym_buffer] = ACTIONS(1607),
    [anon_sym_coherent] = ACTIONS(1607),
    [anon_sym_readonly] = ACTIONS(1607),
    [anon_sym_writeonly] = ACTIONS(1607),
    [anon_sym_precision] = ACTIONS(1607),
    [anon_sym_highp] = ACTIONS(1607),
    [anon_sym_mediump] = ACTIONS(1607),
    [anon_sym_lowp] = ACTIONS(1607),
    [anon_sym_centroid] = ACTIONS(1607),
    [anon_sym_sample] = ACTIONS(1607),
    [anon_sym_patch] = ACTIONS(1607),
    [anon_sym_smooth] = ACTIONS(1607),
    [anon_sym_flat] = ACTIONS(1607),
    [anon_sym_noperspective] = ACTIONS(1607),
    [anon_sym___extension__] = ACTIONS(1607),
    [anon_sym_typedef] = ACTIONS(1607),
    [anon_sym_extern] = ACTIONS(1607),
    [anon_sym___attribute__] = ACTIONS(1607),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1609),
    [anon_sym___declspec] = ACTIONS(1607),
    [anon_sym___cdecl] = ACTIONS(1607),
    [anon_sym___clrcall] = ACTIONS(1607),
    [anon_sym___stdcall] = ACTIONS(1607),
    [anon_sym___fastcall] = ACTIONS(1607),
    [anon_sym___thiscall] = ACTIONS(1607),
    [anon_sym___vectorcall] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_signed] = ACTIONS(1607),
    [anon_sym_unsigned] = ACTIONS(1607),
    [anon_sym_long] = ACTIONS(1607),
    [anon_sym_short] = ACTIONS(1607),
    [anon_sym_static] = ACTIONS(1607),
    [anon_sym_auto] = ACTIONS(1607),
    [anon_sym_register] = ACTIONS(1607),
    [anon_sym_inline] = ACTIONS(1607),
    [anon_sym___inline] = ACTIONS(1607),
    [anon_sym___inline__] = ACTIONS(1607),
    [anon_sym___forceinline] = ACTIONS(1607),
    [anon_sym_thread_local] = ACTIONS(1607),
    [anon_sym___thread] = ACTIONS(1607),
    [anon_sym_const] = ACTIONS(1607),
    [anon_sym_constexpr] = ACTIONS(1607),
    [anon_sym_volatile] = ACTIONS(1607),
    [anon_sym_restrict] = ACTIONS(1607),
    [anon_sym___restrict__] = ACTIONS(1607),
    [anon_sym__Atomic] = ACTIONS(1607),
    [anon_sym__Noreturn] = ACTIONS(1607),
    [anon_sym_noreturn] = ACTIONS(1607),
    [sym_primitive_type] = ACTIONS(1607),
    [anon_sym_enum] = ACTIONS(1607),
    [anon_sym_struct] = ACTIONS(1607),
    [anon_sym_union] = ACTIONS(1607),
    [anon_sym_if] = ACTIONS(1607),
    [anon_sym_switch] = ACTIONS(1607),
    [anon_sym_case] = ACTIONS(1607),
    [anon_sym_default] = ACTIONS(1607),
    [anon_sym_while] = ACTIONS(1607),
    [anon_sym_do] = ACTIONS(1607),
    [anon_sym_for] = ACTIONS(1607),
    [anon_sym_return] = ACTIONS(1607),
    [anon_sym_break] = ACTIONS(1607),
    [anon_sym_continue] = ACTIONS(1607),
    [anon_sym_goto] = ACTIONS(1607),
    [anon_sym___try] = ACTIONS(1607),
    [anon_sym___leave] = ACTIONS(1607),
    [anon_sym_DASH_DASH] = ACTIONS(1609),
    [anon_sym_PLUS_PLUS] = ACTIONS(1609),
    [anon_sym_sizeof] = ACTIONS(1607),
    [anon_sym___alignof__] = ACTIONS(1607),
    [anon_sym___alignof] = ACTIONS(1607),
    [anon_sym__alignof] = ACTIONS(1607),
    [anon_sym_alignof] = ACTIONS(1607),
    [anon_sym__Alignof] = ACTIONS(1607),
    [anon_sym_offsetof] = ACTIONS(1607),
    [anon_sym__Generic] = ACTIONS(1607),
    [anon_sym_asm] = ACTIONS(1607),
    [anon_sym___asm__] = ACTIONS(1607),
    [sym_number_literal] = ACTIONS(1609),
    [anon_sym_L_SQUOTE] = ACTIONS(1609),
    [anon_sym_u_SQUOTE] = ACTIONS(1609),
    [anon_sym_U_SQUOTE] = ACTIONS(1609),
    [anon_sym_u8_SQUOTE] = ACTIONS(1609),
    [anon_sym_SQUOTE] = ACTIONS(1609),
    [anon_sym_L_DQUOTE] = ACTIONS(1609),
    [anon_sym_u_DQUOTE] = ACTIONS(1609),
    [anon_sym_U_DQUOTE] = ACTIONS(1609),
    [anon_sym_u8_DQUOTE] = ACTIONS(1609),
    [anon_sym_DQUOTE] = ACTIONS(1609),
    [sym_true] = ACTIONS(1607),
    [sym_false] = ACTIONS(1607),
    [anon_sym_NULL] = ACTIONS(1607),
    [anon_sym_nullptr] = ACTIONS(1607),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1607),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1607),
    [anon_sym_hitAttributeEXT] = ACTIONS(1607),
    [anon_sym_callableDataEXT] = ACTIONS(1607),
    [anon_sym_callableDataInEXT] = ACTIONS(1607),
    [anon_sym_shaderRecordEXT] = ACTIONS(1607),
    [anon_sym_rayPayloadNV] = ACTIONS(1607),
    [anon_sym_rayPayloadInNV] = ACTIONS(1607),
    [anon_sym_hitAttributeNV] = ACTIONS(1607),
    [anon_sym_callableDataNV] = ACTIONS(1607),
    [anon_sym_callableDataInNV] = ACTIONS(1607),
    [anon_sym_shaderRecordNV] = ACTIONS(1607),
    [anon_sym_layout] = ACTIONS(1607),
  },
  [503] = {
    [sym_identifier] = ACTIONS(1615),
    [aux_sym_preproc_include_token1] = ACTIONS(1615),
    [aux_sym_preproc_def_token1] = ACTIONS(1615),
    [aux_sym_preproc_if_token1] = ACTIONS(1615),
    [aux_sym_preproc_if_token2] = ACTIONS(1615),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1615),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1615),
    [sym_preproc_directive] = ACTIONS(1615),
    [anon_sym_LPAREN2] = ACTIONS(1617),
    [anon_sym_BANG] = ACTIONS(1617),
    [anon_sym_TILDE] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1615),
    [anon_sym_PLUS] = ACTIONS(1615),
    [anon_sym_STAR] = ACTIONS(1617),
    [anon_sym_AMP] = ACTIONS(1617),
    [anon_sym_subroutine] = ACTIONS(1615),
    [anon_sym_invariant] = ACTIONS(1615),
    [anon_sym_precise] = ACTIONS(1615),
    [anon_sym_SEMI] = ACTIONS(1617),
    [anon_sym_in] = ACTIONS(1615),
    [anon_sym_out] = ACTIONS(1615),
    [anon_sym_inout] = ACTIONS(1615),
    [anon_sym_uniform] = ACTIONS(1615),
    [anon_sym_shared] = ACTIONS(1615),
    [anon_sym_attribute] = ACTIONS(1615),
    [anon_sym_varying] = ACTIONS(1615),
    [anon_sym_buffer] = ACTIONS(1615),
    [anon_sym_coherent] = ACTIONS(1615),
    [anon_sym_readonly] = ACTIONS(1615),
    [anon_sym_writeonly] = ACTIONS(1615),
    [anon_sym_precision] = ACTIONS(1615),
    [anon_sym_highp] = ACTIONS(1615),
    [anon_sym_mediump] = ACTIONS(1615),
    [anon_sym_lowp] = ACTIONS(1615),
    [anon_sym_centroid] = ACTIONS(1615),
    [anon_sym_sample] = ACTIONS(1615),
    [anon_sym_patch] = ACTIONS(1615),
    [anon_sym_smooth] = ACTIONS(1615),
    [anon_sym_flat] = ACTIONS(1615),
    [anon_sym_noperspective] = ACTIONS(1615),
    [anon_sym___extension__] = ACTIONS(1615),
    [anon_sym_typedef] = ACTIONS(1615),
    [anon_sym_extern] = ACTIONS(1615),
    [anon_sym___attribute__] = ACTIONS(1615),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1617),
    [anon_sym___declspec] = ACTIONS(1615),
    [anon_sym___cdecl] = ACTIONS(1615),
    [anon_sym___clrcall] = ACTIONS(1615),
    [anon_sym___stdcall] = ACTIONS(1615),
    [anon_sym___fastcall] = ACTIONS(1615),
    [anon_sym___thiscall] = ACTIONS(1615),
    [anon_sym___vectorcall] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1617),
    [anon_sym_signed] = ACTIONS(1615),
    [anon_sym_unsigned] = ACTIONS(1615),
    [anon_sym_long] = ACTIONS(1615),
    [anon_sym_short] = ACTIONS(1615),
    [anon_sym_static] = ACTIONS(1615),
    [anon_sym_auto] = ACTIONS(1615),
    [anon_sym_register] = ACTIONS(1615),
    [anon_sym_inline] = ACTIONS(1615),
    [anon_sym___inline] = ACTIONS(1615),
    [anon_sym___inline__] = ACTIONS(1615),
    [anon_sym___forceinline] = ACTIONS(1615),
    [anon_sym_thread_local] = ACTIONS(1615),
    [anon_sym___thread] = ACTIONS(1615),
    [anon_sym_const] = ACTIONS(1615),
    [anon_sym_constexpr] = ACTIONS(1615),
    [anon_sym_volatile] = ACTIONS(1615),
    [anon_sym_restrict] = ACTIONS(1615),
    [anon_sym___restrict__] = ACTIONS(1615),
    [anon_sym__Atomic] = ACTIONS(1615),
    [anon_sym__Noreturn] = ACTIONS(1615),
    [anon_sym_noreturn] = ACTIONS(1615),
    [sym_primitive_type] = ACTIONS(1615),
    [anon_sym_enum] = ACTIONS(1615),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_union] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1615),
    [anon_sym_switch] = ACTIONS(1615),
    [anon_sym_case] = ACTIONS(1615),
    [anon_sym_default] = ACTIONS(1615),
    [anon_sym_while] = ACTIONS(1615),
    [anon_sym_do] = ACTIONS(1615),
    [anon_sym_for] = ACTIONS(1615),
    [anon_sym_return] = ACTIONS(1615),
    [anon_sym_break] = ACTIONS(1615),
    [anon_sym_continue] = ACTIONS(1615),
    [anon_sym_goto] = ACTIONS(1615),
    [anon_sym___try] = ACTIONS(1615),
    [anon_sym___leave] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1617),
    [anon_sym_PLUS_PLUS] = ACTIONS(1617),
    [anon_sym_sizeof] = ACTIONS(1615),
    [anon_sym___alignof__] = ACTIONS(1615),
    [anon_sym___alignof] = ACTIONS(1615),
    [anon_sym__alignof] = ACTIONS(1615),
    [anon_sym_alignof] = ACTIONS(1615),
    [anon_sym__Alignof] = ACTIONS(1615),
    [anon_sym_offsetof] = ACTIONS(1615),
    [anon_sym__Generic] = ACTIONS(1615),
    [anon_sym_asm] = ACTIONS(1615),
    [anon_sym___asm__] = ACTIONS(1615),
    [sym_number_literal] = ACTIONS(1617),
    [anon_sym_L_SQUOTE] = ACTIONS(1617),
    [anon_sym_u_SQUOTE] = ACTIONS(1617),
    [anon_sym_U_SQUOTE] = ACTIONS(1617),
    [anon_sym_u8_SQUOTE] = ACTIONS(1617),
    [anon_sym_SQUOTE] = ACTIONS(1617),
    [anon_sym_L_DQUOTE] = ACTIONS(1617),
    [anon_sym_u_DQUOTE] = ACTIONS(1617),
    [anon_sym_U_DQUOTE] = ACTIONS(1617),
    [anon_sym_u8_DQUOTE] = ACTIONS(1617),
    [anon_sym_DQUOTE] = ACTIONS(1617),
    [sym_true] = ACTIONS(1615),
    [sym_false] = ACTIONS(1615),
    [anon_sym_NULL] = ACTIONS(1615),
    [anon_sym_nullptr] = ACTIONS(1615),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1615),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1615),
    [anon_sym_hitAttributeEXT] = ACTIONS(1615),
    [anon_sym_callableDataEXT] = ACTIONS(1615),
    [anon_sym_callableDataInEXT] = ACTIONS(1615),
    [anon_sym_shaderRecordEXT] = ACTIONS(1615),
    [anon_sym_rayPayloadNV] = ACTIONS(1615),
    [anon_sym_rayPayloadInNV] = ACTIONS(1615),
    [anon_sym_hitAttributeNV] = ACTIONS(1615),
    [anon_sym_callableDataNV] = ACTIONS(1615),
    [anon_sym_callableDataInNV] = ACTIONS(1615),
    [anon_sym_shaderRecordNV] = ACTIONS(1615),
    [anon_sym_layout] = ACTIONS(1615),
  },
  [504] = {
    [sym_identifier] = ACTIONS(1623),
    [aux_sym_preproc_include_token1] = ACTIONS(1623),
    [aux_sym_preproc_def_token1] = ACTIONS(1623),
    [aux_sym_preproc_if_token1] = ACTIONS(1623),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1623),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1623),
    [sym_preproc_directive] = ACTIONS(1623),
    [anon_sym_LPAREN2] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1625),
    [anon_sym_TILDE] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1623),
    [anon_sym_STAR] = ACTIONS(1625),
    [anon_sym_AMP] = ACTIONS(1625),
    [anon_sym_subroutine] = ACTIONS(1623),
    [anon_sym_invariant] = ACTIONS(1623),
    [anon_sym_precise] = ACTIONS(1623),
    [anon_sym_SEMI] = ACTIONS(1625),
    [anon_sym_in] = ACTIONS(1623),
    [anon_sym_out] = ACTIONS(1623),
    [anon_sym_inout] = ACTIONS(1623),
    [anon_sym_uniform] = ACTIONS(1623),
    [anon_sym_shared] = ACTIONS(1623),
    [anon_sym_attribute] = ACTIONS(1623),
    [anon_sym_varying] = ACTIONS(1623),
    [anon_sym_buffer] = ACTIONS(1623),
    [anon_sym_coherent] = ACTIONS(1623),
    [anon_sym_readonly] = ACTIONS(1623),
    [anon_sym_writeonly] = ACTIONS(1623),
    [anon_sym_precision] = ACTIONS(1623),
    [anon_sym_highp] = ACTIONS(1623),
    [anon_sym_mediump] = ACTIONS(1623),
    [anon_sym_lowp] = ACTIONS(1623),
    [anon_sym_centroid] = ACTIONS(1623),
    [anon_sym_sample] = ACTIONS(1623),
    [anon_sym_patch] = ACTIONS(1623),
    [anon_sym_smooth] = ACTIONS(1623),
    [anon_sym_flat] = ACTIONS(1623),
    [anon_sym_noperspective] = ACTIONS(1623),
    [anon_sym___extension__] = ACTIONS(1623),
    [anon_sym_typedef] = ACTIONS(1623),
    [anon_sym_extern] = ACTIONS(1623),
    [anon_sym___attribute__] = ACTIONS(1623),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1625),
    [anon_sym___declspec] = ACTIONS(1623),
    [anon_sym___cdecl] = ACTIONS(1623),
    [anon_sym___clrcall] = ACTIONS(1623),
    [anon_sym___stdcall] = ACTIONS(1623),
    [anon_sym___fastcall] = ACTIONS(1623),
    [anon_sym___thiscall] = ACTIONS(1623),
    [anon_sym___vectorcall] = ACTIONS(1623),
    [anon_sym_LBRACE] = ACTIONS(1625),
    [anon_sym_RBRACE] = ACTIONS(1625),
    [anon_sym_signed] = ACTIONS(1623),
    [anon_sym_unsigned] = ACTIONS(1623),
    [anon_sym_long] = ACTIONS(1623),
    [anon_sym_short] = ACTIONS(1623),
    [anon_sym_static] = ACTIONS(1623),
    [anon_sym_auto] = ACTIONS(1623),
    [anon_sym_register] = ACTIONS(1623),
    [anon_sym_inline] = ACTIONS(1623),
    [anon_sym___inline] = ACTIONS(1623),
    [anon_sym___inline__] = ACTIONS(1623),
    [anon_sym___forceinline] = ACTIONS(1623),
    [anon_sym_thread_local] = ACTIONS(1623),
    [anon_sym___thread] = ACTIONS(1623),
    [anon_sym_const] = ACTIONS(1623),
    [anon_sym_constexpr] = ACTIONS(1623),
    [anon_sym_volatile] = ACTIONS(1623),
    [anon_sym_restrict] = ACTIONS(1623),
    [anon_sym___restrict__] = ACTIONS(1623),
    [anon_sym__Atomic] = ACTIONS(1623),
    [anon_sym__Noreturn] = ACTIONS(1623),
    [anon_sym_noreturn] = ACTIONS(1623),
    [sym_primitive_type] = ACTIONS(1623),
    [anon_sym_enum] = ACTIONS(1623),
    [anon_sym_struct] = ACTIONS(1623),
    [anon_sym_union] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1623),
    [anon_sym_switch] = ACTIONS(1623),
    [anon_sym_case] = ACTIONS(1623),
    [anon_sym_default] = ACTIONS(1623),
    [anon_sym_while] = ACTIONS(1623),
    [anon_sym_do] = ACTIONS(1623),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_return] = ACTIONS(1623),
    [anon_sym_break] = ACTIONS(1623),
    [anon_sym_continue] = ACTIONS(1623),
    [anon_sym_goto] = ACTIONS(1623),
    [anon_sym___try] = ACTIONS(1623),
    [anon_sym___leave] = ACTIONS(1623),
    [anon_sym_DASH_DASH] = ACTIONS(1625),
    [anon_sym_PLUS_PLUS] = ACTIONS(1625),
    [anon_sym_sizeof] = ACTIONS(1623),
    [anon_sym___alignof__] = ACTIONS(1623),
    [anon_sym___alignof] = ACTIONS(1623),
    [anon_sym__alignof] = ACTIONS(1623),
    [anon_sym_alignof] = ACTIONS(1623),
    [anon_sym__Alignof] = ACTIONS(1623),
    [anon_sym_offsetof] = ACTIONS(1623),
    [anon_sym__Generic] = ACTIONS(1623),
    [anon_sym_asm] = ACTIONS(1623),
    [anon_sym___asm__] = ACTIONS(1623),
    [sym_number_literal] = ACTIONS(1625),
    [anon_sym_L_SQUOTE] = ACTIONS(1625),
    [anon_sym_u_SQUOTE] = ACTIONS(1625),
    [anon_sym_U_SQUOTE] = ACTIONS(1625),
    [anon_sym_u8_SQUOTE] = ACTIONS(1625),
    [anon_sym_SQUOTE] = ACTIONS(1625),
    [anon_sym_L_DQUOTE] = ACTIONS(1625),
    [anon_sym_u_DQUOTE] = ACTIONS(1625),
    [anon_sym_U_DQUOTE] = ACTIONS(1625),
    [anon_sym_u8_DQUOTE] = ACTIONS(1625),
    [anon_sym_DQUOTE] = ACTIONS(1625),
    [sym_true] = ACTIONS(1623),
    [sym_false] = ACTIONS(1623),
    [anon_sym_NULL] = ACTIONS(1623),
    [anon_sym_nullptr] = ACTIONS(1623),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1623),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1623),
    [anon_sym_hitAttributeEXT] = ACTIONS(1623),
    [anon_sym_callableDataEXT] = ACTIONS(1623),
    [anon_sym_callableDataInEXT] = ACTIONS(1623),
    [anon_sym_shaderRecordEXT] = ACTIONS(1623),
    [anon_sym_rayPayloadNV] = ACTIONS(1623),
    [anon_sym_rayPayloadInNV] = ACTIONS(1623),
    [anon_sym_hitAttributeNV] = ACTIONS(1623),
    [anon_sym_callableDataNV] = ACTIONS(1623),
    [anon_sym_callableDataInNV] = ACTIONS(1623),
    [anon_sym_shaderRecordNV] = ACTIONS(1623),
    [anon_sym_layout] = ACTIONS(1623),
  },
  [505] = {
    [sym_identifier] = ACTIONS(1627),
    [aux_sym_preproc_include_token1] = ACTIONS(1627),
    [aux_sym_preproc_def_token1] = ACTIONS(1627),
    [aux_sym_preproc_if_token1] = ACTIONS(1627),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1627),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1627),
    [sym_preproc_directive] = ACTIONS(1627),
    [anon_sym_LPAREN2] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1629),
    [anon_sym_TILDE] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1627),
    [anon_sym_PLUS] = ACTIONS(1627),
    [anon_sym_STAR] = ACTIONS(1629),
    [anon_sym_AMP] = ACTIONS(1629),
    [anon_sym_subroutine] = ACTIONS(1627),
    [anon_sym_invariant] = ACTIONS(1627),
    [anon_sym_precise] = ACTIONS(1627),
    [anon_sym_SEMI] = ACTIONS(1629),
    [anon_sym_in] = ACTIONS(1627),
    [anon_sym_out] = ACTIONS(1627),
    [anon_sym_inout] = ACTIONS(1627),
    [anon_sym_uniform] = ACTIONS(1627),
    [anon_sym_shared] = ACTIONS(1627),
    [anon_sym_attribute] = ACTIONS(1627),
    [anon_sym_varying] = ACTIONS(1627),
    [anon_sym_buffer] = ACTIONS(1627),
    [anon_sym_coherent] = ACTIONS(1627),
    [anon_sym_readonly] = ACTIONS(1627),
    [anon_sym_writeonly] = ACTIONS(1627),
    [anon_sym_precision] = ACTIONS(1627),
    [anon_sym_highp] = ACTIONS(1627),
    [anon_sym_mediump] = ACTIONS(1627),
    [anon_sym_lowp] = ACTIONS(1627),
    [anon_sym_centroid] = ACTIONS(1627),
    [anon_sym_sample] = ACTIONS(1627),
    [anon_sym_patch] = ACTIONS(1627),
    [anon_sym_smooth] = ACTIONS(1627),
    [anon_sym_flat] = ACTIONS(1627),
    [anon_sym_noperspective] = ACTIONS(1627),
    [anon_sym___extension__] = ACTIONS(1627),
    [anon_sym_typedef] = ACTIONS(1627),
    [anon_sym_extern] = ACTIONS(1627),
    [anon_sym___attribute__] = ACTIONS(1627),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1629),
    [anon_sym___declspec] = ACTIONS(1627),
    [anon_sym___cdecl] = ACTIONS(1627),
    [anon_sym___clrcall] = ACTIONS(1627),
    [anon_sym___stdcall] = ACTIONS(1627),
    [anon_sym___fastcall] = ACTIONS(1627),
    [anon_sym___thiscall] = ACTIONS(1627),
    [anon_sym___vectorcall] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(1629),
    [anon_sym_RBRACE] = ACTIONS(1629),
    [anon_sym_signed] = ACTIONS(1627),
    [anon_sym_unsigned] = ACTIONS(1627),
    [anon_sym_long] = ACTIONS(1627),
    [anon_sym_short] = ACTIONS(1627),
    [anon_sym_static] = ACTIONS(1627),
    [anon_sym_auto] = ACTIONS(1627),
    [anon_sym_register] = ACTIONS(1627),
    [anon_sym_inline] = ACTIONS(1627),
    [anon_sym___inline] = ACTIONS(1627),
    [anon_sym___inline__] = ACTIONS(1627),
    [anon_sym___forceinline] = ACTIONS(1627),
    [anon_sym_thread_local] = ACTIONS(1627),
    [anon_sym___thread] = ACTIONS(1627),
    [anon_sym_const] = ACTIONS(1627),
    [anon_sym_constexpr] = ACTIONS(1627),
    [anon_sym_volatile] = ACTIONS(1627),
    [anon_sym_restrict] = ACTIONS(1627),
    [anon_sym___restrict__] = ACTIONS(1627),
    [anon_sym__Atomic] = ACTIONS(1627),
    [anon_sym__Noreturn] = ACTIONS(1627),
    [anon_sym_noreturn] = ACTIONS(1627),
    [sym_primitive_type] = ACTIONS(1627),
    [anon_sym_enum] = ACTIONS(1627),
    [anon_sym_struct] = ACTIONS(1627),
    [anon_sym_union] = ACTIONS(1627),
    [anon_sym_if] = ACTIONS(1627),
    [anon_sym_switch] = ACTIONS(1627),
    [anon_sym_case] = ACTIONS(1627),
    [anon_sym_default] = ACTIONS(1627),
    [anon_sym_while] = ACTIONS(1627),
    [anon_sym_do] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1627),
    [anon_sym_return] = ACTIONS(1627),
    [anon_sym_break] = ACTIONS(1627),
    [anon_sym_continue] = ACTIONS(1627),
    [anon_sym_goto] = ACTIONS(1627),
    [anon_sym___try] = ACTIONS(1627),
    [anon_sym___leave] = ACTIONS(1627),
    [anon_sym_DASH_DASH] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1629),
    [anon_sym_sizeof] = ACTIONS(1627),
    [anon_sym___alignof__] = ACTIONS(1627),
    [anon_sym___alignof] = ACTIONS(1627),
    [anon_sym__alignof] = ACTIONS(1627),
    [anon_sym_alignof] = ACTIONS(1627),
    [anon_sym__Alignof] = ACTIONS(1627),
    [anon_sym_offsetof] = ACTIONS(1627),
    [anon_sym__Generic] = ACTIONS(1627),
    [anon_sym_asm] = ACTIONS(1627),
    [anon_sym___asm__] = ACTIONS(1627),
    [sym_number_literal] = ACTIONS(1629),
    [anon_sym_L_SQUOTE] = ACTIONS(1629),
    [anon_sym_u_SQUOTE] = ACTIONS(1629),
    [anon_sym_U_SQUOTE] = ACTIONS(1629),
    [anon_sym_u8_SQUOTE] = ACTIONS(1629),
    [anon_sym_SQUOTE] = ACTIONS(1629),
    [anon_sym_L_DQUOTE] = ACTIONS(1629),
    [anon_sym_u_DQUOTE] = ACTIONS(1629),
    [anon_sym_U_DQUOTE] = ACTIONS(1629),
    [anon_sym_u8_DQUOTE] = ACTIONS(1629),
    [anon_sym_DQUOTE] = ACTIONS(1629),
    [sym_true] = ACTIONS(1627),
    [sym_false] = ACTIONS(1627),
    [anon_sym_NULL] = ACTIONS(1627),
    [anon_sym_nullptr] = ACTIONS(1627),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1627),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1627),
    [anon_sym_hitAttributeEXT] = ACTIONS(1627),
    [anon_sym_callableDataEXT] = ACTIONS(1627),
    [anon_sym_callableDataInEXT] = ACTIONS(1627),
    [anon_sym_shaderRecordEXT] = ACTIONS(1627),
    [anon_sym_rayPayloadNV] = ACTIONS(1627),
    [anon_sym_rayPayloadInNV] = ACTIONS(1627),
    [anon_sym_hitAttributeNV] = ACTIONS(1627),
    [anon_sym_callableDataNV] = ACTIONS(1627),
    [anon_sym_callableDataInNV] = ACTIONS(1627),
    [anon_sym_shaderRecordNV] = ACTIONS(1627),
    [anon_sym_layout] = ACTIONS(1627),
  },
  [506] = {
    [sym_identifier] = ACTIONS(1619),
    [aux_sym_preproc_include_token1] = ACTIONS(1619),
    [aux_sym_preproc_def_token1] = ACTIONS(1619),
    [aux_sym_preproc_if_token1] = ACTIONS(1619),
    [aux_sym_preproc_if_token2] = ACTIONS(1619),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1619),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1619),
    [sym_preproc_directive] = ACTIONS(1619),
    [anon_sym_LPAREN2] = ACTIONS(1621),
    [anon_sym_BANG] = ACTIONS(1621),
    [anon_sym_TILDE] = ACTIONS(1621),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_STAR] = ACTIONS(1621),
    [anon_sym_AMP] = ACTIONS(1621),
    [anon_sym_subroutine] = ACTIONS(1619),
    [anon_sym_invariant] = ACTIONS(1619),
    [anon_sym_precise] = ACTIONS(1619),
    [anon_sym_SEMI] = ACTIONS(1621),
    [anon_sym_in] = ACTIONS(1619),
    [anon_sym_out] = ACTIONS(1619),
    [anon_sym_inout] = ACTIONS(1619),
    [anon_sym_uniform] = ACTIONS(1619),
    [anon_sym_shared] = ACTIONS(1619),
    [anon_sym_attribute] = ACTIONS(1619),
    [anon_sym_varying] = ACTIONS(1619),
    [anon_sym_buffer] = ACTIONS(1619),
    [anon_sym_coherent] = ACTIONS(1619),
    [anon_sym_readonly] = ACTIONS(1619),
    [anon_sym_writeonly] = ACTIONS(1619),
    [anon_sym_precision] = ACTIONS(1619),
    [anon_sym_highp] = ACTIONS(1619),
    [anon_sym_mediump] = ACTIONS(1619),
    [anon_sym_lowp] = ACTIONS(1619),
    [anon_sym_centroid] = ACTIONS(1619),
    [anon_sym_sample] = ACTIONS(1619),
    [anon_sym_patch] = ACTIONS(1619),
    [anon_sym_smooth] = ACTIONS(1619),
    [anon_sym_flat] = ACTIONS(1619),
    [anon_sym_noperspective] = ACTIONS(1619),
    [anon_sym___extension__] = ACTIONS(1619),
    [anon_sym_typedef] = ACTIONS(1619),
    [anon_sym_extern] = ACTIONS(1619),
    [anon_sym___attribute__] = ACTIONS(1619),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1621),
    [anon_sym___declspec] = ACTIONS(1619),
    [anon_sym___cdecl] = ACTIONS(1619),
    [anon_sym___clrcall] = ACTIONS(1619),
    [anon_sym___stdcall] = ACTIONS(1619),
    [anon_sym___fastcall] = ACTIONS(1619),
    [anon_sym___thiscall] = ACTIONS(1619),
    [anon_sym___vectorcall] = ACTIONS(1619),
    [anon_sym_LBRACE] = ACTIONS(1621),
    [anon_sym_signed] = ACTIONS(1619),
    [anon_sym_unsigned] = ACTIONS(1619),
    [anon_sym_long] = ACTIONS(1619),
    [anon_sym_short] = ACTIONS(1619),
    [anon_sym_static] = ACTIONS(1619),
    [anon_sym_auto] = ACTIONS(1619),
    [anon_sym_register] = ACTIONS(1619),
    [anon_sym_inline] = ACTIONS(1619),
    [anon_sym___inline] = ACTIONS(1619),
    [anon_sym___inline__] = ACTIONS(1619),
    [anon_sym___forceinline] = ACTIONS(1619),
    [anon_sym_thread_local] = ACTIONS(1619),
    [anon_sym___thread] = ACTIONS(1619),
    [anon_sym_const] = ACTIONS(1619),
    [anon_sym_constexpr] = ACTIONS(1619),
    [anon_sym_volatile] = ACTIONS(1619),
    [anon_sym_restrict] = ACTIONS(1619),
    [anon_sym___restrict__] = ACTIONS(1619),
    [anon_sym__Atomic] = ACTIONS(1619),
    [anon_sym__Noreturn] = ACTIONS(1619),
    [anon_sym_noreturn] = ACTIONS(1619),
    [sym_primitive_type] = ACTIONS(1619),
    [anon_sym_enum] = ACTIONS(1619),
    [anon_sym_struct] = ACTIONS(1619),
    [anon_sym_union] = ACTIONS(1619),
    [anon_sym_if] = ACTIONS(1619),
    [anon_sym_switch] = ACTIONS(1619),
    [anon_sym_case] = ACTIONS(1619),
    [anon_sym_default] = ACTIONS(1619),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_do] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1619),
    [anon_sym_return] = ACTIONS(1619),
    [anon_sym_break] = ACTIONS(1619),
    [anon_sym_continue] = ACTIONS(1619),
    [anon_sym_goto] = ACTIONS(1619),
    [anon_sym___try] = ACTIONS(1619),
    [anon_sym___leave] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_sizeof] = ACTIONS(1619),
    [anon_sym___alignof__] = ACTIONS(1619),
    [anon_sym___alignof] = ACTIONS(1619),
    [anon_sym__alignof] = ACTIONS(1619),
    [anon_sym_alignof] = ACTIONS(1619),
    [anon_sym__Alignof] = ACTIONS(1619),
    [anon_sym_offsetof] = ACTIONS(1619),
    [anon_sym__Generic] = ACTIONS(1619),
    [anon_sym_asm] = ACTIONS(1619),
    [anon_sym___asm__] = ACTIONS(1619),
    [sym_number_literal] = ACTIONS(1621),
    [anon_sym_L_SQUOTE] = ACTIONS(1621),
    [anon_sym_u_SQUOTE] = ACTIONS(1621),
    [anon_sym_U_SQUOTE] = ACTIONS(1621),
    [anon_sym_u8_SQUOTE] = ACTIONS(1621),
    [anon_sym_SQUOTE] = ACTIONS(1621),
    [anon_sym_L_DQUOTE] = ACTIONS(1621),
    [anon_sym_u_DQUOTE] = ACTIONS(1621),
    [anon_sym_U_DQUOTE] = ACTIONS(1621),
    [anon_sym_u8_DQUOTE] = ACTIONS(1621),
    [anon_sym_DQUOTE] = ACTIONS(1621),
    [sym_true] = ACTIONS(1619),
    [sym_false] = ACTIONS(1619),
    [anon_sym_NULL] = ACTIONS(1619),
    [anon_sym_nullptr] = ACTIONS(1619),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1619),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1619),
    [anon_sym_hitAttributeEXT] = ACTIONS(1619),
    [anon_sym_callableDataEXT] = ACTIONS(1619),
    [anon_sym_callableDataInEXT] = ACTIONS(1619),
    [anon_sym_shaderRecordEXT] = ACTIONS(1619),
    [anon_sym_rayPayloadNV] = ACTIONS(1619),
    [anon_sym_rayPayloadInNV] = ACTIONS(1619),
    [anon_sym_hitAttributeNV] = ACTIONS(1619),
    [anon_sym_callableDataNV] = ACTIONS(1619),
    [anon_sym_callableDataInNV] = ACTIONS(1619),
    [anon_sym_shaderRecordNV] = ACTIONS(1619),
    [anon_sym_layout] = ACTIONS(1619),
  },
  [507] = {
    [sym_identifier] = ACTIONS(1651),
    [aux_sym_preproc_include_token1] = ACTIONS(1651),
    [aux_sym_preproc_def_token1] = ACTIONS(1651),
    [aux_sym_preproc_if_token1] = ACTIONS(1651),
    [aux_sym_preproc_if_token2] = ACTIONS(1651),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1651),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1651),
    [sym_preproc_directive] = ACTIONS(1651),
    [anon_sym_LPAREN2] = ACTIONS(1653),
    [anon_sym_BANG] = ACTIONS(1653),
    [anon_sym_TILDE] = ACTIONS(1653),
    [anon_sym_DASH] = ACTIONS(1651),
    [anon_sym_PLUS] = ACTIONS(1651),
    [anon_sym_STAR] = ACTIONS(1653),
    [anon_sym_AMP] = ACTIONS(1653),
    [anon_sym_subroutine] = ACTIONS(1651),
    [anon_sym_invariant] = ACTIONS(1651),
    [anon_sym_precise] = ACTIONS(1651),
    [anon_sym_SEMI] = ACTIONS(1653),
    [anon_sym_in] = ACTIONS(1651),
    [anon_sym_out] = ACTIONS(1651),
    [anon_sym_inout] = ACTIONS(1651),
    [anon_sym_uniform] = ACTIONS(1651),
    [anon_sym_shared] = ACTIONS(1651),
    [anon_sym_attribute] = ACTIONS(1651),
    [anon_sym_varying] = ACTIONS(1651),
    [anon_sym_buffer] = ACTIONS(1651),
    [anon_sym_coherent] = ACTIONS(1651),
    [anon_sym_readonly] = ACTIONS(1651),
    [anon_sym_writeonly] = ACTIONS(1651),
    [anon_sym_precision] = ACTIONS(1651),
    [anon_sym_highp] = ACTIONS(1651),
    [anon_sym_mediump] = ACTIONS(1651),
    [anon_sym_lowp] = ACTIONS(1651),
    [anon_sym_centroid] = ACTIONS(1651),
    [anon_sym_sample] = ACTIONS(1651),
    [anon_sym_patch] = ACTIONS(1651),
    [anon_sym_smooth] = ACTIONS(1651),
    [anon_sym_flat] = ACTIONS(1651),
    [anon_sym_noperspective] = ACTIONS(1651),
    [anon_sym___extension__] = ACTIONS(1651),
    [anon_sym_typedef] = ACTIONS(1651),
    [anon_sym_extern] = ACTIONS(1651),
    [anon_sym___attribute__] = ACTIONS(1651),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1653),
    [anon_sym___declspec] = ACTIONS(1651),
    [anon_sym___cdecl] = ACTIONS(1651),
    [anon_sym___clrcall] = ACTIONS(1651),
    [anon_sym___stdcall] = ACTIONS(1651),
    [anon_sym___fastcall] = ACTIONS(1651),
    [anon_sym___thiscall] = ACTIONS(1651),
    [anon_sym___vectorcall] = ACTIONS(1651),
    [anon_sym_LBRACE] = ACTIONS(1653),
    [anon_sym_signed] = ACTIONS(1651),
    [anon_sym_unsigned] = ACTIONS(1651),
    [anon_sym_long] = ACTIONS(1651),
    [anon_sym_short] = ACTIONS(1651),
    [anon_sym_static] = ACTIONS(1651),
    [anon_sym_auto] = ACTIONS(1651),
    [anon_sym_register] = ACTIONS(1651),
    [anon_sym_inline] = ACTIONS(1651),
    [anon_sym___inline] = ACTIONS(1651),
    [anon_sym___inline__] = ACTIONS(1651),
    [anon_sym___forceinline] = ACTIONS(1651),
    [anon_sym_thread_local] = ACTIONS(1651),
    [anon_sym___thread] = ACTIONS(1651),
    [anon_sym_const] = ACTIONS(1651),
    [anon_sym_constexpr] = ACTIONS(1651),
    [anon_sym_volatile] = ACTIONS(1651),
    [anon_sym_restrict] = ACTIONS(1651),
    [anon_sym___restrict__] = ACTIONS(1651),
    [anon_sym__Atomic] = ACTIONS(1651),
    [anon_sym__Noreturn] = ACTIONS(1651),
    [anon_sym_noreturn] = ACTIONS(1651),
    [sym_primitive_type] = ACTIONS(1651),
    [anon_sym_enum] = ACTIONS(1651),
    [anon_sym_struct] = ACTIONS(1651),
    [anon_sym_union] = ACTIONS(1651),
    [anon_sym_if] = ACTIONS(1651),
    [anon_sym_switch] = ACTIONS(1651),
    [anon_sym_case] = ACTIONS(1651),
    [anon_sym_default] = ACTIONS(1651),
    [anon_sym_while] = ACTIONS(1651),
    [anon_sym_do] = ACTIONS(1651),
    [anon_sym_for] = ACTIONS(1651),
    [anon_sym_return] = ACTIONS(1651),
    [anon_sym_break] = ACTIONS(1651),
    [anon_sym_continue] = ACTIONS(1651),
    [anon_sym_goto] = ACTIONS(1651),
    [anon_sym___try] = ACTIONS(1651),
    [anon_sym___leave] = ACTIONS(1651),
    [anon_sym_DASH_DASH] = ACTIONS(1653),
    [anon_sym_PLUS_PLUS] = ACTIONS(1653),
    [anon_sym_sizeof] = ACTIONS(1651),
    [anon_sym___alignof__] = ACTIONS(1651),
    [anon_sym___alignof] = ACTIONS(1651),
    [anon_sym__alignof] = ACTIONS(1651),
    [anon_sym_alignof] = ACTIONS(1651),
    [anon_sym__Alignof] = ACTIONS(1651),
    [anon_sym_offsetof] = ACTIONS(1651),
    [anon_sym__Generic] = ACTIONS(1651),
    [anon_sym_asm] = ACTIONS(1651),
    [anon_sym___asm__] = ACTIONS(1651),
    [sym_number_literal] = ACTIONS(1653),
    [anon_sym_L_SQUOTE] = ACTIONS(1653),
    [anon_sym_u_SQUOTE] = ACTIONS(1653),
    [anon_sym_U_SQUOTE] = ACTIONS(1653),
    [anon_sym_u8_SQUOTE] = ACTIONS(1653),
    [anon_sym_SQUOTE] = ACTIONS(1653),
    [anon_sym_L_DQUOTE] = ACTIONS(1653),
    [anon_sym_u_DQUOTE] = ACTIONS(1653),
    [anon_sym_U_DQUOTE] = ACTIONS(1653),
    [anon_sym_u8_DQUOTE] = ACTIONS(1653),
    [anon_sym_DQUOTE] = ACTIONS(1653),
    [sym_true] = ACTIONS(1651),
    [sym_false] = ACTIONS(1651),
    [anon_sym_NULL] = ACTIONS(1651),
    [anon_sym_nullptr] = ACTIONS(1651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1651),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1651),
    [anon_sym_hitAttributeEXT] = ACTIONS(1651),
    [anon_sym_callableDataEXT] = ACTIONS(1651),
    [anon_sym_callableDataInEXT] = ACTIONS(1651),
    [anon_sym_shaderRecordEXT] = ACTIONS(1651),
    [anon_sym_rayPayloadNV] = ACTIONS(1651),
    [anon_sym_rayPayloadInNV] = ACTIONS(1651),
    [anon_sym_hitAttributeNV] = ACTIONS(1651),
    [anon_sym_callableDataNV] = ACTIONS(1651),
    [anon_sym_callableDataInNV] = ACTIONS(1651),
    [anon_sym_shaderRecordNV] = ACTIONS(1651),
    [anon_sym_layout] = ACTIONS(1651),
  },
  [508] = {
    [sym_identifier] = ACTIONS(1663),
    [aux_sym_preproc_include_token1] = ACTIONS(1663),
    [aux_sym_preproc_def_token1] = ACTIONS(1663),
    [aux_sym_preproc_if_token1] = ACTIONS(1663),
    [aux_sym_preproc_if_token2] = ACTIONS(1663),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1663),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1663),
    [sym_preproc_directive] = ACTIONS(1663),
    [anon_sym_LPAREN2] = ACTIONS(1665),
    [anon_sym_BANG] = ACTIONS(1665),
    [anon_sym_TILDE] = ACTIONS(1665),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1663),
    [anon_sym_STAR] = ACTIONS(1665),
    [anon_sym_AMP] = ACTIONS(1665),
    [anon_sym_subroutine] = ACTIONS(1663),
    [anon_sym_invariant] = ACTIONS(1663),
    [anon_sym_precise] = ACTIONS(1663),
    [anon_sym_SEMI] = ACTIONS(1665),
    [anon_sym_in] = ACTIONS(1663),
    [anon_sym_out] = ACTIONS(1663),
    [anon_sym_inout] = ACTIONS(1663),
    [anon_sym_uniform] = ACTIONS(1663),
    [anon_sym_shared] = ACTIONS(1663),
    [anon_sym_attribute] = ACTIONS(1663),
    [anon_sym_varying] = ACTIONS(1663),
    [anon_sym_buffer] = ACTIONS(1663),
    [anon_sym_coherent] = ACTIONS(1663),
    [anon_sym_readonly] = ACTIONS(1663),
    [anon_sym_writeonly] = ACTIONS(1663),
    [anon_sym_precision] = ACTIONS(1663),
    [anon_sym_highp] = ACTIONS(1663),
    [anon_sym_mediump] = ACTIONS(1663),
    [anon_sym_lowp] = ACTIONS(1663),
    [anon_sym_centroid] = ACTIONS(1663),
    [anon_sym_sample] = ACTIONS(1663),
    [anon_sym_patch] = ACTIONS(1663),
    [anon_sym_smooth] = ACTIONS(1663),
    [anon_sym_flat] = ACTIONS(1663),
    [anon_sym_noperspective] = ACTIONS(1663),
    [anon_sym___extension__] = ACTIONS(1663),
    [anon_sym_typedef] = ACTIONS(1663),
    [anon_sym_extern] = ACTIONS(1663),
    [anon_sym___attribute__] = ACTIONS(1663),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1665),
    [anon_sym___declspec] = ACTIONS(1663),
    [anon_sym___cdecl] = ACTIONS(1663),
    [anon_sym___clrcall] = ACTIONS(1663),
    [anon_sym___stdcall] = ACTIONS(1663),
    [anon_sym___fastcall] = ACTIONS(1663),
    [anon_sym___thiscall] = ACTIONS(1663),
    [anon_sym___vectorcall] = ACTIONS(1663),
    [anon_sym_LBRACE] = ACTIONS(1665),
    [anon_sym_signed] = ACTIONS(1663),
    [anon_sym_unsigned] = ACTIONS(1663),
    [anon_sym_long] = ACTIONS(1663),
    [anon_sym_short] = ACTIONS(1663),
    [anon_sym_static] = ACTIONS(1663),
    [anon_sym_auto] = ACTIONS(1663),
    [anon_sym_register] = ACTIONS(1663),
    [anon_sym_inline] = ACTIONS(1663),
    [anon_sym___inline] = ACTIONS(1663),
    [anon_sym___inline__] = ACTIONS(1663),
    [anon_sym___forceinline] = ACTIONS(1663),
    [anon_sym_thread_local] = ACTIONS(1663),
    [anon_sym___thread] = ACTIONS(1663),
    [anon_sym_const] = ACTIONS(1663),
    [anon_sym_constexpr] = ACTIONS(1663),
    [anon_sym_volatile] = ACTIONS(1663),
    [anon_sym_restrict] = ACTIONS(1663),
    [anon_sym___restrict__] = ACTIONS(1663),
    [anon_sym__Atomic] = ACTIONS(1663),
    [anon_sym__Noreturn] = ACTIONS(1663),
    [anon_sym_noreturn] = ACTIONS(1663),
    [sym_primitive_type] = ACTIONS(1663),
    [anon_sym_enum] = ACTIONS(1663),
    [anon_sym_struct] = ACTIONS(1663),
    [anon_sym_union] = ACTIONS(1663),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_switch] = ACTIONS(1663),
    [anon_sym_case] = ACTIONS(1663),
    [anon_sym_default] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1663),
    [anon_sym_do] = ACTIONS(1663),
    [anon_sym_for] = ACTIONS(1663),
    [anon_sym_return] = ACTIONS(1663),
    [anon_sym_break] = ACTIONS(1663),
    [anon_sym_continue] = ACTIONS(1663),
    [anon_sym_goto] = ACTIONS(1663),
    [anon_sym___try] = ACTIONS(1663),
    [anon_sym___leave] = ACTIONS(1663),
    [anon_sym_DASH_DASH] = ACTIONS(1665),
    [anon_sym_PLUS_PLUS] = ACTIONS(1665),
    [anon_sym_sizeof] = ACTIONS(1663),
    [anon_sym___alignof__] = ACTIONS(1663),
    [anon_sym___alignof] = ACTIONS(1663),
    [anon_sym__alignof] = ACTIONS(1663),
    [anon_sym_alignof] = ACTIONS(1663),
    [anon_sym__Alignof] = ACTIONS(1663),
    [anon_sym_offsetof] = ACTIONS(1663),
    [anon_sym__Generic] = ACTIONS(1663),
    [anon_sym_asm] = ACTIONS(1663),
    [anon_sym___asm__] = ACTIONS(1663),
    [sym_number_literal] = ACTIONS(1665),
    [anon_sym_L_SQUOTE] = ACTIONS(1665),
    [anon_sym_u_SQUOTE] = ACTIONS(1665),
    [anon_sym_U_SQUOTE] = ACTIONS(1665),
    [anon_sym_u8_SQUOTE] = ACTIONS(1665),
    [anon_sym_SQUOTE] = ACTIONS(1665),
    [anon_sym_L_DQUOTE] = ACTIONS(1665),
    [anon_sym_u_DQUOTE] = ACTIONS(1665),
    [anon_sym_U_DQUOTE] = ACTIONS(1665),
    [anon_sym_u8_DQUOTE] = ACTIONS(1665),
    [anon_sym_DQUOTE] = ACTIONS(1665),
    [sym_true] = ACTIONS(1663),
    [sym_false] = ACTIONS(1663),
    [anon_sym_NULL] = ACTIONS(1663),
    [anon_sym_nullptr] = ACTIONS(1663),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1663),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1663),
    [anon_sym_hitAttributeEXT] = ACTIONS(1663),
    [anon_sym_callableDataEXT] = ACTIONS(1663),
    [anon_sym_callableDataInEXT] = ACTIONS(1663),
    [anon_sym_shaderRecordEXT] = ACTIONS(1663),
    [anon_sym_rayPayloadNV] = ACTIONS(1663),
    [anon_sym_rayPayloadInNV] = ACTIONS(1663),
    [anon_sym_hitAttributeNV] = ACTIONS(1663),
    [anon_sym_callableDataNV] = ACTIONS(1663),
    [anon_sym_callableDataInNV] = ACTIONS(1663),
    [anon_sym_shaderRecordNV] = ACTIONS(1663),
    [anon_sym_layout] = ACTIONS(1663),
  },
  [509] = {
    [sym_identifier] = ACTIONS(1667),
    [aux_sym_preproc_include_token1] = ACTIONS(1667),
    [aux_sym_preproc_def_token1] = ACTIONS(1667),
    [aux_sym_preproc_if_token1] = ACTIONS(1667),
    [aux_sym_preproc_if_token2] = ACTIONS(1667),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1667),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1667),
    [sym_preproc_directive] = ACTIONS(1667),
    [anon_sym_LPAREN2] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(1669),
    [anon_sym_TILDE] = ACTIONS(1669),
    [anon_sym_DASH] = ACTIONS(1667),
    [anon_sym_PLUS] = ACTIONS(1667),
    [anon_sym_STAR] = ACTIONS(1669),
    [anon_sym_AMP] = ACTIONS(1669),
    [anon_sym_subroutine] = ACTIONS(1667),
    [anon_sym_invariant] = ACTIONS(1667),
    [anon_sym_precise] = ACTIONS(1667),
    [anon_sym_SEMI] = ACTIONS(1669),
    [anon_sym_in] = ACTIONS(1667),
    [anon_sym_out] = ACTIONS(1667),
    [anon_sym_inout] = ACTIONS(1667),
    [anon_sym_uniform] = ACTIONS(1667),
    [anon_sym_shared] = ACTIONS(1667),
    [anon_sym_attribute] = ACTIONS(1667),
    [anon_sym_varying] = ACTIONS(1667),
    [anon_sym_buffer] = ACTIONS(1667),
    [anon_sym_coherent] = ACTIONS(1667),
    [anon_sym_readonly] = ACTIONS(1667),
    [anon_sym_writeonly] = ACTIONS(1667),
    [anon_sym_precision] = ACTIONS(1667),
    [anon_sym_highp] = ACTIONS(1667),
    [anon_sym_mediump] = ACTIONS(1667),
    [anon_sym_lowp] = ACTIONS(1667),
    [anon_sym_centroid] = ACTIONS(1667),
    [anon_sym_sample] = ACTIONS(1667),
    [anon_sym_patch] = ACTIONS(1667),
    [anon_sym_smooth] = ACTIONS(1667),
    [anon_sym_flat] = ACTIONS(1667),
    [anon_sym_noperspective] = ACTIONS(1667),
    [anon_sym___extension__] = ACTIONS(1667),
    [anon_sym_typedef] = ACTIONS(1667),
    [anon_sym_extern] = ACTIONS(1667),
    [anon_sym___attribute__] = ACTIONS(1667),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1669),
    [anon_sym___declspec] = ACTIONS(1667),
    [anon_sym___cdecl] = ACTIONS(1667),
    [anon_sym___clrcall] = ACTIONS(1667),
    [anon_sym___stdcall] = ACTIONS(1667),
    [anon_sym___fastcall] = ACTIONS(1667),
    [anon_sym___thiscall] = ACTIONS(1667),
    [anon_sym___vectorcall] = ACTIONS(1667),
    [anon_sym_LBRACE] = ACTIONS(1669),
    [anon_sym_signed] = ACTIONS(1667),
    [anon_sym_unsigned] = ACTIONS(1667),
    [anon_sym_long] = ACTIONS(1667),
    [anon_sym_short] = ACTIONS(1667),
    [anon_sym_static] = ACTIONS(1667),
    [anon_sym_auto] = ACTIONS(1667),
    [anon_sym_register] = ACTIONS(1667),
    [anon_sym_inline] = ACTIONS(1667),
    [anon_sym___inline] = ACTIONS(1667),
    [anon_sym___inline__] = ACTIONS(1667),
    [anon_sym___forceinline] = ACTIONS(1667),
    [anon_sym_thread_local] = ACTIONS(1667),
    [anon_sym___thread] = ACTIONS(1667),
    [anon_sym_const] = ACTIONS(1667),
    [anon_sym_constexpr] = ACTIONS(1667),
    [anon_sym_volatile] = ACTIONS(1667),
    [anon_sym_restrict] = ACTIONS(1667),
    [anon_sym___restrict__] = ACTIONS(1667),
    [anon_sym__Atomic] = ACTIONS(1667),
    [anon_sym__Noreturn] = ACTIONS(1667),
    [anon_sym_noreturn] = ACTIONS(1667),
    [sym_primitive_type] = ACTIONS(1667),
    [anon_sym_enum] = ACTIONS(1667),
    [anon_sym_struct] = ACTIONS(1667),
    [anon_sym_union] = ACTIONS(1667),
    [anon_sym_if] = ACTIONS(1667),
    [anon_sym_switch] = ACTIONS(1667),
    [anon_sym_case] = ACTIONS(1667),
    [anon_sym_default] = ACTIONS(1667),
    [anon_sym_while] = ACTIONS(1667),
    [anon_sym_do] = ACTIONS(1667),
    [anon_sym_for] = ACTIONS(1667),
    [anon_sym_return] = ACTIONS(1667),
    [anon_sym_break] = ACTIONS(1667),
    [anon_sym_continue] = ACTIONS(1667),
    [anon_sym_goto] = ACTIONS(1667),
    [anon_sym___try] = ACTIONS(1667),
    [anon_sym___leave] = ACTIONS(1667),
    [anon_sym_DASH_DASH] = ACTIONS(1669),
    [anon_sym_PLUS_PLUS] = ACTIONS(1669),
    [anon_sym_sizeof] = ACTIONS(1667),
    [anon_sym___alignof__] = ACTIONS(1667),
    [anon_sym___alignof] = ACTIONS(1667),
    [anon_sym__alignof] = ACTIONS(1667),
    [anon_sym_alignof] = ACTIONS(1667),
    [anon_sym__Alignof] = ACTIONS(1667),
    [anon_sym_offsetof] = ACTIONS(1667),
    [anon_sym__Generic] = ACTIONS(1667),
    [anon_sym_asm] = ACTIONS(1667),
    [anon_sym___asm__] = ACTIONS(1667),
    [sym_number_literal] = ACTIONS(1669),
    [anon_sym_L_SQUOTE] = ACTIONS(1669),
    [anon_sym_u_SQUOTE] = ACTIONS(1669),
    [anon_sym_U_SQUOTE] = ACTIONS(1669),
    [anon_sym_u8_SQUOTE] = ACTIONS(1669),
    [anon_sym_SQUOTE] = ACTIONS(1669),
    [anon_sym_L_DQUOTE] = ACTIONS(1669),
    [anon_sym_u_DQUOTE] = ACTIONS(1669),
    [anon_sym_U_DQUOTE] = ACTIONS(1669),
    [anon_sym_u8_DQUOTE] = ACTIONS(1669),
    [anon_sym_DQUOTE] = ACTIONS(1669),
    [sym_true] = ACTIONS(1667),
    [sym_false] = ACTIONS(1667),
    [anon_sym_NULL] = ACTIONS(1667),
    [anon_sym_nullptr] = ACTIONS(1667),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1667),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1667),
    [anon_sym_hitAttributeEXT] = ACTIONS(1667),
    [anon_sym_callableDataEXT] = ACTIONS(1667),
    [anon_sym_callableDataInEXT] = ACTIONS(1667),
    [anon_sym_shaderRecordEXT] = ACTIONS(1667),
    [anon_sym_rayPayloadNV] = ACTIONS(1667),
    [anon_sym_rayPayloadInNV] = ACTIONS(1667),
    [anon_sym_hitAttributeNV] = ACTIONS(1667),
    [anon_sym_callableDataNV] = ACTIONS(1667),
    [anon_sym_callableDataInNV] = ACTIONS(1667),
    [anon_sym_shaderRecordNV] = ACTIONS(1667),
    [anon_sym_layout] = ACTIONS(1667),
  },
  [510] = {
    [sym_identifier] = ACTIONS(1671),
    [aux_sym_preproc_include_token1] = ACTIONS(1671),
    [aux_sym_preproc_def_token1] = ACTIONS(1671),
    [aux_sym_preproc_if_token1] = ACTIONS(1671),
    [aux_sym_preproc_if_token2] = ACTIONS(1671),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1671),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1671),
    [sym_preproc_directive] = ACTIONS(1671),
    [anon_sym_LPAREN2] = ACTIONS(1673),
    [anon_sym_BANG] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(1673),
    [anon_sym_DASH] = ACTIONS(1671),
    [anon_sym_PLUS] = ACTIONS(1671),
    [anon_sym_STAR] = ACTIONS(1673),
    [anon_sym_AMP] = ACTIONS(1673),
    [anon_sym_subroutine] = ACTIONS(1671),
    [anon_sym_invariant] = ACTIONS(1671),
    [anon_sym_precise] = ACTIONS(1671),
    [anon_sym_SEMI] = ACTIONS(1673),
    [anon_sym_in] = ACTIONS(1671),
    [anon_sym_out] = ACTIONS(1671),
    [anon_sym_inout] = ACTIONS(1671),
    [anon_sym_uniform] = ACTIONS(1671),
    [anon_sym_shared] = ACTIONS(1671),
    [anon_sym_attribute] = ACTIONS(1671),
    [anon_sym_varying] = ACTIONS(1671),
    [anon_sym_buffer] = ACTIONS(1671),
    [anon_sym_coherent] = ACTIONS(1671),
    [anon_sym_readonly] = ACTIONS(1671),
    [anon_sym_writeonly] = ACTIONS(1671),
    [anon_sym_precision] = ACTIONS(1671),
    [anon_sym_highp] = ACTIONS(1671),
    [anon_sym_mediump] = ACTIONS(1671),
    [anon_sym_lowp] = ACTIONS(1671),
    [anon_sym_centroid] = ACTIONS(1671),
    [anon_sym_sample] = ACTIONS(1671),
    [anon_sym_patch] = ACTIONS(1671),
    [anon_sym_smooth] = ACTIONS(1671),
    [anon_sym_flat] = ACTIONS(1671),
    [anon_sym_noperspective] = ACTIONS(1671),
    [anon_sym___extension__] = ACTIONS(1671),
    [anon_sym_typedef] = ACTIONS(1671),
    [anon_sym_extern] = ACTIONS(1671),
    [anon_sym___attribute__] = ACTIONS(1671),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1673),
    [anon_sym___declspec] = ACTIONS(1671),
    [anon_sym___cdecl] = ACTIONS(1671),
    [anon_sym___clrcall] = ACTIONS(1671),
    [anon_sym___stdcall] = ACTIONS(1671),
    [anon_sym___fastcall] = ACTIONS(1671),
    [anon_sym___thiscall] = ACTIONS(1671),
    [anon_sym___vectorcall] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(1673),
    [anon_sym_signed] = ACTIONS(1671),
    [anon_sym_unsigned] = ACTIONS(1671),
    [anon_sym_long] = ACTIONS(1671),
    [anon_sym_short] = ACTIONS(1671),
    [anon_sym_static] = ACTIONS(1671),
    [anon_sym_auto] = ACTIONS(1671),
    [anon_sym_register] = ACTIONS(1671),
    [anon_sym_inline] = ACTIONS(1671),
    [anon_sym___inline] = ACTIONS(1671),
    [anon_sym___inline__] = ACTIONS(1671),
    [anon_sym___forceinline] = ACTIONS(1671),
    [anon_sym_thread_local] = ACTIONS(1671),
    [anon_sym___thread] = ACTIONS(1671),
    [anon_sym_const] = ACTIONS(1671),
    [anon_sym_constexpr] = ACTIONS(1671),
    [anon_sym_volatile] = ACTIONS(1671),
    [anon_sym_restrict] = ACTIONS(1671),
    [anon_sym___restrict__] = ACTIONS(1671),
    [anon_sym__Atomic] = ACTIONS(1671),
    [anon_sym__Noreturn] = ACTIONS(1671),
    [anon_sym_noreturn] = ACTIONS(1671),
    [sym_primitive_type] = ACTIONS(1671),
    [anon_sym_enum] = ACTIONS(1671),
    [anon_sym_struct] = ACTIONS(1671),
    [anon_sym_union] = ACTIONS(1671),
    [anon_sym_if] = ACTIONS(1671),
    [anon_sym_switch] = ACTIONS(1671),
    [anon_sym_case] = ACTIONS(1671),
    [anon_sym_default] = ACTIONS(1671),
    [anon_sym_while] = ACTIONS(1671),
    [anon_sym_do] = ACTIONS(1671),
    [anon_sym_for] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(1671),
    [anon_sym_break] = ACTIONS(1671),
    [anon_sym_continue] = ACTIONS(1671),
    [anon_sym_goto] = ACTIONS(1671),
    [anon_sym___try] = ACTIONS(1671),
    [anon_sym___leave] = ACTIONS(1671),
    [anon_sym_DASH_DASH] = ACTIONS(1673),
    [anon_sym_PLUS_PLUS] = ACTIONS(1673),
    [anon_sym_sizeof] = ACTIONS(1671),
    [anon_sym___alignof__] = ACTIONS(1671),
    [anon_sym___alignof] = ACTIONS(1671),
    [anon_sym__alignof] = ACTIONS(1671),
    [anon_sym_alignof] = ACTIONS(1671),
    [anon_sym__Alignof] = ACTIONS(1671),
    [anon_sym_offsetof] = ACTIONS(1671),
    [anon_sym__Generic] = ACTIONS(1671),
    [anon_sym_asm] = ACTIONS(1671),
    [anon_sym___asm__] = ACTIONS(1671),
    [sym_number_literal] = ACTIONS(1673),
    [anon_sym_L_SQUOTE] = ACTIONS(1673),
    [anon_sym_u_SQUOTE] = ACTIONS(1673),
    [anon_sym_U_SQUOTE] = ACTIONS(1673),
    [anon_sym_u8_SQUOTE] = ACTIONS(1673),
    [anon_sym_SQUOTE] = ACTIONS(1673),
    [anon_sym_L_DQUOTE] = ACTIONS(1673),
    [anon_sym_u_DQUOTE] = ACTIONS(1673),
    [anon_sym_U_DQUOTE] = ACTIONS(1673),
    [anon_sym_u8_DQUOTE] = ACTIONS(1673),
    [anon_sym_DQUOTE] = ACTIONS(1673),
    [sym_true] = ACTIONS(1671),
    [sym_false] = ACTIONS(1671),
    [anon_sym_NULL] = ACTIONS(1671),
    [anon_sym_nullptr] = ACTIONS(1671),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1671),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1671),
    [anon_sym_hitAttributeEXT] = ACTIONS(1671),
    [anon_sym_callableDataEXT] = ACTIONS(1671),
    [anon_sym_callableDataInEXT] = ACTIONS(1671),
    [anon_sym_shaderRecordEXT] = ACTIONS(1671),
    [anon_sym_rayPayloadNV] = ACTIONS(1671),
    [anon_sym_rayPayloadInNV] = ACTIONS(1671),
    [anon_sym_hitAttributeNV] = ACTIONS(1671),
    [anon_sym_callableDataNV] = ACTIONS(1671),
    [anon_sym_callableDataInNV] = ACTIONS(1671),
    [anon_sym_shaderRecordNV] = ACTIONS(1671),
    [anon_sym_layout] = ACTIONS(1671),
  },
  [511] = {
    [sym_identifier] = ACTIONS(1675),
    [aux_sym_preproc_include_token1] = ACTIONS(1675),
    [aux_sym_preproc_def_token1] = ACTIONS(1675),
    [aux_sym_preproc_if_token1] = ACTIONS(1675),
    [aux_sym_preproc_if_token2] = ACTIONS(1675),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1675),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1675),
    [sym_preproc_directive] = ACTIONS(1675),
    [anon_sym_LPAREN2] = ACTIONS(1677),
    [anon_sym_BANG] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(1677),
    [anon_sym_DASH] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1675),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_AMP] = ACTIONS(1677),
    [anon_sym_subroutine] = ACTIONS(1675),
    [anon_sym_invariant] = ACTIONS(1675),
    [anon_sym_precise] = ACTIONS(1675),
    [anon_sym_SEMI] = ACTIONS(1677),
    [anon_sym_in] = ACTIONS(1675),
    [anon_sym_out] = ACTIONS(1675),
    [anon_sym_inout] = ACTIONS(1675),
    [anon_sym_uniform] = ACTIONS(1675),
    [anon_sym_shared] = ACTIONS(1675),
    [anon_sym_attribute] = ACTIONS(1675),
    [anon_sym_varying] = ACTIONS(1675),
    [anon_sym_buffer] = ACTIONS(1675),
    [anon_sym_coherent] = ACTIONS(1675),
    [anon_sym_readonly] = ACTIONS(1675),
    [anon_sym_writeonly] = ACTIONS(1675),
    [anon_sym_precision] = ACTIONS(1675),
    [anon_sym_highp] = ACTIONS(1675),
    [anon_sym_mediump] = ACTIONS(1675),
    [anon_sym_lowp] = ACTIONS(1675),
    [anon_sym_centroid] = ACTIONS(1675),
    [anon_sym_sample] = ACTIONS(1675),
    [anon_sym_patch] = ACTIONS(1675),
    [anon_sym_smooth] = ACTIONS(1675),
    [anon_sym_flat] = ACTIONS(1675),
    [anon_sym_noperspective] = ACTIONS(1675),
    [anon_sym___extension__] = ACTIONS(1675),
    [anon_sym_typedef] = ACTIONS(1675),
    [anon_sym_extern] = ACTIONS(1675),
    [anon_sym___attribute__] = ACTIONS(1675),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1677),
    [anon_sym___declspec] = ACTIONS(1675),
    [anon_sym___cdecl] = ACTIONS(1675),
    [anon_sym___clrcall] = ACTIONS(1675),
    [anon_sym___stdcall] = ACTIONS(1675),
    [anon_sym___fastcall] = ACTIONS(1675),
    [anon_sym___thiscall] = ACTIONS(1675),
    [anon_sym___vectorcall] = ACTIONS(1675),
    [anon_sym_LBRACE] = ACTIONS(1677),
    [anon_sym_signed] = ACTIONS(1675),
    [anon_sym_unsigned] = ACTIONS(1675),
    [anon_sym_long] = ACTIONS(1675),
    [anon_sym_short] = ACTIONS(1675),
    [anon_sym_static] = ACTIONS(1675),
    [anon_sym_auto] = ACTIONS(1675),
    [anon_sym_register] = ACTIONS(1675),
    [anon_sym_inline] = ACTIONS(1675),
    [anon_sym___inline] = ACTIONS(1675),
    [anon_sym___inline__] = ACTIONS(1675),
    [anon_sym___forceinline] = ACTIONS(1675),
    [anon_sym_thread_local] = ACTIONS(1675),
    [anon_sym___thread] = ACTIONS(1675),
    [anon_sym_const] = ACTIONS(1675),
    [anon_sym_constexpr] = ACTIONS(1675),
    [anon_sym_volatile] = ACTIONS(1675),
    [anon_sym_restrict] = ACTIONS(1675),
    [anon_sym___restrict__] = ACTIONS(1675),
    [anon_sym__Atomic] = ACTIONS(1675),
    [anon_sym__Noreturn] = ACTIONS(1675),
    [anon_sym_noreturn] = ACTIONS(1675),
    [sym_primitive_type] = ACTIONS(1675),
    [anon_sym_enum] = ACTIONS(1675),
    [anon_sym_struct] = ACTIONS(1675),
    [anon_sym_union] = ACTIONS(1675),
    [anon_sym_if] = ACTIONS(1675),
    [anon_sym_switch] = ACTIONS(1675),
    [anon_sym_case] = ACTIONS(1675),
    [anon_sym_default] = ACTIONS(1675),
    [anon_sym_while] = ACTIONS(1675),
    [anon_sym_do] = ACTIONS(1675),
    [anon_sym_for] = ACTIONS(1675),
    [anon_sym_return] = ACTIONS(1675),
    [anon_sym_break] = ACTIONS(1675),
    [anon_sym_continue] = ACTIONS(1675),
    [anon_sym_goto] = ACTIONS(1675),
    [anon_sym___try] = ACTIONS(1675),
    [anon_sym___leave] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1677),
    [anon_sym_PLUS_PLUS] = ACTIONS(1677),
    [anon_sym_sizeof] = ACTIONS(1675),
    [anon_sym___alignof__] = ACTIONS(1675),
    [anon_sym___alignof] = ACTIONS(1675),
    [anon_sym__alignof] = ACTIONS(1675),
    [anon_sym_alignof] = ACTIONS(1675),
    [anon_sym__Alignof] = ACTIONS(1675),
    [anon_sym_offsetof] = ACTIONS(1675),
    [anon_sym__Generic] = ACTIONS(1675),
    [anon_sym_asm] = ACTIONS(1675),
    [anon_sym___asm__] = ACTIONS(1675),
    [sym_number_literal] = ACTIONS(1677),
    [anon_sym_L_SQUOTE] = ACTIONS(1677),
    [anon_sym_u_SQUOTE] = ACTIONS(1677),
    [anon_sym_U_SQUOTE] = ACTIONS(1677),
    [anon_sym_u8_SQUOTE] = ACTIONS(1677),
    [anon_sym_SQUOTE] = ACTIONS(1677),
    [anon_sym_L_DQUOTE] = ACTIONS(1677),
    [anon_sym_u_DQUOTE] = ACTIONS(1677),
    [anon_sym_U_DQUOTE] = ACTIONS(1677),
    [anon_sym_u8_DQUOTE] = ACTIONS(1677),
    [anon_sym_DQUOTE] = ACTIONS(1677),
    [sym_true] = ACTIONS(1675),
    [sym_false] = ACTIONS(1675),
    [anon_sym_NULL] = ACTIONS(1675),
    [anon_sym_nullptr] = ACTIONS(1675),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1675),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1675),
    [anon_sym_hitAttributeEXT] = ACTIONS(1675),
    [anon_sym_callableDataEXT] = ACTIONS(1675),
    [anon_sym_callableDataInEXT] = ACTIONS(1675),
    [anon_sym_shaderRecordEXT] = ACTIONS(1675),
    [anon_sym_rayPayloadNV] = ACTIONS(1675),
    [anon_sym_rayPayloadInNV] = ACTIONS(1675),
    [anon_sym_hitAttributeNV] = ACTIONS(1675),
    [anon_sym_callableDataNV] = ACTIONS(1675),
    [anon_sym_callableDataInNV] = ACTIONS(1675),
    [anon_sym_shaderRecordNV] = ACTIONS(1675),
    [anon_sym_layout] = ACTIONS(1675),
  },
  [512] = {
    [sym_identifier] = ACTIONS(1679),
    [aux_sym_preproc_include_token1] = ACTIONS(1679),
    [aux_sym_preproc_def_token1] = ACTIONS(1679),
    [aux_sym_preproc_if_token1] = ACTIONS(1679),
    [aux_sym_preproc_if_token2] = ACTIONS(1679),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1679),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1679),
    [sym_preproc_directive] = ACTIONS(1679),
    [anon_sym_LPAREN2] = ACTIONS(1681),
    [anon_sym_BANG] = ACTIONS(1681),
    [anon_sym_TILDE] = ACTIONS(1681),
    [anon_sym_DASH] = ACTIONS(1679),
    [anon_sym_PLUS] = ACTIONS(1679),
    [anon_sym_STAR] = ACTIONS(1681),
    [anon_sym_AMP] = ACTIONS(1681),
    [anon_sym_subroutine] = ACTIONS(1679),
    [anon_sym_invariant] = ACTIONS(1679),
    [anon_sym_precise] = ACTIONS(1679),
    [anon_sym_SEMI] = ACTIONS(1681),
    [anon_sym_in] = ACTIONS(1679),
    [anon_sym_out] = ACTIONS(1679),
    [anon_sym_inout] = ACTIONS(1679),
    [anon_sym_uniform] = ACTIONS(1679),
    [anon_sym_shared] = ACTIONS(1679),
    [anon_sym_attribute] = ACTIONS(1679),
    [anon_sym_varying] = ACTIONS(1679),
    [anon_sym_buffer] = ACTIONS(1679),
    [anon_sym_coherent] = ACTIONS(1679),
    [anon_sym_readonly] = ACTIONS(1679),
    [anon_sym_writeonly] = ACTIONS(1679),
    [anon_sym_precision] = ACTIONS(1679),
    [anon_sym_highp] = ACTIONS(1679),
    [anon_sym_mediump] = ACTIONS(1679),
    [anon_sym_lowp] = ACTIONS(1679),
    [anon_sym_centroid] = ACTIONS(1679),
    [anon_sym_sample] = ACTIONS(1679),
    [anon_sym_patch] = ACTIONS(1679),
    [anon_sym_smooth] = ACTIONS(1679),
    [anon_sym_flat] = ACTIONS(1679),
    [anon_sym_noperspective] = ACTIONS(1679),
    [anon_sym___extension__] = ACTIONS(1679),
    [anon_sym_typedef] = ACTIONS(1679),
    [anon_sym_extern] = ACTIONS(1679),
    [anon_sym___attribute__] = ACTIONS(1679),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1681),
    [anon_sym___declspec] = ACTIONS(1679),
    [anon_sym___cdecl] = ACTIONS(1679),
    [anon_sym___clrcall] = ACTIONS(1679),
    [anon_sym___stdcall] = ACTIONS(1679),
    [anon_sym___fastcall] = ACTIONS(1679),
    [anon_sym___thiscall] = ACTIONS(1679),
    [anon_sym___vectorcall] = ACTIONS(1679),
    [anon_sym_LBRACE] = ACTIONS(1681),
    [anon_sym_signed] = ACTIONS(1679),
    [anon_sym_unsigned] = ACTIONS(1679),
    [anon_sym_long] = ACTIONS(1679),
    [anon_sym_short] = ACTIONS(1679),
    [anon_sym_static] = ACTIONS(1679),
    [anon_sym_auto] = ACTIONS(1679),
    [anon_sym_register] = ACTIONS(1679),
    [anon_sym_inline] = ACTIONS(1679),
    [anon_sym___inline] = ACTIONS(1679),
    [anon_sym___inline__] = ACTIONS(1679),
    [anon_sym___forceinline] = ACTIONS(1679),
    [anon_sym_thread_local] = ACTIONS(1679),
    [anon_sym___thread] = ACTIONS(1679),
    [anon_sym_const] = ACTIONS(1679),
    [anon_sym_constexpr] = ACTIONS(1679),
    [anon_sym_volatile] = ACTIONS(1679),
    [anon_sym_restrict] = ACTIONS(1679),
    [anon_sym___restrict__] = ACTIONS(1679),
    [anon_sym__Atomic] = ACTIONS(1679),
    [anon_sym__Noreturn] = ACTIONS(1679),
    [anon_sym_noreturn] = ACTIONS(1679),
    [sym_primitive_type] = ACTIONS(1679),
    [anon_sym_enum] = ACTIONS(1679),
    [anon_sym_struct] = ACTIONS(1679),
    [anon_sym_union] = ACTIONS(1679),
    [anon_sym_if] = ACTIONS(1679),
    [anon_sym_switch] = ACTIONS(1679),
    [anon_sym_case] = ACTIONS(1679),
    [anon_sym_default] = ACTIONS(1679),
    [anon_sym_while] = ACTIONS(1679),
    [anon_sym_do] = ACTIONS(1679),
    [anon_sym_for] = ACTIONS(1679),
    [anon_sym_return] = ACTIONS(1679),
    [anon_sym_break] = ACTIONS(1679),
    [anon_sym_continue] = ACTIONS(1679),
    [anon_sym_goto] = ACTIONS(1679),
    [anon_sym___try] = ACTIONS(1679),
    [anon_sym___leave] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1681),
    [anon_sym_PLUS_PLUS] = ACTIONS(1681),
    [anon_sym_sizeof] = ACTIONS(1679),
    [anon_sym___alignof__] = ACTIONS(1679),
    [anon_sym___alignof] = ACTIONS(1679),
    [anon_sym__alignof] = ACTIONS(1679),
    [anon_sym_alignof] = ACTIONS(1679),
    [anon_sym__Alignof] = ACTIONS(1679),
    [anon_sym_offsetof] = ACTIONS(1679),
    [anon_sym__Generic] = ACTIONS(1679),
    [anon_sym_asm] = ACTIONS(1679),
    [anon_sym___asm__] = ACTIONS(1679),
    [sym_number_literal] = ACTIONS(1681),
    [anon_sym_L_SQUOTE] = ACTIONS(1681),
    [anon_sym_u_SQUOTE] = ACTIONS(1681),
    [anon_sym_U_SQUOTE] = ACTIONS(1681),
    [anon_sym_u8_SQUOTE] = ACTIONS(1681),
    [anon_sym_SQUOTE] = ACTIONS(1681),
    [anon_sym_L_DQUOTE] = ACTIONS(1681),
    [anon_sym_u_DQUOTE] = ACTIONS(1681),
    [anon_sym_U_DQUOTE] = ACTIONS(1681),
    [anon_sym_u8_DQUOTE] = ACTIONS(1681),
    [anon_sym_DQUOTE] = ACTIONS(1681),
    [sym_true] = ACTIONS(1679),
    [sym_false] = ACTIONS(1679),
    [anon_sym_NULL] = ACTIONS(1679),
    [anon_sym_nullptr] = ACTIONS(1679),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1679),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1679),
    [anon_sym_hitAttributeEXT] = ACTIONS(1679),
    [anon_sym_callableDataEXT] = ACTIONS(1679),
    [anon_sym_callableDataInEXT] = ACTIONS(1679),
    [anon_sym_shaderRecordEXT] = ACTIONS(1679),
    [anon_sym_rayPayloadNV] = ACTIONS(1679),
    [anon_sym_rayPayloadInNV] = ACTIONS(1679),
    [anon_sym_hitAttributeNV] = ACTIONS(1679),
    [anon_sym_callableDataNV] = ACTIONS(1679),
    [anon_sym_callableDataInNV] = ACTIONS(1679),
    [anon_sym_shaderRecordNV] = ACTIONS(1679),
    [anon_sym_layout] = ACTIONS(1679),
  },
  [513] = {
    [sym_identifier] = ACTIONS(1663),
    [aux_sym_preproc_include_token1] = ACTIONS(1663),
    [aux_sym_preproc_def_token1] = ACTIONS(1663),
    [aux_sym_preproc_if_token1] = ACTIONS(1663),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1663),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1663),
    [sym_preproc_directive] = ACTIONS(1663),
    [anon_sym_LPAREN2] = ACTIONS(1665),
    [anon_sym_BANG] = ACTIONS(1665),
    [anon_sym_TILDE] = ACTIONS(1665),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1663),
    [anon_sym_STAR] = ACTIONS(1665),
    [anon_sym_AMP] = ACTIONS(1665),
    [anon_sym_subroutine] = ACTIONS(1663),
    [anon_sym_invariant] = ACTIONS(1663),
    [anon_sym_precise] = ACTIONS(1663),
    [anon_sym_SEMI] = ACTIONS(1665),
    [anon_sym_in] = ACTIONS(1663),
    [anon_sym_out] = ACTIONS(1663),
    [anon_sym_inout] = ACTIONS(1663),
    [anon_sym_uniform] = ACTIONS(1663),
    [anon_sym_shared] = ACTIONS(1663),
    [anon_sym_attribute] = ACTIONS(1663),
    [anon_sym_varying] = ACTIONS(1663),
    [anon_sym_buffer] = ACTIONS(1663),
    [anon_sym_coherent] = ACTIONS(1663),
    [anon_sym_readonly] = ACTIONS(1663),
    [anon_sym_writeonly] = ACTIONS(1663),
    [anon_sym_precision] = ACTIONS(1663),
    [anon_sym_highp] = ACTIONS(1663),
    [anon_sym_mediump] = ACTIONS(1663),
    [anon_sym_lowp] = ACTIONS(1663),
    [anon_sym_centroid] = ACTIONS(1663),
    [anon_sym_sample] = ACTIONS(1663),
    [anon_sym_patch] = ACTIONS(1663),
    [anon_sym_smooth] = ACTIONS(1663),
    [anon_sym_flat] = ACTIONS(1663),
    [anon_sym_noperspective] = ACTIONS(1663),
    [anon_sym___extension__] = ACTIONS(1663),
    [anon_sym_typedef] = ACTIONS(1663),
    [anon_sym_extern] = ACTIONS(1663),
    [anon_sym___attribute__] = ACTIONS(1663),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1665),
    [anon_sym___declspec] = ACTIONS(1663),
    [anon_sym___cdecl] = ACTIONS(1663),
    [anon_sym___clrcall] = ACTIONS(1663),
    [anon_sym___stdcall] = ACTIONS(1663),
    [anon_sym___fastcall] = ACTIONS(1663),
    [anon_sym___thiscall] = ACTIONS(1663),
    [anon_sym___vectorcall] = ACTIONS(1663),
    [anon_sym_LBRACE] = ACTIONS(1665),
    [anon_sym_RBRACE] = ACTIONS(1665),
    [anon_sym_signed] = ACTIONS(1663),
    [anon_sym_unsigned] = ACTIONS(1663),
    [anon_sym_long] = ACTIONS(1663),
    [anon_sym_short] = ACTIONS(1663),
    [anon_sym_static] = ACTIONS(1663),
    [anon_sym_auto] = ACTIONS(1663),
    [anon_sym_register] = ACTIONS(1663),
    [anon_sym_inline] = ACTIONS(1663),
    [anon_sym___inline] = ACTIONS(1663),
    [anon_sym___inline__] = ACTIONS(1663),
    [anon_sym___forceinline] = ACTIONS(1663),
    [anon_sym_thread_local] = ACTIONS(1663),
    [anon_sym___thread] = ACTIONS(1663),
    [anon_sym_const] = ACTIONS(1663),
    [anon_sym_constexpr] = ACTIONS(1663),
    [anon_sym_volatile] = ACTIONS(1663),
    [anon_sym_restrict] = ACTIONS(1663),
    [anon_sym___restrict__] = ACTIONS(1663),
    [anon_sym__Atomic] = ACTIONS(1663),
    [anon_sym__Noreturn] = ACTIONS(1663),
    [anon_sym_noreturn] = ACTIONS(1663),
    [sym_primitive_type] = ACTIONS(1663),
    [anon_sym_enum] = ACTIONS(1663),
    [anon_sym_struct] = ACTIONS(1663),
    [anon_sym_union] = ACTIONS(1663),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_switch] = ACTIONS(1663),
    [anon_sym_case] = ACTIONS(1663),
    [anon_sym_default] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1663),
    [anon_sym_do] = ACTIONS(1663),
    [anon_sym_for] = ACTIONS(1663),
    [anon_sym_return] = ACTIONS(1663),
    [anon_sym_break] = ACTIONS(1663),
    [anon_sym_continue] = ACTIONS(1663),
    [anon_sym_goto] = ACTIONS(1663),
    [anon_sym___try] = ACTIONS(1663),
    [anon_sym___leave] = ACTIONS(1663),
    [anon_sym_DASH_DASH] = ACTIONS(1665),
    [anon_sym_PLUS_PLUS] = ACTIONS(1665),
    [anon_sym_sizeof] = ACTIONS(1663),
    [anon_sym___alignof__] = ACTIONS(1663),
    [anon_sym___alignof] = ACTIONS(1663),
    [anon_sym__alignof] = ACTIONS(1663),
    [anon_sym_alignof] = ACTIONS(1663),
    [anon_sym__Alignof] = ACTIONS(1663),
    [anon_sym_offsetof] = ACTIONS(1663),
    [anon_sym__Generic] = ACTIONS(1663),
    [anon_sym_asm] = ACTIONS(1663),
    [anon_sym___asm__] = ACTIONS(1663),
    [sym_number_literal] = ACTIONS(1665),
    [anon_sym_L_SQUOTE] = ACTIONS(1665),
    [anon_sym_u_SQUOTE] = ACTIONS(1665),
    [anon_sym_U_SQUOTE] = ACTIONS(1665),
    [anon_sym_u8_SQUOTE] = ACTIONS(1665),
    [anon_sym_SQUOTE] = ACTIONS(1665),
    [anon_sym_L_DQUOTE] = ACTIONS(1665),
    [anon_sym_u_DQUOTE] = ACTIONS(1665),
    [anon_sym_U_DQUOTE] = ACTIONS(1665),
    [anon_sym_u8_DQUOTE] = ACTIONS(1665),
    [anon_sym_DQUOTE] = ACTIONS(1665),
    [sym_true] = ACTIONS(1663),
    [sym_false] = ACTIONS(1663),
    [anon_sym_NULL] = ACTIONS(1663),
    [anon_sym_nullptr] = ACTIONS(1663),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1663),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1663),
    [anon_sym_hitAttributeEXT] = ACTIONS(1663),
    [anon_sym_callableDataEXT] = ACTIONS(1663),
    [anon_sym_callableDataInEXT] = ACTIONS(1663),
    [anon_sym_shaderRecordEXT] = ACTIONS(1663),
    [anon_sym_rayPayloadNV] = ACTIONS(1663),
    [anon_sym_rayPayloadInNV] = ACTIONS(1663),
    [anon_sym_hitAttributeNV] = ACTIONS(1663),
    [anon_sym_callableDataNV] = ACTIONS(1663),
    [anon_sym_callableDataInNV] = ACTIONS(1663),
    [anon_sym_shaderRecordNV] = ACTIONS(1663),
    [anon_sym_layout] = ACTIONS(1663),
  },
  [514] = {
    [sym_identifier] = ACTIONS(1667),
    [aux_sym_preproc_include_token1] = ACTIONS(1667),
    [aux_sym_preproc_def_token1] = ACTIONS(1667),
    [aux_sym_preproc_if_token1] = ACTIONS(1667),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1667),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1667),
    [sym_preproc_directive] = ACTIONS(1667),
    [anon_sym_LPAREN2] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(1669),
    [anon_sym_TILDE] = ACTIONS(1669),
    [anon_sym_DASH] = ACTIONS(1667),
    [anon_sym_PLUS] = ACTIONS(1667),
    [anon_sym_STAR] = ACTIONS(1669),
    [anon_sym_AMP] = ACTIONS(1669),
    [anon_sym_subroutine] = ACTIONS(1667),
    [anon_sym_invariant] = ACTIONS(1667),
    [anon_sym_precise] = ACTIONS(1667),
    [anon_sym_SEMI] = ACTIONS(1669),
    [anon_sym_in] = ACTIONS(1667),
    [anon_sym_out] = ACTIONS(1667),
    [anon_sym_inout] = ACTIONS(1667),
    [anon_sym_uniform] = ACTIONS(1667),
    [anon_sym_shared] = ACTIONS(1667),
    [anon_sym_attribute] = ACTIONS(1667),
    [anon_sym_varying] = ACTIONS(1667),
    [anon_sym_buffer] = ACTIONS(1667),
    [anon_sym_coherent] = ACTIONS(1667),
    [anon_sym_readonly] = ACTIONS(1667),
    [anon_sym_writeonly] = ACTIONS(1667),
    [anon_sym_precision] = ACTIONS(1667),
    [anon_sym_highp] = ACTIONS(1667),
    [anon_sym_mediump] = ACTIONS(1667),
    [anon_sym_lowp] = ACTIONS(1667),
    [anon_sym_centroid] = ACTIONS(1667),
    [anon_sym_sample] = ACTIONS(1667),
    [anon_sym_patch] = ACTIONS(1667),
    [anon_sym_smooth] = ACTIONS(1667),
    [anon_sym_flat] = ACTIONS(1667),
    [anon_sym_noperspective] = ACTIONS(1667),
    [anon_sym___extension__] = ACTIONS(1667),
    [anon_sym_typedef] = ACTIONS(1667),
    [anon_sym_extern] = ACTIONS(1667),
    [anon_sym___attribute__] = ACTIONS(1667),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1669),
    [anon_sym___declspec] = ACTIONS(1667),
    [anon_sym___cdecl] = ACTIONS(1667),
    [anon_sym___clrcall] = ACTIONS(1667),
    [anon_sym___stdcall] = ACTIONS(1667),
    [anon_sym___fastcall] = ACTIONS(1667),
    [anon_sym___thiscall] = ACTIONS(1667),
    [anon_sym___vectorcall] = ACTIONS(1667),
    [anon_sym_LBRACE] = ACTIONS(1669),
    [anon_sym_RBRACE] = ACTIONS(1669),
    [anon_sym_signed] = ACTIONS(1667),
    [anon_sym_unsigned] = ACTIONS(1667),
    [anon_sym_long] = ACTIONS(1667),
    [anon_sym_short] = ACTIONS(1667),
    [anon_sym_static] = ACTIONS(1667),
    [anon_sym_auto] = ACTIONS(1667),
    [anon_sym_register] = ACTIONS(1667),
    [anon_sym_inline] = ACTIONS(1667),
    [anon_sym___inline] = ACTIONS(1667),
    [anon_sym___inline__] = ACTIONS(1667),
    [anon_sym___forceinline] = ACTIONS(1667),
    [anon_sym_thread_local] = ACTIONS(1667),
    [anon_sym___thread] = ACTIONS(1667),
    [anon_sym_const] = ACTIONS(1667),
    [anon_sym_constexpr] = ACTIONS(1667),
    [anon_sym_volatile] = ACTIONS(1667),
    [anon_sym_restrict] = ACTIONS(1667),
    [anon_sym___restrict__] = ACTIONS(1667),
    [anon_sym__Atomic] = ACTIONS(1667),
    [anon_sym__Noreturn] = ACTIONS(1667),
    [anon_sym_noreturn] = ACTIONS(1667),
    [sym_primitive_type] = ACTIONS(1667),
    [anon_sym_enum] = ACTIONS(1667),
    [anon_sym_struct] = ACTIONS(1667),
    [anon_sym_union] = ACTIONS(1667),
    [anon_sym_if] = ACTIONS(1667),
    [anon_sym_switch] = ACTIONS(1667),
    [anon_sym_case] = ACTIONS(1667),
    [anon_sym_default] = ACTIONS(1667),
    [anon_sym_while] = ACTIONS(1667),
    [anon_sym_do] = ACTIONS(1667),
    [anon_sym_for] = ACTIONS(1667),
    [anon_sym_return] = ACTIONS(1667),
    [anon_sym_break] = ACTIONS(1667),
    [anon_sym_continue] = ACTIONS(1667),
    [anon_sym_goto] = ACTIONS(1667),
    [anon_sym___try] = ACTIONS(1667),
    [anon_sym___leave] = ACTIONS(1667),
    [anon_sym_DASH_DASH] = ACTIONS(1669),
    [anon_sym_PLUS_PLUS] = ACTIONS(1669),
    [anon_sym_sizeof] = ACTIONS(1667),
    [anon_sym___alignof__] = ACTIONS(1667),
    [anon_sym___alignof] = ACTIONS(1667),
    [anon_sym__alignof] = ACTIONS(1667),
    [anon_sym_alignof] = ACTIONS(1667),
    [anon_sym__Alignof] = ACTIONS(1667),
    [anon_sym_offsetof] = ACTIONS(1667),
    [anon_sym__Generic] = ACTIONS(1667),
    [anon_sym_asm] = ACTIONS(1667),
    [anon_sym___asm__] = ACTIONS(1667),
    [sym_number_literal] = ACTIONS(1669),
    [anon_sym_L_SQUOTE] = ACTIONS(1669),
    [anon_sym_u_SQUOTE] = ACTIONS(1669),
    [anon_sym_U_SQUOTE] = ACTIONS(1669),
    [anon_sym_u8_SQUOTE] = ACTIONS(1669),
    [anon_sym_SQUOTE] = ACTIONS(1669),
    [anon_sym_L_DQUOTE] = ACTIONS(1669),
    [anon_sym_u_DQUOTE] = ACTIONS(1669),
    [anon_sym_U_DQUOTE] = ACTIONS(1669),
    [anon_sym_u8_DQUOTE] = ACTIONS(1669),
    [anon_sym_DQUOTE] = ACTIONS(1669),
    [sym_true] = ACTIONS(1667),
    [sym_false] = ACTIONS(1667),
    [anon_sym_NULL] = ACTIONS(1667),
    [anon_sym_nullptr] = ACTIONS(1667),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1667),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1667),
    [anon_sym_hitAttributeEXT] = ACTIONS(1667),
    [anon_sym_callableDataEXT] = ACTIONS(1667),
    [anon_sym_callableDataInEXT] = ACTIONS(1667),
    [anon_sym_shaderRecordEXT] = ACTIONS(1667),
    [anon_sym_rayPayloadNV] = ACTIONS(1667),
    [anon_sym_rayPayloadInNV] = ACTIONS(1667),
    [anon_sym_hitAttributeNV] = ACTIONS(1667),
    [anon_sym_callableDataNV] = ACTIONS(1667),
    [anon_sym_callableDataInNV] = ACTIONS(1667),
    [anon_sym_shaderRecordNV] = ACTIONS(1667),
    [anon_sym_layout] = ACTIONS(1667),
  },
  [515] = {
    [sym_identifier] = ACTIONS(1671),
    [aux_sym_preproc_include_token1] = ACTIONS(1671),
    [aux_sym_preproc_def_token1] = ACTIONS(1671),
    [aux_sym_preproc_if_token1] = ACTIONS(1671),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1671),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1671),
    [sym_preproc_directive] = ACTIONS(1671),
    [anon_sym_LPAREN2] = ACTIONS(1673),
    [anon_sym_BANG] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(1673),
    [anon_sym_DASH] = ACTIONS(1671),
    [anon_sym_PLUS] = ACTIONS(1671),
    [anon_sym_STAR] = ACTIONS(1673),
    [anon_sym_AMP] = ACTIONS(1673),
    [anon_sym_subroutine] = ACTIONS(1671),
    [anon_sym_invariant] = ACTIONS(1671),
    [anon_sym_precise] = ACTIONS(1671),
    [anon_sym_SEMI] = ACTIONS(1673),
    [anon_sym_in] = ACTIONS(1671),
    [anon_sym_out] = ACTIONS(1671),
    [anon_sym_inout] = ACTIONS(1671),
    [anon_sym_uniform] = ACTIONS(1671),
    [anon_sym_shared] = ACTIONS(1671),
    [anon_sym_attribute] = ACTIONS(1671),
    [anon_sym_varying] = ACTIONS(1671),
    [anon_sym_buffer] = ACTIONS(1671),
    [anon_sym_coherent] = ACTIONS(1671),
    [anon_sym_readonly] = ACTIONS(1671),
    [anon_sym_writeonly] = ACTIONS(1671),
    [anon_sym_precision] = ACTIONS(1671),
    [anon_sym_highp] = ACTIONS(1671),
    [anon_sym_mediump] = ACTIONS(1671),
    [anon_sym_lowp] = ACTIONS(1671),
    [anon_sym_centroid] = ACTIONS(1671),
    [anon_sym_sample] = ACTIONS(1671),
    [anon_sym_patch] = ACTIONS(1671),
    [anon_sym_smooth] = ACTIONS(1671),
    [anon_sym_flat] = ACTIONS(1671),
    [anon_sym_noperspective] = ACTIONS(1671),
    [anon_sym___extension__] = ACTIONS(1671),
    [anon_sym_typedef] = ACTIONS(1671),
    [anon_sym_extern] = ACTIONS(1671),
    [anon_sym___attribute__] = ACTIONS(1671),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1673),
    [anon_sym___declspec] = ACTIONS(1671),
    [anon_sym___cdecl] = ACTIONS(1671),
    [anon_sym___clrcall] = ACTIONS(1671),
    [anon_sym___stdcall] = ACTIONS(1671),
    [anon_sym___fastcall] = ACTIONS(1671),
    [anon_sym___thiscall] = ACTIONS(1671),
    [anon_sym___vectorcall] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(1673),
    [anon_sym_RBRACE] = ACTIONS(1673),
    [anon_sym_signed] = ACTIONS(1671),
    [anon_sym_unsigned] = ACTIONS(1671),
    [anon_sym_long] = ACTIONS(1671),
    [anon_sym_short] = ACTIONS(1671),
    [anon_sym_static] = ACTIONS(1671),
    [anon_sym_auto] = ACTIONS(1671),
    [anon_sym_register] = ACTIONS(1671),
    [anon_sym_inline] = ACTIONS(1671),
    [anon_sym___inline] = ACTIONS(1671),
    [anon_sym___inline__] = ACTIONS(1671),
    [anon_sym___forceinline] = ACTIONS(1671),
    [anon_sym_thread_local] = ACTIONS(1671),
    [anon_sym___thread] = ACTIONS(1671),
    [anon_sym_const] = ACTIONS(1671),
    [anon_sym_constexpr] = ACTIONS(1671),
    [anon_sym_volatile] = ACTIONS(1671),
    [anon_sym_restrict] = ACTIONS(1671),
    [anon_sym___restrict__] = ACTIONS(1671),
    [anon_sym__Atomic] = ACTIONS(1671),
    [anon_sym__Noreturn] = ACTIONS(1671),
    [anon_sym_noreturn] = ACTIONS(1671),
    [sym_primitive_type] = ACTIONS(1671),
    [anon_sym_enum] = ACTIONS(1671),
    [anon_sym_struct] = ACTIONS(1671),
    [anon_sym_union] = ACTIONS(1671),
    [anon_sym_if] = ACTIONS(1671),
    [anon_sym_switch] = ACTIONS(1671),
    [anon_sym_case] = ACTIONS(1671),
    [anon_sym_default] = ACTIONS(1671),
    [anon_sym_while] = ACTIONS(1671),
    [anon_sym_do] = ACTIONS(1671),
    [anon_sym_for] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(1671),
    [anon_sym_break] = ACTIONS(1671),
    [anon_sym_continue] = ACTIONS(1671),
    [anon_sym_goto] = ACTIONS(1671),
    [anon_sym___try] = ACTIONS(1671),
    [anon_sym___leave] = ACTIONS(1671),
    [anon_sym_DASH_DASH] = ACTIONS(1673),
    [anon_sym_PLUS_PLUS] = ACTIONS(1673),
    [anon_sym_sizeof] = ACTIONS(1671),
    [anon_sym___alignof__] = ACTIONS(1671),
    [anon_sym___alignof] = ACTIONS(1671),
    [anon_sym__alignof] = ACTIONS(1671),
    [anon_sym_alignof] = ACTIONS(1671),
    [anon_sym__Alignof] = ACTIONS(1671),
    [anon_sym_offsetof] = ACTIONS(1671),
    [anon_sym__Generic] = ACTIONS(1671),
    [anon_sym_asm] = ACTIONS(1671),
    [anon_sym___asm__] = ACTIONS(1671),
    [sym_number_literal] = ACTIONS(1673),
    [anon_sym_L_SQUOTE] = ACTIONS(1673),
    [anon_sym_u_SQUOTE] = ACTIONS(1673),
    [anon_sym_U_SQUOTE] = ACTIONS(1673),
    [anon_sym_u8_SQUOTE] = ACTIONS(1673),
    [anon_sym_SQUOTE] = ACTIONS(1673),
    [anon_sym_L_DQUOTE] = ACTIONS(1673),
    [anon_sym_u_DQUOTE] = ACTIONS(1673),
    [anon_sym_U_DQUOTE] = ACTIONS(1673),
    [anon_sym_u8_DQUOTE] = ACTIONS(1673),
    [anon_sym_DQUOTE] = ACTIONS(1673),
    [sym_true] = ACTIONS(1671),
    [sym_false] = ACTIONS(1671),
    [anon_sym_NULL] = ACTIONS(1671),
    [anon_sym_nullptr] = ACTIONS(1671),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1671),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1671),
    [anon_sym_hitAttributeEXT] = ACTIONS(1671),
    [anon_sym_callableDataEXT] = ACTIONS(1671),
    [anon_sym_callableDataInEXT] = ACTIONS(1671),
    [anon_sym_shaderRecordEXT] = ACTIONS(1671),
    [anon_sym_rayPayloadNV] = ACTIONS(1671),
    [anon_sym_rayPayloadInNV] = ACTIONS(1671),
    [anon_sym_hitAttributeNV] = ACTIONS(1671),
    [anon_sym_callableDataNV] = ACTIONS(1671),
    [anon_sym_callableDataInNV] = ACTIONS(1671),
    [anon_sym_shaderRecordNV] = ACTIONS(1671),
    [anon_sym_layout] = ACTIONS(1671),
  },
  [516] = {
    [sym_identifier] = ACTIONS(1671),
    [aux_sym_preproc_include_token1] = ACTIONS(1671),
    [aux_sym_preproc_def_token1] = ACTIONS(1671),
    [aux_sym_preproc_if_token1] = ACTIONS(1671),
    [aux_sym_preproc_if_token2] = ACTIONS(1671),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1671),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1671),
    [sym_preproc_directive] = ACTIONS(1671),
    [anon_sym_LPAREN2] = ACTIONS(1673),
    [anon_sym_BANG] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(1673),
    [anon_sym_DASH] = ACTIONS(1671),
    [anon_sym_PLUS] = ACTIONS(1671),
    [anon_sym_STAR] = ACTIONS(1673),
    [anon_sym_AMP] = ACTIONS(1673),
    [anon_sym_subroutine] = ACTIONS(1671),
    [anon_sym_invariant] = ACTIONS(1671),
    [anon_sym_precise] = ACTIONS(1671),
    [anon_sym_SEMI] = ACTIONS(1673),
    [anon_sym_in] = ACTIONS(1671),
    [anon_sym_out] = ACTIONS(1671),
    [anon_sym_inout] = ACTIONS(1671),
    [anon_sym_uniform] = ACTIONS(1671),
    [anon_sym_shared] = ACTIONS(1671),
    [anon_sym_attribute] = ACTIONS(1671),
    [anon_sym_varying] = ACTIONS(1671),
    [anon_sym_buffer] = ACTIONS(1671),
    [anon_sym_coherent] = ACTIONS(1671),
    [anon_sym_readonly] = ACTIONS(1671),
    [anon_sym_writeonly] = ACTIONS(1671),
    [anon_sym_precision] = ACTIONS(1671),
    [anon_sym_highp] = ACTIONS(1671),
    [anon_sym_mediump] = ACTIONS(1671),
    [anon_sym_lowp] = ACTIONS(1671),
    [anon_sym_centroid] = ACTIONS(1671),
    [anon_sym_sample] = ACTIONS(1671),
    [anon_sym_patch] = ACTIONS(1671),
    [anon_sym_smooth] = ACTIONS(1671),
    [anon_sym_flat] = ACTIONS(1671),
    [anon_sym_noperspective] = ACTIONS(1671),
    [anon_sym___extension__] = ACTIONS(1671),
    [anon_sym_typedef] = ACTIONS(1671),
    [anon_sym_extern] = ACTIONS(1671),
    [anon_sym___attribute__] = ACTIONS(1671),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1673),
    [anon_sym___declspec] = ACTIONS(1671),
    [anon_sym___cdecl] = ACTIONS(1671),
    [anon_sym___clrcall] = ACTIONS(1671),
    [anon_sym___stdcall] = ACTIONS(1671),
    [anon_sym___fastcall] = ACTIONS(1671),
    [anon_sym___thiscall] = ACTIONS(1671),
    [anon_sym___vectorcall] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(1673),
    [anon_sym_signed] = ACTIONS(1671),
    [anon_sym_unsigned] = ACTIONS(1671),
    [anon_sym_long] = ACTIONS(1671),
    [anon_sym_short] = ACTIONS(1671),
    [anon_sym_static] = ACTIONS(1671),
    [anon_sym_auto] = ACTIONS(1671),
    [anon_sym_register] = ACTIONS(1671),
    [anon_sym_inline] = ACTIONS(1671),
    [anon_sym___inline] = ACTIONS(1671),
    [anon_sym___inline__] = ACTIONS(1671),
    [anon_sym___forceinline] = ACTIONS(1671),
    [anon_sym_thread_local] = ACTIONS(1671),
    [anon_sym___thread] = ACTIONS(1671),
    [anon_sym_const] = ACTIONS(1671),
    [anon_sym_constexpr] = ACTIONS(1671),
    [anon_sym_volatile] = ACTIONS(1671),
    [anon_sym_restrict] = ACTIONS(1671),
    [anon_sym___restrict__] = ACTIONS(1671),
    [anon_sym__Atomic] = ACTIONS(1671),
    [anon_sym__Noreturn] = ACTIONS(1671),
    [anon_sym_noreturn] = ACTIONS(1671),
    [sym_primitive_type] = ACTIONS(1671),
    [anon_sym_enum] = ACTIONS(1671),
    [anon_sym_struct] = ACTIONS(1671),
    [anon_sym_union] = ACTIONS(1671),
    [anon_sym_if] = ACTIONS(1671),
    [anon_sym_switch] = ACTIONS(1671),
    [anon_sym_case] = ACTIONS(1671),
    [anon_sym_default] = ACTIONS(1671),
    [anon_sym_while] = ACTIONS(1671),
    [anon_sym_do] = ACTIONS(1671),
    [anon_sym_for] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(1671),
    [anon_sym_break] = ACTIONS(1671),
    [anon_sym_continue] = ACTIONS(1671),
    [anon_sym_goto] = ACTIONS(1671),
    [anon_sym___try] = ACTIONS(1671),
    [anon_sym___leave] = ACTIONS(1671),
    [anon_sym_DASH_DASH] = ACTIONS(1673),
    [anon_sym_PLUS_PLUS] = ACTIONS(1673),
    [anon_sym_sizeof] = ACTIONS(1671),
    [anon_sym___alignof__] = ACTIONS(1671),
    [anon_sym___alignof] = ACTIONS(1671),
    [anon_sym__alignof] = ACTIONS(1671),
    [anon_sym_alignof] = ACTIONS(1671),
    [anon_sym__Alignof] = ACTIONS(1671),
    [anon_sym_offsetof] = ACTIONS(1671),
    [anon_sym__Generic] = ACTIONS(1671),
    [anon_sym_asm] = ACTIONS(1671),
    [anon_sym___asm__] = ACTIONS(1671),
    [sym_number_literal] = ACTIONS(1673),
    [anon_sym_L_SQUOTE] = ACTIONS(1673),
    [anon_sym_u_SQUOTE] = ACTIONS(1673),
    [anon_sym_U_SQUOTE] = ACTIONS(1673),
    [anon_sym_u8_SQUOTE] = ACTIONS(1673),
    [anon_sym_SQUOTE] = ACTIONS(1673),
    [anon_sym_L_DQUOTE] = ACTIONS(1673),
    [anon_sym_u_DQUOTE] = ACTIONS(1673),
    [anon_sym_U_DQUOTE] = ACTIONS(1673),
    [anon_sym_u8_DQUOTE] = ACTIONS(1673),
    [anon_sym_DQUOTE] = ACTIONS(1673),
    [sym_true] = ACTIONS(1671),
    [sym_false] = ACTIONS(1671),
    [anon_sym_NULL] = ACTIONS(1671),
    [anon_sym_nullptr] = ACTIONS(1671),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1671),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1671),
    [anon_sym_hitAttributeEXT] = ACTIONS(1671),
    [anon_sym_callableDataEXT] = ACTIONS(1671),
    [anon_sym_callableDataInEXT] = ACTIONS(1671),
    [anon_sym_shaderRecordEXT] = ACTIONS(1671),
    [anon_sym_rayPayloadNV] = ACTIONS(1671),
    [anon_sym_rayPayloadInNV] = ACTIONS(1671),
    [anon_sym_hitAttributeNV] = ACTIONS(1671),
    [anon_sym_callableDataNV] = ACTIONS(1671),
    [anon_sym_callableDataInNV] = ACTIONS(1671),
    [anon_sym_shaderRecordNV] = ACTIONS(1671),
    [anon_sym_layout] = ACTIONS(1671),
  },
  [517] = {
    [sym_identifier] = ACTIONS(1699),
    [aux_sym_preproc_include_token1] = ACTIONS(1699),
    [aux_sym_preproc_def_token1] = ACTIONS(1699),
    [aux_sym_preproc_if_token1] = ACTIONS(1699),
    [aux_sym_preproc_if_token2] = ACTIONS(1699),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1699),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1699),
    [sym_preproc_directive] = ACTIONS(1699),
    [anon_sym_LPAREN2] = ACTIONS(1701),
    [anon_sym_BANG] = ACTIONS(1701),
    [anon_sym_TILDE] = ACTIONS(1701),
    [anon_sym_DASH] = ACTIONS(1699),
    [anon_sym_PLUS] = ACTIONS(1699),
    [anon_sym_STAR] = ACTIONS(1701),
    [anon_sym_AMP] = ACTIONS(1701),
    [anon_sym_subroutine] = ACTIONS(1699),
    [anon_sym_invariant] = ACTIONS(1699),
    [anon_sym_precise] = ACTIONS(1699),
    [anon_sym_SEMI] = ACTIONS(1701),
    [anon_sym_in] = ACTIONS(1699),
    [anon_sym_out] = ACTIONS(1699),
    [anon_sym_inout] = ACTIONS(1699),
    [anon_sym_uniform] = ACTIONS(1699),
    [anon_sym_shared] = ACTIONS(1699),
    [anon_sym_attribute] = ACTIONS(1699),
    [anon_sym_varying] = ACTIONS(1699),
    [anon_sym_buffer] = ACTIONS(1699),
    [anon_sym_coherent] = ACTIONS(1699),
    [anon_sym_readonly] = ACTIONS(1699),
    [anon_sym_writeonly] = ACTIONS(1699),
    [anon_sym_precision] = ACTIONS(1699),
    [anon_sym_highp] = ACTIONS(1699),
    [anon_sym_mediump] = ACTIONS(1699),
    [anon_sym_lowp] = ACTIONS(1699),
    [anon_sym_centroid] = ACTIONS(1699),
    [anon_sym_sample] = ACTIONS(1699),
    [anon_sym_patch] = ACTIONS(1699),
    [anon_sym_smooth] = ACTIONS(1699),
    [anon_sym_flat] = ACTIONS(1699),
    [anon_sym_noperspective] = ACTIONS(1699),
    [anon_sym___extension__] = ACTIONS(1699),
    [anon_sym_typedef] = ACTIONS(1699),
    [anon_sym_extern] = ACTIONS(1699),
    [anon_sym___attribute__] = ACTIONS(1699),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1701),
    [anon_sym___declspec] = ACTIONS(1699),
    [anon_sym___cdecl] = ACTIONS(1699),
    [anon_sym___clrcall] = ACTIONS(1699),
    [anon_sym___stdcall] = ACTIONS(1699),
    [anon_sym___fastcall] = ACTIONS(1699),
    [anon_sym___thiscall] = ACTIONS(1699),
    [anon_sym___vectorcall] = ACTIONS(1699),
    [anon_sym_LBRACE] = ACTIONS(1701),
    [anon_sym_signed] = ACTIONS(1699),
    [anon_sym_unsigned] = ACTIONS(1699),
    [anon_sym_long] = ACTIONS(1699),
    [anon_sym_short] = ACTIONS(1699),
    [anon_sym_static] = ACTIONS(1699),
    [anon_sym_auto] = ACTIONS(1699),
    [anon_sym_register] = ACTIONS(1699),
    [anon_sym_inline] = ACTIONS(1699),
    [anon_sym___inline] = ACTIONS(1699),
    [anon_sym___inline__] = ACTIONS(1699),
    [anon_sym___forceinline] = ACTIONS(1699),
    [anon_sym_thread_local] = ACTIONS(1699),
    [anon_sym___thread] = ACTIONS(1699),
    [anon_sym_const] = ACTIONS(1699),
    [anon_sym_constexpr] = ACTIONS(1699),
    [anon_sym_volatile] = ACTIONS(1699),
    [anon_sym_restrict] = ACTIONS(1699),
    [anon_sym___restrict__] = ACTIONS(1699),
    [anon_sym__Atomic] = ACTIONS(1699),
    [anon_sym__Noreturn] = ACTIONS(1699),
    [anon_sym_noreturn] = ACTIONS(1699),
    [sym_primitive_type] = ACTIONS(1699),
    [anon_sym_enum] = ACTIONS(1699),
    [anon_sym_struct] = ACTIONS(1699),
    [anon_sym_union] = ACTIONS(1699),
    [anon_sym_if] = ACTIONS(1699),
    [anon_sym_switch] = ACTIONS(1699),
    [anon_sym_case] = ACTIONS(1699),
    [anon_sym_default] = ACTIONS(1699),
    [anon_sym_while] = ACTIONS(1699),
    [anon_sym_do] = ACTIONS(1699),
    [anon_sym_for] = ACTIONS(1699),
    [anon_sym_return] = ACTIONS(1699),
    [anon_sym_break] = ACTIONS(1699),
    [anon_sym_continue] = ACTIONS(1699),
    [anon_sym_goto] = ACTIONS(1699),
    [anon_sym___try] = ACTIONS(1699),
    [anon_sym___leave] = ACTIONS(1699),
    [anon_sym_DASH_DASH] = ACTIONS(1701),
    [anon_sym_PLUS_PLUS] = ACTIONS(1701),
    [anon_sym_sizeof] = ACTIONS(1699),
    [anon_sym___alignof__] = ACTIONS(1699),
    [anon_sym___alignof] = ACTIONS(1699),
    [anon_sym__alignof] = ACTIONS(1699),
    [anon_sym_alignof] = ACTIONS(1699),
    [anon_sym__Alignof] = ACTIONS(1699),
    [anon_sym_offsetof] = ACTIONS(1699),
    [anon_sym__Generic] = ACTIONS(1699),
    [anon_sym_asm] = ACTIONS(1699),
    [anon_sym___asm__] = ACTIONS(1699),
    [sym_number_literal] = ACTIONS(1701),
    [anon_sym_L_SQUOTE] = ACTIONS(1701),
    [anon_sym_u_SQUOTE] = ACTIONS(1701),
    [anon_sym_U_SQUOTE] = ACTIONS(1701),
    [anon_sym_u8_SQUOTE] = ACTIONS(1701),
    [anon_sym_SQUOTE] = ACTIONS(1701),
    [anon_sym_L_DQUOTE] = ACTIONS(1701),
    [anon_sym_u_DQUOTE] = ACTIONS(1701),
    [anon_sym_U_DQUOTE] = ACTIONS(1701),
    [anon_sym_u8_DQUOTE] = ACTIONS(1701),
    [anon_sym_DQUOTE] = ACTIONS(1701),
    [sym_true] = ACTIONS(1699),
    [sym_false] = ACTIONS(1699),
    [anon_sym_NULL] = ACTIONS(1699),
    [anon_sym_nullptr] = ACTIONS(1699),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1699),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1699),
    [anon_sym_hitAttributeEXT] = ACTIONS(1699),
    [anon_sym_callableDataEXT] = ACTIONS(1699),
    [anon_sym_callableDataInEXT] = ACTIONS(1699),
    [anon_sym_shaderRecordEXT] = ACTIONS(1699),
    [anon_sym_rayPayloadNV] = ACTIONS(1699),
    [anon_sym_rayPayloadInNV] = ACTIONS(1699),
    [anon_sym_hitAttributeNV] = ACTIONS(1699),
    [anon_sym_callableDataNV] = ACTIONS(1699),
    [anon_sym_callableDataInNV] = ACTIONS(1699),
    [anon_sym_shaderRecordNV] = ACTIONS(1699),
    [anon_sym_layout] = ACTIONS(1699),
  },
  [518] = {
    [sym_identifier] = ACTIONS(1703),
    [aux_sym_preproc_include_token1] = ACTIONS(1703),
    [aux_sym_preproc_def_token1] = ACTIONS(1703),
    [aux_sym_preproc_if_token1] = ACTIONS(1703),
    [aux_sym_preproc_if_token2] = ACTIONS(1703),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1703),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1703),
    [sym_preproc_directive] = ACTIONS(1703),
    [anon_sym_LPAREN2] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1705),
    [anon_sym_TILDE] = ACTIONS(1705),
    [anon_sym_DASH] = ACTIONS(1703),
    [anon_sym_PLUS] = ACTIONS(1703),
    [anon_sym_STAR] = ACTIONS(1705),
    [anon_sym_AMP] = ACTIONS(1705),
    [anon_sym_subroutine] = ACTIONS(1703),
    [anon_sym_invariant] = ACTIONS(1703),
    [anon_sym_precise] = ACTIONS(1703),
    [anon_sym_SEMI] = ACTIONS(1705),
    [anon_sym_in] = ACTIONS(1703),
    [anon_sym_out] = ACTIONS(1703),
    [anon_sym_inout] = ACTIONS(1703),
    [anon_sym_uniform] = ACTIONS(1703),
    [anon_sym_shared] = ACTIONS(1703),
    [anon_sym_attribute] = ACTIONS(1703),
    [anon_sym_varying] = ACTIONS(1703),
    [anon_sym_buffer] = ACTIONS(1703),
    [anon_sym_coherent] = ACTIONS(1703),
    [anon_sym_readonly] = ACTIONS(1703),
    [anon_sym_writeonly] = ACTIONS(1703),
    [anon_sym_precision] = ACTIONS(1703),
    [anon_sym_highp] = ACTIONS(1703),
    [anon_sym_mediump] = ACTIONS(1703),
    [anon_sym_lowp] = ACTIONS(1703),
    [anon_sym_centroid] = ACTIONS(1703),
    [anon_sym_sample] = ACTIONS(1703),
    [anon_sym_patch] = ACTIONS(1703),
    [anon_sym_smooth] = ACTIONS(1703),
    [anon_sym_flat] = ACTIONS(1703),
    [anon_sym_noperspective] = ACTIONS(1703),
    [anon_sym___extension__] = ACTIONS(1703),
    [anon_sym_typedef] = ACTIONS(1703),
    [anon_sym_extern] = ACTIONS(1703),
    [anon_sym___attribute__] = ACTIONS(1703),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1705),
    [anon_sym___declspec] = ACTIONS(1703),
    [anon_sym___cdecl] = ACTIONS(1703),
    [anon_sym___clrcall] = ACTIONS(1703),
    [anon_sym___stdcall] = ACTIONS(1703),
    [anon_sym___fastcall] = ACTIONS(1703),
    [anon_sym___thiscall] = ACTIONS(1703),
    [anon_sym___vectorcall] = ACTIONS(1703),
    [anon_sym_LBRACE] = ACTIONS(1705),
    [anon_sym_signed] = ACTIONS(1703),
    [anon_sym_unsigned] = ACTIONS(1703),
    [anon_sym_long] = ACTIONS(1703),
    [anon_sym_short] = ACTIONS(1703),
    [anon_sym_static] = ACTIONS(1703),
    [anon_sym_auto] = ACTIONS(1703),
    [anon_sym_register] = ACTIONS(1703),
    [anon_sym_inline] = ACTIONS(1703),
    [anon_sym___inline] = ACTIONS(1703),
    [anon_sym___inline__] = ACTIONS(1703),
    [anon_sym___forceinline] = ACTIONS(1703),
    [anon_sym_thread_local] = ACTIONS(1703),
    [anon_sym___thread] = ACTIONS(1703),
    [anon_sym_const] = ACTIONS(1703),
    [anon_sym_constexpr] = ACTIONS(1703),
    [anon_sym_volatile] = ACTIONS(1703),
    [anon_sym_restrict] = ACTIONS(1703),
    [anon_sym___restrict__] = ACTIONS(1703),
    [anon_sym__Atomic] = ACTIONS(1703),
    [anon_sym__Noreturn] = ACTIONS(1703),
    [anon_sym_noreturn] = ACTIONS(1703),
    [sym_primitive_type] = ACTIONS(1703),
    [anon_sym_enum] = ACTIONS(1703),
    [anon_sym_struct] = ACTIONS(1703),
    [anon_sym_union] = ACTIONS(1703),
    [anon_sym_if] = ACTIONS(1703),
    [anon_sym_switch] = ACTIONS(1703),
    [anon_sym_case] = ACTIONS(1703),
    [anon_sym_default] = ACTIONS(1703),
    [anon_sym_while] = ACTIONS(1703),
    [anon_sym_do] = ACTIONS(1703),
    [anon_sym_for] = ACTIONS(1703),
    [anon_sym_return] = ACTIONS(1703),
    [anon_sym_break] = ACTIONS(1703),
    [anon_sym_continue] = ACTIONS(1703),
    [anon_sym_goto] = ACTIONS(1703),
    [anon_sym___try] = ACTIONS(1703),
    [anon_sym___leave] = ACTIONS(1703),
    [anon_sym_DASH_DASH] = ACTIONS(1705),
    [anon_sym_PLUS_PLUS] = ACTIONS(1705),
    [anon_sym_sizeof] = ACTIONS(1703),
    [anon_sym___alignof__] = ACTIONS(1703),
    [anon_sym___alignof] = ACTIONS(1703),
    [anon_sym__alignof] = ACTIONS(1703),
    [anon_sym_alignof] = ACTIONS(1703),
    [anon_sym__Alignof] = ACTIONS(1703),
    [anon_sym_offsetof] = ACTIONS(1703),
    [anon_sym__Generic] = ACTIONS(1703),
    [anon_sym_asm] = ACTIONS(1703),
    [anon_sym___asm__] = ACTIONS(1703),
    [sym_number_literal] = ACTIONS(1705),
    [anon_sym_L_SQUOTE] = ACTIONS(1705),
    [anon_sym_u_SQUOTE] = ACTIONS(1705),
    [anon_sym_U_SQUOTE] = ACTIONS(1705),
    [anon_sym_u8_SQUOTE] = ACTIONS(1705),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_L_DQUOTE] = ACTIONS(1705),
    [anon_sym_u_DQUOTE] = ACTIONS(1705),
    [anon_sym_U_DQUOTE] = ACTIONS(1705),
    [anon_sym_u8_DQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1705),
    [sym_true] = ACTIONS(1703),
    [sym_false] = ACTIONS(1703),
    [anon_sym_NULL] = ACTIONS(1703),
    [anon_sym_nullptr] = ACTIONS(1703),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1703),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1703),
    [anon_sym_hitAttributeEXT] = ACTIONS(1703),
    [anon_sym_callableDataEXT] = ACTIONS(1703),
    [anon_sym_callableDataInEXT] = ACTIONS(1703),
    [anon_sym_shaderRecordEXT] = ACTIONS(1703),
    [anon_sym_rayPayloadNV] = ACTIONS(1703),
    [anon_sym_rayPayloadInNV] = ACTIONS(1703),
    [anon_sym_hitAttributeNV] = ACTIONS(1703),
    [anon_sym_callableDataNV] = ACTIONS(1703),
    [anon_sym_callableDataInNV] = ACTIONS(1703),
    [anon_sym_shaderRecordNV] = ACTIONS(1703),
    [anon_sym_layout] = ACTIONS(1703),
  },
  [519] = {
    [sym_identifier] = ACTIONS(1707),
    [aux_sym_preproc_include_token1] = ACTIONS(1707),
    [aux_sym_preproc_def_token1] = ACTIONS(1707),
    [aux_sym_preproc_if_token1] = ACTIONS(1707),
    [aux_sym_preproc_if_token2] = ACTIONS(1707),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1707),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1707),
    [sym_preproc_directive] = ACTIONS(1707),
    [anon_sym_LPAREN2] = ACTIONS(1709),
    [anon_sym_BANG] = ACTIONS(1709),
    [anon_sym_TILDE] = ACTIONS(1709),
    [anon_sym_DASH] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1707),
    [anon_sym_STAR] = ACTIONS(1709),
    [anon_sym_AMP] = ACTIONS(1709),
    [anon_sym_subroutine] = ACTIONS(1707),
    [anon_sym_invariant] = ACTIONS(1707),
    [anon_sym_precise] = ACTIONS(1707),
    [anon_sym_SEMI] = ACTIONS(1709),
    [anon_sym_in] = ACTIONS(1707),
    [anon_sym_out] = ACTIONS(1707),
    [anon_sym_inout] = ACTIONS(1707),
    [anon_sym_uniform] = ACTIONS(1707),
    [anon_sym_shared] = ACTIONS(1707),
    [anon_sym_attribute] = ACTIONS(1707),
    [anon_sym_varying] = ACTIONS(1707),
    [anon_sym_buffer] = ACTIONS(1707),
    [anon_sym_coherent] = ACTIONS(1707),
    [anon_sym_readonly] = ACTIONS(1707),
    [anon_sym_writeonly] = ACTIONS(1707),
    [anon_sym_precision] = ACTIONS(1707),
    [anon_sym_highp] = ACTIONS(1707),
    [anon_sym_mediump] = ACTIONS(1707),
    [anon_sym_lowp] = ACTIONS(1707),
    [anon_sym_centroid] = ACTIONS(1707),
    [anon_sym_sample] = ACTIONS(1707),
    [anon_sym_patch] = ACTIONS(1707),
    [anon_sym_smooth] = ACTIONS(1707),
    [anon_sym_flat] = ACTIONS(1707),
    [anon_sym_noperspective] = ACTIONS(1707),
    [anon_sym___extension__] = ACTIONS(1707),
    [anon_sym_typedef] = ACTIONS(1707),
    [anon_sym_extern] = ACTIONS(1707),
    [anon_sym___attribute__] = ACTIONS(1707),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1709),
    [anon_sym___declspec] = ACTIONS(1707),
    [anon_sym___cdecl] = ACTIONS(1707),
    [anon_sym___clrcall] = ACTIONS(1707),
    [anon_sym___stdcall] = ACTIONS(1707),
    [anon_sym___fastcall] = ACTIONS(1707),
    [anon_sym___thiscall] = ACTIONS(1707),
    [anon_sym___vectorcall] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1709),
    [anon_sym_signed] = ACTIONS(1707),
    [anon_sym_unsigned] = ACTIONS(1707),
    [anon_sym_long] = ACTIONS(1707),
    [anon_sym_short] = ACTIONS(1707),
    [anon_sym_static] = ACTIONS(1707),
    [anon_sym_auto] = ACTIONS(1707),
    [anon_sym_register] = ACTIONS(1707),
    [anon_sym_inline] = ACTIONS(1707),
    [anon_sym___inline] = ACTIONS(1707),
    [anon_sym___inline__] = ACTIONS(1707),
    [anon_sym___forceinline] = ACTIONS(1707),
    [anon_sym_thread_local] = ACTIONS(1707),
    [anon_sym___thread] = ACTIONS(1707),
    [anon_sym_const] = ACTIONS(1707),
    [anon_sym_constexpr] = ACTIONS(1707),
    [anon_sym_volatile] = ACTIONS(1707),
    [anon_sym_restrict] = ACTIONS(1707),
    [anon_sym___restrict__] = ACTIONS(1707),
    [anon_sym__Atomic] = ACTIONS(1707),
    [anon_sym__Noreturn] = ACTIONS(1707),
    [anon_sym_noreturn] = ACTIONS(1707),
    [sym_primitive_type] = ACTIONS(1707),
    [anon_sym_enum] = ACTIONS(1707),
    [anon_sym_struct] = ACTIONS(1707),
    [anon_sym_union] = ACTIONS(1707),
    [anon_sym_if] = ACTIONS(1707),
    [anon_sym_switch] = ACTIONS(1707),
    [anon_sym_case] = ACTIONS(1707),
    [anon_sym_default] = ACTIONS(1707),
    [anon_sym_while] = ACTIONS(1707),
    [anon_sym_do] = ACTIONS(1707),
    [anon_sym_for] = ACTIONS(1707),
    [anon_sym_return] = ACTIONS(1707),
    [anon_sym_break] = ACTIONS(1707),
    [anon_sym_continue] = ACTIONS(1707),
    [anon_sym_goto] = ACTIONS(1707),
    [anon_sym___try] = ACTIONS(1707),
    [anon_sym___leave] = ACTIONS(1707),
    [anon_sym_DASH_DASH] = ACTIONS(1709),
    [anon_sym_PLUS_PLUS] = ACTIONS(1709),
    [anon_sym_sizeof] = ACTIONS(1707),
    [anon_sym___alignof__] = ACTIONS(1707),
    [anon_sym___alignof] = ACTIONS(1707),
    [anon_sym__alignof] = ACTIONS(1707),
    [anon_sym_alignof] = ACTIONS(1707),
    [anon_sym__Alignof] = ACTIONS(1707),
    [anon_sym_offsetof] = ACTIONS(1707),
    [anon_sym__Generic] = ACTIONS(1707),
    [anon_sym_asm] = ACTIONS(1707),
    [anon_sym___asm__] = ACTIONS(1707),
    [sym_number_literal] = ACTIONS(1709),
    [anon_sym_L_SQUOTE] = ACTIONS(1709),
    [anon_sym_u_SQUOTE] = ACTIONS(1709),
    [anon_sym_U_SQUOTE] = ACTIONS(1709),
    [anon_sym_u8_SQUOTE] = ACTIONS(1709),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [anon_sym_L_DQUOTE] = ACTIONS(1709),
    [anon_sym_u_DQUOTE] = ACTIONS(1709),
    [anon_sym_U_DQUOTE] = ACTIONS(1709),
    [anon_sym_u8_DQUOTE] = ACTIONS(1709),
    [anon_sym_DQUOTE] = ACTIONS(1709),
    [sym_true] = ACTIONS(1707),
    [sym_false] = ACTIONS(1707),
    [anon_sym_NULL] = ACTIONS(1707),
    [anon_sym_nullptr] = ACTIONS(1707),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1707),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1707),
    [anon_sym_hitAttributeEXT] = ACTIONS(1707),
    [anon_sym_callableDataEXT] = ACTIONS(1707),
    [anon_sym_callableDataInEXT] = ACTIONS(1707),
    [anon_sym_shaderRecordEXT] = ACTIONS(1707),
    [anon_sym_rayPayloadNV] = ACTIONS(1707),
    [anon_sym_rayPayloadInNV] = ACTIONS(1707),
    [anon_sym_hitAttributeNV] = ACTIONS(1707),
    [anon_sym_callableDataNV] = ACTIONS(1707),
    [anon_sym_callableDataInNV] = ACTIONS(1707),
    [anon_sym_shaderRecordNV] = ACTIONS(1707),
    [anon_sym_layout] = ACTIONS(1707),
  },
  [520] = {
    [sym_identifier] = ACTIONS(1711),
    [aux_sym_preproc_include_token1] = ACTIONS(1711),
    [aux_sym_preproc_def_token1] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1711),
    [aux_sym_preproc_if_token2] = ACTIONS(1711),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1711),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1711),
    [sym_preproc_directive] = ACTIONS(1711),
    [anon_sym_LPAREN2] = ACTIONS(1713),
    [anon_sym_BANG] = ACTIONS(1713),
    [anon_sym_TILDE] = ACTIONS(1713),
    [anon_sym_DASH] = ACTIONS(1711),
    [anon_sym_PLUS] = ACTIONS(1711),
    [anon_sym_STAR] = ACTIONS(1713),
    [anon_sym_AMP] = ACTIONS(1713),
    [anon_sym_subroutine] = ACTIONS(1711),
    [anon_sym_invariant] = ACTIONS(1711),
    [anon_sym_precise] = ACTIONS(1711),
    [anon_sym_SEMI] = ACTIONS(1713),
    [anon_sym_in] = ACTIONS(1711),
    [anon_sym_out] = ACTIONS(1711),
    [anon_sym_inout] = ACTIONS(1711),
    [anon_sym_uniform] = ACTIONS(1711),
    [anon_sym_shared] = ACTIONS(1711),
    [anon_sym_attribute] = ACTIONS(1711),
    [anon_sym_varying] = ACTIONS(1711),
    [anon_sym_buffer] = ACTIONS(1711),
    [anon_sym_coherent] = ACTIONS(1711),
    [anon_sym_readonly] = ACTIONS(1711),
    [anon_sym_writeonly] = ACTIONS(1711),
    [anon_sym_precision] = ACTIONS(1711),
    [anon_sym_highp] = ACTIONS(1711),
    [anon_sym_mediump] = ACTIONS(1711),
    [anon_sym_lowp] = ACTIONS(1711),
    [anon_sym_centroid] = ACTIONS(1711),
    [anon_sym_sample] = ACTIONS(1711),
    [anon_sym_patch] = ACTIONS(1711),
    [anon_sym_smooth] = ACTIONS(1711),
    [anon_sym_flat] = ACTIONS(1711),
    [anon_sym_noperspective] = ACTIONS(1711),
    [anon_sym___extension__] = ACTIONS(1711),
    [anon_sym_typedef] = ACTIONS(1711),
    [anon_sym_extern] = ACTIONS(1711),
    [anon_sym___attribute__] = ACTIONS(1711),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1713),
    [anon_sym___declspec] = ACTIONS(1711),
    [anon_sym___cdecl] = ACTIONS(1711),
    [anon_sym___clrcall] = ACTIONS(1711),
    [anon_sym___stdcall] = ACTIONS(1711),
    [anon_sym___fastcall] = ACTIONS(1711),
    [anon_sym___thiscall] = ACTIONS(1711),
    [anon_sym___vectorcall] = ACTIONS(1711),
    [anon_sym_LBRACE] = ACTIONS(1713),
    [anon_sym_signed] = ACTIONS(1711),
    [anon_sym_unsigned] = ACTIONS(1711),
    [anon_sym_long] = ACTIONS(1711),
    [anon_sym_short] = ACTIONS(1711),
    [anon_sym_static] = ACTIONS(1711),
    [anon_sym_auto] = ACTIONS(1711),
    [anon_sym_register] = ACTIONS(1711),
    [anon_sym_inline] = ACTIONS(1711),
    [anon_sym___inline] = ACTIONS(1711),
    [anon_sym___inline__] = ACTIONS(1711),
    [anon_sym___forceinline] = ACTIONS(1711),
    [anon_sym_thread_local] = ACTIONS(1711),
    [anon_sym___thread] = ACTIONS(1711),
    [anon_sym_const] = ACTIONS(1711),
    [anon_sym_constexpr] = ACTIONS(1711),
    [anon_sym_volatile] = ACTIONS(1711),
    [anon_sym_restrict] = ACTIONS(1711),
    [anon_sym___restrict__] = ACTIONS(1711),
    [anon_sym__Atomic] = ACTIONS(1711),
    [anon_sym__Noreturn] = ACTIONS(1711),
    [anon_sym_noreturn] = ACTIONS(1711),
    [sym_primitive_type] = ACTIONS(1711),
    [anon_sym_enum] = ACTIONS(1711),
    [anon_sym_struct] = ACTIONS(1711),
    [anon_sym_union] = ACTIONS(1711),
    [anon_sym_if] = ACTIONS(1711),
    [anon_sym_switch] = ACTIONS(1711),
    [anon_sym_case] = ACTIONS(1711),
    [anon_sym_default] = ACTIONS(1711),
    [anon_sym_while] = ACTIONS(1711),
    [anon_sym_do] = ACTIONS(1711),
    [anon_sym_for] = ACTIONS(1711),
    [anon_sym_return] = ACTIONS(1711),
    [anon_sym_break] = ACTIONS(1711),
    [anon_sym_continue] = ACTIONS(1711),
    [anon_sym_goto] = ACTIONS(1711),
    [anon_sym___try] = ACTIONS(1711),
    [anon_sym___leave] = ACTIONS(1711),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_sizeof] = ACTIONS(1711),
    [anon_sym___alignof__] = ACTIONS(1711),
    [anon_sym___alignof] = ACTIONS(1711),
    [anon_sym__alignof] = ACTIONS(1711),
    [anon_sym_alignof] = ACTIONS(1711),
    [anon_sym__Alignof] = ACTIONS(1711),
    [anon_sym_offsetof] = ACTIONS(1711),
    [anon_sym__Generic] = ACTIONS(1711),
    [anon_sym_asm] = ACTIONS(1711),
    [anon_sym___asm__] = ACTIONS(1711),
    [sym_number_literal] = ACTIONS(1713),
    [anon_sym_L_SQUOTE] = ACTIONS(1713),
    [anon_sym_u_SQUOTE] = ACTIONS(1713),
    [anon_sym_U_SQUOTE] = ACTIONS(1713),
    [anon_sym_u8_SQUOTE] = ACTIONS(1713),
    [anon_sym_SQUOTE] = ACTIONS(1713),
    [anon_sym_L_DQUOTE] = ACTIONS(1713),
    [anon_sym_u_DQUOTE] = ACTIONS(1713),
    [anon_sym_U_DQUOTE] = ACTIONS(1713),
    [anon_sym_u8_DQUOTE] = ACTIONS(1713),
    [anon_sym_DQUOTE] = ACTIONS(1713),
    [sym_true] = ACTIONS(1711),
    [sym_false] = ACTIONS(1711),
    [anon_sym_NULL] = ACTIONS(1711),
    [anon_sym_nullptr] = ACTIONS(1711),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1711),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1711),
    [anon_sym_hitAttributeEXT] = ACTIONS(1711),
    [anon_sym_callableDataEXT] = ACTIONS(1711),
    [anon_sym_callableDataInEXT] = ACTIONS(1711),
    [anon_sym_shaderRecordEXT] = ACTIONS(1711),
    [anon_sym_rayPayloadNV] = ACTIONS(1711),
    [anon_sym_rayPayloadInNV] = ACTIONS(1711),
    [anon_sym_hitAttributeNV] = ACTIONS(1711),
    [anon_sym_callableDataNV] = ACTIONS(1711),
    [anon_sym_callableDataInNV] = ACTIONS(1711),
    [anon_sym_shaderRecordNV] = ACTIONS(1711),
    [anon_sym_layout] = ACTIONS(1711),
  },
  [521] = {
    [sym_identifier] = ACTIONS(1715),
    [aux_sym_preproc_include_token1] = ACTIONS(1715),
    [aux_sym_preproc_def_token1] = ACTIONS(1715),
    [aux_sym_preproc_if_token1] = ACTIONS(1715),
    [aux_sym_preproc_if_token2] = ACTIONS(1715),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1715),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1715),
    [sym_preproc_directive] = ACTIONS(1715),
    [anon_sym_LPAREN2] = ACTIONS(1717),
    [anon_sym_BANG] = ACTIONS(1717),
    [anon_sym_TILDE] = ACTIONS(1717),
    [anon_sym_DASH] = ACTIONS(1715),
    [anon_sym_PLUS] = ACTIONS(1715),
    [anon_sym_STAR] = ACTIONS(1717),
    [anon_sym_AMP] = ACTIONS(1717),
    [anon_sym_subroutine] = ACTIONS(1715),
    [anon_sym_invariant] = ACTIONS(1715),
    [anon_sym_precise] = ACTIONS(1715),
    [anon_sym_SEMI] = ACTIONS(1717),
    [anon_sym_in] = ACTIONS(1715),
    [anon_sym_out] = ACTIONS(1715),
    [anon_sym_inout] = ACTIONS(1715),
    [anon_sym_uniform] = ACTIONS(1715),
    [anon_sym_shared] = ACTIONS(1715),
    [anon_sym_attribute] = ACTIONS(1715),
    [anon_sym_varying] = ACTIONS(1715),
    [anon_sym_buffer] = ACTIONS(1715),
    [anon_sym_coherent] = ACTIONS(1715),
    [anon_sym_readonly] = ACTIONS(1715),
    [anon_sym_writeonly] = ACTIONS(1715),
    [anon_sym_precision] = ACTIONS(1715),
    [anon_sym_highp] = ACTIONS(1715),
    [anon_sym_mediump] = ACTIONS(1715),
    [anon_sym_lowp] = ACTIONS(1715),
    [anon_sym_centroid] = ACTIONS(1715),
    [anon_sym_sample] = ACTIONS(1715),
    [anon_sym_patch] = ACTIONS(1715),
    [anon_sym_smooth] = ACTIONS(1715),
    [anon_sym_flat] = ACTIONS(1715),
    [anon_sym_noperspective] = ACTIONS(1715),
    [anon_sym___extension__] = ACTIONS(1715),
    [anon_sym_typedef] = ACTIONS(1715),
    [anon_sym_extern] = ACTIONS(1715),
    [anon_sym___attribute__] = ACTIONS(1715),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1717),
    [anon_sym___declspec] = ACTIONS(1715),
    [anon_sym___cdecl] = ACTIONS(1715),
    [anon_sym___clrcall] = ACTIONS(1715),
    [anon_sym___stdcall] = ACTIONS(1715),
    [anon_sym___fastcall] = ACTIONS(1715),
    [anon_sym___thiscall] = ACTIONS(1715),
    [anon_sym___vectorcall] = ACTIONS(1715),
    [anon_sym_LBRACE] = ACTIONS(1717),
    [anon_sym_signed] = ACTIONS(1715),
    [anon_sym_unsigned] = ACTIONS(1715),
    [anon_sym_long] = ACTIONS(1715),
    [anon_sym_short] = ACTIONS(1715),
    [anon_sym_static] = ACTIONS(1715),
    [anon_sym_auto] = ACTIONS(1715),
    [anon_sym_register] = ACTIONS(1715),
    [anon_sym_inline] = ACTIONS(1715),
    [anon_sym___inline] = ACTIONS(1715),
    [anon_sym___inline__] = ACTIONS(1715),
    [anon_sym___forceinline] = ACTIONS(1715),
    [anon_sym_thread_local] = ACTIONS(1715),
    [anon_sym___thread] = ACTIONS(1715),
    [anon_sym_const] = ACTIONS(1715),
    [anon_sym_constexpr] = ACTIONS(1715),
    [anon_sym_volatile] = ACTIONS(1715),
    [anon_sym_restrict] = ACTIONS(1715),
    [anon_sym___restrict__] = ACTIONS(1715),
    [anon_sym__Atomic] = ACTIONS(1715),
    [anon_sym__Noreturn] = ACTIONS(1715),
    [anon_sym_noreturn] = ACTIONS(1715),
    [sym_primitive_type] = ACTIONS(1715),
    [anon_sym_enum] = ACTIONS(1715),
    [anon_sym_struct] = ACTIONS(1715),
    [anon_sym_union] = ACTIONS(1715),
    [anon_sym_if] = ACTIONS(1715),
    [anon_sym_switch] = ACTIONS(1715),
    [anon_sym_case] = ACTIONS(1715),
    [anon_sym_default] = ACTIONS(1715),
    [anon_sym_while] = ACTIONS(1715),
    [anon_sym_do] = ACTIONS(1715),
    [anon_sym_for] = ACTIONS(1715),
    [anon_sym_return] = ACTIONS(1715),
    [anon_sym_break] = ACTIONS(1715),
    [anon_sym_continue] = ACTIONS(1715),
    [anon_sym_goto] = ACTIONS(1715),
    [anon_sym___try] = ACTIONS(1715),
    [anon_sym___leave] = ACTIONS(1715),
    [anon_sym_DASH_DASH] = ACTIONS(1717),
    [anon_sym_PLUS_PLUS] = ACTIONS(1717),
    [anon_sym_sizeof] = ACTIONS(1715),
    [anon_sym___alignof__] = ACTIONS(1715),
    [anon_sym___alignof] = ACTIONS(1715),
    [anon_sym__alignof] = ACTIONS(1715),
    [anon_sym_alignof] = ACTIONS(1715),
    [anon_sym__Alignof] = ACTIONS(1715),
    [anon_sym_offsetof] = ACTIONS(1715),
    [anon_sym__Generic] = ACTIONS(1715),
    [anon_sym_asm] = ACTIONS(1715),
    [anon_sym___asm__] = ACTIONS(1715),
    [sym_number_literal] = ACTIONS(1717),
    [anon_sym_L_SQUOTE] = ACTIONS(1717),
    [anon_sym_u_SQUOTE] = ACTIONS(1717),
    [anon_sym_U_SQUOTE] = ACTIONS(1717),
    [anon_sym_u8_SQUOTE] = ACTIONS(1717),
    [anon_sym_SQUOTE] = ACTIONS(1717),
    [anon_sym_L_DQUOTE] = ACTIONS(1717),
    [anon_sym_u_DQUOTE] = ACTIONS(1717),
    [anon_sym_U_DQUOTE] = ACTIONS(1717),
    [anon_sym_u8_DQUOTE] = ACTIONS(1717),
    [anon_sym_DQUOTE] = ACTIONS(1717),
    [sym_true] = ACTIONS(1715),
    [sym_false] = ACTIONS(1715),
    [anon_sym_NULL] = ACTIONS(1715),
    [anon_sym_nullptr] = ACTIONS(1715),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1715),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1715),
    [anon_sym_hitAttributeEXT] = ACTIONS(1715),
    [anon_sym_callableDataEXT] = ACTIONS(1715),
    [anon_sym_callableDataInEXT] = ACTIONS(1715),
    [anon_sym_shaderRecordEXT] = ACTIONS(1715),
    [anon_sym_rayPayloadNV] = ACTIONS(1715),
    [anon_sym_rayPayloadInNV] = ACTIONS(1715),
    [anon_sym_hitAttributeNV] = ACTIONS(1715),
    [anon_sym_callableDataNV] = ACTIONS(1715),
    [anon_sym_callableDataInNV] = ACTIONS(1715),
    [anon_sym_shaderRecordNV] = ACTIONS(1715),
    [anon_sym_layout] = ACTIONS(1715),
  },
  [522] = {
    [sym_identifier] = ACTIONS(1675),
    [aux_sym_preproc_include_token1] = ACTIONS(1675),
    [aux_sym_preproc_def_token1] = ACTIONS(1675),
    [aux_sym_preproc_if_token1] = ACTIONS(1675),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1675),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1675),
    [sym_preproc_directive] = ACTIONS(1675),
    [anon_sym_LPAREN2] = ACTIONS(1677),
    [anon_sym_BANG] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(1677),
    [anon_sym_DASH] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1675),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_AMP] = ACTIONS(1677),
    [anon_sym_subroutine] = ACTIONS(1675),
    [anon_sym_invariant] = ACTIONS(1675),
    [anon_sym_precise] = ACTIONS(1675),
    [anon_sym_SEMI] = ACTIONS(1677),
    [anon_sym_in] = ACTIONS(1675),
    [anon_sym_out] = ACTIONS(1675),
    [anon_sym_inout] = ACTIONS(1675),
    [anon_sym_uniform] = ACTIONS(1675),
    [anon_sym_shared] = ACTIONS(1675),
    [anon_sym_attribute] = ACTIONS(1675),
    [anon_sym_varying] = ACTIONS(1675),
    [anon_sym_buffer] = ACTIONS(1675),
    [anon_sym_coherent] = ACTIONS(1675),
    [anon_sym_readonly] = ACTIONS(1675),
    [anon_sym_writeonly] = ACTIONS(1675),
    [anon_sym_precision] = ACTIONS(1675),
    [anon_sym_highp] = ACTIONS(1675),
    [anon_sym_mediump] = ACTIONS(1675),
    [anon_sym_lowp] = ACTIONS(1675),
    [anon_sym_centroid] = ACTIONS(1675),
    [anon_sym_sample] = ACTIONS(1675),
    [anon_sym_patch] = ACTIONS(1675),
    [anon_sym_smooth] = ACTIONS(1675),
    [anon_sym_flat] = ACTIONS(1675),
    [anon_sym_noperspective] = ACTIONS(1675),
    [anon_sym___extension__] = ACTIONS(1675),
    [anon_sym_typedef] = ACTIONS(1675),
    [anon_sym_extern] = ACTIONS(1675),
    [anon_sym___attribute__] = ACTIONS(1675),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1677),
    [anon_sym___declspec] = ACTIONS(1675),
    [anon_sym___cdecl] = ACTIONS(1675),
    [anon_sym___clrcall] = ACTIONS(1675),
    [anon_sym___stdcall] = ACTIONS(1675),
    [anon_sym___fastcall] = ACTIONS(1675),
    [anon_sym___thiscall] = ACTIONS(1675),
    [anon_sym___vectorcall] = ACTIONS(1675),
    [anon_sym_LBRACE] = ACTIONS(1677),
    [anon_sym_RBRACE] = ACTIONS(1677),
    [anon_sym_signed] = ACTIONS(1675),
    [anon_sym_unsigned] = ACTIONS(1675),
    [anon_sym_long] = ACTIONS(1675),
    [anon_sym_short] = ACTIONS(1675),
    [anon_sym_static] = ACTIONS(1675),
    [anon_sym_auto] = ACTIONS(1675),
    [anon_sym_register] = ACTIONS(1675),
    [anon_sym_inline] = ACTIONS(1675),
    [anon_sym___inline] = ACTIONS(1675),
    [anon_sym___inline__] = ACTIONS(1675),
    [anon_sym___forceinline] = ACTIONS(1675),
    [anon_sym_thread_local] = ACTIONS(1675),
    [anon_sym___thread] = ACTIONS(1675),
    [anon_sym_const] = ACTIONS(1675),
    [anon_sym_constexpr] = ACTIONS(1675),
    [anon_sym_volatile] = ACTIONS(1675),
    [anon_sym_restrict] = ACTIONS(1675),
    [anon_sym___restrict__] = ACTIONS(1675),
    [anon_sym__Atomic] = ACTIONS(1675),
    [anon_sym__Noreturn] = ACTIONS(1675),
    [anon_sym_noreturn] = ACTIONS(1675),
    [sym_primitive_type] = ACTIONS(1675),
    [anon_sym_enum] = ACTIONS(1675),
    [anon_sym_struct] = ACTIONS(1675),
    [anon_sym_union] = ACTIONS(1675),
    [anon_sym_if] = ACTIONS(1675),
    [anon_sym_switch] = ACTIONS(1675),
    [anon_sym_case] = ACTIONS(1675),
    [anon_sym_default] = ACTIONS(1675),
    [anon_sym_while] = ACTIONS(1675),
    [anon_sym_do] = ACTIONS(1675),
    [anon_sym_for] = ACTIONS(1675),
    [anon_sym_return] = ACTIONS(1675),
    [anon_sym_break] = ACTIONS(1675),
    [anon_sym_continue] = ACTIONS(1675),
    [anon_sym_goto] = ACTIONS(1675),
    [anon_sym___try] = ACTIONS(1675),
    [anon_sym___leave] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1677),
    [anon_sym_PLUS_PLUS] = ACTIONS(1677),
    [anon_sym_sizeof] = ACTIONS(1675),
    [anon_sym___alignof__] = ACTIONS(1675),
    [anon_sym___alignof] = ACTIONS(1675),
    [anon_sym__alignof] = ACTIONS(1675),
    [anon_sym_alignof] = ACTIONS(1675),
    [anon_sym__Alignof] = ACTIONS(1675),
    [anon_sym_offsetof] = ACTIONS(1675),
    [anon_sym__Generic] = ACTIONS(1675),
    [anon_sym_asm] = ACTIONS(1675),
    [anon_sym___asm__] = ACTIONS(1675),
    [sym_number_literal] = ACTIONS(1677),
    [anon_sym_L_SQUOTE] = ACTIONS(1677),
    [anon_sym_u_SQUOTE] = ACTIONS(1677),
    [anon_sym_U_SQUOTE] = ACTIONS(1677),
    [anon_sym_u8_SQUOTE] = ACTIONS(1677),
    [anon_sym_SQUOTE] = ACTIONS(1677),
    [anon_sym_L_DQUOTE] = ACTIONS(1677),
    [anon_sym_u_DQUOTE] = ACTIONS(1677),
    [anon_sym_U_DQUOTE] = ACTIONS(1677),
    [anon_sym_u8_DQUOTE] = ACTIONS(1677),
    [anon_sym_DQUOTE] = ACTIONS(1677),
    [sym_true] = ACTIONS(1675),
    [sym_false] = ACTIONS(1675),
    [anon_sym_NULL] = ACTIONS(1675),
    [anon_sym_nullptr] = ACTIONS(1675),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1675),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1675),
    [anon_sym_hitAttributeEXT] = ACTIONS(1675),
    [anon_sym_callableDataEXT] = ACTIONS(1675),
    [anon_sym_callableDataInEXT] = ACTIONS(1675),
    [anon_sym_shaderRecordEXT] = ACTIONS(1675),
    [anon_sym_rayPayloadNV] = ACTIONS(1675),
    [anon_sym_rayPayloadInNV] = ACTIONS(1675),
    [anon_sym_hitAttributeNV] = ACTIONS(1675),
    [anon_sym_callableDataNV] = ACTIONS(1675),
    [anon_sym_callableDataInNV] = ACTIONS(1675),
    [anon_sym_shaderRecordNV] = ACTIONS(1675),
    [anon_sym_layout] = ACTIONS(1675),
  },
  [523] = {
    [sym_identifier] = ACTIONS(1719),
    [aux_sym_preproc_include_token1] = ACTIONS(1719),
    [aux_sym_preproc_def_token1] = ACTIONS(1719),
    [aux_sym_preproc_if_token1] = ACTIONS(1719),
    [aux_sym_preproc_if_token2] = ACTIONS(1719),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1719),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1719),
    [sym_preproc_directive] = ACTIONS(1719),
    [anon_sym_LPAREN2] = ACTIONS(1721),
    [anon_sym_BANG] = ACTIONS(1721),
    [anon_sym_TILDE] = ACTIONS(1721),
    [anon_sym_DASH] = ACTIONS(1719),
    [anon_sym_PLUS] = ACTIONS(1719),
    [anon_sym_STAR] = ACTIONS(1721),
    [anon_sym_AMP] = ACTIONS(1721),
    [anon_sym_subroutine] = ACTIONS(1719),
    [anon_sym_invariant] = ACTIONS(1719),
    [anon_sym_precise] = ACTIONS(1719),
    [anon_sym_SEMI] = ACTIONS(1721),
    [anon_sym_in] = ACTIONS(1719),
    [anon_sym_out] = ACTIONS(1719),
    [anon_sym_inout] = ACTIONS(1719),
    [anon_sym_uniform] = ACTIONS(1719),
    [anon_sym_shared] = ACTIONS(1719),
    [anon_sym_attribute] = ACTIONS(1719),
    [anon_sym_varying] = ACTIONS(1719),
    [anon_sym_buffer] = ACTIONS(1719),
    [anon_sym_coherent] = ACTIONS(1719),
    [anon_sym_readonly] = ACTIONS(1719),
    [anon_sym_writeonly] = ACTIONS(1719),
    [anon_sym_precision] = ACTIONS(1719),
    [anon_sym_highp] = ACTIONS(1719),
    [anon_sym_mediump] = ACTIONS(1719),
    [anon_sym_lowp] = ACTIONS(1719),
    [anon_sym_centroid] = ACTIONS(1719),
    [anon_sym_sample] = ACTIONS(1719),
    [anon_sym_patch] = ACTIONS(1719),
    [anon_sym_smooth] = ACTIONS(1719),
    [anon_sym_flat] = ACTIONS(1719),
    [anon_sym_noperspective] = ACTIONS(1719),
    [anon_sym___extension__] = ACTIONS(1719),
    [anon_sym_typedef] = ACTIONS(1719),
    [anon_sym_extern] = ACTIONS(1719),
    [anon_sym___attribute__] = ACTIONS(1719),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1721),
    [anon_sym___declspec] = ACTIONS(1719),
    [anon_sym___cdecl] = ACTIONS(1719),
    [anon_sym___clrcall] = ACTIONS(1719),
    [anon_sym___stdcall] = ACTIONS(1719),
    [anon_sym___fastcall] = ACTIONS(1719),
    [anon_sym___thiscall] = ACTIONS(1719),
    [anon_sym___vectorcall] = ACTIONS(1719),
    [anon_sym_LBRACE] = ACTIONS(1721),
    [anon_sym_signed] = ACTIONS(1719),
    [anon_sym_unsigned] = ACTIONS(1719),
    [anon_sym_long] = ACTIONS(1719),
    [anon_sym_short] = ACTIONS(1719),
    [anon_sym_static] = ACTIONS(1719),
    [anon_sym_auto] = ACTIONS(1719),
    [anon_sym_register] = ACTIONS(1719),
    [anon_sym_inline] = ACTIONS(1719),
    [anon_sym___inline] = ACTIONS(1719),
    [anon_sym___inline__] = ACTIONS(1719),
    [anon_sym___forceinline] = ACTIONS(1719),
    [anon_sym_thread_local] = ACTIONS(1719),
    [anon_sym___thread] = ACTIONS(1719),
    [anon_sym_const] = ACTIONS(1719),
    [anon_sym_constexpr] = ACTIONS(1719),
    [anon_sym_volatile] = ACTIONS(1719),
    [anon_sym_restrict] = ACTIONS(1719),
    [anon_sym___restrict__] = ACTIONS(1719),
    [anon_sym__Atomic] = ACTIONS(1719),
    [anon_sym__Noreturn] = ACTIONS(1719),
    [anon_sym_noreturn] = ACTIONS(1719),
    [sym_primitive_type] = ACTIONS(1719),
    [anon_sym_enum] = ACTIONS(1719),
    [anon_sym_struct] = ACTIONS(1719),
    [anon_sym_union] = ACTIONS(1719),
    [anon_sym_if] = ACTIONS(1719),
    [anon_sym_switch] = ACTIONS(1719),
    [anon_sym_case] = ACTIONS(1719),
    [anon_sym_default] = ACTIONS(1719),
    [anon_sym_while] = ACTIONS(1719),
    [anon_sym_do] = ACTIONS(1719),
    [anon_sym_for] = ACTIONS(1719),
    [anon_sym_return] = ACTIONS(1719),
    [anon_sym_break] = ACTIONS(1719),
    [anon_sym_continue] = ACTIONS(1719),
    [anon_sym_goto] = ACTIONS(1719),
    [anon_sym___try] = ACTIONS(1719),
    [anon_sym___leave] = ACTIONS(1719),
    [anon_sym_DASH_DASH] = ACTIONS(1721),
    [anon_sym_PLUS_PLUS] = ACTIONS(1721),
    [anon_sym_sizeof] = ACTIONS(1719),
    [anon_sym___alignof__] = ACTIONS(1719),
    [anon_sym___alignof] = ACTIONS(1719),
    [anon_sym__alignof] = ACTIONS(1719),
    [anon_sym_alignof] = ACTIONS(1719),
    [anon_sym__Alignof] = ACTIONS(1719),
    [anon_sym_offsetof] = ACTIONS(1719),
    [anon_sym__Generic] = ACTIONS(1719),
    [anon_sym_asm] = ACTIONS(1719),
    [anon_sym___asm__] = ACTIONS(1719),
    [sym_number_literal] = ACTIONS(1721),
    [anon_sym_L_SQUOTE] = ACTIONS(1721),
    [anon_sym_u_SQUOTE] = ACTIONS(1721),
    [anon_sym_U_SQUOTE] = ACTIONS(1721),
    [anon_sym_u8_SQUOTE] = ACTIONS(1721),
    [anon_sym_SQUOTE] = ACTIONS(1721),
    [anon_sym_L_DQUOTE] = ACTIONS(1721),
    [anon_sym_u_DQUOTE] = ACTIONS(1721),
    [anon_sym_U_DQUOTE] = ACTIONS(1721),
    [anon_sym_u8_DQUOTE] = ACTIONS(1721),
    [anon_sym_DQUOTE] = ACTIONS(1721),
    [sym_true] = ACTIONS(1719),
    [sym_false] = ACTIONS(1719),
    [anon_sym_NULL] = ACTIONS(1719),
    [anon_sym_nullptr] = ACTIONS(1719),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1719),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1719),
    [anon_sym_hitAttributeEXT] = ACTIONS(1719),
    [anon_sym_callableDataEXT] = ACTIONS(1719),
    [anon_sym_callableDataInEXT] = ACTIONS(1719),
    [anon_sym_shaderRecordEXT] = ACTIONS(1719),
    [anon_sym_rayPayloadNV] = ACTIONS(1719),
    [anon_sym_rayPayloadInNV] = ACTIONS(1719),
    [anon_sym_hitAttributeNV] = ACTIONS(1719),
    [anon_sym_callableDataNV] = ACTIONS(1719),
    [anon_sym_callableDataInNV] = ACTIONS(1719),
    [anon_sym_shaderRecordNV] = ACTIONS(1719),
    [anon_sym_layout] = ACTIONS(1719),
  },
  [524] = {
    [sym_identifier] = ACTIONS(1723),
    [aux_sym_preproc_include_token1] = ACTIONS(1723),
    [aux_sym_preproc_def_token1] = ACTIONS(1723),
    [aux_sym_preproc_if_token1] = ACTIONS(1723),
    [aux_sym_preproc_if_token2] = ACTIONS(1723),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1723),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1723),
    [sym_preproc_directive] = ACTIONS(1723),
    [anon_sym_LPAREN2] = ACTIONS(1725),
    [anon_sym_BANG] = ACTIONS(1725),
    [anon_sym_TILDE] = ACTIONS(1725),
    [anon_sym_DASH] = ACTIONS(1723),
    [anon_sym_PLUS] = ACTIONS(1723),
    [anon_sym_STAR] = ACTIONS(1725),
    [anon_sym_AMP] = ACTIONS(1725),
    [anon_sym_subroutine] = ACTIONS(1723),
    [anon_sym_invariant] = ACTIONS(1723),
    [anon_sym_precise] = ACTIONS(1723),
    [anon_sym_SEMI] = ACTIONS(1725),
    [anon_sym_in] = ACTIONS(1723),
    [anon_sym_out] = ACTIONS(1723),
    [anon_sym_inout] = ACTIONS(1723),
    [anon_sym_uniform] = ACTIONS(1723),
    [anon_sym_shared] = ACTIONS(1723),
    [anon_sym_attribute] = ACTIONS(1723),
    [anon_sym_varying] = ACTIONS(1723),
    [anon_sym_buffer] = ACTIONS(1723),
    [anon_sym_coherent] = ACTIONS(1723),
    [anon_sym_readonly] = ACTIONS(1723),
    [anon_sym_writeonly] = ACTIONS(1723),
    [anon_sym_precision] = ACTIONS(1723),
    [anon_sym_highp] = ACTIONS(1723),
    [anon_sym_mediump] = ACTIONS(1723),
    [anon_sym_lowp] = ACTIONS(1723),
    [anon_sym_centroid] = ACTIONS(1723),
    [anon_sym_sample] = ACTIONS(1723),
    [anon_sym_patch] = ACTIONS(1723),
    [anon_sym_smooth] = ACTIONS(1723),
    [anon_sym_flat] = ACTIONS(1723),
    [anon_sym_noperspective] = ACTIONS(1723),
    [anon_sym___extension__] = ACTIONS(1723),
    [anon_sym_typedef] = ACTIONS(1723),
    [anon_sym_extern] = ACTIONS(1723),
    [anon_sym___attribute__] = ACTIONS(1723),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1725),
    [anon_sym___declspec] = ACTIONS(1723),
    [anon_sym___cdecl] = ACTIONS(1723),
    [anon_sym___clrcall] = ACTIONS(1723),
    [anon_sym___stdcall] = ACTIONS(1723),
    [anon_sym___fastcall] = ACTIONS(1723),
    [anon_sym___thiscall] = ACTIONS(1723),
    [anon_sym___vectorcall] = ACTIONS(1723),
    [anon_sym_LBRACE] = ACTIONS(1725),
    [anon_sym_signed] = ACTIONS(1723),
    [anon_sym_unsigned] = ACTIONS(1723),
    [anon_sym_long] = ACTIONS(1723),
    [anon_sym_short] = ACTIONS(1723),
    [anon_sym_static] = ACTIONS(1723),
    [anon_sym_auto] = ACTIONS(1723),
    [anon_sym_register] = ACTIONS(1723),
    [anon_sym_inline] = ACTIONS(1723),
    [anon_sym___inline] = ACTIONS(1723),
    [anon_sym___inline__] = ACTIONS(1723),
    [anon_sym___forceinline] = ACTIONS(1723),
    [anon_sym_thread_local] = ACTIONS(1723),
    [anon_sym___thread] = ACTIONS(1723),
    [anon_sym_const] = ACTIONS(1723),
    [anon_sym_constexpr] = ACTIONS(1723),
    [anon_sym_volatile] = ACTIONS(1723),
    [anon_sym_restrict] = ACTIONS(1723),
    [anon_sym___restrict__] = ACTIONS(1723),
    [anon_sym__Atomic] = ACTIONS(1723),
    [anon_sym__Noreturn] = ACTIONS(1723),
    [anon_sym_noreturn] = ACTIONS(1723),
    [sym_primitive_type] = ACTIONS(1723),
    [anon_sym_enum] = ACTIONS(1723),
    [anon_sym_struct] = ACTIONS(1723),
    [anon_sym_union] = ACTIONS(1723),
    [anon_sym_if] = ACTIONS(1723),
    [anon_sym_switch] = ACTIONS(1723),
    [anon_sym_case] = ACTIONS(1723),
    [anon_sym_default] = ACTIONS(1723),
    [anon_sym_while] = ACTIONS(1723),
    [anon_sym_do] = ACTIONS(1723),
    [anon_sym_for] = ACTIONS(1723),
    [anon_sym_return] = ACTIONS(1723),
    [anon_sym_break] = ACTIONS(1723),
    [anon_sym_continue] = ACTIONS(1723),
    [anon_sym_goto] = ACTIONS(1723),
    [anon_sym___try] = ACTIONS(1723),
    [anon_sym___leave] = ACTIONS(1723),
    [anon_sym_DASH_DASH] = ACTIONS(1725),
    [anon_sym_PLUS_PLUS] = ACTIONS(1725),
    [anon_sym_sizeof] = ACTIONS(1723),
    [anon_sym___alignof__] = ACTIONS(1723),
    [anon_sym___alignof] = ACTIONS(1723),
    [anon_sym__alignof] = ACTIONS(1723),
    [anon_sym_alignof] = ACTIONS(1723),
    [anon_sym__Alignof] = ACTIONS(1723),
    [anon_sym_offsetof] = ACTIONS(1723),
    [anon_sym__Generic] = ACTIONS(1723),
    [anon_sym_asm] = ACTIONS(1723),
    [anon_sym___asm__] = ACTIONS(1723),
    [sym_number_literal] = ACTIONS(1725),
    [anon_sym_L_SQUOTE] = ACTIONS(1725),
    [anon_sym_u_SQUOTE] = ACTIONS(1725),
    [anon_sym_U_SQUOTE] = ACTIONS(1725),
    [anon_sym_u8_SQUOTE] = ACTIONS(1725),
    [anon_sym_SQUOTE] = ACTIONS(1725),
    [anon_sym_L_DQUOTE] = ACTIONS(1725),
    [anon_sym_u_DQUOTE] = ACTIONS(1725),
    [anon_sym_U_DQUOTE] = ACTIONS(1725),
    [anon_sym_u8_DQUOTE] = ACTIONS(1725),
    [anon_sym_DQUOTE] = ACTIONS(1725),
    [sym_true] = ACTIONS(1723),
    [sym_false] = ACTIONS(1723),
    [anon_sym_NULL] = ACTIONS(1723),
    [anon_sym_nullptr] = ACTIONS(1723),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1723),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1723),
    [anon_sym_hitAttributeEXT] = ACTIONS(1723),
    [anon_sym_callableDataEXT] = ACTIONS(1723),
    [anon_sym_callableDataInEXT] = ACTIONS(1723),
    [anon_sym_shaderRecordEXT] = ACTIONS(1723),
    [anon_sym_rayPayloadNV] = ACTIONS(1723),
    [anon_sym_rayPayloadInNV] = ACTIONS(1723),
    [anon_sym_hitAttributeNV] = ACTIONS(1723),
    [anon_sym_callableDataNV] = ACTIONS(1723),
    [anon_sym_callableDataInNV] = ACTIONS(1723),
    [anon_sym_shaderRecordNV] = ACTIONS(1723),
    [anon_sym_layout] = ACTIONS(1723),
  },
  [525] = {
    [sym_identifier] = ACTIONS(1715),
    [aux_sym_preproc_include_token1] = ACTIONS(1715),
    [aux_sym_preproc_def_token1] = ACTIONS(1715),
    [aux_sym_preproc_if_token1] = ACTIONS(1715),
    [aux_sym_preproc_if_token2] = ACTIONS(1715),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1715),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1715),
    [sym_preproc_directive] = ACTIONS(1715),
    [anon_sym_LPAREN2] = ACTIONS(1717),
    [anon_sym_BANG] = ACTIONS(1717),
    [anon_sym_TILDE] = ACTIONS(1717),
    [anon_sym_DASH] = ACTIONS(1715),
    [anon_sym_PLUS] = ACTIONS(1715),
    [anon_sym_STAR] = ACTIONS(1717),
    [anon_sym_AMP] = ACTIONS(1717),
    [anon_sym_subroutine] = ACTIONS(1715),
    [anon_sym_invariant] = ACTIONS(1715),
    [anon_sym_precise] = ACTIONS(1715),
    [anon_sym_SEMI] = ACTIONS(1717),
    [anon_sym_in] = ACTIONS(1715),
    [anon_sym_out] = ACTIONS(1715),
    [anon_sym_inout] = ACTIONS(1715),
    [anon_sym_uniform] = ACTIONS(1715),
    [anon_sym_shared] = ACTIONS(1715),
    [anon_sym_attribute] = ACTIONS(1715),
    [anon_sym_varying] = ACTIONS(1715),
    [anon_sym_buffer] = ACTIONS(1715),
    [anon_sym_coherent] = ACTIONS(1715),
    [anon_sym_readonly] = ACTIONS(1715),
    [anon_sym_writeonly] = ACTIONS(1715),
    [anon_sym_precision] = ACTIONS(1715),
    [anon_sym_highp] = ACTIONS(1715),
    [anon_sym_mediump] = ACTIONS(1715),
    [anon_sym_lowp] = ACTIONS(1715),
    [anon_sym_centroid] = ACTIONS(1715),
    [anon_sym_sample] = ACTIONS(1715),
    [anon_sym_patch] = ACTIONS(1715),
    [anon_sym_smooth] = ACTIONS(1715),
    [anon_sym_flat] = ACTIONS(1715),
    [anon_sym_noperspective] = ACTIONS(1715),
    [anon_sym___extension__] = ACTIONS(1715),
    [anon_sym_typedef] = ACTIONS(1715),
    [anon_sym_extern] = ACTIONS(1715),
    [anon_sym___attribute__] = ACTIONS(1715),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1717),
    [anon_sym___declspec] = ACTIONS(1715),
    [anon_sym___cdecl] = ACTIONS(1715),
    [anon_sym___clrcall] = ACTIONS(1715),
    [anon_sym___stdcall] = ACTIONS(1715),
    [anon_sym___fastcall] = ACTIONS(1715),
    [anon_sym___thiscall] = ACTIONS(1715),
    [anon_sym___vectorcall] = ACTIONS(1715),
    [anon_sym_LBRACE] = ACTIONS(1717),
    [anon_sym_signed] = ACTIONS(1715),
    [anon_sym_unsigned] = ACTIONS(1715),
    [anon_sym_long] = ACTIONS(1715),
    [anon_sym_short] = ACTIONS(1715),
    [anon_sym_static] = ACTIONS(1715),
    [anon_sym_auto] = ACTIONS(1715),
    [anon_sym_register] = ACTIONS(1715),
    [anon_sym_inline] = ACTIONS(1715),
    [anon_sym___inline] = ACTIONS(1715),
    [anon_sym___inline__] = ACTIONS(1715),
    [anon_sym___forceinline] = ACTIONS(1715),
    [anon_sym_thread_local] = ACTIONS(1715),
    [anon_sym___thread] = ACTIONS(1715),
    [anon_sym_const] = ACTIONS(1715),
    [anon_sym_constexpr] = ACTIONS(1715),
    [anon_sym_volatile] = ACTIONS(1715),
    [anon_sym_restrict] = ACTIONS(1715),
    [anon_sym___restrict__] = ACTIONS(1715),
    [anon_sym__Atomic] = ACTIONS(1715),
    [anon_sym__Noreturn] = ACTIONS(1715),
    [anon_sym_noreturn] = ACTIONS(1715),
    [sym_primitive_type] = ACTIONS(1715),
    [anon_sym_enum] = ACTIONS(1715),
    [anon_sym_struct] = ACTIONS(1715),
    [anon_sym_union] = ACTIONS(1715),
    [anon_sym_if] = ACTIONS(1715),
    [anon_sym_switch] = ACTIONS(1715),
    [anon_sym_case] = ACTIONS(1715),
    [anon_sym_default] = ACTIONS(1715),
    [anon_sym_while] = ACTIONS(1715),
    [anon_sym_do] = ACTIONS(1715),
    [anon_sym_for] = ACTIONS(1715),
    [anon_sym_return] = ACTIONS(1715),
    [anon_sym_break] = ACTIONS(1715),
    [anon_sym_continue] = ACTIONS(1715),
    [anon_sym_goto] = ACTIONS(1715),
    [anon_sym___try] = ACTIONS(1715),
    [anon_sym___leave] = ACTIONS(1715),
    [anon_sym_DASH_DASH] = ACTIONS(1717),
    [anon_sym_PLUS_PLUS] = ACTIONS(1717),
    [anon_sym_sizeof] = ACTIONS(1715),
    [anon_sym___alignof__] = ACTIONS(1715),
    [anon_sym___alignof] = ACTIONS(1715),
    [anon_sym__alignof] = ACTIONS(1715),
    [anon_sym_alignof] = ACTIONS(1715),
    [anon_sym__Alignof] = ACTIONS(1715),
    [anon_sym_offsetof] = ACTIONS(1715),
    [anon_sym__Generic] = ACTIONS(1715),
    [anon_sym_asm] = ACTIONS(1715),
    [anon_sym___asm__] = ACTIONS(1715),
    [sym_number_literal] = ACTIONS(1717),
    [anon_sym_L_SQUOTE] = ACTIONS(1717),
    [anon_sym_u_SQUOTE] = ACTIONS(1717),
    [anon_sym_U_SQUOTE] = ACTIONS(1717),
    [anon_sym_u8_SQUOTE] = ACTIONS(1717),
    [anon_sym_SQUOTE] = ACTIONS(1717),
    [anon_sym_L_DQUOTE] = ACTIONS(1717),
    [anon_sym_u_DQUOTE] = ACTIONS(1717),
    [anon_sym_U_DQUOTE] = ACTIONS(1717),
    [anon_sym_u8_DQUOTE] = ACTIONS(1717),
    [anon_sym_DQUOTE] = ACTIONS(1717),
    [sym_true] = ACTIONS(1715),
    [sym_false] = ACTIONS(1715),
    [anon_sym_NULL] = ACTIONS(1715),
    [anon_sym_nullptr] = ACTIONS(1715),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1715),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1715),
    [anon_sym_hitAttributeEXT] = ACTIONS(1715),
    [anon_sym_callableDataEXT] = ACTIONS(1715),
    [anon_sym_callableDataInEXT] = ACTIONS(1715),
    [anon_sym_shaderRecordEXT] = ACTIONS(1715),
    [anon_sym_rayPayloadNV] = ACTIONS(1715),
    [anon_sym_rayPayloadInNV] = ACTIONS(1715),
    [anon_sym_hitAttributeNV] = ACTIONS(1715),
    [anon_sym_callableDataNV] = ACTIONS(1715),
    [anon_sym_callableDataInNV] = ACTIONS(1715),
    [anon_sym_shaderRecordNV] = ACTIONS(1715),
    [anon_sym_layout] = ACTIONS(1715),
  },
  [526] = {
    [sym_identifier] = ACTIONS(1695),
    [aux_sym_preproc_include_token1] = ACTIONS(1695),
    [aux_sym_preproc_def_token1] = ACTIONS(1695),
    [aux_sym_preproc_if_token1] = ACTIONS(1695),
    [aux_sym_preproc_if_token2] = ACTIONS(1695),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1695),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1695),
    [sym_preproc_directive] = ACTIONS(1695),
    [anon_sym_LPAREN2] = ACTIONS(1697),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1695),
    [anon_sym_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_subroutine] = ACTIONS(1695),
    [anon_sym_invariant] = ACTIONS(1695),
    [anon_sym_precise] = ACTIONS(1695),
    [anon_sym_SEMI] = ACTIONS(1697),
    [anon_sym_in] = ACTIONS(1695),
    [anon_sym_out] = ACTIONS(1695),
    [anon_sym_inout] = ACTIONS(1695),
    [anon_sym_uniform] = ACTIONS(1695),
    [anon_sym_shared] = ACTIONS(1695),
    [anon_sym_attribute] = ACTIONS(1695),
    [anon_sym_varying] = ACTIONS(1695),
    [anon_sym_buffer] = ACTIONS(1695),
    [anon_sym_coherent] = ACTIONS(1695),
    [anon_sym_readonly] = ACTIONS(1695),
    [anon_sym_writeonly] = ACTIONS(1695),
    [anon_sym_precision] = ACTIONS(1695),
    [anon_sym_highp] = ACTIONS(1695),
    [anon_sym_mediump] = ACTIONS(1695),
    [anon_sym_lowp] = ACTIONS(1695),
    [anon_sym_centroid] = ACTIONS(1695),
    [anon_sym_sample] = ACTIONS(1695),
    [anon_sym_patch] = ACTIONS(1695),
    [anon_sym_smooth] = ACTIONS(1695),
    [anon_sym_flat] = ACTIONS(1695),
    [anon_sym_noperspective] = ACTIONS(1695),
    [anon_sym___extension__] = ACTIONS(1695),
    [anon_sym_typedef] = ACTIONS(1695),
    [anon_sym_extern] = ACTIONS(1695),
    [anon_sym___attribute__] = ACTIONS(1695),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1697),
    [anon_sym___declspec] = ACTIONS(1695),
    [anon_sym___cdecl] = ACTIONS(1695),
    [anon_sym___clrcall] = ACTIONS(1695),
    [anon_sym___stdcall] = ACTIONS(1695),
    [anon_sym___fastcall] = ACTIONS(1695),
    [anon_sym___thiscall] = ACTIONS(1695),
    [anon_sym___vectorcall] = ACTIONS(1695),
    [anon_sym_LBRACE] = ACTIONS(1697),
    [anon_sym_signed] = ACTIONS(1695),
    [anon_sym_unsigned] = ACTIONS(1695),
    [anon_sym_long] = ACTIONS(1695),
    [anon_sym_short] = ACTIONS(1695),
    [anon_sym_static] = ACTIONS(1695),
    [anon_sym_auto] = ACTIONS(1695),
    [anon_sym_register] = ACTIONS(1695),
    [anon_sym_inline] = ACTIONS(1695),
    [anon_sym___inline] = ACTIONS(1695),
    [anon_sym___inline__] = ACTIONS(1695),
    [anon_sym___forceinline] = ACTIONS(1695),
    [anon_sym_thread_local] = ACTIONS(1695),
    [anon_sym___thread] = ACTIONS(1695),
    [anon_sym_const] = ACTIONS(1695),
    [anon_sym_constexpr] = ACTIONS(1695),
    [anon_sym_volatile] = ACTIONS(1695),
    [anon_sym_restrict] = ACTIONS(1695),
    [anon_sym___restrict__] = ACTIONS(1695),
    [anon_sym__Atomic] = ACTIONS(1695),
    [anon_sym__Noreturn] = ACTIONS(1695),
    [anon_sym_noreturn] = ACTIONS(1695),
    [sym_primitive_type] = ACTIONS(1695),
    [anon_sym_enum] = ACTIONS(1695),
    [anon_sym_struct] = ACTIONS(1695),
    [anon_sym_union] = ACTIONS(1695),
    [anon_sym_if] = ACTIONS(1695),
    [anon_sym_switch] = ACTIONS(1695),
    [anon_sym_case] = ACTIONS(1695),
    [anon_sym_default] = ACTIONS(1695),
    [anon_sym_while] = ACTIONS(1695),
    [anon_sym_do] = ACTIONS(1695),
    [anon_sym_for] = ACTIONS(1695),
    [anon_sym_return] = ACTIONS(1695),
    [anon_sym_break] = ACTIONS(1695),
    [anon_sym_continue] = ACTIONS(1695),
    [anon_sym_goto] = ACTIONS(1695),
    [anon_sym___try] = ACTIONS(1695),
    [anon_sym___leave] = ACTIONS(1695),
    [anon_sym_DASH_DASH] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1697),
    [anon_sym_sizeof] = ACTIONS(1695),
    [anon_sym___alignof__] = ACTIONS(1695),
    [anon_sym___alignof] = ACTIONS(1695),
    [anon_sym__alignof] = ACTIONS(1695),
    [anon_sym_alignof] = ACTIONS(1695),
    [anon_sym__Alignof] = ACTIONS(1695),
    [anon_sym_offsetof] = ACTIONS(1695),
    [anon_sym__Generic] = ACTIONS(1695),
    [anon_sym_asm] = ACTIONS(1695),
    [anon_sym___asm__] = ACTIONS(1695),
    [sym_number_literal] = ACTIONS(1697),
    [anon_sym_L_SQUOTE] = ACTIONS(1697),
    [anon_sym_u_SQUOTE] = ACTIONS(1697),
    [anon_sym_U_SQUOTE] = ACTIONS(1697),
    [anon_sym_u8_SQUOTE] = ACTIONS(1697),
    [anon_sym_SQUOTE] = ACTIONS(1697),
    [anon_sym_L_DQUOTE] = ACTIONS(1697),
    [anon_sym_u_DQUOTE] = ACTIONS(1697),
    [anon_sym_U_DQUOTE] = ACTIONS(1697),
    [anon_sym_u8_DQUOTE] = ACTIONS(1697),
    [anon_sym_DQUOTE] = ACTIONS(1697),
    [sym_true] = ACTIONS(1695),
    [sym_false] = ACTIONS(1695),
    [anon_sym_NULL] = ACTIONS(1695),
    [anon_sym_nullptr] = ACTIONS(1695),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1695),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1695),
    [anon_sym_hitAttributeEXT] = ACTIONS(1695),
    [anon_sym_callableDataEXT] = ACTIONS(1695),
    [anon_sym_callableDataInEXT] = ACTIONS(1695),
    [anon_sym_shaderRecordEXT] = ACTIONS(1695),
    [anon_sym_rayPayloadNV] = ACTIONS(1695),
    [anon_sym_rayPayloadInNV] = ACTIONS(1695),
    [anon_sym_hitAttributeNV] = ACTIONS(1695),
    [anon_sym_callableDataNV] = ACTIONS(1695),
    [anon_sym_callableDataInNV] = ACTIONS(1695),
    [anon_sym_shaderRecordNV] = ACTIONS(1695),
    [anon_sym_layout] = ACTIONS(1695),
  },
  [527] = {
    [sym_identifier] = ACTIONS(1691),
    [aux_sym_preproc_include_token1] = ACTIONS(1691),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token2] = ACTIONS(1691),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1691),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1691),
    [sym_preproc_directive] = ACTIONS(1691),
    [anon_sym_LPAREN2] = ACTIONS(1693),
    [anon_sym_BANG] = ACTIONS(1693),
    [anon_sym_TILDE] = ACTIONS(1693),
    [anon_sym_DASH] = ACTIONS(1691),
    [anon_sym_PLUS] = ACTIONS(1691),
    [anon_sym_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1693),
    [anon_sym_subroutine] = ACTIONS(1691),
    [anon_sym_invariant] = ACTIONS(1691),
    [anon_sym_precise] = ACTIONS(1691),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_in] = ACTIONS(1691),
    [anon_sym_out] = ACTIONS(1691),
    [anon_sym_inout] = ACTIONS(1691),
    [anon_sym_uniform] = ACTIONS(1691),
    [anon_sym_shared] = ACTIONS(1691),
    [anon_sym_attribute] = ACTIONS(1691),
    [anon_sym_varying] = ACTIONS(1691),
    [anon_sym_buffer] = ACTIONS(1691),
    [anon_sym_coherent] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_writeonly] = ACTIONS(1691),
    [anon_sym_precision] = ACTIONS(1691),
    [anon_sym_highp] = ACTIONS(1691),
    [anon_sym_mediump] = ACTIONS(1691),
    [anon_sym_lowp] = ACTIONS(1691),
    [anon_sym_centroid] = ACTIONS(1691),
    [anon_sym_sample] = ACTIONS(1691),
    [anon_sym_patch] = ACTIONS(1691),
    [anon_sym_smooth] = ACTIONS(1691),
    [anon_sym_flat] = ACTIONS(1691),
    [anon_sym_noperspective] = ACTIONS(1691),
    [anon_sym___extension__] = ACTIONS(1691),
    [anon_sym_typedef] = ACTIONS(1691),
    [anon_sym_extern] = ACTIONS(1691),
    [anon_sym___attribute__] = ACTIONS(1691),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1693),
    [anon_sym___declspec] = ACTIONS(1691),
    [anon_sym___cdecl] = ACTIONS(1691),
    [anon_sym___clrcall] = ACTIONS(1691),
    [anon_sym___stdcall] = ACTIONS(1691),
    [anon_sym___fastcall] = ACTIONS(1691),
    [anon_sym___thiscall] = ACTIONS(1691),
    [anon_sym___vectorcall] = ACTIONS(1691),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_signed] = ACTIONS(1691),
    [anon_sym_unsigned] = ACTIONS(1691),
    [anon_sym_long] = ACTIONS(1691),
    [anon_sym_short] = ACTIONS(1691),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_auto] = ACTIONS(1691),
    [anon_sym_register] = ACTIONS(1691),
    [anon_sym_inline] = ACTIONS(1691),
    [anon_sym___inline] = ACTIONS(1691),
    [anon_sym___inline__] = ACTIONS(1691),
    [anon_sym___forceinline] = ACTIONS(1691),
    [anon_sym_thread_local] = ACTIONS(1691),
    [anon_sym___thread] = ACTIONS(1691),
    [anon_sym_const] = ACTIONS(1691),
    [anon_sym_constexpr] = ACTIONS(1691),
    [anon_sym_volatile] = ACTIONS(1691),
    [anon_sym_restrict] = ACTIONS(1691),
    [anon_sym___restrict__] = ACTIONS(1691),
    [anon_sym__Atomic] = ACTIONS(1691),
    [anon_sym__Noreturn] = ACTIONS(1691),
    [anon_sym_noreturn] = ACTIONS(1691),
    [sym_primitive_type] = ACTIONS(1691),
    [anon_sym_enum] = ACTIONS(1691),
    [anon_sym_struct] = ACTIONS(1691),
    [anon_sym_union] = ACTIONS(1691),
    [anon_sym_if] = ACTIONS(1691),
    [anon_sym_switch] = ACTIONS(1691),
    [anon_sym_case] = ACTIONS(1691),
    [anon_sym_default] = ACTIONS(1691),
    [anon_sym_while] = ACTIONS(1691),
    [anon_sym_do] = ACTIONS(1691),
    [anon_sym_for] = ACTIONS(1691),
    [anon_sym_return] = ACTIONS(1691),
    [anon_sym_break] = ACTIONS(1691),
    [anon_sym_continue] = ACTIONS(1691),
    [anon_sym_goto] = ACTIONS(1691),
    [anon_sym___try] = ACTIONS(1691),
    [anon_sym___leave] = ACTIONS(1691),
    [anon_sym_DASH_DASH] = ACTIONS(1693),
    [anon_sym_PLUS_PLUS] = ACTIONS(1693),
    [anon_sym_sizeof] = ACTIONS(1691),
    [anon_sym___alignof__] = ACTIONS(1691),
    [anon_sym___alignof] = ACTIONS(1691),
    [anon_sym__alignof] = ACTIONS(1691),
    [anon_sym_alignof] = ACTIONS(1691),
    [anon_sym__Alignof] = ACTIONS(1691),
    [anon_sym_offsetof] = ACTIONS(1691),
    [anon_sym__Generic] = ACTIONS(1691),
    [anon_sym_asm] = ACTIONS(1691),
    [anon_sym___asm__] = ACTIONS(1691),
    [sym_number_literal] = ACTIONS(1693),
    [anon_sym_L_SQUOTE] = ACTIONS(1693),
    [anon_sym_u_SQUOTE] = ACTIONS(1693),
    [anon_sym_U_SQUOTE] = ACTIONS(1693),
    [anon_sym_u8_SQUOTE] = ACTIONS(1693),
    [anon_sym_SQUOTE] = ACTIONS(1693),
    [anon_sym_L_DQUOTE] = ACTIONS(1693),
    [anon_sym_u_DQUOTE] = ACTIONS(1693),
    [anon_sym_U_DQUOTE] = ACTIONS(1693),
    [anon_sym_u8_DQUOTE] = ACTIONS(1693),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [sym_true] = ACTIONS(1691),
    [sym_false] = ACTIONS(1691),
    [anon_sym_NULL] = ACTIONS(1691),
    [anon_sym_nullptr] = ACTIONS(1691),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1691),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1691),
    [anon_sym_hitAttributeEXT] = ACTIONS(1691),
    [anon_sym_callableDataEXT] = ACTIONS(1691),
    [anon_sym_callableDataInEXT] = ACTIONS(1691),
    [anon_sym_shaderRecordEXT] = ACTIONS(1691),
    [anon_sym_rayPayloadNV] = ACTIONS(1691),
    [anon_sym_rayPayloadInNV] = ACTIONS(1691),
    [anon_sym_hitAttributeNV] = ACTIONS(1691),
    [anon_sym_callableDataNV] = ACTIONS(1691),
    [anon_sym_callableDataInNV] = ACTIONS(1691),
    [anon_sym_shaderRecordNV] = ACTIONS(1691),
    [anon_sym_layout] = ACTIONS(1691),
  },
  [528] = {
    [sym_identifier] = ACTIONS(1683),
    [aux_sym_preproc_include_token1] = ACTIONS(1683),
    [aux_sym_preproc_def_token1] = ACTIONS(1683),
    [aux_sym_preproc_if_token1] = ACTIONS(1683),
    [aux_sym_preproc_if_token2] = ACTIONS(1683),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1683),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1683),
    [sym_preproc_directive] = ACTIONS(1683),
    [anon_sym_LPAREN2] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1685),
    [anon_sym_TILDE] = ACTIONS(1685),
    [anon_sym_DASH] = ACTIONS(1683),
    [anon_sym_PLUS] = ACTIONS(1683),
    [anon_sym_STAR] = ACTIONS(1685),
    [anon_sym_AMP] = ACTIONS(1685),
    [anon_sym_subroutine] = ACTIONS(1683),
    [anon_sym_invariant] = ACTIONS(1683),
    [anon_sym_precise] = ACTIONS(1683),
    [anon_sym_SEMI] = ACTIONS(1685),
    [anon_sym_in] = ACTIONS(1683),
    [anon_sym_out] = ACTIONS(1683),
    [anon_sym_inout] = ACTIONS(1683),
    [anon_sym_uniform] = ACTIONS(1683),
    [anon_sym_shared] = ACTIONS(1683),
    [anon_sym_attribute] = ACTIONS(1683),
    [anon_sym_varying] = ACTIONS(1683),
    [anon_sym_buffer] = ACTIONS(1683),
    [anon_sym_coherent] = ACTIONS(1683),
    [anon_sym_readonly] = ACTIONS(1683),
    [anon_sym_writeonly] = ACTIONS(1683),
    [anon_sym_precision] = ACTIONS(1683),
    [anon_sym_highp] = ACTIONS(1683),
    [anon_sym_mediump] = ACTIONS(1683),
    [anon_sym_lowp] = ACTIONS(1683),
    [anon_sym_centroid] = ACTIONS(1683),
    [anon_sym_sample] = ACTIONS(1683),
    [anon_sym_patch] = ACTIONS(1683),
    [anon_sym_smooth] = ACTIONS(1683),
    [anon_sym_flat] = ACTIONS(1683),
    [anon_sym_noperspective] = ACTIONS(1683),
    [anon_sym___extension__] = ACTIONS(1683),
    [anon_sym_typedef] = ACTIONS(1683),
    [anon_sym_extern] = ACTIONS(1683),
    [anon_sym___attribute__] = ACTIONS(1683),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1685),
    [anon_sym___declspec] = ACTIONS(1683),
    [anon_sym___cdecl] = ACTIONS(1683),
    [anon_sym___clrcall] = ACTIONS(1683),
    [anon_sym___stdcall] = ACTIONS(1683),
    [anon_sym___fastcall] = ACTIONS(1683),
    [anon_sym___thiscall] = ACTIONS(1683),
    [anon_sym___vectorcall] = ACTIONS(1683),
    [anon_sym_LBRACE] = ACTIONS(1685),
    [anon_sym_signed] = ACTIONS(1683),
    [anon_sym_unsigned] = ACTIONS(1683),
    [anon_sym_long] = ACTIONS(1683),
    [anon_sym_short] = ACTIONS(1683),
    [anon_sym_static] = ACTIONS(1683),
    [anon_sym_auto] = ACTIONS(1683),
    [anon_sym_register] = ACTIONS(1683),
    [anon_sym_inline] = ACTIONS(1683),
    [anon_sym___inline] = ACTIONS(1683),
    [anon_sym___inline__] = ACTIONS(1683),
    [anon_sym___forceinline] = ACTIONS(1683),
    [anon_sym_thread_local] = ACTIONS(1683),
    [anon_sym___thread] = ACTIONS(1683),
    [anon_sym_const] = ACTIONS(1683),
    [anon_sym_constexpr] = ACTIONS(1683),
    [anon_sym_volatile] = ACTIONS(1683),
    [anon_sym_restrict] = ACTIONS(1683),
    [anon_sym___restrict__] = ACTIONS(1683),
    [anon_sym__Atomic] = ACTIONS(1683),
    [anon_sym__Noreturn] = ACTIONS(1683),
    [anon_sym_noreturn] = ACTIONS(1683),
    [sym_primitive_type] = ACTIONS(1683),
    [anon_sym_enum] = ACTIONS(1683),
    [anon_sym_struct] = ACTIONS(1683),
    [anon_sym_union] = ACTIONS(1683),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_switch] = ACTIONS(1683),
    [anon_sym_case] = ACTIONS(1683),
    [anon_sym_default] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1683),
    [anon_sym_do] = ACTIONS(1683),
    [anon_sym_for] = ACTIONS(1683),
    [anon_sym_return] = ACTIONS(1683),
    [anon_sym_break] = ACTIONS(1683),
    [anon_sym_continue] = ACTIONS(1683),
    [anon_sym_goto] = ACTIONS(1683),
    [anon_sym___try] = ACTIONS(1683),
    [anon_sym___leave] = ACTIONS(1683),
    [anon_sym_DASH_DASH] = ACTIONS(1685),
    [anon_sym_PLUS_PLUS] = ACTIONS(1685),
    [anon_sym_sizeof] = ACTIONS(1683),
    [anon_sym___alignof__] = ACTIONS(1683),
    [anon_sym___alignof] = ACTIONS(1683),
    [anon_sym__alignof] = ACTIONS(1683),
    [anon_sym_alignof] = ACTIONS(1683),
    [anon_sym__Alignof] = ACTIONS(1683),
    [anon_sym_offsetof] = ACTIONS(1683),
    [anon_sym__Generic] = ACTIONS(1683),
    [anon_sym_asm] = ACTIONS(1683),
    [anon_sym___asm__] = ACTIONS(1683),
    [sym_number_literal] = ACTIONS(1685),
    [anon_sym_L_SQUOTE] = ACTIONS(1685),
    [anon_sym_u_SQUOTE] = ACTIONS(1685),
    [anon_sym_U_SQUOTE] = ACTIONS(1685),
    [anon_sym_u8_SQUOTE] = ACTIONS(1685),
    [anon_sym_SQUOTE] = ACTIONS(1685),
    [anon_sym_L_DQUOTE] = ACTIONS(1685),
    [anon_sym_u_DQUOTE] = ACTIONS(1685),
    [anon_sym_U_DQUOTE] = ACTIONS(1685),
    [anon_sym_u8_DQUOTE] = ACTIONS(1685),
    [anon_sym_DQUOTE] = ACTIONS(1685),
    [sym_true] = ACTIONS(1683),
    [sym_false] = ACTIONS(1683),
    [anon_sym_NULL] = ACTIONS(1683),
    [anon_sym_nullptr] = ACTIONS(1683),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1683),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1683),
    [anon_sym_hitAttributeEXT] = ACTIONS(1683),
    [anon_sym_callableDataEXT] = ACTIONS(1683),
    [anon_sym_callableDataInEXT] = ACTIONS(1683),
    [anon_sym_shaderRecordEXT] = ACTIONS(1683),
    [anon_sym_rayPayloadNV] = ACTIONS(1683),
    [anon_sym_rayPayloadInNV] = ACTIONS(1683),
    [anon_sym_hitAttributeNV] = ACTIONS(1683),
    [anon_sym_callableDataNV] = ACTIONS(1683),
    [anon_sym_callableDataInNV] = ACTIONS(1683),
    [anon_sym_shaderRecordNV] = ACTIONS(1683),
    [anon_sym_layout] = ACTIONS(1683),
  },
  [529] = {
    [sym_identifier] = ACTIONS(1659),
    [aux_sym_preproc_include_token1] = ACTIONS(1659),
    [aux_sym_preproc_def_token1] = ACTIONS(1659),
    [aux_sym_preproc_if_token1] = ACTIONS(1659),
    [aux_sym_preproc_if_token2] = ACTIONS(1659),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1659),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1659),
    [sym_preproc_directive] = ACTIONS(1659),
    [anon_sym_LPAREN2] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1661),
    [anon_sym_TILDE] = ACTIONS(1661),
    [anon_sym_DASH] = ACTIONS(1659),
    [anon_sym_PLUS] = ACTIONS(1659),
    [anon_sym_STAR] = ACTIONS(1661),
    [anon_sym_AMP] = ACTIONS(1661),
    [anon_sym_subroutine] = ACTIONS(1659),
    [anon_sym_invariant] = ACTIONS(1659),
    [anon_sym_precise] = ACTIONS(1659),
    [anon_sym_SEMI] = ACTIONS(1661),
    [anon_sym_in] = ACTIONS(1659),
    [anon_sym_out] = ACTIONS(1659),
    [anon_sym_inout] = ACTIONS(1659),
    [anon_sym_uniform] = ACTIONS(1659),
    [anon_sym_shared] = ACTIONS(1659),
    [anon_sym_attribute] = ACTIONS(1659),
    [anon_sym_varying] = ACTIONS(1659),
    [anon_sym_buffer] = ACTIONS(1659),
    [anon_sym_coherent] = ACTIONS(1659),
    [anon_sym_readonly] = ACTIONS(1659),
    [anon_sym_writeonly] = ACTIONS(1659),
    [anon_sym_precision] = ACTIONS(1659),
    [anon_sym_highp] = ACTIONS(1659),
    [anon_sym_mediump] = ACTIONS(1659),
    [anon_sym_lowp] = ACTIONS(1659),
    [anon_sym_centroid] = ACTIONS(1659),
    [anon_sym_sample] = ACTIONS(1659),
    [anon_sym_patch] = ACTIONS(1659),
    [anon_sym_smooth] = ACTIONS(1659),
    [anon_sym_flat] = ACTIONS(1659),
    [anon_sym_noperspective] = ACTIONS(1659),
    [anon_sym___extension__] = ACTIONS(1659),
    [anon_sym_typedef] = ACTIONS(1659),
    [anon_sym_extern] = ACTIONS(1659),
    [anon_sym___attribute__] = ACTIONS(1659),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1661),
    [anon_sym___declspec] = ACTIONS(1659),
    [anon_sym___cdecl] = ACTIONS(1659),
    [anon_sym___clrcall] = ACTIONS(1659),
    [anon_sym___stdcall] = ACTIONS(1659),
    [anon_sym___fastcall] = ACTIONS(1659),
    [anon_sym___thiscall] = ACTIONS(1659),
    [anon_sym___vectorcall] = ACTIONS(1659),
    [anon_sym_LBRACE] = ACTIONS(1661),
    [anon_sym_signed] = ACTIONS(1659),
    [anon_sym_unsigned] = ACTIONS(1659),
    [anon_sym_long] = ACTIONS(1659),
    [anon_sym_short] = ACTIONS(1659),
    [anon_sym_static] = ACTIONS(1659),
    [anon_sym_auto] = ACTIONS(1659),
    [anon_sym_register] = ACTIONS(1659),
    [anon_sym_inline] = ACTIONS(1659),
    [anon_sym___inline] = ACTIONS(1659),
    [anon_sym___inline__] = ACTIONS(1659),
    [anon_sym___forceinline] = ACTIONS(1659),
    [anon_sym_thread_local] = ACTIONS(1659),
    [anon_sym___thread] = ACTIONS(1659),
    [anon_sym_const] = ACTIONS(1659),
    [anon_sym_constexpr] = ACTIONS(1659),
    [anon_sym_volatile] = ACTIONS(1659),
    [anon_sym_restrict] = ACTIONS(1659),
    [anon_sym___restrict__] = ACTIONS(1659),
    [anon_sym__Atomic] = ACTIONS(1659),
    [anon_sym__Noreturn] = ACTIONS(1659),
    [anon_sym_noreturn] = ACTIONS(1659),
    [sym_primitive_type] = ACTIONS(1659),
    [anon_sym_enum] = ACTIONS(1659),
    [anon_sym_struct] = ACTIONS(1659),
    [anon_sym_union] = ACTIONS(1659),
    [anon_sym_if] = ACTIONS(1659),
    [anon_sym_switch] = ACTIONS(1659),
    [anon_sym_case] = ACTIONS(1659),
    [anon_sym_default] = ACTIONS(1659),
    [anon_sym_while] = ACTIONS(1659),
    [anon_sym_do] = ACTIONS(1659),
    [anon_sym_for] = ACTIONS(1659),
    [anon_sym_return] = ACTIONS(1659),
    [anon_sym_break] = ACTIONS(1659),
    [anon_sym_continue] = ACTIONS(1659),
    [anon_sym_goto] = ACTIONS(1659),
    [anon_sym___try] = ACTIONS(1659),
    [anon_sym___leave] = ACTIONS(1659),
    [anon_sym_DASH_DASH] = ACTIONS(1661),
    [anon_sym_PLUS_PLUS] = ACTIONS(1661),
    [anon_sym_sizeof] = ACTIONS(1659),
    [anon_sym___alignof__] = ACTIONS(1659),
    [anon_sym___alignof] = ACTIONS(1659),
    [anon_sym__alignof] = ACTIONS(1659),
    [anon_sym_alignof] = ACTIONS(1659),
    [anon_sym__Alignof] = ACTIONS(1659),
    [anon_sym_offsetof] = ACTIONS(1659),
    [anon_sym__Generic] = ACTIONS(1659),
    [anon_sym_asm] = ACTIONS(1659),
    [anon_sym___asm__] = ACTIONS(1659),
    [sym_number_literal] = ACTIONS(1661),
    [anon_sym_L_SQUOTE] = ACTIONS(1661),
    [anon_sym_u_SQUOTE] = ACTIONS(1661),
    [anon_sym_U_SQUOTE] = ACTIONS(1661),
    [anon_sym_u8_SQUOTE] = ACTIONS(1661),
    [anon_sym_SQUOTE] = ACTIONS(1661),
    [anon_sym_L_DQUOTE] = ACTIONS(1661),
    [anon_sym_u_DQUOTE] = ACTIONS(1661),
    [anon_sym_U_DQUOTE] = ACTIONS(1661),
    [anon_sym_u8_DQUOTE] = ACTIONS(1661),
    [anon_sym_DQUOTE] = ACTIONS(1661),
    [sym_true] = ACTIONS(1659),
    [sym_false] = ACTIONS(1659),
    [anon_sym_NULL] = ACTIONS(1659),
    [anon_sym_nullptr] = ACTIONS(1659),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1659),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1659),
    [anon_sym_hitAttributeEXT] = ACTIONS(1659),
    [anon_sym_callableDataEXT] = ACTIONS(1659),
    [anon_sym_callableDataInEXT] = ACTIONS(1659),
    [anon_sym_shaderRecordEXT] = ACTIONS(1659),
    [anon_sym_rayPayloadNV] = ACTIONS(1659),
    [anon_sym_rayPayloadInNV] = ACTIONS(1659),
    [anon_sym_hitAttributeNV] = ACTIONS(1659),
    [anon_sym_callableDataNV] = ACTIONS(1659),
    [anon_sym_callableDataInNV] = ACTIONS(1659),
    [anon_sym_shaderRecordNV] = ACTIONS(1659),
    [anon_sym_layout] = ACTIONS(1659),
  },
  [530] = {
    [sym_identifier] = ACTIONS(1655),
    [aux_sym_preproc_include_token1] = ACTIONS(1655),
    [aux_sym_preproc_def_token1] = ACTIONS(1655),
    [aux_sym_preproc_if_token1] = ACTIONS(1655),
    [aux_sym_preproc_if_token2] = ACTIONS(1655),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1655),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1655),
    [sym_preproc_directive] = ACTIONS(1655),
    [anon_sym_LPAREN2] = ACTIONS(1657),
    [anon_sym_BANG] = ACTIONS(1657),
    [anon_sym_TILDE] = ACTIONS(1657),
    [anon_sym_DASH] = ACTIONS(1655),
    [anon_sym_PLUS] = ACTIONS(1655),
    [anon_sym_STAR] = ACTIONS(1657),
    [anon_sym_AMP] = ACTIONS(1657),
    [anon_sym_subroutine] = ACTIONS(1655),
    [anon_sym_invariant] = ACTIONS(1655),
    [anon_sym_precise] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(1657),
    [anon_sym_in] = ACTIONS(1655),
    [anon_sym_out] = ACTIONS(1655),
    [anon_sym_inout] = ACTIONS(1655),
    [anon_sym_uniform] = ACTIONS(1655),
    [anon_sym_shared] = ACTIONS(1655),
    [anon_sym_attribute] = ACTIONS(1655),
    [anon_sym_varying] = ACTIONS(1655),
    [anon_sym_buffer] = ACTIONS(1655),
    [anon_sym_coherent] = ACTIONS(1655),
    [anon_sym_readonly] = ACTIONS(1655),
    [anon_sym_writeonly] = ACTIONS(1655),
    [anon_sym_precision] = ACTIONS(1655),
    [anon_sym_highp] = ACTIONS(1655),
    [anon_sym_mediump] = ACTIONS(1655),
    [anon_sym_lowp] = ACTIONS(1655),
    [anon_sym_centroid] = ACTIONS(1655),
    [anon_sym_sample] = ACTIONS(1655),
    [anon_sym_patch] = ACTIONS(1655),
    [anon_sym_smooth] = ACTIONS(1655),
    [anon_sym_flat] = ACTIONS(1655),
    [anon_sym_noperspective] = ACTIONS(1655),
    [anon_sym___extension__] = ACTIONS(1655),
    [anon_sym_typedef] = ACTIONS(1655),
    [anon_sym_extern] = ACTIONS(1655),
    [anon_sym___attribute__] = ACTIONS(1655),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1657),
    [anon_sym___declspec] = ACTIONS(1655),
    [anon_sym___cdecl] = ACTIONS(1655),
    [anon_sym___clrcall] = ACTIONS(1655),
    [anon_sym___stdcall] = ACTIONS(1655),
    [anon_sym___fastcall] = ACTIONS(1655),
    [anon_sym___thiscall] = ACTIONS(1655),
    [anon_sym___vectorcall] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1657),
    [anon_sym_signed] = ACTIONS(1655),
    [anon_sym_unsigned] = ACTIONS(1655),
    [anon_sym_long] = ACTIONS(1655),
    [anon_sym_short] = ACTIONS(1655),
    [anon_sym_static] = ACTIONS(1655),
    [anon_sym_auto] = ACTIONS(1655),
    [anon_sym_register] = ACTIONS(1655),
    [anon_sym_inline] = ACTIONS(1655),
    [anon_sym___inline] = ACTIONS(1655),
    [anon_sym___inline__] = ACTIONS(1655),
    [anon_sym___forceinline] = ACTIONS(1655),
    [anon_sym_thread_local] = ACTIONS(1655),
    [anon_sym___thread] = ACTIONS(1655),
    [anon_sym_const] = ACTIONS(1655),
    [anon_sym_constexpr] = ACTIONS(1655),
    [anon_sym_volatile] = ACTIONS(1655),
    [anon_sym_restrict] = ACTIONS(1655),
    [anon_sym___restrict__] = ACTIONS(1655),
    [anon_sym__Atomic] = ACTIONS(1655),
    [anon_sym__Noreturn] = ACTIONS(1655),
    [anon_sym_noreturn] = ACTIONS(1655),
    [sym_primitive_type] = ACTIONS(1655),
    [anon_sym_enum] = ACTIONS(1655),
    [anon_sym_struct] = ACTIONS(1655),
    [anon_sym_union] = ACTIONS(1655),
    [anon_sym_if] = ACTIONS(1655),
    [anon_sym_switch] = ACTIONS(1655),
    [anon_sym_case] = ACTIONS(1655),
    [anon_sym_default] = ACTIONS(1655),
    [anon_sym_while] = ACTIONS(1655),
    [anon_sym_do] = ACTIONS(1655),
    [anon_sym_for] = ACTIONS(1655),
    [anon_sym_return] = ACTIONS(1655),
    [anon_sym_break] = ACTIONS(1655),
    [anon_sym_continue] = ACTIONS(1655),
    [anon_sym_goto] = ACTIONS(1655),
    [anon_sym___try] = ACTIONS(1655),
    [anon_sym___leave] = ACTIONS(1655),
    [anon_sym_DASH_DASH] = ACTIONS(1657),
    [anon_sym_PLUS_PLUS] = ACTIONS(1657),
    [anon_sym_sizeof] = ACTIONS(1655),
    [anon_sym___alignof__] = ACTIONS(1655),
    [anon_sym___alignof] = ACTIONS(1655),
    [anon_sym__alignof] = ACTIONS(1655),
    [anon_sym_alignof] = ACTIONS(1655),
    [anon_sym__Alignof] = ACTIONS(1655),
    [anon_sym_offsetof] = ACTIONS(1655),
    [anon_sym__Generic] = ACTIONS(1655),
    [anon_sym_asm] = ACTIONS(1655),
    [anon_sym___asm__] = ACTIONS(1655),
    [sym_number_literal] = ACTIONS(1657),
    [anon_sym_L_SQUOTE] = ACTIONS(1657),
    [anon_sym_u_SQUOTE] = ACTIONS(1657),
    [anon_sym_U_SQUOTE] = ACTIONS(1657),
    [anon_sym_u8_SQUOTE] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1657),
    [anon_sym_L_DQUOTE] = ACTIONS(1657),
    [anon_sym_u_DQUOTE] = ACTIONS(1657),
    [anon_sym_U_DQUOTE] = ACTIONS(1657),
    [anon_sym_u8_DQUOTE] = ACTIONS(1657),
    [anon_sym_DQUOTE] = ACTIONS(1657),
    [sym_true] = ACTIONS(1655),
    [sym_false] = ACTIONS(1655),
    [anon_sym_NULL] = ACTIONS(1655),
    [anon_sym_nullptr] = ACTIONS(1655),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1655),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1655),
    [anon_sym_hitAttributeEXT] = ACTIONS(1655),
    [anon_sym_callableDataEXT] = ACTIONS(1655),
    [anon_sym_callableDataInEXT] = ACTIONS(1655),
    [anon_sym_shaderRecordEXT] = ACTIONS(1655),
    [anon_sym_rayPayloadNV] = ACTIONS(1655),
    [anon_sym_rayPayloadInNV] = ACTIONS(1655),
    [anon_sym_hitAttributeNV] = ACTIONS(1655),
    [anon_sym_callableDataNV] = ACTIONS(1655),
    [anon_sym_callableDataInNV] = ACTIONS(1655),
    [anon_sym_shaderRecordNV] = ACTIONS(1655),
    [anon_sym_layout] = ACTIONS(1655),
  },
  [531] = {
    [sym_identifier] = ACTIONS(1655),
    [aux_sym_preproc_include_token1] = ACTIONS(1655),
    [aux_sym_preproc_def_token1] = ACTIONS(1655),
    [aux_sym_preproc_if_token1] = ACTIONS(1655),
    [aux_sym_preproc_if_token2] = ACTIONS(1655),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1655),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1655),
    [sym_preproc_directive] = ACTIONS(1655),
    [anon_sym_LPAREN2] = ACTIONS(1657),
    [anon_sym_BANG] = ACTIONS(1657),
    [anon_sym_TILDE] = ACTIONS(1657),
    [anon_sym_DASH] = ACTIONS(1655),
    [anon_sym_PLUS] = ACTIONS(1655),
    [anon_sym_STAR] = ACTIONS(1657),
    [anon_sym_AMP] = ACTIONS(1657),
    [anon_sym_subroutine] = ACTIONS(1655),
    [anon_sym_invariant] = ACTIONS(1655),
    [anon_sym_precise] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(1657),
    [anon_sym_in] = ACTIONS(1655),
    [anon_sym_out] = ACTIONS(1655),
    [anon_sym_inout] = ACTIONS(1655),
    [anon_sym_uniform] = ACTIONS(1655),
    [anon_sym_shared] = ACTIONS(1655),
    [anon_sym_attribute] = ACTIONS(1655),
    [anon_sym_varying] = ACTIONS(1655),
    [anon_sym_buffer] = ACTIONS(1655),
    [anon_sym_coherent] = ACTIONS(1655),
    [anon_sym_readonly] = ACTIONS(1655),
    [anon_sym_writeonly] = ACTIONS(1655),
    [anon_sym_precision] = ACTIONS(1655),
    [anon_sym_highp] = ACTIONS(1655),
    [anon_sym_mediump] = ACTIONS(1655),
    [anon_sym_lowp] = ACTIONS(1655),
    [anon_sym_centroid] = ACTIONS(1655),
    [anon_sym_sample] = ACTIONS(1655),
    [anon_sym_patch] = ACTIONS(1655),
    [anon_sym_smooth] = ACTIONS(1655),
    [anon_sym_flat] = ACTIONS(1655),
    [anon_sym_noperspective] = ACTIONS(1655),
    [anon_sym___extension__] = ACTIONS(1655),
    [anon_sym_typedef] = ACTIONS(1655),
    [anon_sym_extern] = ACTIONS(1655),
    [anon_sym___attribute__] = ACTIONS(1655),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1657),
    [anon_sym___declspec] = ACTIONS(1655),
    [anon_sym___cdecl] = ACTIONS(1655),
    [anon_sym___clrcall] = ACTIONS(1655),
    [anon_sym___stdcall] = ACTIONS(1655),
    [anon_sym___fastcall] = ACTIONS(1655),
    [anon_sym___thiscall] = ACTIONS(1655),
    [anon_sym___vectorcall] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1657),
    [anon_sym_signed] = ACTIONS(1655),
    [anon_sym_unsigned] = ACTIONS(1655),
    [anon_sym_long] = ACTIONS(1655),
    [anon_sym_short] = ACTIONS(1655),
    [anon_sym_static] = ACTIONS(1655),
    [anon_sym_auto] = ACTIONS(1655),
    [anon_sym_register] = ACTIONS(1655),
    [anon_sym_inline] = ACTIONS(1655),
    [anon_sym___inline] = ACTIONS(1655),
    [anon_sym___inline__] = ACTIONS(1655),
    [anon_sym___forceinline] = ACTIONS(1655),
    [anon_sym_thread_local] = ACTIONS(1655),
    [anon_sym___thread] = ACTIONS(1655),
    [anon_sym_const] = ACTIONS(1655),
    [anon_sym_constexpr] = ACTIONS(1655),
    [anon_sym_volatile] = ACTIONS(1655),
    [anon_sym_restrict] = ACTIONS(1655),
    [anon_sym___restrict__] = ACTIONS(1655),
    [anon_sym__Atomic] = ACTIONS(1655),
    [anon_sym__Noreturn] = ACTIONS(1655),
    [anon_sym_noreturn] = ACTIONS(1655),
    [sym_primitive_type] = ACTIONS(1655),
    [anon_sym_enum] = ACTIONS(1655),
    [anon_sym_struct] = ACTIONS(1655),
    [anon_sym_union] = ACTIONS(1655),
    [anon_sym_if] = ACTIONS(1655),
    [anon_sym_switch] = ACTIONS(1655),
    [anon_sym_case] = ACTIONS(1655),
    [anon_sym_default] = ACTIONS(1655),
    [anon_sym_while] = ACTIONS(1655),
    [anon_sym_do] = ACTIONS(1655),
    [anon_sym_for] = ACTIONS(1655),
    [anon_sym_return] = ACTIONS(1655),
    [anon_sym_break] = ACTIONS(1655),
    [anon_sym_continue] = ACTIONS(1655),
    [anon_sym_goto] = ACTIONS(1655),
    [anon_sym___try] = ACTIONS(1655),
    [anon_sym___leave] = ACTIONS(1655),
    [anon_sym_DASH_DASH] = ACTIONS(1657),
    [anon_sym_PLUS_PLUS] = ACTIONS(1657),
    [anon_sym_sizeof] = ACTIONS(1655),
    [anon_sym___alignof__] = ACTIONS(1655),
    [anon_sym___alignof] = ACTIONS(1655),
    [anon_sym__alignof] = ACTIONS(1655),
    [anon_sym_alignof] = ACTIONS(1655),
    [anon_sym__Alignof] = ACTIONS(1655),
    [anon_sym_offsetof] = ACTIONS(1655),
    [anon_sym__Generic] = ACTIONS(1655),
    [anon_sym_asm] = ACTIONS(1655),
    [anon_sym___asm__] = ACTIONS(1655),
    [sym_number_literal] = ACTIONS(1657),
    [anon_sym_L_SQUOTE] = ACTIONS(1657),
    [anon_sym_u_SQUOTE] = ACTIONS(1657),
    [anon_sym_U_SQUOTE] = ACTIONS(1657),
    [anon_sym_u8_SQUOTE] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1657),
    [anon_sym_L_DQUOTE] = ACTIONS(1657),
    [anon_sym_u_DQUOTE] = ACTIONS(1657),
    [anon_sym_U_DQUOTE] = ACTIONS(1657),
    [anon_sym_u8_DQUOTE] = ACTIONS(1657),
    [anon_sym_DQUOTE] = ACTIONS(1657),
    [sym_true] = ACTIONS(1655),
    [sym_false] = ACTIONS(1655),
    [anon_sym_NULL] = ACTIONS(1655),
    [anon_sym_nullptr] = ACTIONS(1655),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1655),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1655),
    [anon_sym_hitAttributeEXT] = ACTIONS(1655),
    [anon_sym_callableDataEXT] = ACTIONS(1655),
    [anon_sym_callableDataInEXT] = ACTIONS(1655),
    [anon_sym_shaderRecordEXT] = ACTIONS(1655),
    [anon_sym_rayPayloadNV] = ACTIONS(1655),
    [anon_sym_rayPayloadInNV] = ACTIONS(1655),
    [anon_sym_hitAttributeNV] = ACTIONS(1655),
    [anon_sym_callableDataNV] = ACTIONS(1655),
    [anon_sym_callableDataInNV] = ACTIONS(1655),
    [anon_sym_shaderRecordNV] = ACTIONS(1655),
    [anon_sym_layout] = ACTIONS(1655),
  },
  [532] = {
    [sym_identifier] = ACTIONS(1647),
    [aux_sym_preproc_include_token1] = ACTIONS(1647),
    [aux_sym_preproc_def_token1] = ACTIONS(1647),
    [aux_sym_preproc_if_token1] = ACTIONS(1647),
    [aux_sym_preproc_if_token2] = ACTIONS(1647),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1647),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1647),
    [sym_preproc_directive] = ACTIONS(1647),
    [anon_sym_LPAREN2] = ACTIONS(1649),
    [anon_sym_BANG] = ACTIONS(1649),
    [anon_sym_TILDE] = ACTIONS(1649),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_STAR] = ACTIONS(1649),
    [anon_sym_AMP] = ACTIONS(1649),
    [anon_sym_subroutine] = ACTIONS(1647),
    [anon_sym_invariant] = ACTIONS(1647),
    [anon_sym_precise] = ACTIONS(1647),
    [anon_sym_SEMI] = ACTIONS(1649),
    [anon_sym_in] = ACTIONS(1647),
    [anon_sym_out] = ACTIONS(1647),
    [anon_sym_inout] = ACTIONS(1647),
    [anon_sym_uniform] = ACTIONS(1647),
    [anon_sym_shared] = ACTIONS(1647),
    [anon_sym_attribute] = ACTIONS(1647),
    [anon_sym_varying] = ACTIONS(1647),
    [anon_sym_buffer] = ACTIONS(1647),
    [anon_sym_coherent] = ACTIONS(1647),
    [anon_sym_readonly] = ACTIONS(1647),
    [anon_sym_writeonly] = ACTIONS(1647),
    [anon_sym_precision] = ACTIONS(1647),
    [anon_sym_highp] = ACTIONS(1647),
    [anon_sym_mediump] = ACTIONS(1647),
    [anon_sym_lowp] = ACTIONS(1647),
    [anon_sym_centroid] = ACTIONS(1647),
    [anon_sym_sample] = ACTIONS(1647),
    [anon_sym_patch] = ACTIONS(1647),
    [anon_sym_smooth] = ACTIONS(1647),
    [anon_sym_flat] = ACTIONS(1647),
    [anon_sym_noperspective] = ACTIONS(1647),
    [anon_sym___extension__] = ACTIONS(1647),
    [anon_sym_typedef] = ACTIONS(1647),
    [anon_sym_extern] = ACTIONS(1647),
    [anon_sym___attribute__] = ACTIONS(1647),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1649),
    [anon_sym___declspec] = ACTIONS(1647),
    [anon_sym___cdecl] = ACTIONS(1647),
    [anon_sym___clrcall] = ACTIONS(1647),
    [anon_sym___stdcall] = ACTIONS(1647),
    [anon_sym___fastcall] = ACTIONS(1647),
    [anon_sym___thiscall] = ACTIONS(1647),
    [anon_sym___vectorcall] = ACTIONS(1647),
    [anon_sym_LBRACE] = ACTIONS(1649),
    [anon_sym_signed] = ACTIONS(1647),
    [anon_sym_unsigned] = ACTIONS(1647),
    [anon_sym_long] = ACTIONS(1647),
    [anon_sym_short] = ACTIONS(1647),
    [anon_sym_static] = ACTIONS(1647),
    [anon_sym_auto] = ACTIONS(1647),
    [anon_sym_register] = ACTIONS(1647),
    [anon_sym_inline] = ACTIONS(1647),
    [anon_sym___inline] = ACTIONS(1647),
    [anon_sym___inline__] = ACTIONS(1647),
    [anon_sym___forceinline] = ACTIONS(1647),
    [anon_sym_thread_local] = ACTIONS(1647),
    [anon_sym___thread] = ACTIONS(1647),
    [anon_sym_const] = ACTIONS(1647),
    [anon_sym_constexpr] = ACTIONS(1647),
    [anon_sym_volatile] = ACTIONS(1647),
    [anon_sym_restrict] = ACTIONS(1647),
    [anon_sym___restrict__] = ACTIONS(1647),
    [anon_sym__Atomic] = ACTIONS(1647),
    [anon_sym__Noreturn] = ACTIONS(1647),
    [anon_sym_noreturn] = ACTIONS(1647),
    [sym_primitive_type] = ACTIONS(1647),
    [anon_sym_enum] = ACTIONS(1647),
    [anon_sym_struct] = ACTIONS(1647),
    [anon_sym_union] = ACTIONS(1647),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_switch] = ACTIONS(1647),
    [anon_sym_case] = ACTIONS(1647),
    [anon_sym_default] = ACTIONS(1647),
    [anon_sym_while] = ACTIONS(1647),
    [anon_sym_do] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(1647),
    [anon_sym_return] = ACTIONS(1647),
    [anon_sym_break] = ACTIONS(1647),
    [anon_sym_continue] = ACTIONS(1647),
    [anon_sym_goto] = ACTIONS(1647),
    [anon_sym___try] = ACTIONS(1647),
    [anon_sym___leave] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1649),
    [anon_sym_PLUS_PLUS] = ACTIONS(1649),
    [anon_sym_sizeof] = ACTIONS(1647),
    [anon_sym___alignof__] = ACTIONS(1647),
    [anon_sym___alignof] = ACTIONS(1647),
    [anon_sym__alignof] = ACTIONS(1647),
    [anon_sym_alignof] = ACTIONS(1647),
    [anon_sym__Alignof] = ACTIONS(1647),
    [anon_sym_offsetof] = ACTIONS(1647),
    [anon_sym__Generic] = ACTIONS(1647),
    [anon_sym_asm] = ACTIONS(1647),
    [anon_sym___asm__] = ACTIONS(1647),
    [sym_number_literal] = ACTIONS(1649),
    [anon_sym_L_SQUOTE] = ACTIONS(1649),
    [anon_sym_u_SQUOTE] = ACTIONS(1649),
    [anon_sym_U_SQUOTE] = ACTIONS(1649),
    [anon_sym_u8_SQUOTE] = ACTIONS(1649),
    [anon_sym_SQUOTE] = ACTIONS(1649),
    [anon_sym_L_DQUOTE] = ACTIONS(1649),
    [anon_sym_u_DQUOTE] = ACTIONS(1649),
    [anon_sym_U_DQUOTE] = ACTIONS(1649),
    [anon_sym_u8_DQUOTE] = ACTIONS(1649),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_true] = ACTIONS(1647),
    [sym_false] = ACTIONS(1647),
    [anon_sym_NULL] = ACTIONS(1647),
    [anon_sym_nullptr] = ACTIONS(1647),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1647),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1647),
    [anon_sym_hitAttributeEXT] = ACTIONS(1647),
    [anon_sym_callableDataEXT] = ACTIONS(1647),
    [anon_sym_callableDataInEXT] = ACTIONS(1647),
    [anon_sym_shaderRecordEXT] = ACTIONS(1647),
    [anon_sym_rayPayloadNV] = ACTIONS(1647),
    [anon_sym_rayPayloadInNV] = ACTIONS(1647),
    [anon_sym_hitAttributeNV] = ACTIONS(1647),
    [anon_sym_callableDataNV] = ACTIONS(1647),
    [anon_sym_callableDataInNV] = ACTIONS(1647),
    [anon_sym_shaderRecordNV] = ACTIONS(1647),
    [anon_sym_layout] = ACTIONS(1647),
  },
  [533] = {
    [sym_identifier] = ACTIONS(1643),
    [aux_sym_preproc_include_token1] = ACTIONS(1643),
    [aux_sym_preproc_def_token1] = ACTIONS(1643),
    [aux_sym_preproc_if_token1] = ACTIONS(1643),
    [aux_sym_preproc_if_token2] = ACTIONS(1643),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1643),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1643),
    [sym_preproc_directive] = ACTIONS(1643),
    [anon_sym_LPAREN2] = ACTIONS(1645),
    [anon_sym_BANG] = ACTIONS(1645),
    [anon_sym_TILDE] = ACTIONS(1645),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(1645),
    [anon_sym_AMP] = ACTIONS(1645),
    [anon_sym_subroutine] = ACTIONS(1643),
    [anon_sym_invariant] = ACTIONS(1643),
    [anon_sym_precise] = ACTIONS(1643),
    [anon_sym_SEMI] = ACTIONS(1645),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_out] = ACTIONS(1643),
    [anon_sym_inout] = ACTIONS(1643),
    [anon_sym_uniform] = ACTIONS(1643),
    [anon_sym_shared] = ACTIONS(1643),
    [anon_sym_attribute] = ACTIONS(1643),
    [anon_sym_varying] = ACTIONS(1643),
    [anon_sym_buffer] = ACTIONS(1643),
    [anon_sym_coherent] = ACTIONS(1643),
    [anon_sym_readonly] = ACTIONS(1643),
    [anon_sym_writeonly] = ACTIONS(1643),
    [anon_sym_precision] = ACTIONS(1643),
    [anon_sym_highp] = ACTIONS(1643),
    [anon_sym_mediump] = ACTIONS(1643),
    [anon_sym_lowp] = ACTIONS(1643),
    [anon_sym_centroid] = ACTIONS(1643),
    [anon_sym_sample] = ACTIONS(1643),
    [anon_sym_patch] = ACTIONS(1643),
    [anon_sym_smooth] = ACTIONS(1643),
    [anon_sym_flat] = ACTIONS(1643),
    [anon_sym_noperspective] = ACTIONS(1643),
    [anon_sym___extension__] = ACTIONS(1643),
    [anon_sym_typedef] = ACTIONS(1643),
    [anon_sym_extern] = ACTIONS(1643),
    [anon_sym___attribute__] = ACTIONS(1643),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1645),
    [anon_sym___declspec] = ACTIONS(1643),
    [anon_sym___cdecl] = ACTIONS(1643),
    [anon_sym___clrcall] = ACTIONS(1643),
    [anon_sym___stdcall] = ACTIONS(1643),
    [anon_sym___fastcall] = ACTIONS(1643),
    [anon_sym___thiscall] = ACTIONS(1643),
    [anon_sym___vectorcall] = ACTIONS(1643),
    [anon_sym_LBRACE] = ACTIONS(1645),
    [anon_sym_signed] = ACTIONS(1643),
    [anon_sym_unsigned] = ACTIONS(1643),
    [anon_sym_long] = ACTIONS(1643),
    [anon_sym_short] = ACTIONS(1643),
    [anon_sym_static] = ACTIONS(1643),
    [anon_sym_auto] = ACTIONS(1643),
    [anon_sym_register] = ACTIONS(1643),
    [anon_sym_inline] = ACTIONS(1643),
    [anon_sym___inline] = ACTIONS(1643),
    [anon_sym___inline__] = ACTIONS(1643),
    [anon_sym___forceinline] = ACTIONS(1643),
    [anon_sym_thread_local] = ACTIONS(1643),
    [anon_sym___thread] = ACTIONS(1643),
    [anon_sym_const] = ACTIONS(1643),
    [anon_sym_constexpr] = ACTIONS(1643),
    [anon_sym_volatile] = ACTIONS(1643),
    [anon_sym_restrict] = ACTIONS(1643),
    [anon_sym___restrict__] = ACTIONS(1643),
    [anon_sym__Atomic] = ACTIONS(1643),
    [anon_sym__Noreturn] = ACTIONS(1643),
    [anon_sym_noreturn] = ACTIONS(1643),
    [sym_primitive_type] = ACTIONS(1643),
    [anon_sym_enum] = ACTIONS(1643),
    [anon_sym_struct] = ACTIONS(1643),
    [anon_sym_union] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_switch] = ACTIONS(1643),
    [anon_sym_case] = ACTIONS(1643),
    [anon_sym_default] = ACTIONS(1643),
    [anon_sym_while] = ACTIONS(1643),
    [anon_sym_do] = ACTIONS(1643),
    [anon_sym_for] = ACTIONS(1643),
    [anon_sym_return] = ACTIONS(1643),
    [anon_sym_break] = ACTIONS(1643),
    [anon_sym_continue] = ACTIONS(1643),
    [anon_sym_goto] = ACTIONS(1643),
    [anon_sym___try] = ACTIONS(1643),
    [anon_sym___leave] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1645),
    [anon_sym_PLUS_PLUS] = ACTIONS(1645),
    [anon_sym_sizeof] = ACTIONS(1643),
    [anon_sym___alignof__] = ACTIONS(1643),
    [anon_sym___alignof] = ACTIONS(1643),
    [anon_sym__alignof] = ACTIONS(1643),
    [anon_sym_alignof] = ACTIONS(1643),
    [anon_sym__Alignof] = ACTIONS(1643),
    [anon_sym_offsetof] = ACTIONS(1643),
    [anon_sym__Generic] = ACTIONS(1643),
    [anon_sym_asm] = ACTIONS(1643),
    [anon_sym___asm__] = ACTIONS(1643),
    [sym_number_literal] = ACTIONS(1645),
    [anon_sym_L_SQUOTE] = ACTIONS(1645),
    [anon_sym_u_SQUOTE] = ACTIONS(1645),
    [anon_sym_U_SQUOTE] = ACTIONS(1645),
    [anon_sym_u8_SQUOTE] = ACTIONS(1645),
    [anon_sym_SQUOTE] = ACTIONS(1645),
    [anon_sym_L_DQUOTE] = ACTIONS(1645),
    [anon_sym_u_DQUOTE] = ACTIONS(1645),
    [anon_sym_U_DQUOTE] = ACTIONS(1645),
    [anon_sym_u8_DQUOTE] = ACTIONS(1645),
    [anon_sym_DQUOTE] = ACTIONS(1645),
    [sym_true] = ACTIONS(1643),
    [sym_false] = ACTIONS(1643),
    [anon_sym_NULL] = ACTIONS(1643),
    [anon_sym_nullptr] = ACTIONS(1643),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1643),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1643),
    [anon_sym_hitAttributeEXT] = ACTIONS(1643),
    [anon_sym_callableDataEXT] = ACTIONS(1643),
    [anon_sym_callableDataInEXT] = ACTIONS(1643),
    [anon_sym_shaderRecordEXT] = ACTIONS(1643),
    [anon_sym_rayPayloadNV] = ACTIONS(1643),
    [anon_sym_rayPayloadInNV] = ACTIONS(1643),
    [anon_sym_hitAttributeNV] = ACTIONS(1643),
    [anon_sym_callableDataNV] = ACTIONS(1643),
    [anon_sym_callableDataInNV] = ACTIONS(1643),
    [anon_sym_shaderRecordNV] = ACTIONS(1643),
    [anon_sym_layout] = ACTIONS(1643),
  },
  [534] = {
    [sym_identifier] = ACTIONS(1643),
    [aux_sym_preproc_include_token1] = ACTIONS(1643),
    [aux_sym_preproc_def_token1] = ACTIONS(1643),
    [aux_sym_preproc_if_token1] = ACTIONS(1643),
    [aux_sym_preproc_if_token2] = ACTIONS(1643),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1643),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1643),
    [sym_preproc_directive] = ACTIONS(1643),
    [anon_sym_LPAREN2] = ACTIONS(1645),
    [anon_sym_BANG] = ACTIONS(1645),
    [anon_sym_TILDE] = ACTIONS(1645),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(1645),
    [anon_sym_AMP] = ACTIONS(1645),
    [anon_sym_subroutine] = ACTIONS(1643),
    [anon_sym_invariant] = ACTIONS(1643),
    [anon_sym_precise] = ACTIONS(1643),
    [anon_sym_SEMI] = ACTIONS(1645),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_out] = ACTIONS(1643),
    [anon_sym_inout] = ACTIONS(1643),
    [anon_sym_uniform] = ACTIONS(1643),
    [anon_sym_shared] = ACTIONS(1643),
    [anon_sym_attribute] = ACTIONS(1643),
    [anon_sym_varying] = ACTIONS(1643),
    [anon_sym_buffer] = ACTIONS(1643),
    [anon_sym_coherent] = ACTIONS(1643),
    [anon_sym_readonly] = ACTIONS(1643),
    [anon_sym_writeonly] = ACTIONS(1643),
    [anon_sym_precision] = ACTIONS(1643),
    [anon_sym_highp] = ACTIONS(1643),
    [anon_sym_mediump] = ACTIONS(1643),
    [anon_sym_lowp] = ACTIONS(1643),
    [anon_sym_centroid] = ACTIONS(1643),
    [anon_sym_sample] = ACTIONS(1643),
    [anon_sym_patch] = ACTIONS(1643),
    [anon_sym_smooth] = ACTIONS(1643),
    [anon_sym_flat] = ACTIONS(1643),
    [anon_sym_noperspective] = ACTIONS(1643),
    [anon_sym___extension__] = ACTIONS(1643),
    [anon_sym_typedef] = ACTIONS(1643),
    [anon_sym_extern] = ACTIONS(1643),
    [anon_sym___attribute__] = ACTIONS(1643),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1645),
    [anon_sym___declspec] = ACTIONS(1643),
    [anon_sym___cdecl] = ACTIONS(1643),
    [anon_sym___clrcall] = ACTIONS(1643),
    [anon_sym___stdcall] = ACTIONS(1643),
    [anon_sym___fastcall] = ACTIONS(1643),
    [anon_sym___thiscall] = ACTIONS(1643),
    [anon_sym___vectorcall] = ACTIONS(1643),
    [anon_sym_LBRACE] = ACTIONS(1645),
    [anon_sym_signed] = ACTIONS(1643),
    [anon_sym_unsigned] = ACTIONS(1643),
    [anon_sym_long] = ACTIONS(1643),
    [anon_sym_short] = ACTIONS(1643),
    [anon_sym_static] = ACTIONS(1643),
    [anon_sym_auto] = ACTIONS(1643),
    [anon_sym_register] = ACTIONS(1643),
    [anon_sym_inline] = ACTIONS(1643),
    [anon_sym___inline] = ACTIONS(1643),
    [anon_sym___inline__] = ACTIONS(1643),
    [anon_sym___forceinline] = ACTIONS(1643),
    [anon_sym_thread_local] = ACTIONS(1643),
    [anon_sym___thread] = ACTIONS(1643),
    [anon_sym_const] = ACTIONS(1643),
    [anon_sym_constexpr] = ACTIONS(1643),
    [anon_sym_volatile] = ACTIONS(1643),
    [anon_sym_restrict] = ACTIONS(1643),
    [anon_sym___restrict__] = ACTIONS(1643),
    [anon_sym__Atomic] = ACTIONS(1643),
    [anon_sym__Noreturn] = ACTIONS(1643),
    [anon_sym_noreturn] = ACTIONS(1643),
    [sym_primitive_type] = ACTIONS(1643),
    [anon_sym_enum] = ACTIONS(1643),
    [anon_sym_struct] = ACTIONS(1643),
    [anon_sym_union] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_switch] = ACTIONS(1643),
    [anon_sym_case] = ACTIONS(1643),
    [anon_sym_default] = ACTIONS(1643),
    [anon_sym_while] = ACTIONS(1643),
    [anon_sym_do] = ACTIONS(1643),
    [anon_sym_for] = ACTIONS(1643),
    [anon_sym_return] = ACTIONS(1643),
    [anon_sym_break] = ACTIONS(1643),
    [anon_sym_continue] = ACTIONS(1643),
    [anon_sym_goto] = ACTIONS(1643),
    [anon_sym___try] = ACTIONS(1643),
    [anon_sym___leave] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1645),
    [anon_sym_PLUS_PLUS] = ACTIONS(1645),
    [anon_sym_sizeof] = ACTIONS(1643),
    [anon_sym___alignof__] = ACTIONS(1643),
    [anon_sym___alignof] = ACTIONS(1643),
    [anon_sym__alignof] = ACTIONS(1643),
    [anon_sym_alignof] = ACTIONS(1643),
    [anon_sym__Alignof] = ACTIONS(1643),
    [anon_sym_offsetof] = ACTIONS(1643),
    [anon_sym__Generic] = ACTIONS(1643),
    [anon_sym_asm] = ACTIONS(1643),
    [anon_sym___asm__] = ACTIONS(1643),
    [sym_number_literal] = ACTIONS(1645),
    [anon_sym_L_SQUOTE] = ACTIONS(1645),
    [anon_sym_u_SQUOTE] = ACTIONS(1645),
    [anon_sym_U_SQUOTE] = ACTIONS(1645),
    [anon_sym_u8_SQUOTE] = ACTIONS(1645),
    [anon_sym_SQUOTE] = ACTIONS(1645),
    [anon_sym_L_DQUOTE] = ACTIONS(1645),
    [anon_sym_u_DQUOTE] = ACTIONS(1645),
    [anon_sym_U_DQUOTE] = ACTIONS(1645),
    [anon_sym_u8_DQUOTE] = ACTIONS(1645),
    [anon_sym_DQUOTE] = ACTIONS(1645),
    [sym_true] = ACTIONS(1643),
    [sym_false] = ACTIONS(1643),
    [anon_sym_NULL] = ACTIONS(1643),
    [anon_sym_nullptr] = ACTIONS(1643),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1643),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1643),
    [anon_sym_hitAttributeEXT] = ACTIONS(1643),
    [anon_sym_callableDataEXT] = ACTIONS(1643),
    [anon_sym_callableDataInEXT] = ACTIONS(1643),
    [anon_sym_shaderRecordEXT] = ACTIONS(1643),
    [anon_sym_rayPayloadNV] = ACTIONS(1643),
    [anon_sym_rayPayloadInNV] = ACTIONS(1643),
    [anon_sym_hitAttributeNV] = ACTIONS(1643),
    [anon_sym_callableDataNV] = ACTIONS(1643),
    [anon_sym_callableDataInNV] = ACTIONS(1643),
    [anon_sym_shaderRecordNV] = ACTIONS(1643),
    [anon_sym_layout] = ACTIONS(1643),
  },
  [535] = {
    [sym_identifier] = ACTIONS(1639),
    [aux_sym_preproc_include_token1] = ACTIONS(1639),
    [aux_sym_preproc_def_token1] = ACTIONS(1639),
    [aux_sym_preproc_if_token1] = ACTIONS(1639),
    [aux_sym_preproc_if_token2] = ACTIONS(1639),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1639),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1639),
    [sym_preproc_directive] = ACTIONS(1639),
    [anon_sym_LPAREN2] = ACTIONS(1641),
    [anon_sym_BANG] = ACTIONS(1641),
    [anon_sym_TILDE] = ACTIONS(1641),
    [anon_sym_DASH] = ACTIONS(1639),
    [anon_sym_PLUS] = ACTIONS(1639),
    [anon_sym_STAR] = ACTIONS(1641),
    [anon_sym_AMP] = ACTIONS(1641),
    [anon_sym_subroutine] = ACTIONS(1639),
    [anon_sym_invariant] = ACTIONS(1639),
    [anon_sym_precise] = ACTIONS(1639),
    [anon_sym_SEMI] = ACTIONS(1641),
    [anon_sym_in] = ACTIONS(1639),
    [anon_sym_out] = ACTIONS(1639),
    [anon_sym_inout] = ACTIONS(1639),
    [anon_sym_uniform] = ACTIONS(1639),
    [anon_sym_shared] = ACTIONS(1639),
    [anon_sym_attribute] = ACTIONS(1639),
    [anon_sym_varying] = ACTIONS(1639),
    [anon_sym_buffer] = ACTIONS(1639),
    [anon_sym_coherent] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1639),
    [anon_sym_writeonly] = ACTIONS(1639),
    [anon_sym_precision] = ACTIONS(1639),
    [anon_sym_highp] = ACTIONS(1639),
    [anon_sym_mediump] = ACTIONS(1639),
    [anon_sym_lowp] = ACTIONS(1639),
    [anon_sym_centroid] = ACTIONS(1639),
    [anon_sym_sample] = ACTIONS(1639),
    [anon_sym_patch] = ACTIONS(1639),
    [anon_sym_smooth] = ACTIONS(1639),
    [anon_sym_flat] = ACTIONS(1639),
    [anon_sym_noperspective] = ACTIONS(1639),
    [anon_sym___extension__] = ACTIONS(1639),
    [anon_sym_typedef] = ACTIONS(1639),
    [anon_sym_extern] = ACTIONS(1639),
    [anon_sym___attribute__] = ACTIONS(1639),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1641),
    [anon_sym___declspec] = ACTIONS(1639),
    [anon_sym___cdecl] = ACTIONS(1639),
    [anon_sym___clrcall] = ACTIONS(1639),
    [anon_sym___stdcall] = ACTIONS(1639),
    [anon_sym___fastcall] = ACTIONS(1639),
    [anon_sym___thiscall] = ACTIONS(1639),
    [anon_sym___vectorcall] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1641),
    [anon_sym_signed] = ACTIONS(1639),
    [anon_sym_unsigned] = ACTIONS(1639),
    [anon_sym_long] = ACTIONS(1639),
    [anon_sym_short] = ACTIONS(1639),
    [anon_sym_static] = ACTIONS(1639),
    [anon_sym_auto] = ACTIONS(1639),
    [anon_sym_register] = ACTIONS(1639),
    [anon_sym_inline] = ACTIONS(1639),
    [anon_sym___inline] = ACTIONS(1639),
    [anon_sym___inline__] = ACTIONS(1639),
    [anon_sym___forceinline] = ACTIONS(1639),
    [anon_sym_thread_local] = ACTIONS(1639),
    [anon_sym___thread] = ACTIONS(1639),
    [anon_sym_const] = ACTIONS(1639),
    [anon_sym_constexpr] = ACTIONS(1639),
    [anon_sym_volatile] = ACTIONS(1639),
    [anon_sym_restrict] = ACTIONS(1639),
    [anon_sym___restrict__] = ACTIONS(1639),
    [anon_sym__Atomic] = ACTIONS(1639),
    [anon_sym__Noreturn] = ACTIONS(1639),
    [anon_sym_noreturn] = ACTIONS(1639),
    [sym_primitive_type] = ACTIONS(1639),
    [anon_sym_enum] = ACTIONS(1639),
    [anon_sym_struct] = ACTIONS(1639),
    [anon_sym_union] = ACTIONS(1639),
    [anon_sym_if] = ACTIONS(1639),
    [anon_sym_switch] = ACTIONS(1639),
    [anon_sym_case] = ACTIONS(1639),
    [anon_sym_default] = ACTIONS(1639),
    [anon_sym_while] = ACTIONS(1639),
    [anon_sym_do] = ACTIONS(1639),
    [anon_sym_for] = ACTIONS(1639),
    [anon_sym_return] = ACTIONS(1639),
    [anon_sym_break] = ACTIONS(1639),
    [anon_sym_continue] = ACTIONS(1639),
    [anon_sym_goto] = ACTIONS(1639),
    [anon_sym___try] = ACTIONS(1639),
    [anon_sym___leave] = ACTIONS(1639),
    [anon_sym_DASH_DASH] = ACTIONS(1641),
    [anon_sym_PLUS_PLUS] = ACTIONS(1641),
    [anon_sym_sizeof] = ACTIONS(1639),
    [anon_sym___alignof__] = ACTIONS(1639),
    [anon_sym___alignof] = ACTIONS(1639),
    [anon_sym__alignof] = ACTIONS(1639),
    [anon_sym_alignof] = ACTIONS(1639),
    [anon_sym__Alignof] = ACTIONS(1639),
    [anon_sym_offsetof] = ACTIONS(1639),
    [anon_sym__Generic] = ACTIONS(1639),
    [anon_sym_asm] = ACTIONS(1639),
    [anon_sym___asm__] = ACTIONS(1639),
    [sym_number_literal] = ACTIONS(1641),
    [anon_sym_L_SQUOTE] = ACTIONS(1641),
    [anon_sym_u_SQUOTE] = ACTIONS(1641),
    [anon_sym_U_SQUOTE] = ACTIONS(1641),
    [anon_sym_u8_SQUOTE] = ACTIONS(1641),
    [anon_sym_SQUOTE] = ACTIONS(1641),
    [anon_sym_L_DQUOTE] = ACTIONS(1641),
    [anon_sym_u_DQUOTE] = ACTIONS(1641),
    [anon_sym_U_DQUOTE] = ACTIONS(1641),
    [anon_sym_u8_DQUOTE] = ACTIONS(1641),
    [anon_sym_DQUOTE] = ACTIONS(1641),
    [sym_true] = ACTIONS(1639),
    [sym_false] = ACTIONS(1639),
    [anon_sym_NULL] = ACTIONS(1639),
    [anon_sym_nullptr] = ACTIONS(1639),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1639),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1639),
    [anon_sym_hitAttributeEXT] = ACTIONS(1639),
    [anon_sym_callableDataEXT] = ACTIONS(1639),
    [anon_sym_callableDataInEXT] = ACTIONS(1639),
    [anon_sym_shaderRecordEXT] = ACTIONS(1639),
    [anon_sym_rayPayloadNV] = ACTIONS(1639),
    [anon_sym_rayPayloadInNV] = ACTIONS(1639),
    [anon_sym_hitAttributeNV] = ACTIONS(1639),
    [anon_sym_callableDataNV] = ACTIONS(1639),
    [anon_sym_callableDataInNV] = ACTIONS(1639),
    [anon_sym_shaderRecordNV] = ACTIONS(1639),
    [anon_sym_layout] = ACTIONS(1639),
  },
  [536] = {
    [sym_identifier] = ACTIONS(1639),
    [aux_sym_preproc_include_token1] = ACTIONS(1639),
    [aux_sym_preproc_def_token1] = ACTIONS(1639),
    [aux_sym_preproc_if_token1] = ACTIONS(1639),
    [aux_sym_preproc_if_token2] = ACTIONS(1639),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1639),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1639),
    [sym_preproc_directive] = ACTIONS(1639),
    [anon_sym_LPAREN2] = ACTIONS(1641),
    [anon_sym_BANG] = ACTIONS(1641),
    [anon_sym_TILDE] = ACTIONS(1641),
    [anon_sym_DASH] = ACTIONS(1639),
    [anon_sym_PLUS] = ACTIONS(1639),
    [anon_sym_STAR] = ACTIONS(1641),
    [anon_sym_AMP] = ACTIONS(1641),
    [anon_sym_subroutine] = ACTIONS(1639),
    [anon_sym_invariant] = ACTIONS(1639),
    [anon_sym_precise] = ACTIONS(1639),
    [anon_sym_SEMI] = ACTIONS(1641),
    [anon_sym_in] = ACTIONS(1639),
    [anon_sym_out] = ACTIONS(1639),
    [anon_sym_inout] = ACTIONS(1639),
    [anon_sym_uniform] = ACTIONS(1639),
    [anon_sym_shared] = ACTIONS(1639),
    [anon_sym_attribute] = ACTIONS(1639),
    [anon_sym_varying] = ACTIONS(1639),
    [anon_sym_buffer] = ACTIONS(1639),
    [anon_sym_coherent] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1639),
    [anon_sym_writeonly] = ACTIONS(1639),
    [anon_sym_precision] = ACTIONS(1639),
    [anon_sym_highp] = ACTIONS(1639),
    [anon_sym_mediump] = ACTIONS(1639),
    [anon_sym_lowp] = ACTIONS(1639),
    [anon_sym_centroid] = ACTIONS(1639),
    [anon_sym_sample] = ACTIONS(1639),
    [anon_sym_patch] = ACTIONS(1639),
    [anon_sym_smooth] = ACTIONS(1639),
    [anon_sym_flat] = ACTIONS(1639),
    [anon_sym_noperspective] = ACTIONS(1639),
    [anon_sym___extension__] = ACTIONS(1639),
    [anon_sym_typedef] = ACTIONS(1639),
    [anon_sym_extern] = ACTIONS(1639),
    [anon_sym___attribute__] = ACTIONS(1639),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1641),
    [anon_sym___declspec] = ACTIONS(1639),
    [anon_sym___cdecl] = ACTIONS(1639),
    [anon_sym___clrcall] = ACTIONS(1639),
    [anon_sym___stdcall] = ACTIONS(1639),
    [anon_sym___fastcall] = ACTIONS(1639),
    [anon_sym___thiscall] = ACTIONS(1639),
    [anon_sym___vectorcall] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1641),
    [anon_sym_signed] = ACTIONS(1639),
    [anon_sym_unsigned] = ACTIONS(1639),
    [anon_sym_long] = ACTIONS(1639),
    [anon_sym_short] = ACTIONS(1639),
    [anon_sym_static] = ACTIONS(1639),
    [anon_sym_auto] = ACTIONS(1639),
    [anon_sym_register] = ACTIONS(1639),
    [anon_sym_inline] = ACTIONS(1639),
    [anon_sym___inline] = ACTIONS(1639),
    [anon_sym___inline__] = ACTIONS(1639),
    [anon_sym___forceinline] = ACTIONS(1639),
    [anon_sym_thread_local] = ACTIONS(1639),
    [anon_sym___thread] = ACTIONS(1639),
    [anon_sym_const] = ACTIONS(1639),
    [anon_sym_constexpr] = ACTIONS(1639),
    [anon_sym_volatile] = ACTIONS(1639),
    [anon_sym_restrict] = ACTIONS(1639),
    [anon_sym___restrict__] = ACTIONS(1639),
    [anon_sym__Atomic] = ACTIONS(1639),
    [anon_sym__Noreturn] = ACTIONS(1639),
    [anon_sym_noreturn] = ACTIONS(1639),
    [sym_primitive_type] = ACTIONS(1639),
    [anon_sym_enum] = ACTIONS(1639),
    [anon_sym_struct] = ACTIONS(1639),
    [anon_sym_union] = ACTIONS(1639),
    [anon_sym_if] = ACTIONS(1639),
    [anon_sym_switch] = ACTIONS(1639),
    [anon_sym_case] = ACTIONS(1639),
    [anon_sym_default] = ACTIONS(1639),
    [anon_sym_while] = ACTIONS(1639),
    [anon_sym_do] = ACTIONS(1639),
    [anon_sym_for] = ACTIONS(1639),
    [anon_sym_return] = ACTIONS(1639),
    [anon_sym_break] = ACTIONS(1639),
    [anon_sym_continue] = ACTIONS(1639),
    [anon_sym_goto] = ACTIONS(1639),
    [anon_sym___try] = ACTIONS(1639),
    [anon_sym___leave] = ACTIONS(1639),
    [anon_sym_DASH_DASH] = ACTIONS(1641),
    [anon_sym_PLUS_PLUS] = ACTIONS(1641),
    [anon_sym_sizeof] = ACTIONS(1639),
    [anon_sym___alignof__] = ACTIONS(1639),
    [anon_sym___alignof] = ACTIONS(1639),
    [anon_sym__alignof] = ACTIONS(1639),
    [anon_sym_alignof] = ACTIONS(1639),
    [anon_sym__Alignof] = ACTIONS(1639),
    [anon_sym_offsetof] = ACTIONS(1639),
    [anon_sym__Generic] = ACTIONS(1639),
    [anon_sym_asm] = ACTIONS(1639),
    [anon_sym___asm__] = ACTIONS(1639),
    [sym_number_literal] = ACTIONS(1641),
    [anon_sym_L_SQUOTE] = ACTIONS(1641),
    [anon_sym_u_SQUOTE] = ACTIONS(1641),
    [anon_sym_U_SQUOTE] = ACTIONS(1641),
    [anon_sym_u8_SQUOTE] = ACTIONS(1641),
    [anon_sym_SQUOTE] = ACTIONS(1641),
    [anon_sym_L_DQUOTE] = ACTIONS(1641),
    [anon_sym_u_DQUOTE] = ACTIONS(1641),
    [anon_sym_U_DQUOTE] = ACTIONS(1641),
    [anon_sym_u8_DQUOTE] = ACTIONS(1641),
    [anon_sym_DQUOTE] = ACTIONS(1641),
    [sym_true] = ACTIONS(1639),
    [sym_false] = ACTIONS(1639),
    [anon_sym_NULL] = ACTIONS(1639),
    [anon_sym_nullptr] = ACTIONS(1639),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1639),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1639),
    [anon_sym_hitAttributeEXT] = ACTIONS(1639),
    [anon_sym_callableDataEXT] = ACTIONS(1639),
    [anon_sym_callableDataInEXT] = ACTIONS(1639),
    [anon_sym_shaderRecordEXT] = ACTIONS(1639),
    [anon_sym_rayPayloadNV] = ACTIONS(1639),
    [anon_sym_rayPayloadInNV] = ACTIONS(1639),
    [anon_sym_hitAttributeNV] = ACTIONS(1639),
    [anon_sym_callableDataNV] = ACTIONS(1639),
    [anon_sym_callableDataInNV] = ACTIONS(1639),
    [anon_sym_shaderRecordNV] = ACTIONS(1639),
    [anon_sym_layout] = ACTIONS(1639),
  },
  [537] = {
    [sym_identifier] = ACTIONS(1631),
    [aux_sym_preproc_include_token1] = ACTIONS(1631),
    [aux_sym_preproc_def_token1] = ACTIONS(1631),
    [aux_sym_preproc_if_token1] = ACTIONS(1631),
    [aux_sym_preproc_if_token2] = ACTIONS(1631),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1631),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1631),
    [sym_preproc_directive] = ACTIONS(1631),
    [anon_sym_LPAREN2] = ACTIONS(1633),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1631),
    [anon_sym_PLUS] = ACTIONS(1631),
    [anon_sym_STAR] = ACTIONS(1633),
    [anon_sym_AMP] = ACTIONS(1633),
    [anon_sym_subroutine] = ACTIONS(1631),
    [anon_sym_invariant] = ACTIONS(1631),
    [anon_sym_precise] = ACTIONS(1631),
    [anon_sym_SEMI] = ACTIONS(1633),
    [anon_sym_in] = ACTIONS(1631),
    [anon_sym_out] = ACTIONS(1631),
    [anon_sym_inout] = ACTIONS(1631),
    [anon_sym_uniform] = ACTIONS(1631),
    [anon_sym_shared] = ACTIONS(1631),
    [anon_sym_attribute] = ACTIONS(1631),
    [anon_sym_varying] = ACTIONS(1631),
    [anon_sym_buffer] = ACTIONS(1631),
    [anon_sym_coherent] = ACTIONS(1631),
    [anon_sym_readonly] = ACTIONS(1631),
    [anon_sym_writeonly] = ACTIONS(1631),
    [anon_sym_precision] = ACTIONS(1631),
    [anon_sym_highp] = ACTIONS(1631),
    [anon_sym_mediump] = ACTIONS(1631),
    [anon_sym_lowp] = ACTIONS(1631),
    [anon_sym_centroid] = ACTIONS(1631),
    [anon_sym_sample] = ACTIONS(1631),
    [anon_sym_patch] = ACTIONS(1631),
    [anon_sym_smooth] = ACTIONS(1631),
    [anon_sym_flat] = ACTIONS(1631),
    [anon_sym_noperspective] = ACTIONS(1631),
    [anon_sym___extension__] = ACTIONS(1631),
    [anon_sym_typedef] = ACTIONS(1631),
    [anon_sym_extern] = ACTIONS(1631),
    [anon_sym___attribute__] = ACTIONS(1631),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1633),
    [anon_sym___declspec] = ACTIONS(1631),
    [anon_sym___cdecl] = ACTIONS(1631),
    [anon_sym___clrcall] = ACTIONS(1631),
    [anon_sym___stdcall] = ACTIONS(1631),
    [anon_sym___fastcall] = ACTIONS(1631),
    [anon_sym___thiscall] = ACTIONS(1631),
    [anon_sym___vectorcall] = ACTIONS(1631),
    [anon_sym_LBRACE] = ACTIONS(1633),
    [anon_sym_signed] = ACTIONS(1631),
    [anon_sym_unsigned] = ACTIONS(1631),
    [anon_sym_long] = ACTIONS(1631),
    [anon_sym_short] = ACTIONS(1631),
    [anon_sym_static] = ACTIONS(1631),
    [anon_sym_auto] = ACTIONS(1631),
    [anon_sym_register] = ACTIONS(1631),
    [anon_sym_inline] = ACTIONS(1631),
    [anon_sym___inline] = ACTIONS(1631),
    [anon_sym___inline__] = ACTIONS(1631),
    [anon_sym___forceinline] = ACTIONS(1631),
    [anon_sym_thread_local] = ACTIONS(1631),
    [anon_sym___thread] = ACTIONS(1631),
    [anon_sym_const] = ACTIONS(1631),
    [anon_sym_constexpr] = ACTIONS(1631),
    [anon_sym_volatile] = ACTIONS(1631),
    [anon_sym_restrict] = ACTIONS(1631),
    [anon_sym___restrict__] = ACTIONS(1631),
    [anon_sym__Atomic] = ACTIONS(1631),
    [anon_sym__Noreturn] = ACTIONS(1631),
    [anon_sym_noreturn] = ACTIONS(1631),
    [sym_primitive_type] = ACTIONS(1631),
    [anon_sym_enum] = ACTIONS(1631),
    [anon_sym_struct] = ACTIONS(1631),
    [anon_sym_union] = ACTIONS(1631),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_switch] = ACTIONS(1631),
    [anon_sym_case] = ACTIONS(1631),
    [anon_sym_default] = ACTIONS(1631),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_do] = ACTIONS(1631),
    [anon_sym_for] = ACTIONS(1631),
    [anon_sym_return] = ACTIONS(1631),
    [anon_sym_break] = ACTIONS(1631),
    [anon_sym_continue] = ACTIONS(1631),
    [anon_sym_goto] = ACTIONS(1631),
    [anon_sym___try] = ACTIONS(1631),
    [anon_sym___leave] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1633),
    [anon_sym_sizeof] = ACTIONS(1631),
    [anon_sym___alignof__] = ACTIONS(1631),
    [anon_sym___alignof] = ACTIONS(1631),
    [anon_sym__alignof] = ACTIONS(1631),
    [anon_sym_alignof] = ACTIONS(1631),
    [anon_sym__Alignof] = ACTIONS(1631),
    [anon_sym_offsetof] = ACTIONS(1631),
    [anon_sym__Generic] = ACTIONS(1631),
    [anon_sym_asm] = ACTIONS(1631),
    [anon_sym___asm__] = ACTIONS(1631),
    [sym_number_literal] = ACTIONS(1633),
    [anon_sym_L_SQUOTE] = ACTIONS(1633),
    [anon_sym_u_SQUOTE] = ACTIONS(1633),
    [anon_sym_U_SQUOTE] = ACTIONS(1633),
    [anon_sym_u8_SQUOTE] = ACTIONS(1633),
    [anon_sym_SQUOTE] = ACTIONS(1633),
    [anon_sym_L_DQUOTE] = ACTIONS(1633),
    [anon_sym_u_DQUOTE] = ACTIONS(1633),
    [anon_sym_U_DQUOTE] = ACTIONS(1633),
    [anon_sym_u8_DQUOTE] = ACTIONS(1633),
    [anon_sym_DQUOTE] = ACTIONS(1633),
    [sym_true] = ACTIONS(1631),
    [sym_false] = ACTIONS(1631),
    [anon_sym_NULL] = ACTIONS(1631),
    [anon_sym_nullptr] = ACTIONS(1631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1631),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1631),
    [anon_sym_hitAttributeEXT] = ACTIONS(1631),
    [anon_sym_callableDataEXT] = ACTIONS(1631),
    [anon_sym_callableDataInEXT] = ACTIONS(1631),
    [anon_sym_shaderRecordEXT] = ACTIONS(1631),
    [anon_sym_rayPayloadNV] = ACTIONS(1631),
    [anon_sym_rayPayloadInNV] = ACTIONS(1631),
    [anon_sym_hitAttributeNV] = ACTIONS(1631),
    [anon_sym_callableDataNV] = ACTIONS(1631),
    [anon_sym_callableDataInNV] = ACTIONS(1631),
    [anon_sym_shaderRecordNV] = ACTIONS(1631),
    [anon_sym_layout] = ACTIONS(1631),
  },
  [538] = {
    [sym_identifier] = ACTIONS(1591),
    [aux_sym_preproc_include_token1] = ACTIONS(1591),
    [aux_sym_preproc_def_token1] = ACTIONS(1591),
    [aux_sym_preproc_if_token1] = ACTIONS(1591),
    [aux_sym_preproc_if_token2] = ACTIONS(1591),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1591),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1591),
    [sym_preproc_directive] = ACTIONS(1591),
    [anon_sym_LPAREN2] = ACTIONS(1593),
    [anon_sym_BANG] = ACTIONS(1593),
    [anon_sym_TILDE] = ACTIONS(1593),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_STAR] = ACTIONS(1593),
    [anon_sym_AMP] = ACTIONS(1593),
    [anon_sym_subroutine] = ACTIONS(1591),
    [anon_sym_invariant] = ACTIONS(1591),
    [anon_sym_precise] = ACTIONS(1591),
    [anon_sym_SEMI] = ACTIONS(1593),
    [anon_sym_in] = ACTIONS(1591),
    [anon_sym_out] = ACTIONS(1591),
    [anon_sym_inout] = ACTIONS(1591),
    [anon_sym_uniform] = ACTIONS(1591),
    [anon_sym_shared] = ACTIONS(1591),
    [anon_sym_attribute] = ACTIONS(1591),
    [anon_sym_varying] = ACTIONS(1591),
    [anon_sym_buffer] = ACTIONS(1591),
    [anon_sym_coherent] = ACTIONS(1591),
    [anon_sym_readonly] = ACTIONS(1591),
    [anon_sym_writeonly] = ACTIONS(1591),
    [anon_sym_precision] = ACTIONS(1591),
    [anon_sym_highp] = ACTIONS(1591),
    [anon_sym_mediump] = ACTIONS(1591),
    [anon_sym_lowp] = ACTIONS(1591),
    [anon_sym_centroid] = ACTIONS(1591),
    [anon_sym_sample] = ACTIONS(1591),
    [anon_sym_patch] = ACTIONS(1591),
    [anon_sym_smooth] = ACTIONS(1591),
    [anon_sym_flat] = ACTIONS(1591),
    [anon_sym_noperspective] = ACTIONS(1591),
    [anon_sym___extension__] = ACTIONS(1591),
    [anon_sym_typedef] = ACTIONS(1591),
    [anon_sym_extern] = ACTIONS(1591),
    [anon_sym___attribute__] = ACTIONS(1591),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1593),
    [anon_sym___declspec] = ACTIONS(1591),
    [anon_sym___cdecl] = ACTIONS(1591),
    [anon_sym___clrcall] = ACTIONS(1591),
    [anon_sym___stdcall] = ACTIONS(1591),
    [anon_sym___fastcall] = ACTIONS(1591),
    [anon_sym___thiscall] = ACTIONS(1591),
    [anon_sym___vectorcall] = ACTIONS(1591),
    [anon_sym_LBRACE] = ACTIONS(1593),
    [anon_sym_signed] = ACTIONS(1591),
    [anon_sym_unsigned] = ACTIONS(1591),
    [anon_sym_long] = ACTIONS(1591),
    [anon_sym_short] = ACTIONS(1591),
    [anon_sym_static] = ACTIONS(1591),
    [anon_sym_auto] = ACTIONS(1591),
    [anon_sym_register] = ACTIONS(1591),
    [anon_sym_inline] = ACTIONS(1591),
    [anon_sym___inline] = ACTIONS(1591),
    [anon_sym___inline__] = ACTIONS(1591),
    [anon_sym___forceinline] = ACTIONS(1591),
    [anon_sym_thread_local] = ACTIONS(1591),
    [anon_sym___thread] = ACTIONS(1591),
    [anon_sym_const] = ACTIONS(1591),
    [anon_sym_constexpr] = ACTIONS(1591),
    [anon_sym_volatile] = ACTIONS(1591),
    [anon_sym_restrict] = ACTIONS(1591),
    [anon_sym___restrict__] = ACTIONS(1591),
    [anon_sym__Atomic] = ACTIONS(1591),
    [anon_sym__Noreturn] = ACTIONS(1591),
    [anon_sym_noreturn] = ACTIONS(1591),
    [sym_primitive_type] = ACTIONS(1591),
    [anon_sym_enum] = ACTIONS(1591),
    [anon_sym_struct] = ACTIONS(1591),
    [anon_sym_union] = ACTIONS(1591),
    [anon_sym_if] = ACTIONS(1591),
    [anon_sym_switch] = ACTIONS(1591),
    [anon_sym_case] = ACTIONS(1591),
    [anon_sym_default] = ACTIONS(1591),
    [anon_sym_while] = ACTIONS(1591),
    [anon_sym_do] = ACTIONS(1591),
    [anon_sym_for] = ACTIONS(1591),
    [anon_sym_return] = ACTIONS(1591),
    [anon_sym_break] = ACTIONS(1591),
    [anon_sym_continue] = ACTIONS(1591),
    [anon_sym_goto] = ACTIONS(1591),
    [anon_sym___try] = ACTIONS(1591),
    [anon_sym___leave] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1593),
    [anon_sym_PLUS_PLUS] = ACTIONS(1593),
    [anon_sym_sizeof] = ACTIONS(1591),
    [anon_sym___alignof__] = ACTIONS(1591),
    [anon_sym___alignof] = ACTIONS(1591),
    [anon_sym__alignof] = ACTIONS(1591),
    [anon_sym_alignof] = ACTIONS(1591),
    [anon_sym__Alignof] = ACTIONS(1591),
    [anon_sym_offsetof] = ACTIONS(1591),
    [anon_sym__Generic] = ACTIONS(1591),
    [anon_sym_asm] = ACTIONS(1591),
    [anon_sym___asm__] = ACTIONS(1591),
    [sym_number_literal] = ACTIONS(1593),
    [anon_sym_L_SQUOTE] = ACTIONS(1593),
    [anon_sym_u_SQUOTE] = ACTIONS(1593),
    [anon_sym_U_SQUOTE] = ACTIONS(1593),
    [anon_sym_u8_SQUOTE] = ACTIONS(1593),
    [anon_sym_SQUOTE] = ACTIONS(1593),
    [anon_sym_L_DQUOTE] = ACTIONS(1593),
    [anon_sym_u_DQUOTE] = ACTIONS(1593),
    [anon_sym_U_DQUOTE] = ACTIONS(1593),
    [anon_sym_u8_DQUOTE] = ACTIONS(1593),
    [anon_sym_DQUOTE] = ACTIONS(1593),
    [sym_true] = ACTIONS(1591),
    [sym_false] = ACTIONS(1591),
    [anon_sym_NULL] = ACTIONS(1591),
    [anon_sym_nullptr] = ACTIONS(1591),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1591),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1591),
    [anon_sym_hitAttributeEXT] = ACTIONS(1591),
    [anon_sym_callableDataEXT] = ACTIONS(1591),
    [anon_sym_callableDataInEXT] = ACTIONS(1591),
    [anon_sym_shaderRecordEXT] = ACTIONS(1591),
    [anon_sym_rayPayloadNV] = ACTIONS(1591),
    [anon_sym_rayPayloadInNV] = ACTIONS(1591),
    [anon_sym_hitAttributeNV] = ACTIONS(1591),
    [anon_sym_callableDataNV] = ACTIONS(1591),
    [anon_sym_callableDataInNV] = ACTIONS(1591),
    [anon_sym_shaderRecordNV] = ACTIONS(1591),
    [anon_sym_layout] = ACTIONS(1591),
  },
  [539] = {
    [sym_identifier] = ACTIONS(1603),
    [aux_sym_preproc_include_token1] = ACTIONS(1603),
    [aux_sym_preproc_def_token1] = ACTIONS(1603),
    [aux_sym_preproc_if_token1] = ACTIONS(1603),
    [aux_sym_preproc_if_token2] = ACTIONS(1603),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1603),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1603),
    [sym_preproc_directive] = ACTIONS(1603),
    [anon_sym_LPAREN2] = ACTIONS(1605),
    [anon_sym_BANG] = ACTIONS(1605),
    [anon_sym_TILDE] = ACTIONS(1605),
    [anon_sym_DASH] = ACTIONS(1603),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_STAR] = ACTIONS(1605),
    [anon_sym_AMP] = ACTIONS(1605),
    [anon_sym_subroutine] = ACTIONS(1603),
    [anon_sym_invariant] = ACTIONS(1603),
    [anon_sym_precise] = ACTIONS(1603),
    [anon_sym_SEMI] = ACTIONS(1605),
    [anon_sym_in] = ACTIONS(1603),
    [anon_sym_out] = ACTIONS(1603),
    [anon_sym_inout] = ACTIONS(1603),
    [anon_sym_uniform] = ACTIONS(1603),
    [anon_sym_shared] = ACTIONS(1603),
    [anon_sym_attribute] = ACTIONS(1603),
    [anon_sym_varying] = ACTIONS(1603),
    [anon_sym_buffer] = ACTIONS(1603),
    [anon_sym_coherent] = ACTIONS(1603),
    [anon_sym_readonly] = ACTIONS(1603),
    [anon_sym_writeonly] = ACTIONS(1603),
    [anon_sym_precision] = ACTIONS(1603),
    [anon_sym_highp] = ACTIONS(1603),
    [anon_sym_mediump] = ACTIONS(1603),
    [anon_sym_lowp] = ACTIONS(1603),
    [anon_sym_centroid] = ACTIONS(1603),
    [anon_sym_sample] = ACTIONS(1603),
    [anon_sym_patch] = ACTIONS(1603),
    [anon_sym_smooth] = ACTIONS(1603),
    [anon_sym_flat] = ACTIONS(1603),
    [anon_sym_noperspective] = ACTIONS(1603),
    [anon_sym___extension__] = ACTIONS(1603),
    [anon_sym_typedef] = ACTIONS(1603),
    [anon_sym_extern] = ACTIONS(1603),
    [anon_sym___attribute__] = ACTIONS(1603),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1605),
    [anon_sym___declspec] = ACTIONS(1603),
    [anon_sym___cdecl] = ACTIONS(1603),
    [anon_sym___clrcall] = ACTIONS(1603),
    [anon_sym___stdcall] = ACTIONS(1603),
    [anon_sym___fastcall] = ACTIONS(1603),
    [anon_sym___thiscall] = ACTIONS(1603),
    [anon_sym___vectorcall] = ACTIONS(1603),
    [anon_sym_LBRACE] = ACTIONS(1605),
    [anon_sym_signed] = ACTIONS(1603),
    [anon_sym_unsigned] = ACTIONS(1603),
    [anon_sym_long] = ACTIONS(1603),
    [anon_sym_short] = ACTIONS(1603),
    [anon_sym_static] = ACTIONS(1603),
    [anon_sym_auto] = ACTIONS(1603),
    [anon_sym_register] = ACTIONS(1603),
    [anon_sym_inline] = ACTIONS(1603),
    [anon_sym___inline] = ACTIONS(1603),
    [anon_sym___inline__] = ACTIONS(1603),
    [anon_sym___forceinline] = ACTIONS(1603),
    [anon_sym_thread_local] = ACTIONS(1603),
    [anon_sym___thread] = ACTIONS(1603),
    [anon_sym_const] = ACTIONS(1603),
    [anon_sym_constexpr] = ACTIONS(1603),
    [anon_sym_volatile] = ACTIONS(1603),
    [anon_sym_restrict] = ACTIONS(1603),
    [anon_sym___restrict__] = ACTIONS(1603),
    [anon_sym__Atomic] = ACTIONS(1603),
    [anon_sym__Noreturn] = ACTIONS(1603),
    [anon_sym_noreturn] = ACTIONS(1603),
    [sym_primitive_type] = ACTIONS(1603),
    [anon_sym_enum] = ACTIONS(1603),
    [anon_sym_struct] = ACTIONS(1603),
    [anon_sym_union] = ACTIONS(1603),
    [anon_sym_if] = ACTIONS(1603),
    [anon_sym_switch] = ACTIONS(1603),
    [anon_sym_case] = ACTIONS(1603),
    [anon_sym_default] = ACTIONS(1603),
    [anon_sym_while] = ACTIONS(1603),
    [anon_sym_do] = ACTIONS(1603),
    [anon_sym_for] = ACTIONS(1603),
    [anon_sym_return] = ACTIONS(1603),
    [anon_sym_break] = ACTIONS(1603),
    [anon_sym_continue] = ACTIONS(1603),
    [anon_sym_goto] = ACTIONS(1603),
    [anon_sym___try] = ACTIONS(1603),
    [anon_sym___leave] = ACTIONS(1603),
    [anon_sym_DASH_DASH] = ACTIONS(1605),
    [anon_sym_PLUS_PLUS] = ACTIONS(1605),
    [anon_sym_sizeof] = ACTIONS(1603),
    [anon_sym___alignof__] = ACTIONS(1603),
    [anon_sym___alignof] = ACTIONS(1603),
    [anon_sym__alignof] = ACTIONS(1603),
    [anon_sym_alignof] = ACTIONS(1603),
    [anon_sym__Alignof] = ACTIONS(1603),
    [anon_sym_offsetof] = ACTIONS(1603),
    [anon_sym__Generic] = ACTIONS(1603),
    [anon_sym_asm] = ACTIONS(1603),
    [anon_sym___asm__] = ACTIONS(1603),
    [sym_number_literal] = ACTIONS(1605),
    [anon_sym_L_SQUOTE] = ACTIONS(1605),
    [anon_sym_u_SQUOTE] = ACTIONS(1605),
    [anon_sym_U_SQUOTE] = ACTIONS(1605),
    [anon_sym_u8_SQUOTE] = ACTIONS(1605),
    [anon_sym_SQUOTE] = ACTIONS(1605),
    [anon_sym_L_DQUOTE] = ACTIONS(1605),
    [anon_sym_u_DQUOTE] = ACTIONS(1605),
    [anon_sym_U_DQUOTE] = ACTIONS(1605),
    [anon_sym_u8_DQUOTE] = ACTIONS(1605),
    [anon_sym_DQUOTE] = ACTIONS(1605),
    [sym_true] = ACTIONS(1603),
    [sym_false] = ACTIONS(1603),
    [anon_sym_NULL] = ACTIONS(1603),
    [anon_sym_nullptr] = ACTIONS(1603),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1603),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1603),
    [anon_sym_hitAttributeEXT] = ACTIONS(1603),
    [anon_sym_callableDataEXT] = ACTIONS(1603),
    [anon_sym_callableDataInEXT] = ACTIONS(1603),
    [anon_sym_shaderRecordEXT] = ACTIONS(1603),
    [anon_sym_rayPayloadNV] = ACTIONS(1603),
    [anon_sym_rayPayloadInNV] = ACTIONS(1603),
    [anon_sym_hitAttributeNV] = ACTIONS(1603),
    [anon_sym_callableDataNV] = ACTIONS(1603),
    [anon_sym_callableDataInNV] = ACTIONS(1603),
    [anon_sym_shaderRecordNV] = ACTIONS(1603),
    [anon_sym_layout] = ACTIONS(1603),
  },
  [540] = {
    [sym_identifier] = ACTIONS(1611),
    [aux_sym_preproc_include_token1] = ACTIONS(1611),
    [aux_sym_preproc_def_token1] = ACTIONS(1611),
    [aux_sym_preproc_if_token1] = ACTIONS(1611),
    [aux_sym_preproc_if_token2] = ACTIONS(1611),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1611),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1611),
    [sym_preproc_directive] = ACTIONS(1611),
    [anon_sym_LPAREN2] = ACTIONS(1613),
    [anon_sym_BANG] = ACTIONS(1613),
    [anon_sym_TILDE] = ACTIONS(1613),
    [anon_sym_DASH] = ACTIONS(1611),
    [anon_sym_PLUS] = ACTIONS(1611),
    [anon_sym_STAR] = ACTIONS(1613),
    [anon_sym_AMP] = ACTIONS(1613),
    [anon_sym_subroutine] = ACTIONS(1611),
    [anon_sym_invariant] = ACTIONS(1611),
    [anon_sym_precise] = ACTIONS(1611),
    [anon_sym_SEMI] = ACTIONS(1613),
    [anon_sym_in] = ACTIONS(1611),
    [anon_sym_out] = ACTIONS(1611),
    [anon_sym_inout] = ACTIONS(1611),
    [anon_sym_uniform] = ACTIONS(1611),
    [anon_sym_shared] = ACTIONS(1611),
    [anon_sym_attribute] = ACTIONS(1611),
    [anon_sym_varying] = ACTIONS(1611),
    [anon_sym_buffer] = ACTIONS(1611),
    [anon_sym_coherent] = ACTIONS(1611),
    [anon_sym_readonly] = ACTIONS(1611),
    [anon_sym_writeonly] = ACTIONS(1611),
    [anon_sym_precision] = ACTIONS(1611),
    [anon_sym_highp] = ACTIONS(1611),
    [anon_sym_mediump] = ACTIONS(1611),
    [anon_sym_lowp] = ACTIONS(1611),
    [anon_sym_centroid] = ACTIONS(1611),
    [anon_sym_sample] = ACTIONS(1611),
    [anon_sym_patch] = ACTIONS(1611),
    [anon_sym_smooth] = ACTIONS(1611),
    [anon_sym_flat] = ACTIONS(1611),
    [anon_sym_noperspective] = ACTIONS(1611),
    [anon_sym___extension__] = ACTIONS(1611),
    [anon_sym_typedef] = ACTIONS(1611),
    [anon_sym_extern] = ACTIONS(1611),
    [anon_sym___attribute__] = ACTIONS(1611),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1613),
    [anon_sym___declspec] = ACTIONS(1611),
    [anon_sym___cdecl] = ACTIONS(1611),
    [anon_sym___clrcall] = ACTIONS(1611),
    [anon_sym___stdcall] = ACTIONS(1611),
    [anon_sym___fastcall] = ACTIONS(1611),
    [anon_sym___thiscall] = ACTIONS(1611),
    [anon_sym___vectorcall] = ACTIONS(1611),
    [anon_sym_LBRACE] = ACTIONS(1613),
    [anon_sym_signed] = ACTIONS(1611),
    [anon_sym_unsigned] = ACTIONS(1611),
    [anon_sym_long] = ACTIONS(1611),
    [anon_sym_short] = ACTIONS(1611),
    [anon_sym_static] = ACTIONS(1611),
    [anon_sym_auto] = ACTIONS(1611),
    [anon_sym_register] = ACTIONS(1611),
    [anon_sym_inline] = ACTIONS(1611),
    [anon_sym___inline] = ACTIONS(1611),
    [anon_sym___inline__] = ACTIONS(1611),
    [anon_sym___forceinline] = ACTIONS(1611),
    [anon_sym_thread_local] = ACTIONS(1611),
    [anon_sym___thread] = ACTIONS(1611),
    [anon_sym_const] = ACTIONS(1611),
    [anon_sym_constexpr] = ACTIONS(1611),
    [anon_sym_volatile] = ACTIONS(1611),
    [anon_sym_restrict] = ACTIONS(1611),
    [anon_sym___restrict__] = ACTIONS(1611),
    [anon_sym__Atomic] = ACTIONS(1611),
    [anon_sym__Noreturn] = ACTIONS(1611),
    [anon_sym_noreturn] = ACTIONS(1611),
    [sym_primitive_type] = ACTIONS(1611),
    [anon_sym_enum] = ACTIONS(1611),
    [anon_sym_struct] = ACTIONS(1611),
    [anon_sym_union] = ACTIONS(1611),
    [anon_sym_if] = ACTIONS(1611),
    [anon_sym_switch] = ACTIONS(1611),
    [anon_sym_case] = ACTIONS(1611),
    [anon_sym_default] = ACTIONS(1611),
    [anon_sym_while] = ACTIONS(1611),
    [anon_sym_do] = ACTIONS(1611),
    [anon_sym_for] = ACTIONS(1611),
    [anon_sym_return] = ACTIONS(1611),
    [anon_sym_break] = ACTIONS(1611),
    [anon_sym_continue] = ACTIONS(1611),
    [anon_sym_goto] = ACTIONS(1611),
    [anon_sym___try] = ACTIONS(1611),
    [anon_sym___leave] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1613),
    [anon_sym_PLUS_PLUS] = ACTIONS(1613),
    [anon_sym_sizeof] = ACTIONS(1611),
    [anon_sym___alignof__] = ACTIONS(1611),
    [anon_sym___alignof] = ACTIONS(1611),
    [anon_sym__alignof] = ACTIONS(1611),
    [anon_sym_alignof] = ACTIONS(1611),
    [anon_sym__Alignof] = ACTIONS(1611),
    [anon_sym_offsetof] = ACTIONS(1611),
    [anon_sym__Generic] = ACTIONS(1611),
    [anon_sym_asm] = ACTIONS(1611),
    [anon_sym___asm__] = ACTIONS(1611),
    [sym_number_literal] = ACTIONS(1613),
    [anon_sym_L_SQUOTE] = ACTIONS(1613),
    [anon_sym_u_SQUOTE] = ACTIONS(1613),
    [anon_sym_U_SQUOTE] = ACTIONS(1613),
    [anon_sym_u8_SQUOTE] = ACTIONS(1613),
    [anon_sym_SQUOTE] = ACTIONS(1613),
    [anon_sym_L_DQUOTE] = ACTIONS(1613),
    [anon_sym_u_DQUOTE] = ACTIONS(1613),
    [anon_sym_U_DQUOTE] = ACTIONS(1613),
    [anon_sym_u8_DQUOTE] = ACTIONS(1613),
    [anon_sym_DQUOTE] = ACTIONS(1613),
    [sym_true] = ACTIONS(1611),
    [sym_false] = ACTIONS(1611),
    [anon_sym_NULL] = ACTIONS(1611),
    [anon_sym_nullptr] = ACTIONS(1611),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1611),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1611),
    [anon_sym_hitAttributeEXT] = ACTIONS(1611),
    [anon_sym_callableDataEXT] = ACTIONS(1611),
    [anon_sym_callableDataInEXT] = ACTIONS(1611),
    [anon_sym_shaderRecordEXT] = ACTIONS(1611),
    [anon_sym_rayPayloadNV] = ACTIONS(1611),
    [anon_sym_rayPayloadInNV] = ACTIONS(1611),
    [anon_sym_hitAttributeNV] = ACTIONS(1611),
    [anon_sym_callableDataNV] = ACTIONS(1611),
    [anon_sym_callableDataInNV] = ACTIONS(1611),
    [anon_sym_shaderRecordNV] = ACTIONS(1611),
    [anon_sym_layout] = ACTIONS(1611),
  },
  [541] = {
    [sym_identifier] = ACTIONS(1679),
    [aux_sym_preproc_include_token1] = ACTIONS(1679),
    [aux_sym_preproc_def_token1] = ACTIONS(1679),
    [aux_sym_preproc_if_token1] = ACTIONS(1679),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1679),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1679),
    [sym_preproc_directive] = ACTIONS(1679),
    [anon_sym_LPAREN2] = ACTIONS(1681),
    [anon_sym_BANG] = ACTIONS(1681),
    [anon_sym_TILDE] = ACTIONS(1681),
    [anon_sym_DASH] = ACTIONS(1679),
    [anon_sym_PLUS] = ACTIONS(1679),
    [anon_sym_STAR] = ACTIONS(1681),
    [anon_sym_AMP] = ACTIONS(1681),
    [anon_sym_subroutine] = ACTIONS(1679),
    [anon_sym_invariant] = ACTIONS(1679),
    [anon_sym_precise] = ACTIONS(1679),
    [anon_sym_SEMI] = ACTIONS(1681),
    [anon_sym_in] = ACTIONS(1679),
    [anon_sym_out] = ACTIONS(1679),
    [anon_sym_inout] = ACTIONS(1679),
    [anon_sym_uniform] = ACTIONS(1679),
    [anon_sym_shared] = ACTIONS(1679),
    [anon_sym_attribute] = ACTIONS(1679),
    [anon_sym_varying] = ACTIONS(1679),
    [anon_sym_buffer] = ACTIONS(1679),
    [anon_sym_coherent] = ACTIONS(1679),
    [anon_sym_readonly] = ACTIONS(1679),
    [anon_sym_writeonly] = ACTIONS(1679),
    [anon_sym_precision] = ACTIONS(1679),
    [anon_sym_highp] = ACTIONS(1679),
    [anon_sym_mediump] = ACTIONS(1679),
    [anon_sym_lowp] = ACTIONS(1679),
    [anon_sym_centroid] = ACTIONS(1679),
    [anon_sym_sample] = ACTIONS(1679),
    [anon_sym_patch] = ACTIONS(1679),
    [anon_sym_smooth] = ACTIONS(1679),
    [anon_sym_flat] = ACTIONS(1679),
    [anon_sym_noperspective] = ACTIONS(1679),
    [anon_sym___extension__] = ACTIONS(1679),
    [anon_sym_typedef] = ACTIONS(1679),
    [anon_sym_extern] = ACTIONS(1679),
    [anon_sym___attribute__] = ACTIONS(1679),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1681),
    [anon_sym___declspec] = ACTIONS(1679),
    [anon_sym___cdecl] = ACTIONS(1679),
    [anon_sym___clrcall] = ACTIONS(1679),
    [anon_sym___stdcall] = ACTIONS(1679),
    [anon_sym___fastcall] = ACTIONS(1679),
    [anon_sym___thiscall] = ACTIONS(1679),
    [anon_sym___vectorcall] = ACTIONS(1679),
    [anon_sym_LBRACE] = ACTIONS(1681),
    [anon_sym_RBRACE] = ACTIONS(1681),
    [anon_sym_signed] = ACTIONS(1679),
    [anon_sym_unsigned] = ACTIONS(1679),
    [anon_sym_long] = ACTIONS(1679),
    [anon_sym_short] = ACTIONS(1679),
    [anon_sym_static] = ACTIONS(1679),
    [anon_sym_auto] = ACTIONS(1679),
    [anon_sym_register] = ACTIONS(1679),
    [anon_sym_inline] = ACTIONS(1679),
    [anon_sym___inline] = ACTIONS(1679),
    [anon_sym___inline__] = ACTIONS(1679),
    [anon_sym___forceinline] = ACTIONS(1679),
    [anon_sym_thread_local] = ACTIONS(1679),
    [anon_sym___thread] = ACTIONS(1679),
    [anon_sym_const] = ACTIONS(1679),
    [anon_sym_constexpr] = ACTIONS(1679),
    [anon_sym_volatile] = ACTIONS(1679),
    [anon_sym_restrict] = ACTIONS(1679),
    [anon_sym___restrict__] = ACTIONS(1679),
    [anon_sym__Atomic] = ACTIONS(1679),
    [anon_sym__Noreturn] = ACTIONS(1679),
    [anon_sym_noreturn] = ACTIONS(1679),
    [sym_primitive_type] = ACTIONS(1679),
    [anon_sym_enum] = ACTIONS(1679),
    [anon_sym_struct] = ACTIONS(1679),
    [anon_sym_union] = ACTIONS(1679),
    [anon_sym_if] = ACTIONS(1679),
    [anon_sym_switch] = ACTIONS(1679),
    [anon_sym_case] = ACTIONS(1679),
    [anon_sym_default] = ACTIONS(1679),
    [anon_sym_while] = ACTIONS(1679),
    [anon_sym_do] = ACTIONS(1679),
    [anon_sym_for] = ACTIONS(1679),
    [anon_sym_return] = ACTIONS(1679),
    [anon_sym_break] = ACTIONS(1679),
    [anon_sym_continue] = ACTIONS(1679),
    [anon_sym_goto] = ACTIONS(1679),
    [anon_sym___try] = ACTIONS(1679),
    [anon_sym___leave] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1681),
    [anon_sym_PLUS_PLUS] = ACTIONS(1681),
    [anon_sym_sizeof] = ACTIONS(1679),
    [anon_sym___alignof__] = ACTIONS(1679),
    [anon_sym___alignof] = ACTIONS(1679),
    [anon_sym__alignof] = ACTIONS(1679),
    [anon_sym_alignof] = ACTIONS(1679),
    [anon_sym__Alignof] = ACTIONS(1679),
    [anon_sym_offsetof] = ACTIONS(1679),
    [anon_sym__Generic] = ACTIONS(1679),
    [anon_sym_asm] = ACTIONS(1679),
    [anon_sym___asm__] = ACTIONS(1679),
    [sym_number_literal] = ACTIONS(1681),
    [anon_sym_L_SQUOTE] = ACTIONS(1681),
    [anon_sym_u_SQUOTE] = ACTIONS(1681),
    [anon_sym_U_SQUOTE] = ACTIONS(1681),
    [anon_sym_u8_SQUOTE] = ACTIONS(1681),
    [anon_sym_SQUOTE] = ACTIONS(1681),
    [anon_sym_L_DQUOTE] = ACTIONS(1681),
    [anon_sym_u_DQUOTE] = ACTIONS(1681),
    [anon_sym_U_DQUOTE] = ACTIONS(1681),
    [anon_sym_u8_DQUOTE] = ACTIONS(1681),
    [anon_sym_DQUOTE] = ACTIONS(1681),
    [sym_true] = ACTIONS(1679),
    [sym_false] = ACTIONS(1679),
    [anon_sym_NULL] = ACTIONS(1679),
    [anon_sym_nullptr] = ACTIONS(1679),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1679),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1679),
    [anon_sym_hitAttributeEXT] = ACTIONS(1679),
    [anon_sym_callableDataEXT] = ACTIONS(1679),
    [anon_sym_callableDataInEXT] = ACTIONS(1679),
    [anon_sym_shaderRecordEXT] = ACTIONS(1679),
    [anon_sym_rayPayloadNV] = ACTIONS(1679),
    [anon_sym_rayPayloadInNV] = ACTIONS(1679),
    [anon_sym_hitAttributeNV] = ACTIONS(1679),
    [anon_sym_callableDataNV] = ACTIONS(1679),
    [anon_sym_callableDataInNV] = ACTIONS(1679),
    [anon_sym_shaderRecordNV] = ACTIONS(1679),
    [anon_sym_layout] = ACTIONS(1679),
  },
  [542] = {
    [sym_identifier] = ACTIONS(1671),
    [aux_sym_preproc_include_token1] = ACTIONS(1671),
    [aux_sym_preproc_def_token1] = ACTIONS(1671),
    [aux_sym_preproc_if_token1] = ACTIONS(1671),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1671),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1671),
    [sym_preproc_directive] = ACTIONS(1671),
    [anon_sym_LPAREN2] = ACTIONS(1673),
    [anon_sym_BANG] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(1673),
    [anon_sym_DASH] = ACTIONS(1671),
    [anon_sym_PLUS] = ACTIONS(1671),
    [anon_sym_STAR] = ACTIONS(1673),
    [anon_sym_AMP] = ACTIONS(1673),
    [anon_sym_subroutine] = ACTIONS(1671),
    [anon_sym_invariant] = ACTIONS(1671),
    [anon_sym_precise] = ACTIONS(1671),
    [anon_sym_SEMI] = ACTIONS(1673),
    [anon_sym_in] = ACTIONS(1671),
    [anon_sym_out] = ACTIONS(1671),
    [anon_sym_inout] = ACTIONS(1671),
    [anon_sym_uniform] = ACTIONS(1671),
    [anon_sym_shared] = ACTIONS(1671),
    [anon_sym_attribute] = ACTIONS(1671),
    [anon_sym_varying] = ACTIONS(1671),
    [anon_sym_buffer] = ACTIONS(1671),
    [anon_sym_coherent] = ACTIONS(1671),
    [anon_sym_readonly] = ACTIONS(1671),
    [anon_sym_writeonly] = ACTIONS(1671),
    [anon_sym_precision] = ACTIONS(1671),
    [anon_sym_highp] = ACTIONS(1671),
    [anon_sym_mediump] = ACTIONS(1671),
    [anon_sym_lowp] = ACTIONS(1671),
    [anon_sym_centroid] = ACTIONS(1671),
    [anon_sym_sample] = ACTIONS(1671),
    [anon_sym_patch] = ACTIONS(1671),
    [anon_sym_smooth] = ACTIONS(1671),
    [anon_sym_flat] = ACTIONS(1671),
    [anon_sym_noperspective] = ACTIONS(1671),
    [anon_sym___extension__] = ACTIONS(1671),
    [anon_sym_typedef] = ACTIONS(1671),
    [anon_sym_extern] = ACTIONS(1671),
    [anon_sym___attribute__] = ACTIONS(1671),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1673),
    [anon_sym___declspec] = ACTIONS(1671),
    [anon_sym___cdecl] = ACTIONS(1671),
    [anon_sym___clrcall] = ACTIONS(1671),
    [anon_sym___stdcall] = ACTIONS(1671),
    [anon_sym___fastcall] = ACTIONS(1671),
    [anon_sym___thiscall] = ACTIONS(1671),
    [anon_sym___vectorcall] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(1673),
    [anon_sym_RBRACE] = ACTIONS(1673),
    [anon_sym_signed] = ACTIONS(1671),
    [anon_sym_unsigned] = ACTIONS(1671),
    [anon_sym_long] = ACTIONS(1671),
    [anon_sym_short] = ACTIONS(1671),
    [anon_sym_static] = ACTIONS(1671),
    [anon_sym_auto] = ACTIONS(1671),
    [anon_sym_register] = ACTIONS(1671),
    [anon_sym_inline] = ACTIONS(1671),
    [anon_sym___inline] = ACTIONS(1671),
    [anon_sym___inline__] = ACTIONS(1671),
    [anon_sym___forceinline] = ACTIONS(1671),
    [anon_sym_thread_local] = ACTIONS(1671),
    [anon_sym___thread] = ACTIONS(1671),
    [anon_sym_const] = ACTIONS(1671),
    [anon_sym_constexpr] = ACTIONS(1671),
    [anon_sym_volatile] = ACTIONS(1671),
    [anon_sym_restrict] = ACTIONS(1671),
    [anon_sym___restrict__] = ACTIONS(1671),
    [anon_sym__Atomic] = ACTIONS(1671),
    [anon_sym__Noreturn] = ACTIONS(1671),
    [anon_sym_noreturn] = ACTIONS(1671),
    [sym_primitive_type] = ACTIONS(1671),
    [anon_sym_enum] = ACTIONS(1671),
    [anon_sym_struct] = ACTIONS(1671),
    [anon_sym_union] = ACTIONS(1671),
    [anon_sym_if] = ACTIONS(1671),
    [anon_sym_switch] = ACTIONS(1671),
    [anon_sym_case] = ACTIONS(1671),
    [anon_sym_default] = ACTIONS(1671),
    [anon_sym_while] = ACTIONS(1671),
    [anon_sym_do] = ACTIONS(1671),
    [anon_sym_for] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(1671),
    [anon_sym_break] = ACTIONS(1671),
    [anon_sym_continue] = ACTIONS(1671),
    [anon_sym_goto] = ACTIONS(1671),
    [anon_sym___try] = ACTIONS(1671),
    [anon_sym___leave] = ACTIONS(1671),
    [anon_sym_DASH_DASH] = ACTIONS(1673),
    [anon_sym_PLUS_PLUS] = ACTIONS(1673),
    [anon_sym_sizeof] = ACTIONS(1671),
    [anon_sym___alignof__] = ACTIONS(1671),
    [anon_sym___alignof] = ACTIONS(1671),
    [anon_sym__alignof] = ACTIONS(1671),
    [anon_sym_alignof] = ACTIONS(1671),
    [anon_sym__Alignof] = ACTIONS(1671),
    [anon_sym_offsetof] = ACTIONS(1671),
    [anon_sym__Generic] = ACTIONS(1671),
    [anon_sym_asm] = ACTIONS(1671),
    [anon_sym___asm__] = ACTIONS(1671),
    [sym_number_literal] = ACTIONS(1673),
    [anon_sym_L_SQUOTE] = ACTIONS(1673),
    [anon_sym_u_SQUOTE] = ACTIONS(1673),
    [anon_sym_U_SQUOTE] = ACTIONS(1673),
    [anon_sym_u8_SQUOTE] = ACTIONS(1673),
    [anon_sym_SQUOTE] = ACTIONS(1673),
    [anon_sym_L_DQUOTE] = ACTIONS(1673),
    [anon_sym_u_DQUOTE] = ACTIONS(1673),
    [anon_sym_U_DQUOTE] = ACTIONS(1673),
    [anon_sym_u8_DQUOTE] = ACTIONS(1673),
    [anon_sym_DQUOTE] = ACTIONS(1673),
    [sym_true] = ACTIONS(1671),
    [sym_false] = ACTIONS(1671),
    [anon_sym_NULL] = ACTIONS(1671),
    [anon_sym_nullptr] = ACTIONS(1671),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1671),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1671),
    [anon_sym_hitAttributeEXT] = ACTIONS(1671),
    [anon_sym_callableDataEXT] = ACTIONS(1671),
    [anon_sym_callableDataInEXT] = ACTIONS(1671),
    [anon_sym_shaderRecordEXT] = ACTIONS(1671),
    [anon_sym_rayPayloadNV] = ACTIONS(1671),
    [anon_sym_rayPayloadInNV] = ACTIONS(1671),
    [anon_sym_hitAttributeNV] = ACTIONS(1671),
    [anon_sym_callableDataNV] = ACTIONS(1671),
    [anon_sym_callableDataInNV] = ACTIONS(1671),
    [anon_sym_shaderRecordNV] = ACTIONS(1671),
    [anon_sym_layout] = ACTIONS(1671),
  },
  [543] = {
    [sym_identifier] = ACTIONS(1623),
    [aux_sym_preproc_include_token1] = ACTIONS(1623),
    [aux_sym_preproc_def_token1] = ACTIONS(1623),
    [aux_sym_preproc_if_token1] = ACTIONS(1623),
    [aux_sym_preproc_if_token2] = ACTIONS(1623),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1623),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1623),
    [sym_preproc_directive] = ACTIONS(1623),
    [anon_sym_LPAREN2] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1625),
    [anon_sym_TILDE] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1623),
    [anon_sym_STAR] = ACTIONS(1625),
    [anon_sym_AMP] = ACTIONS(1625),
    [anon_sym_subroutine] = ACTIONS(1623),
    [anon_sym_invariant] = ACTIONS(1623),
    [anon_sym_precise] = ACTIONS(1623),
    [anon_sym_SEMI] = ACTIONS(1625),
    [anon_sym_in] = ACTIONS(1623),
    [anon_sym_out] = ACTIONS(1623),
    [anon_sym_inout] = ACTIONS(1623),
    [anon_sym_uniform] = ACTIONS(1623),
    [anon_sym_shared] = ACTIONS(1623),
    [anon_sym_attribute] = ACTIONS(1623),
    [anon_sym_varying] = ACTIONS(1623),
    [anon_sym_buffer] = ACTIONS(1623),
    [anon_sym_coherent] = ACTIONS(1623),
    [anon_sym_readonly] = ACTIONS(1623),
    [anon_sym_writeonly] = ACTIONS(1623),
    [anon_sym_precision] = ACTIONS(1623),
    [anon_sym_highp] = ACTIONS(1623),
    [anon_sym_mediump] = ACTIONS(1623),
    [anon_sym_lowp] = ACTIONS(1623),
    [anon_sym_centroid] = ACTIONS(1623),
    [anon_sym_sample] = ACTIONS(1623),
    [anon_sym_patch] = ACTIONS(1623),
    [anon_sym_smooth] = ACTIONS(1623),
    [anon_sym_flat] = ACTIONS(1623),
    [anon_sym_noperspective] = ACTIONS(1623),
    [anon_sym___extension__] = ACTIONS(1623),
    [anon_sym_typedef] = ACTIONS(1623),
    [anon_sym_extern] = ACTIONS(1623),
    [anon_sym___attribute__] = ACTIONS(1623),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1625),
    [anon_sym___declspec] = ACTIONS(1623),
    [anon_sym___cdecl] = ACTIONS(1623),
    [anon_sym___clrcall] = ACTIONS(1623),
    [anon_sym___stdcall] = ACTIONS(1623),
    [anon_sym___fastcall] = ACTIONS(1623),
    [anon_sym___thiscall] = ACTIONS(1623),
    [anon_sym___vectorcall] = ACTIONS(1623),
    [anon_sym_LBRACE] = ACTIONS(1625),
    [anon_sym_signed] = ACTIONS(1623),
    [anon_sym_unsigned] = ACTIONS(1623),
    [anon_sym_long] = ACTIONS(1623),
    [anon_sym_short] = ACTIONS(1623),
    [anon_sym_static] = ACTIONS(1623),
    [anon_sym_auto] = ACTIONS(1623),
    [anon_sym_register] = ACTIONS(1623),
    [anon_sym_inline] = ACTIONS(1623),
    [anon_sym___inline] = ACTIONS(1623),
    [anon_sym___inline__] = ACTIONS(1623),
    [anon_sym___forceinline] = ACTIONS(1623),
    [anon_sym_thread_local] = ACTIONS(1623),
    [anon_sym___thread] = ACTIONS(1623),
    [anon_sym_const] = ACTIONS(1623),
    [anon_sym_constexpr] = ACTIONS(1623),
    [anon_sym_volatile] = ACTIONS(1623),
    [anon_sym_restrict] = ACTIONS(1623),
    [anon_sym___restrict__] = ACTIONS(1623),
    [anon_sym__Atomic] = ACTIONS(1623),
    [anon_sym__Noreturn] = ACTIONS(1623),
    [anon_sym_noreturn] = ACTIONS(1623),
    [sym_primitive_type] = ACTIONS(1623),
    [anon_sym_enum] = ACTIONS(1623),
    [anon_sym_struct] = ACTIONS(1623),
    [anon_sym_union] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1623),
    [anon_sym_switch] = ACTIONS(1623),
    [anon_sym_case] = ACTIONS(1623),
    [anon_sym_default] = ACTIONS(1623),
    [anon_sym_while] = ACTIONS(1623),
    [anon_sym_do] = ACTIONS(1623),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_return] = ACTIONS(1623),
    [anon_sym_break] = ACTIONS(1623),
    [anon_sym_continue] = ACTIONS(1623),
    [anon_sym_goto] = ACTIONS(1623),
    [anon_sym___try] = ACTIONS(1623),
    [anon_sym___leave] = ACTIONS(1623),
    [anon_sym_DASH_DASH] = ACTIONS(1625),
    [anon_sym_PLUS_PLUS] = ACTIONS(1625),
    [anon_sym_sizeof] = ACTIONS(1623),
    [anon_sym___alignof__] = ACTIONS(1623),
    [anon_sym___alignof] = ACTIONS(1623),
    [anon_sym__alignof] = ACTIONS(1623),
    [anon_sym_alignof] = ACTIONS(1623),
    [anon_sym__Alignof] = ACTIONS(1623),
    [anon_sym_offsetof] = ACTIONS(1623),
    [anon_sym__Generic] = ACTIONS(1623),
    [anon_sym_asm] = ACTIONS(1623),
    [anon_sym___asm__] = ACTIONS(1623),
    [sym_number_literal] = ACTIONS(1625),
    [anon_sym_L_SQUOTE] = ACTIONS(1625),
    [anon_sym_u_SQUOTE] = ACTIONS(1625),
    [anon_sym_U_SQUOTE] = ACTIONS(1625),
    [anon_sym_u8_SQUOTE] = ACTIONS(1625),
    [anon_sym_SQUOTE] = ACTIONS(1625),
    [anon_sym_L_DQUOTE] = ACTIONS(1625),
    [anon_sym_u_DQUOTE] = ACTIONS(1625),
    [anon_sym_U_DQUOTE] = ACTIONS(1625),
    [anon_sym_u8_DQUOTE] = ACTIONS(1625),
    [anon_sym_DQUOTE] = ACTIONS(1625),
    [sym_true] = ACTIONS(1623),
    [sym_false] = ACTIONS(1623),
    [anon_sym_NULL] = ACTIONS(1623),
    [anon_sym_nullptr] = ACTIONS(1623),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1623),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1623),
    [anon_sym_hitAttributeEXT] = ACTIONS(1623),
    [anon_sym_callableDataEXT] = ACTIONS(1623),
    [anon_sym_callableDataInEXT] = ACTIONS(1623),
    [anon_sym_shaderRecordEXT] = ACTIONS(1623),
    [anon_sym_rayPayloadNV] = ACTIONS(1623),
    [anon_sym_rayPayloadInNV] = ACTIONS(1623),
    [anon_sym_hitAttributeNV] = ACTIONS(1623),
    [anon_sym_callableDataNV] = ACTIONS(1623),
    [anon_sym_callableDataInNV] = ACTIONS(1623),
    [anon_sym_shaderRecordNV] = ACTIONS(1623),
    [anon_sym_layout] = ACTIONS(1623),
  },
  [544] = {
    [sym_identifier] = ACTIONS(1627),
    [aux_sym_preproc_include_token1] = ACTIONS(1627),
    [aux_sym_preproc_def_token1] = ACTIONS(1627),
    [aux_sym_preproc_if_token1] = ACTIONS(1627),
    [aux_sym_preproc_if_token2] = ACTIONS(1627),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1627),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1627),
    [sym_preproc_directive] = ACTIONS(1627),
    [anon_sym_LPAREN2] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1629),
    [anon_sym_TILDE] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1627),
    [anon_sym_PLUS] = ACTIONS(1627),
    [anon_sym_STAR] = ACTIONS(1629),
    [anon_sym_AMP] = ACTIONS(1629),
    [anon_sym_subroutine] = ACTIONS(1627),
    [anon_sym_invariant] = ACTIONS(1627),
    [anon_sym_precise] = ACTIONS(1627),
    [anon_sym_SEMI] = ACTIONS(1629),
    [anon_sym_in] = ACTIONS(1627),
    [anon_sym_out] = ACTIONS(1627),
    [anon_sym_inout] = ACTIONS(1627),
    [anon_sym_uniform] = ACTIONS(1627),
    [anon_sym_shared] = ACTIONS(1627),
    [anon_sym_attribute] = ACTIONS(1627),
    [anon_sym_varying] = ACTIONS(1627),
    [anon_sym_buffer] = ACTIONS(1627),
    [anon_sym_coherent] = ACTIONS(1627),
    [anon_sym_readonly] = ACTIONS(1627),
    [anon_sym_writeonly] = ACTIONS(1627),
    [anon_sym_precision] = ACTIONS(1627),
    [anon_sym_highp] = ACTIONS(1627),
    [anon_sym_mediump] = ACTIONS(1627),
    [anon_sym_lowp] = ACTIONS(1627),
    [anon_sym_centroid] = ACTIONS(1627),
    [anon_sym_sample] = ACTIONS(1627),
    [anon_sym_patch] = ACTIONS(1627),
    [anon_sym_smooth] = ACTIONS(1627),
    [anon_sym_flat] = ACTIONS(1627),
    [anon_sym_noperspective] = ACTIONS(1627),
    [anon_sym___extension__] = ACTIONS(1627),
    [anon_sym_typedef] = ACTIONS(1627),
    [anon_sym_extern] = ACTIONS(1627),
    [anon_sym___attribute__] = ACTIONS(1627),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1629),
    [anon_sym___declspec] = ACTIONS(1627),
    [anon_sym___cdecl] = ACTIONS(1627),
    [anon_sym___clrcall] = ACTIONS(1627),
    [anon_sym___stdcall] = ACTIONS(1627),
    [anon_sym___fastcall] = ACTIONS(1627),
    [anon_sym___thiscall] = ACTIONS(1627),
    [anon_sym___vectorcall] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(1629),
    [anon_sym_signed] = ACTIONS(1627),
    [anon_sym_unsigned] = ACTIONS(1627),
    [anon_sym_long] = ACTIONS(1627),
    [anon_sym_short] = ACTIONS(1627),
    [anon_sym_static] = ACTIONS(1627),
    [anon_sym_auto] = ACTIONS(1627),
    [anon_sym_register] = ACTIONS(1627),
    [anon_sym_inline] = ACTIONS(1627),
    [anon_sym___inline] = ACTIONS(1627),
    [anon_sym___inline__] = ACTIONS(1627),
    [anon_sym___forceinline] = ACTIONS(1627),
    [anon_sym_thread_local] = ACTIONS(1627),
    [anon_sym___thread] = ACTIONS(1627),
    [anon_sym_const] = ACTIONS(1627),
    [anon_sym_constexpr] = ACTIONS(1627),
    [anon_sym_volatile] = ACTIONS(1627),
    [anon_sym_restrict] = ACTIONS(1627),
    [anon_sym___restrict__] = ACTIONS(1627),
    [anon_sym__Atomic] = ACTIONS(1627),
    [anon_sym__Noreturn] = ACTIONS(1627),
    [anon_sym_noreturn] = ACTIONS(1627),
    [sym_primitive_type] = ACTIONS(1627),
    [anon_sym_enum] = ACTIONS(1627),
    [anon_sym_struct] = ACTIONS(1627),
    [anon_sym_union] = ACTIONS(1627),
    [anon_sym_if] = ACTIONS(1627),
    [anon_sym_switch] = ACTIONS(1627),
    [anon_sym_case] = ACTIONS(1627),
    [anon_sym_default] = ACTIONS(1627),
    [anon_sym_while] = ACTIONS(1627),
    [anon_sym_do] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1627),
    [anon_sym_return] = ACTIONS(1627),
    [anon_sym_break] = ACTIONS(1627),
    [anon_sym_continue] = ACTIONS(1627),
    [anon_sym_goto] = ACTIONS(1627),
    [anon_sym___try] = ACTIONS(1627),
    [anon_sym___leave] = ACTIONS(1627),
    [anon_sym_DASH_DASH] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1629),
    [anon_sym_sizeof] = ACTIONS(1627),
    [anon_sym___alignof__] = ACTIONS(1627),
    [anon_sym___alignof] = ACTIONS(1627),
    [anon_sym__alignof] = ACTIONS(1627),
    [anon_sym_alignof] = ACTIONS(1627),
    [anon_sym__Alignof] = ACTIONS(1627),
    [anon_sym_offsetof] = ACTIONS(1627),
    [anon_sym__Generic] = ACTIONS(1627),
    [anon_sym_asm] = ACTIONS(1627),
    [anon_sym___asm__] = ACTIONS(1627),
    [sym_number_literal] = ACTIONS(1629),
    [anon_sym_L_SQUOTE] = ACTIONS(1629),
    [anon_sym_u_SQUOTE] = ACTIONS(1629),
    [anon_sym_U_SQUOTE] = ACTIONS(1629),
    [anon_sym_u8_SQUOTE] = ACTIONS(1629),
    [anon_sym_SQUOTE] = ACTIONS(1629),
    [anon_sym_L_DQUOTE] = ACTIONS(1629),
    [anon_sym_u_DQUOTE] = ACTIONS(1629),
    [anon_sym_U_DQUOTE] = ACTIONS(1629),
    [anon_sym_u8_DQUOTE] = ACTIONS(1629),
    [anon_sym_DQUOTE] = ACTIONS(1629),
    [sym_true] = ACTIONS(1627),
    [sym_false] = ACTIONS(1627),
    [anon_sym_NULL] = ACTIONS(1627),
    [anon_sym_nullptr] = ACTIONS(1627),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1627),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1627),
    [anon_sym_hitAttributeEXT] = ACTIONS(1627),
    [anon_sym_callableDataEXT] = ACTIONS(1627),
    [anon_sym_callableDataInEXT] = ACTIONS(1627),
    [anon_sym_shaderRecordEXT] = ACTIONS(1627),
    [anon_sym_rayPayloadNV] = ACTIONS(1627),
    [anon_sym_rayPayloadInNV] = ACTIONS(1627),
    [anon_sym_hitAttributeNV] = ACTIONS(1627),
    [anon_sym_callableDataNV] = ACTIONS(1627),
    [anon_sym_callableDataInNV] = ACTIONS(1627),
    [anon_sym_shaderRecordNV] = ACTIONS(1627),
    [anon_sym_layout] = ACTIONS(1627),
  },
  [545] = {
    [sym_identifier] = ACTIONS(1687),
    [aux_sym_preproc_include_token1] = ACTIONS(1687),
    [aux_sym_preproc_def_token1] = ACTIONS(1687),
    [aux_sym_preproc_if_token1] = ACTIONS(1687),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1687),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1687),
    [sym_preproc_directive] = ACTIONS(1687),
    [anon_sym_LPAREN2] = ACTIONS(1689),
    [anon_sym_BANG] = ACTIONS(1689),
    [anon_sym_TILDE] = ACTIONS(1689),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_PLUS] = ACTIONS(1687),
    [anon_sym_STAR] = ACTIONS(1689),
    [anon_sym_AMP] = ACTIONS(1689),
    [anon_sym_subroutine] = ACTIONS(1687),
    [anon_sym_invariant] = ACTIONS(1687),
    [anon_sym_precise] = ACTIONS(1687),
    [anon_sym_SEMI] = ACTIONS(1689),
    [anon_sym_in] = ACTIONS(1687),
    [anon_sym_out] = ACTIONS(1687),
    [anon_sym_inout] = ACTIONS(1687),
    [anon_sym_uniform] = ACTIONS(1687),
    [anon_sym_shared] = ACTIONS(1687),
    [anon_sym_attribute] = ACTIONS(1687),
    [anon_sym_varying] = ACTIONS(1687),
    [anon_sym_buffer] = ACTIONS(1687),
    [anon_sym_coherent] = ACTIONS(1687),
    [anon_sym_readonly] = ACTIONS(1687),
    [anon_sym_writeonly] = ACTIONS(1687),
    [anon_sym_precision] = ACTIONS(1687),
    [anon_sym_highp] = ACTIONS(1687),
    [anon_sym_mediump] = ACTIONS(1687),
    [anon_sym_lowp] = ACTIONS(1687),
    [anon_sym_centroid] = ACTIONS(1687),
    [anon_sym_sample] = ACTIONS(1687),
    [anon_sym_patch] = ACTIONS(1687),
    [anon_sym_smooth] = ACTIONS(1687),
    [anon_sym_flat] = ACTIONS(1687),
    [anon_sym_noperspective] = ACTIONS(1687),
    [anon_sym___extension__] = ACTIONS(1687),
    [anon_sym_typedef] = ACTIONS(1687),
    [anon_sym_extern] = ACTIONS(1687),
    [anon_sym___attribute__] = ACTIONS(1687),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1689),
    [anon_sym___declspec] = ACTIONS(1687),
    [anon_sym___cdecl] = ACTIONS(1687),
    [anon_sym___clrcall] = ACTIONS(1687),
    [anon_sym___stdcall] = ACTIONS(1687),
    [anon_sym___fastcall] = ACTIONS(1687),
    [anon_sym___thiscall] = ACTIONS(1687),
    [anon_sym___vectorcall] = ACTIONS(1687),
    [anon_sym_LBRACE] = ACTIONS(1689),
    [anon_sym_RBRACE] = ACTIONS(1689),
    [anon_sym_signed] = ACTIONS(1687),
    [anon_sym_unsigned] = ACTIONS(1687),
    [anon_sym_long] = ACTIONS(1687),
    [anon_sym_short] = ACTIONS(1687),
    [anon_sym_static] = ACTIONS(1687),
    [anon_sym_auto] = ACTIONS(1687),
    [anon_sym_register] = ACTIONS(1687),
    [anon_sym_inline] = ACTIONS(1687),
    [anon_sym___inline] = ACTIONS(1687),
    [anon_sym___inline__] = ACTIONS(1687),
    [anon_sym___forceinline] = ACTIONS(1687),
    [anon_sym_thread_local] = ACTIONS(1687),
    [anon_sym___thread] = ACTIONS(1687),
    [anon_sym_const] = ACTIONS(1687),
    [anon_sym_constexpr] = ACTIONS(1687),
    [anon_sym_volatile] = ACTIONS(1687),
    [anon_sym_restrict] = ACTIONS(1687),
    [anon_sym___restrict__] = ACTIONS(1687),
    [anon_sym__Atomic] = ACTIONS(1687),
    [anon_sym__Noreturn] = ACTIONS(1687),
    [anon_sym_noreturn] = ACTIONS(1687),
    [sym_primitive_type] = ACTIONS(1687),
    [anon_sym_enum] = ACTIONS(1687),
    [anon_sym_struct] = ACTIONS(1687),
    [anon_sym_union] = ACTIONS(1687),
    [anon_sym_if] = ACTIONS(1687),
    [anon_sym_switch] = ACTIONS(1687),
    [anon_sym_case] = ACTIONS(1687),
    [anon_sym_default] = ACTIONS(1687),
    [anon_sym_while] = ACTIONS(1687),
    [anon_sym_do] = ACTIONS(1687),
    [anon_sym_for] = ACTIONS(1687),
    [anon_sym_return] = ACTIONS(1687),
    [anon_sym_break] = ACTIONS(1687),
    [anon_sym_continue] = ACTIONS(1687),
    [anon_sym_goto] = ACTIONS(1687),
    [anon_sym___try] = ACTIONS(1687),
    [anon_sym___leave] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_sizeof] = ACTIONS(1687),
    [anon_sym___alignof__] = ACTIONS(1687),
    [anon_sym___alignof] = ACTIONS(1687),
    [anon_sym__alignof] = ACTIONS(1687),
    [anon_sym_alignof] = ACTIONS(1687),
    [anon_sym__Alignof] = ACTIONS(1687),
    [anon_sym_offsetof] = ACTIONS(1687),
    [anon_sym__Generic] = ACTIONS(1687),
    [anon_sym_asm] = ACTIONS(1687),
    [anon_sym___asm__] = ACTIONS(1687),
    [sym_number_literal] = ACTIONS(1689),
    [anon_sym_L_SQUOTE] = ACTIONS(1689),
    [anon_sym_u_SQUOTE] = ACTIONS(1689),
    [anon_sym_U_SQUOTE] = ACTIONS(1689),
    [anon_sym_u8_SQUOTE] = ACTIONS(1689),
    [anon_sym_SQUOTE] = ACTIONS(1689),
    [anon_sym_L_DQUOTE] = ACTIONS(1689),
    [anon_sym_u_DQUOTE] = ACTIONS(1689),
    [anon_sym_U_DQUOTE] = ACTIONS(1689),
    [anon_sym_u8_DQUOTE] = ACTIONS(1689),
    [anon_sym_DQUOTE] = ACTIONS(1689),
    [sym_true] = ACTIONS(1687),
    [sym_false] = ACTIONS(1687),
    [anon_sym_NULL] = ACTIONS(1687),
    [anon_sym_nullptr] = ACTIONS(1687),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1687),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1687),
    [anon_sym_hitAttributeEXT] = ACTIONS(1687),
    [anon_sym_callableDataEXT] = ACTIONS(1687),
    [anon_sym_callableDataInEXT] = ACTIONS(1687),
    [anon_sym_shaderRecordEXT] = ACTIONS(1687),
    [anon_sym_rayPayloadNV] = ACTIONS(1687),
    [anon_sym_rayPayloadInNV] = ACTIONS(1687),
    [anon_sym_hitAttributeNV] = ACTIONS(1687),
    [anon_sym_callableDataNV] = ACTIONS(1687),
    [anon_sym_callableDataInNV] = ACTIONS(1687),
    [anon_sym_shaderRecordNV] = ACTIONS(1687),
    [anon_sym_layout] = ACTIONS(1687),
  },
  [546] = {
    [sym_identifier] = ACTIONS(1699),
    [aux_sym_preproc_include_token1] = ACTIONS(1699),
    [aux_sym_preproc_def_token1] = ACTIONS(1699),
    [aux_sym_preproc_if_token1] = ACTIONS(1699),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1699),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1699),
    [sym_preproc_directive] = ACTIONS(1699),
    [anon_sym_LPAREN2] = ACTIONS(1701),
    [anon_sym_BANG] = ACTIONS(1701),
    [anon_sym_TILDE] = ACTIONS(1701),
    [anon_sym_DASH] = ACTIONS(1699),
    [anon_sym_PLUS] = ACTIONS(1699),
    [anon_sym_STAR] = ACTIONS(1701),
    [anon_sym_AMP] = ACTIONS(1701),
    [anon_sym_subroutine] = ACTIONS(1699),
    [anon_sym_invariant] = ACTIONS(1699),
    [anon_sym_precise] = ACTIONS(1699),
    [anon_sym_SEMI] = ACTIONS(1701),
    [anon_sym_in] = ACTIONS(1699),
    [anon_sym_out] = ACTIONS(1699),
    [anon_sym_inout] = ACTIONS(1699),
    [anon_sym_uniform] = ACTIONS(1699),
    [anon_sym_shared] = ACTIONS(1699),
    [anon_sym_attribute] = ACTIONS(1699),
    [anon_sym_varying] = ACTIONS(1699),
    [anon_sym_buffer] = ACTIONS(1699),
    [anon_sym_coherent] = ACTIONS(1699),
    [anon_sym_readonly] = ACTIONS(1699),
    [anon_sym_writeonly] = ACTIONS(1699),
    [anon_sym_precision] = ACTIONS(1699),
    [anon_sym_highp] = ACTIONS(1699),
    [anon_sym_mediump] = ACTIONS(1699),
    [anon_sym_lowp] = ACTIONS(1699),
    [anon_sym_centroid] = ACTIONS(1699),
    [anon_sym_sample] = ACTIONS(1699),
    [anon_sym_patch] = ACTIONS(1699),
    [anon_sym_smooth] = ACTIONS(1699),
    [anon_sym_flat] = ACTIONS(1699),
    [anon_sym_noperspective] = ACTIONS(1699),
    [anon_sym___extension__] = ACTIONS(1699),
    [anon_sym_typedef] = ACTIONS(1699),
    [anon_sym_extern] = ACTIONS(1699),
    [anon_sym___attribute__] = ACTIONS(1699),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1701),
    [anon_sym___declspec] = ACTIONS(1699),
    [anon_sym___cdecl] = ACTIONS(1699),
    [anon_sym___clrcall] = ACTIONS(1699),
    [anon_sym___stdcall] = ACTIONS(1699),
    [anon_sym___fastcall] = ACTIONS(1699),
    [anon_sym___thiscall] = ACTIONS(1699),
    [anon_sym___vectorcall] = ACTIONS(1699),
    [anon_sym_LBRACE] = ACTIONS(1701),
    [anon_sym_RBRACE] = ACTIONS(1701),
    [anon_sym_signed] = ACTIONS(1699),
    [anon_sym_unsigned] = ACTIONS(1699),
    [anon_sym_long] = ACTIONS(1699),
    [anon_sym_short] = ACTIONS(1699),
    [anon_sym_static] = ACTIONS(1699),
    [anon_sym_auto] = ACTIONS(1699),
    [anon_sym_register] = ACTIONS(1699),
    [anon_sym_inline] = ACTIONS(1699),
    [anon_sym___inline] = ACTIONS(1699),
    [anon_sym___inline__] = ACTIONS(1699),
    [anon_sym___forceinline] = ACTIONS(1699),
    [anon_sym_thread_local] = ACTIONS(1699),
    [anon_sym___thread] = ACTIONS(1699),
    [anon_sym_const] = ACTIONS(1699),
    [anon_sym_constexpr] = ACTIONS(1699),
    [anon_sym_volatile] = ACTIONS(1699),
    [anon_sym_restrict] = ACTIONS(1699),
    [anon_sym___restrict__] = ACTIONS(1699),
    [anon_sym__Atomic] = ACTIONS(1699),
    [anon_sym__Noreturn] = ACTIONS(1699),
    [anon_sym_noreturn] = ACTIONS(1699),
    [sym_primitive_type] = ACTIONS(1699),
    [anon_sym_enum] = ACTIONS(1699),
    [anon_sym_struct] = ACTIONS(1699),
    [anon_sym_union] = ACTIONS(1699),
    [anon_sym_if] = ACTIONS(1699),
    [anon_sym_switch] = ACTIONS(1699),
    [anon_sym_case] = ACTIONS(1699),
    [anon_sym_default] = ACTIONS(1699),
    [anon_sym_while] = ACTIONS(1699),
    [anon_sym_do] = ACTIONS(1699),
    [anon_sym_for] = ACTIONS(1699),
    [anon_sym_return] = ACTIONS(1699),
    [anon_sym_break] = ACTIONS(1699),
    [anon_sym_continue] = ACTIONS(1699),
    [anon_sym_goto] = ACTIONS(1699),
    [anon_sym___try] = ACTIONS(1699),
    [anon_sym___leave] = ACTIONS(1699),
    [anon_sym_DASH_DASH] = ACTIONS(1701),
    [anon_sym_PLUS_PLUS] = ACTIONS(1701),
    [anon_sym_sizeof] = ACTIONS(1699),
    [anon_sym___alignof__] = ACTIONS(1699),
    [anon_sym___alignof] = ACTIONS(1699),
    [anon_sym__alignof] = ACTIONS(1699),
    [anon_sym_alignof] = ACTIONS(1699),
    [anon_sym__Alignof] = ACTIONS(1699),
    [anon_sym_offsetof] = ACTIONS(1699),
    [anon_sym__Generic] = ACTIONS(1699),
    [anon_sym_asm] = ACTIONS(1699),
    [anon_sym___asm__] = ACTIONS(1699),
    [sym_number_literal] = ACTIONS(1701),
    [anon_sym_L_SQUOTE] = ACTIONS(1701),
    [anon_sym_u_SQUOTE] = ACTIONS(1701),
    [anon_sym_U_SQUOTE] = ACTIONS(1701),
    [anon_sym_u8_SQUOTE] = ACTIONS(1701),
    [anon_sym_SQUOTE] = ACTIONS(1701),
    [anon_sym_L_DQUOTE] = ACTIONS(1701),
    [anon_sym_u_DQUOTE] = ACTIONS(1701),
    [anon_sym_U_DQUOTE] = ACTIONS(1701),
    [anon_sym_u8_DQUOTE] = ACTIONS(1701),
    [anon_sym_DQUOTE] = ACTIONS(1701),
    [sym_true] = ACTIONS(1699),
    [sym_false] = ACTIONS(1699),
    [anon_sym_NULL] = ACTIONS(1699),
    [anon_sym_nullptr] = ACTIONS(1699),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1699),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1699),
    [anon_sym_hitAttributeEXT] = ACTIONS(1699),
    [anon_sym_callableDataEXT] = ACTIONS(1699),
    [anon_sym_callableDataInEXT] = ACTIONS(1699),
    [anon_sym_shaderRecordEXT] = ACTIONS(1699),
    [anon_sym_rayPayloadNV] = ACTIONS(1699),
    [anon_sym_rayPayloadInNV] = ACTIONS(1699),
    [anon_sym_hitAttributeNV] = ACTIONS(1699),
    [anon_sym_callableDataNV] = ACTIONS(1699),
    [anon_sym_callableDataInNV] = ACTIONS(1699),
    [anon_sym_shaderRecordNV] = ACTIONS(1699),
    [anon_sym_layout] = ACTIONS(1699),
  },
  [547] = {
    [sym_identifier] = ACTIONS(1687),
    [aux_sym_preproc_include_token1] = ACTIONS(1687),
    [aux_sym_preproc_def_token1] = ACTIONS(1687),
    [aux_sym_preproc_if_token1] = ACTIONS(1687),
    [aux_sym_preproc_if_token2] = ACTIONS(1687),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1687),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1687),
    [sym_preproc_directive] = ACTIONS(1687),
    [anon_sym_LPAREN2] = ACTIONS(1689),
    [anon_sym_BANG] = ACTIONS(1689),
    [anon_sym_TILDE] = ACTIONS(1689),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_PLUS] = ACTIONS(1687),
    [anon_sym_STAR] = ACTIONS(1689),
    [anon_sym_AMP] = ACTIONS(1689),
    [anon_sym_subroutine] = ACTIONS(1687),
    [anon_sym_invariant] = ACTIONS(1687),
    [anon_sym_precise] = ACTIONS(1687),
    [anon_sym_SEMI] = ACTIONS(1689),
    [anon_sym_in] = ACTIONS(1687),
    [anon_sym_out] = ACTIONS(1687),
    [anon_sym_inout] = ACTIONS(1687),
    [anon_sym_uniform] = ACTIONS(1687),
    [anon_sym_shared] = ACTIONS(1687),
    [anon_sym_attribute] = ACTIONS(1687),
    [anon_sym_varying] = ACTIONS(1687),
    [anon_sym_buffer] = ACTIONS(1687),
    [anon_sym_coherent] = ACTIONS(1687),
    [anon_sym_readonly] = ACTIONS(1687),
    [anon_sym_writeonly] = ACTIONS(1687),
    [anon_sym_precision] = ACTIONS(1687),
    [anon_sym_highp] = ACTIONS(1687),
    [anon_sym_mediump] = ACTIONS(1687),
    [anon_sym_lowp] = ACTIONS(1687),
    [anon_sym_centroid] = ACTIONS(1687),
    [anon_sym_sample] = ACTIONS(1687),
    [anon_sym_patch] = ACTIONS(1687),
    [anon_sym_smooth] = ACTIONS(1687),
    [anon_sym_flat] = ACTIONS(1687),
    [anon_sym_noperspective] = ACTIONS(1687),
    [anon_sym___extension__] = ACTIONS(1687),
    [anon_sym_typedef] = ACTIONS(1687),
    [anon_sym_extern] = ACTIONS(1687),
    [anon_sym___attribute__] = ACTIONS(1687),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1689),
    [anon_sym___declspec] = ACTIONS(1687),
    [anon_sym___cdecl] = ACTIONS(1687),
    [anon_sym___clrcall] = ACTIONS(1687),
    [anon_sym___stdcall] = ACTIONS(1687),
    [anon_sym___fastcall] = ACTIONS(1687),
    [anon_sym___thiscall] = ACTIONS(1687),
    [anon_sym___vectorcall] = ACTIONS(1687),
    [anon_sym_LBRACE] = ACTIONS(1689),
    [anon_sym_signed] = ACTIONS(1687),
    [anon_sym_unsigned] = ACTIONS(1687),
    [anon_sym_long] = ACTIONS(1687),
    [anon_sym_short] = ACTIONS(1687),
    [anon_sym_static] = ACTIONS(1687),
    [anon_sym_auto] = ACTIONS(1687),
    [anon_sym_register] = ACTIONS(1687),
    [anon_sym_inline] = ACTIONS(1687),
    [anon_sym___inline] = ACTIONS(1687),
    [anon_sym___inline__] = ACTIONS(1687),
    [anon_sym___forceinline] = ACTIONS(1687),
    [anon_sym_thread_local] = ACTIONS(1687),
    [anon_sym___thread] = ACTIONS(1687),
    [anon_sym_const] = ACTIONS(1687),
    [anon_sym_constexpr] = ACTIONS(1687),
    [anon_sym_volatile] = ACTIONS(1687),
    [anon_sym_restrict] = ACTIONS(1687),
    [anon_sym___restrict__] = ACTIONS(1687),
    [anon_sym__Atomic] = ACTIONS(1687),
    [anon_sym__Noreturn] = ACTIONS(1687),
    [anon_sym_noreturn] = ACTIONS(1687),
    [sym_primitive_type] = ACTIONS(1687),
    [anon_sym_enum] = ACTIONS(1687),
    [anon_sym_struct] = ACTIONS(1687),
    [anon_sym_union] = ACTIONS(1687),
    [anon_sym_if] = ACTIONS(1687),
    [anon_sym_switch] = ACTIONS(1687),
    [anon_sym_case] = ACTIONS(1687),
    [anon_sym_default] = ACTIONS(1687),
    [anon_sym_while] = ACTIONS(1687),
    [anon_sym_do] = ACTIONS(1687),
    [anon_sym_for] = ACTIONS(1687),
    [anon_sym_return] = ACTIONS(1687),
    [anon_sym_break] = ACTIONS(1687),
    [anon_sym_continue] = ACTIONS(1687),
    [anon_sym_goto] = ACTIONS(1687),
    [anon_sym___try] = ACTIONS(1687),
    [anon_sym___leave] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_sizeof] = ACTIONS(1687),
    [anon_sym___alignof__] = ACTIONS(1687),
    [anon_sym___alignof] = ACTIONS(1687),
    [anon_sym__alignof] = ACTIONS(1687),
    [anon_sym_alignof] = ACTIONS(1687),
    [anon_sym__Alignof] = ACTIONS(1687),
    [anon_sym_offsetof] = ACTIONS(1687),
    [anon_sym__Generic] = ACTIONS(1687),
    [anon_sym_asm] = ACTIONS(1687),
    [anon_sym___asm__] = ACTIONS(1687),
    [sym_number_literal] = ACTIONS(1689),
    [anon_sym_L_SQUOTE] = ACTIONS(1689),
    [anon_sym_u_SQUOTE] = ACTIONS(1689),
    [anon_sym_U_SQUOTE] = ACTIONS(1689),
    [anon_sym_u8_SQUOTE] = ACTIONS(1689),
    [anon_sym_SQUOTE] = ACTIONS(1689),
    [anon_sym_L_DQUOTE] = ACTIONS(1689),
    [anon_sym_u_DQUOTE] = ACTIONS(1689),
    [anon_sym_U_DQUOTE] = ACTIONS(1689),
    [anon_sym_u8_DQUOTE] = ACTIONS(1689),
    [anon_sym_DQUOTE] = ACTIONS(1689),
    [sym_true] = ACTIONS(1687),
    [sym_false] = ACTIONS(1687),
    [anon_sym_NULL] = ACTIONS(1687),
    [anon_sym_nullptr] = ACTIONS(1687),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1687),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1687),
    [anon_sym_hitAttributeEXT] = ACTIONS(1687),
    [anon_sym_callableDataEXT] = ACTIONS(1687),
    [anon_sym_callableDataInEXT] = ACTIONS(1687),
    [anon_sym_shaderRecordEXT] = ACTIONS(1687),
    [anon_sym_rayPayloadNV] = ACTIONS(1687),
    [anon_sym_rayPayloadInNV] = ACTIONS(1687),
    [anon_sym_hitAttributeNV] = ACTIONS(1687),
    [anon_sym_callableDataNV] = ACTIONS(1687),
    [anon_sym_callableDataInNV] = ACTIONS(1687),
    [anon_sym_shaderRecordNV] = ACTIONS(1687),
    [anon_sym_layout] = ACTIONS(1687),
  },
  [548] = {
    [sym_identifier] = ACTIONS(1703),
    [aux_sym_preproc_include_token1] = ACTIONS(1703),
    [aux_sym_preproc_def_token1] = ACTIONS(1703),
    [aux_sym_preproc_if_token1] = ACTIONS(1703),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1703),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1703),
    [sym_preproc_directive] = ACTIONS(1703),
    [anon_sym_LPAREN2] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1705),
    [anon_sym_TILDE] = ACTIONS(1705),
    [anon_sym_DASH] = ACTIONS(1703),
    [anon_sym_PLUS] = ACTIONS(1703),
    [anon_sym_STAR] = ACTIONS(1705),
    [anon_sym_AMP] = ACTIONS(1705),
    [anon_sym_subroutine] = ACTIONS(1703),
    [anon_sym_invariant] = ACTIONS(1703),
    [anon_sym_precise] = ACTIONS(1703),
    [anon_sym_SEMI] = ACTIONS(1705),
    [anon_sym_in] = ACTIONS(1703),
    [anon_sym_out] = ACTIONS(1703),
    [anon_sym_inout] = ACTIONS(1703),
    [anon_sym_uniform] = ACTIONS(1703),
    [anon_sym_shared] = ACTIONS(1703),
    [anon_sym_attribute] = ACTIONS(1703),
    [anon_sym_varying] = ACTIONS(1703),
    [anon_sym_buffer] = ACTIONS(1703),
    [anon_sym_coherent] = ACTIONS(1703),
    [anon_sym_readonly] = ACTIONS(1703),
    [anon_sym_writeonly] = ACTIONS(1703),
    [anon_sym_precision] = ACTIONS(1703),
    [anon_sym_highp] = ACTIONS(1703),
    [anon_sym_mediump] = ACTIONS(1703),
    [anon_sym_lowp] = ACTIONS(1703),
    [anon_sym_centroid] = ACTIONS(1703),
    [anon_sym_sample] = ACTIONS(1703),
    [anon_sym_patch] = ACTIONS(1703),
    [anon_sym_smooth] = ACTIONS(1703),
    [anon_sym_flat] = ACTIONS(1703),
    [anon_sym_noperspective] = ACTIONS(1703),
    [anon_sym___extension__] = ACTIONS(1703),
    [anon_sym_typedef] = ACTIONS(1703),
    [anon_sym_extern] = ACTIONS(1703),
    [anon_sym___attribute__] = ACTIONS(1703),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1705),
    [anon_sym___declspec] = ACTIONS(1703),
    [anon_sym___cdecl] = ACTIONS(1703),
    [anon_sym___clrcall] = ACTIONS(1703),
    [anon_sym___stdcall] = ACTIONS(1703),
    [anon_sym___fastcall] = ACTIONS(1703),
    [anon_sym___thiscall] = ACTIONS(1703),
    [anon_sym___vectorcall] = ACTIONS(1703),
    [anon_sym_LBRACE] = ACTIONS(1705),
    [anon_sym_RBRACE] = ACTIONS(1705),
    [anon_sym_signed] = ACTIONS(1703),
    [anon_sym_unsigned] = ACTIONS(1703),
    [anon_sym_long] = ACTIONS(1703),
    [anon_sym_short] = ACTIONS(1703),
    [anon_sym_static] = ACTIONS(1703),
    [anon_sym_auto] = ACTIONS(1703),
    [anon_sym_register] = ACTIONS(1703),
    [anon_sym_inline] = ACTIONS(1703),
    [anon_sym___inline] = ACTIONS(1703),
    [anon_sym___inline__] = ACTIONS(1703),
    [anon_sym___forceinline] = ACTIONS(1703),
    [anon_sym_thread_local] = ACTIONS(1703),
    [anon_sym___thread] = ACTIONS(1703),
    [anon_sym_const] = ACTIONS(1703),
    [anon_sym_constexpr] = ACTIONS(1703),
    [anon_sym_volatile] = ACTIONS(1703),
    [anon_sym_restrict] = ACTIONS(1703),
    [anon_sym___restrict__] = ACTIONS(1703),
    [anon_sym__Atomic] = ACTIONS(1703),
    [anon_sym__Noreturn] = ACTIONS(1703),
    [anon_sym_noreturn] = ACTIONS(1703),
    [sym_primitive_type] = ACTIONS(1703),
    [anon_sym_enum] = ACTIONS(1703),
    [anon_sym_struct] = ACTIONS(1703),
    [anon_sym_union] = ACTIONS(1703),
    [anon_sym_if] = ACTIONS(1703),
    [anon_sym_switch] = ACTIONS(1703),
    [anon_sym_case] = ACTIONS(1703),
    [anon_sym_default] = ACTIONS(1703),
    [anon_sym_while] = ACTIONS(1703),
    [anon_sym_do] = ACTIONS(1703),
    [anon_sym_for] = ACTIONS(1703),
    [anon_sym_return] = ACTIONS(1703),
    [anon_sym_break] = ACTIONS(1703),
    [anon_sym_continue] = ACTIONS(1703),
    [anon_sym_goto] = ACTIONS(1703),
    [anon_sym___try] = ACTIONS(1703),
    [anon_sym___leave] = ACTIONS(1703),
    [anon_sym_DASH_DASH] = ACTIONS(1705),
    [anon_sym_PLUS_PLUS] = ACTIONS(1705),
    [anon_sym_sizeof] = ACTIONS(1703),
    [anon_sym___alignof__] = ACTIONS(1703),
    [anon_sym___alignof] = ACTIONS(1703),
    [anon_sym__alignof] = ACTIONS(1703),
    [anon_sym_alignof] = ACTIONS(1703),
    [anon_sym__Alignof] = ACTIONS(1703),
    [anon_sym_offsetof] = ACTIONS(1703),
    [anon_sym__Generic] = ACTIONS(1703),
    [anon_sym_asm] = ACTIONS(1703),
    [anon_sym___asm__] = ACTIONS(1703),
    [sym_number_literal] = ACTIONS(1705),
    [anon_sym_L_SQUOTE] = ACTIONS(1705),
    [anon_sym_u_SQUOTE] = ACTIONS(1705),
    [anon_sym_U_SQUOTE] = ACTIONS(1705),
    [anon_sym_u8_SQUOTE] = ACTIONS(1705),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_L_DQUOTE] = ACTIONS(1705),
    [anon_sym_u_DQUOTE] = ACTIONS(1705),
    [anon_sym_U_DQUOTE] = ACTIONS(1705),
    [anon_sym_u8_DQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1705),
    [sym_true] = ACTIONS(1703),
    [sym_false] = ACTIONS(1703),
    [anon_sym_NULL] = ACTIONS(1703),
    [anon_sym_nullptr] = ACTIONS(1703),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1703),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1703),
    [anon_sym_hitAttributeEXT] = ACTIONS(1703),
    [anon_sym_callableDataEXT] = ACTIONS(1703),
    [anon_sym_callableDataInEXT] = ACTIONS(1703),
    [anon_sym_shaderRecordEXT] = ACTIONS(1703),
    [anon_sym_rayPayloadNV] = ACTIONS(1703),
    [anon_sym_rayPayloadInNV] = ACTIONS(1703),
    [anon_sym_hitAttributeNV] = ACTIONS(1703),
    [anon_sym_callableDataNV] = ACTIONS(1703),
    [anon_sym_callableDataInNV] = ACTIONS(1703),
    [anon_sym_shaderRecordNV] = ACTIONS(1703),
    [anon_sym_layout] = ACTIONS(1703),
  },
  [549] = {
    [sym_identifier] = ACTIONS(1707),
    [aux_sym_preproc_include_token1] = ACTIONS(1707),
    [aux_sym_preproc_def_token1] = ACTIONS(1707),
    [aux_sym_preproc_if_token1] = ACTIONS(1707),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1707),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1707),
    [sym_preproc_directive] = ACTIONS(1707),
    [anon_sym_LPAREN2] = ACTIONS(1709),
    [anon_sym_BANG] = ACTIONS(1709),
    [anon_sym_TILDE] = ACTIONS(1709),
    [anon_sym_DASH] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1707),
    [anon_sym_STAR] = ACTIONS(1709),
    [anon_sym_AMP] = ACTIONS(1709),
    [anon_sym_subroutine] = ACTIONS(1707),
    [anon_sym_invariant] = ACTIONS(1707),
    [anon_sym_precise] = ACTIONS(1707),
    [anon_sym_SEMI] = ACTIONS(1709),
    [anon_sym_in] = ACTIONS(1707),
    [anon_sym_out] = ACTIONS(1707),
    [anon_sym_inout] = ACTIONS(1707),
    [anon_sym_uniform] = ACTIONS(1707),
    [anon_sym_shared] = ACTIONS(1707),
    [anon_sym_attribute] = ACTIONS(1707),
    [anon_sym_varying] = ACTIONS(1707),
    [anon_sym_buffer] = ACTIONS(1707),
    [anon_sym_coherent] = ACTIONS(1707),
    [anon_sym_readonly] = ACTIONS(1707),
    [anon_sym_writeonly] = ACTIONS(1707),
    [anon_sym_precision] = ACTIONS(1707),
    [anon_sym_highp] = ACTIONS(1707),
    [anon_sym_mediump] = ACTIONS(1707),
    [anon_sym_lowp] = ACTIONS(1707),
    [anon_sym_centroid] = ACTIONS(1707),
    [anon_sym_sample] = ACTIONS(1707),
    [anon_sym_patch] = ACTIONS(1707),
    [anon_sym_smooth] = ACTIONS(1707),
    [anon_sym_flat] = ACTIONS(1707),
    [anon_sym_noperspective] = ACTIONS(1707),
    [anon_sym___extension__] = ACTIONS(1707),
    [anon_sym_typedef] = ACTIONS(1707),
    [anon_sym_extern] = ACTIONS(1707),
    [anon_sym___attribute__] = ACTIONS(1707),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1709),
    [anon_sym___declspec] = ACTIONS(1707),
    [anon_sym___cdecl] = ACTIONS(1707),
    [anon_sym___clrcall] = ACTIONS(1707),
    [anon_sym___stdcall] = ACTIONS(1707),
    [anon_sym___fastcall] = ACTIONS(1707),
    [anon_sym___thiscall] = ACTIONS(1707),
    [anon_sym___vectorcall] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1709),
    [anon_sym_RBRACE] = ACTIONS(1709),
    [anon_sym_signed] = ACTIONS(1707),
    [anon_sym_unsigned] = ACTIONS(1707),
    [anon_sym_long] = ACTIONS(1707),
    [anon_sym_short] = ACTIONS(1707),
    [anon_sym_static] = ACTIONS(1707),
    [anon_sym_auto] = ACTIONS(1707),
    [anon_sym_register] = ACTIONS(1707),
    [anon_sym_inline] = ACTIONS(1707),
    [anon_sym___inline] = ACTIONS(1707),
    [anon_sym___inline__] = ACTIONS(1707),
    [anon_sym___forceinline] = ACTIONS(1707),
    [anon_sym_thread_local] = ACTIONS(1707),
    [anon_sym___thread] = ACTIONS(1707),
    [anon_sym_const] = ACTIONS(1707),
    [anon_sym_constexpr] = ACTIONS(1707),
    [anon_sym_volatile] = ACTIONS(1707),
    [anon_sym_restrict] = ACTIONS(1707),
    [anon_sym___restrict__] = ACTIONS(1707),
    [anon_sym__Atomic] = ACTIONS(1707),
    [anon_sym__Noreturn] = ACTIONS(1707),
    [anon_sym_noreturn] = ACTIONS(1707),
    [sym_primitive_type] = ACTIONS(1707),
    [anon_sym_enum] = ACTIONS(1707),
    [anon_sym_struct] = ACTIONS(1707),
    [anon_sym_union] = ACTIONS(1707),
    [anon_sym_if] = ACTIONS(1707),
    [anon_sym_switch] = ACTIONS(1707),
    [anon_sym_case] = ACTIONS(1707),
    [anon_sym_default] = ACTIONS(1707),
    [anon_sym_while] = ACTIONS(1707),
    [anon_sym_do] = ACTIONS(1707),
    [anon_sym_for] = ACTIONS(1707),
    [anon_sym_return] = ACTIONS(1707),
    [anon_sym_break] = ACTIONS(1707),
    [anon_sym_continue] = ACTIONS(1707),
    [anon_sym_goto] = ACTIONS(1707),
    [anon_sym___try] = ACTIONS(1707),
    [anon_sym___leave] = ACTIONS(1707),
    [anon_sym_DASH_DASH] = ACTIONS(1709),
    [anon_sym_PLUS_PLUS] = ACTIONS(1709),
    [anon_sym_sizeof] = ACTIONS(1707),
    [anon_sym___alignof__] = ACTIONS(1707),
    [anon_sym___alignof] = ACTIONS(1707),
    [anon_sym__alignof] = ACTIONS(1707),
    [anon_sym_alignof] = ACTIONS(1707),
    [anon_sym__Alignof] = ACTIONS(1707),
    [anon_sym_offsetof] = ACTIONS(1707),
    [anon_sym__Generic] = ACTIONS(1707),
    [anon_sym_asm] = ACTIONS(1707),
    [anon_sym___asm__] = ACTIONS(1707),
    [sym_number_literal] = ACTIONS(1709),
    [anon_sym_L_SQUOTE] = ACTIONS(1709),
    [anon_sym_u_SQUOTE] = ACTIONS(1709),
    [anon_sym_U_SQUOTE] = ACTIONS(1709),
    [anon_sym_u8_SQUOTE] = ACTIONS(1709),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [anon_sym_L_DQUOTE] = ACTIONS(1709),
    [anon_sym_u_DQUOTE] = ACTIONS(1709),
    [anon_sym_U_DQUOTE] = ACTIONS(1709),
    [anon_sym_u8_DQUOTE] = ACTIONS(1709),
    [anon_sym_DQUOTE] = ACTIONS(1709),
    [sym_true] = ACTIONS(1707),
    [sym_false] = ACTIONS(1707),
    [anon_sym_NULL] = ACTIONS(1707),
    [anon_sym_nullptr] = ACTIONS(1707),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1707),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1707),
    [anon_sym_hitAttributeEXT] = ACTIONS(1707),
    [anon_sym_callableDataEXT] = ACTIONS(1707),
    [anon_sym_callableDataInEXT] = ACTIONS(1707),
    [anon_sym_shaderRecordEXT] = ACTIONS(1707),
    [anon_sym_rayPayloadNV] = ACTIONS(1707),
    [anon_sym_rayPayloadInNV] = ACTIONS(1707),
    [anon_sym_hitAttributeNV] = ACTIONS(1707),
    [anon_sym_callableDataNV] = ACTIONS(1707),
    [anon_sym_callableDataInNV] = ACTIONS(1707),
    [anon_sym_shaderRecordNV] = ACTIONS(1707),
    [anon_sym_layout] = ACTIONS(1707),
  },
  [550] = {
    [sym_identifier] = ACTIONS(1711),
    [aux_sym_preproc_include_token1] = ACTIONS(1711),
    [aux_sym_preproc_def_token1] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1711),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1711),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1711),
    [sym_preproc_directive] = ACTIONS(1711),
    [anon_sym_LPAREN2] = ACTIONS(1713),
    [anon_sym_BANG] = ACTIONS(1713),
    [anon_sym_TILDE] = ACTIONS(1713),
    [anon_sym_DASH] = ACTIONS(1711),
    [anon_sym_PLUS] = ACTIONS(1711),
    [anon_sym_STAR] = ACTIONS(1713),
    [anon_sym_AMP] = ACTIONS(1713),
    [anon_sym_subroutine] = ACTIONS(1711),
    [anon_sym_invariant] = ACTIONS(1711),
    [anon_sym_precise] = ACTIONS(1711),
    [anon_sym_SEMI] = ACTIONS(1713),
    [anon_sym_in] = ACTIONS(1711),
    [anon_sym_out] = ACTIONS(1711),
    [anon_sym_inout] = ACTIONS(1711),
    [anon_sym_uniform] = ACTIONS(1711),
    [anon_sym_shared] = ACTIONS(1711),
    [anon_sym_attribute] = ACTIONS(1711),
    [anon_sym_varying] = ACTIONS(1711),
    [anon_sym_buffer] = ACTIONS(1711),
    [anon_sym_coherent] = ACTIONS(1711),
    [anon_sym_readonly] = ACTIONS(1711),
    [anon_sym_writeonly] = ACTIONS(1711),
    [anon_sym_precision] = ACTIONS(1711),
    [anon_sym_highp] = ACTIONS(1711),
    [anon_sym_mediump] = ACTIONS(1711),
    [anon_sym_lowp] = ACTIONS(1711),
    [anon_sym_centroid] = ACTIONS(1711),
    [anon_sym_sample] = ACTIONS(1711),
    [anon_sym_patch] = ACTIONS(1711),
    [anon_sym_smooth] = ACTIONS(1711),
    [anon_sym_flat] = ACTIONS(1711),
    [anon_sym_noperspective] = ACTIONS(1711),
    [anon_sym___extension__] = ACTIONS(1711),
    [anon_sym_typedef] = ACTIONS(1711),
    [anon_sym_extern] = ACTIONS(1711),
    [anon_sym___attribute__] = ACTIONS(1711),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1713),
    [anon_sym___declspec] = ACTIONS(1711),
    [anon_sym___cdecl] = ACTIONS(1711),
    [anon_sym___clrcall] = ACTIONS(1711),
    [anon_sym___stdcall] = ACTIONS(1711),
    [anon_sym___fastcall] = ACTIONS(1711),
    [anon_sym___thiscall] = ACTIONS(1711),
    [anon_sym___vectorcall] = ACTIONS(1711),
    [anon_sym_LBRACE] = ACTIONS(1713),
    [anon_sym_RBRACE] = ACTIONS(1713),
    [anon_sym_signed] = ACTIONS(1711),
    [anon_sym_unsigned] = ACTIONS(1711),
    [anon_sym_long] = ACTIONS(1711),
    [anon_sym_short] = ACTIONS(1711),
    [anon_sym_static] = ACTIONS(1711),
    [anon_sym_auto] = ACTIONS(1711),
    [anon_sym_register] = ACTIONS(1711),
    [anon_sym_inline] = ACTIONS(1711),
    [anon_sym___inline] = ACTIONS(1711),
    [anon_sym___inline__] = ACTIONS(1711),
    [anon_sym___forceinline] = ACTIONS(1711),
    [anon_sym_thread_local] = ACTIONS(1711),
    [anon_sym___thread] = ACTIONS(1711),
    [anon_sym_const] = ACTIONS(1711),
    [anon_sym_constexpr] = ACTIONS(1711),
    [anon_sym_volatile] = ACTIONS(1711),
    [anon_sym_restrict] = ACTIONS(1711),
    [anon_sym___restrict__] = ACTIONS(1711),
    [anon_sym__Atomic] = ACTIONS(1711),
    [anon_sym__Noreturn] = ACTIONS(1711),
    [anon_sym_noreturn] = ACTIONS(1711),
    [sym_primitive_type] = ACTIONS(1711),
    [anon_sym_enum] = ACTIONS(1711),
    [anon_sym_struct] = ACTIONS(1711),
    [anon_sym_union] = ACTIONS(1711),
    [anon_sym_if] = ACTIONS(1711),
    [anon_sym_switch] = ACTIONS(1711),
    [anon_sym_case] = ACTIONS(1711),
    [anon_sym_default] = ACTIONS(1711),
    [anon_sym_while] = ACTIONS(1711),
    [anon_sym_do] = ACTIONS(1711),
    [anon_sym_for] = ACTIONS(1711),
    [anon_sym_return] = ACTIONS(1711),
    [anon_sym_break] = ACTIONS(1711),
    [anon_sym_continue] = ACTIONS(1711),
    [anon_sym_goto] = ACTIONS(1711),
    [anon_sym___try] = ACTIONS(1711),
    [anon_sym___leave] = ACTIONS(1711),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_sizeof] = ACTIONS(1711),
    [anon_sym___alignof__] = ACTIONS(1711),
    [anon_sym___alignof] = ACTIONS(1711),
    [anon_sym__alignof] = ACTIONS(1711),
    [anon_sym_alignof] = ACTIONS(1711),
    [anon_sym__Alignof] = ACTIONS(1711),
    [anon_sym_offsetof] = ACTIONS(1711),
    [anon_sym__Generic] = ACTIONS(1711),
    [anon_sym_asm] = ACTIONS(1711),
    [anon_sym___asm__] = ACTIONS(1711),
    [sym_number_literal] = ACTIONS(1713),
    [anon_sym_L_SQUOTE] = ACTIONS(1713),
    [anon_sym_u_SQUOTE] = ACTIONS(1713),
    [anon_sym_U_SQUOTE] = ACTIONS(1713),
    [anon_sym_u8_SQUOTE] = ACTIONS(1713),
    [anon_sym_SQUOTE] = ACTIONS(1713),
    [anon_sym_L_DQUOTE] = ACTIONS(1713),
    [anon_sym_u_DQUOTE] = ACTIONS(1713),
    [anon_sym_U_DQUOTE] = ACTIONS(1713),
    [anon_sym_u8_DQUOTE] = ACTIONS(1713),
    [anon_sym_DQUOTE] = ACTIONS(1713),
    [sym_true] = ACTIONS(1711),
    [sym_false] = ACTIONS(1711),
    [anon_sym_NULL] = ACTIONS(1711),
    [anon_sym_nullptr] = ACTIONS(1711),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1711),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1711),
    [anon_sym_hitAttributeEXT] = ACTIONS(1711),
    [anon_sym_callableDataEXT] = ACTIONS(1711),
    [anon_sym_callableDataInEXT] = ACTIONS(1711),
    [anon_sym_shaderRecordEXT] = ACTIONS(1711),
    [anon_sym_rayPayloadNV] = ACTIONS(1711),
    [anon_sym_rayPayloadInNV] = ACTIONS(1711),
    [anon_sym_hitAttributeNV] = ACTIONS(1711),
    [anon_sym_callableDataNV] = ACTIONS(1711),
    [anon_sym_callableDataInNV] = ACTIONS(1711),
    [anon_sym_shaderRecordNV] = ACTIONS(1711),
    [anon_sym_layout] = ACTIONS(1711),
  },
  [551] = {
    [sym_identifier] = ACTIONS(1715),
    [aux_sym_preproc_include_token1] = ACTIONS(1715),
    [aux_sym_preproc_def_token1] = ACTIONS(1715),
    [aux_sym_preproc_if_token1] = ACTIONS(1715),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1715),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1715),
    [sym_preproc_directive] = ACTIONS(1715),
    [anon_sym_LPAREN2] = ACTIONS(1717),
    [anon_sym_BANG] = ACTIONS(1717),
    [anon_sym_TILDE] = ACTIONS(1717),
    [anon_sym_DASH] = ACTIONS(1715),
    [anon_sym_PLUS] = ACTIONS(1715),
    [anon_sym_STAR] = ACTIONS(1717),
    [anon_sym_AMP] = ACTIONS(1717),
    [anon_sym_subroutine] = ACTIONS(1715),
    [anon_sym_invariant] = ACTIONS(1715),
    [anon_sym_precise] = ACTIONS(1715),
    [anon_sym_SEMI] = ACTIONS(1717),
    [anon_sym_in] = ACTIONS(1715),
    [anon_sym_out] = ACTIONS(1715),
    [anon_sym_inout] = ACTIONS(1715),
    [anon_sym_uniform] = ACTIONS(1715),
    [anon_sym_shared] = ACTIONS(1715),
    [anon_sym_attribute] = ACTIONS(1715),
    [anon_sym_varying] = ACTIONS(1715),
    [anon_sym_buffer] = ACTIONS(1715),
    [anon_sym_coherent] = ACTIONS(1715),
    [anon_sym_readonly] = ACTIONS(1715),
    [anon_sym_writeonly] = ACTIONS(1715),
    [anon_sym_precision] = ACTIONS(1715),
    [anon_sym_highp] = ACTIONS(1715),
    [anon_sym_mediump] = ACTIONS(1715),
    [anon_sym_lowp] = ACTIONS(1715),
    [anon_sym_centroid] = ACTIONS(1715),
    [anon_sym_sample] = ACTIONS(1715),
    [anon_sym_patch] = ACTIONS(1715),
    [anon_sym_smooth] = ACTIONS(1715),
    [anon_sym_flat] = ACTIONS(1715),
    [anon_sym_noperspective] = ACTIONS(1715),
    [anon_sym___extension__] = ACTIONS(1715),
    [anon_sym_typedef] = ACTIONS(1715),
    [anon_sym_extern] = ACTIONS(1715),
    [anon_sym___attribute__] = ACTIONS(1715),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1717),
    [anon_sym___declspec] = ACTIONS(1715),
    [anon_sym___cdecl] = ACTIONS(1715),
    [anon_sym___clrcall] = ACTIONS(1715),
    [anon_sym___stdcall] = ACTIONS(1715),
    [anon_sym___fastcall] = ACTIONS(1715),
    [anon_sym___thiscall] = ACTIONS(1715),
    [anon_sym___vectorcall] = ACTIONS(1715),
    [anon_sym_LBRACE] = ACTIONS(1717),
    [anon_sym_RBRACE] = ACTIONS(1717),
    [anon_sym_signed] = ACTIONS(1715),
    [anon_sym_unsigned] = ACTIONS(1715),
    [anon_sym_long] = ACTIONS(1715),
    [anon_sym_short] = ACTIONS(1715),
    [anon_sym_static] = ACTIONS(1715),
    [anon_sym_auto] = ACTIONS(1715),
    [anon_sym_register] = ACTIONS(1715),
    [anon_sym_inline] = ACTIONS(1715),
    [anon_sym___inline] = ACTIONS(1715),
    [anon_sym___inline__] = ACTIONS(1715),
    [anon_sym___forceinline] = ACTIONS(1715),
    [anon_sym_thread_local] = ACTIONS(1715),
    [anon_sym___thread] = ACTIONS(1715),
    [anon_sym_const] = ACTIONS(1715),
    [anon_sym_constexpr] = ACTIONS(1715),
    [anon_sym_volatile] = ACTIONS(1715),
    [anon_sym_restrict] = ACTIONS(1715),
    [anon_sym___restrict__] = ACTIONS(1715),
    [anon_sym__Atomic] = ACTIONS(1715),
    [anon_sym__Noreturn] = ACTIONS(1715),
    [anon_sym_noreturn] = ACTIONS(1715),
    [sym_primitive_type] = ACTIONS(1715),
    [anon_sym_enum] = ACTIONS(1715),
    [anon_sym_struct] = ACTIONS(1715),
    [anon_sym_union] = ACTIONS(1715),
    [anon_sym_if] = ACTIONS(1715),
    [anon_sym_switch] = ACTIONS(1715),
    [anon_sym_case] = ACTIONS(1715),
    [anon_sym_default] = ACTIONS(1715),
    [anon_sym_while] = ACTIONS(1715),
    [anon_sym_do] = ACTIONS(1715),
    [anon_sym_for] = ACTIONS(1715),
    [anon_sym_return] = ACTIONS(1715),
    [anon_sym_break] = ACTIONS(1715),
    [anon_sym_continue] = ACTIONS(1715),
    [anon_sym_goto] = ACTIONS(1715),
    [anon_sym___try] = ACTIONS(1715),
    [anon_sym___leave] = ACTIONS(1715),
    [anon_sym_DASH_DASH] = ACTIONS(1717),
    [anon_sym_PLUS_PLUS] = ACTIONS(1717),
    [anon_sym_sizeof] = ACTIONS(1715),
    [anon_sym___alignof__] = ACTIONS(1715),
    [anon_sym___alignof] = ACTIONS(1715),
    [anon_sym__alignof] = ACTIONS(1715),
    [anon_sym_alignof] = ACTIONS(1715),
    [anon_sym__Alignof] = ACTIONS(1715),
    [anon_sym_offsetof] = ACTIONS(1715),
    [anon_sym__Generic] = ACTIONS(1715),
    [anon_sym_asm] = ACTIONS(1715),
    [anon_sym___asm__] = ACTIONS(1715),
    [sym_number_literal] = ACTIONS(1717),
    [anon_sym_L_SQUOTE] = ACTIONS(1717),
    [anon_sym_u_SQUOTE] = ACTIONS(1717),
    [anon_sym_U_SQUOTE] = ACTIONS(1717),
    [anon_sym_u8_SQUOTE] = ACTIONS(1717),
    [anon_sym_SQUOTE] = ACTIONS(1717),
    [anon_sym_L_DQUOTE] = ACTIONS(1717),
    [anon_sym_u_DQUOTE] = ACTIONS(1717),
    [anon_sym_U_DQUOTE] = ACTIONS(1717),
    [anon_sym_u8_DQUOTE] = ACTIONS(1717),
    [anon_sym_DQUOTE] = ACTIONS(1717),
    [sym_true] = ACTIONS(1715),
    [sym_false] = ACTIONS(1715),
    [anon_sym_NULL] = ACTIONS(1715),
    [anon_sym_nullptr] = ACTIONS(1715),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1715),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1715),
    [anon_sym_hitAttributeEXT] = ACTIONS(1715),
    [anon_sym_callableDataEXT] = ACTIONS(1715),
    [anon_sym_callableDataInEXT] = ACTIONS(1715),
    [anon_sym_shaderRecordEXT] = ACTIONS(1715),
    [anon_sym_rayPayloadNV] = ACTIONS(1715),
    [anon_sym_rayPayloadInNV] = ACTIONS(1715),
    [anon_sym_hitAttributeNV] = ACTIONS(1715),
    [anon_sym_callableDataNV] = ACTIONS(1715),
    [anon_sym_callableDataInNV] = ACTIONS(1715),
    [anon_sym_shaderRecordNV] = ACTIONS(1715),
    [anon_sym_layout] = ACTIONS(1715),
  },
  [552] = {
    [sym_identifier] = ACTIONS(1719),
    [aux_sym_preproc_include_token1] = ACTIONS(1719),
    [aux_sym_preproc_def_token1] = ACTIONS(1719),
    [aux_sym_preproc_if_token1] = ACTIONS(1719),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1719),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1719),
    [sym_preproc_directive] = ACTIONS(1719),
    [anon_sym_LPAREN2] = ACTIONS(1721),
    [anon_sym_BANG] = ACTIONS(1721),
    [anon_sym_TILDE] = ACTIONS(1721),
    [anon_sym_DASH] = ACTIONS(1719),
    [anon_sym_PLUS] = ACTIONS(1719),
    [anon_sym_STAR] = ACTIONS(1721),
    [anon_sym_AMP] = ACTIONS(1721),
    [anon_sym_subroutine] = ACTIONS(1719),
    [anon_sym_invariant] = ACTIONS(1719),
    [anon_sym_precise] = ACTIONS(1719),
    [anon_sym_SEMI] = ACTIONS(1721),
    [anon_sym_in] = ACTIONS(1719),
    [anon_sym_out] = ACTIONS(1719),
    [anon_sym_inout] = ACTIONS(1719),
    [anon_sym_uniform] = ACTIONS(1719),
    [anon_sym_shared] = ACTIONS(1719),
    [anon_sym_attribute] = ACTIONS(1719),
    [anon_sym_varying] = ACTIONS(1719),
    [anon_sym_buffer] = ACTIONS(1719),
    [anon_sym_coherent] = ACTIONS(1719),
    [anon_sym_readonly] = ACTIONS(1719),
    [anon_sym_writeonly] = ACTIONS(1719),
    [anon_sym_precision] = ACTIONS(1719),
    [anon_sym_highp] = ACTIONS(1719),
    [anon_sym_mediump] = ACTIONS(1719),
    [anon_sym_lowp] = ACTIONS(1719),
    [anon_sym_centroid] = ACTIONS(1719),
    [anon_sym_sample] = ACTIONS(1719),
    [anon_sym_patch] = ACTIONS(1719),
    [anon_sym_smooth] = ACTIONS(1719),
    [anon_sym_flat] = ACTIONS(1719),
    [anon_sym_noperspective] = ACTIONS(1719),
    [anon_sym___extension__] = ACTIONS(1719),
    [anon_sym_typedef] = ACTIONS(1719),
    [anon_sym_extern] = ACTIONS(1719),
    [anon_sym___attribute__] = ACTIONS(1719),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1721),
    [anon_sym___declspec] = ACTIONS(1719),
    [anon_sym___cdecl] = ACTIONS(1719),
    [anon_sym___clrcall] = ACTIONS(1719),
    [anon_sym___stdcall] = ACTIONS(1719),
    [anon_sym___fastcall] = ACTIONS(1719),
    [anon_sym___thiscall] = ACTIONS(1719),
    [anon_sym___vectorcall] = ACTIONS(1719),
    [anon_sym_LBRACE] = ACTIONS(1721),
    [anon_sym_RBRACE] = ACTIONS(1721),
    [anon_sym_signed] = ACTIONS(1719),
    [anon_sym_unsigned] = ACTIONS(1719),
    [anon_sym_long] = ACTIONS(1719),
    [anon_sym_short] = ACTIONS(1719),
    [anon_sym_static] = ACTIONS(1719),
    [anon_sym_auto] = ACTIONS(1719),
    [anon_sym_register] = ACTIONS(1719),
    [anon_sym_inline] = ACTIONS(1719),
    [anon_sym___inline] = ACTIONS(1719),
    [anon_sym___inline__] = ACTIONS(1719),
    [anon_sym___forceinline] = ACTIONS(1719),
    [anon_sym_thread_local] = ACTIONS(1719),
    [anon_sym___thread] = ACTIONS(1719),
    [anon_sym_const] = ACTIONS(1719),
    [anon_sym_constexpr] = ACTIONS(1719),
    [anon_sym_volatile] = ACTIONS(1719),
    [anon_sym_restrict] = ACTIONS(1719),
    [anon_sym___restrict__] = ACTIONS(1719),
    [anon_sym__Atomic] = ACTIONS(1719),
    [anon_sym__Noreturn] = ACTIONS(1719),
    [anon_sym_noreturn] = ACTIONS(1719),
    [sym_primitive_type] = ACTIONS(1719),
    [anon_sym_enum] = ACTIONS(1719),
    [anon_sym_struct] = ACTIONS(1719),
    [anon_sym_union] = ACTIONS(1719),
    [anon_sym_if] = ACTIONS(1719),
    [anon_sym_switch] = ACTIONS(1719),
    [anon_sym_case] = ACTIONS(1719),
    [anon_sym_default] = ACTIONS(1719),
    [anon_sym_while] = ACTIONS(1719),
    [anon_sym_do] = ACTIONS(1719),
    [anon_sym_for] = ACTIONS(1719),
    [anon_sym_return] = ACTIONS(1719),
    [anon_sym_break] = ACTIONS(1719),
    [anon_sym_continue] = ACTIONS(1719),
    [anon_sym_goto] = ACTIONS(1719),
    [anon_sym___try] = ACTIONS(1719),
    [anon_sym___leave] = ACTIONS(1719),
    [anon_sym_DASH_DASH] = ACTIONS(1721),
    [anon_sym_PLUS_PLUS] = ACTIONS(1721),
    [anon_sym_sizeof] = ACTIONS(1719),
    [anon_sym___alignof__] = ACTIONS(1719),
    [anon_sym___alignof] = ACTIONS(1719),
    [anon_sym__alignof] = ACTIONS(1719),
    [anon_sym_alignof] = ACTIONS(1719),
    [anon_sym__Alignof] = ACTIONS(1719),
    [anon_sym_offsetof] = ACTIONS(1719),
    [anon_sym__Generic] = ACTIONS(1719),
    [anon_sym_asm] = ACTIONS(1719),
    [anon_sym___asm__] = ACTIONS(1719),
    [sym_number_literal] = ACTIONS(1721),
    [anon_sym_L_SQUOTE] = ACTIONS(1721),
    [anon_sym_u_SQUOTE] = ACTIONS(1721),
    [anon_sym_U_SQUOTE] = ACTIONS(1721),
    [anon_sym_u8_SQUOTE] = ACTIONS(1721),
    [anon_sym_SQUOTE] = ACTIONS(1721),
    [anon_sym_L_DQUOTE] = ACTIONS(1721),
    [anon_sym_u_DQUOTE] = ACTIONS(1721),
    [anon_sym_U_DQUOTE] = ACTIONS(1721),
    [anon_sym_u8_DQUOTE] = ACTIONS(1721),
    [anon_sym_DQUOTE] = ACTIONS(1721),
    [sym_true] = ACTIONS(1719),
    [sym_false] = ACTIONS(1719),
    [anon_sym_NULL] = ACTIONS(1719),
    [anon_sym_nullptr] = ACTIONS(1719),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1719),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1719),
    [anon_sym_hitAttributeEXT] = ACTIONS(1719),
    [anon_sym_callableDataEXT] = ACTIONS(1719),
    [anon_sym_callableDataInEXT] = ACTIONS(1719),
    [anon_sym_shaderRecordEXT] = ACTIONS(1719),
    [anon_sym_rayPayloadNV] = ACTIONS(1719),
    [anon_sym_rayPayloadInNV] = ACTIONS(1719),
    [anon_sym_hitAttributeNV] = ACTIONS(1719),
    [anon_sym_callableDataNV] = ACTIONS(1719),
    [anon_sym_callableDataInNV] = ACTIONS(1719),
    [anon_sym_shaderRecordNV] = ACTIONS(1719),
    [anon_sym_layout] = ACTIONS(1719),
  },
  [553] = {
    [sym_identifier] = ACTIONS(1723),
    [aux_sym_preproc_include_token1] = ACTIONS(1723),
    [aux_sym_preproc_def_token1] = ACTIONS(1723),
    [aux_sym_preproc_if_token1] = ACTIONS(1723),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1723),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1723),
    [sym_preproc_directive] = ACTIONS(1723),
    [anon_sym_LPAREN2] = ACTIONS(1725),
    [anon_sym_BANG] = ACTIONS(1725),
    [anon_sym_TILDE] = ACTIONS(1725),
    [anon_sym_DASH] = ACTIONS(1723),
    [anon_sym_PLUS] = ACTIONS(1723),
    [anon_sym_STAR] = ACTIONS(1725),
    [anon_sym_AMP] = ACTIONS(1725),
    [anon_sym_subroutine] = ACTIONS(1723),
    [anon_sym_invariant] = ACTIONS(1723),
    [anon_sym_precise] = ACTIONS(1723),
    [anon_sym_SEMI] = ACTIONS(1725),
    [anon_sym_in] = ACTIONS(1723),
    [anon_sym_out] = ACTIONS(1723),
    [anon_sym_inout] = ACTIONS(1723),
    [anon_sym_uniform] = ACTIONS(1723),
    [anon_sym_shared] = ACTIONS(1723),
    [anon_sym_attribute] = ACTIONS(1723),
    [anon_sym_varying] = ACTIONS(1723),
    [anon_sym_buffer] = ACTIONS(1723),
    [anon_sym_coherent] = ACTIONS(1723),
    [anon_sym_readonly] = ACTIONS(1723),
    [anon_sym_writeonly] = ACTIONS(1723),
    [anon_sym_precision] = ACTIONS(1723),
    [anon_sym_highp] = ACTIONS(1723),
    [anon_sym_mediump] = ACTIONS(1723),
    [anon_sym_lowp] = ACTIONS(1723),
    [anon_sym_centroid] = ACTIONS(1723),
    [anon_sym_sample] = ACTIONS(1723),
    [anon_sym_patch] = ACTIONS(1723),
    [anon_sym_smooth] = ACTIONS(1723),
    [anon_sym_flat] = ACTIONS(1723),
    [anon_sym_noperspective] = ACTIONS(1723),
    [anon_sym___extension__] = ACTIONS(1723),
    [anon_sym_typedef] = ACTIONS(1723),
    [anon_sym_extern] = ACTIONS(1723),
    [anon_sym___attribute__] = ACTIONS(1723),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1725),
    [anon_sym___declspec] = ACTIONS(1723),
    [anon_sym___cdecl] = ACTIONS(1723),
    [anon_sym___clrcall] = ACTIONS(1723),
    [anon_sym___stdcall] = ACTIONS(1723),
    [anon_sym___fastcall] = ACTIONS(1723),
    [anon_sym___thiscall] = ACTIONS(1723),
    [anon_sym___vectorcall] = ACTIONS(1723),
    [anon_sym_LBRACE] = ACTIONS(1725),
    [anon_sym_RBRACE] = ACTIONS(1725),
    [anon_sym_signed] = ACTIONS(1723),
    [anon_sym_unsigned] = ACTIONS(1723),
    [anon_sym_long] = ACTIONS(1723),
    [anon_sym_short] = ACTIONS(1723),
    [anon_sym_static] = ACTIONS(1723),
    [anon_sym_auto] = ACTIONS(1723),
    [anon_sym_register] = ACTIONS(1723),
    [anon_sym_inline] = ACTIONS(1723),
    [anon_sym___inline] = ACTIONS(1723),
    [anon_sym___inline__] = ACTIONS(1723),
    [anon_sym___forceinline] = ACTIONS(1723),
    [anon_sym_thread_local] = ACTIONS(1723),
    [anon_sym___thread] = ACTIONS(1723),
    [anon_sym_const] = ACTIONS(1723),
    [anon_sym_constexpr] = ACTIONS(1723),
    [anon_sym_volatile] = ACTIONS(1723),
    [anon_sym_restrict] = ACTIONS(1723),
    [anon_sym___restrict__] = ACTIONS(1723),
    [anon_sym__Atomic] = ACTIONS(1723),
    [anon_sym__Noreturn] = ACTIONS(1723),
    [anon_sym_noreturn] = ACTIONS(1723),
    [sym_primitive_type] = ACTIONS(1723),
    [anon_sym_enum] = ACTIONS(1723),
    [anon_sym_struct] = ACTIONS(1723),
    [anon_sym_union] = ACTIONS(1723),
    [anon_sym_if] = ACTIONS(1723),
    [anon_sym_switch] = ACTIONS(1723),
    [anon_sym_case] = ACTIONS(1723),
    [anon_sym_default] = ACTIONS(1723),
    [anon_sym_while] = ACTIONS(1723),
    [anon_sym_do] = ACTIONS(1723),
    [anon_sym_for] = ACTIONS(1723),
    [anon_sym_return] = ACTIONS(1723),
    [anon_sym_break] = ACTIONS(1723),
    [anon_sym_continue] = ACTIONS(1723),
    [anon_sym_goto] = ACTIONS(1723),
    [anon_sym___try] = ACTIONS(1723),
    [anon_sym___leave] = ACTIONS(1723),
    [anon_sym_DASH_DASH] = ACTIONS(1725),
    [anon_sym_PLUS_PLUS] = ACTIONS(1725),
    [anon_sym_sizeof] = ACTIONS(1723),
    [anon_sym___alignof__] = ACTIONS(1723),
    [anon_sym___alignof] = ACTIONS(1723),
    [anon_sym__alignof] = ACTIONS(1723),
    [anon_sym_alignof] = ACTIONS(1723),
    [anon_sym__Alignof] = ACTIONS(1723),
    [anon_sym_offsetof] = ACTIONS(1723),
    [anon_sym__Generic] = ACTIONS(1723),
    [anon_sym_asm] = ACTIONS(1723),
    [anon_sym___asm__] = ACTIONS(1723),
    [sym_number_literal] = ACTIONS(1725),
    [anon_sym_L_SQUOTE] = ACTIONS(1725),
    [anon_sym_u_SQUOTE] = ACTIONS(1725),
    [anon_sym_U_SQUOTE] = ACTIONS(1725),
    [anon_sym_u8_SQUOTE] = ACTIONS(1725),
    [anon_sym_SQUOTE] = ACTIONS(1725),
    [anon_sym_L_DQUOTE] = ACTIONS(1725),
    [anon_sym_u_DQUOTE] = ACTIONS(1725),
    [anon_sym_U_DQUOTE] = ACTIONS(1725),
    [anon_sym_u8_DQUOTE] = ACTIONS(1725),
    [anon_sym_DQUOTE] = ACTIONS(1725),
    [sym_true] = ACTIONS(1723),
    [sym_false] = ACTIONS(1723),
    [anon_sym_NULL] = ACTIONS(1723),
    [anon_sym_nullptr] = ACTIONS(1723),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1723),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1723),
    [anon_sym_hitAttributeEXT] = ACTIONS(1723),
    [anon_sym_callableDataEXT] = ACTIONS(1723),
    [anon_sym_callableDataInEXT] = ACTIONS(1723),
    [anon_sym_shaderRecordEXT] = ACTIONS(1723),
    [anon_sym_rayPayloadNV] = ACTIONS(1723),
    [anon_sym_rayPayloadInNV] = ACTIONS(1723),
    [anon_sym_hitAttributeNV] = ACTIONS(1723),
    [anon_sym_callableDataNV] = ACTIONS(1723),
    [anon_sym_callableDataInNV] = ACTIONS(1723),
    [anon_sym_shaderRecordNV] = ACTIONS(1723),
    [anon_sym_layout] = ACTIONS(1723),
  },
  [554] = {
    [sym_identifier] = ACTIONS(1715),
    [aux_sym_preproc_include_token1] = ACTIONS(1715),
    [aux_sym_preproc_def_token1] = ACTIONS(1715),
    [aux_sym_preproc_if_token1] = ACTIONS(1715),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1715),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1715),
    [sym_preproc_directive] = ACTIONS(1715),
    [anon_sym_LPAREN2] = ACTIONS(1717),
    [anon_sym_BANG] = ACTIONS(1717),
    [anon_sym_TILDE] = ACTIONS(1717),
    [anon_sym_DASH] = ACTIONS(1715),
    [anon_sym_PLUS] = ACTIONS(1715),
    [anon_sym_STAR] = ACTIONS(1717),
    [anon_sym_AMP] = ACTIONS(1717),
    [anon_sym_subroutine] = ACTIONS(1715),
    [anon_sym_invariant] = ACTIONS(1715),
    [anon_sym_precise] = ACTIONS(1715),
    [anon_sym_SEMI] = ACTIONS(1717),
    [anon_sym_in] = ACTIONS(1715),
    [anon_sym_out] = ACTIONS(1715),
    [anon_sym_inout] = ACTIONS(1715),
    [anon_sym_uniform] = ACTIONS(1715),
    [anon_sym_shared] = ACTIONS(1715),
    [anon_sym_attribute] = ACTIONS(1715),
    [anon_sym_varying] = ACTIONS(1715),
    [anon_sym_buffer] = ACTIONS(1715),
    [anon_sym_coherent] = ACTIONS(1715),
    [anon_sym_readonly] = ACTIONS(1715),
    [anon_sym_writeonly] = ACTIONS(1715),
    [anon_sym_precision] = ACTIONS(1715),
    [anon_sym_highp] = ACTIONS(1715),
    [anon_sym_mediump] = ACTIONS(1715),
    [anon_sym_lowp] = ACTIONS(1715),
    [anon_sym_centroid] = ACTIONS(1715),
    [anon_sym_sample] = ACTIONS(1715),
    [anon_sym_patch] = ACTIONS(1715),
    [anon_sym_smooth] = ACTIONS(1715),
    [anon_sym_flat] = ACTIONS(1715),
    [anon_sym_noperspective] = ACTIONS(1715),
    [anon_sym___extension__] = ACTIONS(1715),
    [anon_sym_typedef] = ACTIONS(1715),
    [anon_sym_extern] = ACTIONS(1715),
    [anon_sym___attribute__] = ACTIONS(1715),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1717),
    [anon_sym___declspec] = ACTIONS(1715),
    [anon_sym___cdecl] = ACTIONS(1715),
    [anon_sym___clrcall] = ACTIONS(1715),
    [anon_sym___stdcall] = ACTIONS(1715),
    [anon_sym___fastcall] = ACTIONS(1715),
    [anon_sym___thiscall] = ACTIONS(1715),
    [anon_sym___vectorcall] = ACTIONS(1715),
    [anon_sym_LBRACE] = ACTIONS(1717),
    [anon_sym_RBRACE] = ACTIONS(1717),
    [anon_sym_signed] = ACTIONS(1715),
    [anon_sym_unsigned] = ACTIONS(1715),
    [anon_sym_long] = ACTIONS(1715),
    [anon_sym_short] = ACTIONS(1715),
    [anon_sym_static] = ACTIONS(1715),
    [anon_sym_auto] = ACTIONS(1715),
    [anon_sym_register] = ACTIONS(1715),
    [anon_sym_inline] = ACTIONS(1715),
    [anon_sym___inline] = ACTIONS(1715),
    [anon_sym___inline__] = ACTIONS(1715),
    [anon_sym___forceinline] = ACTIONS(1715),
    [anon_sym_thread_local] = ACTIONS(1715),
    [anon_sym___thread] = ACTIONS(1715),
    [anon_sym_const] = ACTIONS(1715),
    [anon_sym_constexpr] = ACTIONS(1715),
    [anon_sym_volatile] = ACTIONS(1715),
    [anon_sym_restrict] = ACTIONS(1715),
    [anon_sym___restrict__] = ACTIONS(1715),
    [anon_sym__Atomic] = ACTIONS(1715),
    [anon_sym__Noreturn] = ACTIONS(1715),
    [anon_sym_noreturn] = ACTIONS(1715),
    [sym_primitive_type] = ACTIONS(1715),
    [anon_sym_enum] = ACTIONS(1715),
    [anon_sym_struct] = ACTIONS(1715),
    [anon_sym_union] = ACTIONS(1715),
    [anon_sym_if] = ACTIONS(1715),
    [anon_sym_switch] = ACTIONS(1715),
    [anon_sym_case] = ACTIONS(1715),
    [anon_sym_default] = ACTIONS(1715),
    [anon_sym_while] = ACTIONS(1715),
    [anon_sym_do] = ACTIONS(1715),
    [anon_sym_for] = ACTIONS(1715),
    [anon_sym_return] = ACTIONS(1715),
    [anon_sym_break] = ACTIONS(1715),
    [anon_sym_continue] = ACTIONS(1715),
    [anon_sym_goto] = ACTIONS(1715),
    [anon_sym___try] = ACTIONS(1715),
    [anon_sym___leave] = ACTIONS(1715),
    [anon_sym_DASH_DASH] = ACTIONS(1717),
    [anon_sym_PLUS_PLUS] = ACTIONS(1717),
    [anon_sym_sizeof] = ACTIONS(1715),
    [anon_sym___alignof__] = ACTIONS(1715),
    [anon_sym___alignof] = ACTIONS(1715),
    [anon_sym__alignof] = ACTIONS(1715),
    [anon_sym_alignof] = ACTIONS(1715),
    [anon_sym__Alignof] = ACTIONS(1715),
    [anon_sym_offsetof] = ACTIONS(1715),
    [anon_sym__Generic] = ACTIONS(1715),
    [anon_sym_asm] = ACTIONS(1715),
    [anon_sym___asm__] = ACTIONS(1715),
    [sym_number_literal] = ACTIONS(1717),
    [anon_sym_L_SQUOTE] = ACTIONS(1717),
    [anon_sym_u_SQUOTE] = ACTIONS(1717),
    [anon_sym_U_SQUOTE] = ACTIONS(1717),
    [anon_sym_u8_SQUOTE] = ACTIONS(1717),
    [anon_sym_SQUOTE] = ACTIONS(1717),
    [anon_sym_L_DQUOTE] = ACTIONS(1717),
    [anon_sym_u_DQUOTE] = ACTIONS(1717),
    [anon_sym_U_DQUOTE] = ACTIONS(1717),
    [anon_sym_u8_DQUOTE] = ACTIONS(1717),
    [anon_sym_DQUOTE] = ACTIONS(1717),
    [sym_true] = ACTIONS(1715),
    [sym_false] = ACTIONS(1715),
    [anon_sym_NULL] = ACTIONS(1715),
    [anon_sym_nullptr] = ACTIONS(1715),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1715),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1715),
    [anon_sym_hitAttributeEXT] = ACTIONS(1715),
    [anon_sym_callableDataEXT] = ACTIONS(1715),
    [anon_sym_callableDataInEXT] = ACTIONS(1715),
    [anon_sym_shaderRecordEXT] = ACTIONS(1715),
    [anon_sym_rayPayloadNV] = ACTIONS(1715),
    [anon_sym_rayPayloadInNV] = ACTIONS(1715),
    [anon_sym_hitAttributeNV] = ACTIONS(1715),
    [anon_sym_callableDataNV] = ACTIONS(1715),
    [anon_sym_callableDataInNV] = ACTIONS(1715),
    [anon_sym_shaderRecordNV] = ACTIONS(1715),
    [anon_sym_layout] = ACTIONS(1715),
  },
  [555] = {
    [sym_identifier] = ACTIONS(1695),
    [aux_sym_preproc_include_token1] = ACTIONS(1695),
    [aux_sym_preproc_def_token1] = ACTIONS(1695),
    [aux_sym_preproc_if_token1] = ACTIONS(1695),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1695),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1695),
    [sym_preproc_directive] = ACTIONS(1695),
    [anon_sym_LPAREN2] = ACTIONS(1697),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1695),
    [anon_sym_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_subroutine] = ACTIONS(1695),
    [anon_sym_invariant] = ACTIONS(1695),
    [anon_sym_precise] = ACTIONS(1695),
    [anon_sym_SEMI] = ACTIONS(1697),
    [anon_sym_in] = ACTIONS(1695),
    [anon_sym_out] = ACTIONS(1695),
    [anon_sym_inout] = ACTIONS(1695),
    [anon_sym_uniform] = ACTIONS(1695),
    [anon_sym_shared] = ACTIONS(1695),
    [anon_sym_attribute] = ACTIONS(1695),
    [anon_sym_varying] = ACTIONS(1695),
    [anon_sym_buffer] = ACTIONS(1695),
    [anon_sym_coherent] = ACTIONS(1695),
    [anon_sym_readonly] = ACTIONS(1695),
    [anon_sym_writeonly] = ACTIONS(1695),
    [anon_sym_precision] = ACTIONS(1695),
    [anon_sym_highp] = ACTIONS(1695),
    [anon_sym_mediump] = ACTIONS(1695),
    [anon_sym_lowp] = ACTIONS(1695),
    [anon_sym_centroid] = ACTIONS(1695),
    [anon_sym_sample] = ACTIONS(1695),
    [anon_sym_patch] = ACTIONS(1695),
    [anon_sym_smooth] = ACTIONS(1695),
    [anon_sym_flat] = ACTIONS(1695),
    [anon_sym_noperspective] = ACTIONS(1695),
    [anon_sym___extension__] = ACTIONS(1695),
    [anon_sym_typedef] = ACTIONS(1695),
    [anon_sym_extern] = ACTIONS(1695),
    [anon_sym___attribute__] = ACTIONS(1695),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1697),
    [anon_sym___declspec] = ACTIONS(1695),
    [anon_sym___cdecl] = ACTIONS(1695),
    [anon_sym___clrcall] = ACTIONS(1695),
    [anon_sym___stdcall] = ACTIONS(1695),
    [anon_sym___fastcall] = ACTIONS(1695),
    [anon_sym___thiscall] = ACTIONS(1695),
    [anon_sym___vectorcall] = ACTIONS(1695),
    [anon_sym_LBRACE] = ACTIONS(1697),
    [anon_sym_RBRACE] = ACTIONS(1697),
    [anon_sym_signed] = ACTIONS(1695),
    [anon_sym_unsigned] = ACTIONS(1695),
    [anon_sym_long] = ACTIONS(1695),
    [anon_sym_short] = ACTIONS(1695),
    [anon_sym_static] = ACTIONS(1695),
    [anon_sym_auto] = ACTIONS(1695),
    [anon_sym_register] = ACTIONS(1695),
    [anon_sym_inline] = ACTIONS(1695),
    [anon_sym___inline] = ACTIONS(1695),
    [anon_sym___inline__] = ACTIONS(1695),
    [anon_sym___forceinline] = ACTIONS(1695),
    [anon_sym_thread_local] = ACTIONS(1695),
    [anon_sym___thread] = ACTIONS(1695),
    [anon_sym_const] = ACTIONS(1695),
    [anon_sym_constexpr] = ACTIONS(1695),
    [anon_sym_volatile] = ACTIONS(1695),
    [anon_sym_restrict] = ACTIONS(1695),
    [anon_sym___restrict__] = ACTIONS(1695),
    [anon_sym__Atomic] = ACTIONS(1695),
    [anon_sym__Noreturn] = ACTIONS(1695),
    [anon_sym_noreturn] = ACTIONS(1695),
    [sym_primitive_type] = ACTIONS(1695),
    [anon_sym_enum] = ACTIONS(1695),
    [anon_sym_struct] = ACTIONS(1695),
    [anon_sym_union] = ACTIONS(1695),
    [anon_sym_if] = ACTIONS(1695),
    [anon_sym_switch] = ACTIONS(1695),
    [anon_sym_case] = ACTIONS(1695),
    [anon_sym_default] = ACTIONS(1695),
    [anon_sym_while] = ACTIONS(1695),
    [anon_sym_do] = ACTIONS(1695),
    [anon_sym_for] = ACTIONS(1695),
    [anon_sym_return] = ACTIONS(1695),
    [anon_sym_break] = ACTIONS(1695),
    [anon_sym_continue] = ACTIONS(1695),
    [anon_sym_goto] = ACTIONS(1695),
    [anon_sym___try] = ACTIONS(1695),
    [anon_sym___leave] = ACTIONS(1695),
    [anon_sym_DASH_DASH] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1697),
    [anon_sym_sizeof] = ACTIONS(1695),
    [anon_sym___alignof__] = ACTIONS(1695),
    [anon_sym___alignof] = ACTIONS(1695),
    [anon_sym__alignof] = ACTIONS(1695),
    [anon_sym_alignof] = ACTIONS(1695),
    [anon_sym__Alignof] = ACTIONS(1695),
    [anon_sym_offsetof] = ACTIONS(1695),
    [anon_sym__Generic] = ACTIONS(1695),
    [anon_sym_asm] = ACTIONS(1695),
    [anon_sym___asm__] = ACTIONS(1695),
    [sym_number_literal] = ACTIONS(1697),
    [anon_sym_L_SQUOTE] = ACTIONS(1697),
    [anon_sym_u_SQUOTE] = ACTIONS(1697),
    [anon_sym_U_SQUOTE] = ACTIONS(1697),
    [anon_sym_u8_SQUOTE] = ACTIONS(1697),
    [anon_sym_SQUOTE] = ACTIONS(1697),
    [anon_sym_L_DQUOTE] = ACTIONS(1697),
    [anon_sym_u_DQUOTE] = ACTIONS(1697),
    [anon_sym_U_DQUOTE] = ACTIONS(1697),
    [anon_sym_u8_DQUOTE] = ACTIONS(1697),
    [anon_sym_DQUOTE] = ACTIONS(1697),
    [sym_true] = ACTIONS(1695),
    [sym_false] = ACTIONS(1695),
    [anon_sym_NULL] = ACTIONS(1695),
    [anon_sym_nullptr] = ACTIONS(1695),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1695),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1695),
    [anon_sym_hitAttributeEXT] = ACTIONS(1695),
    [anon_sym_callableDataEXT] = ACTIONS(1695),
    [anon_sym_callableDataInEXT] = ACTIONS(1695),
    [anon_sym_shaderRecordEXT] = ACTIONS(1695),
    [anon_sym_rayPayloadNV] = ACTIONS(1695),
    [anon_sym_rayPayloadInNV] = ACTIONS(1695),
    [anon_sym_hitAttributeNV] = ACTIONS(1695),
    [anon_sym_callableDataNV] = ACTIONS(1695),
    [anon_sym_callableDataInNV] = ACTIONS(1695),
    [anon_sym_shaderRecordNV] = ACTIONS(1695),
    [anon_sym_layout] = ACTIONS(1695),
  },
  [556] = {
    [sym_identifier] = ACTIONS(1691),
    [aux_sym_preproc_include_token1] = ACTIONS(1691),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(1691),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1691),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1691),
    [sym_preproc_directive] = ACTIONS(1691),
    [anon_sym_LPAREN2] = ACTIONS(1693),
    [anon_sym_BANG] = ACTIONS(1693),
    [anon_sym_TILDE] = ACTIONS(1693),
    [anon_sym_DASH] = ACTIONS(1691),
    [anon_sym_PLUS] = ACTIONS(1691),
    [anon_sym_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1693),
    [anon_sym_subroutine] = ACTIONS(1691),
    [anon_sym_invariant] = ACTIONS(1691),
    [anon_sym_precise] = ACTIONS(1691),
    [anon_sym_SEMI] = ACTIONS(1693),
    [anon_sym_in] = ACTIONS(1691),
    [anon_sym_out] = ACTIONS(1691),
    [anon_sym_inout] = ACTIONS(1691),
    [anon_sym_uniform] = ACTIONS(1691),
    [anon_sym_shared] = ACTIONS(1691),
    [anon_sym_attribute] = ACTIONS(1691),
    [anon_sym_varying] = ACTIONS(1691),
    [anon_sym_buffer] = ACTIONS(1691),
    [anon_sym_coherent] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_writeonly] = ACTIONS(1691),
    [anon_sym_precision] = ACTIONS(1691),
    [anon_sym_highp] = ACTIONS(1691),
    [anon_sym_mediump] = ACTIONS(1691),
    [anon_sym_lowp] = ACTIONS(1691),
    [anon_sym_centroid] = ACTIONS(1691),
    [anon_sym_sample] = ACTIONS(1691),
    [anon_sym_patch] = ACTIONS(1691),
    [anon_sym_smooth] = ACTIONS(1691),
    [anon_sym_flat] = ACTIONS(1691),
    [anon_sym_noperspective] = ACTIONS(1691),
    [anon_sym___extension__] = ACTIONS(1691),
    [anon_sym_typedef] = ACTIONS(1691),
    [anon_sym_extern] = ACTIONS(1691),
    [anon_sym___attribute__] = ACTIONS(1691),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1693),
    [anon_sym___declspec] = ACTIONS(1691),
    [anon_sym___cdecl] = ACTIONS(1691),
    [anon_sym___clrcall] = ACTIONS(1691),
    [anon_sym___stdcall] = ACTIONS(1691),
    [anon_sym___fastcall] = ACTIONS(1691),
    [anon_sym___thiscall] = ACTIONS(1691),
    [anon_sym___vectorcall] = ACTIONS(1691),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_RBRACE] = ACTIONS(1693),
    [anon_sym_signed] = ACTIONS(1691),
    [anon_sym_unsigned] = ACTIONS(1691),
    [anon_sym_long] = ACTIONS(1691),
    [anon_sym_short] = ACTIONS(1691),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_auto] = ACTIONS(1691),
    [anon_sym_register] = ACTIONS(1691),
    [anon_sym_inline] = ACTIONS(1691),
    [anon_sym___inline] = ACTIONS(1691),
    [anon_sym___inline__] = ACTIONS(1691),
    [anon_sym___forceinline] = ACTIONS(1691),
    [anon_sym_thread_local] = ACTIONS(1691),
    [anon_sym___thread] = ACTIONS(1691),
    [anon_sym_const] = ACTIONS(1691),
    [anon_sym_constexpr] = ACTIONS(1691),
    [anon_sym_volatile] = ACTIONS(1691),
    [anon_sym_restrict] = ACTIONS(1691),
    [anon_sym___restrict__] = ACTIONS(1691),
    [anon_sym__Atomic] = ACTIONS(1691),
    [anon_sym__Noreturn] = ACTIONS(1691),
    [anon_sym_noreturn] = ACTIONS(1691),
    [sym_primitive_type] = ACTIONS(1691),
    [anon_sym_enum] = ACTIONS(1691),
    [anon_sym_struct] = ACTIONS(1691),
    [anon_sym_union] = ACTIONS(1691),
    [anon_sym_if] = ACTIONS(1691),
    [anon_sym_switch] = ACTIONS(1691),
    [anon_sym_case] = ACTIONS(1691),
    [anon_sym_default] = ACTIONS(1691),
    [anon_sym_while] = ACTIONS(1691),
    [anon_sym_do] = ACTIONS(1691),
    [anon_sym_for] = ACTIONS(1691),
    [anon_sym_return] = ACTIONS(1691),
    [anon_sym_break] = ACTIONS(1691),
    [anon_sym_continue] = ACTIONS(1691),
    [anon_sym_goto] = ACTIONS(1691),
    [anon_sym___try] = ACTIONS(1691),
    [anon_sym___leave] = ACTIONS(1691),
    [anon_sym_DASH_DASH] = ACTIONS(1693),
    [anon_sym_PLUS_PLUS] = ACTIONS(1693),
    [anon_sym_sizeof] = ACTIONS(1691),
    [anon_sym___alignof__] = ACTIONS(1691),
    [anon_sym___alignof] = ACTIONS(1691),
    [anon_sym__alignof] = ACTIONS(1691),
    [anon_sym_alignof] = ACTIONS(1691),
    [anon_sym__Alignof] = ACTIONS(1691),
    [anon_sym_offsetof] = ACTIONS(1691),
    [anon_sym__Generic] = ACTIONS(1691),
    [anon_sym_asm] = ACTIONS(1691),
    [anon_sym___asm__] = ACTIONS(1691),
    [sym_number_literal] = ACTIONS(1693),
    [anon_sym_L_SQUOTE] = ACTIONS(1693),
    [anon_sym_u_SQUOTE] = ACTIONS(1693),
    [anon_sym_U_SQUOTE] = ACTIONS(1693),
    [anon_sym_u8_SQUOTE] = ACTIONS(1693),
    [anon_sym_SQUOTE] = ACTIONS(1693),
    [anon_sym_L_DQUOTE] = ACTIONS(1693),
    [anon_sym_u_DQUOTE] = ACTIONS(1693),
    [anon_sym_U_DQUOTE] = ACTIONS(1693),
    [anon_sym_u8_DQUOTE] = ACTIONS(1693),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [sym_true] = ACTIONS(1691),
    [sym_false] = ACTIONS(1691),
    [anon_sym_NULL] = ACTIONS(1691),
    [anon_sym_nullptr] = ACTIONS(1691),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1691),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1691),
    [anon_sym_hitAttributeEXT] = ACTIONS(1691),
    [anon_sym_callableDataEXT] = ACTIONS(1691),
    [anon_sym_callableDataInEXT] = ACTIONS(1691),
    [anon_sym_shaderRecordEXT] = ACTIONS(1691),
    [anon_sym_rayPayloadNV] = ACTIONS(1691),
    [anon_sym_rayPayloadInNV] = ACTIONS(1691),
    [anon_sym_hitAttributeNV] = ACTIONS(1691),
    [anon_sym_callableDataNV] = ACTIONS(1691),
    [anon_sym_callableDataInNV] = ACTIONS(1691),
    [anon_sym_shaderRecordNV] = ACTIONS(1691),
    [anon_sym_layout] = ACTIONS(1691),
  },
  [557] = {
    [sym_identifier] = ACTIONS(1683),
    [aux_sym_preproc_include_token1] = ACTIONS(1683),
    [aux_sym_preproc_def_token1] = ACTIONS(1683),
    [aux_sym_preproc_if_token1] = ACTIONS(1683),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1683),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1683),
    [sym_preproc_directive] = ACTIONS(1683),
    [anon_sym_LPAREN2] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1685),
    [anon_sym_TILDE] = ACTIONS(1685),
    [anon_sym_DASH] = ACTIONS(1683),
    [anon_sym_PLUS] = ACTIONS(1683),
    [anon_sym_STAR] = ACTIONS(1685),
    [anon_sym_AMP] = ACTIONS(1685),
    [anon_sym_subroutine] = ACTIONS(1683),
    [anon_sym_invariant] = ACTIONS(1683),
    [anon_sym_precise] = ACTIONS(1683),
    [anon_sym_SEMI] = ACTIONS(1685),
    [anon_sym_in] = ACTIONS(1683),
    [anon_sym_out] = ACTIONS(1683),
    [anon_sym_inout] = ACTIONS(1683),
    [anon_sym_uniform] = ACTIONS(1683),
    [anon_sym_shared] = ACTIONS(1683),
    [anon_sym_attribute] = ACTIONS(1683),
    [anon_sym_varying] = ACTIONS(1683),
    [anon_sym_buffer] = ACTIONS(1683),
    [anon_sym_coherent] = ACTIONS(1683),
    [anon_sym_readonly] = ACTIONS(1683),
    [anon_sym_writeonly] = ACTIONS(1683),
    [anon_sym_precision] = ACTIONS(1683),
    [anon_sym_highp] = ACTIONS(1683),
    [anon_sym_mediump] = ACTIONS(1683),
    [anon_sym_lowp] = ACTIONS(1683),
    [anon_sym_centroid] = ACTIONS(1683),
    [anon_sym_sample] = ACTIONS(1683),
    [anon_sym_patch] = ACTIONS(1683),
    [anon_sym_smooth] = ACTIONS(1683),
    [anon_sym_flat] = ACTIONS(1683),
    [anon_sym_noperspective] = ACTIONS(1683),
    [anon_sym___extension__] = ACTIONS(1683),
    [anon_sym_typedef] = ACTIONS(1683),
    [anon_sym_extern] = ACTIONS(1683),
    [anon_sym___attribute__] = ACTIONS(1683),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1685),
    [anon_sym___declspec] = ACTIONS(1683),
    [anon_sym___cdecl] = ACTIONS(1683),
    [anon_sym___clrcall] = ACTIONS(1683),
    [anon_sym___stdcall] = ACTIONS(1683),
    [anon_sym___fastcall] = ACTIONS(1683),
    [anon_sym___thiscall] = ACTIONS(1683),
    [anon_sym___vectorcall] = ACTIONS(1683),
    [anon_sym_LBRACE] = ACTIONS(1685),
    [anon_sym_RBRACE] = ACTIONS(1685),
    [anon_sym_signed] = ACTIONS(1683),
    [anon_sym_unsigned] = ACTIONS(1683),
    [anon_sym_long] = ACTIONS(1683),
    [anon_sym_short] = ACTIONS(1683),
    [anon_sym_static] = ACTIONS(1683),
    [anon_sym_auto] = ACTIONS(1683),
    [anon_sym_register] = ACTIONS(1683),
    [anon_sym_inline] = ACTIONS(1683),
    [anon_sym___inline] = ACTIONS(1683),
    [anon_sym___inline__] = ACTIONS(1683),
    [anon_sym___forceinline] = ACTIONS(1683),
    [anon_sym_thread_local] = ACTIONS(1683),
    [anon_sym___thread] = ACTIONS(1683),
    [anon_sym_const] = ACTIONS(1683),
    [anon_sym_constexpr] = ACTIONS(1683),
    [anon_sym_volatile] = ACTIONS(1683),
    [anon_sym_restrict] = ACTIONS(1683),
    [anon_sym___restrict__] = ACTIONS(1683),
    [anon_sym__Atomic] = ACTIONS(1683),
    [anon_sym__Noreturn] = ACTIONS(1683),
    [anon_sym_noreturn] = ACTIONS(1683),
    [sym_primitive_type] = ACTIONS(1683),
    [anon_sym_enum] = ACTIONS(1683),
    [anon_sym_struct] = ACTIONS(1683),
    [anon_sym_union] = ACTIONS(1683),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_switch] = ACTIONS(1683),
    [anon_sym_case] = ACTIONS(1683),
    [anon_sym_default] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1683),
    [anon_sym_do] = ACTIONS(1683),
    [anon_sym_for] = ACTIONS(1683),
    [anon_sym_return] = ACTIONS(1683),
    [anon_sym_break] = ACTIONS(1683),
    [anon_sym_continue] = ACTIONS(1683),
    [anon_sym_goto] = ACTIONS(1683),
    [anon_sym___try] = ACTIONS(1683),
    [anon_sym___leave] = ACTIONS(1683),
    [anon_sym_DASH_DASH] = ACTIONS(1685),
    [anon_sym_PLUS_PLUS] = ACTIONS(1685),
    [anon_sym_sizeof] = ACTIONS(1683),
    [anon_sym___alignof__] = ACTIONS(1683),
    [anon_sym___alignof] = ACTIONS(1683),
    [anon_sym__alignof] = ACTIONS(1683),
    [anon_sym_alignof] = ACTIONS(1683),
    [anon_sym__Alignof] = ACTIONS(1683),
    [anon_sym_offsetof] = ACTIONS(1683),
    [anon_sym__Generic] = ACTIONS(1683),
    [anon_sym_asm] = ACTIONS(1683),
    [anon_sym___asm__] = ACTIONS(1683),
    [sym_number_literal] = ACTIONS(1685),
    [anon_sym_L_SQUOTE] = ACTIONS(1685),
    [anon_sym_u_SQUOTE] = ACTIONS(1685),
    [anon_sym_U_SQUOTE] = ACTIONS(1685),
    [anon_sym_u8_SQUOTE] = ACTIONS(1685),
    [anon_sym_SQUOTE] = ACTIONS(1685),
    [anon_sym_L_DQUOTE] = ACTIONS(1685),
    [anon_sym_u_DQUOTE] = ACTIONS(1685),
    [anon_sym_U_DQUOTE] = ACTIONS(1685),
    [anon_sym_u8_DQUOTE] = ACTIONS(1685),
    [anon_sym_DQUOTE] = ACTIONS(1685),
    [sym_true] = ACTIONS(1683),
    [sym_false] = ACTIONS(1683),
    [anon_sym_NULL] = ACTIONS(1683),
    [anon_sym_nullptr] = ACTIONS(1683),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1683),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1683),
    [anon_sym_hitAttributeEXT] = ACTIONS(1683),
    [anon_sym_callableDataEXT] = ACTIONS(1683),
    [anon_sym_callableDataInEXT] = ACTIONS(1683),
    [anon_sym_shaderRecordEXT] = ACTIONS(1683),
    [anon_sym_rayPayloadNV] = ACTIONS(1683),
    [anon_sym_rayPayloadInNV] = ACTIONS(1683),
    [anon_sym_hitAttributeNV] = ACTIONS(1683),
    [anon_sym_callableDataNV] = ACTIONS(1683),
    [anon_sym_callableDataInNV] = ACTIONS(1683),
    [anon_sym_shaderRecordNV] = ACTIONS(1683),
    [anon_sym_layout] = ACTIONS(1683),
  },
  [558] = {
    [sym_identifier] = ACTIONS(1659),
    [aux_sym_preproc_include_token1] = ACTIONS(1659),
    [aux_sym_preproc_def_token1] = ACTIONS(1659),
    [aux_sym_preproc_if_token1] = ACTIONS(1659),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1659),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1659),
    [sym_preproc_directive] = ACTIONS(1659),
    [anon_sym_LPAREN2] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1661),
    [anon_sym_TILDE] = ACTIONS(1661),
    [anon_sym_DASH] = ACTIONS(1659),
    [anon_sym_PLUS] = ACTIONS(1659),
    [anon_sym_STAR] = ACTIONS(1661),
    [anon_sym_AMP] = ACTIONS(1661),
    [anon_sym_subroutine] = ACTIONS(1659),
    [anon_sym_invariant] = ACTIONS(1659),
    [anon_sym_precise] = ACTIONS(1659),
    [anon_sym_SEMI] = ACTIONS(1661),
    [anon_sym_in] = ACTIONS(1659),
    [anon_sym_out] = ACTIONS(1659),
    [anon_sym_inout] = ACTIONS(1659),
    [anon_sym_uniform] = ACTIONS(1659),
    [anon_sym_shared] = ACTIONS(1659),
    [anon_sym_attribute] = ACTIONS(1659),
    [anon_sym_varying] = ACTIONS(1659),
    [anon_sym_buffer] = ACTIONS(1659),
    [anon_sym_coherent] = ACTIONS(1659),
    [anon_sym_readonly] = ACTIONS(1659),
    [anon_sym_writeonly] = ACTIONS(1659),
    [anon_sym_precision] = ACTIONS(1659),
    [anon_sym_highp] = ACTIONS(1659),
    [anon_sym_mediump] = ACTIONS(1659),
    [anon_sym_lowp] = ACTIONS(1659),
    [anon_sym_centroid] = ACTIONS(1659),
    [anon_sym_sample] = ACTIONS(1659),
    [anon_sym_patch] = ACTIONS(1659),
    [anon_sym_smooth] = ACTIONS(1659),
    [anon_sym_flat] = ACTIONS(1659),
    [anon_sym_noperspective] = ACTIONS(1659),
    [anon_sym___extension__] = ACTIONS(1659),
    [anon_sym_typedef] = ACTIONS(1659),
    [anon_sym_extern] = ACTIONS(1659),
    [anon_sym___attribute__] = ACTIONS(1659),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1661),
    [anon_sym___declspec] = ACTIONS(1659),
    [anon_sym___cdecl] = ACTIONS(1659),
    [anon_sym___clrcall] = ACTIONS(1659),
    [anon_sym___stdcall] = ACTIONS(1659),
    [anon_sym___fastcall] = ACTIONS(1659),
    [anon_sym___thiscall] = ACTIONS(1659),
    [anon_sym___vectorcall] = ACTIONS(1659),
    [anon_sym_LBRACE] = ACTIONS(1661),
    [anon_sym_RBRACE] = ACTIONS(1661),
    [anon_sym_signed] = ACTIONS(1659),
    [anon_sym_unsigned] = ACTIONS(1659),
    [anon_sym_long] = ACTIONS(1659),
    [anon_sym_short] = ACTIONS(1659),
    [anon_sym_static] = ACTIONS(1659),
    [anon_sym_auto] = ACTIONS(1659),
    [anon_sym_register] = ACTIONS(1659),
    [anon_sym_inline] = ACTIONS(1659),
    [anon_sym___inline] = ACTIONS(1659),
    [anon_sym___inline__] = ACTIONS(1659),
    [anon_sym___forceinline] = ACTIONS(1659),
    [anon_sym_thread_local] = ACTIONS(1659),
    [anon_sym___thread] = ACTIONS(1659),
    [anon_sym_const] = ACTIONS(1659),
    [anon_sym_constexpr] = ACTIONS(1659),
    [anon_sym_volatile] = ACTIONS(1659),
    [anon_sym_restrict] = ACTIONS(1659),
    [anon_sym___restrict__] = ACTIONS(1659),
    [anon_sym__Atomic] = ACTIONS(1659),
    [anon_sym__Noreturn] = ACTIONS(1659),
    [anon_sym_noreturn] = ACTIONS(1659),
    [sym_primitive_type] = ACTIONS(1659),
    [anon_sym_enum] = ACTIONS(1659),
    [anon_sym_struct] = ACTIONS(1659),
    [anon_sym_union] = ACTIONS(1659),
    [anon_sym_if] = ACTIONS(1659),
    [anon_sym_switch] = ACTIONS(1659),
    [anon_sym_case] = ACTIONS(1659),
    [anon_sym_default] = ACTIONS(1659),
    [anon_sym_while] = ACTIONS(1659),
    [anon_sym_do] = ACTIONS(1659),
    [anon_sym_for] = ACTIONS(1659),
    [anon_sym_return] = ACTIONS(1659),
    [anon_sym_break] = ACTIONS(1659),
    [anon_sym_continue] = ACTIONS(1659),
    [anon_sym_goto] = ACTIONS(1659),
    [anon_sym___try] = ACTIONS(1659),
    [anon_sym___leave] = ACTIONS(1659),
    [anon_sym_DASH_DASH] = ACTIONS(1661),
    [anon_sym_PLUS_PLUS] = ACTIONS(1661),
    [anon_sym_sizeof] = ACTIONS(1659),
    [anon_sym___alignof__] = ACTIONS(1659),
    [anon_sym___alignof] = ACTIONS(1659),
    [anon_sym__alignof] = ACTIONS(1659),
    [anon_sym_alignof] = ACTIONS(1659),
    [anon_sym__Alignof] = ACTIONS(1659),
    [anon_sym_offsetof] = ACTIONS(1659),
    [anon_sym__Generic] = ACTIONS(1659),
    [anon_sym_asm] = ACTIONS(1659),
    [anon_sym___asm__] = ACTIONS(1659),
    [sym_number_literal] = ACTIONS(1661),
    [anon_sym_L_SQUOTE] = ACTIONS(1661),
    [anon_sym_u_SQUOTE] = ACTIONS(1661),
    [anon_sym_U_SQUOTE] = ACTIONS(1661),
    [anon_sym_u8_SQUOTE] = ACTIONS(1661),
    [anon_sym_SQUOTE] = ACTIONS(1661),
    [anon_sym_L_DQUOTE] = ACTIONS(1661),
    [anon_sym_u_DQUOTE] = ACTIONS(1661),
    [anon_sym_U_DQUOTE] = ACTIONS(1661),
    [anon_sym_u8_DQUOTE] = ACTIONS(1661),
    [anon_sym_DQUOTE] = ACTIONS(1661),
    [sym_true] = ACTIONS(1659),
    [sym_false] = ACTIONS(1659),
    [anon_sym_NULL] = ACTIONS(1659),
    [anon_sym_nullptr] = ACTIONS(1659),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1659),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1659),
    [anon_sym_hitAttributeEXT] = ACTIONS(1659),
    [anon_sym_callableDataEXT] = ACTIONS(1659),
    [anon_sym_callableDataInEXT] = ACTIONS(1659),
    [anon_sym_shaderRecordEXT] = ACTIONS(1659),
    [anon_sym_rayPayloadNV] = ACTIONS(1659),
    [anon_sym_rayPayloadInNV] = ACTIONS(1659),
    [anon_sym_hitAttributeNV] = ACTIONS(1659),
    [anon_sym_callableDataNV] = ACTIONS(1659),
    [anon_sym_callableDataInNV] = ACTIONS(1659),
    [anon_sym_shaderRecordNV] = ACTIONS(1659),
    [anon_sym_layout] = ACTIONS(1659),
  },
  [559] = {
    [sym_identifier] = ACTIONS(1655),
    [aux_sym_preproc_include_token1] = ACTIONS(1655),
    [aux_sym_preproc_def_token1] = ACTIONS(1655),
    [aux_sym_preproc_if_token1] = ACTIONS(1655),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1655),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1655),
    [sym_preproc_directive] = ACTIONS(1655),
    [anon_sym_LPAREN2] = ACTIONS(1657),
    [anon_sym_BANG] = ACTIONS(1657),
    [anon_sym_TILDE] = ACTIONS(1657),
    [anon_sym_DASH] = ACTIONS(1655),
    [anon_sym_PLUS] = ACTIONS(1655),
    [anon_sym_STAR] = ACTIONS(1657),
    [anon_sym_AMP] = ACTIONS(1657),
    [anon_sym_subroutine] = ACTIONS(1655),
    [anon_sym_invariant] = ACTIONS(1655),
    [anon_sym_precise] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(1657),
    [anon_sym_in] = ACTIONS(1655),
    [anon_sym_out] = ACTIONS(1655),
    [anon_sym_inout] = ACTIONS(1655),
    [anon_sym_uniform] = ACTIONS(1655),
    [anon_sym_shared] = ACTIONS(1655),
    [anon_sym_attribute] = ACTIONS(1655),
    [anon_sym_varying] = ACTIONS(1655),
    [anon_sym_buffer] = ACTIONS(1655),
    [anon_sym_coherent] = ACTIONS(1655),
    [anon_sym_readonly] = ACTIONS(1655),
    [anon_sym_writeonly] = ACTIONS(1655),
    [anon_sym_precision] = ACTIONS(1655),
    [anon_sym_highp] = ACTIONS(1655),
    [anon_sym_mediump] = ACTIONS(1655),
    [anon_sym_lowp] = ACTIONS(1655),
    [anon_sym_centroid] = ACTIONS(1655),
    [anon_sym_sample] = ACTIONS(1655),
    [anon_sym_patch] = ACTIONS(1655),
    [anon_sym_smooth] = ACTIONS(1655),
    [anon_sym_flat] = ACTIONS(1655),
    [anon_sym_noperspective] = ACTIONS(1655),
    [anon_sym___extension__] = ACTIONS(1655),
    [anon_sym_typedef] = ACTIONS(1655),
    [anon_sym_extern] = ACTIONS(1655),
    [anon_sym___attribute__] = ACTIONS(1655),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1657),
    [anon_sym___declspec] = ACTIONS(1655),
    [anon_sym___cdecl] = ACTIONS(1655),
    [anon_sym___clrcall] = ACTIONS(1655),
    [anon_sym___stdcall] = ACTIONS(1655),
    [anon_sym___fastcall] = ACTIONS(1655),
    [anon_sym___thiscall] = ACTIONS(1655),
    [anon_sym___vectorcall] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1657),
    [anon_sym_RBRACE] = ACTIONS(1657),
    [anon_sym_signed] = ACTIONS(1655),
    [anon_sym_unsigned] = ACTIONS(1655),
    [anon_sym_long] = ACTIONS(1655),
    [anon_sym_short] = ACTIONS(1655),
    [anon_sym_static] = ACTIONS(1655),
    [anon_sym_auto] = ACTIONS(1655),
    [anon_sym_register] = ACTIONS(1655),
    [anon_sym_inline] = ACTIONS(1655),
    [anon_sym___inline] = ACTIONS(1655),
    [anon_sym___inline__] = ACTIONS(1655),
    [anon_sym___forceinline] = ACTIONS(1655),
    [anon_sym_thread_local] = ACTIONS(1655),
    [anon_sym___thread] = ACTIONS(1655),
    [anon_sym_const] = ACTIONS(1655),
    [anon_sym_constexpr] = ACTIONS(1655),
    [anon_sym_volatile] = ACTIONS(1655),
    [anon_sym_restrict] = ACTIONS(1655),
    [anon_sym___restrict__] = ACTIONS(1655),
    [anon_sym__Atomic] = ACTIONS(1655),
    [anon_sym__Noreturn] = ACTIONS(1655),
    [anon_sym_noreturn] = ACTIONS(1655),
    [sym_primitive_type] = ACTIONS(1655),
    [anon_sym_enum] = ACTIONS(1655),
    [anon_sym_struct] = ACTIONS(1655),
    [anon_sym_union] = ACTIONS(1655),
    [anon_sym_if] = ACTIONS(1655),
    [anon_sym_switch] = ACTIONS(1655),
    [anon_sym_case] = ACTIONS(1655),
    [anon_sym_default] = ACTIONS(1655),
    [anon_sym_while] = ACTIONS(1655),
    [anon_sym_do] = ACTIONS(1655),
    [anon_sym_for] = ACTIONS(1655),
    [anon_sym_return] = ACTIONS(1655),
    [anon_sym_break] = ACTIONS(1655),
    [anon_sym_continue] = ACTIONS(1655),
    [anon_sym_goto] = ACTIONS(1655),
    [anon_sym___try] = ACTIONS(1655),
    [anon_sym___leave] = ACTIONS(1655),
    [anon_sym_DASH_DASH] = ACTIONS(1657),
    [anon_sym_PLUS_PLUS] = ACTIONS(1657),
    [anon_sym_sizeof] = ACTIONS(1655),
    [anon_sym___alignof__] = ACTIONS(1655),
    [anon_sym___alignof] = ACTIONS(1655),
    [anon_sym__alignof] = ACTIONS(1655),
    [anon_sym_alignof] = ACTIONS(1655),
    [anon_sym__Alignof] = ACTIONS(1655),
    [anon_sym_offsetof] = ACTIONS(1655),
    [anon_sym__Generic] = ACTIONS(1655),
    [anon_sym_asm] = ACTIONS(1655),
    [anon_sym___asm__] = ACTIONS(1655),
    [sym_number_literal] = ACTIONS(1657),
    [anon_sym_L_SQUOTE] = ACTIONS(1657),
    [anon_sym_u_SQUOTE] = ACTIONS(1657),
    [anon_sym_U_SQUOTE] = ACTIONS(1657),
    [anon_sym_u8_SQUOTE] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1657),
    [anon_sym_L_DQUOTE] = ACTIONS(1657),
    [anon_sym_u_DQUOTE] = ACTIONS(1657),
    [anon_sym_U_DQUOTE] = ACTIONS(1657),
    [anon_sym_u8_DQUOTE] = ACTIONS(1657),
    [anon_sym_DQUOTE] = ACTIONS(1657),
    [sym_true] = ACTIONS(1655),
    [sym_false] = ACTIONS(1655),
    [anon_sym_NULL] = ACTIONS(1655),
    [anon_sym_nullptr] = ACTIONS(1655),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1655),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1655),
    [anon_sym_hitAttributeEXT] = ACTIONS(1655),
    [anon_sym_callableDataEXT] = ACTIONS(1655),
    [anon_sym_callableDataInEXT] = ACTIONS(1655),
    [anon_sym_shaderRecordEXT] = ACTIONS(1655),
    [anon_sym_rayPayloadNV] = ACTIONS(1655),
    [anon_sym_rayPayloadInNV] = ACTIONS(1655),
    [anon_sym_hitAttributeNV] = ACTIONS(1655),
    [anon_sym_callableDataNV] = ACTIONS(1655),
    [anon_sym_callableDataInNV] = ACTIONS(1655),
    [anon_sym_shaderRecordNV] = ACTIONS(1655),
    [anon_sym_layout] = ACTIONS(1655),
  },
  [560] = {
    [sym_identifier] = ACTIONS(1655),
    [aux_sym_preproc_include_token1] = ACTIONS(1655),
    [aux_sym_preproc_def_token1] = ACTIONS(1655),
    [aux_sym_preproc_if_token1] = ACTIONS(1655),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1655),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1655),
    [sym_preproc_directive] = ACTIONS(1655),
    [anon_sym_LPAREN2] = ACTIONS(1657),
    [anon_sym_BANG] = ACTIONS(1657),
    [anon_sym_TILDE] = ACTIONS(1657),
    [anon_sym_DASH] = ACTIONS(1655),
    [anon_sym_PLUS] = ACTIONS(1655),
    [anon_sym_STAR] = ACTIONS(1657),
    [anon_sym_AMP] = ACTIONS(1657),
    [anon_sym_subroutine] = ACTIONS(1655),
    [anon_sym_invariant] = ACTIONS(1655),
    [anon_sym_precise] = ACTIONS(1655),
    [anon_sym_SEMI] = ACTIONS(1657),
    [anon_sym_in] = ACTIONS(1655),
    [anon_sym_out] = ACTIONS(1655),
    [anon_sym_inout] = ACTIONS(1655),
    [anon_sym_uniform] = ACTIONS(1655),
    [anon_sym_shared] = ACTIONS(1655),
    [anon_sym_attribute] = ACTIONS(1655),
    [anon_sym_varying] = ACTIONS(1655),
    [anon_sym_buffer] = ACTIONS(1655),
    [anon_sym_coherent] = ACTIONS(1655),
    [anon_sym_readonly] = ACTIONS(1655),
    [anon_sym_writeonly] = ACTIONS(1655),
    [anon_sym_precision] = ACTIONS(1655),
    [anon_sym_highp] = ACTIONS(1655),
    [anon_sym_mediump] = ACTIONS(1655),
    [anon_sym_lowp] = ACTIONS(1655),
    [anon_sym_centroid] = ACTIONS(1655),
    [anon_sym_sample] = ACTIONS(1655),
    [anon_sym_patch] = ACTIONS(1655),
    [anon_sym_smooth] = ACTIONS(1655),
    [anon_sym_flat] = ACTIONS(1655),
    [anon_sym_noperspective] = ACTIONS(1655),
    [anon_sym___extension__] = ACTIONS(1655),
    [anon_sym_typedef] = ACTIONS(1655),
    [anon_sym_extern] = ACTIONS(1655),
    [anon_sym___attribute__] = ACTIONS(1655),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1657),
    [anon_sym___declspec] = ACTIONS(1655),
    [anon_sym___cdecl] = ACTIONS(1655),
    [anon_sym___clrcall] = ACTIONS(1655),
    [anon_sym___stdcall] = ACTIONS(1655),
    [anon_sym___fastcall] = ACTIONS(1655),
    [anon_sym___thiscall] = ACTIONS(1655),
    [anon_sym___vectorcall] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1657),
    [anon_sym_RBRACE] = ACTIONS(1657),
    [anon_sym_signed] = ACTIONS(1655),
    [anon_sym_unsigned] = ACTIONS(1655),
    [anon_sym_long] = ACTIONS(1655),
    [anon_sym_short] = ACTIONS(1655),
    [anon_sym_static] = ACTIONS(1655),
    [anon_sym_auto] = ACTIONS(1655),
    [anon_sym_register] = ACTIONS(1655),
    [anon_sym_inline] = ACTIONS(1655),
    [anon_sym___inline] = ACTIONS(1655),
    [anon_sym___inline__] = ACTIONS(1655),
    [anon_sym___forceinline] = ACTIONS(1655),
    [anon_sym_thread_local] = ACTIONS(1655),
    [anon_sym___thread] = ACTIONS(1655),
    [anon_sym_const] = ACTIONS(1655),
    [anon_sym_constexpr] = ACTIONS(1655),
    [anon_sym_volatile] = ACTIONS(1655),
    [anon_sym_restrict] = ACTIONS(1655),
    [anon_sym___restrict__] = ACTIONS(1655),
    [anon_sym__Atomic] = ACTIONS(1655),
    [anon_sym__Noreturn] = ACTIONS(1655),
    [anon_sym_noreturn] = ACTIONS(1655),
    [sym_primitive_type] = ACTIONS(1655),
    [anon_sym_enum] = ACTIONS(1655),
    [anon_sym_struct] = ACTIONS(1655),
    [anon_sym_union] = ACTIONS(1655),
    [anon_sym_if] = ACTIONS(1655),
    [anon_sym_switch] = ACTIONS(1655),
    [anon_sym_case] = ACTIONS(1655),
    [anon_sym_default] = ACTIONS(1655),
    [anon_sym_while] = ACTIONS(1655),
    [anon_sym_do] = ACTIONS(1655),
    [anon_sym_for] = ACTIONS(1655),
    [anon_sym_return] = ACTIONS(1655),
    [anon_sym_break] = ACTIONS(1655),
    [anon_sym_continue] = ACTIONS(1655),
    [anon_sym_goto] = ACTIONS(1655),
    [anon_sym___try] = ACTIONS(1655),
    [anon_sym___leave] = ACTIONS(1655),
    [anon_sym_DASH_DASH] = ACTIONS(1657),
    [anon_sym_PLUS_PLUS] = ACTIONS(1657),
    [anon_sym_sizeof] = ACTIONS(1655),
    [anon_sym___alignof__] = ACTIONS(1655),
    [anon_sym___alignof] = ACTIONS(1655),
    [anon_sym__alignof] = ACTIONS(1655),
    [anon_sym_alignof] = ACTIONS(1655),
    [anon_sym__Alignof] = ACTIONS(1655),
    [anon_sym_offsetof] = ACTIONS(1655),
    [anon_sym__Generic] = ACTIONS(1655),
    [anon_sym_asm] = ACTIONS(1655),
    [anon_sym___asm__] = ACTIONS(1655),
    [sym_number_literal] = ACTIONS(1657),
    [anon_sym_L_SQUOTE] = ACTIONS(1657),
    [anon_sym_u_SQUOTE] = ACTIONS(1657),
    [anon_sym_U_SQUOTE] = ACTIONS(1657),
    [anon_sym_u8_SQUOTE] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1657),
    [anon_sym_L_DQUOTE] = ACTIONS(1657),
    [anon_sym_u_DQUOTE] = ACTIONS(1657),
    [anon_sym_U_DQUOTE] = ACTIONS(1657),
    [anon_sym_u8_DQUOTE] = ACTIONS(1657),
    [anon_sym_DQUOTE] = ACTIONS(1657),
    [sym_true] = ACTIONS(1655),
    [sym_false] = ACTIONS(1655),
    [anon_sym_NULL] = ACTIONS(1655),
    [anon_sym_nullptr] = ACTIONS(1655),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1655),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1655),
    [anon_sym_hitAttributeEXT] = ACTIONS(1655),
    [anon_sym_callableDataEXT] = ACTIONS(1655),
    [anon_sym_callableDataInEXT] = ACTIONS(1655),
    [anon_sym_shaderRecordEXT] = ACTIONS(1655),
    [anon_sym_rayPayloadNV] = ACTIONS(1655),
    [anon_sym_rayPayloadInNV] = ACTIONS(1655),
    [anon_sym_hitAttributeNV] = ACTIONS(1655),
    [anon_sym_callableDataNV] = ACTIONS(1655),
    [anon_sym_callableDataInNV] = ACTIONS(1655),
    [anon_sym_shaderRecordNV] = ACTIONS(1655),
    [anon_sym_layout] = ACTIONS(1655),
  },
  [561] = {
    [sym_identifier] = ACTIONS(1647),
    [aux_sym_preproc_include_token1] = ACTIONS(1647),
    [aux_sym_preproc_def_token1] = ACTIONS(1647),
    [aux_sym_preproc_if_token1] = ACTIONS(1647),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1647),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1647),
    [sym_preproc_directive] = ACTIONS(1647),
    [anon_sym_LPAREN2] = ACTIONS(1649),
    [anon_sym_BANG] = ACTIONS(1649),
    [anon_sym_TILDE] = ACTIONS(1649),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_STAR] = ACTIONS(1649),
    [anon_sym_AMP] = ACTIONS(1649),
    [anon_sym_subroutine] = ACTIONS(1647),
    [anon_sym_invariant] = ACTIONS(1647),
    [anon_sym_precise] = ACTIONS(1647),
    [anon_sym_SEMI] = ACTIONS(1649),
    [anon_sym_in] = ACTIONS(1647),
    [anon_sym_out] = ACTIONS(1647),
    [anon_sym_inout] = ACTIONS(1647),
    [anon_sym_uniform] = ACTIONS(1647),
    [anon_sym_shared] = ACTIONS(1647),
    [anon_sym_attribute] = ACTIONS(1647),
    [anon_sym_varying] = ACTIONS(1647),
    [anon_sym_buffer] = ACTIONS(1647),
    [anon_sym_coherent] = ACTIONS(1647),
    [anon_sym_readonly] = ACTIONS(1647),
    [anon_sym_writeonly] = ACTIONS(1647),
    [anon_sym_precision] = ACTIONS(1647),
    [anon_sym_highp] = ACTIONS(1647),
    [anon_sym_mediump] = ACTIONS(1647),
    [anon_sym_lowp] = ACTIONS(1647),
    [anon_sym_centroid] = ACTIONS(1647),
    [anon_sym_sample] = ACTIONS(1647),
    [anon_sym_patch] = ACTIONS(1647),
    [anon_sym_smooth] = ACTIONS(1647),
    [anon_sym_flat] = ACTIONS(1647),
    [anon_sym_noperspective] = ACTIONS(1647),
    [anon_sym___extension__] = ACTIONS(1647),
    [anon_sym_typedef] = ACTIONS(1647),
    [anon_sym_extern] = ACTIONS(1647),
    [anon_sym___attribute__] = ACTIONS(1647),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1649),
    [anon_sym___declspec] = ACTIONS(1647),
    [anon_sym___cdecl] = ACTIONS(1647),
    [anon_sym___clrcall] = ACTIONS(1647),
    [anon_sym___stdcall] = ACTIONS(1647),
    [anon_sym___fastcall] = ACTIONS(1647),
    [anon_sym___thiscall] = ACTIONS(1647),
    [anon_sym___vectorcall] = ACTIONS(1647),
    [anon_sym_LBRACE] = ACTIONS(1649),
    [anon_sym_RBRACE] = ACTIONS(1649),
    [anon_sym_signed] = ACTIONS(1647),
    [anon_sym_unsigned] = ACTIONS(1647),
    [anon_sym_long] = ACTIONS(1647),
    [anon_sym_short] = ACTIONS(1647),
    [anon_sym_static] = ACTIONS(1647),
    [anon_sym_auto] = ACTIONS(1647),
    [anon_sym_register] = ACTIONS(1647),
    [anon_sym_inline] = ACTIONS(1647),
    [anon_sym___inline] = ACTIONS(1647),
    [anon_sym___inline__] = ACTIONS(1647),
    [anon_sym___forceinline] = ACTIONS(1647),
    [anon_sym_thread_local] = ACTIONS(1647),
    [anon_sym___thread] = ACTIONS(1647),
    [anon_sym_const] = ACTIONS(1647),
    [anon_sym_constexpr] = ACTIONS(1647),
    [anon_sym_volatile] = ACTIONS(1647),
    [anon_sym_restrict] = ACTIONS(1647),
    [anon_sym___restrict__] = ACTIONS(1647),
    [anon_sym__Atomic] = ACTIONS(1647),
    [anon_sym__Noreturn] = ACTIONS(1647),
    [anon_sym_noreturn] = ACTIONS(1647),
    [sym_primitive_type] = ACTIONS(1647),
    [anon_sym_enum] = ACTIONS(1647),
    [anon_sym_struct] = ACTIONS(1647),
    [anon_sym_union] = ACTIONS(1647),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_switch] = ACTIONS(1647),
    [anon_sym_case] = ACTIONS(1647),
    [anon_sym_default] = ACTIONS(1647),
    [anon_sym_while] = ACTIONS(1647),
    [anon_sym_do] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(1647),
    [anon_sym_return] = ACTIONS(1647),
    [anon_sym_break] = ACTIONS(1647),
    [anon_sym_continue] = ACTIONS(1647),
    [anon_sym_goto] = ACTIONS(1647),
    [anon_sym___try] = ACTIONS(1647),
    [anon_sym___leave] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1649),
    [anon_sym_PLUS_PLUS] = ACTIONS(1649),
    [anon_sym_sizeof] = ACTIONS(1647),
    [anon_sym___alignof__] = ACTIONS(1647),
    [anon_sym___alignof] = ACTIONS(1647),
    [anon_sym__alignof] = ACTIONS(1647),
    [anon_sym_alignof] = ACTIONS(1647),
    [anon_sym__Alignof] = ACTIONS(1647),
    [anon_sym_offsetof] = ACTIONS(1647),
    [anon_sym__Generic] = ACTIONS(1647),
    [anon_sym_asm] = ACTIONS(1647),
    [anon_sym___asm__] = ACTIONS(1647),
    [sym_number_literal] = ACTIONS(1649),
    [anon_sym_L_SQUOTE] = ACTIONS(1649),
    [anon_sym_u_SQUOTE] = ACTIONS(1649),
    [anon_sym_U_SQUOTE] = ACTIONS(1649),
    [anon_sym_u8_SQUOTE] = ACTIONS(1649),
    [anon_sym_SQUOTE] = ACTIONS(1649),
    [anon_sym_L_DQUOTE] = ACTIONS(1649),
    [anon_sym_u_DQUOTE] = ACTIONS(1649),
    [anon_sym_U_DQUOTE] = ACTIONS(1649),
    [anon_sym_u8_DQUOTE] = ACTIONS(1649),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_true] = ACTIONS(1647),
    [sym_false] = ACTIONS(1647),
    [anon_sym_NULL] = ACTIONS(1647),
    [anon_sym_nullptr] = ACTIONS(1647),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1647),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1647),
    [anon_sym_hitAttributeEXT] = ACTIONS(1647),
    [anon_sym_callableDataEXT] = ACTIONS(1647),
    [anon_sym_callableDataInEXT] = ACTIONS(1647),
    [anon_sym_shaderRecordEXT] = ACTIONS(1647),
    [anon_sym_rayPayloadNV] = ACTIONS(1647),
    [anon_sym_rayPayloadInNV] = ACTIONS(1647),
    [anon_sym_hitAttributeNV] = ACTIONS(1647),
    [anon_sym_callableDataNV] = ACTIONS(1647),
    [anon_sym_callableDataInNV] = ACTIONS(1647),
    [anon_sym_shaderRecordNV] = ACTIONS(1647),
    [anon_sym_layout] = ACTIONS(1647),
  },
  [562] = {
    [sym_identifier] = ACTIONS(1647),
    [aux_sym_preproc_include_token1] = ACTIONS(1647),
    [aux_sym_preproc_def_token1] = ACTIONS(1647),
    [aux_sym_preproc_if_token1] = ACTIONS(1647),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1647),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1647),
    [sym_preproc_directive] = ACTIONS(1647),
    [anon_sym_LPAREN2] = ACTIONS(1649),
    [anon_sym_BANG] = ACTIONS(1649),
    [anon_sym_TILDE] = ACTIONS(1649),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_STAR] = ACTIONS(1649),
    [anon_sym_AMP] = ACTIONS(1649),
    [anon_sym_subroutine] = ACTIONS(1647),
    [anon_sym_invariant] = ACTIONS(1647),
    [anon_sym_precise] = ACTIONS(1647),
    [anon_sym_SEMI] = ACTIONS(1649),
    [anon_sym_in] = ACTIONS(1647),
    [anon_sym_out] = ACTIONS(1647),
    [anon_sym_inout] = ACTIONS(1647),
    [anon_sym_uniform] = ACTIONS(1647),
    [anon_sym_shared] = ACTIONS(1647),
    [anon_sym_attribute] = ACTIONS(1647),
    [anon_sym_varying] = ACTIONS(1647),
    [anon_sym_buffer] = ACTIONS(1647),
    [anon_sym_coherent] = ACTIONS(1647),
    [anon_sym_readonly] = ACTIONS(1647),
    [anon_sym_writeonly] = ACTIONS(1647),
    [anon_sym_precision] = ACTIONS(1647),
    [anon_sym_highp] = ACTIONS(1647),
    [anon_sym_mediump] = ACTIONS(1647),
    [anon_sym_lowp] = ACTIONS(1647),
    [anon_sym_centroid] = ACTIONS(1647),
    [anon_sym_sample] = ACTIONS(1647),
    [anon_sym_patch] = ACTIONS(1647),
    [anon_sym_smooth] = ACTIONS(1647),
    [anon_sym_flat] = ACTIONS(1647),
    [anon_sym_noperspective] = ACTIONS(1647),
    [anon_sym___extension__] = ACTIONS(1647),
    [anon_sym_typedef] = ACTIONS(1647),
    [anon_sym_extern] = ACTIONS(1647),
    [anon_sym___attribute__] = ACTIONS(1647),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1649),
    [anon_sym___declspec] = ACTIONS(1647),
    [anon_sym___cdecl] = ACTIONS(1647),
    [anon_sym___clrcall] = ACTIONS(1647),
    [anon_sym___stdcall] = ACTIONS(1647),
    [anon_sym___fastcall] = ACTIONS(1647),
    [anon_sym___thiscall] = ACTIONS(1647),
    [anon_sym___vectorcall] = ACTIONS(1647),
    [anon_sym_LBRACE] = ACTIONS(1649),
    [anon_sym_RBRACE] = ACTIONS(1649),
    [anon_sym_signed] = ACTIONS(1647),
    [anon_sym_unsigned] = ACTIONS(1647),
    [anon_sym_long] = ACTIONS(1647),
    [anon_sym_short] = ACTIONS(1647),
    [anon_sym_static] = ACTIONS(1647),
    [anon_sym_auto] = ACTIONS(1647),
    [anon_sym_register] = ACTIONS(1647),
    [anon_sym_inline] = ACTIONS(1647),
    [anon_sym___inline] = ACTIONS(1647),
    [anon_sym___inline__] = ACTIONS(1647),
    [anon_sym___forceinline] = ACTIONS(1647),
    [anon_sym_thread_local] = ACTIONS(1647),
    [anon_sym___thread] = ACTIONS(1647),
    [anon_sym_const] = ACTIONS(1647),
    [anon_sym_constexpr] = ACTIONS(1647),
    [anon_sym_volatile] = ACTIONS(1647),
    [anon_sym_restrict] = ACTIONS(1647),
    [anon_sym___restrict__] = ACTIONS(1647),
    [anon_sym__Atomic] = ACTIONS(1647),
    [anon_sym__Noreturn] = ACTIONS(1647),
    [anon_sym_noreturn] = ACTIONS(1647),
    [sym_primitive_type] = ACTIONS(1647),
    [anon_sym_enum] = ACTIONS(1647),
    [anon_sym_struct] = ACTIONS(1647),
    [anon_sym_union] = ACTIONS(1647),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_switch] = ACTIONS(1647),
    [anon_sym_case] = ACTIONS(1647),
    [anon_sym_default] = ACTIONS(1647),
    [anon_sym_while] = ACTIONS(1647),
    [anon_sym_do] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(1647),
    [anon_sym_return] = ACTIONS(1647),
    [anon_sym_break] = ACTIONS(1647),
    [anon_sym_continue] = ACTIONS(1647),
    [anon_sym_goto] = ACTIONS(1647),
    [anon_sym___try] = ACTIONS(1647),
    [anon_sym___leave] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1649),
    [anon_sym_PLUS_PLUS] = ACTIONS(1649),
    [anon_sym_sizeof] = ACTIONS(1647),
    [anon_sym___alignof__] = ACTIONS(1647),
    [anon_sym___alignof] = ACTIONS(1647),
    [anon_sym__alignof] = ACTIONS(1647),
    [anon_sym_alignof] = ACTIONS(1647),
    [anon_sym__Alignof] = ACTIONS(1647),
    [anon_sym_offsetof] = ACTIONS(1647),
    [anon_sym__Generic] = ACTIONS(1647),
    [anon_sym_asm] = ACTIONS(1647),
    [anon_sym___asm__] = ACTIONS(1647),
    [sym_number_literal] = ACTIONS(1649),
    [anon_sym_L_SQUOTE] = ACTIONS(1649),
    [anon_sym_u_SQUOTE] = ACTIONS(1649),
    [anon_sym_U_SQUOTE] = ACTIONS(1649),
    [anon_sym_u8_SQUOTE] = ACTIONS(1649),
    [anon_sym_SQUOTE] = ACTIONS(1649),
    [anon_sym_L_DQUOTE] = ACTIONS(1649),
    [anon_sym_u_DQUOTE] = ACTIONS(1649),
    [anon_sym_U_DQUOTE] = ACTIONS(1649),
    [anon_sym_u8_DQUOTE] = ACTIONS(1649),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_true] = ACTIONS(1647),
    [sym_false] = ACTIONS(1647),
    [anon_sym_NULL] = ACTIONS(1647),
    [anon_sym_nullptr] = ACTIONS(1647),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1647),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1647),
    [anon_sym_hitAttributeEXT] = ACTIONS(1647),
    [anon_sym_callableDataEXT] = ACTIONS(1647),
    [anon_sym_callableDataInEXT] = ACTIONS(1647),
    [anon_sym_shaderRecordEXT] = ACTIONS(1647),
    [anon_sym_rayPayloadNV] = ACTIONS(1647),
    [anon_sym_rayPayloadInNV] = ACTIONS(1647),
    [anon_sym_hitAttributeNV] = ACTIONS(1647),
    [anon_sym_callableDataNV] = ACTIONS(1647),
    [anon_sym_callableDataInNV] = ACTIONS(1647),
    [anon_sym_shaderRecordNV] = ACTIONS(1647),
    [anon_sym_layout] = ACTIONS(1647),
  },
  [563] = {
    [sym_identifier] = ACTIONS(1643),
    [aux_sym_preproc_include_token1] = ACTIONS(1643),
    [aux_sym_preproc_def_token1] = ACTIONS(1643),
    [aux_sym_preproc_if_token1] = ACTIONS(1643),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1643),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1643),
    [sym_preproc_directive] = ACTIONS(1643),
    [anon_sym_LPAREN2] = ACTIONS(1645),
    [anon_sym_BANG] = ACTIONS(1645),
    [anon_sym_TILDE] = ACTIONS(1645),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(1645),
    [anon_sym_AMP] = ACTIONS(1645),
    [anon_sym_subroutine] = ACTIONS(1643),
    [anon_sym_invariant] = ACTIONS(1643),
    [anon_sym_precise] = ACTIONS(1643),
    [anon_sym_SEMI] = ACTIONS(1645),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_out] = ACTIONS(1643),
    [anon_sym_inout] = ACTIONS(1643),
    [anon_sym_uniform] = ACTIONS(1643),
    [anon_sym_shared] = ACTIONS(1643),
    [anon_sym_attribute] = ACTIONS(1643),
    [anon_sym_varying] = ACTIONS(1643),
    [anon_sym_buffer] = ACTIONS(1643),
    [anon_sym_coherent] = ACTIONS(1643),
    [anon_sym_readonly] = ACTIONS(1643),
    [anon_sym_writeonly] = ACTIONS(1643),
    [anon_sym_precision] = ACTIONS(1643),
    [anon_sym_highp] = ACTIONS(1643),
    [anon_sym_mediump] = ACTIONS(1643),
    [anon_sym_lowp] = ACTIONS(1643),
    [anon_sym_centroid] = ACTIONS(1643),
    [anon_sym_sample] = ACTIONS(1643),
    [anon_sym_patch] = ACTIONS(1643),
    [anon_sym_smooth] = ACTIONS(1643),
    [anon_sym_flat] = ACTIONS(1643),
    [anon_sym_noperspective] = ACTIONS(1643),
    [anon_sym___extension__] = ACTIONS(1643),
    [anon_sym_typedef] = ACTIONS(1643),
    [anon_sym_extern] = ACTIONS(1643),
    [anon_sym___attribute__] = ACTIONS(1643),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1645),
    [anon_sym___declspec] = ACTIONS(1643),
    [anon_sym___cdecl] = ACTIONS(1643),
    [anon_sym___clrcall] = ACTIONS(1643),
    [anon_sym___stdcall] = ACTIONS(1643),
    [anon_sym___fastcall] = ACTIONS(1643),
    [anon_sym___thiscall] = ACTIONS(1643),
    [anon_sym___vectorcall] = ACTIONS(1643),
    [anon_sym_LBRACE] = ACTIONS(1645),
    [anon_sym_RBRACE] = ACTIONS(1645),
    [anon_sym_signed] = ACTIONS(1643),
    [anon_sym_unsigned] = ACTIONS(1643),
    [anon_sym_long] = ACTIONS(1643),
    [anon_sym_short] = ACTIONS(1643),
    [anon_sym_static] = ACTIONS(1643),
    [anon_sym_auto] = ACTIONS(1643),
    [anon_sym_register] = ACTIONS(1643),
    [anon_sym_inline] = ACTIONS(1643),
    [anon_sym___inline] = ACTIONS(1643),
    [anon_sym___inline__] = ACTIONS(1643),
    [anon_sym___forceinline] = ACTIONS(1643),
    [anon_sym_thread_local] = ACTIONS(1643),
    [anon_sym___thread] = ACTIONS(1643),
    [anon_sym_const] = ACTIONS(1643),
    [anon_sym_constexpr] = ACTIONS(1643),
    [anon_sym_volatile] = ACTIONS(1643),
    [anon_sym_restrict] = ACTIONS(1643),
    [anon_sym___restrict__] = ACTIONS(1643),
    [anon_sym__Atomic] = ACTIONS(1643),
    [anon_sym__Noreturn] = ACTIONS(1643),
    [anon_sym_noreturn] = ACTIONS(1643),
    [sym_primitive_type] = ACTIONS(1643),
    [anon_sym_enum] = ACTIONS(1643),
    [anon_sym_struct] = ACTIONS(1643),
    [anon_sym_union] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_switch] = ACTIONS(1643),
    [anon_sym_case] = ACTIONS(1643),
    [anon_sym_default] = ACTIONS(1643),
    [anon_sym_while] = ACTIONS(1643),
    [anon_sym_do] = ACTIONS(1643),
    [anon_sym_for] = ACTIONS(1643),
    [anon_sym_return] = ACTIONS(1643),
    [anon_sym_break] = ACTIONS(1643),
    [anon_sym_continue] = ACTIONS(1643),
    [anon_sym_goto] = ACTIONS(1643),
    [anon_sym___try] = ACTIONS(1643),
    [anon_sym___leave] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1645),
    [anon_sym_PLUS_PLUS] = ACTIONS(1645),
    [anon_sym_sizeof] = ACTIONS(1643),
    [anon_sym___alignof__] = ACTIONS(1643),
    [anon_sym___alignof] = ACTIONS(1643),
    [anon_sym__alignof] = ACTIONS(1643),
    [anon_sym_alignof] = ACTIONS(1643),
    [anon_sym__Alignof] = ACTIONS(1643),
    [anon_sym_offsetof] = ACTIONS(1643),
    [anon_sym__Generic] = ACTIONS(1643),
    [anon_sym_asm] = ACTIONS(1643),
    [anon_sym___asm__] = ACTIONS(1643),
    [sym_number_literal] = ACTIONS(1645),
    [anon_sym_L_SQUOTE] = ACTIONS(1645),
    [anon_sym_u_SQUOTE] = ACTIONS(1645),
    [anon_sym_U_SQUOTE] = ACTIONS(1645),
    [anon_sym_u8_SQUOTE] = ACTIONS(1645),
    [anon_sym_SQUOTE] = ACTIONS(1645),
    [anon_sym_L_DQUOTE] = ACTIONS(1645),
    [anon_sym_u_DQUOTE] = ACTIONS(1645),
    [anon_sym_U_DQUOTE] = ACTIONS(1645),
    [anon_sym_u8_DQUOTE] = ACTIONS(1645),
    [anon_sym_DQUOTE] = ACTIONS(1645),
    [sym_true] = ACTIONS(1643),
    [sym_false] = ACTIONS(1643),
    [anon_sym_NULL] = ACTIONS(1643),
    [anon_sym_nullptr] = ACTIONS(1643),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1643),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1643),
    [anon_sym_hitAttributeEXT] = ACTIONS(1643),
    [anon_sym_callableDataEXT] = ACTIONS(1643),
    [anon_sym_callableDataInEXT] = ACTIONS(1643),
    [anon_sym_shaderRecordEXT] = ACTIONS(1643),
    [anon_sym_rayPayloadNV] = ACTIONS(1643),
    [anon_sym_rayPayloadInNV] = ACTIONS(1643),
    [anon_sym_hitAttributeNV] = ACTIONS(1643),
    [anon_sym_callableDataNV] = ACTIONS(1643),
    [anon_sym_callableDataInNV] = ACTIONS(1643),
    [anon_sym_shaderRecordNV] = ACTIONS(1643),
    [anon_sym_layout] = ACTIONS(1643),
  },
  [564] = {
    [sym_identifier] = ACTIONS(1643),
    [aux_sym_preproc_include_token1] = ACTIONS(1643),
    [aux_sym_preproc_def_token1] = ACTIONS(1643),
    [aux_sym_preproc_if_token1] = ACTIONS(1643),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1643),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1643),
    [sym_preproc_directive] = ACTIONS(1643),
    [anon_sym_LPAREN2] = ACTIONS(1645),
    [anon_sym_BANG] = ACTIONS(1645),
    [anon_sym_TILDE] = ACTIONS(1645),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(1645),
    [anon_sym_AMP] = ACTIONS(1645),
    [anon_sym_subroutine] = ACTIONS(1643),
    [anon_sym_invariant] = ACTIONS(1643),
    [anon_sym_precise] = ACTIONS(1643),
    [anon_sym_SEMI] = ACTIONS(1645),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_out] = ACTIONS(1643),
    [anon_sym_inout] = ACTIONS(1643),
    [anon_sym_uniform] = ACTIONS(1643),
    [anon_sym_shared] = ACTIONS(1643),
    [anon_sym_attribute] = ACTIONS(1643),
    [anon_sym_varying] = ACTIONS(1643),
    [anon_sym_buffer] = ACTIONS(1643),
    [anon_sym_coherent] = ACTIONS(1643),
    [anon_sym_readonly] = ACTIONS(1643),
    [anon_sym_writeonly] = ACTIONS(1643),
    [anon_sym_precision] = ACTIONS(1643),
    [anon_sym_highp] = ACTIONS(1643),
    [anon_sym_mediump] = ACTIONS(1643),
    [anon_sym_lowp] = ACTIONS(1643),
    [anon_sym_centroid] = ACTIONS(1643),
    [anon_sym_sample] = ACTIONS(1643),
    [anon_sym_patch] = ACTIONS(1643),
    [anon_sym_smooth] = ACTIONS(1643),
    [anon_sym_flat] = ACTIONS(1643),
    [anon_sym_noperspective] = ACTIONS(1643),
    [anon_sym___extension__] = ACTIONS(1643),
    [anon_sym_typedef] = ACTIONS(1643),
    [anon_sym_extern] = ACTIONS(1643),
    [anon_sym___attribute__] = ACTIONS(1643),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1645),
    [anon_sym___declspec] = ACTIONS(1643),
    [anon_sym___cdecl] = ACTIONS(1643),
    [anon_sym___clrcall] = ACTIONS(1643),
    [anon_sym___stdcall] = ACTIONS(1643),
    [anon_sym___fastcall] = ACTIONS(1643),
    [anon_sym___thiscall] = ACTIONS(1643),
    [anon_sym___vectorcall] = ACTIONS(1643),
    [anon_sym_LBRACE] = ACTIONS(1645),
    [anon_sym_RBRACE] = ACTIONS(1645),
    [anon_sym_signed] = ACTIONS(1643),
    [anon_sym_unsigned] = ACTIONS(1643),
    [anon_sym_long] = ACTIONS(1643),
    [anon_sym_short] = ACTIONS(1643),
    [anon_sym_static] = ACTIONS(1643),
    [anon_sym_auto] = ACTIONS(1643),
    [anon_sym_register] = ACTIONS(1643),
    [anon_sym_inline] = ACTIONS(1643),
    [anon_sym___inline] = ACTIONS(1643),
    [anon_sym___inline__] = ACTIONS(1643),
    [anon_sym___forceinline] = ACTIONS(1643),
    [anon_sym_thread_local] = ACTIONS(1643),
    [anon_sym___thread] = ACTIONS(1643),
    [anon_sym_const] = ACTIONS(1643),
    [anon_sym_constexpr] = ACTIONS(1643),
    [anon_sym_volatile] = ACTIONS(1643),
    [anon_sym_restrict] = ACTIONS(1643),
    [anon_sym___restrict__] = ACTIONS(1643),
    [anon_sym__Atomic] = ACTIONS(1643),
    [anon_sym__Noreturn] = ACTIONS(1643),
    [anon_sym_noreturn] = ACTIONS(1643),
    [sym_primitive_type] = ACTIONS(1643),
    [anon_sym_enum] = ACTIONS(1643),
    [anon_sym_struct] = ACTIONS(1643),
    [anon_sym_union] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_switch] = ACTIONS(1643),
    [anon_sym_case] = ACTIONS(1643),
    [anon_sym_default] = ACTIONS(1643),
    [anon_sym_while] = ACTIONS(1643),
    [anon_sym_do] = ACTIONS(1643),
    [anon_sym_for] = ACTIONS(1643),
    [anon_sym_return] = ACTIONS(1643),
    [anon_sym_break] = ACTIONS(1643),
    [anon_sym_continue] = ACTIONS(1643),
    [anon_sym_goto] = ACTIONS(1643),
    [anon_sym___try] = ACTIONS(1643),
    [anon_sym___leave] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1645),
    [anon_sym_PLUS_PLUS] = ACTIONS(1645),
    [anon_sym_sizeof] = ACTIONS(1643),
    [anon_sym___alignof__] = ACTIONS(1643),
    [anon_sym___alignof] = ACTIONS(1643),
    [anon_sym__alignof] = ACTIONS(1643),
    [anon_sym_alignof] = ACTIONS(1643),
    [anon_sym__Alignof] = ACTIONS(1643),
    [anon_sym_offsetof] = ACTIONS(1643),
    [anon_sym__Generic] = ACTIONS(1643),
    [anon_sym_asm] = ACTIONS(1643),
    [anon_sym___asm__] = ACTIONS(1643),
    [sym_number_literal] = ACTIONS(1645),
    [anon_sym_L_SQUOTE] = ACTIONS(1645),
    [anon_sym_u_SQUOTE] = ACTIONS(1645),
    [anon_sym_U_SQUOTE] = ACTIONS(1645),
    [anon_sym_u8_SQUOTE] = ACTIONS(1645),
    [anon_sym_SQUOTE] = ACTIONS(1645),
    [anon_sym_L_DQUOTE] = ACTIONS(1645),
    [anon_sym_u_DQUOTE] = ACTIONS(1645),
    [anon_sym_U_DQUOTE] = ACTIONS(1645),
    [anon_sym_u8_DQUOTE] = ACTIONS(1645),
    [anon_sym_DQUOTE] = ACTIONS(1645),
    [sym_true] = ACTIONS(1643),
    [sym_false] = ACTIONS(1643),
    [anon_sym_NULL] = ACTIONS(1643),
    [anon_sym_nullptr] = ACTIONS(1643),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1643),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1643),
    [anon_sym_hitAttributeEXT] = ACTIONS(1643),
    [anon_sym_callableDataEXT] = ACTIONS(1643),
    [anon_sym_callableDataInEXT] = ACTIONS(1643),
    [anon_sym_shaderRecordEXT] = ACTIONS(1643),
    [anon_sym_rayPayloadNV] = ACTIONS(1643),
    [anon_sym_rayPayloadInNV] = ACTIONS(1643),
    [anon_sym_hitAttributeNV] = ACTIONS(1643),
    [anon_sym_callableDataNV] = ACTIONS(1643),
    [anon_sym_callableDataInNV] = ACTIONS(1643),
    [anon_sym_shaderRecordNV] = ACTIONS(1643),
    [anon_sym_layout] = ACTIONS(1643),
  },
  [565] = {
    [sym_identifier] = ACTIONS(1639),
    [aux_sym_preproc_include_token1] = ACTIONS(1639),
    [aux_sym_preproc_def_token1] = ACTIONS(1639),
    [aux_sym_preproc_if_token1] = ACTIONS(1639),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1639),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1639),
    [sym_preproc_directive] = ACTIONS(1639),
    [anon_sym_LPAREN2] = ACTIONS(1641),
    [anon_sym_BANG] = ACTIONS(1641),
    [anon_sym_TILDE] = ACTIONS(1641),
    [anon_sym_DASH] = ACTIONS(1639),
    [anon_sym_PLUS] = ACTIONS(1639),
    [anon_sym_STAR] = ACTIONS(1641),
    [anon_sym_AMP] = ACTIONS(1641),
    [anon_sym_subroutine] = ACTIONS(1639),
    [anon_sym_invariant] = ACTIONS(1639),
    [anon_sym_precise] = ACTIONS(1639),
    [anon_sym_SEMI] = ACTIONS(1641),
    [anon_sym_in] = ACTIONS(1639),
    [anon_sym_out] = ACTIONS(1639),
    [anon_sym_inout] = ACTIONS(1639),
    [anon_sym_uniform] = ACTIONS(1639),
    [anon_sym_shared] = ACTIONS(1639),
    [anon_sym_attribute] = ACTIONS(1639),
    [anon_sym_varying] = ACTIONS(1639),
    [anon_sym_buffer] = ACTIONS(1639),
    [anon_sym_coherent] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1639),
    [anon_sym_writeonly] = ACTIONS(1639),
    [anon_sym_precision] = ACTIONS(1639),
    [anon_sym_highp] = ACTIONS(1639),
    [anon_sym_mediump] = ACTIONS(1639),
    [anon_sym_lowp] = ACTIONS(1639),
    [anon_sym_centroid] = ACTIONS(1639),
    [anon_sym_sample] = ACTIONS(1639),
    [anon_sym_patch] = ACTIONS(1639),
    [anon_sym_smooth] = ACTIONS(1639),
    [anon_sym_flat] = ACTIONS(1639),
    [anon_sym_noperspective] = ACTIONS(1639),
    [anon_sym___extension__] = ACTIONS(1639),
    [anon_sym_typedef] = ACTIONS(1639),
    [anon_sym_extern] = ACTIONS(1639),
    [anon_sym___attribute__] = ACTIONS(1639),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1641),
    [anon_sym___declspec] = ACTIONS(1639),
    [anon_sym___cdecl] = ACTIONS(1639),
    [anon_sym___clrcall] = ACTIONS(1639),
    [anon_sym___stdcall] = ACTIONS(1639),
    [anon_sym___fastcall] = ACTIONS(1639),
    [anon_sym___thiscall] = ACTIONS(1639),
    [anon_sym___vectorcall] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1641),
    [anon_sym_RBRACE] = ACTIONS(1641),
    [anon_sym_signed] = ACTIONS(1639),
    [anon_sym_unsigned] = ACTIONS(1639),
    [anon_sym_long] = ACTIONS(1639),
    [anon_sym_short] = ACTIONS(1639),
    [anon_sym_static] = ACTIONS(1639),
    [anon_sym_auto] = ACTIONS(1639),
    [anon_sym_register] = ACTIONS(1639),
    [anon_sym_inline] = ACTIONS(1639),
    [anon_sym___inline] = ACTIONS(1639),
    [anon_sym___inline__] = ACTIONS(1639),
    [anon_sym___forceinline] = ACTIONS(1639),
    [anon_sym_thread_local] = ACTIONS(1639),
    [anon_sym___thread] = ACTIONS(1639),
    [anon_sym_const] = ACTIONS(1639),
    [anon_sym_constexpr] = ACTIONS(1639),
    [anon_sym_volatile] = ACTIONS(1639),
    [anon_sym_restrict] = ACTIONS(1639),
    [anon_sym___restrict__] = ACTIONS(1639),
    [anon_sym__Atomic] = ACTIONS(1639),
    [anon_sym__Noreturn] = ACTIONS(1639),
    [anon_sym_noreturn] = ACTIONS(1639),
    [sym_primitive_type] = ACTIONS(1639),
    [anon_sym_enum] = ACTIONS(1639),
    [anon_sym_struct] = ACTIONS(1639),
    [anon_sym_union] = ACTIONS(1639),
    [anon_sym_if] = ACTIONS(1639),
    [anon_sym_switch] = ACTIONS(1639),
    [anon_sym_case] = ACTIONS(1639),
    [anon_sym_default] = ACTIONS(1639),
    [anon_sym_while] = ACTIONS(1639),
    [anon_sym_do] = ACTIONS(1639),
    [anon_sym_for] = ACTIONS(1639),
    [anon_sym_return] = ACTIONS(1639),
    [anon_sym_break] = ACTIONS(1639),
    [anon_sym_continue] = ACTIONS(1639),
    [anon_sym_goto] = ACTIONS(1639),
    [anon_sym___try] = ACTIONS(1639),
    [anon_sym___leave] = ACTIONS(1639),
    [anon_sym_DASH_DASH] = ACTIONS(1641),
    [anon_sym_PLUS_PLUS] = ACTIONS(1641),
    [anon_sym_sizeof] = ACTIONS(1639),
    [anon_sym___alignof__] = ACTIONS(1639),
    [anon_sym___alignof] = ACTIONS(1639),
    [anon_sym__alignof] = ACTIONS(1639),
    [anon_sym_alignof] = ACTIONS(1639),
    [anon_sym__Alignof] = ACTIONS(1639),
    [anon_sym_offsetof] = ACTIONS(1639),
    [anon_sym__Generic] = ACTIONS(1639),
    [anon_sym_asm] = ACTIONS(1639),
    [anon_sym___asm__] = ACTIONS(1639),
    [sym_number_literal] = ACTIONS(1641),
    [anon_sym_L_SQUOTE] = ACTIONS(1641),
    [anon_sym_u_SQUOTE] = ACTIONS(1641),
    [anon_sym_U_SQUOTE] = ACTIONS(1641),
    [anon_sym_u8_SQUOTE] = ACTIONS(1641),
    [anon_sym_SQUOTE] = ACTIONS(1641),
    [anon_sym_L_DQUOTE] = ACTIONS(1641),
    [anon_sym_u_DQUOTE] = ACTIONS(1641),
    [anon_sym_U_DQUOTE] = ACTIONS(1641),
    [anon_sym_u8_DQUOTE] = ACTIONS(1641),
    [anon_sym_DQUOTE] = ACTIONS(1641),
    [sym_true] = ACTIONS(1639),
    [sym_false] = ACTIONS(1639),
    [anon_sym_NULL] = ACTIONS(1639),
    [anon_sym_nullptr] = ACTIONS(1639),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1639),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1639),
    [anon_sym_hitAttributeEXT] = ACTIONS(1639),
    [anon_sym_callableDataEXT] = ACTIONS(1639),
    [anon_sym_callableDataInEXT] = ACTIONS(1639),
    [anon_sym_shaderRecordEXT] = ACTIONS(1639),
    [anon_sym_rayPayloadNV] = ACTIONS(1639),
    [anon_sym_rayPayloadInNV] = ACTIONS(1639),
    [anon_sym_hitAttributeNV] = ACTIONS(1639),
    [anon_sym_callableDataNV] = ACTIONS(1639),
    [anon_sym_callableDataInNV] = ACTIONS(1639),
    [anon_sym_shaderRecordNV] = ACTIONS(1639),
    [anon_sym_layout] = ACTIONS(1639),
  },
  [566] = {
    [sym_identifier] = ACTIONS(1639),
    [aux_sym_preproc_include_token1] = ACTIONS(1639),
    [aux_sym_preproc_def_token1] = ACTIONS(1639),
    [aux_sym_preproc_if_token1] = ACTIONS(1639),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1639),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1639),
    [sym_preproc_directive] = ACTIONS(1639),
    [anon_sym_LPAREN2] = ACTIONS(1641),
    [anon_sym_BANG] = ACTIONS(1641),
    [anon_sym_TILDE] = ACTIONS(1641),
    [anon_sym_DASH] = ACTIONS(1639),
    [anon_sym_PLUS] = ACTIONS(1639),
    [anon_sym_STAR] = ACTIONS(1641),
    [anon_sym_AMP] = ACTIONS(1641),
    [anon_sym_subroutine] = ACTIONS(1639),
    [anon_sym_invariant] = ACTIONS(1639),
    [anon_sym_precise] = ACTIONS(1639),
    [anon_sym_SEMI] = ACTIONS(1641),
    [anon_sym_in] = ACTIONS(1639),
    [anon_sym_out] = ACTIONS(1639),
    [anon_sym_inout] = ACTIONS(1639),
    [anon_sym_uniform] = ACTIONS(1639),
    [anon_sym_shared] = ACTIONS(1639),
    [anon_sym_attribute] = ACTIONS(1639),
    [anon_sym_varying] = ACTIONS(1639),
    [anon_sym_buffer] = ACTIONS(1639),
    [anon_sym_coherent] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1639),
    [anon_sym_writeonly] = ACTIONS(1639),
    [anon_sym_precision] = ACTIONS(1639),
    [anon_sym_highp] = ACTIONS(1639),
    [anon_sym_mediump] = ACTIONS(1639),
    [anon_sym_lowp] = ACTIONS(1639),
    [anon_sym_centroid] = ACTIONS(1639),
    [anon_sym_sample] = ACTIONS(1639),
    [anon_sym_patch] = ACTIONS(1639),
    [anon_sym_smooth] = ACTIONS(1639),
    [anon_sym_flat] = ACTIONS(1639),
    [anon_sym_noperspective] = ACTIONS(1639),
    [anon_sym___extension__] = ACTIONS(1639),
    [anon_sym_typedef] = ACTIONS(1639),
    [anon_sym_extern] = ACTIONS(1639),
    [anon_sym___attribute__] = ACTIONS(1639),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1641),
    [anon_sym___declspec] = ACTIONS(1639),
    [anon_sym___cdecl] = ACTIONS(1639),
    [anon_sym___clrcall] = ACTIONS(1639),
    [anon_sym___stdcall] = ACTIONS(1639),
    [anon_sym___fastcall] = ACTIONS(1639),
    [anon_sym___thiscall] = ACTIONS(1639),
    [anon_sym___vectorcall] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1641),
    [anon_sym_RBRACE] = ACTIONS(1641),
    [anon_sym_signed] = ACTIONS(1639),
    [anon_sym_unsigned] = ACTIONS(1639),
    [anon_sym_long] = ACTIONS(1639),
    [anon_sym_short] = ACTIONS(1639),
    [anon_sym_static] = ACTIONS(1639),
    [anon_sym_auto] = ACTIONS(1639),
    [anon_sym_register] = ACTIONS(1639),
    [anon_sym_inline] = ACTIONS(1639),
    [anon_sym___inline] = ACTIONS(1639),
    [anon_sym___inline__] = ACTIONS(1639),
    [anon_sym___forceinline] = ACTIONS(1639),
    [anon_sym_thread_local] = ACTIONS(1639),
    [anon_sym___thread] = ACTIONS(1639),
    [anon_sym_const] = ACTIONS(1639),
    [anon_sym_constexpr] = ACTIONS(1639),
    [anon_sym_volatile] = ACTIONS(1639),
    [anon_sym_restrict] = ACTIONS(1639),
    [anon_sym___restrict__] = ACTIONS(1639),
    [anon_sym__Atomic] = ACTIONS(1639),
    [anon_sym__Noreturn] = ACTIONS(1639),
    [anon_sym_noreturn] = ACTIONS(1639),
    [sym_primitive_type] = ACTIONS(1639),
    [anon_sym_enum] = ACTIONS(1639),
    [anon_sym_struct] = ACTIONS(1639),
    [anon_sym_union] = ACTIONS(1639),
    [anon_sym_if] = ACTIONS(1639),
    [anon_sym_switch] = ACTIONS(1639),
    [anon_sym_case] = ACTIONS(1639),
    [anon_sym_default] = ACTIONS(1639),
    [anon_sym_while] = ACTIONS(1639),
    [anon_sym_do] = ACTIONS(1639),
    [anon_sym_for] = ACTIONS(1639),
    [anon_sym_return] = ACTIONS(1639),
    [anon_sym_break] = ACTIONS(1639),
    [anon_sym_continue] = ACTIONS(1639),
    [anon_sym_goto] = ACTIONS(1639),
    [anon_sym___try] = ACTIONS(1639),
    [anon_sym___leave] = ACTIONS(1639),
    [anon_sym_DASH_DASH] = ACTIONS(1641),
    [anon_sym_PLUS_PLUS] = ACTIONS(1641),
    [anon_sym_sizeof] = ACTIONS(1639),
    [anon_sym___alignof__] = ACTIONS(1639),
    [anon_sym___alignof] = ACTIONS(1639),
    [anon_sym__alignof] = ACTIONS(1639),
    [anon_sym_alignof] = ACTIONS(1639),
    [anon_sym__Alignof] = ACTIONS(1639),
    [anon_sym_offsetof] = ACTIONS(1639),
    [anon_sym__Generic] = ACTIONS(1639),
    [anon_sym_asm] = ACTIONS(1639),
    [anon_sym___asm__] = ACTIONS(1639),
    [sym_number_literal] = ACTIONS(1641),
    [anon_sym_L_SQUOTE] = ACTIONS(1641),
    [anon_sym_u_SQUOTE] = ACTIONS(1641),
    [anon_sym_U_SQUOTE] = ACTIONS(1641),
    [anon_sym_u8_SQUOTE] = ACTIONS(1641),
    [anon_sym_SQUOTE] = ACTIONS(1641),
    [anon_sym_L_DQUOTE] = ACTIONS(1641),
    [anon_sym_u_DQUOTE] = ACTIONS(1641),
    [anon_sym_U_DQUOTE] = ACTIONS(1641),
    [anon_sym_u8_DQUOTE] = ACTIONS(1641),
    [anon_sym_DQUOTE] = ACTIONS(1641),
    [sym_true] = ACTIONS(1639),
    [sym_false] = ACTIONS(1639),
    [anon_sym_NULL] = ACTIONS(1639),
    [anon_sym_nullptr] = ACTIONS(1639),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1639),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1639),
    [anon_sym_hitAttributeEXT] = ACTIONS(1639),
    [anon_sym_callableDataEXT] = ACTIONS(1639),
    [anon_sym_callableDataInEXT] = ACTIONS(1639),
    [anon_sym_shaderRecordEXT] = ACTIONS(1639),
    [anon_sym_rayPayloadNV] = ACTIONS(1639),
    [anon_sym_rayPayloadInNV] = ACTIONS(1639),
    [anon_sym_hitAttributeNV] = ACTIONS(1639),
    [anon_sym_callableDataNV] = ACTIONS(1639),
    [anon_sym_callableDataInNV] = ACTIONS(1639),
    [anon_sym_shaderRecordNV] = ACTIONS(1639),
    [anon_sym_layout] = ACTIONS(1639),
  },
  [567] = {
    [sym_identifier] = ACTIONS(1635),
    [aux_sym_preproc_include_token1] = ACTIONS(1635),
    [aux_sym_preproc_def_token1] = ACTIONS(1635),
    [aux_sym_preproc_if_token1] = ACTIONS(1635),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1635),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1635),
    [sym_preproc_directive] = ACTIONS(1635),
    [anon_sym_LPAREN2] = ACTIONS(1637),
    [anon_sym_BANG] = ACTIONS(1637),
    [anon_sym_TILDE] = ACTIONS(1637),
    [anon_sym_DASH] = ACTIONS(1635),
    [anon_sym_PLUS] = ACTIONS(1635),
    [anon_sym_STAR] = ACTIONS(1637),
    [anon_sym_AMP] = ACTIONS(1637),
    [anon_sym_subroutine] = ACTIONS(1635),
    [anon_sym_invariant] = ACTIONS(1635),
    [anon_sym_precise] = ACTIONS(1635),
    [anon_sym_SEMI] = ACTIONS(1637),
    [anon_sym_in] = ACTIONS(1635),
    [anon_sym_out] = ACTIONS(1635),
    [anon_sym_inout] = ACTIONS(1635),
    [anon_sym_uniform] = ACTIONS(1635),
    [anon_sym_shared] = ACTIONS(1635),
    [anon_sym_attribute] = ACTIONS(1635),
    [anon_sym_varying] = ACTIONS(1635),
    [anon_sym_buffer] = ACTIONS(1635),
    [anon_sym_coherent] = ACTIONS(1635),
    [anon_sym_readonly] = ACTIONS(1635),
    [anon_sym_writeonly] = ACTIONS(1635),
    [anon_sym_precision] = ACTIONS(1635),
    [anon_sym_highp] = ACTIONS(1635),
    [anon_sym_mediump] = ACTIONS(1635),
    [anon_sym_lowp] = ACTIONS(1635),
    [anon_sym_centroid] = ACTIONS(1635),
    [anon_sym_sample] = ACTIONS(1635),
    [anon_sym_patch] = ACTIONS(1635),
    [anon_sym_smooth] = ACTIONS(1635),
    [anon_sym_flat] = ACTIONS(1635),
    [anon_sym_noperspective] = ACTIONS(1635),
    [anon_sym___extension__] = ACTIONS(1635),
    [anon_sym_typedef] = ACTIONS(1635),
    [anon_sym_extern] = ACTIONS(1635),
    [anon_sym___attribute__] = ACTIONS(1635),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1637),
    [anon_sym___declspec] = ACTIONS(1635),
    [anon_sym___cdecl] = ACTIONS(1635),
    [anon_sym___clrcall] = ACTIONS(1635),
    [anon_sym___stdcall] = ACTIONS(1635),
    [anon_sym___fastcall] = ACTIONS(1635),
    [anon_sym___thiscall] = ACTIONS(1635),
    [anon_sym___vectorcall] = ACTIONS(1635),
    [anon_sym_LBRACE] = ACTIONS(1637),
    [anon_sym_RBRACE] = ACTIONS(1637),
    [anon_sym_signed] = ACTIONS(1635),
    [anon_sym_unsigned] = ACTIONS(1635),
    [anon_sym_long] = ACTIONS(1635),
    [anon_sym_short] = ACTIONS(1635),
    [anon_sym_static] = ACTIONS(1635),
    [anon_sym_auto] = ACTIONS(1635),
    [anon_sym_register] = ACTIONS(1635),
    [anon_sym_inline] = ACTIONS(1635),
    [anon_sym___inline] = ACTIONS(1635),
    [anon_sym___inline__] = ACTIONS(1635),
    [anon_sym___forceinline] = ACTIONS(1635),
    [anon_sym_thread_local] = ACTIONS(1635),
    [anon_sym___thread] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1635),
    [anon_sym_constexpr] = ACTIONS(1635),
    [anon_sym_volatile] = ACTIONS(1635),
    [anon_sym_restrict] = ACTIONS(1635),
    [anon_sym___restrict__] = ACTIONS(1635),
    [anon_sym__Atomic] = ACTIONS(1635),
    [anon_sym__Noreturn] = ACTIONS(1635),
    [anon_sym_noreturn] = ACTIONS(1635),
    [sym_primitive_type] = ACTIONS(1635),
    [anon_sym_enum] = ACTIONS(1635),
    [anon_sym_struct] = ACTIONS(1635),
    [anon_sym_union] = ACTIONS(1635),
    [anon_sym_if] = ACTIONS(1635),
    [anon_sym_switch] = ACTIONS(1635),
    [anon_sym_case] = ACTIONS(1635),
    [anon_sym_default] = ACTIONS(1635),
    [anon_sym_while] = ACTIONS(1635),
    [anon_sym_do] = ACTIONS(1635),
    [anon_sym_for] = ACTIONS(1635),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_break] = ACTIONS(1635),
    [anon_sym_continue] = ACTIONS(1635),
    [anon_sym_goto] = ACTIONS(1635),
    [anon_sym___try] = ACTIONS(1635),
    [anon_sym___leave] = ACTIONS(1635),
    [anon_sym_DASH_DASH] = ACTIONS(1637),
    [anon_sym_PLUS_PLUS] = ACTIONS(1637),
    [anon_sym_sizeof] = ACTIONS(1635),
    [anon_sym___alignof__] = ACTIONS(1635),
    [anon_sym___alignof] = ACTIONS(1635),
    [anon_sym__alignof] = ACTIONS(1635),
    [anon_sym_alignof] = ACTIONS(1635),
    [anon_sym__Alignof] = ACTIONS(1635),
    [anon_sym_offsetof] = ACTIONS(1635),
    [anon_sym__Generic] = ACTIONS(1635),
    [anon_sym_asm] = ACTIONS(1635),
    [anon_sym___asm__] = ACTIONS(1635),
    [sym_number_literal] = ACTIONS(1637),
    [anon_sym_L_SQUOTE] = ACTIONS(1637),
    [anon_sym_u_SQUOTE] = ACTIONS(1637),
    [anon_sym_U_SQUOTE] = ACTIONS(1637),
    [anon_sym_u8_SQUOTE] = ACTIONS(1637),
    [anon_sym_SQUOTE] = ACTIONS(1637),
    [anon_sym_L_DQUOTE] = ACTIONS(1637),
    [anon_sym_u_DQUOTE] = ACTIONS(1637),
    [anon_sym_U_DQUOTE] = ACTIONS(1637),
    [anon_sym_u8_DQUOTE] = ACTIONS(1637),
    [anon_sym_DQUOTE] = ACTIONS(1637),
    [sym_true] = ACTIONS(1635),
    [sym_false] = ACTIONS(1635),
    [anon_sym_NULL] = ACTIONS(1635),
    [anon_sym_nullptr] = ACTIONS(1635),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1635),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1635),
    [anon_sym_hitAttributeEXT] = ACTIONS(1635),
    [anon_sym_callableDataEXT] = ACTIONS(1635),
    [anon_sym_callableDataInEXT] = ACTIONS(1635),
    [anon_sym_shaderRecordEXT] = ACTIONS(1635),
    [anon_sym_rayPayloadNV] = ACTIONS(1635),
    [anon_sym_rayPayloadInNV] = ACTIONS(1635),
    [anon_sym_hitAttributeNV] = ACTIONS(1635),
    [anon_sym_callableDataNV] = ACTIONS(1635),
    [anon_sym_callableDataInNV] = ACTIONS(1635),
    [anon_sym_shaderRecordNV] = ACTIONS(1635),
    [anon_sym_layout] = ACTIONS(1635),
  },
  [568] = {
    [sym_identifier] = ACTIONS(1631),
    [aux_sym_preproc_include_token1] = ACTIONS(1631),
    [aux_sym_preproc_def_token1] = ACTIONS(1631),
    [aux_sym_preproc_if_token1] = ACTIONS(1631),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1631),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1631),
    [sym_preproc_directive] = ACTIONS(1631),
    [anon_sym_LPAREN2] = ACTIONS(1633),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1631),
    [anon_sym_PLUS] = ACTIONS(1631),
    [anon_sym_STAR] = ACTIONS(1633),
    [anon_sym_AMP] = ACTIONS(1633),
    [anon_sym_subroutine] = ACTIONS(1631),
    [anon_sym_invariant] = ACTIONS(1631),
    [anon_sym_precise] = ACTIONS(1631),
    [anon_sym_SEMI] = ACTIONS(1633),
    [anon_sym_in] = ACTIONS(1631),
    [anon_sym_out] = ACTIONS(1631),
    [anon_sym_inout] = ACTIONS(1631),
    [anon_sym_uniform] = ACTIONS(1631),
    [anon_sym_shared] = ACTIONS(1631),
    [anon_sym_attribute] = ACTIONS(1631),
    [anon_sym_varying] = ACTIONS(1631),
    [anon_sym_buffer] = ACTIONS(1631),
    [anon_sym_coherent] = ACTIONS(1631),
    [anon_sym_readonly] = ACTIONS(1631),
    [anon_sym_writeonly] = ACTIONS(1631),
    [anon_sym_precision] = ACTIONS(1631),
    [anon_sym_highp] = ACTIONS(1631),
    [anon_sym_mediump] = ACTIONS(1631),
    [anon_sym_lowp] = ACTIONS(1631),
    [anon_sym_centroid] = ACTIONS(1631),
    [anon_sym_sample] = ACTIONS(1631),
    [anon_sym_patch] = ACTIONS(1631),
    [anon_sym_smooth] = ACTIONS(1631),
    [anon_sym_flat] = ACTIONS(1631),
    [anon_sym_noperspective] = ACTIONS(1631),
    [anon_sym___extension__] = ACTIONS(1631),
    [anon_sym_typedef] = ACTIONS(1631),
    [anon_sym_extern] = ACTIONS(1631),
    [anon_sym___attribute__] = ACTIONS(1631),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1633),
    [anon_sym___declspec] = ACTIONS(1631),
    [anon_sym___cdecl] = ACTIONS(1631),
    [anon_sym___clrcall] = ACTIONS(1631),
    [anon_sym___stdcall] = ACTIONS(1631),
    [anon_sym___fastcall] = ACTIONS(1631),
    [anon_sym___thiscall] = ACTIONS(1631),
    [anon_sym___vectorcall] = ACTIONS(1631),
    [anon_sym_LBRACE] = ACTIONS(1633),
    [anon_sym_RBRACE] = ACTIONS(1633),
    [anon_sym_signed] = ACTIONS(1631),
    [anon_sym_unsigned] = ACTIONS(1631),
    [anon_sym_long] = ACTIONS(1631),
    [anon_sym_short] = ACTIONS(1631),
    [anon_sym_static] = ACTIONS(1631),
    [anon_sym_auto] = ACTIONS(1631),
    [anon_sym_register] = ACTIONS(1631),
    [anon_sym_inline] = ACTIONS(1631),
    [anon_sym___inline] = ACTIONS(1631),
    [anon_sym___inline__] = ACTIONS(1631),
    [anon_sym___forceinline] = ACTIONS(1631),
    [anon_sym_thread_local] = ACTIONS(1631),
    [anon_sym___thread] = ACTIONS(1631),
    [anon_sym_const] = ACTIONS(1631),
    [anon_sym_constexpr] = ACTIONS(1631),
    [anon_sym_volatile] = ACTIONS(1631),
    [anon_sym_restrict] = ACTIONS(1631),
    [anon_sym___restrict__] = ACTIONS(1631),
    [anon_sym__Atomic] = ACTIONS(1631),
    [anon_sym__Noreturn] = ACTIONS(1631),
    [anon_sym_noreturn] = ACTIONS(1631),
    [sym_primitive_type] = ACTIONS(1631),
    [anon_sym_enum] = ACTIONS(1631),
    [anon_sym_struct] = ACTIONS(1631),
    [anon_sym_union] = ACTIONS(1631),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_switch] = ACTIONS(1631),
    [anon_sym_case] = ACTIONS(1631),
    [anon_sym_default] = ACTIONS(1631),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_do] = ACTIONS(1631),
    [anon_sym_for] = ACTIONS(1631),
    [anon_sym_return] = ACTIONS(1631),
    [anon_sym_break] = ACTIONS(1631),
    [anon_sym_continue] = ACTIONS(1631),
    [anon_sym_goto] = ACTIONS(1631),
    [anon_sym___try] = ACTIONS(1631),
    [anon_sym___leave] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1633),
    [anon_sym_sizeof] = ACTIONS(1631),
    [anon_sym___alignof__] = ACTIONS(1631),
    [anon_sym___alignof] = ACTIONS(1631),
    [anon_sym__alignof] = ACTIONS(1631),
    [anon_sym_alignof] = ACTIONS(1631),
    [anon_sym__Alignof] = ACTIONS(1631),
    [anon_sym_offsetof] = ACTIONS(1631),
    [anon_sym__Generic] = ACTIONS(1631),
    [anon_sym_asm] = ACTIONS(1631),
    [anon_sym___asm__] = ACTIONS(1631),
    [sym_number_literal] = ACTIONS(1633),
    [anon_sym_L_SQUOTE] = ACTIONS(1633),
    [anon_sym_u_SQUOTE] = ACTIONS(1633),
    [anon_sym_U_SQUOTE] = ACTIONS(1633),
    [anon_sym_u8_SQUOTE] = ACTIONS(1633),
    [anon_sym_SQUOTE] = ACTIONS(1633),
    [anon_sym_L_DQUOTE] = ACTIONS(1633),
    [anon_sym_u_DQUOTE] = ACTIONS(1633),
    [anon_sym_U_DQUOTE] = ACTIONS(1633),
    [anon_sym_u8_DQUOTE] = ACTIONS(1633),
    [anon_sym_DQUOTE] = ACTIONS(1633),
    [sym_true] = ACTIONS(1631),
    [sym_false] = ACTIONS(1631),
    [anon_sym_NULL] = ACTIONS(1631),
    [anon_sym_nullptr] = ACTIONS(1631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1631),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1631),
    [anon_sym_hitAttributeEXT] = ACTIONS(1631),
    [anon_sym_callableDataEXT] = ACTIONS(1631),
    [anon_sym_callableDataInEXT] = ACTIONS(1631),
    [anon_sym_shaderRecordEXT] = ACTIONS(1631),
    [anon_sym_rayPayloadNV] = ACTIONS(1631),
    [anon_sym_rayPayloadInNV] = ACTIONS(1631),
    [anon_sym_hitAttributeNV] = ACTIONS(1631),
    [anon_sym_callableDataNV] = ACTIONS(1631),
    [anon_sym_callableDataInNV] = ACTIONS(1631),
    [anon_sym_shaderRecordNV] = ACTIONS(1631),
    [anon_sym_layout] = ACTIONS(1631),
  },
  [569] = {
    [sym_identifier] = ACTIONS(1651),
    [aux_sym_preproc_include_token1] = ACTIONS(1651),
    [aux_sym_preproc_def_token1] = ACTIONS(1651),
    [aux_sym_preproc_if_token1] = ACTIONS(1651),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1651),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1651),
    [sym_preproc_directive] = ACTIONS(1651),
    [anon_sym_LPAREN2] = ACTIONS(1653),
    [anon_sym_BANG] = ACTIONS(1653),
    [anon_sym_TILDE] = ACTIONS(1653),
    [anon_sym_DASH] = ACTIONS(1651),
    [anon_sym_PLUS] = ACTIONS(1651),
    [anon_sym_STAR] = ACTIONS(1653),
    [anon_sym_AMP] = ACTIONS(1653),
    [anon_sym_subroutine] = ACTIONS(1651),
    [anon_sym_invariant] = ACTIONS(1651),
    [anon_sym_precise] = ACTIONS(1651),
    [anon_sym_SEMI] = ACTIONS(1653),
    [anon_sym_in] = ACTIONS(1651),
    [anon_sym_out] = ACTIONS(1651),
    [anon_sym_inout] = ACTIONS(1651),
    [anon_sym_uniform] = ACTIONS(1651),
    [anon_sym_shared] = ACTIONS(1651),
    [anon_sym_attribute] = ACTIONS(1651),
    [anon_sym_varying] = ACTIONS(1651),
    [anon_sym_buffer] = ACTIONS(1651),
    [anon_sym_coherent] = ACTIONS(1651),
    [anon_sym_readonly] = ACTIONS(1651),
    [anon_sym_writeonly] = ACTIONS(1651),
    [anon_sym_precision] = ACTIONS(1651),
    [anon_sym_highp] = ACTIONS(1651),
    [anon_sym_mediump] = ACTIONS(1651),
    [anon_sym_lowp] = ACTIONS(1651),
    [anon_sym_centroid] = ACTIONS(1651),
    [anon_sym_sample] = ACTIONS(1651),
    [anon_sym_patch] = ACTIONS(1651),
    [anon_sym_smooth] = ACTIONS(1651),
    [anon_sym_flat] = ACTIONS(1651),
    [anon_sym_noperspective] = ACTIONS(1651),
    [anon_sym___extension__] = ACTIONS(1651),
    [anon_sym_typedef] = ACTIONS(1651),
    [anon_sym_extern] = ACTIONS(1651),
    [anon_sym___attribute__] = ACTIONS(1651),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1653),
    [anon_sym___declspec] = ACTIONS(1651),
    [anon_sym___cdecl] = ACTIONS(1651),
    [anon_sym___clrcall] = ACTIONS(1651),
    [anon_sym___stdcall] = ACTIONS(1651),
    [anon_sym___fastcall] = ACTIONS(1651),
    [anon_sym___thiscall] = ACTIONS(1651),
    [anon_sym___vectorcall] = ACTIONS(1651),
    [anon_sym_LBRACE] = ACTIONS(1653),
    [anon_sym_RBRACE] = ACTIONS(1653),
    [anon_sym_signed] = ACTIONS(1651),
    [anon_sym_unsigned] = ACTIONS(1651),
    [anon_sym_long] = ACTIONS(1651),
    [anon_sym_short] = ACTIONS(1651),
    [anon_sym_static] = ACTIONS(1651),
    [anon_sym_auto] = ACTIONS(1651),
    [anon_sym_register] = ACTIONS(1651),
    [anon_sym_inline] = ACTIONS(1651),
    [anon_sym___inline] = ACTIONS(1651),
    [anon_sym___inline__] = ACTIONS(1651),
    [anon_sym___forceinline] = ACTIONS(1651),
    [anon_sym_thread_local] = ACTIONS(1651),
    [anon_sym___thread] = ACTIONS(1651),
    [anon_sym_const] = ACTIONS(1651),
    [anon_sym_constexpr] = ACTIONS(1651),
    [anon_sym_volatile] = ACTIONS(1651),
    [anon_sym_restrict] = ACTIONS(1651),
    [anon_sym___restrict__] = ACTIONS(1651),
    [anon_sym__Atomic] = ACTIONS(1651),
    [anon_sym__Noreturn] = ACTIONS(1651),
    [anon_sym_noreturn] = ACTIONS(1651),
    [sym_primitive_type] = ACTIONS(1651),
    [anon_sym_enum] = ACTIONS(1651),
    [anon_sym_struct] = ACTIONS(1651),
    [anon_sym_union] = ACTIONS(1651),
    [anon_sym_if] = ACTIONS(1651),
    [anon_sym_switch] = ACTIONS(1651),
    [anon_sym_case] = ACTIONS(1651),
    [anon_sym_default] = ACTIONS(1651),
    [anon_sym_while] = ACTIONS(1651),
    [anon_sym_do] = ACTIONS(1651),
    [anon_sym_for] = ACTIONS(1651),
    [anon_sym_return] = ACTIONS(1651),
    [anon_sym_break] = ACTIONS(1651),
    [anon_sym_continue] = ACTIONS(1651),
    [anon_sym_goto] = ACTIONS(1651),
    [anon_sym___try] = ACTIONS(1651),
    [anon_sym___leave] = ACTIONS(1651),
    [anon_sym_DASH_DASH] = ACTIONS(1653),
    [anon_sym_PLUS_PLUS] = ACTIONS(1653),
    [anon_sym_sizeof] = ACTIONS(1651),
    [anon_sym___alignof__] = ACTIONS(1651),
    [anon_sym___alignof] = ACTIONS(1651),
    [anon_sym__alignof] = ACTIONS(1651),
    [anon_sym_alignof] = ACTIONS(1651),
    [anon_sym__Alignof] = ACTIONS(1651),
    [anon_sym_offsetof] = ACTIONS(1651),
    [anon_sym__Generic] = ACTIONS(1651),
    [anon_sym_asm] = ACTIONS(1651),
    [anon_sym___asm__] = ACTIONS(1651),
    [sym_number_literal] = ACTIONS(1653),
    [anon_sym_L_SQUOTE] = ACTIONS(1653),
    [anon_sym_u_SQUOTE] = ACTIONS(1653),
    [anon_sym_U_SQUOTE] = ACTIONS(1653),
    [anon_sym_u8_SQUOTE] = ACTIONS(1653),
    [anon_sym_SQUOTE] = ACTIONS(1653),
    [anon_sym_L_DQUOTE] = ACTIONS(1653),
    [anon_sym_u_DQUOTE] = ACTIONS(1653),
    [anon_sym_U_DQUOTE] = ACTIONS(1653),
    [anon_sym_u8_DQUOTE] = ACTIONS(1653),
    [anon_sym_DQUOTE] = ACTIONS(1653),
    [sym_true] = ACTIONS(1651),
    [sym_false] = ACTIONS(1651),
    [anon_sym_NULL] = ACTIONS(1651),
    [anon_sym_nullptr] = ACTIONS(1651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1651),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1651),
    [anon_sym_hitAttributeEXT] = ACTIONS(1651),
    [anon_sym_callableDataEXT] = ACTIONS(1651),
    [anon_sym_callableDataInEXT] = ACTIONS(1651),
    [anon_sym_shaderRecordEXT] = ACTIONS(1651),
    [anon_sym_rayPayloadNV] = ACTIONS(1651),
    [anon_sym_rayPayloadInNV] = ACTIONS(1651),
    [anon_sym_hitAttributeNV] = ACTIONS(1651),
    [anon_sym_callableDataNV] = ACTIONS(1651),
    [anon_sym_callableDataInNV] = ACTIONS(1651),
    [anon_sym_shaderRecordNV] = ACTIONS(1651),
    [anon_sym_layout] = ACTIONS(1651),
  },
  [570] = {
    [ts_builtin_sym_end] = ACTIONS(1593),
    [sym_identifier] = ACTIONS(1591),
    [aux_sym_preproc_include_token1] = ACTIONS(1591),
    [aux_sym_preproc_def_token1] = ACTIONS(1591),
    [anon_sym_COMMA] = ACTIONS(1593),
    [aux_sym_preproc_if_token1] = ACTIONS(1591),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1591),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1591),
    [sym_preproc_directive] = ACTIONS(1591),
    [anon_sym_LPAREN2] = ACTIONS(1593),
    [anon_sym_BANG] = ACTIONS(1593),
    [anon_sym_TILDE] = ACTIONS(1593),
    [anon_sym_DASH] = ACTIONS(1591),
    [anon_sym_PLUS] = ACTIONS(1591),
    [anon_sym_STAR] = ACTIONS(1593),
    [anon_sym_AMP] = ACTIONS(1593),
    [anon_sym_subroutine] = ACTIONS(1591),
    [anon_sym_invariant] = ACTIONS(1591),
    [anon_sym_precise] = ACTIONS(1591),
    [anon_sym_in] = ACTIONS(1591),
    [anon_sym_out] = ACTIONS(1591),
    [anon_sym_inout] = ACTIONS(1591),
    [anon_sym_uniform] = ACTIONS(1591),
    [anon_sym_shared] = ACTIONS(1591),
    [anon_sym_attribute] = ACTIONS(1591),
    [anon_sym_varying] = ACTIONS(1591),
    [anon_sym_buffer] = ACTIONS(1591),
    [anon_sym_coherent] = ACTIONS(1591),
    [anon_sym_readonly] = ACTIONS(1591),
    [anon_sym_writeonly] = ACTIONS(1591),
    [anon_sym_precision] = ACTIONS(1591),
    [anon_sym_highp] = ACTIONS(1591),
    [anon_sym_mediump] = ACTIONS(1591),
    [anon_sym_lowp] = ACTIONS(1591),
    [anon_sym_centroid] = ACTIONS(1591),
    [anon_sym_sample] = ACTIONS(1591),
    [anon_sym_patch] = ACTIONS(1591),
    [anon_sym_smooth] = ACTIONS(1591),
    [anon_sym_flat] = ACTIONS(1591),
    [anon_sym_noperspective] = ACTIONS(1591),
    [anon_sym___extension__] = ACTIONS(1591),
    [anon_sym_typedef] = ACTIONS(1591),
    [anon_sym_extern] = ACTIONS(1591),
    [anon_sym___attribute__] = ACTIONS(1591),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1593),
    [anon_sym___declspec] = ACTIONS(1591),
    [anon_sym___cdecl] = ACTIONS(1591),
    [anon_sym___clrcall] = ACTIONS(1591),
    [anon_sym___stdcall] = ACTIONS(1591),
    [anon_sym___fastcall] = ACTIONS(1591),
    [anon_sym___thiscall] = ACTIONS(1591),
    [anon_sym___vectorcall] = ACTIONS(1591),
    [anon_sym_LBRACE] = ACTIONS(1593),
    [anon_sym_RBRACE] = ACTIONS(1593),
    [anon_sym_signed] = ACTIONS(1591),
    [anon_sym_unsigned] = ACTIONS(1591),
    [anon_sym_long] = ACTIONS(1591),
    [anon_sym_short] = ACTIONS(1591),
    [anon_sym_static] = ACTIONS(1591),
    [anon_sym_auto] = ACTIONS(1591),
    [anon_sym_register] = ACTIONS(1591),
    [anon_sym_inline] = ACTIONS(1591),
    [anon_sym___inline] = ACTIONS(1591),
    [anon_sym___inline__] = ACTIONS(1591),
    [anon_sym___forceinline] = ACTIONS(1591),
    [anon_sym_thread_local] = ACTIONS(1591),
    [anon_sym___thread] = ACTIONS(1591),
    [anon_sym_const] = ACTIONS(1591),
    [anon_sym_constexpr] = ACTIONS(1591),
    [anon_sym_volatile] = ACTIONS(1591),
    [anon_sym_restrict] = ACTIONS(1591),
    [anon_sym___restrict__] = ACTIONS(1591),
    [anon_sym__Atomic] = ACTIONS(1591),
    [anon_sym__Noreturn] = ACTIONS(1591),
    [anon_sym_noreturn] = ACTIONS(1591),
    [sym_primitive_type] = ACTIONS(1591),
    [anon_sym_enum] = ACTIONS(1591),
    [anon_sym_struct] = ACTIONS(1591),
    [anon_sym_union] = ACTIONS(1591),
    [anon_sym_if] = ACTIONS(1591),
    [anon_sym_switch] = ACTIONS(1591),
    [anon_sym_case] = ACTIONS(1591),
    [anon_sym_default] = ACTIONS(1591),
    [anon_sym_while] = ACTIONS(1591),
    [anon_sym_do] = ACTIONS(1591),
    [anon_sym_for] = ACTIONS(1591),
    [anon_sym_return] = ACTIONS(1591),
    [anon_sym_break] = ACTIONS(1591),
    [anon_sym_continue] = ACTIONS(1591),
    [anon_sym_goto] = ACTIONS(1591),
    [anon_sym_DASH_DASH] = ACTIONS(1593),
    [anon_sym_PLUS_PLUS] = ACTIONS(1593),
    [anon_sym_sizeof] = ACTIONS(1591),
    [anon_sym___alignof__] = ACTIONS(1591),
    [anon_sym___alignof] = ACTIONS(1591),
    [anon_sym__alignof] = ACTIONS(1591),
    [anon_sym_alignof] = ACTIONS(1591),
    [anon_sym__Alignof] = ACTIONS(1591),
    [anon_sym_offsetof] = ACTIONS(1591),
    [anon_sym__Generic] = ACTIONS(1591),
    [anon_sym_asm] = ACTIONS(1591),
    [anon_sym___asm__] = ACTIONS(1591),
    [sym_number_literal] = ACTIONS(1593),
    [anon_sym_L_SQUOTE] = ACTIONS(1593),
    [anon_sym_u_SQUOTE] = ACTIONS(1593),
    [anon_sym_U_SQUOTE] = ACTIONS(1593),
    [anon_sym_u8_SQUOTE] = ACTIONS(1593),
    [anon_sym_SQUOTE] = ACTIONS(1593),
    [anon_sym_L_DQUOTE] = ACTIONS(1593),
    [anon_sym_u_DQUOTE] = ACTIONS(1593),
    [anon_sym_U_DQUOTE] = ACTIONS(1593),
    [anon_sym_u8_DQUOTE] = ACTIONS(1593),
    [anon_sym_DQUOTE] = ACTIONS(1593),
    [sym_true] = ACTIONS(1591),
    [sym_false] = ACTIONS(1591),
    [anon_sym_NULL] = ACTIONS(1591),
    [anon_sym_nullptr] = ACTIONS(1591),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1591),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1591),
    [anon_sym_hitAttributeEXT] = ACTIONS(1591),
    [anon_sym_callableDataEXT] = ACTIONS(1591),
    [anon_sym_callableDataInEXT] = ACTIONS(1591),
    [anon_sym_shaderRecordEXT] = ACTIONS(1591),
    [anon_sym_rayPayloadNV] = ACTIONS(1591),
    [anon_sym_rayPayloadInNV] = ACTIONS(1591),
    [anon_sym_hitAttributeNV] = ACTIONS(1591),
    [anon_sym_callableDataNV] = ACTIONS(1591),
    [anon_sym_callableDataInNV] = ACTIONS(1591),
    [anon_sym_shaderRecordNV] = ACTIONS(1591),
    [anon_sym_layout] = ACTIONS(1591),
  },
  [571] = {
    [ts_builtin_sym_end] = ACTIONS(1613),
    [sym_identifier] = ACTIONS(1611),
    [aux_sym_preproc_include_token1] = ACTIONS(1611),
    [aux_sym_preproc_def_token1] = ACTIONS(1611),
    [anon_sym_COMMA] = ACTIONS(1613),
    [aux_sym_preproc_if_token1] = ACTIONS(1611),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1611),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1611),
    [sym_preproc_directive] = ACTIONS(1611),
    [anon_sym_LPAREN2] = ACTIONS(1613),
    [anon_sym_BANG] = ACTIONS(1613),
    [anon_sym_TILDE] = ACTIONS(1613),
    [anon_sym_DASH] = ACTIONS(1611),
    [anon_sym_PLUS] = ACTIONS(1611),
    [anon_sym_STAR] = ACTIONS(1613),
    [anon_sym_AMP] = ACTIONS(1613),
    [anon_sym_subroutine] = ACTIONS(1611),
    [anon_sym_invariant] = ACTIONS(1611),
    [anon_sym_precise] = ACTIONS(1611),
    [anon_sym_in] = ACTIONS(1611),
    [anon_sym_out] = ACTIONS(1611),
    [anon_sym_inout] = ACTIONS(1611),
    [anon_sym_uniform] = ACTIONS(1611),
    [anon_sym_shared] = ACTIONS(1611),
    [anon_sym_attribute] = ACTIONS(1611),
    [anon_sym_varying] = ACTIONS(1611),
    [anon_sym_buffer] = ACTIONS(1611),
    [anon_sym_coherent] = ACTIONS(1611),
    [anon_sym_readonly] = ACTIONS(1611),
    [anon_sym_writeonly] = ACTIONS(1611),
    [anon_sym_precision] = ACTIONS(1611),
    [anon_sym_highp] = ACTIONS(1611),
    [anon_sym_mediump] = ACTIONS(1611),
    [anon_sym_lowp] = ACTIONS(1611),
    [anon_sym_centroid] = ACTIONS(1611),
    [anon_sym_sample] = ACTIONS(1611),
    [anon_sym_patch] = ACTIONS(1611),
    [anon_sym_smooth] = ACTIONS(1611),
    [anon_sym_flat] = ACTIONS(1611),
    [anon_sym_noperspective] = ACTIONS(1611),
    [anon_sym___extension__] = ACTIONS(1611),
    [anon_sym_typedef] = ACTIONS(1611),
    [anon_sym_extern] = ACTIONS(1611),
    [anon_sym___attribute__] = ACTIONS(1611),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1613),
    [anon_sym___declspec] = ACTIONS(1611),
    [anon_sym___cdecl] = ACTIONS(1611),
    [anon_sym___clrcall] = ACTIONS(1611),
    [anon_sym___stdcall] = ACTIONS(1611),
    [anon_sym___fastcall] = ACTIONS(1611),
    [anon_sym___thiscall] = ACTIONS(1611),
    [anon_sym___vectorcall] = ACTIONS(1611),
    [anon_sym_LBRACE] = ACTIONS(1613),
    [anon_sym_RBRACE] = ACTIONS(1613),
    [anon_sym_signed] = ACTIONS(1611),
    [anon_sym_unsigned] = ACTIONS(1611),
    [anon_sym_long] = ACTIONS(1611),
    [anon_sym_short] = ACTIONS(1611),
    [anon_sym_static] = ACTIONS(1611),
    [anon_sym_auto] = ACTIONS(1611),
    [anon_sym_register] = ACTIONS(1611),
    [anon_sym_inline] = ACTIONS(1611),
    [anon_sym___inline] = ACTIONS(1611),
    [anon_sym___inline__] = ACTIONS(1611),
    [anon_sym___forceinline] = ACTIONS(1611),
    [anon_sym_thread_local] = ACTIONS(1611),
    [anon_sym___thread] = ACTIONS(1611),
    [anon_sym_const] = ACTIONS(1611),
    [anon_sym_constexpr] = ACTIONS(1611),
    [anon_sym_volatile] = ACTIONS(1611),
    [anon_sym_restrict] = ACTIONS(1611),
    [anon_sym___restrict__] = ACTIONS(1611),
    [anon_sym__Atomic] = ACTIONS(1611),
    [anon_sym__Noreturn] = ACTIONS(1611),
    [anon_sym_noreturn] = ACTIONS(1611),
    [sym_primitive_type] = ACTIONS(1611),
    [anon_sym_enum] = ACTIONS(1611),
    [anon_sym_struct] = ACTIONS(1611),
    [anon_sym_union] = ACTIONS(1611),
    [anon_sym_if] = ACTIONS(1611),
    [anon_sym_switch] = ACTIONS(1611),
    [anon_sym_case] = ACTIONS(1611),
    [anon_sym_default] = ACTIONS(1611),
    [anon_sym_while] = ACTIONS(1611),
    [anon_sym_do] = ACTIONS(1611),
    [anon_sym_for] = ACTIONS(1611),
    [anon_sym_return] = ACTIONS(1611),
    [anon_sym_break] = ACTIONS(1611),
    [anon_sym_continue] = ACTIONS(1611),
    [anon_sym_goto] = ACTIONS(1611),
    [anon_sym_DASH_DASH] = ACTIONS(1613),
    [anon_sym_PLUS_PLUS] = ACTIONS(1613),
    [anon_sym_sizeof] = ACTIONS(1611),
    [anon_sym___alignof__] = ACTIONS(1611),
    [anon_sym___alignof] = ACTIONS(1611),
    [anon_sym__alignof] = ACTIONS(1611),
    [anon_sym_alignof] = ACTIONS(1611),
    [anon_sym__Alignof] = ACTIONS(1611),
    [anon_sym_offsetof] = ACTIONS(1611),
    [anon_sym__Generic] = ACTIONS(1611),
    [anon_sym_asm] = ACTIONS(1611),
    [anon_sym___asm__] = ACTIONS(1611),
    [sym_number_literal] = ACTIONS(1613),
    [anon_sym_L_SQUOTE] = ACTIONS(1613),
    [anon_sym_u_SQUOTE] = ACTIONS(1613),
    [anon_sym_U_SQUOTE] = ACTIONS(1613),
    [anon_sym_u8_SQUOTE] = ACTIONS(1613),
    [anon_sym_SQUOTE] = ACTIONS(1613),
    [anon_sym_L_DQUOTE] = ACTIONS(1613),
    [anon_sym_u_DQUOTE] = ACTIONS(1613),
    [anon_sym_U_DQUOTE] = ACTIONS(1613),
    [anon_sym_u8_DQUOTE] = ACTIONS(1613),
    [anon_sym_DQUOTE] = ACTIONS(1613),
    [sym_true] = ACTIONS(1611),
    [sym_false] = ACTIONS(1611),
    [anon_sym_NULL] = ACTIONS(1611),
    [anon_sym_nullptr] = ACTIONS(1611),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1611),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1611),
    [anon_sym_hitAttributeEXT] = ACTIONS(1611),
    [anon_sym_callableDataEXT] = ACTIONS(1611),
    [anon_sym_callableDataInEXT] = ACTIONS(1611),
    [anon_sym_shaderRecordEXT] = ACTIONS(1611),
    [anon_sym_rayPayloadNV] = ACTIONS(1611),
    [anon_sym_rayPayloadInNV] = ACTIONS(1611),
    [anon_sym_hitAttributeNV] = ACTIONS(1611),
    [anon_sym_callableDataNV] = ACTIONS(1611),
    [anon_sym_callableDataInNV] = ACTIONS(1611),
    [anon_sym_shaderRecordNV] = ACTIONS(1611),
    [anon_sym_layout] = ACTIONS(1611),
  },
  [572] = {
    [ts_builtin_sym_end] = ACTIONS(1665),
    [sym_identifier] = ACTIONS(1663),
    [aux_sym_preproc_include_token1] = ACTIONS(1663),
    [aux_sym_preproc_def_token1] = ACTIONS(1663),
    [aux_sym_preproc_if_token1] = ACTIONS(1663),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1663),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1663),
    [sym_preproc_directive] = ACTIONS(1663),
    [anon_sym_LPAREN2] = ACTIONS(1665),
    [anon_sym_BANG] = ACTIONS(1665),
    [anon_sym_TILDE] = ACTIONS(1665),
    [anon_sym_DASH] = ACTIONS(1663),
    [anon_sym_PLUS] = ACTIONS(1663),
    [anon_sym_STAR] = ACTIONS(1665),
    [anon_sym_AMP] = ACTIONS(1665),
    [anon_sym_subroutine] = ACTIONS(1663),
    [anon_sym_invariant] = ACTIONS(1663),
    [anon_sym_precise] = ACTIONS(1663),
    [anon_sym_in] = ACTIONS(1663),
    [anon_sym_out] = ACTIONS(1663),
    [anon_sym_inout] = ACTIONS(1663),
    [anon_sym_uniform] = ACTIONS(1663),
    [anon_sym_shared] = ACTIONS(1663),
    [anon_sym_attribute] = ACTIONS(1663),
    [anon_sym_varying] = ACTIONS(1663),
    [anon_sym_buffer] = ACTIONS(1663),
    [anon_sym_coherent] = ACTIONS(1663),
    [anon_sym_readonly] = ACTIONS(1663),
    [anon_sym_writeonly] = ACTIONS(1663),
    [anon_sym_precision] = ACTIONS(1663),
    [anon_sym_highp] = ACTIONS(1663),
    [anon_sym_mediump] = ACTIONS(1663),
    [anon_sym_lowp] = ACTIONS(1663),
    [anon_sym_centroid] = ACTIONS(1663),
    [anon_sym_sample] = ACTIONS(1663),
    [anon_sym_patch] = ACTIONS(1663),
    [anon_sym_smooth] = ACTIONS(1663),
    [anon_sym_flat] = ACTIONS(1663),
    [anon_sym_noperspective] = ACTIONS(1663),
    [anon_sym___extension__] = ACTIONS(1663),
    [anon_sym_typedef] = ACTIONS(1663),
    [anon_sym_extern] = ACTIONS(1663),
    [anon_sym___attribute__] = ACTIONS(1663),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1665),
    [anon_sym___declspec] = ACTIONS(1663),
    [anon_sym___cdecl] = ACTIONS(1663),
    [anon_sym___clrcall] = ACTIONS(1663),
    [anon_sym___stdcall] = ACTIONS(1663),
    [anon_sym___fastcall] = ACTIONS(1663),
    [anon_sym___thiscall] = ACTIONS(1663),
    [anon_sym___vectorcall] = ACTIONS(1663),
    [anon_sym_LBRACE] = ACTIONS(1665),
    [anon_sym_signed] = ACTIONS(1663),
    [anon_sym_unsigned] = ACTIONS(1663),
    [anon_sym_long] = ACTIONS(1663),
    [anon_sym_short] = ACTIONS(1663),
    [anon_sym_static] = ACTIONS(1663),
    [anon_sym_auto] = ACTIONS(1663),
    [anon_sym_register] = ACTIONS(1663),
    [anon_sym_inline] = ACTIONS(1663),
    [anon_sym___inline] = ACTIONS(1663),
    [anon_sym___inline__] = ACTIONS(1663),
    [anon_sym___forceinline] = ACTIONS(1663),
    [anon_sym_thread_local] = ACTIONS(1663),
    [anon_sym___thread] = ACTIONS(1663),
    [anon_sym_const] = ACTIONS(1663),
    [anon_sym_constexpr] = ACTIONS(1663),
    [anon_sym_volatile] = ACTIONS(1663),
    [anon_sym_restrict] = ACTIONS(1663),
    [anon_sym___restrict__] = ACTIONS(1663),
    [anon_sym__Atomic] = ACTIONS(1663),
    [anon_sym__Noreturn] = ACTIONS(1663),
    [anon_sym_noreturn] = ACTIONS(1663),
    [sym_primitive_type] = ACTIONS(1663),
    [anon_sym_enum] = ACTIONS(1663),
    [anon_sym_struct] = ACTIONS(1663),
    [anon_sym_union] = ACTIONS(1663),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_switch] = ACTIONS(1663),
    [anon_sym_case] = ACTIONS(1663),
    [anon_sym_default] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1663),
    [anon_sym_do] = ACTIONS(1663),
    [anon_sym_for] = ACTIONS(1663),
    [anon_sym_return] = ACTIONS(1663),
    [anon_sym_break] = ACTIONS(1663),
    [anon_sym_continue] = ACTIONS(1663),
    [anon_sym_goto] = ACTIONS(1663),
    [anon_sym_DASH_DASH] = ACTIONS(1665),
    [anon_sym_PLUS_PLUS] = ACTIONS(1665),
    [anon_sym_sizeof] = ACTIONS(1663),
    [anon_sym___alignof__] = ACTIONS(1663),
    [anon_sym___alignof] = ACTIONS(1663),
    [anon_sym__alignof] = ACTIONS(1663),
    [anon_sym_alignof] = ACTIONS(1663),
    [anon_sym__Alignof] = ACTIONS(1663),
    [anon_sym_offsetof] = ACTIONS(1663),
    [anon_sym__Generic] = ACTIONS(1663),
    [anon_sym_asm] = ACTIONS(1663),
    [anon_sym___asm__] = ACTIONS(1663),
    [sym_number_literal] = ACTIONS(1665),
    [anon_sym_L_SQUOTE] = ACTIONS(1665),
    [anon_sym_u_SQUOTE] = ACTIONS(1665),
    [anon_sym_U_SQUOTE] = ACTIONS(1665),
    [anon_sym_u8_SQUOTE] = ACTIONS(1665),
    [anon_sym_SQUOTE] = ACTIONS(1665),
    [anon_sym_L_DQUOTE] = ACTIONS(1665),
    [anon_sym_u_DQUOTE] = ACTIONS(1665),
    [anon_sym_U_DQUOTE] = ACTIONS(1665),
    [anon_sym_u8_DQUOTE] = ACTIONS(1665),
    [anon_sym_DQUOTE] = ACTIONS(1665),
    [sym_true] = ACTIONS(1663),
    [sym_false] = ACTIONS(1663),
    [anon_sym_NULL] = ACTIONS(1663),
    [anon_sym_nullptr] = ACTIONS(1663),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1663),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1663),
    [anon_sym_hitAttributeEXT] = ACTIONS(1663),
    [anon_sym_callableDataEXT] = ACTIONS(1663),
    [anon_sym_callableDataInEXT] = ACTIONS(1663),
    [anon_sym_shaderRecordEXT] = ACTIONS(1663),
    [anon_sym_rayPayloadNV] = ACTIONS(1663),
    [anon_sym_rayPayloadInNV] = ACTIONS(1663),
    [anon_sym_hitAttributeNV] = ACTIONS(1663),
    [anon_sym_callableDataNV] = ACTIONS(1663),
    [anon_sym_callableDataInNV] = ACTIONS(1663),
    [anon_sym_shaderRecordNV] = ACTIONS(1663),
    [anon_sym_layout] = ACTIONS(1663),
  },
  [573] = {
    [ts_builtin_sym_end] = ACTIONS(1721),
    [sym_identifier] = ACTIONS(1719),
    [aux_sym_preproc_include_token1] = ACTIONS(1719),
    [aux_sym_preproc_def_token1] = ACTIONS(1719),
    [aux_sym_preproc_if_token1] = ACTIONS(1719),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1719),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1719),
    [sym_preproc_directive] = ACTIONS(1719),
    [anon_sym_LPAREN2] = ACTIONS(1721),
    [anon_sym_BANG] = ACTIONS(1721),
    [anon_sym_TILDE] = ACTIONS(1721),
    [anon_sym_DASH] = ACTIONS(1719),
    [anon_sym_PLUS] = ACTIONS(1719),
    [anon_sym_STAR] = ACTIONS(1721),
    [anon_sym_AMP] = ACTIONS(1721),
    [anon_sym_subroutine] = ACTIONS(1719),
    [anon_sym_invariant] = ACTIONS(1719),
    [anon_sym_precise] = ACTIONS(1719),
    [anon_sym_in] = ACTIONS(1719),
    [anon_sym_out] = ACTIONS(1719),
    [anon_sym_inout] = ACTIONS(1719),
    [anon_sym_uniform] = ACTIONS(1719),
    [anon_sym_shared] = ACTIONS(1719),
    [anon_sym_attribute] = ACTIONS(1719),
    [anon_sym_varying] = ACTIONS(1719),
    [anon_sym_buffer] = ACTIONS(1719),
    [anon_sym_coherent] = ACTIONS(1719),
    [anon_sym_readonly] = ACTIONS(1719),
    [anon_sym_writeonly] = ACTIONS(1719),
    [anon_sym_precision] = ACTIONS(1719),
    [anon_sym_highp] = ACTIONS(1719),
    [anon_sym_mediump] = ACTIONS(1719),
    [anon_sym_lowp] = ACTIONS(1719),
    [anon_sym_centroid] = ACTIONS(1719),
    [anon_sym_sample] = ACTIONS(1719),
    [anon_sym_patch] = ACTIONS(1719),
    [anon_sym_smooth] = ACTIONS(1719),
    [anon_sym_flat] = ACTIONS(1719),
    [anon_sym_noperspective] = ACTIONS(1719),
    [anon_sym___extension__] = ACTIONS(1719),
    [anon_sym_typedef] = ACTIONS(1719),
    [anon_sym_extern] = ACTIONS(1719),
    [anon_sym___attribute__] = ACTIONS(1719),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1721),
    [anon_sym___declspec] = ACTIONS(1719),
    [anon_sym___cdecl] = ACTIONS(1719),
    [anon_sym___clrcall] = ACTIONS(1719),
    [anon_sym___stdcall] = ACTIONS(1719),
    [anon_sym___fastcall] = ACTIONS(1719),
    [anon_sym___thiscall] = ACTIONS(1719),
    [anon_sym___vectorcall] = ACTIONS(1719),
    [anon_sym_LBRACE] = ACTIONS(1721),
    [anon_sym_signed] = ACTIONS(1719),
    [anon_sym_unsigned] = ACTIONS(1719),
    [anon_sym_long] = ACTIONS(1719),
    [anon_sym_short] = ACTIONS(1719),
    [anon_sym_static] = ACTIONS(1719),
    [anon_sym_auto] = ACTIONS(1719),
    [anon_sym_register] = ACTIONS(1719),
    [anon_sym_inline] = ACTIONS(1719),
    [anon_sym___inline] = ACTIONS(1719),
    [anon_sym___inline__] = ACTIONS(1719),
    [anon_sym___forceinline] = ACTIONS(1719),
    [anon_sym_thread_local] = ACTIONS(1719),
    [anon_sym___thread] = ACTIONS(1719),
    [anon_sym_const] = ACTIONS(1719),
    [anon_sym_constexpr] = ACTIONS(1719),
    [anon_sym_volatile] = ACTIONS(1719),
    [anon_sym_restrict] = ACTIONS(1719),
    [anon_sym___restrict__] = ACTIONS(1719),
    [anon_sym__Atomic] = ACTIONS(1719),
    [anon_sym__Noreturn] = ACTIONS(1719),
    [anon_sym_noreturn] = ACTIONS(1719),
    [sym_primitive_type] = ACTIONS(1719),
    [anon_sym_enum] = ACTIONS(1719),
    [anon_sym_struct] = ACTIONS(1719),
    [anon_sym_union] = ACTIONS(1719),
    [anon_sym_if] = ACTIONS(1719),
    [anon_sym_switch] = ACTIONS(1719),
    [anon_sym_case] = ACTIONS(1719),
    [anon_sym_default] = ACTIONS(1719),
    [anon_sym_while] = ACTIONS(1719),
    [anon_sym_do] = ACTIONS(1719),
    [anon_sym_for] = ACTIONS(1719),
    [anon_sym_return] = ACTIONS(1719),
    [anon_sym_break] = ACTIONS(1719),
    [anon_sym_continue] = ACTIONS(1719),
    [anon_sym_goto] = ACTIONS(1719),
    [anon_sym_DASH_DASH] = ACTIONS(1721),
    [anon_sym_PLUS_PLUS] = ACTIONS(1721),
    [anon_sym_sizeof] = ACTIONS(1719),
    [anon_sym___alignof__] = ACTIONS(1719),
    [anon_sym___alignof] = ACTIONS(1719),
    [anon_sym__alignof] = ACTIONS(1719),
    [anon_sym_alignof] = ACTIONS(1719),
    [anon_sym__Alignof] = ACTIONS(1719),
    [anon_sym_offsetof] = ACTIONS(1719),
    [anon_sym__Generic] = ACTIONS(1719),
    [anon_sym_asm] = ACTIONS(1719),
    [anon_sym___asm__] = ACTIONS(1719),
    [sym_number_literal] = ACTIONS(1721),
    [anon_sym_L_SQUOTE] = ACTIONS(1721),
    [anon_sym_u_SQUOTE] = ACTIONS(1721),
    [anon_sym_U_SQUOTE] = ACTIONS(1721),
    [anon_sym_u8_SQUOTE] = ACTIONS(1721),
    [anon_sym_SQUOTE] = ACTIONS(1721),
    [anon_sym_L_DQUOTE] = ACTIONS(1721),
    [anon_sym_u_DQUOTE] = ACTIONS(1721),
    [anon_sym_U_DQUOTE] = ACTIONS(1721),
    [anon_sym_u8_DQUOTE] = ACTIONS(1721),
    [anon_sym_DQUOTE] = ACTIONS(1721),
    [sym_true] = ACTIONS(1719),
    [sym_false] = ACTIONS(1719),
    [anon_sym_NULL] = ACTIONS(1719),
    [anon_sym_nullptr] = ACTIONS(1719),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1719),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1719),
    [anon_sym_hitAttributeEXT] = ACTIONS(1719),
    [anon_sym_callableDataEXT] = ACTIONS(1719),
    [anon_sym_callableDataInEXT] = ACTIONS(1719),
    [anon_sym_shaderRecordEXT] = ACTIONS(1719),
    [anon_sym_rayPayloadNV] = ACTIONS(1719),
    [anon_sym_rayPayloadInNV] = ACTIONS(1719),
    [anon_sym_hitAttributeNV] = ACTIONS(1719),
    [anon_sym_callableDataNV] = ACTIONS(1719),
    [anon_sym_callableDataInNV] = ACTIONS(1719),
    [anon_sym_shaderRecordNV] = ACTIONS(1719),
    [anon_sym_layout] = ACTIONS(1719),
  },
  [574] = {
    [ts_builtin_sym_end] = ACTIONS(1693),
    [sym_identifier] = ACTIONS(1691),
    [aux_sym_preproc_include_token1] = ACTIONS(1691),
    [aux_sym_preproc_def_token1] = ACTIONS(1691),
    [aux_sym_preproc_if_token1] = ACTIONS(1691),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1691),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1691),
    [sym_preproc_directive] = ACTIONS(1691),
    [anon_sym_LPAREN2] = ACTIONS(1693),
    [anon_sym_BANG] = ACTIONS(1693),
    [anon_sym_TILDE] = ACTIONS(1693),
    [anon_sym_DASH] = ACTIONS(1691),
    [anon_sym_PLUS] = ACTIONS(1691),
    [anon_sym_STAR] = ACTIONS(1693),
    [anon_sym_AMP] = ACTIONS(1693),
    [anon_sym_subroutine] = ACTIONS(1691),
    [anon_sym_invariant] = ACTIONS(1691),
    [anon_sym_precise] = ACTIONS(1691),
    [anon_sym_in] = ACTIONS(1691),
    [anon_sym_out] = ACTIONS(1691),
    [anon_sym_inout] = ACTIONS(1691),
    [anon_sym_uniform] = ACTIONS(1691),
    [anon_sym_shared] = ACTIONS(1691),
    [anon_sym_attribute] = ACTIONS(1691),
    [anon_sym_varying] = ACTIONS(1691),
    [anon_sym_buffer] = ACTIONS(1691),
    [anon_sym_coherent] = ACTIONS(1691),
    [anon_sym_readonly] = ACTIONS(1691),
    [anon_sym_writeonly] = ACTIONS(1691),
    [anon_sym_precision] = ACTIONS(1691),
    [anon_sym_highp] = ACTIONS(1691),
    [anon_sym_mediump] = ACTIONS(1691),
    [anon_sym_lowp] = ACTIONS(1691),
    [anon_sym_centroid] = ACTIONS(1691),
    [anon_sym_sample] = ACTIONS(1691),
    [anon_sym_patch] = ACTIONS(1691),
    [anon_sym_smooth] = ACTIONS(1691),
    [anon_sym_flat] = ACTIONS(1691),
    [anon_sym_noperspective] = ACTIONS(1691),
    [anon_sym___extension__] = ACTIONS(1691),
    [anon_sym_typedef] = ACTIONS(1691),
    [anon_sym_extern] = ACTIONS(1691),
    [anon_sym___attribute__] = ACTIONS(1691),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1693),
    [anon_sym___declspec] = ACTIONS(1691),
    [anon_sym___cdecl] = ACTIONS(1691),
    [anon_sym___clrcall] = ACTIONS(1691),
    [anon_sym___stdcall] = ACTIONS(1691),
    [anon_sym___fastcall] = ACTIONS(1691),
    [anon_sym___thiscall] = ACTIONS(1691),
    [anon_sym___vectorcall] = ACTIONS(1691),
    [anon_sym_LBRACE] = ACTIONS(1693),
    [anon_sym_signed] = ACTIONS(1691),
    [anon_sym_unsigned] = ACTIONS(1691),
    [anon_sym_long] = ACTIONS(1691),
    [anon_sym_short] = ACTIONS(1691),
    [anon_sym_static] = ACTIONS(1691),
    [anon_sym_auto] = ACTIONS(1691),
    [anon_sym_register] = ACTIONS(1691),
    [anon_sym_inline] = ACTIONS(1691),
    [anon_sym___inline] = ACTIONS(1691),
    [anon_sym___inline__] = ACTIONS(1691),
    [anon_sym___forceinline] = ACTIONS(1691),
    [anon_sym_thread_local] = ACTIONS(1691),
    [anon_sym___thread] = ACTIONS(1691),
    [anon_sym_const] = ACTIONS(1691),
    [anon_sym_constexpr] = ACTIONS(1691),
    [anon_sym_volatile] = ACTIONS(1691),
    [anon_sym_restrict] = ACTIONS(1691),
    [anon_sym___restrict__] = ACTIONS(1691),
    [anon_sym__Atomic] = ACTIONS(1691),
    [anon_sym__Noreturn] = ACTIONS(1691),
    [anon_sym_noreturn] = ACTIONS(1691),
    [sym_primitive_type] = ACTIONS(1691),
    [anon_sym_enum] = ACTIONS(1691),
    [anon_sym_struct] = ACTIONS(1691),
    [anon_sym_union] = ACTIONS(1691),
    [anon_sym_if] = ACTIONS(1691),
    [anon_sym_switch] = ACTIONS(1691),
    [anon_sym_case] = ACTIONS(1691),
    [anon_sym_default] = ACTIONS(1691),
    [anon_sym_while] = ACTIONS(1691),
    [anon_sym_do] = ACTIONS(1691),
    [anon_sym_for] = ACTIONS(1691),
    [anon_sym_return] = ACTIONS(1691),
    [anon_sym_break] = ACTIONS(1691),
    [anon_sym_continue] = ACTIONS(1691),
    [anon_sym_goto] = ACTIONS(1691),
    [anon_sym_DASH_DASH] = ACTIONS(1693),
    [anon_sym_PLUS_PLUS] = ACTIONS(1693),
    [anon_sym_sizeof] = ACTIONS(1691),
    [anon_sym___alignof__] = ACTIONS(1691),
    [anon_sym___alignof] = ACTIONS(1691),
    [anon_sym__alignof] = ACTIONS(1691),
    [anon_sym_alignof] = ACTIONS(1691),
    [anon_sym__Alignof] = ACTIONS(1691),
    [anon_sym_offsetof] = ACTIONS(1691),
    [anon_sym__Generic] = ACTIONS(1691),
    [anon_sym_asm] = ACTIONS(1691),
    [anon_sym___asm__] = ACTIONS(1691),
    [sym_number_literal] = ACTIONS(1693),
    [anon_sym_L_SQUOTE] = ACTIONS(1693),
    [anon_sym_u_SQUOTE] = ACTIONS(1693),
    [anon_sym_U_SQUOTE] = ACTIONS(1693),
    [anon_sym_u8_SQUOTE] = ACTIONS(1693),
    [anon_sym_SQUOTE] = ACTIONS(1693),
    [anon_sym_L_DQUOTE] = ACTIONS(1693),
    [anon_sym_u_DQUOTE] = ACTIONS(1693),
    [anon_sym_U_DQUOTE] = ACTIONS(1693),
    [anon_sym_u8_DQUOTE] = ACTIONS(1693),
    [anon_sym_DQUOTE] = ACTIONS(1693),
    [sym_true] = ACTIONS(1691),
    [sym_false] = ACTIONS(1691),
    [anon_sym_NULL] = ACTIONS(1691),
    [anon_sym_nullptr] = ACTIONS(1691),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1691),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1691),
    [anon_sym_hitAttributeEXT] = ACTIONS(1691),
    [anon_sym_callableDataEXT] = ACTIONS(1691),
    [anon_sym_callableDataInEXT] = ACTIONS(1691),
    [anon_sym_shaderRecordEXT] = ACTIONS(1691),
    [anon_sym_rayPayloadNV] = ACTIONS(1691),
    [anon_sym_rayPayloadInNV] = ACTIONS(1691),
    [anon_sym_hitAttributeNV] = ACTIONS(1691),
    [anon_sym_callableDataNV] = ACTIONS(1691),
    [anon_sym_callableDataInNV] = ACTIONS(1691),
    [anon_sym_shaderRecordNV] = ACTIONS(1691),
    [anon_sym_layout] = ACTIONS(1691),
  },
  [575] = {
    [ts_builtin_sym_end] = ACTIONS(1649),
    [sym_identifier] = ACTIONS(1647),
    [aux_sym_preproc_include_token1] = ACTIONS(1647),
    [aux_sym_preproc_def_token1] = ACTIONS(1647),
    [aux_sym_preproc_if_token1] = ACTIONS(1647),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1647),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1647),
    [sym_preproc_directive] = ACTIONS(1647),
    [anon_sym_LPAREN2] = ACTIONS(1649),
    [anon_sym_BANG] = ACTIONS(1649),
    [anon_sym_TILDE] = ACTIONS(1649),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_STAR] = ACTIONS(1649),
    [anon_sym_AMP] = ACTIONS(1649),
    [anon_sym_subroutine] = ACTIONS(1647),
    [anon_sym_invariant] = ACTIONS(1647),
    [anon_sym_precise] = ACTIONS(1647),
    [anon_sym_in] = ACTIONS(1647),
    [anon_sym_out] = ACTIONS(1647),
    [anon_sym_inout] = ACTIONS(1647),
    [anon_sym_uniform] = ACTIONS(1647),
    [anon_sym_shared] = ACTIONS(1647),
    [anon_sym_attribute] = ACTIONS(1647),
    [anon_sym_varying] = ACTIONS(1647),
    [anon_sym_buffer] = ACTIONS(1647),
    [anon_sym_coherent] = ACTIONS(1647),
    [anon_sym_readonly] = ACTIONS(1647),
    [anon_sym_writeonly] = ACTIONS(1647),
    [anon_sym_precision] = ACTIONS(1647),
    [anon_sym_highp] = ACTIONS(1647),
    [anon_sym_mediump] = ACTIONS(1647),
    [anon_sym_lowp] = ACTIONS(1647),
    [anon_sym_centroid] = ACTIONS(1647),
    [anon_sym_sample] = ACTIONS(1647),
    [anon_sym_patch] = ACTIONS(1647),
    [anon_sym_smooth] = ACTIONS(1647),
    [anon_sym_flat] = ACTIONS(1647),
    [anon_sym_noperspective] = ACTIONS(1647),
    [anon_sym___extension__] = ACTIONS(1647),
    [anon_sym_typedef] = ACTIONS(1647),
    [anon_sym_extern] = ACTIONS(1647),
    [anon_sym___attribute__] = ACTIONS(1647),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1649),
    [anon_sym___declspec] = ACTIONS(1647),
    [anon_sym___cdecl] = ACTIONS(1647),
    [anon_sym___clrcall] = ACTIONS(1647),
    [anon_sym___stdcall] = ACTIONS(1647),
    [anon_sym___fastcall] = ACTIONS(1647),
    [anon_sym___thiscall] = ACTIONS(1647),
    [anon_sym___vectorcall] = ACTIONS(1647),
    [anon_sym_LBRACE] = ACTIONS(1649),
    [anon_sym_signed] = ACTIONS(1647),
    [anon_sym_unsigned] = ACTIONS(1647),
    [anon_sym_long] = ACTIONS(1647),
    [anon_sym_short] = ACTIONS(1647),
    [anon_sym_static] = ACTIONS(1647),
    [anon_sym_auto] = ACTIONS(1647),
    [anon_sym_register] = ACTIONS(1647),
    [anon_sym_inline] = ACTIONS(1647),
    [anon_sym___inline] = ACTIONS(1647),
    [anon_sym___inline__] = ACTIONS(1647),
    [anon_sym___forceinline] = ACTIONS(1647),
    [anon_sym_thread_local] = ACTIONS(1647),
    [anon_sym___thread] = ACTIONS(1647),
    [anon_sym_const] = ACTIONS(1647),
    [anon_sym_constexpr] = ACTIONS(1647),
    [anon_sym_volatile] = ACTIONS(1647),
    [anon_sym_restrict] = ACTIONS(1647),
    [anon_sym___restrict__] = ACTIONS(1647),
    [anon_sym__Atomic] = ACTIONS(1647),
    [anon_sym__Noreturn] = ACTIONS(1647),
    [anon_sym_noreturn] = ACTIONS(1647),
    [sym_primitive_type] = ACTIONS(1647),
    [anon_sym_enum] = ACTIONS(1647),
    [anon_sym_struct] = ACTIONS(1647),
    [anon_sym_union] = ACTIONS(1647),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_switch] = ACTIONS(1647),
    [anon_sym_case] = ACTIONS(1647),
    [anon_sym_default] = ACTIONS(1647),
    [anon_sym_while] = ACTIONS(1647),
    [anon_sym_do] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(1647),
    [anon_sym_return] = ACTIONS(1647),
    [anon_sym_break] = ACTIONS(1647),
    [anon_sym_continue] = ACTIONS(1647),
    [anon_sym_goto] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1649),
    [anon_sym_PLUS_PLUS] = ACTIONS(1649),
    [anon_sym_sizeof] = ACTIONS(1647),
    [anon_sym___alignof__] = ACTIONS(1647),
    [anon_sym___alignof] = ACTIONS(1647),
    [anon_sym__alignof] = ACTIONS(1647),
    [anon_sym_alignof] = ACTIONS(1647),
    [anon_sym__Alignof] = ACTIONS(1647),
    [anon_sym_offsetof] = ACTIONS(1647),
    [anon_sym__Generic] = ACTIONS(1647),
    [anon_sym_asm] = ACTIONS(1647),
    [anon_sym___asm__] = ACTIONS(1647),
    [sym_number_literal] = ACTIONS(1649),
    [anon_sym_L_SQUOTE] = ACTIONS(1649),
    [anon_sym_u_SQUOTE] = ACTIONS(1649),
    [anon_sym_U_SQUOTE] = ACTIONS(1649),
    [anon_sym_u8_SQUOTE] = ACTIONS(1649),
    [anon_sym_SQUOTE] = ACTIONS(1649),
    [anon_sym_L_DQUOTE] = ACTIONS(1649),
    [anon_sym_u_DQUOTE] = ACTIONS(1649),
    [anon_sym_U_DQUOTE] = ACTIONS(1649),
    [anon_sym_u8_DQUOTE] = ACTIONS(1649),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_true] = ACTIONS(1647),
    [sym_false] = ACTIONS(1647),
    [anon_sym_NULL] = ACTIONS(1647),
    [anon_sym_nullptr] = ACTIONS(1647),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1647),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1647),
    [anon_sym_hitAttributeEXT] = ACTIONS(1647),
    [anon_sym_callableDataEXT] = ACTIONS(1647),
    [anon_sym_callableDataInEXT] = ACTIONS(1647),
    [anon_sym_shaderRecordEXT] = ACTIONS(1647),
    [anon_sym_rayPayloadNV] = ACTIONS(1647),
    [anon_sym_rayPayloadInNV] = ACTIONS(1647),
    [anon_sym_hitAttributeNV] = ACTIONS(1647),
    [anon_sym_callableDataNV] = ACTIONS(1647),
    [anon_sym_callableDataInNV] = ACTIONS(1647),
    [anon_sym_shaderRecordNV] = ACTIONS(1647),
    [anon_sym_layout] = ACTIONS(1647),
  },
  [576] = {
    [ts_builtin_sym_end] = ACTIONS(1673),
    [sym_identifier] = ACTIONS(1671),
    [aux_sym_preproc_include_token1] = ACTIONS(1671),
    [aux_sym_preproc_def_token1] = ACTIONS(1671),
    [aux_sym_preproc_if_token1] = ACTIONS(1671),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1671),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1671),
    [sym_preproc_directive] = ACTIONS(1671),
    [anon_sym_LPAREN2] = ACTIONS(1673),
    [anon_sym_BANG] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(1673),
    [anon_sym_DASH] = ACTIONS(1671),
    [anon_sym_PLUS] = ACTIONS(1671),
    [anon_sym_STAR] = ACTIONS(1673),
    [anon_sym_AMP] = ACTIONS(1673),
    [anon_sym_subroutine] = ACTIONS(1671),
    [anon_sym_invariant] = ACTIONS(1671),
    [anon_sym_precise] = ACTIONS(1671),
    [anon_sym_in] = ACTIONS(1671),
    [anon_sym_out] = ACTIONS(1671),
    [anon_sym_inout] = ACTIONS(1671),
    [anon_sym_uniform] = ACTIONS(1671),
    [anon_sym_shared] = ACTIONS(1671),
    [anon_sym_attribute] = ACTIONS(1671),
    [anon_sym_varying] = ACTIONS(1671),
    [anon_sym_buffer] = ACTIONS(1671),
    [anon_sym_coherent] = ACTIONS(1671),
    [anon_sym_readonly] = ACTIONS(1671),
    [anon_sym_writeonly] = ACTIONS(1671),
    [anon_sym_precision] = ACTIONS(1671),
    [anon_sym_highp] = ACTIONS(1671),
    [anon_sym_mediump] = ACTIONS(1671),
    [anon_sym_lowp] = ACTIONS(1671),
    [anon_sym_centroid] = ACTIONS(1671),
    [anon_sym_sample] = ACTIONS(1671),
    [anon_sym_patch] = ACTIONS(1671),
    [anon_sym_smooth] = ACTIONS(1671),
    [anon_sym_flat] = ACTIONS(1671),
    [anon_sym_noperspective] = ACTIONS(1671),
    [anon_sym___extension__] = ACTIONS(1671),
    [anon_sym_typedef] = ACTIONS(1671),
    [anon_sym_extern] = ACTIONS(1671),
    [anon_sym___attribute__] = ACTIONS(1671),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1673),
    [anon_sym___declspec] = ACTIONS(1671),
    [anon_sym___cdecl] = ACTIONS(1671),
    [anon_sym___clrcall] = ACTIONS(1671),
    [anon_sym___stdcall] = ACTIONS(1671),
    [anon_sym___fastcall] = ACTIONS(1671),
    [anon_sym___thiscall] = ACTIONS(1671),
    [anon_sym___vectorcall] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(1673),
    [anon_sym_signed] = ACTIONS(1671),
    [anon_sym_unsigned] = ACTIONS(1671),
    [anon_sym_long] = ACTIONS(1671),
    [anon_sym_short] = ACTIONS(1671),
    [anon_sym_static] = ACTIONS(1671),
    [anon_sym_auto] = ACTIONS(1671),
    [anon_sym_register] = ACTIONS(1671),
    [anon_sym_inline] = ACTIONS(1671),
    [anon_sym___inline] = ACTIONS(1671),
    [anon_sym___inline__] = ACTIONS(1671),
    [anon_sym___forceinline] = ACTIONS(1671),
    [anon_sym_thread_local] = ACTIONS(1671),
    [anon_sym___thread] = ACTIONS(1671),
    [anon_sym_const] = ACTIONS(1671),
    [anon_sym_constexpr] = ACTIONS(1671),
    [anon_sym_volatile] = ACTIONS(1671),
    [anon_sym_restrict] = ACTIONS(1671),
    [anon_sym___restrict__] = ACTIONS(1671),
    [anon_sym__Atomic] = ACTIONS(1671),
    [anon_sym__Noreturn] = ACTIONS(1671),
    [anon_sym_noreturn] = ACTIONS(1671),
    [sym_primitive_type] = ACTIONS(1671),
    [anon_sym_enum] = ACTIONS(1671),
    [anon_sym_struct] = ACTIONS(1671),
    [anon_sym_union] = ACTIONS(1671),
    [anon_sym_if] = ACTIONS(1671),
    [anon_sym_switch] = ACTIONS(1671),
    [anon_sym_case] = ACTIONS(1671),
    [anon_sym_default] = ACTIONS(1671),
    [anon_sym_while] = ACTIONS(1671),
    [anon_sym_do] = ACTIONS(1671),
    [anon_sym_for] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(1671),
    [anon_sym_break] = ACTIONS(1671),
    [anon_sym_continue] = ACTIONS(1671),
    [anon_sym_goto] = ACTIONS(1671),
    [anon_sym_DASH_DASH] = ACTIONS(1673),
    [anon_sym_PLUS_PLUS] = ACTIONS(1673),
    [anon_sym_sizeof] = ACTIONS(1671),
    [anon_sym___alignof__] = ACTIONS(1671),
    [anon_sym___alignof] = ACTIONS(1671),
    [anon_sym__alignof] = ACTIONS(1671),
    [anon_sym_alignof] = ACTIONS(1671),
    [anon_sym__Alignof] = ACTIONS(1671),
    [anon_sym_offsetof] = ACTIONS(1671),
    [anon_sym__Generic] = ACTIONS(1671),
    [anon_sym_asm] = ACTIONS(1671),
    [anon_sym___asm__] = ACTIONS(1671),
    [sym_number_literal] = ACTIONS(1673),
    [anon_sym_L_SQUOTE] = ACTIONS(1673),
    [anon_sym_u_SQUOTE] = ACTIONS(1673),
    [anon_sym_U_SQUOTE] = ACTIONS(1673),
    [anon_sym_u8_SQUOTE] = ACTIONS(1673),
    [anon_sym_SQUOTE] = ACTIONS(1673),
    [anon_sym_L_DQUOTE] = ACTIONS(1673),
    [anon_sym_u_DQUOTE] = ACTIONS(1673),
    [anon_sym_U_DQUOTE] = ACTIONS(1673),
    [anon_sym_u8_DQUOTE] = ACTIONS(1673),
    [anon_sym_DQUOTE] = ACTIONS(1673),
    [sym_true] = ACTIONS(1671),
    [sym_false] = ACTIONS(1671),
    [anon_sym_NULL] = ACTIONS(1671),
    [anon_sym_nullptr] = ACTIONS(1671),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1671),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1671),
    [anon_sym_hitAttributeEXT] = ACTIONS(1671),
    [anon_sym_callableDataEXT] = ACTIONS(1671),
    [anon_sym_callableDataInEXT] = ACTIONS(1671),
    [anon_sym_shaderRecordEXT] = ACTIONS(1671),
    [anon_sym_rayPayloadNV] = ACTIONS(1671),
    [anon_sym_rayPayloadInNV] = ACTIONS(1671),
    [anon_sym_hitAttributeNV] = ACTIONS(1671),
    [anon_sym_callableDataNV] = ACTIONS(1671),
    [anon_sym_callableDataInNV] = ACTIONS(1671),
    [anon_sym_shaderRecordNV] = ACTIONS(1671),
    [anon_sym_layout] = ACTIONS(1671),
  },
  [577] = {
    [ts_builtin_sym_end] = ACTIONS(1629),
    [sym_identifier] = ACTIONS(1627),
    [aux_sym_preproc_include_token1] = ACTIONS(1627),
    [aux_sym_preproc_def_token1] = ACTIONS(1627),
    [aux_sym_preproc_if_token1] = ACTIONS(1627),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1627),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1627),
    [sym_preproc_directive] = ACTIONS(1627),
    [anon_sym_LPAREN2] = ACTIONS(1629),
    [anon_sym_BANG] = ACTIONS(1629),
    [anon_sym_TILDE] = ACTIONS(1629),
    [anon_sym_DASH] = ACTIONS(1627),
    [anon_sym_PLUS] = ACTIONS(1627),
    [anon_sym_STAR] = ACTIONS(1629),
    [anon_sym_AMP] = ACTIONS(1629),
    [anon_sym_subroutine] = ACTIONS(1627),
    [anon_sym_invariant] = ACTIONS(1627),
    [anon_sym_precise] = ACTIONS(1627),
    [anon_sym_in] = ACTIONS(1627),
    [anon_sym_out] = ACTIONS(1627),
    [anon_sym_inout] = ACTIONS(1627),
    [anon_sym_uniform] = ACTIONS(1627),
    [anon_sym_shared] = ACTIONS(1627),
    [anon_sym_attribute] = ACTIONS(1627),
    [anon_sym_varying] = ACTIONS(1627),
    [anon_sym_buffer] = ACTIONS(1627),
    [anon_sym_coherent] = ACTIONS(1627),
    [anon_sym_readonly] = ACTIONS(1627),
    [anon_sym_writeonly] = ACTIONS(1627),
    [anon_sym_precision] = ACTIONS(1627),
    [anon_sym_highp] = ACTIONS(1627),
    [anon_sym_mediump] = ACTIONS(1627),
    [anon_sym_lowp] = ACTIONS(1627),
    [anon_sym_centroid] = ACTIONS(1627),
    [anon_sym_sample] = ACTIONS(1627),
    [anon_sym_patch] = ACTIONS(1627),
    [anon_sym_smooth] = ACTIONS(1627),
    [anon_sym_flat] = ACTIONS(1627),
    [anon_sym_noperspective] = ACTIONS(1627),
    [anon_sym___extension__] = ACTIONS(1627),
    [anon_sym_typedef] = ACTIONS(1627),
    [anon_sym_extern] = ACTIONS(1627),
    [anon_sym___attribute__] = ACTIONS(1627),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1629),
    [anon_sym___declspec] = ACTIONS(1627),
    [anon_sym___cdecl] = ACTIONS(1627),
    [anon_sym___clrcall] = ACTIONS(1627),
    [anon_sym___stdcall] = ACTIONS(1627),
    [anon_sym___fastcall] = ACTIONS(1627),
    [anon_sym___thiscall] = ACTIONS(1627),
    [anon_sym___vectorcall] = ACTIONS(1627),
    [anon_sym_LBRACE] = ACTIONS(1629),
    [anon_sym_signed] = ACTIONS(1627),
    [anon_sym_unsigned] = ACTIONS(1627),
    [anon_sym_long] = ACTIONS(1627),
    [anon_sym_short] = ACTIONS(1627),
    [anon_sym_static] = ACTIONS(1627),
    [anon_sym_auto] = ACTIONS(1627),
    [anon_sym_register] = ACTIONS(1627),
    [anon_sym_inline] = ACTIONS(1627),
    [anon_sym___inline] = ACTIONS(1627),
    [anon_sym___inline__] = ACTIONS(1627),
    [anon_sym___forceinline] = ACTIONS(1627),
    [anon_sym_thread_local] = ACTIONS(1627),
    [anon_sym___thread] = ACTIONS(1627),
    [anon_sym_const] = ACTIONS(1627),
    [anon_sym_constexpr] = ACTIONS(1627),
    [anon_sym_volatile] = ACTIONS(1627),
    [anon_sym_restrict] = ACTIONS(1627),
    [anon_sym___restrict__] = ACTIONS(1627),
    [anon_sym__Atomic] = ACTIONS(1627),
    [anon_sym__Noreturn] = ACTIONS(1627),
    [anon_sym_noreturn] = ACTIONS(1627),
    [sym_primitive_type] = ACTIONS(1627),
    [anon_sym_enum] = ACTIONS(1627),
    [anon_sym_struct] = ACTIONS(1627),
    [anon_sym_union] = ACTIONS(1627),
    [anon_sym_if] = ACTIONS(1627),
    [anon_sym_switch] = ACTIONS(1627),
    [anon_sym_case] = ACTIONS(1627),
    [anon_sym_default] = ACTIONS(1627),
    [anon_sym_while] = ACTIONS(1627),
    [anon_sym_do] = ACTIONS(1627),
    [anon_sym_for] = ACTIONS(1627),
    [anon_sym_return] = ACTIONS(1627),
    [anon_sym_break] = ACTIONS(1627),
    [anon_sym_continue] = ACTIONS(1627),
    [anon_sym_goto] = ACTIONS(1627),
    [anon_sym_DASH_DASH] = ACTIONS(1629),
    [anon_sym_PLUS_PLUS] = ACTIONS(1629),
    [anon_sym_sizeof] = ACTIONS(1627),
    [anon_sym___alignof__] = ACTIONS(1627),
    [anon_sym___alignof] = ACTIONS(1627),
    [anon_sym__alignof] = ACTIONS(1627),
    [anon_sym_alignof] = ACTIONS(1627),
    [anon_sym__Alignof] = ACTIONS(1627),
    [anon_sym_offsetof] = ACTIONS(1627),
    [anon_sym__Generic] = ACTIONS(1627),
    [anon_sym_asm] = ACTIONS(1627),
    [anon_sym___asm__] = ACTIONS(1627),
    [sym_number_literal] = ACTIONS(1629),
    [anon_sym_L_SQUOTE] = ACTIONS(1629),
    [anon_sym_u_SQUOTE] = ACTIONS(1629),
    [anon_sym_U_SQUOTE] = ACTIONS(1629),
    [anon_sym_u8_SQUOTE] = ACTIONS(1629),
    [anon_sym_SQUOTE] = ACTIONS(1629),
    [anon_sym_L_DQUOTE] = ACTIONS(1629),
    [anon_sym_u_DQUOTE] = ACTIONS(1629),
    [anon_sym_U_DQUOTE] = ACTIONS(1629),
    [anon_sym_u8_DQUOTE] = ACTIONS(1629),
    [anon_sym_DQUOTE] = ACTIONS(1629),
    [sym_true] = ACTIONS(1627),
    [sym_false] = ACTIONS(1627),
    [anon_sym_NULL] = ACTIONS(1627),
    [anon_sym_nullptr] = ACTIONS(1627),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1627),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1627),
    [anon_sym_hitAttributeEXT] = ACTIONS(1627),
    [anon_sym_callableDataEXT] = ACTIONS(1627),
    [anon_sym_callableDataInEXT] = ACTIONS(1627),
    [anon_sym_shaderRecordEXT] = ACTIONS(1627),
    [anon_sym_rayPayloadNV] = ACTIONS(1627),
    [anon_sym_rayPayloadInNV] = ACTIONS(1627),
    [anon_sym_hitAttributeNV] = ACTIONS(1627),
    [anon_sym_callableDataNV] = ACTIONS(1627),
    [anon_sym_callableDataInNV] = ACTIONS(1627),
    [anon_sym_shaderRecordNV] = ACTIONS(1627),
    [anon_sym_layout] = ACTIONS(1627),
  },
  [578] = {
    [ts_builtin_sym_end] = ACTIONS(1605),
    [sym_identifier] = ACTIONS(1603),
    [aux_sym_preproc_include_token1] = ACTIONS(1603),
    [aux_sym_preproc_def_token1] = ACTIONS(1603),
    [aux_sym_preproc_if_token1] = ACTIONS(1603),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1603),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1603),
    [sym_preproc_directive] = ACTIONS(1603),
    [anon_sym_LPAREN2] = ACTIONS(1605),
    [anon_sym_BANG] = ACTIONS(1605),
    [anon_sym_TILDE] = ACTIONS(1605),
    [anon_sym_DASH] = ACTIONS(1603),
    [anon_sym_PLUS] = ACTIONS(1603),
    [anon_sym_STAR] = ACTIONS(1605),
    [anon_sym_AMP] = ACTIONS(1605),
    [anon_sym_subroutine] = ACTIONS(1603),
    [anon_sym_invariant] = ACTIONS(1603),
    [anon_sym_precise] = ACTIONS(1603),
    [anon_sym_in] = ACTIONS(1603),
    [anon_sym_out] = ACTIONS(1603),
    [anon_sym_inout] = ACTIONS(1603),
    [anon_sym_uniform] = ACTIONS(1603),
    [anon_sym_shared] = ACTIONS(1603),
    [anon_sym_attribute] = ACTIONS(1603),
    [anon_sym_varying] = ACTIONS(1603),
    [anon_sym_buffer] = ACTIONS(1603),
    [anon_sym_coherent] = ACTIONS(1603),
    [anon_sym_readonly] = ACTIONS(1603),
    [anon_sym_writeonly] = ACTIONS(1603),
    [anon_sym_precision] = ACTIONS(1603),
    [anon_sym_highp] = ACTIONS(1603),
    [anon_sym_mediump] = ACTIONS(1603),
    [anon_sym_lowp] = ACTIONS(1603),
    [anon_sym_centroid] = ACTIONS(1603),
    [anon_sym_sample] = ACTIONS(1603),
    [anon_sym_patch] = ACTIONS(1603),
    [anon_sym_smooth] = ACTIONS(1603),
    [anon_sym_flat] = ACTIONS(1603),
    [anon_sym_noperspective] = ACTIONS(1603),
    [anon_sym___extension__] = ACTIONS(1603),
    [anon_sym_typedef] = ACTIONS(1603),
    [anon_sym_extern] = ACTIONS(1603),
    [anon_sym___attribute__] = ACTIONS(1603),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1605),
    [anon_sym___declspec] = ACTIONS(1603),
    [anon_sym___cdecl] = ACTIONS(1603),
    [anon_sym___clrcall] = ACTIONS(1603),
    [anon_sym___stdcall] = ACTIONS(1603),
    [anon_sym___fastcall] = ACTIONS(1603),
    [anon_sym___thiscall] = ACTIONS(1603),
    [anon_sym___vectorcall] = ACTIONS(1603),
    [anon_sym_LBRACE] = ACTIONS(1605),
    [anon_sym_signed] = ACTIONS(1603),
    [anon_sym_unsigned] = ACTIONS(1603),
    [anon_sym_long] = ACTIONS(1603),
    [anon_sym_short] = ACTIONS(1603),
    [anon_sym_static] = ACTIONS(1603),
    [anon_sym_auto] = ACTIONS(1603),
    [anon_sym_register] = ACTIONS(1603),
    [anon_sym_inline] = ACTIONS(1603),
    [anon_sym___inline] = ACTIONS(1603),
    [anon_sym___inline__] = ACTIONS(1603),
    [anon_sym___forceinline] = ACTIONS(1603),
    [anon_sym_thread_local] = ACTIONS(1603),
    [anon_sym___thread] = ACTIONS(1603),
    [anon_sym_const] = ACTIONS(1603),
    [anon_sym_constexpr] = ACTIONS(1603),
    [anon_sym_volatile] = ACTIONS(1603),
    [anon_sym_restrict] = ACTIONS(1603),
    [anon_sym___restrict__] = ACTIONS(1603),
    [anon_sym__Atomic] = ACTIONS(1603),
    [anon_sym__Noreturn] = ACTIONS(1603),
    [anon_sym_noreturn] = ACTIONS(1603),
    [sym_primitive_type] = ACTIONS(1603),
    [anon_sym_enum] = ACTIONS(1603),
    [anon_sym_struct] = ACTIONS(1603),
    [anon_sym_union] = ACTIONS(1603),
    [anon_sym_if] = ACTIONS(1603),
    [anon_sym_switch] = ACTIONS(1603),
    [anon_sym_case] = ACTIONS(1603),
    [anon_sym_default] = ACTIONS(1603),
    [anon_sym_while] = ACTIONS(1603),
    [anon_sym_do] = ACTIONS(1603),
    [anon_sym_for] = ACTIONS(1603),
    [anon_sym_return] = ACTIONS(1603),
    [anon_sym_break] = ACTIONS(1603),
    [anon_sym_continue] = ACTIONS(1603),
    [anon_sym_goto] = ACTIONS(1603),
    [anon_sym_DASH_DASH] = ACTIONS(1605),
    [anon_sym_PLUS_PLUS] = ACTIONS(1605),
    [anon_sym_sizeof] = ACTIONS(1603),
    [anon_sym___alignof__] = ACTIONS(1603),
    [anon_sym___alignof] = ACTIONS(1603),
    [anon_sym__alignof] = ACTIONS(1603),
    [anon_sym_alignof] = ACTIONS(1603),
    [anon_sym__Alignof] = ACTIONS(1603),
    [anon_sym_offsetof] = ACTIONS(1603),
    [anon_sym__Generic] = ACTIONS(1603),
    [anon_sym_asm] = ACTIONS(1603),
    [anon_sym___asm__] = ACTIONS(1603),
    [sym_number_literal] = ACTIONS(1605),
    [anon_sym_L_SQUOTE] = ACTIONS(1605),
    [anon_sym_u_SQUOTE] = ACTIONS(1605),
    [anon_sym_U_SQUOTE] = ACTIONS(1605),
    [anon_sym_u8_SQUOTE] = ACTIONS(1605),
    [anon_sym_SQUOTE] = ACTIONS(1605),
    [anon_sym_L_DQUOTE] = ACTIONS(1605),
    [anon_sym_u_DQUOTE] = ACTIONS(1605),
    [anon_sym_U_DQUOTE] = ACTIONS(1605),
    [anon_sym_u8_DQUOTE] = ACTIONS(1605),
    [anon_sym_DQUOTE] = ACTIONS(1605),
    [sym_true] = ACTIONS(1603),
    [sym_false] = ACTIONS(1603),
    [anon_sym_NULL] = ACTIONS(1603),
    [anon_sym_nullptr] = ACTIONS(1603),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1603),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1603),
    [anon_sym_hitAttributeEXT] = ACTIONS(1603),
    [anon_sym_callableDataEXT] = ACTIONS(1603),
    [anon_sym_callableDataInEXT] = ACTIONS(1603),
    [anon_sym_shaderRecordEXT] = ACTIONS(1603),
    [anon_sym_rayPayloadNV] = ACTIONS(1603),
    [anon_sym_rayPayloadInNV] = ACTIONS(1603),
    [anon_sym_hitAttributeNV] = ACTIONS(1603),
    [anon_sym_callableDataNV] = ACTIONS(1603),
    [anon_sym_callableDataInNV] = ACTIONS(1603),
    [anon_sym_shaderRecordNV] = ACTIONS(1603),
    [anon_sym_layout] = ACTIONS(1603),
  },
  [579] = {
    [ts_builtin_sym_end] = ACTIONS(1625),
    [sym_identifier] = ACTIONS(1623),
    [aux_sym_preproc_include_token1] = ACTIONS(1623),
    [aux_sym_preproc_def_token1] = ACTIONS(1623),
    [aux_sym_preproc_if_token1] = ACTIONS(1623),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1623),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1623),
    [sym_preproc_directive] = ACTIONS(1623),
    [anon_sym_LPAREN2] = ACTIONS(1625),
    [anon_sym_BANG] = ACTIONS(1625),
    [anon_sym_TILDE] = ACTIONS(1625),
    [anon_sym_DASH] = ACTIONS(1623),
    [anon_sym_PLUS] = ACTIONS(1623),
    [anon_sym_STAR] = ACTIONS(1625),
    [anon_sym_AMP] = ACTIONS(1625),
    [anon_sym_subroutine] = ACTIONS(1623),
    [anon_sym_invariant] = ACTIONS(1623),
    [anon_sym_precise] = ACTIONS(1623),
    [anon_sym_in] = ACTIONS(1623),
    [anon_sym_out] = ACTIONS(1623),
    [anon_sym_inout] = ACTIONS(1623),
    [anon_sym_uniform] = ACTIONS(1623),
    [anon_sym_shared] = ACTIONS(1623),
    [anon_sym_attribute] = ACTIONS(1623),
    [anon_sym_varying] = ACTIONS(1623),
    [anon_sym_buffer] = ACTIONS(1623),
    [anon_sym_coherent] = ACTIONS(1623),
    [anon_sym_readonly] = ACTIONS(1623),
    [anon_sym_writeonly] = ACTIONS(1623),
    [anon_sym_precision] = ACTIONS(1623),
    [anon_sym_highp] = ACTIONS(1623),
    [anon_sym_mediump] = ACTIONS(1623),
    [anon_sym_lowp] = ACTIONS(1623),
    [anon_sym_centroid] = ACTIONS(1623),
    [anon_sym_sample] = ACTIONS(1623),
    [anon_sym_patch] = ACTIONS(1623),
    [anon_sym_smooth] = ACTIONS(1623),
    [anon_sym_flat] = ACTIONS(1623),
    [anon_sym_noperspective] = ACTIONS(1623),
    [anon_sym___extension__] = ACTIONS(1623),
    [anon_sym_typedef] = ACTIONS(1623),
    [anon_sym_extern] = ACTIONS(1623),
    [anon_sym___attribute__] = ACTIONS(1623),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1625),
    [anon_sym___declspec] = ACTIONS(1623),
    [anon_sym___cdecl] = ACTIONS(1623),
    [anon_sym___clrcall] = ACTIONS(1623),
    [anon_sym___stdcall] = ACTIONS(1623),
    [anon_sym___fastcall] = ACTIONS(1623),
    [anon_sym___thiscall] = ACTIONS(1623),
    [anon_sym___vectorcall] = ACTIONS(1623),
    [anon_sym_LBRACE] = ACTIONS(1625),
    [anon_sym_signed] = ACTIONS(1623),
    [anon_sym_unsigned] = ACTIONS(1623),
    [anon_sym_long] = ACTIONS(1623),
    [anon_sym_short] = ACTIONS(1623),
    [anon_sym_static] = ACTIONS(1623),
    [anon_sym_auto] = ACTIONS(1623),
    [anon_sym_register] = ACTIONS(1623),
    [anon_sym_inline] = ACTIONS(1623),
    [anon_sym___inline] = ACTIONS(1623),
    [anon_sym___inline__] = ACTIONS(1623),
    [anon_sym___forceinline] = ACTIONS(1623),
    [anon_sym_thread_local] = ACTIONS(1623),
    [anon_sym___thread] = ACTIONS(1623),
    [anon_sym_const] = ACTIONS(1623),
    [anon_sym_constexpr] = ACTIONS(1623),
    [anon_sym_volatile] = ACTIONS(1623),
    [anon_sym_restrict] = ACTIONS(1623),
    [anon_sym___restrict__] = ACTIONS(1623),
    [anon_sym__Atomic] = ACTIONS(1623),
    [anon_sym__Noreturn] = ACTIONS(1623),
    [anon_sym_noreturn] = ACTIONS(1623),
    [sym_primitive_type] = ACTIONS(1623),
    [anon_sym_enum] = ACTIONS(1623),
    [anon_sym_struct] = ACTIONS(1623),
    [anon_sym_union] = ACTIONS(1623),
    [anon_sym_if] = ACTIONS(1623),
    [anon_sym_switch] = ACTIONS(1623),
    [anon_sym_case] = ACTIONS(1623),
    [anon_sym_default] = ACTIONS(1623),
    [anon_sym_while] = ACTIONS(1623),
    [anon_sym_do] = ACTIONS(1623),
    [anon_sym_for] = ACTIONS(1623),
    [anon_sym_return] = ACTIONS(1623),
    [anon_sym_break] = ACTIONS(1623),
    [anon_sym_continue] = ACTIONS(1623),
    [anon_sym_goto] = ACTIONS(1623),
    [anon_sym_DASH_DASH] = ACTIONS(1625),
    [anon_sym_PLUS_PLUS] = ACTIONS(1625),
    [anon_sym_sizeof] = ACTIONS(1623),
    [anon_sym___alignof__] = ACTIONS(1623),
    [anon_sym___alignof] = ACTIONS(1623),
    [anon_sym__alignof] = ACTIONS(1623),
    [anon_sym_alignof] = ACTIONS(1623),
    [anon_sym__Alignof] = ACTIONS(1623),
    [anon_sym_offsetof] = ACTIONS(1623),
    [anon_sym__Generic] = ACTIONS(1623),
    [anon_sym_asm] = ACTIONS(1623),
    [anon_sym___asm__] = ACTIONS(1623),
    [sym_number_literal] = ACTIONS(1625),
    [anon_sym_L_SQUOTE] = ACTIONS(1625),
    [anon_sym_u_SQUOTE] = ACTIONS(1625),
    [anon_sym_U_SQUOTE] = ACTIONS(1625),
    [anon_sym_u8_SQUOTE] = ACTIONS(1625),
    [anon_sym_SQUOTE] = ACTIONS(1625),
    [anon_sym_L_DQUOTE] = ACTIONS(1625),
    [anon_sym_u_DQUOTE] = ACTIONS(1625),
    [anon_sym_U_DQUOTE] = ACTIONS(1625),
    [anon_sym_u8_DQUOTE] = ACTIONS(1625),
    [anon_sym_DQUOTE] = ACTIONS(1625),
    [sym_true] = ACTIONS(1623),
    [sym_false] = ACTIONS(1623),
    [anon_sym_NULL] = ACTIONS(1623),
    [anon_sym_nullptr] = ACTIONS(1623),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1623),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1623),
    [anon_sym_hitAttributeEXT] = ACTIONS(1623),
    [anon_sym_callableDataEXT] = ACTIONS(1623),
    [anon_sym_callableDataInEXT] = ACTIONS(1623),
    [anon_sym_shaderRecordEXT] = ACTIONS(1623),
    [anon_sym_rayPayloadNV] = ACTIONS(1623),
    [anon_sym_rayPayloadInNV] = ACTIONS(1623),
    [anon_sym_hitAttributeNV] = ACTIONS(1623),
    [anon_sym_callableDataNV] = ACTIONS(1623),
    [anon_sym_callableDataInNV] = ACTIONS(1623),
    [anon_sym_shaderRecordNV] = ACTIONS(1623),
    [anon_sym_layout] = ACTIONS(1623),
  },
  [580] = {
    [ts_builtin_sym_end] = ACTIONS(1685),
    [sym_identifier] = ACTIONS(1683),
    [aux_sym_preproc_include_token1] = ACTIONS(1683),
    [aux_sym_preproc_def_token1] = ACTIONS(1683),
    [aux_sym_preproc_if_token1] = ACTIONS(1683),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1683),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1683),
    [sym_preproc_directive] = ACTIONS(1683),
    [anon_sym_LPAREN2] = ACTIONS(1685),
    [anon_sym_BANG] = ACTIONS(1685),
    [anon_sym_TILDE] = ACTIONS(1685),
    [anon_sym_DASH] = ACTIONS(1683),
    [anon_sym_PLUS] = ACTIONS(1683),
    [anon_sym_STAR] = ACTIONS(1685),
    [anon_sym_AMP] = ACTIONS(1685),
    [anon_sym_subroutine] = ACTIONS(1683),
    [anon_sym_invariant] = ACTIONS(1683),
    [anon_sym_precise] = ACTIONS(1683),
    [anon_sym_in] = ACTIONS(1683),
    [anon_sym_out] = ACTIONS(1683),
    [anon_sym_inout] = ACTIONS(1683),
    [anon_sym_uniform] = ACTIONS(1683),
    [anon_sym_shared] = ACTIONS(1683),
    [anon_sym_attribute] = ACTIONS(1683),
    [anon_sym_varying] = ACTIONS(1683),
    [anon_sym_buffer] = ACTIONS(1683),
    [anon_sym_coherent] = ACTIONS(1683),
    [anon_sym_readonly] = ACTIONS(1683),
    [anon_sym_writeonly] = ACTIONS(1683),
    [anon_sym_precision] = ACTIONS(1683),
    [anon_sym_highp] = ACTIONS(1683),
    [anon_sym_mediump] = ACTIONS(1683),
    [anon_sym_lowp] = ACTIONS(1683),
    [anon_sym_centroid] = ACTIONS(1683),
    [anon_sym_sample] = ACTIONS(1683),
    [anon_sym_patch] = ACTIONS(1683),
    [anon_sym_smooth] = ACTIONS(1683),
    [anon_sym_flat] = ACTIONS(1683),
    [anon_sym_noperspective] = ACTIONS(1683),
    [anon_sym___extension__] = ACTIONS(1683),
    [anon_sym_typedef] = ACTIONS(1683),
    [anon_sym_extern] = ACTIONS(1683),
    [anon_sym___attribute__] = ACTIONS(1683),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1685),
    [anon_sym___declspec] = ACTIONS(1683),
    [anon_sym___cdecl] = ACTIONS(1683),
    [anon_sym___clrcall] = ACTIONS(1683),
    [anon_sym___stdcall] = ACTIONS(1683),
    [anon_sym___fastcall] = ACTIONS(1683),
    [anon_sym___thiscall] = ACTIONS(1683),
    [anon_sym___vectorcall] = ACTIONS(1683),
    [anon_sym_LBRACE] = ACTIONS(1685),
    [anon_sym_signed] = ACTIONS(1683),
    [anon_sym_unsigned] = ACTIONS(1683),
    [anon_sym_long] = ACTIONS(1683),
    [anon_sym_short] = ACTIONS(1683),
    [anon_sym_static] = ACTIONS(1683),
    [anon_sym_auto] = ACTIONS(1683),
    [anon_sym_register] = ACTIONS(1683),
    [anon_sym_inline] = ACTIONS(1683),
    [anon_sym___inline] = ACTIONS(1683),
    [anon_sym___inline__] = ACTIONS(1683),
    [anon_sym___forceinline] = ACTIONS(1683),
    [anon_sym_thread_local] = ACTIONS(1683),
    [anon_sym___thread] = ACTIONS(1683),
    [anon_sym_const] = ACTIONS(1683),
    [anon_sym_constexpr] = ACTIONS(1683),
    [anon_sym_volatile] = ACTIONS(1683),
    [anon_sym_restrict] = ACTIONS(1683),
    [anon_sym___restrict__] = ACTIONS(1683),
    [anon_sym__Atomic] = ACTIONS(1683),
    [anon_sym__Noreturn] = ACTIONS(1683),
    [anon_sym_noreturn] = ACTIONS(1683),
    [sym_primitive_type] = ACTIONS(1683),
    [anon_sym_enum] = ACTIONS(1683),
    [anon_sym_struct] = ACTIONS(1683),
    [anon_sym_union] = ACTIONS(1683),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_switch] = ACTIONS(1683),
    [anon_sym_case] = ACTIONS(1683),
    [anon_sym_default] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1683),
    [anon_sym_do] = ACTIONS(1683),
    [anon_sym_for] = ACTIONS(1683),
    [anon_sym_return] = ACTIONS(1683),
    [anon_sym_break] = ACTIONS(1683),
    [anon_sym_continue] = ACTIONS(1683),
    [anon_sym_goto] = ACTIONS(1683),
    [anon_sym_DASH_DASH] = ACTIONS(1685),
    [anon_sym_PLUS_PLUS] = ACTIONS(1685),
    [anon_sym_sizeof] = ACTIONS(1683),
    [anon_sym___alignof__] = ACTIONS(1683),
    [anon_sym___alignof] = ACTIONS(1683),
    [anon_sym__alignof] = ACTIONS(1683),
    [anon_sym_alignof] = ACTIONS(1683),
    [anon_sym__Alignof] = ACTIONS(1683),
    [anon_sym_offsetof] = ACTIONS(1683),
    [anon_sym__Generic] = ACTIONS(1683),
    [anon_sym_asm] = ACTIONS(1683),
    [anon_sym___asm__] = ACTIONS(1683),
    [sym_number_literal] = ACTIONS(1685),
    [anon_sym_L_SQUOTE] = ACTIONS(1685),
    [anon_sym_u_SQUOTE] = ACTIONS(1685),
    [anon_sym_U_SQUOTE] = ACTIONS(1685),
    [anon_sym_u8_SQUOTE] = ACTIONS(1685),
    [anon_sym_SQUOTE] = ACTIONS(1685),
    [anon_sym_L_DQUOTE] = ACTIONS(1685),
    [anon_sym_u_DQUOTE] = ACTIONS(1685),
    [anon_sym_U_DQUOTE] = ACTIONS(1685),
    [anon_sym_u8_DQUOTE] = ACTIONS(1685),
    [anon_sym_DQUOTE] = ACTIONS(1685),
    [sym_true] = ACTIONS(1683),
    [sym_false] = ACTIONS(1683),
    [anon_sym_NULL] = ACTIONS(1683),
    [anon_sym_nullptr] = ACTIONS(1683),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1683),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1683),
    [anon_sym_hitAttributeEXT] = ACTIONS(1683),
    [anon_sym_callableDataEXT] = ACTIONS(1683),
    [anon_sym_callableDataInEXT] = ACTIONS(1683),
    [anon_sym_shaderRecordEXT] = ACTIONS(1683),
    [anon_sym_rayPayloadNV] = ACTIONS(1683),
    [anon_sym_rayPayloadInNV] = ACTIONS(1683),
    [anon_sym_hitAttributeNV] = ACTIONS(1683),
    [anon_sym_callableDataNV] = ACTIONS(1683),
    [anon_sym_callableDataInNV] = ACTIONS(1683),
    [anon_sym_shaderRecordNV] = ACTIONS(1683),
    [anon_sym_layout] = ACTIONS(1683),
  },
  [581] = {
    [ts_builtin_sym_end] = ACTIONS(1649),
    [sym_identifier] = ACTIONS(1647),
    [aux_sym_preproc_include_token1] = ACTIONS(1647),
    [aux_sym_preproc_def_token1] = ACTIONS(1647),
    [aux_sym_preproc_if_token1] = ACTIONS(1647),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1647),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1647),
    [sym_preproc_directive] = ACTIONS(1647),
    [anon_sym_LPAREN2] = ACTIONS(1649),
    [anon_sym_BANG] = ACTIONS(1649),
    [anon_sym_TILDE] = ACTIONS(1649),
    [anon_sym_DASH] = ACTIONS(1647),
    [anon_sym_PLUS] = ACTIONS(1647),
    [anon_sym_STAR] = ACTIONS(1649),
    [anon_sym_AMP] = ACTIONS(1649),
    [anon_sym_subroutine] = ACTIONS(1647),
    [anon_sym_invariant] = ACTIONS(1647),
    [anon_sym_precise] = ACTIONS(1647),
    [anon_sym_in] = ACTIONS(1647),
    [anon_sym_out] = ACTIONS(1647),
    [anon_sym_inout] = ACTIONS(1647),
    [anon_sym_uniform] = ACTIONS(1647),
    [anon_sym_shared] = ACTIONS(1647),
    [anon_sym_attribute] = ACTIONS(1647),
    [anon_sym_varying] = ACTIONS(1647),
    [anon_sym_buffer] = ACTIONS(1647),
    [anon_sym_coherent] = ACTIONS(1647),
    [anon_sym_readonly] = ACTIONS(1647),
    [anon_sym_writeonly] = ACTIONS(1647),
    [anon_sym_precision] = ACTIONS(1647),
    [anon_sym_highp] = ACTIONS(1647),
    [anon_sym_mediump] = ACTIONS(1647),
    [anon_sym_lowp] = ACTIONS(1647),
    [anon_sym_centroid] = ACTIONS(1647),
    [anon_sym_sample] = ACTIONS(1647),
    [anon_sym_patch] = ACTIONS(1647),
    [anon_sym_smooth] = ACTIONS(1647),
    [anon_sym_flat] = ACTIONS(1647),
    [anon_sym_noperspective] = ACTIONS(1647),
    [anon_sym___extension__] = ACTIONS(1647),
    [anon_sym_typedef] = ACTIONS(1647),
    [anon_sym_extern] = ACTIONS(1647),
    [anon_sym___attribute__] = ACTIONS(1647),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1649),
    [anon_sym___declspec] = ACTIONS(1647),
    [anon_sym___cdecl] = ACTIONS(1647),
    [anon_sym___clrcall] = ACTIONS(1647),
    [anon_sym___stdcall] = ACTIONS(1647),
    [anon_sym___fastcall] = ACTIONS(1647),
    [anon_sym___thiscall] = ACTIONS(1647),
    [anon_sym___vectorcall] = ACTIONS(1647),
    [anon_sym_LBRACE] = ACTIONS(1649),
    [anon_sym_signed] = ACTIONS(1647),
    [anon_sym_unsigned] = ACTIONS(1647),
    [anon_sym_long] = ACTIONS(1647),
    [anon_sym_short] = ACTIONS(1647),
    [anon_sym_static] = ACTIONS(1647),
    [anon_sym_auto] = ACTIONS(1647),
    [anon_sym_register] = ACTIONS(1647),
    [anon_sym_inline] = ACTIONS(1647),
    [anon_sym___inline] = ACTIONS(1647),
    [anon_sym___inline__] = ACTIONS(1647),
    [anon_sym___forceinline] = ACTIONS(1647),
    [anon_sym_thread_local] = ACTIONS(1647),
    [anon_sym___thread] = ACTIONS(1647),
    [anon_sym_const] = ACTIONS(1647),
    [anon_sym_constexpr] = ACTIONS(1647),
    [anon_sym_volatile] = ACTIONS(1647),
    [anon_sym_restrict] = ACTIONS(1647),
    [anon_sym___restrict__] = ACTIONS(1647),
    [anon_sym__Atomic] = ACTIONS(1647),
    [anon_sym__Noreturn] = ACTIONS(1647),
    [anon_sym_noreturn] = ACTIONS(1647),
    [sym_primitive_type] = ACTIONS(1647),
    [anon_sym_enum] = ACTIONS(1647),
    [anon_sym_struct] = ACTIONS(1647),
    [anon_sym_union] = ACTIONS(1647),
    [anon_sym_if] = ACTIONS(1647),
    [anon_sym_switch] = ACTIONS(1647),
    [anon_sym_case] = ACTIONS(1647),
    [anon_sym_default] = ACTIONS(1647),
    [anon_sym_while] = ACTIONS(1647),
    [anon_sym_do] = ACTIONS(1647),
    [anon_sym_for] = ACTIONS(1647),
    [anon_sym_return] = ACTIONS(1647),
    [anon_sym_break] = ACTIONS(1647),
    [anon_sym_continue] = ACTIONS(1647),
    [anon_sym_goto] = ACTIONS(1647),
    [anon_sym_DASH_DASH] = ACTIONS(1649),
    [anon_sym_PLUS_PLUS] = ACTIONS(1649),
    [anon_sym_sizeof] = ACTIONS(1647),
    [anon_sym___alignof__] = ACTIONS(1647),
    [anon_sym___alignof] = ACTIONS(1647),
    [anon_sym__alignof] = ACTIONS(1647),
    [anon_sym_alignof] = ACTIONS(1647),
    [anon_sym__Alignof] = ACTIONS(1647),
    [anon_sym_offsetof] = ACTIONS(1647),
    [anon_sym__Generic] = ACTIONS(1647),
    [anon_sym_asm] = ACTIONS(1647),
    [anon_sym___asm__] = ACTIONS(1647),
    [sym_number_literal] = ACTIONS(1649),
    [anon_sym_L_SQUOTE] = ACTIONS(1649),
    [anon_sym_u_SQUOTE] = ACTIONS(1649),
    [anon_sym_U_SQUOTE] = ACTIONS(1649),
    [anon_sym_u8_SQUOTE] = ACTIONS(1649),
    [anon_sym_SQUOTE] = ACTIONS(1649),
    [anon_sym_L_DQUOTE] = ACTIONS(1649),
    [anon_sym_u_DQUOTE] = ACTIONS(1649),
    [anon_sym_U_DQUOTE] = ACTIONS(1649),
    [anon_sym_u8_DQUOTE] = ACTIONS(1649),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_true] = ACTIONS(1647),
    [sym_false] = ACTIONS(1647),
    [anon_sym_NULL] = ACTIONS(1647),
    [anon_sym_nullptr] = ACTIONS(1647),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1647),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1647),
    [anon_sym_hitAttributeEXT] = ACTIONS(1647),
    [anon_sym_callableDataEXT] = ACTIONS(1647),
    [anon_sym_callableDataInEXT] = ACTIONS(1647),
    [anon_sym_shaderRecordEXT] = ACTIONS(1647),
    [anon_sym_rayPayloadNV] = ACTIONS(1647),
    [anon_sym_rayPayloadInNV] = ACTIONS(1647),
    [anon_sym_hitAttributeNV] = ACTIONS(1647),
    [anon_sym_callableDataNV] = ACTIONS(1647),
    [anon_sym_callableDataInNV] = ACTIONS(1647),
    [anon_sym_shaderRecordNV] = ACTIONS(1647),
    [anon_sym_layout] = ACTIONS(1647),
  },
  [582] = {
    [ts_builtin_sym_end] = ACTIONS(1673),
    [sym_identifier] = ACTIONS(1671),
    [aux_sym_preproc_include_token1] = ACTIONS(1671),
    [aux_sym_preproc_def_token1] = ACTIONS(1671),
    [aux_sym_preproc_if_token1] = ACTIONS(1671),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1671),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1671),
    [sym_preproc_directive] = ACTIONS(1671),
    [anon_sym_LPAREN2] = ACTIONS(1673),
    [anon_sym_BANG] = ACTIONS(1673),
    [anon_sym_TILDE] = ACTIONS(1673),
    [anon_sym_DASH] = ACTIONS(1671),
    [anon_sym_PLUS] = ACTIONS(1671),
    [anon_sym_STAR] = ACTIONS(1673),
    [anon_sym_AMP] = ACTIONS(1673),
    [anon_sym_subroutine] = ACTIONS(1671),
    [anon_sym_invariant] = ACTIONS(1671),
    [anon_sym_precise] = ACTIONS(1671),
    [anon_sym_in] = ACTIONS(1671),
    [anon_sym_out] = ACTIONS(1671),
    [anon_sym_inout] = ACTIONS(1671),
    [anon_sym_uniform] = ACTIONS(1671),
    [anon_sym_shared] = ACTIONS(1671),
    [anon_sym_attribute] = ACTIONS(1671),
    [anon_sym_varying] = ACTIONS(1671),
    [anon_sym_buffer] = ACTIONS(1671),
    [anon_sym_coherent] = ACTIONS(1671),
    [anon_sym_readonly] = ACTIONS(1671),
    [anon_sym_writeonly] = ACTIONS(1671),
    [anon_sym_precision] = ACTIONS(1671),
    [anon_sym_highp] = ACTIONS(1671),
    [anon_sym_mediump] = ACTIONS(1671),
    [anon_sym_lowp] = ACTIONS(1671),
    [anon_sym_centroid] = ACTIONS(1671),
    [anon_sym_sample] = ACTIONS(1671),
    [anon_sym_patch] = ACTIONS(1671),
    [anon_sym_smooth] = ACTIONS(1671),
    [anon_sym_flat] = ACTIONS(1671),
    [anon_sym_noperspective] = ACTIONS(1671),
    [anon_sym___extension__] = ACTIONS(1671),
    [anon_sym_typedef] = ACTIONS(1671),
    [anon_sym_extern] = ACTIONS(1671),
    [anon_sym___attribute__] = ACTIONS(1671),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1673),
    [anon_sym___declspec] = ACTIONS(1671),
    [anon_sym___cdecl] = ACTIONS(1671),
    [anon_sym___clrcall] = ACTIONS(1671),
    [anon_sym___stdcall] = ACTIONS(1671),
    [anon_sym___fastcall] = ACTIONS(1671),
    [anon_sym___thiscall] = ACTIONS(1671),
    [anon_sym___vectorcall] = ACTIONS(1671),
    [anon_sym_LBRACE] = ACTIONS(1673),
    [anon_sym_signed] = ACTIONS(1671),
    [anon_sym_unsigned] = ACTIONS(1671),
    [anon_sym_long] = ACTIONS(1671),
    [anon_sym_short] = ACTIONS(1671),
    [anon_sym_static] = ACTIONS(1671),
    [anon_sym_auto] = ACTIONS(1671),
    [anon_sym_register] = ACTIONS(1671),
    [anon_sym_inline] = ACTIONS(1671),
    [anon_sym___inline] = ACTIONS(1671),
    [anon_sym___inline__] = ACTIONS(1671),
    [anon_sym___forceinline] = ACTIONS(1671),
    [anon_sym_thread_local] = ACTIONS(1671),
    [anon_sym___thread] = ACTIONS(1671),
    [anon_sym_const] = ACTIONS(1671),
    [anon_sym_constexpr] = ACTIONS(1671),
    [anon_sym_volatile] = ACTIONS(1671),
    [anon_sym_restrict] = ACTIONS(1671),
    [anon_sym___restrict__] = ACTIONS(1671),
    [anon_sym__Atomic] = ACTIONS(1671),
    [anon_sym__Noreturn] = ACTIONS(1671),
    [anon_sym_noreturn] = ACTIONS(1671),
    [sym_primitive_type] = ACTIONS(1671),
    [anon_sym_enum] = ACTIONS(1671),
    [anon_sym_struct] = ACTIONS(1671),
    [anon_sym_union] = ACTIONS(1671),
    [anon_sym_if] = ACTIONS(1671),
    [anon_sym_switch] = ACTIONS(1671),
    [anon_sym_case] = ACTIONS(1671),
    [anon_sym_default] = ACTIONS(1671),
    [anon_sym_while] = ACTIONS(1671),
    [anon_sym_do] = ACTIONS(1671),
    [anon_sym_for] = ACTIONS(1671),
    [anon_sym_return] = ACTIONS(1671),
    [anon_sym_break] = ACTIONS(1671),
    [anon_sym_continue] = ACTIONS(1671),
    [anon_sym_goto] = ACTIONS(1671),
    [anon_sym_DASH_DASH] = ACTIONS(1673),
    [anon_sym_PLUS_PLUS] = ACTIONS(1673),
    [anon_sym_sizeof] = ACTIONS(1671),
    [anon_sym___alignof__] = ACTIONS(1671),
    [anon_sym___alignof] = ACTIONS(1671),
    [anon_sym__alignof] = ACTIONS(1671),
    [anon_sym_alignof] = ACTIONS(1671),
    [anon_sym__Alignof] = ACTIONS(1671),
    [anon_sym_offsetof] = ACTIONS(1671),
    [anon_sym__Generic] = ACTIONS(1671),
    [anon_sym_asm] = ACTIONS(1671),
    [anon_sym___asm__] = ACTIONS(1671),
    [sym_number_literal] = ACTIONS(1673),
    [anon_sym_L_SQUOTE] = ACTIONS(1673),
    [anon_sym_u_SQUOTE] = ACTIONS(1673),
    [anon_sym_U_SQUOTE] = ACTIONS(1673),
    [anon_sym_u8_SQUOTE] = ACTIONS(1673),
    [anon_sym_SQUOTE] = ACTIONS(1673),
    [anon_sym_L_DQUOTE] = ACTIONS(1673),
    [anon_sym_u_DQUOTE] = ACTIONS(1673),
    [anon_sym_U_DQUOTE] = ACTIONS(1673),
    [anon_sym_u8_DQUOTE] = ACTIONS(1673),
    [anon_sym_DQUOTE] = ACTIONS(1673),
    [sym_true] = ACTIONS(1671),
    [sym_false] = ACTIONS(1671),
    [anon_sym_NULL] = ACTIONS(1671),
    [anon_sym_nullptr] = ACTIONS(1671),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1671),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1671),
    [anon_sym_hitAttributeEXT] = ACTIONS(1671),
    [anon_sym_callableDataEXT] = ACTIONS(1671),
    [anon_sym_callableDataInEXT] = ACTIONS(1671),
    [anon_sym_shaderRecordEXT] = ACTIONS(1671),
    [anon_sym_rayPayloadNV] = ACTIONS(1671),
    [anon_sym_rayPayloadInNV] = ACTIONS(1671),
    [anon_sym_hitAttributeNV] = ACTIONS(1671),
    [anon_sym_callableDataNV] = ACTIONS(1671),
    [anon_sym_callableDataInNV] = ACTIONS(1671),
    [anon_sym_shaderRecordNV] = ACTIONS(1671),
    [anon_sym_layout] = ACTIONS(1671),
  },
  [583] = {
    [ts_builtin_sym_end] = ACTIONS(1645),
    [sym_identifier] = ACTIONS(1643),
    [aux_sym_preproc_include_token1] = ACTIONS(1643),
    [aux_sym_preproc_def_token1] = ACTIONS(1643),
    [aux_sym_preproc_if_token1] = ACTIONS(1643),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1643),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1643),
    [sym_preproc_directive] = ACTIONS(1643),
    [anon_sym_LPAREN2] = ACTIONS(1645),
    [anon_sym_BANG] = ACTIONS(1645),
    [anon_sym_TILDE] = ACTIONS(1645),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(1645),
    [anon_sym_AMP] = ACTIONS(1645),
    [anon_sym_subroutine] = ACTIONS(1643),
    [anon_sym_invariant] = ACTIONS(1643),
    [anon_sym_precise] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_out] = ACTIONS(1643),
    [anon_sym_inout] = ACTIONS(1643),
    [anon_sym_uniform] = ACTIONS(1643),
    [anon_sym_shared] = ACTIONS(1643),
    [anon_sym_attribute] = ACTIONS(1643),
    [anon_sym_varying] = ACTIONS(1643),
    [anon_sym_buffer] = ACTIONS(1643),
    [anon_sym_coherent] = ACTIONS(1643),
    [anon_sym_readonly] = ACTIONS(1643),
    [anon_sym_writeonly] = ACTIONS(1643),
    [anon_sym_precision] = ACTIONS(1643),
    [anon_sym_highp] = ACTIONS(1643),
    [anon_sym_mediump] = ACTIONS(1643),
    [anon_sym_lowp] = ACTIONS(1643),
    [anon_sym_centroid] = ACTIONS(1643),
    [anon_sym_sample] = ACTIONS(1643),
    [anon_sym_patch] = ACTIONS(1643),
    [anon_sym_smooth] = ACTIONS(1643),
    [anon_sym_flat] = ACTIONS(1643),
    [anon_sym_noperspective] = ACTIONS(1643),
    [anon_sym___extension__] = ACTIONS(1643),
    [anon_sym_typedef] = ACTIONS(1643),
    [anon_sym_extern] = ACTIONS(1643),
    [anon_sym___attribute__] = ACTIONS(1643),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1645),
    [anon_sym___declspec] = ACTIONS(1643),
    [anon_sym___cdecl] = ACTIONS(1643),
    [anon_sym___clrcall] = ACTIONS(1643),
    [anon_sym___stdcall] = ACTIONS(1643),
    [anon_sym___fastcall] = ACTIONS(1643),
    [anon_sym___thiscall] = ACTIONS(1643),
    [anon_sym___vectorcall] = ACTIONS(1643),
    [anon_sym_LBRACE] = ACTIONS(1645),
    [anon_sym_signed] = ACTIONS(1643),
    [anon_sym_unsigned] = ACTIONS(1643),
    [anon_sym_long] = ACTIONS(1643),
    [anon_sym_short] = ACTIONS(1643),
    [anon_sym_static] = ACTIONS(1643),
    [anon_sym_auto] = ACTIONS(1643),
    [anon_sym_register] = ACTIONS(1643),
    [anon_sym_inline] = ACTIONS(1643),
    [anon_sym___inline] = ACTIONS(1643),
    [anon_sym___inline__] = ACTIONS(1643),
    [anon_sym___forceinline] = ACTIONS(1643),
    [anon_sym_thread_local] = ACTIONS(1643),
    [anon_sym___thread] = ACTIONS(1643),
    [anon_sym_const] = ACTIONS(1643),
    [anon_sym_constexpr] = ACTIONS(1643),
    [anon_sym_volatile] = ACTIONS(1643),
    [anon_sym_restrict] = ACTIONS(1643),
    [anon_sym___restrict__] = ACTIONS(1643),
    [anon_sym__Atomic] = ACTIONS(1643),
    [anon_sym__Noreturn] = ACTIONS(1643),
    [anon_sym_noreturn] = ACTIONS(1643),
    [sym_primitive_type] = ACTIONS(1643),
    [anon_sym_enum] = ACTIONS(1643),
    [anon_sym_struct] = ACTIONS(1643),
    [anon_sym_union] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_switch] = ACTIONS(1643),
    [anon_sym_case] = ACTIONS(1643),
    [anon_sym_default] = ACTIONS(1643),
    [anon_sym_while] = ACTIONS(1643),
    [anon_sym_do] = ACTIONS(1643),
    [anon_sym_for] = ACTIONS(1643),
    [anon_sym_return] = ACTIONS(1643),
    [anon_sym_break] = ACTIONS(1643),
    [anon_sym_continue] = ACTIONS(1643),
    [anon_sym_goto] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1645),
    [anon_sym_PLUS_PLUS] = ACTIONS(1645),
    [anon_sym_sizeof] = ACTIONS(1643),
    [anon_sym___alignof__] = ACTIONS(1643),
    [anon_sym___alignof] = ACTIONS(1643),
    [anon_sym__alignof] = ACTIONS(1643),
    [anon_sym_alignof] = ACTIONS(1643),
    [anon_sym__Alignof] = ACTIONS(1643),
    [anon_sym_offsetof] = ACTIONS(1643),
    [anon_sym__Generic] = ACTIONS(1643),
    [anon_sym_asm] = ACTIONS(1643),
    [anon_sym___asm__] = ACTIONS(1643),
    [sym_number_literal] = ACTIONS(1645),
    [anon_sym_L_SQUOTE] = ACTIONS(1645),
    [anon_sym_u_SQUOTE] = ACTIONS(1645),
    [anon_sym_U_SQUOTE] = ACTIONS(1645),
    [anon_sym_u8_SQUOTE] = ACTIONS(1645),
    [anon_sym_SQUOTE] = ACTIONS(1645),
    [anon_sym_L_DQUOTE] = ACTIONS(1645),
    [anon_sym_u_DQUOTE] = ACTIONS(1645),
    [anon_sym_U_DQUOTE] = ACTIONS(1645),
    [anon_sym_u8_DQUOTE] = ACTIONS(1645),
    [anon_sym_DQUOTE] = ACTIONS(1645),
    [sym_true] = ACTIONS(1643),
    [sym_false] = ACTIONS(1643),
    [anon_sym_NULL] = ACTIONS(1643),
    [anon_sym_nullptr] = ACTIONS(1643),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1643),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1643),
    [anon_sym_hitAttributeEXT] = ACTIONS(1643),
    [anon_sym_callableDataEXT] = ACTIONS(1643),
    [anon_sym_callableDataInEXT] = ACTIONS(1643),
    [anon_sym_shaderRecordEXT] = ACTIONS(1643),
    [anon_sym_rayPayloadNV] = ACTIONS(1643),
    [anon_sym_rayPayloadInNV] = ACTIONS(1643),
    [anon_sym_hitAttributeNV] = ACTIONS(1643),
    [anon_sym_callableDataNV] = ACTIONS(1643),
    [anon_sym_callableDataInNV] = ACTIONS(1643),
    [anon_sym_shaderRecordNV] = ACTIONS(1643),
    [anon_sym_layout] = ACTIONS(1643),
  },
  [584] = {
    [ts_builtin_sym_end] = ACTIONS(1645),
    [sym_identifier] = ACTIONS(1643),
    [aux_sym_preproc_include_token1] = ACTIONS(1643),
    [aux_sym_preproc_def_token1] = ACTIONS(1643),
    [aux_sym_preproc_if_token1] = ACTIONS(1643),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1643),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1643),
    [sym_preproc_directive] = ACTIONS(1643),
    [anon_sym_LPAREN2] = ACTIONS(1645),
    [anon_sym_BANG] = ACTIONS(1645),
    [anon_sym_TILDE] = ACTIONS(1645),
    [anon_sym_DASH] = ACTIONS(1643),
    [anon_sym_PLUS] = ACTIONS(1643),
    [anon_sym_STAR] = ACTIONS(1645),
    [anon_sym_AMP] = ACTIONS(1645),
    [anon_sym_subroutine] = ACTIONS(1643),
    [anon_sym_invariant] = ACTIONS(1643),
    [anon_sym_precise] = ACTIONS(1643),
    [anon_sym_in] = ACTIONS(1643),
    [anon_sym_out] = ACTIONS(1643),
    [anon_sym_inout] = ACTIONS(1643),
    [anon_sym_uniform] = ACTIONS(1643),
    [anon_sym_shared] = ACTIONS(1643),
    [anon_sym_attribute] = ACTIONS(1643),
    [anon_sym_varying] = ACTIONS(1643),
    [anon_sym_buffer] = ACTIONS(1643),
    [anon_sym_coherent] = ACTIONS(1643),
    [anon_sym_readonly] = ACTIONS(1643),
    [anon_sym_writeonly] = ACTIONS(1643),
    [anon_sym_precision] = ACTIONS(1643),
    [anon_sym_highp] = ACTIONS(1643),
    [anon_sym_mediump] = ACTIONS(1643),
    [anon_sym_lowp] = ACTIONS(1643),
    [anon_sym_centroid] = ACTIONS(1643),
    [anon_sym_sample] = ACTIONS(1643),
    [anon_sym_patch] = ACTIONS(1643),
    [anon_sym_smooth] = ACTIONS(1643),
    [anon_sym_flat] = ACTIONS(1643),
    [anon_sym_noperspective] = ACTIONS(1643),
    [anon_sym___extension__] = ACTIONS(1643),
    [anon_sym_typedef] = ACTIONS(1643),
    [anon_sym_extern] = ACTIONS(1643),
    [anon_sym___attribute__] = ACTIONS(1643),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1645),
    [anon_sym___declspec] = ACTIONS(1643),
    [anon_sym___cdecl] = ACTIONS(1643),
    [anon_sym___clrcall] = ACTIONS(1643),
    [anon_sym___stdcall] = ACTIONS(1643),
    [anon_sym___fastcall] = ACTIONS(1643),
    [anon_sym___thiscall] = ACTIONS(1643),
    [anon_sym___vectorcall] = ACTIONS(1643),
    [anon_sym_LBRACE] = ACTIONS(1645),
    [anon_sym_signed] = ACTIONS(1643),
    [anon_sym_unsigned] = ACTIONS(1643),
    [anon_sym_long] = ACTIONS(1643),
    [anon_sym_short] = ACTIONS(1643),
    [anon_sym_static] = ACTIONS(1643),
    [anon_sym_auto] = ACTIONS(1643),
    [anon_sym_register] = ACTIONS(1643),
    [anon_sym_inline] = ACTIONS(1643),
    [anon_sym___inline] = ACTIONS(1643),
    [anon_sym___inline__] = ACTIONS(1643),
    [anon_sym___forceinline] = ACTIONS(1643),
    [anon_sym_thread_local] = ACTIONS(1643),
    [anon_sym___thread] = ACTIONS(1643),
    [anon_sym_const] = ACTIONS(1643),
    [anon_sym_constexpr] = ACTIONS(1643),
    [anon_sym_volatile] = ACTIONS(1643),
    [anon_sym_restrict] = ACTIONS(1643),
    [anon_sym___restrict__] = ACTIONS(1643),
    [anon_sym__Atomic] = ACTIONS(1643),
    [anon_sym__Noreturn] = ACTIONS(1643),
    [anon_sym_noreturn] = ACTIONS(1643),
    [sym_primitive_type] = ACTIONS(1643),
    [anon_sym_enum] = ACTIONS(1643),
    [anon_sym_struct] = ACTIONS(1643),
    [anon_sym_union] = ACTIONS(1643),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_switch] = ACTIONS(1643),
    [anon_sym_case] = ACTIONS(1643),
    [anon_sym_default] = ACTIONS(1643),
    [anon_sym_while] = ACTIONS(1643),
    [anon_sym_do] = ACTIONS(1643),
    [anon_sym_for] = ACTIONS(1643),
    [anon_sym_return] = ACTIONS(1643),
    [anon_sym_break] = ACTIONS(1643),
    [anon_sym_continue] = ACTIONS(1643),
    [anon_sym_goto] = ACTIONS(1643),
    [anon_sym_DASH_DASH] = ACTIONS(1645),
    [anon_sym_PLUS_PLUS] = ACTIONS(1645),
    [anon_sym_sizeof] = ACTIONS(1643),
    [anon_sym___alignof__] = ACTIONS(1643),
    [anon_sym___alignof] = ACTIONS(1643),
    [anon_sym__alignof] = ACTIONS(1643),
    [anon_sym_alignof] = ACTIONS(1643),
    [anon_sym__Alignof] = ACTIONS(1643),
    [anon_sym_offsetof] = ACTIONS(1643),
    [anon_sym__Generic] = ACTIONS(1643),
    [anon_sym_asm] = ACTIONS(1643),
    [anon_sym___asm__] = ACTIONS(1643),
    [sym_number_literal] = ACTIONS(1645),
    [anon_sym_L_SQUOTE] = ACTIONS(1645),
    [anon_sym_u_SQUOTE] = ACTIONS(1645),
    [anon_sym_U_SQUOTE] = ACTIONS(1645),
    [anon_sym_u8_SQUOTE] = ACTIONS(1645),
    [anon_sym_SQUOTE] = ACTIONS(1645),
    [anon_sym_L_DQUOTE] = ACTIONS(1645),
    [anon_sym_u_DQUOTE] = ACTIONS(1645),
    [anon_sym_U_DQUOTE] = ACTIONS(1645),
    [anon_sym_u8_DQUOTE] = ACTIONS(1645),
    [anon_sym_DQUOTE] = ACTIONS(1645),
    [sym_true] = ACTIONS(1643),
    [sym_false] = ACTIONS(1643),
    [anon_sym_NULL] = ACTIONS(1643),
    [anon_sym_nullptr] = ACTIONS(1643),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1643),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1643),
    [anon_sym_hitAttributeEXT] = ACTIONS(1643),
    [anon_sym_callableDataEXT] = ACTIONS(1643),
    [anon_sym_callableDataInEXT] = ACTIONS(1643),
    [anon_sym_shaderRecordEXT] = ACTIONS(1643),
    [anon_sym_rayPayloadNV] = ACTIONS(1643),
    [anon_sym_rayPayloadInNV] = ACTIONS(1643),
    [anon_sym_hitAttributeNV] = ACTIONS(1643),
    [anon_sym_callableDataNV] = ACTIONS(1643),
    [anon_sym_callableDataInNV] = ACTIONS(1643),
    [anon_sym_shaderRecordNV] = ACTIONS(1643),
    [anon_sym_layout] = ACTIONS(1643),
  },
  [585] = {
    [ts_builtin_sym_end] = ACTIONS(1697),
    [sym_identifier] = ACTIONS(1695),
    [aux_sym_preproc_include_token1] = ACTIONS(1695),
    [aux_sym_preproc_def_token1] = ACTIONS(1695),
    [aux_sym_preproc_if_token1] = ACTIONS(1695),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1695),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1695),
    [sym_preproc_directive] = ACTIONS(1695),
    [anon_sym_LPAREN2] = ACTIONS(1697),
    [anon_sym_BANG] = ACTIONS(1697),
    [anon_sym_TILDE] = ACTIONS(1697),
    [anon_sym_DASH] = ACTIONS(1695),
    [anon_sym_PLUS] = ACTIONS(1695),
    [anon_sym_STAR] = ACTIONS(1697),
    [anon_sym_AMP] = ACTIONS(1697),
    [anon_sym_subroutine] = ACTIONS(1695),
    [anon_sym_invariant] = ACTIONS(1695),
    [anon_sym_precise] = ACTIONS(1695),
    [anon_sym_in] = ACTIONS(1695),
    [anon_sym_out] = ACTIONS(1695),
    [anon_sym_inout] = ACTIONS(1695),
    [anon_sym_uniform] = ACTIONS(1695),
    [anon_sym_shared] = ACTIONS(1695),
    [anon_sym_attribute] = ACTIONS(1695),
    [anon_sym_varying] = ACTIONS(1695),
    [anon_sym_buffer] = ACTIONS(1695),
    [anon_sym_coherent] = ACTIONS(1695),
    [anon_sym_readonly] = ACTIONS(1695),
    [anon_sym_writeonly] = ACTIONS(1695),
    [anon_sym_precision] = ACTIONS(1695),
    [anon_sym_highp] = ACTIONS(1695),
    [anon_sym_mediump] = ACTIONS(1695),
    [anon_sym_lowp] = ACTIONS(1695),
    [anon_sym_centroid] = ACTIONS(1695),
    [anon_sym_sample] = ACTIONS(1695),
    [anon_sym_patch] = ACTIONS(1695),
    [anon_sym_smooth] = ACTIONS(1695),
    [anon_sym_flat] = ACTIONS(1695),
    [anon_sym_noperspective] = ACTIONS(1695),
    [anon_sym___extension__] = ACTIONS(1695),
    [anon_sym_typedef] = ACTIONS(1695),
    [anon_sym_extern] = ACTIONS(1695),
    [anon_sym___attribute__] = ACTIONS(1695),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1697),
    [anon_sym___declspec] = ACTIONS(1695),
    [anon_sym___cdecl] = ACTIONS(1695),
    [anon_sym___clrcall] = ACTIONS(1695),
    [anon_sym___stdcall] = ACTIONS(1695),
    [anon_sym___fastcall] = ACTIONS(1695),
    [anon_sym___thiscall] = ACTIONS(1695),
    [anon_sym___vectorcall] = ACTIONS(1695),
    [anon_sym_LBRACE] = ACTIONS(1697),
    [anon_sym_signed] = ACTIONS(1695),
    [anon_sym_unsigned] = ACTIONS(1695),
    [anon_sym_long] = ACTIONS(1695),
    [anon_sym_short] = ACTIONS(1695),
    [anon_sym_static] = ACTIONS(1695),
    [anon_sym_auto] = ACTIONS(1695),
    [anon_sym_register] = ACTIONS(1695),
    [anon_sym_inline] = ACTIONS(1695),
    [anon_sym___inline] = ACTIONS(1695),
    [anon_sym___inline__] = ACTIONS(1695),
    [anon_sym___forceinline] = ACTIONS(1695),
    [anon_sym_thread_local] = ACTIONS(1695),
    [anon_sym___thread] = ACTIONS(1695),
    [anon_sym_const] = ACTIONS(1695),
    [anon_sym_constexpr] = ACTIONS(1695),
    [anon_sym_volatile] = ACTIONS(1695),
    [anon_sym_restrict] = ACTIONS(1695),
    [anon_sym___restrict__] = ACTIONS(1695),
    [anon_sym__Atomic] = ACTIONS(1695),
    [anon_sym__Noreturn] = ACTIONS(1695),
    [anon_sym_noreturn] = ACTIONS(1695),
    [sym_primitive_type] = ACTIONS(1695),
    [anon_sym_enum] = ACTIONS(1695),
    [anon_sym_struct] = ACTIONS(1695),
    [anon_sym_union] = ACTIONS(1695),
    [anon_sym_if] = ACTIONS(1695),
    [anon_sym_switch] = ACTIONS(1695),
    [anon_sym_case] = ACTIONS(1695),
    [anon_sym_default] = ACTIONS(1695),
    [anon_sym_while] = ACTIONS(1695),
    [anon_sym_do] = ACTIONS(1695),
    [anon_sym_for] = ACTIONS(1695),
    [anon_sym_return] = ACTIONS(1695),
    [anon_sym_break] = ACTIONS(1695),
    [anon_sym_continue] = ACTIONS(1695),
    [anon_sym_goto] = ACTIONS(1695),
    [anon_sym_DASH_DASH] = ACTIONS(1697),
    [anon_sym_PLUS_PLUS] = ACTIONS(1697),
    [anon_sym_sizeof] = ACTIONS(1695),
    [anon_sym___alignof__] = ACTIONS(1695),
    [anon_sym___alignof] = ACTIONS(1695),
    [anon_sym__alignof] = ACTIONS(1695),
    [anon_sym_alignof] = ACTIONS(1695),
    [anon_sym__Alignof] = ACTIONS(1695),
    [anon_sym_offsetof] = ACTIONS(1695),
    [anon_sym__Generic] = ACTIONS(1695),
    [anon_sym_asm] = ACTIONS(1695),
    [anon_sym___asm__] = ACTIONS(1695),
    [sym_number_literal] = ACTIONS(1697),
    [anon_sym_L_SQUOTE] = ACTIONS(1697),
    [anon_sym_u_SQUOTE] = ACTIONS(1697),
    [anon_sym_U_SQUOTE] = ACTIONS(1697),
    [anon_sym_u8_SQUOTE] = ACTIONS(1697),
    [anon_sym_SQUOTE] = ACTIONS(1697),
    [anon_sym_L_DQUOTE] = ACTIONS(1697),
    [anon_sym_u_DQUOTE] = ACTIONS(1697),
    [anon_sym_U_DQUOTE] = ACTIONS(1697),
    [anon_sym_u8_DQUOTE] = ACTIONS(1697),
    [anon_sym_DQUOTE] = ACTIONS(1697),
    [sym_true] = ACTIONS(1695),
    [sym_false] = ACTIONS(1695),
    [anon_sym_NULL] = ACTIONS(1695),
    [anon_sym_nullptr] = ACTIONS(1695),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1695),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1695),
    [anon_sym_hitAttributeEXT] = ACTIONS(1695),
    [anon_sym_callableDataEXT] = ACTIONS(1695),
    [anon_sym_callableDataInEXT] = ACTIONS(1695),
    [anon_sym_shaderRecordEXT] = ACTIONS(1695),
    [anon_sym_rayPayloadNV] = ACTIONS(1695),
    [anon_sym_rayPayloadInNV] = ACTIONS(1695),
    [anon_sym_hitAttributeNV] = ACTIONS(1695),
    [anon_sym_callableDataNV] = ACTIONS(1695),
    [anon_sym_callableDataInNV] = ACTIONS(1695),
    [anon_sym_shaderRecordNV] = ACTIONS(1695),
    [anon_sym_layout] = ACTIONS(1695),
  },
  [586] = {
    [ts_builtin_sym_end] = ACTIONS(1725),
    [sym_identifier] = ACTIONS(1723),
    [aux_sym_preproc_include_token1] = ACTIONS(1723),
    [aux_sym_preproc_def_token1] = ACTIONS(1723),
    [aux_sym_preproc_if_token1] = ACTIONS(1723),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1723),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1723),
    [sym_preproc_directive] = ACTIONS(1723),
    [anon_sym_LPAREN2] = ACTIONS(1725),
    [anon_sym_BANG] = ACTIONS(1725),
    [anon_sym_TILDE] = ACTIONS(1725),
    [anon_sym_DASH] = ACTIONS(1723),
    [anon_sym_PLUS] = ACTIONS(1723),
    [anon_sym_STAR] = ACTIONS(1725),
    [anon_sym_AMP] = ACTIONS(1725),
    [anon_sym_subroutine] = ACTIONS(1723),
    [anon_sym_invariant] = ACTIONS(1723),
    [anon_sym_precise] = ACTIONS(1723),
    [anon_sym_in] = ACTIONS(1723),
    [anon_sym_out] = ACTIONS(1723),
    [anon_sym_inout] = ACTIONS(1723),
    [anon_sym_uniform] = ACTIONS(1723),
    [anon_sym_shared] = ACTIONS(1723),
    [anon_sym_attribute] = ACTIONS(1723),
    [anon_sym_varying] = ACTIONS(1723),
    [anon_sym_buffer] = ACTIONS(1723),
    [anon_sym_coherent] = ACTIONS(1723),
    [anon_sym_readonly] = ACTIONS(1723),
    [anon_sym_writeonly] = ACTIONS(1723),
    [anon_sym_precision] = ACTIONS(1723),
    [anon_sym_highp] = ACTIONS(1723),
    [anon_sym_mediump] = ACTIONS(1723),
    [anon_sym_lowp] = ACTIONS(1723),
    [anon_sym_centroid] = ACTIONS(1723),
    [anon_sym_sample] = ACTIONS(1723),
    [anon_sym_patch] = ACTIONS(1723),
    [anon_sym_smooth] = ACTIONS(1723),
    [anon_sym_flat] = ACTIONS(1723),
    [anon_sym_noperspective] = ACTIONS(1723),
    [anon_sym___extension__] = ACTIONS(1723),
    [anon_sym_typedef] = ACTIONS(1723),
    [anon_sym_extern] = ACTIONS(1723),
    [anon_sym___attribute__] = ACTIONS(1723),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1725),
    [anon_sym___declspec] = ACTIONS(1723),
    [anon_sym___cdecl] = ACTIONS(1723),
    [anon_sym___clrcall] = ACTIONS(1723),
    [anon_sym___stdcall] = ACTIONS(1723),
    [anon_sym___fastcall] = ACTIONS(1723),
    [anon_sym___thiscall] = ACTIONS(1723),
    [anon_sym___vectorcall] = ACTIONS(1723),
    [anon_sym_LBRACE] = ACTIONS(1725),
    [anon_sym_signed] = ACTIONS(1723),
    [anon_sym_unsigned] = ACTIONS(1723),
    [anon_sym_long] = ACTIONS(1723),
    [anon_sym_short] = ACTIONS(1723),
    [anon_sym_static] = ACTIONS(1723),
    [anon_sym_auto] = ACTIONS(1723),
    [anon_sym_register] = ACTIONS(1723),
    [anon_sym_inline] = ACTIONS(1723),
    [anon_sym___inline] = ACTIONS(1723),
    [anon_sym___inline__] = ACTIONS(1723),
    [anon_sym___forceinline] = ACTIONS(1723),
    [anon_sym_thread_local] = ACTIONS(1723),
    [anon_sym___thread] = ACTIONS(1723),
    [anon_sym_const] = ACTIONS(1723),
    [anon_sym_constexpr] = ACTIONS(1723),
    [anon_sym_volatile] = ACTIONS(1723),
    [anon_sym_restrict] = ACTIONS(1723),
    [anon_sym___restrict__] = ACTIONS(1723),
    [anon_sym__Atomic] = ACTIONS(1723),
    [anon_sym__Noreturn] = ACTIONS(1723),
    [anon_sym_noreturn] = ACTIONS(1723),
    [sym_primitive_type] = ACTIONS(1723),
    [anon_sym_enum] = ACTIONS(1723),
    [anon_sym_struct] = ACTIONS(1723),
    [anon_sym_union] = ACTIONS(1723),
    [anon_sym_if] = ACTIONS(1723),
    [anon_sym_switch] = ACTIONS(1723),
    [anon_sym_case] = ACTIONS(1723),
    [anon_sym_default] = ACTIONS(1723),
    [anon_sym_while] = ACTIONS(1723),
    [anon_sym_do] = ACTIONS(1723),
    [anon_sym_for] = ACTIONS(1723),
    [anon_sym_return] = ACTIONS(1723),
    [anon_sym_break] = ACTIONS(1723),
    [anon_sym_continue] = ACTIONS(1723),
    [anon_sym_goto] = ACTIONS(1723),
    [anon_sym_DASH_DASH] = ACTIONS(1725),
    [anon_sym_PLUS_PLUS] = ACTIONS(1725),
    [anon_sym_sizeof] = ACTIONS(1723),
    [anon_sym___alignof__] = ACTIONS(1723),
    [anon_sym___alignof] = ACTIONS(1723),
    [anon_sym__alignof] = ACTIONS(1723),
    [anon_sym_alignof] = ACTIONS(1723),
    [anon_sym__Alignof] = ACTIONS(1723),
    [anon_sym_offsetof] = ACTIONS(1723),
    [anon_sym__Generic] = ACTIONS(1723),
    [anon_sym_asm] = ACTIONS(1723),
    [anon_sym___asm__] = ACTIONS(1723),
    [sym_number_literal] = ACTIONS(1725),
    [anon_sym_L_SQUOTE] = ACTIONS(1725),
    [anon_sym_u_SQUOTE] = ACTIONS(1725),
    [anon_sym_U_SQUOTE] = ACTIONS(1725),
    [anon_sym_u8_SQUOTE] = ACTIONS(1725),
    [anon_sym_SQUOTE] = ACTIONS(1725),
    [anon_sym_L_DQUOTE] = ACTIONS(1725),
    [anon_sym_u_DQUOTE] = ACTIONS(1725),
    [anon_sym_U_DQUOTE] = ACTIONS(1725),
    [anon_sym_u8_DQUOTE] = ACTIONS(1725),
    [anon_sym_DQUOTE] = ACTIONS(1725),
    [sym_true] = ACTIONS(1723),
    [sym_false] = ACTIONS(1723),
    [anon_sym_NULL] = ACTIONS(1723),
    [anon_sym_nullptr] = ACTIONS(1723),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1723),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1723),
    [anon_sym_hitAttributeEXT] = ACTIONS(1723),
    [anon_sym_callableDataEXT] = ACTIONS(1723),
    [anon_sym_callableDataInEXT] = ACTIONS(1723),
    [anon_sym_shaderRecordEXT] = ACTIONS(1723),
    [anon_sym_rayPayloadNV] = ACTIONS(1723),
    [anon_sym_rayPayloadInNV] = ACTIONS(1723),
    [anon_sym_hitAttributeNV] = ACTIONS(1723),
    [anon_sym_callableDataNV] = ACTIONS(1723),
    [anon_sym_callableDataInNV] = ACTIONS(1723),
    [anon_sym_shaderRecordNV] = ACTIONS(1723),
    [anon_sym_layout] = ACTIONS(1723),
  },
  [587] = {
    [ts_builtin_sym_end] = ACTIONS(1621),
    [sym_identifier] = ACTIONS(1619),
    [aux_sym_preproc_include_token1] = ACTIONS(1619),
    [aux_sym_preproc_def_token1] = ACTIONS(1619),
    [aux_sym_preproc_if_token1] = ACTIONS(1619),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1619),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1619),
    [sym_preproc_directive] = ACTIONS(1619),
    [anon_sym_LPAREN2] = ACTIONS(1621),
    [anon_sym_BANG] = ACTIONS(1621),
    [anon_sym_TILDE] = ACTIONS(1621),
    [anon_sym_DASH] = ACTIONS(1619),
    [anon_sym_PLUS] = ACTIONS(1619),
    [anon_sym_STAR] = ACTIONS(1621),
    [anon_sym_AMP] = ACTIONS(1621),
    [anon_sym_subroutine] = ACTIONS(1619),
    [anon_sym_invariant] = ACTIONS(1619),
    [anon_sym_precise] = ACTIONS(1619),
    [anon_sym_in] = ACTIONS(1619),
    [anon_sym_out] = ACTIONS(1619),
    [anon_sym_inout] = ACTIONS(1619),
    [anon_sym_uniform] = ACTIONS(1619),
    [anon_sym_shared] = ACTIONS(1619),
    [anon_sym_attribute] = ACTIONS(1619),
    [anon_sym_varying] = ACTIONS(1619),
    [anon_sym_buffer] = ACTIONS(1619),
    [anon_sym_coherent] = ACTIONS(1619),
    [anon_sym_readonly] = ACTIONS(1619),
    [anon_sym_writeonly] = ACTIONS(1619),
    [anon_sym_precision] = ACTIONS(1619),
    [anon_sym_highp] = ACTIONS(1619),
    [anon_sym_mediump] = ACTIONS(1619),
    [anon_sym_lowp] = ACTIONS(1619),
    [anon_sym_centroid] = ACTIONS(1619),
    [anon_sym_sample] = ACTIONS(1619),
    [anon_sym_patch] = ACTIONS(1619),
    [anon_sym_smooth] = ACTIONS(1619),
    [anon_sym_flat] = ACTIONS(1619),
    [anon_sym_noperspective] = ACTIONS(1619),
    [anon_sym___extension__] = ACTIONS(1619),
    [anon_sym_typedef] = ACTIONS(1619),
    [anon_sym_extern] = ACTIONS(1619),
    [anon_sym___attribute__] = ACTIONS(1619),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1621),
    [anon_sym___declspec] = ACTIONS(1619),
    [anon_sym___cdecl] = ACTIONS(1619),
    [anon_sym___clrcall] = ACTIONS(1619),
    [anon_sym___stdcall] = ACTIONS(1619),
    [anon_sym___fastcall] = ACTIONS(1619),
    [anon_sym___thiscall] = ACTIONS(1619),
    [anon_sym___vectorcall] = ACTIONS(1619),
    [anon_sym_LBRACE] = ACTIONS(1621),
    [anon_sym_signed] = ACTIONS(1619),
    [anon_sym_unsigned] = ACTIONS(1619),
    [anon_sym_long] = ACTIONS(1619),
    [anon_sym_short] = ACTIONS(1619),
    [anon_sym_static] = ACTIONS(1619),
    [anon_sym_auto] = ACTIONS(1619),
    [anon_sym_register] = ACTIONS(1619),
    [anon_sym_inline] = ACTIONS(1619),
    [anon_sym___inline] = ACTIONS(1619),
    [anon_sym___inline__] = ACTIONS(1619),
    [anon_sym___forceinline] = ACTIONS(1619),
    [anon_sym_thread_local] = ACTIONS(1619),
    [anon_sym___thread] = ACTIONS(1619),
    [anon_sym_const] = ACTIONS(1619),
    [anon_sym_constexpr] = ACTIONS(1619),
    [anon_sym_volatile] = ACTIONS(1619),
    [anon_sym_restrict] = ACTIONS(1619),
    [anon_sym___restrict__] = ACTIONS(1619),
    [anon_sym__Atomic] = ACTIONS(1619),
    [anon_sym__Noreturn] = ACTIONS(1619),
    [anon_sym_noreturn] = ACTIONS(1619),
    [sym_primitive_type] = ACTIONS(1619),
    [anon_sym_enum] = ACTIONS(1619),
    [anon_sym_struct] = ACTIONS(1619),
    [anon_sym_union] = ACTIONS(1619),
    [anon_sym_if] = ACTIONS(1619),
    [anon_sym_switch] = ACTIONS(1619),
    [anon_sym_case] = ACTIONS(1619),
    [anon_sym_default] = ACTIONS(1619),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_do] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1619),
    [anon_sym_return] = ACTIONS(1619),
    [anon_sym_break] = ACTIONS(1619),
    [anon_sym_continue] = ACTIONS(1619),
    [anon_sym_goto] = ACTIONS(1619),
    [anon_sym_DASH_DASH] = ACTIONS(1621),
    [anon_sym_PLUS_PLUS] = ACTIONS(1621),
    [anon_sym_sizeof] = ACTIONS(1619),
    [anon_sym___alignof__] = ACTIONS(1619),
    [anon_sym___alignof] = ACTIONS(1619),
    [anon_sym__alignof] = ACTIONS(1619),
    [anon_sym_alignof] = ACTIONS(1619),
    [anon_sym__Alignof] = ACTIONS(1619),
    [anon_sym_offsetof] = ACTIONS(1619),
    [anon_sym__Generic] = ACTIONS(1619),
    [anon_sym_asm] = ACTIONS(1619),
    [anon_sym___asm__] = ACTIONS(1619),
    [sym_number_literal] = ACTIONS(1621),
    [anon_sym_L_SQUOTE] = ACTIONS(1621),
    [anon_sym_u_SQUOTE] = ACTIONS(1621),
    [anon_sym_U_SQUOTE] = ACTIONS(1621),
    [anon_sym_u8_SQUOTE] = ACTIONS(1621),
    [anon_sym_SQUOTE] = ACTIONS(1621),
    [anon_sym_L_DQUOTE] = ACTIONS(1621),
    [anon_sym_u_DQUOTE] = ACTIONS(1621),
    [anon_sym_U_DQUOTE] = ACTIONS(1621),
    [anon_sym_u8_DQUOTE] = ACTIONS(1621),
    [anon_sym_DQUOTE] = ACTIONS(1621),
    [sym_true] = ACTIONS(1619),
    [sym_false] = ACTIONS(1619),
    [anon_sym_NULL] = ACTIONS(1619),
    [anon_sym_nullptr] = ACTIONS(1619),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1619),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1619),
    [anon_sym_hitAttributeEXT] = ACTIONS(1619),
    [anon_sym_callableDataEXT] = ACTIONS(1619),
    [anon_sym_callableDataInEXT] = ACTIONS(1619),
    [anon_sym_shaderRecordEXT] = ACTIONS(1619),
    [anon_sym_rayPayloadNV] = ACTIONS(1619),
    [anon_sym_rayPayloadInNV] = ACTIONS(1619),
    [anon_sym_hitAttributeNV] = ACTIONS(1619),
    [anon_sym_callableDataNV] = ACTIONS(1619),
    [anon_sym_callableDataInNV] = ACTIONS(1619),
    [anon_sym_shaderRecordNV] = ACTIONS(1619),
    [anon_sym_layout] = ACTIONS(1619),
  },
  [588] = {
    [ts_builtin_sym_end] = ACTIONS(1717),
    [sym_identifier] = ACTIONS(1715),
    [aux_sym_preproc_include_token1] = ACTIONS(1715),
    [aux_sym_preproc_def_token1] = ACTIONS(1715),
    [aux_sym_preproc_if_token1] = ACTIONS(1715),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1715),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1715),
    [sym_preproc_directive] = ACTIONS(1715),
    [anon_sym_LPAREN2] = ACTIONS(1717),
    [anon_sym_BANG] = ACTIONS(1717),
    [anon_sym_TILDE] = ACTIONS(1717),
    [anon_sym_DASH] = ACTIONS(1715),
    [anon_sym_PLUS] = ACTIONS(1715),
    [anon_sym_STAR] = ACTIONS(1717),
    [anon_sym_AMP] = ACTIONS(1717),
    [anon_sym_subroutine] = ACTIONS(1715),
    [anon_sym_invariant] = ACTIONS(1715),
    [anon_sym_precise] = ACTIONS(1715),
    [anon_sym_in] = ACTIONS(1715),
    [anon_sym_out] = ACTIONS(1715),
    [anon_sym_inout] = ACTIONS(1715),
    [anon_sym_uniform] = ACTIONS(1715),
    [anon_sym_shared] = ACTIONS(1715),
    [anon_sym_attribute] = ACTIONS(1715),
    [anon_sym_varying] = ACTIONS(1715),
    [anon_sym_buffer] = ACTIONS(1715),
    [anon_sym_coherent] = ACTIONS(1715),
    [anon_sym_readonly] = ACTIONS(1715),
    [anon_sym_writeonly] = ACTIONS(1715),
    [anon_sym_precision] = ACTIONS(1715),
    [anon_sym_highp] = ACTIONS(1715),
    [anon_sym_mediump] = ACTIONS(1715),
    [anon_sym_lowp] = ACTIONS(1715),
    [anon_sym_centroid] = ACTIONS(1715),
    [anon_sym_sample] = ACTIONS(1715),
    [anon_sym_patch] = ACTIONS(1715),
    [anon_sym_smooth] = ACTIONS(1715),
    [anon_sym_flat] = ACTIONS(1715),
    [anon_sym_noperspective] = ACTIONS(1715),
    [anon_sym___extension__] = ACTIONS(1715),
    [anon_sym_typedef] = ACTIONS(1715),
    [anon_sym_extern] = ACTIONS(1715),
    [anon_sym___attribute__] = ACTIONS(1715),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1717),
    [anon_sym___declspec] = ACTIONS(1715),
    [anon_sym___cdecl] = ACTIONS(1715),
    [anon_sym___clrcall] = ACTIONS(1715),
    [anon_sym___stdcall] = ACTIONS(1715),
    [anon_sym___fastcall] = ACTIONS(1715),
    [anon_sym___thiscall] = ACTIONS(1715),
    [anon_sym___vectorcall] = ACTIONS(1715),
    [anon_sym_LBRACE] = ACTIONS(1717),
    [anon_sym_signed] = ACTIONS(1715),
    [anon_sym_unsigned] = ACTIONS(1715),
    [anon_sym_long] = ACTIONS(1715),
    [anon_sym_short] = ACTIONS(1715),
    [anon_sym_static] = ACTIONS(1715),
    [anon_sym_auto] = ACTIONS(1715),
    [anon_sym_register] = ACTIONS(1715),
    [anon_sym_inline] = ACTIONS(1715),
    [anon_sym___inline] = ACTIONS(1715),
    [anon_sym___inline__] = ACTIONS(1715),
    [anon_sym___forceinline] = ACTIONS(1715),
    [anon_sym_thread_local] = ACTIONS(1715),
    [anon_sym___thread] = ACTIONS(1715),
    [anon_sym_const] = ACTIONS(1715),
    [anon_sym_constexpr] = ACTIONS(1715),
    [anon_sym_volatile] = ACTIONS(1715),
    [anon_sym_restrict] = ACTIONS(1715),
    [anon_sym___restrict__] = ACTIONS(1715),
    [anon_sym__Atomic] = ACTIONS(1715),
    [anon_sym__Noreturn] = ACTIONS(1715),
    [anon_sym_noreturn] = ACTIONS(1715),
    [sym_primitive_type] = ACTIONS(1715),
    [anon_sym_enum] = ACTIONS(1715),
    [anon_sym_struct] = ACTIONS(1715),
    [anon_sym_union] = ACTIONS(1715),
    [anon_sym_if] = ACTIONS(1715),
    [anon_sym_switch] = ACTIONS(1715),
    [anon_sym_case] = ACTIONS(1715),
    [anon_sym_default] = ACTIONS(1715),
    [anon_sym_while] = ACTIONS(1715),
    [anon_sym_do] = ACTIONS(1715),
    [anon_sym_for] = ACTIONS(1715),
    [anon_sym_return] = ACTIONS(1715),
    [anon_sym_break] = ACTIONS(1715),
    [anon_sym_continue] = ACTIONS(1715),
    [anon_sym_goto] = ACTIONS(1715),
    [anon_sym_DASH_DASH] = ACTIONS(1717),
    [anon_sym_PLUS_PLUS] = ACTIONS(1717),
    [anon_sym_sizeof] = ACTIONS(1715),
    [anon_sym___alignof__] = ACTIONS(1715),
    [anon_sym___alignof] = ACTIONS(1715),
    [anon_sym__alignof] = ACTIONS(1715),
    [anon_sym_alignof] = ACTIONS(1715),
    [anon_sym__Alignof] = ACTIONS(1715),
    [anon_sym_offsetof] = ACTIONS(1715),
    [anon_sym__Generic] = ACTIONS(1715),
    [anon_sym_asm] = ACTIONS(1715),
    [anon_sym___asm__] = ACTIONS(1715),
    [sym_number_literal] = ACTIONS(1717),
    [anon_sym_L_SQUOTE] = ACTIONS(1717),
    [anon_sym_u_SQUOTE] = ACTIONS(1717),
    [anon_sym_U_SQUOTE] = ACTIONS(1717),
    [anon_sym_u8_SQUOTE] = ACTIONS(1717),
    [anon_sym_SQUOTE] = ACTIONS(1717),
    [anon_sym_L_DQUOTE] = ACTIONS(1717),
    [anon_sym_u_DQUOTE] = ACTIONS(1717),
    [anon_sym_U_DQUOTE] = ACTIONS(1717),
    [anon_sym_u8_DQUOTE] = ACTIONS(1717),
    [anon_sym_DQUOTE] = ACTIONS(1717),
    [sym_true] = ACTIONS(1715),
    [sym_false] = ACTIONS(1715),
    [anon_sym_NULL] = ACTIONS(1715),
    [anon_sym_nullptr] = ACTIONS(1715),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1715),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1715),
    [anon_sym_hitAttributeEXT] = ACTIONS(1715),
    [anon_sym_callableDataEXT] = ACTIONS(1715),
    [anon_sym_callableDataInEXT] = ACTIONS(1715),
    [anon_sym_shaderRecordEXT] = ACTIONS(1715),
    [anon_sym_rayPayloadNV] = ACTIONS(1715),
    [anon_sym_rayPayloadInNV] = ACTIONS(1715),
    [anon_sym_hitAttributeNV] = ACTIONS(1715),
    [anon_sym_callableDataNV] = ACTIONS(1715),
    [anon_sym_callableDataInNV] = ACTIONS(1715),
    [anon_sym_shaderRecordNV] = ACTIONS(1715),
    [anon_sym_layout] = ACTIONS(1715),
  },
  [589] = {
    [ts_builtin_sym_end] = ACTIONS(1657),
    [sym_identifier] = ACTIONS(1655),
    [aux_sym_preproc_include_token1] = ACTIONS(1655),
    [aux_sym_preproc_def_token1] = ACTIONS(1655),
    [aux_sym_preproc_if_token1] = ACTIONS(1655),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1655),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1655),
    [sym_preproc_directive] = ACTIONS(1655),
    [anon_sym_LPAREN2] = ACTIONS(1657),
    [anon_sym_BANG] = ACTIONS(1657),
    [anon_sym_TILDE] = ACTIONS(1657),
    [anon_sym_DASH] = ACTIONS(1655),
    [anon_sym_PLUS] = ACTIONS(1655),
    [anon_sym_STAR] = ACTIONS(1657),
    [anon_sym_AMP] = ACTIONS(1657),
    [anon_sym_subroutine] = ACTIONS(1655),
    [anon_sym_invariant] = ACTIONS(1655),
    [anon_sym_precise] = ACTIONS(1655),
    [anon_sym_in] = ACTIONS(1655),
    [anon_sym_out] = ACTIONS(1655),
    [anon_sym_inout] = ACTIONS(1655),
    [anon_sym_uniform] = ACTIONS(1655),
    [anon_sym_shared] = ACTIONS(1655),
    [anon_sym_attribute] = ACTIONS(1655),
    [anon_sym_varying] = ACTIONS(1655),
    [anon_sym_buffer] = ACTIONS(1655),
    [anon_sym_coherent] = ACTIONS(1655),
    [anon_sym_readonly] = ACTIONS(1655),
    [anon_sym_writeonly] = ACTIONS(1655),
    [anon_sym_precision] = ACTIONS(1655),
    [anon_sym_highp] = ACTIONS(1655),
    [anon_sym_mediump] = ACTIONS(1655),
    [anon_sym_lowp] = ACTIONS(1655),
    [anon_sym_centroid] = ACTIONS(1655),
    [anon_sym_sample] = ACTIONS(1655),
    [anon_sym_patch] = ACTIONS(1655),
    [anon_sym_smooth] = ACTIONS(1655),
    [anon_sym_flat] = ACTIONS(1655),
    [anon_sym_noperspective] = ACTIONS(1655),
    [anon_sym___extension__] = ACTIONS(1655),
    [anon_sym_typedef] = ACTIONS(1655),
    [anon_sym_extern] = ACTIONS(1655),
    [anon_sym___attribute__] = ACTIONS(1655),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1657),
    [anon_sym___declspec] = ACTIONS(1655),
    [anon_sym___cdecl] = ACTIONS(1655),
    [anon_sym___clrcall] = ACTIONS(1655),
    [anon_sym___stdcall] = ACTIONS(1655),
    [anon_sym___fastcall] = ACTIONS(1655),
    [anon_sym___thiscall] = ACTIONS(1655),
    [anon_sym___vectorcall] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1657),
    [anon_sym_signed] = ACTIONS(1655),
    [anon_sym_unsigned] = ACTIONS(1655),
    [anon_sym_long] = ACTIONS(1655),
    [anon_sym_short] = ACTIONS(1655),
    [anon_sym_static] = ACTIONS(1655),
    [anon_sym_auto] = ACTIONS(1655),
    [anon_sym_register] = ACTIONS(1655),
    [anon_sym_inline] = ACTIONS(1655),
    [anon_sym___inline] = ACTIONS(1655),
    [anon_sym___inline__] = ACTIONS(1655),
    [anon_sym___forceinline] = ACTIONS(1655),
    [anon_sym_thread_local] = ACTIONS(1655),
    [anon_sym___thread] = ACTIONS(1655),
    [anon_sym_const] = ACTIONS(1655),
    [anon_sym_constexpr] = ACTIONS(1655),
    [anon_sym_volatile] = ACTIONS(1655),
    [anon_sym_restrict] = ACTIONS(1655),
    [anon_sym___restrict__] = ACTIONS(1655),
    [anon_sym__Atomic] = ACTIONS(1655),
    [anon_sym__Noreturn] = ACTIONS(1655),
    [anon_sym_noreturn] = ACTIONS(1655),
    [sym_primitive_type] = ACTIONS(1655),
    [anon_sym_enum] = ACTIONS(1655),
    [anon_sym_struct] = ACTIONS(1655),
    [anon_sym_union] = ACTIONS(1655),
    [anon_sym_if] = ACTIONS(1655),
    [anon_sym_switch] = ACTIONS(1655),
    [anon_sym_case] = ACTIONS(1655),
    [anon_sym_default] = ACTIONS(1655),
    [anon_sym_while] = ACTIONS(1655),
    [anon_sym_do] = ACTIONS(1655),
    [anon_sym_for] = ACTIONS(1655),
    [anon_sym_return] = ACTIONS(1655),
    [anon_sym_break] = ACTIONS(1655),
    [anon_sym_continue] = ACTIONS(1655),
    [anon_sym_goto] = ACTIONS(1655),
    [anon_sym_DASH_DASH] = ACTIONS(1657),
    [anon_sym_PLUS_PLUS] = ACTIONS(1657),
    [anon_sym_sizeof] = ACTIONS(1655),
    [anon_sym___alignof__] = ACTIONS(1655),
    [anon_sym___alignof] = ACTIONS(1655),
    [anon_sym__alignof] = ACTIONS(1655),
    [anon_sym_alignof] = ACTIONS(1655),
    [anon_sym__Alignof] = ACTIONS(1655),
    [anon_sym_offsetof] = ACTIONS(1655),
    [anon_sym__Generic] = ACTIONS(1655),
    [anon_sym_asm] = ACTIONS(1655),
    [anon_sym___asm__] = ACTIONS(1655),
    [sym_number_literal] = ACTIONS(1657),
    [anon_sym_L_SQUOTE] = ACTIONS(1657),
    [anon_sym_u_SQUOTE] = ACTIONS(1657),
    [anon_sym_U_SQUOTE] = ACTIONS(1657),
    [anon_sym_u8_SQUOTE] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1657),
    [anon_sym_L_DQUOTE] = ACTIONS(1657),
    [anon_sym_u_DQUOTE] = ACTIONS(1657),
    [anon_sym_U_DQUOTE] = ACTIONS(1657),
    [anon_sym_u8_DQUOTE] = ACTIONS(1657),
    [anon_sym_DQUOTE] = ACTIONS(1657),
    [sym_true] = ACTIONS(1655),
    [sym_false] = ACTIONS(1655),
    [anon_sym_NULL] = ACTIONS(1655),
    [anon_sym_nullptr] = ACTIONS(1655),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1655),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1655),
    [anon_sym_hitAttributeEXT] = ACTIONS(1655),
    [anon_sym_callableDataEXT] = ACTIONS(1655),
    [anon_sym_callableDataInEXT] = ACTIONS(1655),
    [anon_sym_shaderRecordEXT] = ACTIONS(1655),
    [anon_sym_rayPayloadNV] = ACTIONS(1655),
    [anon_sym_rayPayloadInNV] = ACTIONS(1655),
    [anon_sym_hitAttributeNV] = ACTIONS(1655),
    [anon_sym_callableDataNV] = ACTIONS(1655),
    [anon_sym_callableDataInNV] = ACTIONS(1655),
    [anon_sym_shaderRecordNV] = ACTIONS(1655),
    [anon_sym_layout] = ACTIONS(1655),
  },
  [590] = {
    [ts_builtin_sym_end] = ACTIONS(1653),
    [sym_identifier] = ACTIONS(1651),
    [aux_sym_preproc_include_token1] = ACTIONS(1651),
    [aux_sym_preproc_def_token1] = ACTIONS(1651),
    [aux_sym_preproc_if_token1] = ACTIONS(1651),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1651),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1651),
    [sym_preproc_directive] = ACTIONS(1651),
    [anon_sym_LPAREN2] = ACTIONS(1653),
    [anon_sym_BANG] = ACTIONS(1653),
    [anon_sym_TILDE] = ACTIONS(1653),
    [anon_sym_DASH] = ACTIONS(1651),
    [anon_sym_PLUS] = ACTIONS(1651),
    [anon_sym_STAR] = ACTIONS(1653),
    [anon_sym_AMP] = ACTIONS(1653),
    [anon_sym_subroutine] = ACTIONS(1651),
    [anon_sym_invariant] = ACTIONS(1651),
    [anon_sym_precise] = ACTIONS(1651),
    [anon_sym_in] = ACTIONS(1651),
    [anon_sym_out] = ACTIONS(1651),
    [anon_sym_inout] = ACTIONS(1651),
    [anon_sym_uniform] = ACTIONS(1651),
    [anon_sym_shared] = ACTIONS(1651),
    [anon_sym_attribute] = ACTIONS(1651),
    [anon_sym_varying] = ACTIONS(1651),
    [anon_sym_buffer] = ACTIONS(1651),
    [anon_sym_coherent] = ACTIONS(1651),
    [anon_sym_readonly] = ACTIONS(1651),
    [anon_sym_writeonly] = ACTIONS(1651),
    [anon_sym_precision] = ACTIONS(1651),
    [anon_sym_highp] = ACTIONS(1651),
    [anon_sym_mediump] = ACTIONS(1651),
    [anon_sym_lowp] = ACTIONS(1651),
    [anon_sym_centroid] = ACTIONS(1651),
    [anon_sym_sample] = ACTIONS(1651),
    [anon_sym_patch] = ACTIONS(1651),
    [anon_sym_smooth] = ACTIONS(1651),
    [anon_sym_flat] = ACTIONS(1651),
    [anon_sym_noperspective] = ACTIONS(1651),
    [anon_sym___extension__] = ACTIONS(1651),
    [anon_sym_typedef] = ACTIONS(1651),
    [anon_sym_extern] = ACTIONS(1651),
    [anon_sym___attribute__] = ACTIONS(1651),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1653),
    [anon_sym___declspec] = ACTIONS(1651),
    [anon_sym___cdecl] = ACTIONS(1651),
    [anon_sym___clrcall] = ACTIONS(1651),
    [anon_sym___stdcall] = ACTIONS(1651),
    [anon_sym___fastcall] = ACTIONS(1651),
    [anon_sym___thiscall] = ACTIONS(1651),
    [anon_sym___vectorcall] = ACTIONS(1651),
    [anon_sym_LBRACE] = ACTIONS(1653),
    [anon_sym_signed] = ACTIONS(1651),
    [anon_sym_unsigned] = ACTIONS(1651),
    [anon_sym_long] = ACTIONS(1651),
    [anon_sym_short] = ACTIONS(1651),
    [anon_sym_static] = ACTIONS(1651),
    [anon_sym_auto] = ACTIONS(1651),
    [anon_sym_register] = ACTIONS(1651),
    [anon_sym_inline] = ACTIONS(1651),
    [anon_sym___inline] = ACTIONS(1651),
    [anon_sym___inline__] = ACTIONS(1651),
    [anon_sym___forceinline] = ACTIONS(1651),
    [anon_sym_thread_local] = ACTIONS(1651),
    [anon_sym___thread] = ACTIONS(1651),
    [anon_sym_const] = ACTIONS(1651),
    [anon_sym_constexpr] = ACTIONS(1651),
    [anon_sym_volatile] = ACTIONS(1651),
    [anon_sym_restrict] = ACTIONS(1651),
    [anon_sym___restrict__] = ACTIONS(1651),
    [anon_sym__Atomic] = ACTIONS(1651),
    [anon_sym__Noreturn] = ACTIONS(1651),
    [anon_sym_noreturn] = ACTIONS(1651),
    [sym_primitive_type] = ACTIONS(1651),
    [anon_sym_enum] = ACTIONS(1651),
    [anon_sym_struct] = ACTIONS(1651),
    [anon_sym_union] = ACTIONS(1651),
    [anon_sym_if] = ACTIONS(1651),
    [anon_sym_switch] = ACTIONS(1651),
    [anon_sym_case] = ACTIONS(1651),
    [anon_sym_default] = ACTIONS(1651),
    [anon_sym_while] = ACTIONS(1651),
    [anon_sym_do] = ACTIONS(1651),
    [anon_sym_for] = ACTIONS(1651),
    [anon_sym_return] = ACTIONS(1651),
    [anon_sym_break] = ACTIONS(1651),
    [anon_sym_continue] = ACTIONS(1651),
    [anon_sym_goto] = ACTIONS(1651),
    [anon_sym_DASH_DASH] = ACTIONS(1653),
    [anon_sym_PLUS_PLUS] = ACTIONS(1653),
    [anon_sym_sizeof] = ACTIONS(1651),
    [anon_sym___alignof__] = ACTIONS(1651),
    [anon_sym___alignof] = ACTIONS(1651),
    [anon_sym__alignof] = ACTIONS(1651),
    [anon_sym_alignof] = ACTIONS(1651),
    [anon_sym__Alignof] = ACTIONS(1651),
    [anon_sym_offsetof] = ACTIONS(1651),
    [anon_sym__Generic] = ACTIONS(1651),
    [anon_sym_asm] = ACTIONS(1651),
    [anon_sym___asm__] = ACTIONS(1651),
    [sym_number_literal] = ACTIONS(1653),
    [anon_sym_L_SQUOTE] = ACTIONS(1653),
    [anon_sym_u_SQUOTE] = ACTIONS(1653),
    [anon_sym_U_SQUOTE] = ACTIONS(1653),
    [anon_sym_u8_SQUOTE] = ACTIONS(1653),
    [anon_sym_SQUOTE] = ACTIONS(1653),
    [anon_sym_L_DQUOTE] = ACTIONS(1653),
    [anon_sym_u_DQUOTE] = ACTIONS(1653),
    [anon_sym_U_DQUOTE] = ACTIONS(1653),
    [anon_sym_u8_DQUOTE] = ACTIONS(1653),
    [anon_sym_DQUOTE] = ACTIONS(1653),
    [sym_true] = ACTIONS(1651),
    [sym_false] = ACTIONS(1651),
    [anon_sym_NULL] = ACTIONS(1651),
    [anon_sym_nullptr] = ACTIONS(1651),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1651),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1651),
    [anon_sym_hitAttributeEXT] = ACTIONS(1651),
    [anon_sym_callableDataEXT] = ACTIONS(1651),
    [anon_sym_callableDataInEXT] = ACTIONS(1651),
    [anon_sym_shaderRecordEXT] = ACTIONS(1651),
    [anon_sym_rayPayloadNV] = ACTIONS(1651),
    [anon_sym_rayPayloadInNV] = ACTIONS(1651),
    [anon_sym_hitAttributeNV] = ACTIONS(1651),
    [anon_sym_callableDataNV] = ACTIONS(1651),
    [anon_sym_callableDataInNV] = ACTIONS(1651),
    [anon_sym_shaderRecordNV] = ACTIONS(1651),
    [anon_sym_layout] = ACTIONS(1651),
  },
  [591] = {
    [ts_builtin_sym_end] = ACTIONS(1609),
    [sym_identifier] = ACTIONS(1607),
    [aux_sym_preproc_include_token1] = ACTIONS(1607),
    [aux_sym_preproc_def_token1] = ACTIONS(1607),
    [aux_sym_preproc_if_token1] = ACTIONS(1607),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1607),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1607),
    [sym_preproc_directive] = ACTIONS(1607),
    [anon_sym_LPAREN2] = ACTIONS(1609),
    [anon_sym_BANG] = ACTIONS(1609),
    [anon_sym_TILDE] = ACTIONS(1609),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_PLUS] = ACTIONS(1607),
    [anon_sym_STAR] = ACTIONS(1609),
    [anon_sym_AMP] = ACTIONS(1609),
    [anon_sym_subroutine] = ACTIONS(1607),
    [anon_sym_invariant] = ACTIONS(1607),
    [anon_sym_precise] = ACTIONS(1607),
    [anon_sym_in] = ACTIONS(1607),
    [anon_sym_out] = ACTIONS(1607),
    [anon_sym_inout] = ACTIONS(1607),
    [anon_sym_uniform] = ACTIONS(1607),
    [anon_sym_shared] = ACTIONS(1607),
    [anon_sym_attribute] = ACTIONS(1607),
    [anon_sym_varying] = ACTIONS(1607),
    [anon_sym_buffer] = ACTIONS(1607),
    [anon_sym_coherent] = ACTIONS(1607),
    [anon_sym_readonly] = ACTIONS(1607),
    [anon_sym_writeonly] = ACTIONS(1607),
    [anon_sym_precision] = ACTIONS(1607),
    [anon_sym_highp] = ACTIONS(1607),
    [anon_sym_mediump] = ACTIONS(1607),
    [anon_sym_lowp] = ACTIONS(1607),
    [anon_sym_centroid] = ACTIONS(1607),
    [anon_sym_sample] = ACTIONS(1607),
    [anon_sym_patch] = ACTIONS(1607),
    [anon_sym_smooth] = ACTIONS(1607),
    [anon_sym_flat] = ACTIONS(1607),
    [anon_sym_noperspective] = ACTIONS(1607),
    [anon_sym___extension__] = ACTIONS(1607),
    [anon_sym_typedef] = ACTIONS(1607),
    [anon_sym_extern] = ACTIONS(1607),
    [anon_sym___attribute__] = ACTIONS(1607),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1609),
    [anon_sym___declspec] = ACTIONS(1607),
    [anon_sym___cdecl] = ACTIONS(1607),
    [anon_sym___clrcall] = ACTIONS(1607),
    [anon_sym___stdcall] = ACTIONS(1607),
    [anon_sym___fastcall] = ACTIONS(1607),
    [anon_sym___thiscall] = ACTIONS(1607),
    [anon_sym___vectorcall] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_signed] = ACTIONS(1607),
    [anon_sym_unsigned] = ACTIONS(1607),
    [anon_sym_long] = ACTIONS(1607),
    [anon_sym_short] = ACTIONS(1607),
    [anon_sym_static] = ACTIONS(1607),
    [anon_sym_auto] = ACTIONS(1607),
    [anon_sym_register] = ACTIONS(1607),
    [anon_sym_inline] = ACTIONS(1607),
    [anon_sym___inline] = ACTIONS(1607),
    [anon_sym___inline__] = ACTIONS(1607),
    [anon_sym___forceinline] = ACTIONS(1607),
    [anon_sym_thread_local] = ACTIONS(1607),
    [anon_sym___thread] = ACTIONS(1607),
    [anon_sym_const] = ACTIONS(1607),
    [anon_sym_constexpr] = ACTIONS(1607),
    [anon_sym_volatile] = ACTIONS(1607),
    [anon_sym_restrict] = ACTIONS(1607),
    [anon_sym___restrict__] = ACTIONS(1607),
    [anon_sym__Atomic] = ACTIONS(1607),
    [anon_sym__Noreturn] = ACTIONS(1607),
    [anon_sym_noreturn] = ACTIONS(1607),
    [sym_primitive_type] = ACTIONS(1607),
    [anon_sym_enum] = ACTIONS(1607),
    [anon_sym_struct] = ACTIONS(1607),
    [anon_sym_union] = ACTIONS(1607),
    [anon_sym_if] = ACTIONS(1607),
    [anon_sym_switch] = ACTIONS(1607),
    [anon_sym_case] = ACTIONS(1607),
    [anon_sym_default] = ACTIONS(1607),
    [anon_sym_while] = ACTIONS(1607),
    [anon_sym_do] = ACTIONS(1607),
    [anon_sym_for] = ACTIONS(1607),
    [anon_sym_return] = ACTIONS(1607),
    [anon_sym_break] = ACTIONS(1607),
    [anon_sym_continue] = ACTIONS(1607),
    [anon_sym_goto] = ACTIONS(1607),
    [anon_sym_DASH_DASH] = ACTIONS(1609),
    [anon_sym_PLUS_PLUS] = ACTIONS(1609),
    [anon_sym_sizeof] = ACTIONS(1607),
    [anon_sym___alignof__] = ACTIONS(1607),
    [anon_sym___alignof] = ACTIONS(1607),
    [anon_sym__alignof] = ACTIONS(1607),
    [anon_sym_alignof] = ACTIONS(1607),
    [anon_sym__Alignof] = ACTIONS(1607),
    [anon_sym_offsetof] = ACTIONS(1607),
    [anon_sym__Generic] = ACTIONS(1607),
    [anon_sym_asm] = ACTIONS(1607),
    [anon_sym___asm__] = ACTIONS(1607),
    [sym_number_literal] = ACTIONS(1609),
    [anon_sym_L_SQUOTE] = ACTIONS(1609),
    [anon_sym_u_SQUOTE] = ACTIONS(1609),
    [anon_sym_U_SQUOTE] = ACTIONS(1609),
    [anon_sym_u8_SQUOTE] = ACTIONS(1609),
    [anon_sym_SQUOTE] = ACTIONS(1609),
    [anon_sym_L_DQUOTE] = ACTIONS(1609),
    [anon_sym_u_DQUOTE] = ACTIONS(1609),
    [anon_sym_U_DQUOTE] = ACTIONS(1609),
    [anon_sym_u8_DQUOTE] = ACTIONS(1609),
    [anon_sym_DQUOTE] = ACTIONS(1609),
    [sym_true] = ACTIONS(1607),
    [sym_false] = ACTIONS(1607),
    [anon_sym_NULL] = ACTIONS(1607),
    [anon_sym_nullptr] = ACTIONS(1607),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1607),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1607),
    [anon_sym_hitAttributeEXT] = ACTIONS(1607),
    [anon_sym_callableDataEXT] = ACTIONS(1607),
    [anon_sym_callableDataInEXT] = ACTIONS(1607),
    [anon_sym_shaderRecordEXT] = ACTIONS(1607),
    [anon_sym_rayPayloadNV] = ACTIONS(1607),
    [anon_sym_rayPayloadInNV] = ACTIONS(1607),
    [anon_sym_hitAttributeNV] = ACTIONS(1607),
    [anon_sym_callableDataNV] = ACTIONS(1607),
    [anon_sym_callableDataInNV] = ACTIONS(1607),
    [anon_sym_shaderRecordNV] = ACTIONS(1607),
    [anon_sym_layout] = ACTIONS(1607),
  },
  [592] = {
    [ts_builtin_sym_end] = ACTIONS(1637),
    [sym_identifier] = ACTIONS(1635),
    [aux_sym_preproc_include_token1] = ACTIONS(1635),
    [aux_sym_preproc_def_token1] = ACTIONS(1635),
    [aux_sym_preproc_if_token1] = ACTIONS(1635),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1635),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1635),
    [sym_preproc_directive] = ACTIONS(1635),
    [anon_sym_LPAREN2] = ACTIONS(1637),
    [anon_sym_BANG] = ACTIONS(1637),
    [anon_sym_TILDE] = ACTIONS(1637),
    [anon_sym_DASH] = ACTIONS(1635),
    [anon_sym_PLUS] = ACTIONS(1635),
    [anon_sym_STAR] = ACTIONS(1637),
    [anon_sym_AMP] = ACTIONS(1637),
    [anon_sym_subroutine] = ACTIONS(1635),
    [anon_sym_invariant] = ACTIONS(1635),
    [anon_sym_precise] = ACTIONS(1635),
    [anon_sym_in] = ACTIONS(1635),
    [anon_sym_out] = ACTIONS(1635),
    [anon_sym_inout] = ACTIONS(1635),
    [anon_sym_uniform] = ACTIONS(1635),
    [anon_sym_shared] = ACTIONS(1635),
    [anon_sym_attribute] = ACTIONS(1635),
    [anon_sym_varying] = ACTIONS(1635),
    [anon_sym_buffer] = ACTIONS(1635),
    [anon_sym_coherent] = ACTIONS(1635),
    [anon_sym_readonly] = ACTIONS(1635),
    [anon_sym_writeonly] = ACTIONS(1635),
    [anon_sym_precision] = ACTIONS(1635),
    [anon_sym_highp] = ACTIONS(1635),
    [anon_sym_mediump] = ACTIONS(1635),
    [anon_sym_lowp] = ACTIONS(1635),
    [anon_sym_centroid] = ACTIONS(1635),
    [anon_sym_sample] = ACTIONS(1635),
    [anon_sym_patch] = ACTIONS(1635),
    [anon_sym_smooth] = ACTIONS(1635),
    [anon_sym_flat] = ACTIONS(1635),
    [anon_sym_noperspective] = ACTIONS(1635),
    [anon_sym___extension__] = ACTIONS(1635),
    [anon_sym_typedef] = ACTIONS(1635),
    [anon_sym_extern] = ACTIONS(1635),
    [anon_sym___attribute__] = ACTIONS(1635),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1637),
    [anon_sym___declspec] = ACTIONS(1635),
    [anon_sym___cdecl] = ACTIONS(1635),
    [anon_sym___clrcall] = ACTIONS(1635),
    [anon_sym___stdcall] = ACTIONS(1635),
    [anon_sym___fastcall] = ACTIONS(1635),
    [anon_sym___thiscall] = ACTIONS(1635),
    [anon_sym___vectorcall] = ACTIONS(1635),
    [anon_sym_LBRACE] = ACTIONS(1637),
    [anon_sym_signed] = ACTIONS(1635),
    [anon_sym_unsigned] = ACTIONS(1635),
    [anon_sym_long] = ACTIONS(1635),
    [anon_sym_short] = ACTIONS(1635),
    [anon_sym_static] = ACTIONS(1635),
    [anon_sym_auto] = ACTIONS(1635),
    [anon_sym_register] = ACTIONS(1635),
    [anon_sym_inline] = ACTIONS(1635),
    [anon_sym___inline] = ACTIONS(1635),
    [anon_sym___inline__] = ACTIONS(1635),
    [anon_sym___forceinline] = ACTIONS(1635),
    [anon_sym_thread_local] = ACTIONS(1635),
    [anon_sym___thread] = ACTIONS(1635),
    [anon_sym_const] = ACTIONS(1635),
    [anon_sym_constexpr] = ACTIONS(1635),
    [anon_sym_volatile] = ACTIONS(1635),
    [anon_sym_restrict] = ACTIONS(1635),
    [anon_sym___restrict__] = ACTIONS(1635),
    [anon_sym__Atomic] = ACTIONS(1635),
    [anon_sym__Noreturn] = ACTIONS(1635),
    [anon_sym_noreturn] = ACTIONS(1635),
    [sym_primitive_type] = ACTIONS(1635),
    [anon_sym_enum] = ACTIONS(1635),
    [anon_sym_struct] = ACTIONS(1635),
    [anon_sym_union] = ACTIONS(1635),
    [anon_sym_if] = ACTIONS(1635),
    [anon_sym_switch] = ACTIONS(1635),
    [anon_sym_case] = ACTIONS(1635),
    [anon_sym_default] = ACTIONS(1635),
    [anon_sym_while] = ACTIONS(1635),
    [anon_sym_do] = ACTIONS(1635),
    [anon_sym_for] = ACTIONS(1635),
    [anon_sym_return] = ACTIONS(1635),
    [anon_sym_break] = ACTIONS(1635),
    [anon_sym_continue] = ACTIONS(1635),
    [anon_sym_goto] = ACTIONS(1635),
    [anon_sym_DASH_DASH] = ACTIONS(1637),
    [anon_sym_PLUS_PLUS] = ACTIONS(1637),
    [anon_sym_sizeof] = ACTIONS(1635),
    [anon_sym___alignof__] = ACTIONS(1635),
    [anon_sym___alignof] = ACTIONS(1635),
    [anon_sym__alignof] = ACTIONS(1635),
    [anon_sym_alignof] = ACTIONS(1635),
    [anon_sym__Alignof] = ACTIONS(1635),
    [anon_sym_offsetof] = ACTIONS(1635),
    [anon_sym__Generic] = ACTIONS(1635),
    [anon_sym_asm] = ACTIONS(1635),
    [anon_sym___asm__] = ACTIONS(1635),
    [sym_number_literal] = ACTIONS(1637),
    [anon_sym_L_SQUOTE] = ACTIONS(1637),
    [anon_sym_u_SQUOTE] = ACTIONS(1637),
    [anon_sym_U_SQUOTE] = ACTIONS(1637),
    [anon_sym_u8_SQUOTE] = ACTIONS(1637),
    [anon_sym_SQUOTE] = ACTIONS(1637),
    [anon_sym_L_DQUOTE] = ACTIONS(1637),
    [anon_sym_u_DQUOTE] = ACTIONS(1637),
    [anon_sym_U_DQUOTE] = ACTIONS(1637),
    [anon_sym_u8_DQUOTE] = ACTIONS(1637),
    [anon_sym_DQUOTE] = ACTIONS(1637),
    [sym_true] = ACTIONS(1635),
    [sym_false] = ACTIONS(1635),
    [anon_sym_NULL] = ACTIONS(1635),
    [anon_sym_nullptr] = ACTIONS(1635),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1635),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1635),
    [anon_sym_hitAttributeEXT] = ACTIONS(1635),
    [anon_sym_callableDataEXT] = ACTIONS(1635),
    [anon_sym_callableDataInEXT] = ACTIONS(1635),
    [anon_sym_shaderRecordEXT] = ACTIONS(1635),
    [anon_sym_rayPayloadNV] = ACTIONS(1635),
    [anon_sym_rayPayloadInNV] = ACTIONS(1635),
    [anon_sym_hitAttributeNV] = ACTIONS(1635),
    [anon_sym_callableDataNV] = ACTIONS(1635),
    [anon_sym_callableDataInNV] = ACTIONS(1635),
    [anon_sym_shaderRecordNV] = ACTIONS(1635),
    [anon_sym_layout] = ACTIONS(1635),
  },
  [593] = {
    [ts_builtin_sym_end] = ACTIONS(1601),
    [sym_identifier] = ACTIONS(1599),
    [aux_sym_preproc_include_token1] = ACTIONS(1599),
    [aux_sym_preproc_def_token1] = ACTIONS(1599),
    [aux_sym_preproc_if_token1] = ACTIONS(1599),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1599),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1599),
    [sym_preproc_directive] = ACTIONS(1599),
    [anon_sym_LPAREN2] = ACTIONS(1601),
    [anon_sym_BANG] = ACTIONS(1601),
    [anon_sym_TILDE] = ACTIONS(1601),
    [anon_sym_DASH] = ACTIONS(1599),
    [anon_sym_PLUS] = ACTIONS(1599),
    [anon_sym_STAR] = ACTIONS(1601),
    [anon_sym_AMP] = ACTIONS(1601),
    [anon_sym_subroutine] = ACTIONS(1599),
    [anon_sym_invariant] = ACTIONS(1599),
    [anon_sym_precise] = ACTIONS(1599),
    [anon_sym_in] = ACTIONS(1599),
    [anon_sym_out] = ACTIONS(1599),
    [anon_sym_inout] = ACTIONS(1599),
    [anon_sym_uniform] = ACTIONS(1599),
    [anon_sym_shared] = ACTIONS(1599),
    [anon_sym_attribute] = ACTIONS(1599),
    [anon_sym_varying] = ACTIONS(1599),
    [anon_sym_buffer] = ACTIONS(1599),
    [anon_sym_coherent] = ACTIONS(1599),
    [anon_sym_readonly] = ACTIONS(1599),
    [anon_sym_writeonly] = ACTIONS(1599),
    [anon_sym_precision] = ACTIONS(1599),
    [anon_sym_highp] = ACTIONS(1599),
    [anon_sym_mediump] = ACTIONS(1599),
    [anon_sym_lowp] = ACTIONS(1599),
    [anon_sym_centroid] = ACTIONS(1599),
    [anon_sym_sample] = ACTIONS(1599),
    [anon_sym_patch] = ACTIONS(1599),
    [anon_sym_smooth] = ACTIONS(1599),
    [anon_sym_flat] = ACTIONS(1599),
    [anon_sym_noperspective] = ACTIONS(1599),
    [anon_sym___extension__] = ACTIONS(1599),
    [anon_sym_typedef] = ACTIONS(1599),
    [anon_sym_extern] = ACTIONS(1599),
    [anon_sym___attribute__] = ACTIONS(1599),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1601),
    [anon_sym___declspec] = ACTIONS(1599),
    [anon_sym___cdecl] = ACTIONS(1599),
    [anon_sym___clrcall] = ACTIONS(1599),
    [anon_sym___stdcall] = ACTIONS(1599),
    [anon_sym___fastcall] = ACTIONS(1599),
    [anon_sym___thiscall] = ACTIONS(1599),
    [anon_sym___vectorcall] = ACTIONS(1599),
    [anon_sym_LBRACE] = ACTIONS(1601),
    [anon_sym_signed] = ACTIONS(1599),
    [anon_sym_unsigned] = ACTIONS(1599),
    [anon_sym_long] = ACTIONS(1599),
    [anon_sym_short] = ACTIONS(1599),
    [anon_sym_static] = ACTIONS(1599),
    [anon_sym_auto] = ACTIONS(1599),
    [anon_sym_register] = ACTIONS(1599),
    [anon_sym_inline] = ACTIONS(1599),
    [anon_sym___inline] = ACTIONS(1599),
    [anon_sym___inline__] = ACTIONS(1599),
    [anon_sym___forceinline] = ACTIONS(1599),
    [anon_sym_thread_local] = ACTIONS(1599),
    [anon_sym___thread] = ACTIONS(1599),
    [anon_sym_const] = ACTIONS(1599),
    [anon_sym_constexpr] = ACTIONS(1599),
    [anon_sym_volatile] = ACTIONS(1599),
    [anon_sym_restrict] = ACTIONS(1599),
    [anon_sym___restrict__] = ACTIONS(1599),
    [anon_sym__Atomic] = ACTIONS(1599),
    [anon_sym__Noreturn] = ACTIONS(1599),
    [anon_sym_noreturn] = ACTIONS(1599),
    [sym_primitive_type] = ACTIONS(1599),
    [anon_sym_enum] = ACTIONS(1599),
    [anon_sym_struct] = ACTIONS(1599),
    [anon_sym_union] = ACTIONS(1599),
    [anon_sym_if] = ACTIONS(1599),
    [anon_sym_switch] = ACTIONS(1599),
    [anon_sym_case] = ACTIONS(1599),
    [anon_sym_default] = ACTIONS(1599),
    [anon_sym_while] = ACTIONS(1599),
    [anon_sym_do] = ACTIONS(1599),
    [anon_sym_for] = ACTIONS(1599),
    [anon_sym_return] = ACTIONS(1599),
    [anon_sym_break] = ACTIONS(1599),
    [anon_sym_continue] = ACTIONS(1599),
    [anon_sym_goto] = ACTIONS(1599),
    [anon_sym_DASH_DASH] = ACTIONS(1601),
    [anon_sym_PLUS_PLUS] = ACTIONS(1601),
    [anon_sym_sizeof] = ACTIONS(1599),
    [anon_sym___alignof__] = ACTIONS(1599),
    [anon_sym___alignof] = ACTIONS(1599),
    [anon_sym__alignof] = ACTIONS(1599),
    [anon_sym_alignof] = ACTIONS(1599),
    [anon_sym__Alignof] = ACTIONS(1599),
    [anon_sym_offsetof] = ACTIONS(1599),
    [anon_sym__Generic] = ACTIONS(1599),
    [anon_sym_asm] = ACTIONS(1599),
    [anon_sym___asm__] = ACTIONS(1599),
    [sym_number_literal] = ACTIONS(1601),
    [anon_sym_L_SQUOTE] = ACTIONS(1601),
    [anon_sym_u_SQUOTE] = ACTIONS(1601),
    [anon_sym_U_SQUOTE] = ACTIONS(1601),
    [anon_sym_u8_SQUOTE] = ACTIONS(1601),
    [anon_sym_SQUOTE] = ACTIONS(1601),
    [anon_sym_L_DQUOTE] = ACTIONS(1601),
    [anon_sym_u_DQUOTE] = ACTIONS(1601),
    [anon_sym_U_DQUOTE] = ACTIONS(1601),
    [anon_sym_u8_DQUOTE] = ACTIONS(1601),
    [anon_sym_DQUOTE] = ACTIONS(1601),
    [sym_true] = ACTIONS(1599),
    [sym_false] = ACTIONS(1599),
    [anon_sym_NULL] = ACTIONS(1599),
    [anon_sym_nullptr] = ACTIONS(1599),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1599),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1599),
    [anon_sym_hitAttributeEXT] = ACTIONS(1599),
    [anon_sym_callableDataEXT] = ACTIONS(1599),
    [anon_sym_callableDataInEXT] = ACTIONS(1599),
    [anon_sym_shaderRecordEXT] = ACTIONS(1599),
    [anon_sym_rayPayloadNV] = ACTIONS(1599),
    [anon_sym_rayPayloadInNV] = ACTIONS(1599),
    [anon_sym_hitAttributeNV] = ACTIONS(1599),
    [anon_sym_callableDataNV] = ACTIONS(1599),
    [anon_sym_callableDataInNV] = ACTIONS(1599),
    [anon_sym_shaderRecordNV] = ACTIONS(1599),
    [anon_sym_layout] = ACTIONS(1599),
  },
  [594] = {
    [ts_builtin_sym_end] = ACTIONS(1641),
    [sym_identifier] = ACTIONS(1639),
    [aux_sym_preproc_include_token1] = ACTIONS(1639),
    [aux_sym_preproc_def_token1] = ACTIONS(1639),
    [aux_sym_preproc_if_token1] = ACTIONS(1639),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1639),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1639),
    [sym_preproc_directive] = ACTIONS(1639),
    [anon_sym_LPAREN2] = ACTIONS(1641),
    [anon_sym_BANG] = ACTIONS(1641),
    [anon_sym_TILDE] = ACTIONS(1641),
    [anon_sym_DASH] = ACTIONS(1639),
    [anon_sym_PLUS] = ACTIONS(1639),
    [anon_sym_STAR] = ACTIONS(1641),
    [anon_sym_AMP] = ACTIONS(1641),
    [anon_sym_subroutine] = ACTIONS(1639),
    [anon_sym_invariant] = ACTIONS(1639),
    [anon_sym_precise] = ACTIONS(1639),
    [anon_sym_in] = ACTIONS(1639),
    [anon_sym_out] = ACTIONS(1639),
    [anon_sym_inout] = ACTIONS(1639),
    [anon_sym_uniform] = ACTIONS(1639),
    [anon_sym_shared] = ACTIONS(1639),
    [anon_sym_attribute] = ACTIONS(1639),
    [anon_sym_varying] = ACTIONS(1639),
    [anon_sym_buffer] = ACTIONS(1639),
    [anon_sym_coherent] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1639),
    [anon_sym_writeonly] = ACTIONS(1639),
    [anon_sym_precision] = ACTIONS(1639),
    [anon_sym_highp] = ACTIONS(1639),
    [anon_sym_mediump] = ACTIONS(1639),
    [anon_sym_lowp] = ACTIONS(1639),
    [anon_sym_centroid] = ACTIONS(1639),
    [anon_sym_sample] = ACTIONS(1639),
    [anon_sym_patch] = ACTIONS(1639),
    [anon_sym_smooth] = ACTIONS(1639),
    [anon_sym_flat] = ACTIONS(1639),
    [anon_sym_noperspective] = ACTIONS(1639),
    [anon_sym___extension__] = ACTIONS(1639),
    [anon_sym_typedef] = ACTIONS(1639),
    [anon_sym_extern] = ACTIONS(1639),
    [anon_sym___attribute__] = ACTIONS(1639),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1641),
    [anon_sym___declspec] = ACTIONS(1639),
    [anon_sym___cdecl] = ACTIONS(1639),
    [anon_sym___clrcall] = ACTIONS(1639),
    [anon_sym___stdcall] = ACTIONS(1639),
    [anon_sym___fastcall] = ACTIONS(1639),
    [anon_sym___thiscall] = ACTIONS(1639),
    [anon_sym___vectorcall] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1641),
    [anon_sym_signed] = ACTIONS(1639),
    [anon_sym_unsigned] = ACTIONS(1639),
    [anon_sym_long] = ACTIONS(1639),
    [anon_sym_short] = ACTIONS(1639),
    [anon_sym_static] = ACTIONS(1639),
    [anon_sym_auto] = ACTIONS(1639),
    [anon_sym_register] = ACTIONS(1639),
    [anon_sym_inline] = ACTIONS(1639),
    [anon_sym___inline] = ACTIONS(1639),
    [anon_sym___inline__] = ACTIONS(1639),
    [anon_sym___forceinline] = ACTIONS(1639),
    [anon_sym_thread_local] = ACTIONS(1639),
    [anon_sym___thread] = ACTIONS(1639),
    [anon_sym_const] = ACTIONS(1639),
    [anon_sym_constexpr] = ACTIONS(1639),
    [anon_sym_volatile] = ACTIONS(1639),
    [anon_sym_restrict] = ACTIONS(1639),
    [anon_sym___restrict__] = ACTIONS(1639),
    [anon_sym__Atomic] = ACTIONS(1639),
    [anon_sym__Noreturn] = ACTIONS(1639),
    [anon_sym_noreturn] = ACTIONS(1639),
    [sym_primitive_type] = ACTIONS(1639),
    [anon_sym_enum] = ACTIONS(1639),
    [anon_sym_struct] = ACTIONS(1639),
    [anon_sym_union] = ACTIONS(1639),
    [anon_sym_if] = ACTIONS(1639),
    [anon_sym_switch] = ACTIONS(1639),
    [anon_sym_case] = ACTIONS(1639),
    [anon_sym_default] = ACTIONS(1639),
    [anon_sym_while] = ACTIONS(1639),
    [anon_sym_do] = ACTIONS(1639),
    [anon_sym_for] = ACTIONS(1639),
    [anon_sym_return] = ACTIONS(1639),
    [anon_sym_break] = ACTIONS(1639),
    [anon_sym_continue] = ACTIONS(1639),
    [anon_sym_goto] = ACTIONS(1639),
    [anon_sym_DASH_DASH] = ACTIONS(1641),
    [anon_sym_PLUS_PLUS] = ACTIONS(1641),
    [anon_sym_sizeof] = ACTIONS(1639),
    [anon_sym___alignof__] = ACTIONS(1639),
    [anon_sym___alignof] = ACTIONS(1639),
    [anon_sym__alignof] = ACTIONS(1639),
    [anon_sym_alignof] = ACTIONS(1639),
    [anon_sym__Alignof] = ACTIONS(1639),
    [anon_sym_offsetof] = ACTIONS(1639),
    [anon_sym__Generic] = ACTIONS(1639),
    [anon_sym_asm] = ACTIONS(1639),
    [anon_sym___asm__] = ACTIONS(1639),
    [sym_number_literal] = ACTIONS(1641),
    [anon_sym_L_SQUOTE] = ACTIONS(1641),
    [anon_sym_u_SQUOTE] = ACTIONS(1641),
    [anon_sym_U_SQUOTE] = ACTIONS(1641),
    [anon_sym_u8_SQUOTE] = ACTIONS(1641),
    [anon_sym_SQUOTE] = ACTIONS(1641),
    [anon_sym_L_DQUOTE] = ACTIONS(1641),
    [anon_sym_u_DQUOTE] = ACTIONS(1641),
    [anon_sym_U_DQUOTE] = ACTIONS(1641),
    [anon_sym_u8_DQUOTE] = ACTIONS(1641),
    [anon_sym_DQUOTE] = ACTIONS(1641),
    [sym_true] = ACTIONS(1639),
    [sym_false] = ACTIONS(1639),
    [anon_sym_NULL] = ACTIONS(1639),
    [anon_sym_nullptr] = ACTIONS(1639),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1639),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1639),
    [anon_sym_hitAttributeEXT] = ACTIONS(1639),
    [anon_sym_callableDataEXT] = ACTIONS(1639),
    [anon_sym_callableDataInEXT] = ACTIONS(1639),
    [anon_sym_shaderRecordEXT] = ACTIONS(1639),
    [anon_sym_rayPayloadNV] = ACTIONS(1639),
    [anon_sym_rayPayloadInNV] = ACTIONS(1639),
    [anon_sym_hitAttributeNV] = ACTIONS(1639),
    [anon_sym_callableDataNV] = ACTIONS(1639),
    [anon_sym_callableDataInNV] = ACTIONS(1639),
    [anon_sym_shaderRecordNV] = ACTIONS(1639),
    [anon_sym_layout] = ACTIONS(1639),
  },
  [595] = {
    [ts_builtin_sym_end] = ACTIONS(1641),
    [sym_identifier] = ACTIONS(1639),
    [aux_sym_preproc_include_token1] = ACTIONS(1639),
    [aux_sym_preproc_def_token1] = ACTIONS(1639),
    [aux_sym_preproc_if_token1] = ACTIONS(1639),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1639),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1639),
    [sym_preproc_directive] = ACTIONS(1639),
    [anon_sym_LPAREN2] = ACTIONS(1641),
    [anon_sym_BANG] = ACTIONS(1641),
    [anon_sym_TILDE] = ACTIONS(1641),
    [anon_sym_DASH] = ACTIONS(1639),
    [anon_sym_PLUS] = ACTIONS(1639),
    [anon_sym_STAR] = ACTIONS(1641),
    [anon_sym_AMP] = ACTIONS(1641),
    [anon_sym_subroutine] = ACTIONS(1639),
    [anon_sym_invariant] = ACTIONS(1639),
    [anon_sym_precise] = ACTIONS(1639),
    [anon_sym_in] = ACTIONS(1639),
    [anon_sym_out] = ACTIONS(1639),
    [anon_sym_inout] = ACTIONS(1639),
    [anon_sym_uniform] = ACTIONS(1639),
    [anon_sym_shared] = ACTIONS(1639),
    [anon_sym_attribute] = ACTIONS(1639),
    [anon_sym_varying] = ACTIONS(1639),
    [anon_sym_buffer] = ACTIONS(1639),
    [anon_sym_coherent] = ACTIONS(1639),
    [anon_sym_readonly] = ACTIONS(1639),
    [anon_sym_writeonly] = ACTIONS(1639),
    [anon_sym_precision] = ACTIONS(1639),
    [anon_sym_highp] = ACTIONS(1639),
    [anon_sym_mediump] = ACTIONS(1639),
    [anon_sym_lowp] = ACTIONS(1639),
    [anon_sym_centroid] = ACTIONS(1639),
    [anon_sym_sample] = ACTIONS(1639),
    [anon_sym_patch] = ACTIONS(1639),
    [anon_sym_smooth] = ACTIONS(1639),
    [anon_sym_flat] = ACTIONS(1639),
    [anon_sym_noperspective] = ACTIONS(1639),
    [anon_sym___extension__] = ACTIONS(1639),
    [anon_sym_typedef] = ACTIONS(1639),
    [anon_sym_extern] = ACTIONS(1639),
    [anon_sym___attribute__] = ACTIONS(1639),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1641),
    [anon_sym___declspec] = ACTIONS(1639),
    [anon_sym___cdecl] = ACTIONS(1639),
    [anon_sym___clrcall] = ACTIONS(1639),
    [anon_sym___stdcall] = ACTIONS(1639),
    [anon_sym___fastcall] = ACTIONS(1639),
    [anon_sym___thiscall] = ACTIONS(1639),
    [anon_sym___vectorcall] = ACTIONS(1639),
    [anon_sym_LBRACE] = ACTIONS(1641),
    [anon_sym_signed] = ACTIONS(1639),
    [anon_sym_unsigned] = ACTIONS(1639),
    [anon_sym_long] = ACTIONS(1639),
    [anon_sym_short] = ACTIONS(1639),
    [anon_sym_static] = ACTIONS(1639),
    [anon_sym_auto] = ACTIONS(1639),
    [anon_sym_register] = ACTIONS(1639),
    [anon_sym_inline] = ACTIONS(1639),
    [anon_sym___inline] = ACTIONS(1639),
    [anon_sym___inline__] = ACTIONS(1639),
    [anon_sym___forceinline] = ACTIONS(1639),
    [anon_sym_thread_local] = ACTIONS(1639),
    [anon_sym___thread] = ACTIONS(1639),
    [anon_sym_const] = ACTIONS(1639),
    [anon_sym_constexpr] = ACTIONS(1639),
    [anon_sym_volatile] = ACTIONS(1639),
    [anon_sym_restrict] = ACTIONS(1639),
    [anon_sym___restrict__] = ACTIONS(1639),
    [anon_sym__Atomic] = ACTIONS(1639),
    [anon_sym__Noreturn] = ACTIONS(1639),
    [anon_sym_noreturn] = ACTIONS(1639),
    [sym_primitive_type] = ACTIONS(1639),
    [anon_sym_enum] = ACTIONS(1639),
    [anon_sym_struct] = ACTIONS(1639),
    [anon_sym_union] = ACTIONS(1639),
    [anon_sym_if] = ACTIONS(1639),
    [anon_sym_switch] = ACTIONS(1639),
    [anon_sym_case] = ACTIONS(1639),
    [anon_sym_default] = ACTIONS(1639),
    [anon_sym_while] = ACTIONS(1639),
    [anon_sym_do] = ACTIONS(1639),
    [anon_sym_for] = ACTIONS(1639),
    [anon_sym_return] = ACTIONS(1639),
    [anon_sym_break] = ACTIONS(1639),
    [anon_sym_continue] = ACTIONS(1639),
    [anon_sym_goto] = ACTIONS(1639),
    [anon_sym_DASH_DASH] = ACTIONS(1641),
    [anon_sym_PLUS_PLUS] = ACTIONS(1641),
    [anon_sym_sizeof] = ACTIONS(1639),
    [anon_sym___alignof__] = ACTIONS(1639),
    [anon_sym___alignof] = ACTIONS(1639),
    [anon_sym__alignof] = ACTIONS(1639),
    [anon_sym_alignof] = ACTIONS(1639),
    [anon_sym__Alignof] = ACTIONS(1639),
    [anon_sym_offsetof] = ACTIONS(1639),
    [anon_sym__Generic] = ACTIONS(1639),
    [anon_sym_asm] = ACTIONS(1639),
    [anon_sym___asm__] = ACTIONS(1639),
    [sym_number_literal] = ACTIONS(1641),
    [anon_sym_L_SQUOTE] = ACTIONS(1641),
    [anon_sym_u_SQUOTE] = ACTIONS(1641),
    [anon_sym_U_SQUOTE] = ACTIONS(1641),
    [anon_sym_u8_SQUOTE] = ACTIONS(1641),
    [anon_sym_SQUOTE] = ACTIONS(1641),
    [anon_sym_L_DQUOTE] = ACTIONS(1641),
    [anon_sym_u_DQUOTE] = ACTIONS(1641),
    [anon_sym_U_DQUOTE] = ACTIONS(1641),
    [anon_sym_u8_DQUOTE] = ACTIONS(1641),
    [anon_sym_DQUOTE] = ACTIONS(1641),
    [sym_true] = ACTIONS(1639),
    [sym_false] = ACTIONS(1639),
    [anon_sym_NULL] = ACTIONS(1639),
    [anon_sym_nullptr] = ACTIONS(1639),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1639),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1639),
    [anon_sym_hitAttributeEXT] = ACTIONS(1639),
    [anon_sym_callableDataEXT] = ACTIONS(1639),
    [anon_sym_callableDataInEXT] = ACTIONS(1639),
    [anon_sym_shaderRecordEXT] = ACTIONS(1639),
    [anon_sym_rayPayloadNV] = ACTIONS(1639),
    [anon_sym_rayPayloadInNV] = ACTIONS(1639),
    [anon_sym_hitAttributeNV] = ACTIONS(1639),
    [anon_sym_callableDataNV] = ACTIONS(1639),
    [anon_sym_callableDataInNV] = ACTIONS(1639),
    [anon_sym_shaderRecordNV] = ACTIONS(1639),
    [anon_sym_layout] = ACTIONS(1639),
  },
  [596] = {
    [ts_builtin_sym_end] = ACTIONS(1633),
    [sym_identifier] = ACTIONS(1631),
    [aux_sym_preproc_include_token1] = ACTIONS(1631),
    [aux_sym_preproc_def_token1] = ACTIONS(1631),
    [aux_sym_preproc_if_token1] = ACTIONS(1631),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1631),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1631),
    [sym_preproc_directive] = ACTIONS(1631),
    [anon_sym_LPAREN2] = ACTIONS(1633),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_DASH] = ACTIONS(1631),
    [anon_sym_PLUS] = ACTIONS(1631),
    [anon_sym_STAR] = ACTIONS(1633),
    [anon_sym_AMP] = ACTIONS(1633),
    [anon_sym_subroutine] = ACTIONS(1631),
    [anon_sym_invariant] = ACTIONS(1631),
    [anon_sym_precise] = ACTIONS(1631),
    [anon_sym_in] = ACTIONS(1631),
    [anon_sym_out] = ACTIONS(1631),
    [anon_sym_inout] = ACTIONS(1631),
    [anon_sym_uniform] = ACTIONS(1631),
    [anon_sym_shared] = ACTIONS(1631),
    [anon_sym_attribute] = ACTIONS(1631),
    [anon_sym_varying] = ACTIONS(1631),
    [anon_sym_buffer] = ACTIONS(1631),
    [anon_sym_coherent] = ACTIONS(1631),
    [anon_sym_readonly] = ACTIONS(1631),
    [anon_sym_writeonly] = ACTIONS(1631),
    [anon_sym_precision] = ACTIONS(1631),
    [anon_sym_highp] = ACTIONS(1631),
    [anon_sym_mediump] = ACTIONS(1631),
    [anon_sym_lowp] = ACTIONS(1631),
    [anon_sym_centroid] = ACTIONS(1631),
    [anon_sym_sample] = ACTIONS(1631),
    [anon_sym_patch] = ACTIONS(1631),
    [anon_sym_smooth] = ACTIONS(1631),
    [anon_sym_flat] = ACTIONS(1631),
    [anon_sym_noperspective] = ACTIONS(1631),
    [anon_sym___extension__] = ACTIONS(1631),
    [anon_sym_typedef] = ACTIONS(1631),
    [anon_sym_extern] = ACTIONS(1631),
    [anon_sym___attribute__] = ACTIONS(1631),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1633),
    [anon_sym___declspec] = ACTIONS(1631),
    [anon_sym___cdecl] = ACTIONS(1631),
    [anon_sym___clrcall] = ACTIONS(1631),
    [anon_sym___stdcall] = ACTIONS(1631),
    [anon_sym___fastcall] = ACTIONS(1631),
    [anon_sym___thiscall] = ACTIONS(1631),
    [anon_sym___vectorcall] = ACTIONS(1631),
    [anon_sym_LBRACE] = ACTIONS(1633),
    [anon_sym_signed] = ACTIONS(1631),
    [anon_sym_unsigned] = ACTIONS(1631),
    [anon_sym_long] = ACTIONS(1631),
    [anon_sym_short] = ACTIONS(1631),
    [anon_sym_static] = ACTIONS(1631),
    [anon_sym_auto] = ACTIONS(1631),
    [anon_sym_register] = ACTIONS(1631),
    [anon_sym_inline] = ACTIONS(1631),
    [anon_sym___inline] = ACTIONS(1631),
    [anon_sym___inline__] = ACTIONS(1631),
    [anon_sym___forceinline] = ACTIONS(1631),
    [anon_sym_thread_local] = ACTIONS(1631),
    [anon_sym___thread] = ACTIONS(1631),
    [anon_sym_const] = ACTIONS(1631),
    [anon_sym_constexpr] = ACTIONS(1631),
    [anon_sym_volatile] = ACTIONS(1631),
    [anon_sym_restrict] = ACTIONS(1631),
    [anon_sym___restrict__] = ACTIONS(1631),
    [anon_sym__Atomic] = ACTIONS(1631),
    [anon_sym__Noreturn] = ACTIONS(1631),
    [anon_sym_noreturn] = ACTIONS(1631),
    [sym_primitive_type] = ACTIONS(1631),
    [anon_sym_enum] = ACTIONS(1631),
    [anon_sym_struct] = ACTIONS(1631),
    [anon_sym_union] = ACTIONS(1631),
    [anon_sym_if] = ACTIONS(1631),
    [anon_sym_switch] = ACTIONS(1631),
    [anon_sym_case] = ACTIONS(1631),
    [anon_sym_default] = ACTIONS(1631),
    [anon_sym_while] = ACTIONS(1631),
    [anon_sym_do] = ACTIONS(1631),
    [anon_sym_for] = ACTIONS(1631),
    [anon_sym_return] = ACTIONS(1631),
    [anon_sym_break] = ACTIONS(1631),
    [anon_sym_continue] = ACTIONS(1631),
    [anon_sym_goto] = ACTIONS(1631),
    [anon_sym_DASH_DASH] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1633),
    [anon_sym_sizeof] = ACTIONS(1631),
    [anon_sym___alignof__] = ACTIONS(1631),
    [anon_sym___alignof] = ACTIONS(1631),
    [anon_sym__alignof] = ACTIONS(1631),
    [anon_sym_alignof] = ACTIONS(1631),
    [anon_sym__Alignof] = ACTIONS(1631),
    [anon_sym_offsetof] = ACTIONS(1631),
    [anon_sym__Generic] = ACTIONS(1631),
    [anon_sym_asm] = ACTIONS(1631),
    [anon_sym___asm__] = ACTIONS(1631),
    [sym_number_literal] = ACTIONS(1633),
    [anon_sym_L_SQUOTE] = ACTIONS(1633),
    [anon_sym_u_SQUOTE] = ACTIONS(1633),
    [anon_sym_U_SQUOTE] = ACTIONS(1633),
    [anon_sym_u8_SQUOTE] = ACTIONS(1633),
    [anon_sym_SQUOTE] = ACTIONS(1633),
    [anon_sym_L_DQUOTE] = ACTIONS(1633),
    [anon_sym_u_DQUOTE] = ACTIONS(1633),
    [anon_sym_U_DQUOTE] = ACTIONS(1633),
    [anon_sym_u8_DQUOTE] = ACTIONS(1633),
    [anon_sym_DQUOTE] = ACTIONS(1633),
    [sym_true] = ACTIONS(1631),
    [sym_false] = ACTIONS(1631),
    [anon_sym_NULL] = ACTIONS(1631),
    [anon_sym_nullptr] = ACTIONS(1631),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1631),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1631),
    [anon_sym_hitAttributeEXT] = ACTIONS(1631),
    [anon_sym_callableDataEXT] = ACTIONS(1631),
    [anon_sym_callableDataInEXT] = ACTIONS(1631),
    [anon_sym_shaderRecordEXT] = ACTIONS(1631),
    [anon_sym_rayPayloadNV] = ACTIONS(1631),
    [anon_sym_rayPayloadInNV] = ACTIONS(1631),
    [anon_sym_hitAttributeNV] = ACTIONS(1631),
    [anon_sym_callableDataNV] = ACTIONS(1631),
    [anon_sym_callableDataInNV] = ACTIONS(1631),
    [anon_sym_shaderRecordNV] = ACTIONS(1631),
    [anon_sym_layout] = ACTIONS(1631),
  },
  [597] = {
    [ts_builtin_sym_end] = ACTIONS(1597),
    [sym_identifier] = ACTIONS(1595),
    [aux_sym_preproc_include_token1] = ACTIONS(1595),
    [aux_sym_preproc_def_token1] = ACTIONS(1595),
    [aux_sym_preproc_if_token1] = ACTIONS(1595),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1595),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1595),
    [sym_preproc_directive] = ACTIONS(1595),
    [anon_sym_LPAREN2] = ACTIONS(1597),
    [anon_sym_BANG] = ACTIONS(1597),
    [anon_sym_TILDE] = ACTIONS(1597),
    [anon_sym_DASH] = ACTIONS(1595),
    [anon_sym_PLUS] = ACTIONS(1595),
    [anon_sym_STAR] = ACTIONS(1597),
    [anon_sym_AMP] = ACTIONS(1597),
    [anon_sym_subroutine] = ACTIONS(1595),
    [anon_sym_invariant] = ACTIONS(1595),
    [anon_sym_precise] = ACTIONS(1595),
    [anon_sym_in] = ACTIONS(1595),
    [anon_sym_out] = ACTIONS(1595),
    [anon_sym_inout] = ACTIONS(1595),
    [anon_sym_uniform] = ACTIONS(1595),
    [anon_sym_shared] = ACTIONS(1595),
    [anon_sym_attribute] = ACTIONS(1595),
    [anon_sym_varying] = ACTIONS(1595),
    [anon_sym_buffer] = ACTIONS(1595),
    [anon_sym_coherent] = ACTIONS(1595),
    [anon_sym_readonly] = ACTIONS(1595),
    [anon_sym_writeonly] = ACTIONS(1595),
    [anon_sym_precision] = ACTIONS(1595),
    [anon_sym_highp] = ACTIONS(1595),
    [anon_sym_mediump] = ACTIONS(1595),
    [anon_sym_lowp] = ACTIONS(1595),
    [anon_sym_centroid] = ACTIONS(1595),
    [anon_sym_sample] = ACTIONS(1595),
    [anon_sym_patch] = ACTIONS(1595),
    [anon_sym_smooth] = ACTIONS(1595),
    [anon_sym_flat] = ACTIONS(1595),
    [anon_sym_noperspective] = ACTIONS(1595),
    [anon_sym___extension__] = ACTIONS(1595),
    [anon_sym_typedef] = ACTIONS(1595),
    [anon_sym_extern] = ACTIONS(1595),
    [anon_sym___attribute__] = ACTIONS(1595),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1597),
    [anon_sym___declspec] = ACTIONS(1595),
    [anon_sym___cdecl] = ACTIONS(1595),
    [anon_sym___clrcall] = ACTIONS(1595),
    [anon_sym___stdcall] = ACTIONS(1595),
    [anon_sym___fastcall] = ACTIONS(1595),
    [anon_sym___thiscall] = ACTIONS(1595),
    [anon_sym___vectorcall] = ACTIONS(1595),
    [anon_sym_LBRACE] = ACTIONS(1597),
    [anon_sym_signed] = ACTIONS(1595),
    [anon_sym_unsigned] = ACTIONS(1595),
    [anon_sym_long] = ACTIONS(1595),
    [anon_sym_short] = ACTIONS(1595),
    [anon_sym_static] = ACTIONS(1595),
    [anon_sym_auto] = ACTIONS(1595),
    [anon_sym_register] = ACTIONS(1595),
    [anon_sym_inline] = ACTIONS(1595),
    [anon_sym___inline] = ACTIONS(1595),
    [anon_sym___inline__] = ACTIONS(1595),
    [anon_sym___forceinline] = ACTIONS(1595),
    [anon_sym_thread_local] = ACTIONS(1595),
    [anon_sym___thread] = ACTIONS(1595),
    [anon_sym_const] = ACTIONS(1595),
    [anon_sym_constexpr] = ACTIONS(1595),
    [anon_sym_volatile] = ACTIONS(1595),
    [anon_sym_restrict] = ACTIONS(1595),
    [anon_sym___restrict__] = ACTIONS(1595),
    [anon_sym__Atomic] = ACTIONS(1595),
    [anon_sym__Noreturn] = ACTIONS(1595),
    [anon_sym_noreturn] = ACTIONS(1595),
    [sym_primitive_type] = ACTIONS(1595),
    [anon_sym_enum] = ACTIONS(1595),
    [anon_sym_struct] = ACTIONS(1595),
    [anon_sym_union] = ACTIONS(1595),
    [anon_sym_if] = ACTIONS(1595),
    [anon_sym_switch] = ACTIONS(1595),
    [anon_sym_case] = ACTIONS(1595),
    [anon_sym_default] = ACTIONS(1595),
    [anon_sym_while] = ACTIONS(1595),
    [anon_sym_do] = ACTIONS(1595),
    [anon_sym_for] = ACTIONS(1595),
    [anon_sym_return] = ACTIONS(1595),
    [anon_sym_break] = ACTIONS(1595),
    [anon_sym_continue] = ACTIONS(1595),
    [anon_sym_goto] = ACTIONS(1595),
    [anon_sym_DASH_DASH] = ACTIONS(1597),
    [anon_sym_PLUS_PLUS] = ACTIONS(1597),
    [anon_sym_sizeof] = ACTIONS(1595),
    [anon_sym___alignof__] = ACTIONS(1595),
    [anon_sym___alignof] = ACTIONS(1595),
    [anon_sym__alignof] = ACTIONS(1595),
    [anon_sym_alignof] = ACTIONS(1595),
    [anon_sym__Alignof] = ACTIONS(1595),
    [anon_sym_offsetof] = ACTIONS(1595),
    [anon_sym__Generic] = ACTIONS(1595),
    [anon_sym_asm] = ACTIONS(1595),
    [anon_sym___asm__] = ACTIONS(1595),
    [sym_number_literal] = ACTIONS(1597),
    [anon_sym_L_SQUOTE] = ACTIONS(1597),
    [anon_sym_u_SQUOTE] = ACTIONS(1597),
    [anon_sym_U_SQUOTE] = ACTIONS(1597),
    [anon_sym_u8_SQUOTE] = ACTIONS(1597),
    [anon_sym_SQUOTE] = ACTIONS(1597),
    [anon_sym_L_DQUOTE] = ACTIONS(1597),
    [anon_sym_u_DQUOTE] = ACTIONS(1597),
    [anon_sym_U_DQUOTE] = ACTIONS(1597),
    [anon_sym_u8_DQUOTE] = ACTIONS(1597),
    [anon_sym_DQUOTE] = ACTIONS(1597),
    [sym_true] = ACTIONS(1595),
    [sym_false] = ACTIONS(1595),
    [anon_sym_NULL] = ACTIONS(1595),
    [anon_sym_nullptr] = ACTIONS(1595),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1595),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1595),
    [anon_sym_hitAttributeEXT] = ACTIONS(1595),
    [anon_sym_callableDataEXT] = ACTIONS(1595),
    [anon_sym_callableDataInEXT] = ACTIONS(1595),
    [anon_sym_shaderRecordEXT] = ACTIONS(1595),
    [anon_sym_rayPayloadNV] = ACTIONS(1595),
    [anon_sym_rayPayloadInNV] = ACTIONS(1595),
    [anon_sym_hitAttributeNV] = ACTIONS(1595),
    [anon_sym_callableDataNV] = ACTIONS(1595),
    [anon_sym_callableDataInNV] = ACTIONS(1595),
    [anon_sym_shaderRecordNV] = ACTIONS(1595),
    [anon_sym_layout] = ACTIONS(1595),
  },
  [598] = {
    [ts_builtin_sym_end] = ACTIONS(1689),
    [sym_identifier] = ACTIONS(1687),
    [aux_sym_preproc_include_token1] = ACTIONS(1687),
    [aux_sym_preproc_def_token1] = ACTIONS(1687),
    [aux_sym_preproc_if_token1] = ACTIONS(1687),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1687),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1687),
    [sym_preproc_directive] = ACTIONS(1687),
    [anon_sym_LPAREN2] = ACTIONS(1689),
    [anon_sym_BANG] = ACTIONS(1689),
    [anon_sym_TILDE] = ACTIONS(1689),
    [anon_sym_DASH] = ACTIONS(1687),
    [anon_sym_PLUS] = ACTIONS(1687),
    [anon_sym_STAR] = ACTIONS(1689),
    [anon_sym_AMP] = ACTIONS(1689),
    [anon_sym_subroutine] = ACTIONS(1687),
    [anon_sym_invariant] = ACTIONS(1687),
    [anon_sym_precise] = ACTIONS(1687),
    [anon_sym_in] = ACTIONS(1687),
    [anon_sym_out] = ACTIONS(1687),
    [anon_sym_inout] = ACTIONS(1687),
    [anon_sym_uniform] = ACTIONS(1687),
    [anon_sym_shared] = ACTIONS(1687),
    [anon_sym_attribute] = ACTIONS(1687),
    [anon_sym_varying] = ACTIONS(1687),
    [anon_sym_buffer] = ACTIONS(1687),
    [anon_sym_coherent] = ACTIONS(1687),
    [anon_sym_readonly] = ACTIONS(1687),
    [anon_sym_writeonly] = ACTIONS(1687),
    [anon_sym_precision] = ACTIONS(1687),
    [anon_sym_highp] = ACTIONS(1687),
    [anon_sym_mediump] = ACTIONS(1687),
    [anon_sym_lowp] = ACTIONS(1687),
    [anon_sym_centroid] = ACTIONS(1687),
    [anon_sym_sample] = ACTIONS(1687),
    [anon_sym_patch] = ACTIONS(1687),
    [anon_sym_smooth] = ACTIONS(1687),
    [anon_sym_flat] = ACTIONS(1687),
    [anon_sym_noperspective] = ACTIONS(1687),
    [anon_sym___extension__] = ACTIONS(1687),
    [anon_sym_typedef] = ACTIONS(1687),
    [anon_sym_extern] = ACTIONS(1687),
    [anon_sym___attribute__] = ACTIONS(1687),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1689),
    [anon_sym___declspec] = ACTIONS(1687),
    [anon_sym___cdecl] = ACTIONS(1687),
    [anon_sym___clrcall] = ACTIONS(1687),
    [anon_sym___stdcall] = ACTIONS(1687),
    [anon_sym___fastcall] = ACTIONS(1687),
    [anon_sym___thiscall] = ACTIONS(1687),
    [anon_sym___vectorcall] = ACTIONS(1687),
    [anon_sym_LBRACE] = ACTIONS(1689),
    [anon_sym_signed] = ACTIONS(1687),
    [anon_sym_unsigned] = ACTIONS(1687),
    [anon_sym_long] = ACTIONS(1687),
    [anon_sym_short] = ACTIONS(1687),
    [anon_sym_static] = ACTIONS(1687),
    [anon_sym_auto] = ACTIONS(1687),
    [anon_sym_register] = ACTIONS(1687),
    [anon_sym_inline] = ACTIONS(1687),
    [anon_sym___inline] = ACTIONS(1687),
    [anon_sym___inline__] = ACTIONS(1687),
    [anon_sym___forceinline] = ACTIONS(1687),
    [anon_sym_thread_local] = ACTIONS(1687),
    [anon_sym___thread] = ACTIONS(1687),
    [anon_sym_const] = ACTIONS(1687),
    [anon_sym_constexpr] = ACTIONS(1687),
    [anon_sym_volatile] = ACTIONS(1687),
    [anon_sym_restrict] = ACTIONS(1687),
    [anon_sym___restrict__] = ACTIONS(1687),
    [anon_sym__Atomic] = ACTIONS(1687),
    [anon_sym__Noreturn] = ACTIONS(1687),
    [anon_sym_noreturn] = ACTIONS(1687),
    [sym_primitive_type] = ACTIONS(1687),
    [anon_sym_enum] = ACTIONS(1687),
    [anon_sym_struct] = ACTIONS(1687),
    [anon_sym_union] = ACTIONS(1687),
    [anon_sym_if] = ACTIONS(1687),
    [anon_sym_switch] = ACTIONS(1687),
    [anon_sym_case] = ACTIONS(1687),
    [anon_sym_default] = ACTIONS(1687),
    [anon_sym_while] = ACTIONS(1687),
    [anon_sym_do] = ACTIONS(1687),
    [anon_sym_for] = ACTIONS(1687),
    [anon_sym_return] = ACTIONS(1687),
    [anon_sym_break] = ACTIONS(1687),
    [anon_sym_continue] = ACTIONS(1687),
    [anon_sym_goto] = ACTIONS(1687),
    [anon_sym_DASH_DASH] = ACTIONS(1689),
    [anon_sym_PLUS_PLUS] = ACTIONS(1689),
    [anon_sym_sizeof] = ACTIONS(1687),
    [anon_sym___alignof__] = ACTIONS(1687),
    [anon_sym___alignof] = ACTIONS(1687),
    [anon_sym__alignof] = ACTIONS(1687),
    [anon_sym_alignof] = ACTIONS(1687),
    [anon_sym__Alignof] = ACTIONS(1687),
    [anon_sym_offsetof] = ACTIONS(1687),
    [anon_sym__Generic] = ACTIONS(1687),
    [anon_sym_asm] = ACTIONS(1687),
    [anon_sym___asm__] = ACTIONS(1687),
    [sym_number_literal] = ACTIONS(1689),
    [anon_sym_L_SQUOTE] = ACTIONS(1689),
    [anon_sym_u_SQUOTE] = ACTIONS(1689),
    [anon_sym_U_SQUOTE] = ACTIONS(1689),
    [anon_sym_u8_SQUOTE] = ACTIONS(1689),
    [anon_sym_SQUOTE] = ACTIONS(1689),
    [anon_sym_L_DQUOTE] = ACTIONS(1689),
    [anon_sym_u_DQUOTE] = ACTIONS(1689),
    [anon_sym_U_DQUOTE] = ACTIONS(1689),
    [anon_sym_u8_DQUOTE] = ACTIONS(1689),
    [anon_sym_DQUOTE] = ACTIONS(1689),
    [sym_true] = ACTIONS(1687),
    [sym_false] = ACTIONS(1687),
    [anon_sym_NULL] = ACTIONS(1687),
    [anon_sym_nullptr] = ACTIONS(1687),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1687),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1687),
    [anon_sym_hitAttributeEXT] = ACTIONS(1687),
    [anon_sym_callableDataEXT] = ACTIONS(1687),
    [anon_sym_callableDataInEXT] = ACTIONS(1687),
    [anon_sym_shaderRecordEXT] = ACTIONS(1687),
    [anon_sym_rayPayloadNV] = ACTIONS(1687),
    [anon_sym_rayPayloadInNV] = ACTIONS(1687),
    [anon_sym_hitAttributeNV] = ACTIONS(1687),
    [anon_sym_callableDataNV] = ACTIONS(1687),
    [anon_sym_callableDataInNV] = ACTIONS(1687),
    [anon_sym_shaderRecordNV] = ACTIONS(1687),
    [anon_sym_layout] = ACTIONS(1687),
  },
  [599] = {
    [ts_builtin_sym_end] = ACTIONS(1669),
    [sym_identifier] = ACTIONS(1667),
    [aux_sym_preproc_include_token1] = ACTIONS(1667),
    [aux_sym_preproc_def_token1] = ACTIONS(1667),
    [aux_sym_preproc_if_token1] = ACTIONS(1667),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1667),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1667),
    [sym_preproc_directive] = ACTIONS(1667),
    [anon_sym_LPAREN2] = ACTIONS(1669),
    [anon_sym_BANG] = ACTIONS(1669),
    [anon_sym_TILDE] = ACTIONS(1669),
    [anon_sym_DASH] = ACTIONS(1667),
    [anon_sym_PLUS] = ACTIONS(1667),
    [anon_sym_STAR] = ACTIONS(1669),
    [anon_sym_AMP] = ACTIONS(1669),
    [anon_sym_subroutine] = ACTIONS(1667),
    [anon_sym_invariant] = ACTIONS(1667),
    [anon_sym_precise] = ACTIONS(1667),
    [anon_sym_in] = ACTIONS(1667),
    [anon_sym_out] = ACTIONS(1667),
    [anon_sym_inout] = ACTIONS(1667),
    [anon_sym_uniform] = ACTIONS(1667),
    [anon_sym_shared] = ACTIONS(1667),
    [anon_sym_attribute] = ACTIONS(1667),
    [anon_sym_varying] = ACTIONS(1667),
    [anon_sym_buffer] = ACTIONS(1667),
    [anon_sym_coherent] = ACTIONS(1667),
    [anon_sym_readonly] = ACTIONS(1667),
    [anon_sym_writeonly] = ACTIONS(1667),
    [anon_sym_precision] = ACTIONS(1667),
    [anon_sym_highp] = ACTIONS(1667),
    [anon_sym_mediump] = ACTIONS(1667),
    [anon_sym_lowp] = ACTIONS(1667),
    [anon_sym_centroid] = ACTIONS(1667),
    [anon_sym_sample] = ACTIONS(1667),
    [anon_sym_patch] = ACTIONS(1667),
    [anon_sym_smooth] = ACTIONS(1667),
    [anon_sym_flat] = ACTIONS(1667),
    [anon_sym_noperspective] = ACTIONS(1667),
    [anon_sym___extension__] = ACTIONS(1667),
    [anon_sym_typedef] = ACTIONS(1667),
    [anon_sym_extern] = ACTIONS(1667),
    [anon_sym___attribute__] = ACTIONS(1667),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1669),
    [anon_sym___declspec] = ACTIONS(1667),
    [anon_sym___cdecl] = ACTIONS(1667),
    [anon_sym___clrcall] = ACTIONS(1667),
    [anon_sym___stdcall] = ACTIONS(1667),
    [anon_sym___fastcall] = ACTIONS(1667),
    [anon_sym___thiscall] = ACTIONS(1667),
    [anon_sym___vectorcall] = ACTIONS(1667),
    [anon_sym_LBRACE] = ACTIONS(1669),
    [anon_sym_signed] = ACTIONS(1667),
    [anon_sym_unsigned] = ACTIONS(1667),
    [anon_sym_long] = ACTIONS(1667),
    [anon_sym_short] = ACTIONS(1667),
    [anon_sym_static] = ACTIONS(1667),
    [anon_sym_auto] = ACTIONS(1667),
    [anon_sym_register] = ACTIONS(1667),
    [anon_sym_inline] = ACTIONS(1667),
    [anon_sym___inline] = ACTIONS(1667),
    [anon_sym___inline__] = ACTIONS(1667),
    [anon_sym___forceinline] = ACTIONS(1667),
    [anon_sym_thread_local] = ACTIONS(1667),
    [anon_sym___thread] = ACTIONS(1667),
    [anon_sym_const] = ACTIONS(1667),
    [anon_sym_constexpr] = ACTIONS(1667),
    [anon_sym_volatile] = ACTIONS(1667),
    [anon_sym_restrict] = ACTIONS(1667),
    [anon_sym___restrict__] = ACTIONS(1667),
    [anon_sym__Atomic] = ACTIONS(1667),
    [anon_sym__Noreturn] = ACTIONS(1667),
    [anon_sym_noreturn] = ACTIONS(1667),
    [sym_primitive_type] = ACTIONS(1667),
    [anon_sym_enum] = ACTIONS(1667),
    [anon_sym_struct] = ACTIONS(1667),
    [anon_sym_union] = ACTIONS(1667),
    [anon_sym_if] = ACTIONS(1667),
    [anon_sym_switch] = ACTIONS(1667),
    [anon_sym_case] = ACTIONS(1667),
    [anon_sym_default] = ACTIONS(1667),
    [anon_sym_while] = ACTIONS(1667),
    [anon_sym_do] = ACTIONS(1667),
    [anon_sym_for] = ACTIONS(1667),
    [anon_sym_return] = ACTIONS(1667),
    [anon_sym_break] = ACTIONS(1667),
    [anon_sym_continue] = ACTIONS(1667),
    [anon_sym_goto] = ACTIONS(1667),
    [anon_sym_DASH_DASH] = ACTIONS(1669),
    [anon_sym_PLUS_PLUS] = ACTIONS(1669),
    [anon_sym_sizeof] = ACTIONS(1667),
    [anon_sym___alignof__] = ACTIONS(1667),
    [anon_sym___alignof] = ACTIONS(1667),
    [anon_sym__alignof] = ACTIONS(1667),
    [anon_sym_alignof] = ACTIONS(1667),
    [anon_sym__Alignof] = ACTIONS(1667),
    [anon_sym_offsetof] = ACTIONS(1667),
    [anon_sym__Generic] = ACTIONS(1667),
    [anon_sym_asm] = ACTIONS(1667),
    [anon_sym___asm__] = ACTIONS(1667),
    [sym_number_literal] = ACTIONS(1669),
    [anon_sym_L_SQUOTE] = ACTIONS(1669),
    [anon_sym_u_SQUOTE] = ACTIONS(1669),
    [anon_sym_U_SQUOTE] = ACTIONS(1669),
    [anon_sym_u8_SQUOTE] = ACTIONS(1669),
    [anon_sym_SQUOTE] = ACTIONS(1669),
    [anon_sym_L_DQUOTE] = ACTIONS(1669),
    [anon_sym_u_DQUOTE] = ACTIONS(1669),
    [anon_sym_U_DQUOTE] = ACTIONS(1669),
    [anon_sym_u8_DQUOTE] = ACTIONS(1669),
    [anon_sym_DQUOTE] = ACTIONS(1669),
    [sym_true] = ACTIONS(1667),
    [sym_false] = ACTIONS(1667),
    [anon_sym_NULL] = ACTIONS(1667),
    [anon_sym_nullptr] = ACTIONS(1667),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1667),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1667),
    [anon_sym_hitAttributeEXT] = ACTIONS(1667),
    [anon_sym_callableDataEXT] = ACTIONS(1667),
    [anon_sym_callableDataInEXT] = ACTIONS(1667),
    [anon_sym_shaderRecordEXT] = ACTIONS(1667),
    [anon_sym_rayPayloadNV] = ACTIONS(1667),
    [anon_sym_rayPayloadInNV] = ACTIONS(1667),
    [anon_sym_hitAttributeNV] = ACTIONS(1667),
    [anon_sym_callableDataNV] = ACTIONS(1667),
    [anon_sym_callableDataInNV] = ACTIONS(1667),
    [anon_sym_shaderRecordNV] = ACTIONS(1667),
    [anon_sym_layout] = ACTIONS(1667),
  },
  [600] = {
    [ts_builtin_sym_end] = ACTIONS(1701),
    [sym_identifier] = ACTIONS(1699),
    [aux_sym_preproc_include_token1] = ACTIONS(1699),
    [aux_sym_preproc_def_token1] = ACTIONS(1699),
    [aux_sym_preproc_if_token1] = ACTIONS(1699),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1699),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1699),
    [sym_preproc_directive] = ACTIONS(1699),
    [anon_sym_LPAREN2] = ACTIONS(1701),
    [anon_sym_BANG] = ACTIONS(1701),
    [anon_sym_TILDE] = ACTIONS(1701),
    [anon_sym_DASH] = ACTIONS(1699),
    [anon_sym_PLUS] = ACTIONS(1699),
    [anon_sym_STAR] = ACTIONS(1701),
    [anon_sym_AMP] = ACTIONS(1701),
    [anon_sym_subroutine] = ACTIONS(1699),
    [anon_sym_invariant] = ACTIONS(1699),
    [anon_sym_precise] = ACTIONS(1699),
    [anon_sym_in] = ACTIONS(1699),
    [anon_sym_out] = ACTIONS(1699),
    [anon_sym_inout] = ACTIONS(1699),
    [anon_sym_uniform] = ACTIONS(1699),
    [anon_sym_shared] = ACTIONS(1699),
    [anon_sym_attribute] = ACTIONS(1699),
    [anon_sym_varying] = ACTIONS(1699),
    [anon_sym_buffer] = ACTIONS(1699),
    [anon_sym_coherent] = ACTIONS(1699),
    [anon_sym_readonly] = ACTIONS(1699),
    [anon_sym_writeonly] = ACTIONS(1699),
    [anon_sym_precision] = ACTIONS(1699),
    [anon_sym_highp] = ACTIONS(1699),
    [anon_sym_mediump] = ACTIONS(1699),
    [anon_sym_lowp] = ACTIONS(1699),
    [anon_sym_centroid] = ACTIONS(1699),
    [anon_sym_sample] = ACTIONS(1699),
    [anon_sym_patch] = ACTIONS(1699),
    [anon_sym_smooth] = ACTIONS(1699),
    [anon_sym_flat] = ACTIONS(1699),
    [anon_sym_noperspective] = ACTIONS(1699),
    [anon_sym___extension__] = ACTIONS(1699),
    [anon_sym_typedef] = ACTIONS(1699),
    [anon_sym_extern] = ACTIONS(1699),
    [anon_sym___attribute__] = ACTIONS(1699),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1701),
    [anon_sym___declspec] = ACTIONS(1699),
    [anon_sym___cdecl] = ACTIONS(1699),
    [anon_sym___clrcall] = ACTIONS(1699),
    [anon_sym___stdcall] = ACTIONS(1699),
    [anon_sym___fastcall] = ACTIONS(1699),
    [anon_sym___thiscall] = ACTIONS(1699),
    [anon_sym___vectorcall] = ACTIONS(1699),
    [anon_sym_LBRACE] = ACTIONS(1701),
    [anon_sym_signed] = ACTIONS(1699),
    [anon_sym_unsigned] = ACTIONS(1699),
    [anon_sym_long] = ACTIONS(1699),
    [anon_sym_short] = ACTIONS(1699),
    [anon_sym_static] = ACTIONS(1699),
    [anon_sym_auto] = ACTIONS(1699),
    [anon_sym_register] = ACTIONS(1699),
    [anon_sym_inline] = ACTIONS(1699),
    [anon_sym___inline] = ACTIONS(1699),
    [anon_sym___inline__] = ACTIONS(1699),
    [anon_sym___forceinline] = ACTIONS(1699),
    [anon_sym_thread_local] = ACTIONS(1699),
    [anon_sym___thread] = ACTIONS(1699),
    [anon_sym_const] = ACTIONS(1699),
    [anon_sym_constexpr] = ACTIONS(1699),
    [anon_sym_volatile] = ACTIONS(1699),
    [anon_sym_restrict] = ACTIONS(1699),
    [anon_sym___restrict__] = ACTIONS(1699),
    [anon_sym__Atomic] = ACTIONS(1699),
    [anon_sym__Noreturn] = ACTIONS(1699),
    [anon_sym_noreturn] = ACTIONS(1699),
    [sym_primitive_type] = ACTIONS(1699),
    [anon_sym_enum] = ACTIONS(1699),
    [anon_sym_struct] = ACTIONS(1699),
    [anon_sym_union] = ACTIONS(1699),
    [anon_sym_if] = ACTIONS(1699),
    [anon_sym_switch] = ACTIONS(1699),
    [anon_sym_case] = ACTIONS(1699),
    [anon_sym_default] = ACTIONS(1699),
    [anon_sym_while] = ACTIONS(1699),
    [anon_sym_do] = ACTIONS(1699),
    [anon_sym_for] = ACTIONS(1699),
    [anon_sym_return] = ACTIONS(1699),
    [anon_sym_break] = ACTIONS(1699),
    [anon_sym_continue] = ACTIONS(1699),
    [anon_sym_goto] = ACTIONS(1699),
    [anon_sym_DASH_DASH] = ACTIONS(1701),
    [anon_sym_PLUS_PLUS] = ACTIONS(1701),
    [anon_sym_sizeof] = ACTIONS(1699),
    [anon_sym___alignof__] = ACTIONS(1699),
    [anon_sym___alignof] = ACTIONS(1699),
    [anon_sym__alignof] = ACTIONS(1699),
    [anon_sym_alignof] = ACTIONS(1699),
    [anon_sym__Alignof] = ACTIONS(1699),
    [anon_sym_offsetof] = ACTIONS(1699),
    [anon_sym__Generic] = ACTIONS(1699),
    [anon_sym_asm] = ACTIONS(1699),
    [anon_sym___asm__] = ACTIONS(1699),
    [sym_number_literal] = ACTIONS(1701),
    [anon_sym_L_SQUOTE] = ACTIONS(1701),
    [anon_sym_u_SQUOTE] = ACTIONS(1701),
    [anon_sym_U_SQUOTE] = ACTIONS(1701),
    [anon_sym_u8_SQUOTE] = ACTIONS(1701),
    [anon_sym_SQUOTE] = ACTIONS(1701),
    [anon_sym_L_DQUOTE] = ACTIONS(1701),
    [anon_sym_u_DQUOTE] = ACTIONS(1701),
    [anon_sym_U_DQUOTE] = ACTIONS(1701),
    [anon_sym_u8_DQUOTE] = ACTIONS(1701),
    [anon_sym_DQUOTE] = ACTIONS(1701),
    [sym_true] = ACTIONS(1699),
    [sym_false] = ACTIONS(1699),
    [anon_sym_NULL] = ACTIONS(1699),
    [anon_sym_nullptr] = ACTIONS(1699),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1699),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1699),
    [anon_sym_hitAttributeEXT] = ACTIONS(1699),
    [anon_sym_callableDataEXT] = ACTIONS(1699),
    [anon_sym_callableDataInEXT] = ACTIONS(1699),
    [anon_sym_shaderRecordEXT] = ACTIONS(1699),
    [anon_sym_rayPayloadNV] = ACTIONS(1699),
    [anon_sym_rayPayloadInNV] = ACTIONS(1699),
    [anon_sym_hitAttributeNV] = ACTIONS(1699),
    [anon_sym_callableDataNV] = ACTIONS(1699),
    [anon_sym_callableDataInNV] = ACTIONS(1699),
    [anon_sym_shaderRecordNV] = ACTIONS(1699),
    [anon_sym_layout] = ACTIONS(1699),
  },
  [601] = {
    [ts_builtin_sym_end] = ACTIONS(1705),
    [sym_identifier] = ACTIONS(1703),
    [aux_sym_preproc_include_token1] = ACTIONS(1703),
    [aux_sym_preproc_def_token1] = ACTIONS(1703),
    [aux_sym_preproc_if_token1] = ACTIONS(1703),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1703),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1703),
    [sym_preproc_directive] = ACTIONS(1703),
    [anon_sym_LPAREN2] = ACTIONS(1705),
    [anon_sym_BANG] = ACTIONS(1705),
    [anon_sym_TILDE] = ACTIONS(1705),
    [anon_sym_DASH] = ACTIONS(1703),
    [anon_sym_PLUS] = ACTIONS(1703),
    [anon_sym_STAR] = ACTIONS(1705),
    [anon_sym_AMP] = ACTIONS(1705),
    [anon_sym_subroutine] = ACTIONS(1703),
    [anon_sym_invariant] = ACTIONS(1703),
    [anon_sym_precise] = ACTIONS(1703),
    [anon_sym_in] = ACTIONS(1703),
    [anon_sym_out] = ACTIONS(1703),
    [anon_sym_inout] = ACTIONS(1703),
    [anon_sym_uniform] = ACTIONS(1703),
    [anon_sym_shared] = ACTIONS(1703),
    [anon_sym_attribute] = ACTIONS(1703),
    [anon_sym_varying] = ACTIONS(1703),
    [anon_sym_buffer] = ACTIONS(1703),
    [anon_sym_coherent] = ACTIONS(1703),
    [anon_sym_readonly] = ACTIONS(1703),
    [anon_sym_writeonly] = ACTIONS(1703),
    [anon_sym_precision] = ACTIONS(1703),
    [anon_sym_highp] = ACTIONS(1703),
    [anon_sym_mediump] = ACTIONS(1703),
    [anon_sym_lowp] = ACTIONS(1703),
    [anon_sym_centroid] = ACTIONS(1703),
    [anon_sym_sample] = ACTIONS(1703),
    [anon_sym_patch] = ACTIONS(1703),
    [anon_sym_smooth] = ACTIONS(1703),
    [anon_sym_flat] = ACTIONS(1703),
    [anon_sym_noperspective] = ACTIONS(1703),
    [anon_sym___extension__] = ACTIONS(1703),
    [anon_sym_typedef] = ACTIONS(1703),
    [anon_sym_extern] = ACTIONS(1703),
    [anon_sym___attribute__] = ACTIONS(1703),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1705),
    [anon_sym___declspec] = ACTIONS(1703),
    [anon_sym___cdecl] = ACTIONS(1703),
    [anon_sym___clrcall] = ACTIONS(1703),
    [anon_sym___stdcall] = ACTIONS(1703),
    [anon_sym___fastcall] = ACTIONS(1703),
    [anon_sym___thiscall] = ACTIONS(1703),
    [anon_sym___vectorcall] = ACTIONS(1703),
    [anon_sym_LBRACE] = ACTIONS(1705),
    [anon_sym_signed] = ACTIONS(1703),
    [anon_sym_unsigned] = ACTIONS(1703),
    [anon_sym_long] = ACTIONS(1703),
    [anon_sym_short] = ACTIONS(1703),
    [anon_sym_static] = ACTIONS(1703),
    [anon_sym_auto] = ACTIONS(1703),
    [anon_sym_register] = ACTIONS(1703),
    [anon_sym_inline] = ACTIONS(1703),
    [anon_sym___inline] = ACTIONS(1703),
    [anon_sym___inline__] = ACTIONS(1703),
    [anon_sym___forceinline] = ACTIONS(1703),
    [anon_sym_thread_local] = ACTIONS(1703),
    [anon_sym___thread] = ACTIONS(1703),
    [anon_sym_const] = ACTIONS(1703),
    [anon_sym_constexpr] = ACTIONS(1703),
    [anon_sym_volatile] = ACTIONS(1703),
    [anon_sym_restrict] = ACTIONS(1703),
    [anon_sym___restrict__] = ACTIONS(1703),
    [anon_sym__Atomic] = ACTIONS(1703),
    [anon_sym__Noreturn] = ACTIONS(1703),
    [anon_sym_noreturn] = ACTIONS(1703),
    [sym_primitive_type] = ACTIONS(1703),
    [anon_sym_enum] = ACTIONS(1703),
    [anon_sym_struct] = ACTIONS(1703),
    [anon_sym_union] = ACTIONS(1703),
    [anon_sym_if] = ACTIONS(1703),
    [anon_sym_switch] = ACTIONS(1703),
    [anon_sym_case] = ACTIONS(1703),
    [anon_sym_default] = ACTIONS(1703),
    [anon_sym_while] = ACTIONS(1703),
    [anon_sym_do] = ACTIONS(1703),
    [anon_sym_for] = ACTIONS(1703),
    [anon_sym_return] = ACTIONS(1703),
    [anon_sym_break] = ACTIONS(1703),
    [anon_sym_continue] = ACTIONS(1703),
    [anon_sym_goto] = ACTIONS(1703),
    [anon_sym_DASH_DASH] = ACTIONS(1705),
    [anon_sym_PLUS_PLUS] = ACTIONS(1705),
    [anon_sym_sizeof] = ACTIONS(1703),
    [anon_sym___alignof__] = ACTIONS(1703),
    [anon_sym___alignof] = ACTIONS(1703),
    [anon_sym__alignof] = ACTIONS(1703),
    [anon_sym_alignof] = ACTIONS(1703),
    [anon_sym__Alignof] = ACTIONS(1703),
    [anon_sym_offsetof] = ACTIONS(1703),
    [anon_sym__Generic] = ACTIONS(1703),
    [anon_sym_asm] = ACTIONS(1703),
    [anon_sym___asm__] = ACTIONS(1703),
    [sym_number_literal] = ACTIONS(1705),
    [anon_sym_L_SQUOTE] = ACTIONS(1705),
    [anon_sym_u_SQUOTE] = ACTIONS(1705),
    [anon_sym_U_SQUOTE] = ACTIONS(1705),
    [anon_sym_u8_SQUOTE] = ACTIONS(1705),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_L_DQUOTE] = ACTIONS(1705),
    [anon_sym_u_DQUOTE] = ACTIONS(1705),
    [anon_sym_U_DQUOTE] = ACTIONS(1705),
    [anon_sym_u8_DQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1705),
    [sym_true] = ACTIONS(1703),
    [sym_false] = ACTIONS(1703),
    [anon_sym_NULL] = ACTIONS(1703),
    [anon_sym_nullptr] = ACTIONS(1703),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1703),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1703),
    [anon_sym_hitAttributeEXT] = ACTIONS(1703),
    [anon_sym_callableDataEXT] = ACTIONS(1703),
    [anon_sym_callableDataInEXT] = ACTIONS(1703),
    [anon_sym_shaderRecordEXT] = ACTIONS(1703),
    [anon_sym_rayPayloadNV] = ACTIONS(1703),
    [anon_sym_rayPayloadInNV] = ACTIONS(1703),
    [anon_sym_hitAttributeNV] = ACTIONS(1703),
    [anon_sym_callableDataNV] = ACTIONS(1703),
    [anon_sym_callableDataInNV] = ACTIONS(1703),
    [anon_sym_shaderRecordNV] = ACTIONS(1703),
    [anon_sym_layout] = ACTIONS(1703),
  },
  [602] = {
    [ts_builtin_sym_end] = ACTIONS(1681),
    [sym_identifier] = ACTIONS(1679),
    [aux_sym_preproc_include_token1] = ACTIONS(1679),
    [aux_sym_preproc_def_token1] = ACTIONS(1679),
    [aux_sym_preproc_if_token1] = ACTIONS(1679),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1679),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1679),
    [sym_preproc_directive] = ACTIONS(1679),
    [anon_sym_LPAREN2] = ACTIONS(1681),
    [anon_sym_BANG] = ACTIONS(1681),
    [anon_sym_TILDE] = ACTIONS(1681),
    [anon_sym_DASH] = ACTIONS(1679),
    [anon_sym_PLUS] = ACTIONS(1679),
    [anon_sym_STAR] = ACTIONS(1681),
    [anon_sym_AMP] = ACTIONS(1681),
    [anon_sym_subroutine] = ACTIONS(1679),
    [anon_sym_invariant] = ACTIONS(1679),
    [anon_sym_precise] = ACTIONS(1679),
    [anon_sym_in] = ACTIONS(1679),
    [anon_sym_out] = ACTIONS(1679),
    [anon_sym_inout] = ACTIONS(1679),
    [anon_sym_uniform] = ACTIONS(1679),
    [anon_sym_shared] = ACTIONS(1679),
    [anon_sym_attribute] = ACTIONS(1679),
    [anon_sym_varying] = ACTIONS(1679),
    [anon_sym_buffer] = ACTIONS(1679),
    [anon_sym_coherent] = ACTIONS(1679),
    [anon_sym_readonly] = ACTIONS(1679),
    [anon_sym_writeonly] = ACTIONS(1679),
    [anon_sym_precision] = ACTIONS(1679),
    [anon_sym_highp] = ACTIONS(1679),
    [anon_sym_mediump] = ACTIONS(1679),
    [anon_sym_lowp] = ACTIONS(1679),
    [anon_sym_centroid] = ACTIONS(1679),
    [anon_sym_sample] = ACTIONS(1679),
    [anon_sym_patch] = ACTIONS(1679),
    [anon_sym_smooth] = ACTIONS(1679),
    [anon_sym_flat] = ACTIONS(1679),
    [anon_sym_noperspective] = ACTIONS(1679),
    [anon_sym___extension__] = ACTIONS(1679),
    [anon_sym_typedef] = ACTIONS(1679),
    [anon_sym_extern] = ACTIONS(1679),
    [anon_sym___attribute__] = ACTIONS(1679),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1681),
    [anon_sym___declspec] = ACTIONS(1679),
    [anon_sym___cdecl] = ACTIONS(1679),
    [anon_sym___clrcall] = ACTIONS(1679),
    [anon_sym___stdcall] = ACTIONS(1679),
    [anon_sym___fastcall] = ACTIONS(1679),
    [anon_sym___thiscall] = ACTIONS(1679),
    [anon_sym___vectorcall] = ACTIONS(1679),
    [anon_sym_LBRACE] = ACTIONS(1681),
    [anon_sym_signed] = ACTIONS(1679),
    [anon_sym_unsigned] = ACTIONS(1679),
    [anon_sym_long] = ACTIONS(1679),
    [anon_sym_short] = ACTIONS(1679),
    [anon_sym_static] = ACTIONS(1679),
    [anon_sym_auto] = ACTIONS(1679),
    [anon_sym_register] = ACTIONS(1679),
    [anon_sym_inline] = ACTIONS(1679),
    [anon_sym___inline] = ACTIONS(1679),
    [anon_sym___inline__] = ACTIONS(1679),
    [anon_sym___forceinline] = ACTIONS(1679),
    [anon_sym_thread_local] = ACTIONS(1679),
    [anon_sym___thread] = ACTIONS(1679),
    [anon_sym_const] = ACTIONS(1679),
    [anon_sym_constexpr] = ACTIONS(1679),
    [anon_sym_volatile] = ACTIONS(1679),
    [anon_sym_restrict] = ACTIONS(1679),
    [anon_sym___restrict__] = ACTIONS(1679),
    [anon_sym__Atomic] = ACTIONS(1679),
    [anon_sym__Noreturn] = ACTIONS(1679),
    [anon_sym_noreturn] = ACTIONS(1679),
    [sym_primitive_type] = ACTIONS(1679),
    [anon_sym_enum] = ACTIONS(1679),
    [anon_sym_struct] = ACTIONS(1679),
    [anon_sym_union] = ACTIONS(1679),
    [anon_sym_if] = ACTIONS(1679),
    [anon_sym_switch] = ACTIONS(1679),
    [anon_sym_case] = ACTIONS(1679),
    [anon_sym_default] = ACTIONS(1679),
    [anon_sym_while] = ACTIONS(1679),
    [anon_sym_do] = ACTIONS(1679),
    [anon_sym_for] = ACTIONS(1679),
    [anon_sym_return] = ACTIONS(1679),
    [anon_sym_break] = ACTIONS(1679),
    [anon_sym_continue] = ACTIONS(1679),
    [anon_sym_goto] = ACTIONS(1679),
    [anon_sym_DASH_DASH] = ACTIONS(1681),
    [anon_sym_PLUS_PLUS] = ACTIONS(1681),
    [anon_sym_sizeof] = ACTIONS(1679),
    [anon_sym___alignof__] = ACTIONS(1679),
    [anon_sym___alignof] = ACTIONS(1679),
    [anon_sym__alignof] = ACTIONS(1679),
    [anon_sym_alignof] = ACTIONS(1679),
    [anon_sym__Alignof] = ACTIONS(1679),
    [anon_sym_offsetof] = ACTIONS(1679),
    [anon_sym__Generic] = ACTIONS(1679),
    [anon_sym_asm] = ACTIONS(1679),
    [anon_sym___asm__] = ACTIONS(1679),
    [sym_number_literal] = ACTIONS(1681),
    [anon_sym_L_SQUOTE] = ACTIONS(1681),
    [anon_sym_u_SQUOTE] = ACTIONS(1681),
    [anon_sym_U_SQUOTE] = ACTIONS(1681),
    [anon_sym_u8_SQUOTE] = ACTIONS(1681),
    [anon_sym_SQUOTE] = ACTIONS(1681),
    [anon_sym_L_DQUOTE] = ACTIONS(1681),
    [anon_sym_u_DQUOTE] = ACTIONS(1681),
    [anon_sym_U_DQUOTE] = ACTIONS(1681),
    [anon_sym_u8_DQUOTE] = ACTIONS(1681),
    [anon_sym_DQUOTE] = ACTIONS(1681),
    [sym_true] = ACTIONS(1679),
    [sym_false] = ACTIONS(1679),
    [anon_sym_NULL] = ACTIONS(1679),
    [anon_sym_nullptr] = ACTIONS(1679),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1679),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1679),
    [anon_sym_hitAttributeEXT] = ACTIONS(1679),
    [anon_sym_callableDataEXT] = ACTIONS(1679),
    [anon_sym_callableDataInEXT] = ACTIONS(1679),
    [anon_sym_shaderRecordEXT] = ACTIONS(1679),
    [anon_sym_rayPayloadNV] = ACTIONS(1679),
    [anon_sym_rayPayloadInNV] = ACTIONS(1679),
    [anon_sym_hitAttributeNV] = ACTIONS(1679),
    [anon_sym_callableDataNV] = ACTIONS(1679),
    [anon_sym_callableDataInNV] = ACTIONS(1679),
    [anon_sym_shaderRecordNV] = ACTIONS(1679),
    [anon_sym_layout] = ACTIONS(1679),
  },
  [603] = {
    [ts_builtin_sym_end] = ACTIONS(1677),
    [sym_identifier] = ACTIONS(1675),
    [aux_sym_preproc_include_token1] = ACTIONS(1675),
    [aux_sym_preproc_def_token1] = ACTIONS(1675),
    [aux_sym_preproc_if_token1] = ACTIONS(1675),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1675),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1675),
    [sym_preproc_directive] = ACTIONS(1675),
    [anon_sym_LPAREN2] = ACTIONS(1677),
    [anon_sym_BANG] = ACTIONS(1677),
    [anon_sym_TILDE] = ACTIONS(1677),
    [anon_sym_DASH] = ACTIONS(1675),
    [anon_sym_PLUS] = ACTIONS(1675),
    [anon_sym_STAR] = ACTIONS(1677),
    [anon_sym_AMP] = ACTIONS(1677),
    [anon_sym_subroutine] = ACTIONS(1675),
    [anon_sym_invariant] = ACTIONS(1675),
    [anon_sym_precise] = ACTIONS(1675),
    [anon_sym_in] = ACTIONS(1675),
    [anon_sym_out] = ACTIONS(1675),
    [anon_sym_inout] = ACTIONS(1675),
    [anon_sym_uniform] = ACTIONS(1675),
    [anon_sym_shared] = ACTIONS(1675),
    [anon_sym_attribute] = ACTIONS(1675),
    [anon_sym_varying] = ACTIONS(1675),
    [anon_sym_buffer] = ACTIONS(1675),
    [anon_sym_coherent] = ACTIONS(1675),
    [anon_sym_readonly] = ACTIONS(1675),
    [anon_sym_writeonly] = ACTIONS(1675),
    [anon_sym_precision] = ACTIONS(1675),
    [anon_sym_highp] = ACTIONS(1675),
    [anon_sym_mediump] = ACTIONS(1675),
    [anon_sym_lowp] = ACTIONS(1675),
    [anon_sym_centroid] = ACTIONS(1675),
    [anon_sym_sample] = ACTIONS(1675),
    [anon_sym_patch] = ACTIONS(1675),
    [anon_sym_smooth] = ACTIONS(1675),
    [anon_sym_flat] = ACTIONS(1675),
    [anon_sym_noperspective] = ACTIONS(1675),
    [anon_sym___extension__] = ACTIONS(1675),
    [anon_sym_typedef] = ACTIONS(1675),
    [anon_sym_extern] = ACTIONS(1675),
    [anon_sym___attribute__] = ACTIONS(1675),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1677),
    [anon_sym___declspec] = ACTIONS(1675),
    [anon_sym___cdecl] = ACTIONS(1675),
    [anon_sym___clrcall] = ACTIONS(1675),
    [anon_sym___stdcall] = ACTIONS(1675),
    [anon_sym___fastcall] = ACTIONS(1675),
    [anon_sym___thiscall] = ACTIONS(1675),
    [anon_sym___vectorcall] = ACTIONS(1675),
    [anon_sym_LBRACE] = ACTIONS(1677),
    [anon_sym_signed] = ACTIONS(1675),
    [anon_sym_unsigned] = ACTIONS(1675),
    [anon_sym_long] = ACTIONS(1675),
    [anon_sym_short] = ACTIONS(1675),
    [anon_sym_static] = ACTIONS(1675),
    [anon_sym_auto] = ACTIONS(1675),
    [anon_sym_register] = ACTIONS(1675),
    [anon_sym_inline] = ACTIONS(1675),
    [anon_sym___inline] = ACTIONS(1675),
    [anon_sym___inline__] = ACTIONS(1675),
    [anon_sym___forceinline] = ACTIONS(1675),
    [anon_sym_thread_local] = ACTIONS(1675),
    [anon_sym___thread] = ACTIONS(1675),
    [anon_sym_const] = ACTIONS(1675),
    [anon_sym_constexpr] = ACTIONS(1675),
    [anon_sym_volatile] = ACTIONS(1675),
    [anon_sym_restrict] = ACTIONS(1675),
    [anon_sym___restrict__] = ACTIONS(1675),
    [anon_sym__Atomic] = ACTIONS(1675),
    [anon_sym__Noreturn] = ACTIONS(1675),
    [anon_sym_noreturn] = ACTIONS(1675),
    [sym_primitive_type] = ACTIONS(1675),
    [anon_sym_enum] = ACTIONS(1675),
    [anon_sym_struct] = ACTIONS(1675),
    [anon_sym_union] = ACTIONS(1675),
    [anon_sym_if] = ACTIONS(1675),
    [anon_sym_switch] = ACTIONS(1675),
    [anon_sym_case] = ACTIONS(1675),
    [anon_sym_default] = ACTIONS(1675),
    [anon_sym_while] = ACTIONS(1675),
    [anon_sym_do] = ACTIONS(1675),
    [anon_sym_for] = ACTIONS(1675),
    [anon_sym_return] = ACTIONS(1675),
    [anon_sym_break] = ACTIONS(1675),
    [anon_sym_continue] = ACTIONS(1675),
    [anon_sym_goto] = ACTIONS(1675),
    [anon_sym_DASH_DASH] = ACTIONS(1677),
    [anon_sym_PLUS_PLUS] = ACTIONS(1677),
    [anon_sym_sizeof] = ACTIONS(1675),
    [anon_sym___alignof__] = ACTIONS(1675),
    [anon_sym___alignof] = ACTIONS(1675),
    [anon_sym__alignof] = ACTIONS(1675),
    [anon_sym_alignof] = ACTIONS(1675),
    [anon_sym__Alignof] = ACTIONS(1675),
    [anon_sym_offsetof] = ACTIONS(1675),
    [anon_sym__Generic] = ACTIONS(1675),
    [anon_sym_asm] = ACTIONS(1675),
    [anon_sym___asm__] = ACTIONS(1675),
    [sym_number_literal] = ACTIONS(1677),
    [anon_sym_L_SQUOTE] = ACTIONS(1677),
    [anon_sym_u_SQUOTE] = ACTIONS(1677),
    [anon_sym_U_SQUOTE] = ACTIONS(1677),
    [anon_sym_u8_SQUOTE] = ACTIONS(1677),
    [anon_sym_SQUOTE] = ACTIONS(1677),
    [anon_sym_L_DQUOTE] = ACTIONS(1677),
    [anon_sym_u_DQUOTE] = ACTIONS(1677),
    [anon_sym_U_DQUOTE] = ACTIONS(1677),
    [anon_sym_u8_DQUOTE] = ACTIONS(1677),
    [anon_sym_DQUOTE] = ACTIONS(1677),
    [sym_true] = ACTIONS(1675),
    [sym_false] = ACTIONS(1675),
    [anon_sym_NULL] = ACTIONS(1675),
    [anon_sym_nullptr] = ACTIONS(1675),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1675),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1675),
    [anon_sym_hitAttributeEXT] = ACTIONS(1675),
    [anon_sym_callableDataEXT] = ACTIONS(1675),
    [anon_sym_callableDataInEXT] = ACTIONS(1675),
    [anon_sym_shaderRecordEXT] = ACTIONS(1675),
    [anon_sym_rayPayloadNV] = ACTIONS(1675),
    [anon_sym_rayPayloadInNV] = ACTIONS(1675),
    [anon_sym_hitAttributeNV] = ACTIONS(1675),
    [anon_sym_callableDataNV] = ACTIONS(1675),
    [anon_sym_callableDataInNV] = ACTIONS(1675),
    [anon_sym_shaderRecordNV] = ACTIONS(1675),
    [anon_sym_layout] = ACTIONS(1675),
  },
  [604] = {
    [ts_builtin_sym_end] = ACTIONS(1717),
    [sym_identifier] = ACTIONS(1715),
    [aux_sym_preproc_include_token1] = ACTIONS(1715),
    [aux_sym_preproc_def_token1] = ACTIONS(1715),
    [aux_sym_preproc_if_token1] = ACTIONS(1715),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1715),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1715),
    [sym_preproc_directive] = ACTIONS(1715),
    [anon_sym_LPAREN2] = ACTIONS(1717),
    [anon_sym_BANG] = ACTIONS(1717),
    [anon_sym_TILDE] = ACTIONS(1717),
    [anon_sym_DASH] = ACTIONS(1715),
    [anon_sym_PLUS] = ACTIONS(1715),
    [anon_sym_STAR] = ACTIONS(1717),
    [anon_sym_AMP] = ACTIONS(1717),
    [anon_sym_subroutine] = ACTIONS(1715),
    [anon_sym_invariant] = ACTIONS(1715),
    [anon_sym_precise] = ACTIONS(1715),
    [anon_sym_in] = ACTIONS(1715),
    [anon_sym_out] = ACTIONS(1715),
    [anon_sym_inout] = ACTIONS(1715),
    [anon_sym_uniform] = ACTIONS(1715),
    [anon_sym_shared] = ACTIONS(1715),
    [anon_sym_attribute] = ACTIONS(1715),
    [anon_sym_varying] = ACTIONS(1715),
    [anon_sym_buffer] = ACTIONS(1715),
    [anon_sym_coherent] = ACTIONS(1715),
    [anon_sym_readonly] = ACTIONS(1715),
    [anon_sym_writeonly] = ACTIONS(1715),
    [anon_sym_precision] = ACTIONS(1715),
    [anon_sym_highp] = ACTIONS(1715),
    [anon_sym_mediump] = ACTIONS(1715),
    [anon_sym_lowp] = ACTIONS(1715),
    [anon_sym_centroid] = ACTIONS(1715),
    [anon_sym_sample] = ACTIONS(1715),
    [anon_sym_patch] = ACTIONS(1715),
    [anon_sym_smooth] = ACTIONS(1715),
    [anon_sym_flat] = ACTIONS(1715),
    [anon_sym_noperspective] = ACTIONS(1715),
    [anon_sym___extension__] = ACTIONS(1715),
    [anon_sym_typedef] = ACTIONS(1715),
    [anon_sym_extern] = ACTIONS(1715),
    [anon_sym___attribute__] = ACTIONS(1715),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1717),
    [anon_sym___declspec] = ACTIONS(1715),
    [anon_sym___cdecl] = ACTIONS(1715),
    [anon_sym___clrcall] = ACTIONS(1715),
    [anon_sym___stdcall] = ACTIONS(1715),
    [anon_sym___fastcall] = ACTIONS(1715),
    [anon_sym___thiscall] = ACTIONS(1715),
    [anon_sym___vectorcall] = ACTIONS(1715),
    [anon_sym_LBRACE] = ACTIONS(1717),
    [anon_sym_signed] = ACTIONS(1715),
    [anon_sym_unsigned] = ACTIONS(1715),
    [anon_sym_long] = ACTIONS(1715),
    [anon_sym_short] = ACTIONS(1715),
    [anon_sym_static] = ACTIONS(1715),
    [anon_sym_auto] = ACTIONS(1715),
    [anon_sym_register] = ACTIONS(1715),
    [anon_sym_inline] = ACTIONS(1715),
    [anon_sym___inline] = ACTIONS(1715),
    [anon_sym___inline__] = ACTIONS(1715),
    [anon_sym___forceinline] = ACTIONS(1715),
    [anon_sym_thread_local] = ACTIONS(1715),
    [anon_sym___thread] = ACTIONS(1715),
    [anon_sym_const] = ACTIONS(1715),
    [anon_sym_constexpr] = ACTIONS(1715),
    [anon_sym_volatile] = ACTIONS(1715),
    [anon_sym_restrict] = ACTIONS(1715),
    [anon_sym___restrict__] = ACTIONS(1715),
    [anon_sym__Atomic] = ACTIONS(1715),
    [anon_sym__Noreturn] = ACTIONS(1715),
    [anon_sym_noreturn] = ACTIONS(1715),
    [sym_primitive_type] = ACTIONS(1715),
    [anon_sym_enum] = ACTIONS(1715),
    [anon_sym_struct] = ACTIONS(1715),
    [anon_sym_union] = ACTIONS(1715),
    [anon_sym_if] = ACTIONS(1715),
    [anon_sym_switch] = ACTIONS(1715),
    [anon_sym_case] = ACTIONS(1715),
    [anon_sym_default] = ACTIONS(1715),
    [anon_sym_while] = ACTIONS(1715),
    [anon_sym_do] = ACTIONS(1715),
    [anon_sym_for] = ACTIONS(1715),
    [anon_sym_return] = ACTIONS(1715),
    [anon_sym_break] = ACTIONS(1715),
    [anon_sym_continue] = ACTIONS(1715),
    [anon_sym_goto] = ACTIONS(1715),
    [anon_sym_DASH_DASH] = ACTIONS(1717),
    [anon_sym_PLUS_PLUS] = ACTIONS(1717),
    [anon_sym_sizeof] = ACTIONS(1715),
    [anon_sym___alignof__] = ACTIONS(1715),
    [anon_sym___alignof] = ACTIONS(1715),
    [anon_sym__alignof] = ACTIONS(1715),
    [anon_sym_alignof] = ACTIONS(1715),
    [anon_sym__Alignof] = ACTIONS(1715),
    [anon_sym_offsetof] = ACTIONS(1715),
    [anon_sym__Generic] = ACTIONS(1715),
    [anon_sym_asm] = ACTIONS(1715),
    [anon_sym___asm__] = ACTIONS(1715),
    [sym_number_literal] = ACTIONS(1717),
    [anon_sym_L_SQUOTE] = ACTIONS(1717),
    [anon_sym_u_SQUOTE] = ACTIONS(1717),
    [anon_sym_U_SQUOTE] = ACTIONS(1717),
    [anon_sym_u8_SQUOTE] = ACTIONS(1717),
    [anon_sym_SQUOTE] = ACTIONS(1717),
    [anon_sym_L_DQUOTE] = ACTIONS(1717),
    [anon_sym_u_DQUOTE] = ACTIONS(1717),
    [anon_sym_U_DQUOTE] = ACTIONS(1717),
    [anon_sym_u8_DQUOTE] = ACTIONS(1717),
    [anon_sym_DQUOTE] = ACTIONS(1717),
    [sym_true] = ACTIONS(1715),
    [sym_false] = ACTIONS(1715),
    [anon_sym_NULL] = ACTIONS(1715),
    [anon_sym_nullptr] = ACTIONS(1715),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1715),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1715),
    [anon_sym_hitAttributeEXT] = ACTIONS(1715),
    [anon_sym_callableDataEXT] = ACTIONS(1715),
    [anon_sym_callableDataInEXT] = ACTIONS(1715),
    [anon_sym_shaderRecordEXT] = ACTIONS(1715),
    [anon_sym_rayPayloadNV] = ACTIONS(1715),
    [anon_sym_rayPayloadInNV] = ACTIONS(1715),
    [anon_sym_hitAttributeNV] = ACTIONS(1715),
    [anon_sym_callableDataNV] = ACTIONS(1715),
    [anon_sym_callableDataInNV] = ACTIONS(1715),
    [anon_sym_shaderRecordNV] = ACTIONS(1715),
    [anon_sym_layout] = ACTIONS(1715),
  },
  [605] = {
    [ts_builtin_sym_end] = ACTIONS(1661),
    [sym_identifier] = ACTIONS(1659),
    [aux_sym_preproc_include_token1] = ACTIONS(1659),
    [aux_sym_preproc_def_token1] = ACTIONS(1659),
    [aux_sym_preproc_if_token1] = ACTIONS(1659),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1659),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1659),
    [sym_preproc_directive] = ACTIONS(1659),
    [anon_sym_LPAREN2] = ACTIONS(1661),
    [anon_sym_BANG] = ACTIONS(1661),
    [anon_sym_TILDE] = ACTIONS(1661),
    [anon_sym_DASH] = ACTIONS(1659),
    [anon_sym_PLUS] = ACTIONS(1659),
    [anon_sym_STAR] = ACTIONS(1661),
    [anon_sym_AMP] = ACTIONS(1661),
    [anon_sym_subroutine] = ACTIONS(1659),
    [anon_sym_invariant] = ACTIONS(1659),
    [anon_sym_precise] = ACTIONS(1659),
    [anon_sym_in] = ACTIONS(1659),
    [anon_sym_out] = ACTIONS(1659),
    [anon_sym_inout] = ACTIONS(1659),
    [anon_sym_uniform] = ACTIONS(1659),
    [anon_sym_shared] = ACTIONS(1659),
    [anon_sym_attribute] = ACTIONS(1659),
    [anon_sym_varying] = ACTIONS(1659),
    [anon_sym_buffer] = ACTIONS(1659),
    [anon_sym_coherent] = ACTIONS(1659),
    [anon_sym_readonly] = ACTIONS(1659),
    [anon_sym_writeonly] = ACTIONS(1659),
    [anon_sym_precision] = ACTIONS(1659),
    [anon_sym_highp] = ACTIONS(1659),
    [anon_sym_mediump] = ACTIONS(1659),
    [anon_sym_lowp] = ACTIONS(1659),
    [anon_sym_centroid] = ACTIONS(1659),
    [anon_sym_sample] = ACTIONS(1659),
    [anon_sym_patch] = ACTIONS(1659),
    [anon_sym_smooth] = ACTIONS(1659),
    [anon_sym_flat] = ACTIONS(1659),
    [anon_sym_noperspective] = ACTIONS(1659),
    [anon_sym___extension__] = ACTIONS(1659),
    [anon_sym_typedef] = ACTIONS(1659),
    [anon_sym_extern] = ACTIONS(1659),
    [anon_sym___attribute__] = ACTIONS(1659),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1661),
    [anon_sym___declspec] = ACTIONS(1659),
    [anon_sym___cdecl] = ACTIONS(1659),
    [anon_sym___clrcall] = ACTIONS(1659),
    [anon_sym___stdcall] = ACTIONS(1659),
    [anon_sym___fastcall] = ACTIONS(1659),
    [anon_sym___thiscall] = ACTIONS(1659),
    [anon_sym___vectorcall] = ACTIONS(1659),
    [anon_sym_LBRACE] = ACTIONS(1661),
    [anon_sym_signed] = ACTIONS(1659),
    [anon_sym_unsigned] = ACTIONS(1659),
    [anon_sym_long] = ACTIONS(1659),
    [anon_sym_short] = ACTIONS(1659),
    [anon_sym_static] = ACTIONS(1659),
    [anon_sym_auto] = ACTIONS(1659),
    [anon_sym_register] = ACTIONS(1659),
    [anon_sym_inline] = ACTIONS(1659),
    [anon_sym___inline] = ACTIONS(1659),
    [anon_sym___inline__] = ACTIONS(1659),
    [anon_sym___forceinline] = ACTIONS(1659),
    [anon_sym_thread_local] = ACTIONS(1659),
    [anon_sym___thread] = ACTIONS(1659),
    [anon_sym_const] = ACTIONS(1659),
    [anon_sym_constexpr] = ACTIONS(1659),
    [anon_sym_volatile] = ACTIONS(1659),
    [anon_sym_restrict] = ACTIONS(1659),
    [anon_sym___restrict__] = ACTIONS(1659),
    [anon_sym__Atomic] = ACTIONS(1659),
    [anon_sym__Noreturn] = ACTIONS(1659),
    [anon_sym_noreturn] = ACTIONS(1659),
    [sym_primitive_type] = ACTIONS(1659),
    [anon_sym_enum] = ACTIONS(1659),
    [anon_sym_struct] = ACTIONS(1659),
    [anon_sym_union] = ACTIONS(1659),
    [anon_sym_if] = ACTIONS(1659),
    [anon_sym_switch] = ACTIONS(1659),
    [anon_sym_case] = ACTIONS(1659),
    [anon_sym_default] = ACTIONS(1659),
    [anon_sym_while] = ACTIONS(1659),
    [anon_sym_do] = ACTIONS(1659),
    [anon_sym_for] = ACTIONS(1659),
    [anon_sym_return] = ACTIONS(1659),
    [anon_sym_break] = ACTIONS(1659),
    [anon_sym_continue] = ACTIONS(1659),
    [anon_sym_goto] = ACTIONS(1659),
    [anon_sym_DASH_DASH] = ACTIONS(1661),
    [anon_sym_PLUS_PLUS] = ACTIONS(1661),
    [anon_sym_sizeof] = ACTIONS(1659),
    [anon_sym___alignof__] = ACTIONS(1659),
    [anon_sym___alignof] = ACTIONS(1659),
    [anon_sym__alignof] = ACTIONS(1659),
    [anon_sym_alignof] = ACTIONS(1659),
    [anon_sym__Alignof] = ACTIONS(1659),
    [anon_sym_offsetof] = ACTIONS(1659),
    [anon_sym__Generic] = ACTIONS(1659),
    [anon_sym_asm] = ACTIONS(1659),
    [anon_sym___asm__] = ACTIONS(1659),
    [sym_number_literal] = ACTIONS(1661),
    [anon_sym_L_SQUOTE] = ACTIONS(1661),
    [anon_sym_u_SQUOTE] = ACTIONS(1661),
    [anon_sym_U_SQUOTE] = ACTIONS(1661),
    [anon_sym_u8_SQUOTE] = ACTIONS(1661),
    [anon_sym_SQUOTE] = ACTIONS(1661),
    [anon_sym_L_DQUOTE] = ACTIONS(1661),
    [anon_sym_u_DQUOTE] = ACTIONS(1661),
    [anon_sym_U_DQUOTE] = ACTIONS(1661),
    [anon_sym_u8_DQUOTE] = ACTIONS(1661),
    [anon_sym_DQUOTE] = ACTIONS(1661),
    [sym_true] = ACTIONS(1659),
    [sym_false] = ACTIONS(1659),
    [anon_sym_NULL] = ACTIONS(1659),
    [anon_sym_nullptr] = ACTIONS(1659),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1659),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1659),
    [anon_sym_hitAttributeEXT] = ACTIONS(1659),
    [anon_sym_callableDataEXT] = ACTIONS(1659),
    [anon_sym_callableDataInEXT] = ACTIONS(1659),
    [anon_sym_shaderRecordEXT] = ACTIONS(1659),
    [anon_sym_rayPayloadNV] = ACTIONS(1659),
    [anon_sym_rayPayloadInNV] = ACTIONS(1659),
    [anon_sym_hitAttributeNV] = ACTIONS(1659),
    [anon_sym_callableDataNV] = ACTIONS(1659),
    [anon_sym_callableDataInNV] = ACTIONS(1659),
    [anon_sym_shaderRecordNV] = ACTIONS(1659),
    [anon_sym_layout] = ACTIONS(1659),
  },
  [606] = {
    [ts_builtin_sym_end] = ACTIONS(1709),
    [sym_identifier] = ACTIONS(1707),
    [aux_sym_preproc_include_token1] = ACTIONS(1707),
    [aux_sym_preproc_def_token1] = ACTIONS(1707),
    [aux_sym_preproc_if_token1] = ACTIONS(1707),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1707),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1707),
    [sym_preproc_directive] = ACTIONS(1707),
    [anon_sym_LPAREN2] = ACTIONS(1709),
    [anon_sym_BANG] = ACTIONS(1709),
    [anon_sym_TILDE] = ACTIONS(1709),
    [anon_sym_DASH] = ACTIONS(1707),
    [anon_sym_PLUS] = ACTIONS(1707),
    [anon_sym_STAR] = ACTIONS(1709),
    [anon_sym_AMP] = ACTIONS(1709),
    [anon_sym_subroutine] = ACTIONS(1707),
    [anon_sym_invariant] = ACTIONS(1707),
    [anon_sym_precise] = ACTIONS(1707),
    [anon_sym_in] = ACTIONS(1707),
    [anon_sym_out] = ACTIONS(1707),
    [anon_sym_inout] = ACTIONS(1707),
    [anon_sym_uniform] = ACTIONS(1707),
    [anon_sym_shared] = ACTIONS(1707),
    [anon_sym_attribute] = ACTIONS(1707),
    [anon_sym_varying] = ACTIONS(1707),
    [anon_sym_buffer] = ACTIONS(1707),
    [anon_sym_coherent] = ACTIONS(1707),
    [anon_sym_readonly] = ACTIONS(1707),
    [anon_sym_writeonly] = ACTIONS(1707),
    [anon_sym_precision] = ACTIONS(1707),
    [anon_sym_highp] = ACTIONS(1707),
    [anon_sym_mediump] = ACTIONS(1707),
    [anon_sym_lowp] = ACTIONS(1707),
    [anon_sym_centroid] = ACTIONS(1707),
    [anon_sym_sample] = ACTIONS(1707),
    [anon_sym_patch] = ACTIONS(1707),
    [anon_sym_smooth] = ACTIONS(1707),
    [anon_sym_flat] = ACTIONS(1707),
    [anon_sym_noperspective] = ACTIONS(1707),
    [anon_sym___extension__] = ACTIONS(1707),
    [anon_sym_typedef] = ACTIONS(1707),
    [anon_sym_extern] = ACTIONS(1707),
    [anon_sym___attribute__] = ACTIONS(1707),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1709),
    [anon_sym___declspec] = ACTIONS(1707),
    [anon_sym___cdecl] = ACTIONS(1707),
    [anon_sym___clrcall] = ACTIONS(1707),
    [anon_sym___stdcall] = ACTIONS(1707),
    [anon_sym___fastcall] = ACTIONS(1707),
    [anon_sym___thiscall] = ACTIONS(1707),
    [anon_sym___vectorcall] = ACTIONS(1707),
    [anon_sym_LBRACE] = ACTIONS(1709),
    [anon_sym_signed] = ACTIONS(1707),
    [anon_sym_unsigned] = ACTIONS(1707),
    [anon_sym_long] = ACTIONS(1707),
    [anon_sym_short] = ACTIONS(1707),
    [anon_sym_static] = ACTIONS(1707),
    [anon_sym_auto] = ACTIONS(1707),
    [anon_sym_register] = ACTIONS(1707),
    [anon_sym_inline] = ACTIONS(1707),
    [anon_sym___inline] = ACTIONS(1707),
    [anon_sym___inline__] = ACTIONS(1707),
    [anon_sym___forceinline] = ACTIONS(1707),
    [anon_sym_thread_local] = ACTIONS(1707),
    [anon_sym___thread] = ACTIONS(1707),
    [anon_sym_const] = ACTIONS(1707),
    [anon_sym_constexpr] = ACTIONS(1707),
    [anon_sym_volatile] = ACTIONS(1707),
    [anon_sym_restrict] = ACTIONS(1707),
    [anon_sym___restrict__] = ACTIONS(1707),
    [anon_sym__Atomic] = ACTIONS(1707),
    [anon_sym__Noreturn] = ACTIONS(1707),
    [anon_sym_noreturn] = ACTIONS(1707),
    [sym_primitive_type] = ACTIONS(1707),
    [anon_sym_enum] = ACTIONS(1707),
    [anon_sym_struct] = ACTIONS(1707),
    [anon_sym_union] = ACTIONS(1707),
    [anon_sym_if] = ACTIONS(1707),
    [anon_sym_switch] = ACTIONS(1707),
    [anon_sym_case] = ACTIONS(1707),
    [anon_sym_default] = ACTIONS(1707),
    [anon_sym_while] = ACTIONS(1707),
    [anon_sym_do] = ACTIONS(1707),
    [anon_sym_for] = ACTIONS(1707),
    [anon_sym_return] = ACTIONS(1707),
    [anon_sym_break] = ACTIONS(1707),
    [anon_sym_continue] = ACTIONS(1707),
    [anon_sym_goto] = ACTIONS(1707),
    [anon_sym_DASH_DASH] = ACTIONS(1709),
    [anon_sym_PLUS_PLUS] = ACTIONS(1709),
    [anon_sym_sizeof] = ACTIONS(1707),
    [anon_sym___alignof__] = ACTIONS(1707),
    [anon_sym___alignof] = ACTIONS(1707),
    [anon_sym__alignof] = ACTIONS(1707),
    [anon_sym_alignof] = ACTIONS(1707),
    [anon_sym__Alignof] = ACTIONS(1707),
    [anon_sym_offsetof] = ACTIONS(1707),
    [anon_sym__Generic] = ACTIONS(1707),
    [anon_sym_asm] = ACTIONS(1707),
    [anon_sym___asm__] = ACTIONS(1707),
    [sym_number_literal] = ACTIONS(1709),
    [anon_sym_L_SQUOTE] = ACTIONS(1709),
    [anon_sym_u_SQUOTE] = ACTIONS(1709),
    [anon_sym_U_SQUOTE] = ACTIONS(1709),
    [anon_sym_u8_SQUOTE] = ACTIONS(1709),
    [anon_sym_SQUOTE] = ACTIONS(1709),
    [anon_sym_L_DQUOTE] = ACTIONS(1709),
    [anon_sym_u_DQUOTE] = ACTIONS(1709),
    [anon_sym_U_DQUOTE] = ACTIONS(1709),
    [anon_sym_u8_DQUOTE] = ACTIONS(1709),
    [anon_sym_DQUOTE] = ACTIONS(1709),
    [sym_true] = ACTIONS(1707),
    [sym_false] = ACTIONS(1707),
    [anon_sym_NULL] = ACTIONS(1707),
    [anon_sym_nullptr] = ACTIONS(1707),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1707),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1707),
    [anon_sym_hitAttributeEXT] = ACTIONS(1707),
    [anon_sym_callableDataEXT] = ACTIONS(1707),
    [anon_sym_callableDataInEXT] = ACTIONS(1707),
    [anon_sym_shaderRecordEXT] = ACTIONS(1707),
    [anon_sym_rayPayloadNV] = ACTIONS(1707),
    [anon_sym_rayPayloadInNV] = ACTIONS(1707),
    [anon_sym_hitAttributeNV] = ACTIONS(1707),
    [anon_sym_callableDataNV] = ACTIONS(1707),
    [anon_sym_callableDataInNV] = ACTIONS(1707),
    [anon_sym_shaderRecordNV] = ACTIONS(1707),
    [anon_sym_layout] = ACTIONS(1707),
  },
  [607] = {
    [ts_builtin_sym_end] = ACTIONS(1713),
    [sym_identifier] = ACTIONS(1711),
    [aux_sym_preproc_include_token1] = ACTIONS(1711),
    [aux_sym_preproc_def_token1] = ACTIONS(1711),
    [aux_sym_preproc_if_token1] = ACTIONS(1711),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1711),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1711),
    [sym_preproc_directive] = ACTIONS(1711),
    [anon_sym_LPAREN2] = ACTIONS(1713),
    [anon_sym_BANG] = ACTIONS(1713),
    [anon_sym_TILDE] = ACTIONS(1713),
    [anon_sym_DASH] = ACTIONS(1711),
    [anon_sym_PLUS] = ACTIONS(1711),
    [anon_sym_STAR] = ACTIONS(1713),
    [anon_sym_AMP] = ACTIONS(1713),
    [anon_sym_subroutine] = ACTIONS(1711),
    [anon_sym_invariant] = ACTIONS(1711),
    [anon_sym_precise] = ACTIONS(1711),
    [anon_sym_in] = ACTIONS(1711),
    [anon_sym_out] = ACTIONS(1711),
    [anon_sym_inout] = ACTIONS(1711),
    [anon_sym_uniform] = ACTIONS(1711),
    [anon_sym_shared] = ACTIONS(1711),
    [anon_sym_attribute] = ACTIONS(1711),
    [anon_sym_varying] = ACTIONS(1711),
    [anon_sym_buffer] = ACTIONS(1711),
    [anon_sym_coherent] = ACTIONS(1711),
    [anon_sym_readonly] = ACTIONS(1711),
    [anon_sym_writeonly] = ACTIONS(1711),
    [anon_sym_precision] = ACTIONS(1711),
    [anon_sym_highp] = ACTIONS(1711),
    [anon_sym_mediump] = ACTIONS(1711),
    [anon_sym_lowp] = ACTIONS(1711),
    [anon_sym_centroid] = ACTIONS(1711),
    [anon_sym_sample] = ACTIONS(1711),
    [anon_sym_patch] = ACTIONS(1711),
    [anon_sym_smooth] = ACTIONS(1711),
    [anon_sym_flat] = ACTIONS(1711),
    [anon_sym_noperspective] = ACTIONS(1711),
    [anon_sym___extension__] = ACTIONS(1711),
    [anon_sym_typedef] = ACTIONS(1711),
    [anon_sym_extern] = ACTIONS(1711),
    [anon_sym___attribute__] = ACTIONS(1711),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1713),
    [anon_sym___declspec] = ACTIONS(1711),
    [anon_sym___cdecl] = ACTIONS(1711),
    [anon_sym___clrcall] = ACTIONS(1711),
    [anon_sym___stdcall] = ACTIONS(1711),
    [anon_sym___fastcall] = ACTIONS(1711),
    [anon_sym___thiscall] = ACTIONS(1711),
    [anon_sym___vectorcall] = ACTIONS(1711),
    [anon_sym_LBRACE] = ACTIONS(1713),
    [anon_sym_signed] = ACTIONS(1711),
    [anon_sym_unsigned] = ACTIONS(1711),
    [anon_sym_long] = ACTIONS(1711),
    [anon_sym_short] = ACTIONS(1711),
    [anon_sym_static] = ACTIONS(1711),
    [anon_sym_auto] = ACTIONS(1711),
    [anon_sym_register] = ACTIONS(1711),
    [anon_sym_inline] = ACTIONS(1711),
    [anon_sym___inline] = ACTIONS(1711),
    [anon_sym___inline__] = ACTIONS(1711),
    [anon_sym___forceinline] = ACTIONS(1711),
    [anon_sym_thread_local] = ACTIONS(1711),
    [anon_sym___thread] = ACTIONS(1711),
    [anon_sym_const] = ACTIONS(1711),
    [anon_sym_constexpr] = ACTIONS(1711),
    [anon_sym_volatile] = ACTIONS(1711),
    [anon_sym_restrict] = ACTIONS(1711),
    [anon_sym___restrict__] = ACTIONS(1711),
    [anon_sym__Atomic] = ACTIONS(1711),
    [anon_sym__Noreturn] = ACTIONS(1711),
    [anon_sym_noreturn] = ACTIONS(1711),
    [sym_primitive_type] = ACTIONS(1711),
    [anon_sym_enum] = ACTIONS(1711),
    [anon_sym_struct] = ACTIONS(1711),
    [anon_sym_union] = ACTIONS(1711),
    [anon_sym_if] = ACTIONS(1711),
    [anon_sym_switch] = ACTIONS(1711),
    [anon_sym_case] = ACTIONS(1711),
    [anon_sym_default] = ACTIONS(1711),
    [anon_sym_while] = ACTIONS(1711),
    [anon_sym_do] = ACTIONS(1711),
    [anon_sym_for] = ACTIONS(1711),
    [anon_sym_return] = ACTIONS(1711),
    [anon_sym_break] = ACTIONS(1711),
    [anon_sym_continue] = ACTIONS(1711),
    [anon_sym_goto] = ACTIONS(1711),
    [anon_sym_DASH_DASH] = ACTIONS(1713),
    [anon_sym_PLUS_PLUS] = ACTIONS(1713),
    [anon_sym_sizeof] = ACTIONS(1711),
    [anon_sym___alignof__] = ACTIONS(1711),
    [anon_sym___alignof] = ACTIONS(1711),
    [anon_sym__alignof] = ACTIONS(1711),
    [anon_sym_alignof] = ACTIONS(1711),
    [anon_sym__Alignof] = ACTIONS(1711),
    [anon_sym_offsetof] = ACTIONS(1711),
    [anon_sym__Generic] = ACTIONS(1711),
    [anon_sym_asm] = ACTIONS(1711),
    [anon_sym___asm__] = ACTIONS(1711),
    [sym_number_literal] = ACTIONS(1713),
    [anon_sym_L_SQUOTE] = ACTIONS(1713),
    [anon_sym_u_SQUOTE] = ACTIONS(1713),
    [anon_sym_U_SQUOTE] = ACTIONS(1713),
    [anon_sym_u8_SQUOTE] = ACTIONS(1713),
    [anon_sym_SQUOTE] = ACTIONS(1713),
    [anon_sym_L_DQUOTE] = ACTIONS(1713),
    [anon_sym_u_DQUOTE] = ACTIONS(1713),
    [anon_sym_U_DQUOTE] = ACTIONS(1713),
    [anon_sym_u8_DQUOTE] = ACTIONS(1713),
    [anon_sym_DQUOTE] = ACTIONS(1713),
    [sym_true] = ACTIONS(1711),
    [sym_false] = ACTIONS(1711),
    [anon_sym_NULL] = ACTIONS(1711),
    [anon_sym_nullptr] = ACTIONS(1711),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1711),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1711),
    [anon_sym_hitAttributeEXT] = ACTIONS(1711),
    [anon_sym_callableDataEXT] = ACTIONS(1711),
    [anon_sym_callableDataInEXT] = ACTIONS(1711),
    [anon_sym_shaderRecordEXT] = ACTIONS(1711),
    [anon_sym_rayPayloadNV] = ACTIONS(1711),
    [anon_sym_rayPayloadInNV] = ACTIONS(1711),
    [anon_sym_hitAttributeNV] = ACTIONS(1711),
    [anon_sym_callableDataNV] = ACTIONS(1711),
    [anon_sym_callableDataInNV] = ACTIONS(1711),
    [anon_sym_shaderRecordNV] = ACTIONS(1711),
    [anon_sym_layout] = ACTIONS(1711),
  },
  [608] = {
    [ts_builtin_sym_end] = ACTIONS(1657),
    [sym_identifier] = ACTIONS(1655),
    [aux_sym_preproc_include_token1] = ACTIONS(1655),
    [aux_sym_preproc_def_token1] = ACTIONS(1655),
    [aux_sym_preproc_if_token1] = ACTIONS(1655),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1655),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1655),
    [sym_preproc_directive] = ACTIONS(1655),
    [anon_sym_LPAREN2] = ACTIONS(1657),
    [anon_sym_BANG] = ACTIONS(1657),
    [anon_sym_TILDE] = ACTIONS(1657),
    [anon_sym_DASH] = ACTIONS(1655),
    [anon_sym_PLUS] = ACTIONS(1655),
    [anon_sym_STAR] = ACTIONS(1657),
    [anon_sym_AMP] = ACTIONS(1657),
    [anon_sym_subroutine] = ACTIONS(1655),
    [anon_sym_invariant] = ACTIONS(1655),
    [anon_sym_precise] = ACTIONS(1655),
    [anon_sym_in] = ACTIONS(1655),
    [anon_sym_out] = ACTIONS(1655),
    [anon_sym_inout] = ACTIONS(1655),
    [anon_sym_uniform] = ACTIONS(1655),
    [anon_sym_shared] = ACTIONS(1655),
    [anon_sym_attribute] = ACTIONS(1655),
    [anon_sym_varying] = ACTIONS(1655),
    [anon_sym_buffer] = ACTIONS(1655),
    [anon_sym_coherent] = ACTIONS(1655),
    [anon_sym_readonly] = ACTIONS(1655),
    [anon_sym_writeonly] = ACTIONS(1655),
    [anon_sym_precision] = ACTIONS(1655),
    [anon_sym_highp] = ACTIONS(1655),
    [anon_sym_mediump] = ACTIONS(1655),
    [anon_sym_lowp] = ACTIONS(1655),
    [anon_sym_centroid] = ACTIONS(1655),
    [anon_sym_sample] = ACTIONS(1655),
    [anon_sym_patch] = ACTIONS(1655),
    [anon_sym_smooth] = ACTIONS(1655),
    [anon_sym_flat] = ACTIONS(1655),
    [anon_sym_noperspective] = ACTIONS(1655),
    [anon_sym___extension__] = ACTIONS(1655),
    [anon_sym_typedef] = ACTIONS(1655),
    [anon_sym_extern] = ACTIONS(1655),
    [anon_sym___attribute__] = ACTIONS(1655),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1657),
    [anon_sym___declspec] = ACTIONS(1655),
    [anon_sym___cdecl] = ACTIONS(1655),
    [anon_sym___clrcall] = ACTIONS(1655),
    [anon_sym___stdcall] = ACTIONS(1655),
    [anon_sym___fastcall] = ACTIONS(1655),
    [anon_sym___thiscall] = ACTIONS(1655),
    [anon_sym___vectorcall] = ACTIONS(1655),
    [anon_sym_LBRACE] = ACTIONS(1657),
    [anon_sym_signed] = ACTIONS(1655),
    [anon_sym_unsigned] = ACTIONS(1655),
    [anon_sym_long] = ACTIONS(1655),
    [anon_sym_short] = ACTIONS(1655),
    [anon_sym_static] = ACTIONS(1655),
    [anon_sym_auto] = ACTIONS(1655),
    [anon_sym_register] = ACTIONS(1655),
    [anon_sym_inline] = ACTIONS(1655),
    [anon_sym___inline] = ACTIONS(1655),
    [anon_sym___inline__] = ACTIONS(1655),
    [anon_sym___forceinline] = ACTIONS(1655),
    [anon_sym_thread_local] = ACTIONS(1655),
    [anon_sym___thread] = ACTIONS(1655),
    [anon_sym_const] = ACTIONS(1655),
    [anon_sym_constexpr] = ACTIONS(1655),
    [anon_sym_volatile] = ACTIONS(1655),
    [anon_sym_restrict] = ACTIONS(1655),
    [anon_sym___restrict__] = ACTIONS(1655),
    [anon_sym__Atomic] = ACTIONS(1655),
    [anon_sym__Noreturn] = ACTIONS(1655),
    [anon_sym_noreturn] = ACTIONS(1655),
    [sym_primitive_type] = ACTIONS(1655),
    [anon_sym_enum] = ACTIONS(1655),
    [anon_sym_struct] = ACTIONS(1655),
    [anon_sym_union] = ACTIONS(1655),
    [anon_sym_if] = ACTIONS(1655),
    [anon_sym_switch] = ACTIONS(1655),
    [anon_sym_case] = ACTIONS(1655),
    [anon_sym_default] = ACTIONS(1655),
    [anon_sym_while] = ACTIONS(1655),
    [anon_sym_do] = ACTIONS(1655),
    [anon_sym_for] = ACTIONS(1655),
    [anon_sym_return] = ACTIONS(1655),
    [anon_sym_break] = ACTIONS(1655),
    [anon_sym_continue] = ACTIONS(1655),
    [anon_sym_goto] = ACTIONS(1655),
    [anon_sym_DASH_DASH] = ACTIONS(1657),
    [anon_sym_PLUS_PLUS] = ACTIONS(1657),
    [anon_sym_sizeof] = ACTIONS(1655),
    [anon_sym___alignof__] = ACTIONS(1655),
    [anon_sym___alignof] = ACTIONS(1655),
    [anon_sym__alignof] = ACTIONS(1655),
    [anon_sym_alignof] = ACTIONS(1655),
    [anon_sym__Alignof] = ACTIONS(1655),
    [anon_sym_offsetof] = ACTIONS(1655),
    [anon_sym__Generic] = ACTIONS(1655),
    [anon_sym_asm] = ACTIONS(1655),
    [anon_sym___asm__] = ACTIONS(1655),
    [sym_number_literal] = ACTIONS(1657),
    [anon_sym_L_SQUOTE] = ACTIONS(1657),
    [anon_sym_u_SQUOTE] = ACTIONS(1657),
    [anon_sym_U_SQUOTE] = ACTIONS(1657),
    [anon_sym_u8_SQUOTE] = ACTIONS(1657),
    [anon_sym_SQUOTE] = ACTIONS(1657),
    [anon_sym_L_DQUOTE] = ACTIONS(1657),
    [anon_sym_u_DQUOTE] = ACTIONS(1657),
    [anon_sym_U_DQUOTE] = ACTIONS(1657),
    [anon_sym_u8_DQUOTE] = ACTIONS(1657),
    [anon_sym_DQUOTE] = ACTIONS(1657),
    [sym_true] = ACTIONS(1655),
    [sym_false] = ACTIONS(1655),
    [anon_sym_NULL] = ACTIONS(1655),
    [anon_sym_nullptr] = ACTIONS(1655),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1655),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1655),
    [anon_sym_hitAttributeEXT] = ACTIONS(1655),
    [anon_sym_callableDataEXT] = ACTIONS(1655),
    [anon_sym_callableDataInEXT] = ACTIONS(1655),
    [anon_sym_shaderRecordEXT] = ACTIONS(1655),
    [anon_sym_rayPayloadNV] = ACTIONS(1655),
    [anon_sym_rayPayloadInNV] = ACTIONS(1655),
    [anon_sym_hitAttributeNV] = ACTIONS(1655),
    [anon_sym_callableDataNV] = ACTIONS(1655),
    [anon_sym_callableDataInNV] = ACTIONS(1655),
    [anon_sym_shaderRecordNV] = ACTIONS(1655),
    [anon_sym_layout] = ACTIONS(1655),
  },
  [609] = {
    [ts_builtin_sym_end] = ACTIONS(1617),
    [sym_identifier] = ACTIONS(1615),
    [aux_sym_preproc_include_token1] = ACTIONS(1615),
    [aux_sym_preproc_def_token1] = ACTIONS(1615),
    [aux_sym_preproc_if_token1] = ACTIONS(1615),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1615),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1615),
    [sym_preproc_directive] = ACTIONS(1615),
    [anon_sym_LPAREN2] = ACTIONS(1617),
    [anon_sym_BANG] = ACTIONS(1617),
    [anon_sym_TILDE] = ACTIONS(1617),
    [anon_sym_DASH] = ACTIONS(1615),
    [anon_sym_PLUS] = ACTIONS(1615),
    [anon_sym_STAR] = ACTIONS(1617),
    [anon_sym_AMP] = ACTIONS(1617),
    [anon_sym_subroutine] = ACTIONS(1615),
    [anon_sym_invariant] = ACTIONS(1615),
    [anon_sym_precise] = ACTIONS(1615),
    [anon_sym_in] = ACTIONS(1615),
    [anon_sym_out] = ACTIONS(1615),
    [anon_sym_inout] = ACTIONS(1615),
    [anon_sym_uniform] = ACTIONS(1615),
    [anon_sym_shared] = ACTIONS(1615),
    [anon_sym_attribute] = ACTIONS(1615),
    [anon_sym_varying] = ACTIONS(1615),
    [anon_sym_buffer] = ACTIONS(1615),
    [anon_sym_coherent] = ACTIONS(1615),
    [anon_sym_readonly] = ACTIONS(1615),
    [anon_sym_writeonly] = ACTIONS(1615),
    [anon_sym_precision] = ACTIONS(1615),
    [anon_sym_highp] = ACTIONS(1615),
    [anon_sym_mediump] = ACTIONS(1615),
    [anon_sym_lowp] = ACTIONS(1615),
    [anon_sym_centroid] = ACTIONS(1615),
    [anon_sym_sample] = ACTIONS(1615),
    [anon_sym_patch] = ACTIONS(1615),
    [anon_sym_smooth] = ACTIONS(1615),
    [anon_sym_flat] = ACTIONS(1615),
    [anon_sym_noperspective] = ACTIONS(1615),
    [anon_sym___extension__] = ACTIONS(1615),
    [anon_sym_typedef] = ACTIONS(1615),
    [anon_sym_extern] = ACTIONS(1615),
    [anon_sym___attribute__] = ACTIONS(1615),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1617),
    [anon_sym___declspec] = ACTIONS(1615),
    [anon_sym___cdecl] = ACTIONS(1615),
    [anon_sym___clrcall] = ACTIONS(1615),
    [anon_sym___stdcall] = ACTIONS(1615),
    [anon_sym___fastcall] = ACTIONS(1615),
    [anon_sym___thiscall] = ACTIONS(1615),
    [anon_sym___vectorcall] = ACTIONS(1615),
    [anon_sym_LBRACE] = ACTIONS(1617),
    [anon_sym_signed] = ACTIONS(1615),
    [anon_sym_unsigned] = ACTIONS(1615),
    [anon_sym_long] = ACTIONS(1615),
    [anon_sym_short] = ACTIONS(1615),
    [anon_sym_static] = ACTIONS(1615),
    [anon_sym_auto] = ACTIONS(1615),
    [anon_sym_register] = ACTIONS(1615),
    [anon_sym_inline] = ACTIONS(1615),
    [anon_sym___inline] = ACTIONS(1615),
    [anon_sym___inline__] = ACTIONS(1615),
    [anon_sym___forceinline] = ACTIONS(1615),
    [anon_sym_thread_local] = ACTIONS(1615),
    [anon_sym___thread] = ACTIONS(1615),
    [anon_sym_const] = ACTIONS(1615),
    [anon_sym_constexpr] = ACTIONS(1615),
    [anon_sym_volatile] = ACTIONS(1615),
    [anon_sym_restrict] = ACTIONS(1615),
    [anon_sym___restrict__] = ACTIONS(1615),
    [anon_sym__Atomic] = ACTIONS(1615),
    [anon_sym__Noreturn] = ACTIONS(1615),
    [anon_sym_noreturn] = ACTIONS(1615),
    [sym_primitive_type] = ACTIONS(1615),
    [anon_sym_enum] = ACTIONS(1615),
    [anon_sym_struct] = ACTIONS(1615),
    [anon_sym_union] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1615),
    [anon_sym_switch] = ACTIONS(1615),
    [anon_sym_case] = ACTIONS(1615),
    [anon_sym_default] = ACTIONS(1615),
    [anon_sym_while] = ACTIONS(1615),
    [anon_sym_do] = ACTIONS(1615),
    [anon_sym_for] = ACTIONS(1615),
    [anon_sym_return] = ACTIONS(1615),
    [anon_sym_break] = ACTIONS(1615),
    [anon_sym_continue] = ACTIONS(1615),
    [anon_sym_goto] = ACTIONS(1615),
    [anon_sym_DASH_DASH] = ACTIONS(1617),
    [anon_sym_PLUS_PLUS] = ACTIONS(1617),
    [anon_sym_sizeof] = ACTIONS(1615),
    [anon_sym___alignof__] = ACTIONS(1615),
    [anon_sym___alignof] = ACTIONS(1615),
    [anon_sym__alignof] = ACTIONS(1615),
    [anon_sym_alignof] = ACTIONS(1615),
    [anon_sym__Alignof] = ACTIONS(1615),
    [anon_sym_offsetof] = ACTIONS(1615),
    [anon_sym__Generic] = ACTIONS(1615),
    [anon_sym_asm] = ACTIONS(1615),
    [anon_sym___asm__] = ACTIONS(1615),
    [sym_number_literal] = ACTIONS(1617),
    [anon_sym_L_SQUOTE] = ACTIONS(1617),
    [anon_sym_u_SQUOTE] = ACTIONS(1617),
    [anon_sym_U_SQUOTE] = ACTIONS(1617),
    [anon_sym_u8_SQUOTE] = ACTIONS(1617),
    [anon_sym_SQUOTE] = ACTIONS(1617),
    [anon_sym_L_DQUOTE] = ACTIONS(1617),
    [anon_sym_u_DQUOTE] = ACTIONS(1617),
    [anon_sym_U_DQUOTE] = ACTIONS(1617),
    [anon_sym_u8_DQUOTE] = ACTIONS(1617),
    [anon_sym_DQUOTE] = ACTIONS(1617),
    [sym_true] = ACTIONS(1615),
    [sym_false] = ACTIONS(1615),
    [anon_sym_NULL] = ACTIONS(1615),
    [anon_sym_nullptr] = ACTIONS(1615),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1615),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1615),
    [anon_sym_hitAttributeEXT] = ACTIONS(1615),
    [anon_sym_callableDataEXT] = ACTIONS(1615),
    [anon_sym_callableDataInEXT] = ACTIONS(1615),
    [anon_sym_shaderRecordEXT] = ACTIONS(1615),
    [anon_sym_rayPayloadNV] = ACTIONS(1615),
    [anon_sym_rayPayloadInNV] = ACTIONS(1615),
    [anon_sym_hitAttributeNV] = ACTIONS(1615),
    [anon_sym_callableDataNV] = ACTIONS(1615),
    [anon_sym_callableDataInNV] = ACTIONS(1615),
    [anon_sym_shaderRecordNV] = ACTIONS(1615),
    [anon_sym_layout] = ACTIONS(1615),
  },
  [610] = {
    [ts_builtin_sym_end] = ACTIONS(1733),
    [sym_identifier] = ACTIONS(1735),
    [aux_sym_preproc_include_token1] = ACTIONS(1735),
    [aux_sym_preproc_def_token1] = ACTIONS(1735),
    [aux_sym_preproc_if_token1] = ACTIONS(1735),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1735),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1735),
    [sym_preproc_directive] = ACTIONS(1735),
    [anon_sym_LPAREN2] = ACTIONS(1733),
    [anon_sym_BANG] = ACTIONS(1733),
    [anon_sym_TILDE] = ACTIONS(1733),
    [anon_sym_DASH] = ACTIONS(1735),
    [anon_sym_PLUS] = ACTIONS(1735),
    [anon_sym_STAR] = ACTIONS(1733),
    [anon_sym_AMP] = ACTIONS(1733),
    [anon_sym_subroutine] = ACTIONS(1735),
    [anon_sym_invariant] = ACTIONS(1735),
    [anon_sym_precise] = ACTIONS(1735),
    [anon_sym_in] = ACTIONS(1735),
    [anon_sym_out] = ACTIONS(1735),
    [anon_sym_inout] = ACTIONS(1735),
    [anon_sym_uniform] = ACTIONS(1735),
    [anon_sym_shared] = ACTIONS(1735),
    [anon_sym_attribute] = ACTIONS(1735),
    [anon_sym_varying] = ACTIONS(1735),
    [anon_sym_buffer] = ACTIONS(1735),
    [anon_sym_coherent] = ACTIONS(1735),
    [anon_sym_readonly] = ACTIONS(1735),
    [anon_sym_writeonly] = ACTIONS(1735),
    [anon_sym_precision] = ACTIONS(1735),
    [anon_sym_highp] = ACTIONS(1735),
    [anon_sym_mediump] = ACTIONS(1735),
    [anon_sym_lowp] = ACTIONS(1735),
    [anon_sym_centroid] = ACTIONS(1735),
    [anon_sym_sample] = ACTIONS(1735),
    [anon_sym_patch] = ACTIONS(1735),
    [anon_sym_smooth] = ACTIONS(1735),
    [anon_sym_flat] = ACTIONS(1735),
    [anon_sym_noperspective] = ACTIONS(1735),
    [anon_sym___extension__] = ACTIONS(1735),
    [anon_sym_typedef] = ACTIONS(1735),
    [anon_sym_extern] = ACTIONS(1735),
    [anon_sym___attribute__] = ACTIONS(1735),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1733),
    [anon_sym___declspec] = ACTIONS(1735),
    [anon_sym___cdecl] = ACTIONS(1735),
    [anon_sym___clrcall] = ACTIONS(1735),
    [anon_sym___stdcall] = ACTIONS(1735),
    [anon_sym___fastcall] = ACTIONS(1735),
    [anon_sym___thiscall] = ACTIONS(1735),
    [anon_sym___vectorcall] = ACTIONS(1735),
    [anon_sym_LBRACE] = ACTIONS(1733),
    [anon_sym_signed] = ACTIONS(1735),
    [anon_sym_unsigned] = ACTIONS(1735),
    [anon_sym_long] = ACTIONS(1735),
    [anon_sym_short] = ACTIONS(1735),
    [anon_sym_static] = ACTIONS(1735),
    [anon_sym_auto] = ACTIONS(1735),
    [anon_sym_register] = ACTIONS(1735),
    [anon_sym_inline] = ACTIONS(1735),
    [anon_sym___inline] = ACTIONS(1735),
    [anon_sym___inline__] = ACTIONS(1735),
    [anon_sym___forceinline] = ACTIONS(1735),
    [anon_sym_thread_local] = ACTIONS(1735),
    [anon_sym___thread] = ACTIONS(1735),
    [anon_sym_const] = ACTIONS(1735),
    [anon_sym_constexpr] = ACTIONS(1735),
    [anon_sym_volatile] = ACTIONS(1735),
    [anon_sym_restrict] = ACTIONS(1735),
    [anon_sym___restrict__] = ACTIONS(1735),
    [anon_sym__Atomic] = ACTIONS(1735),
    [anon_sym__Noreturn] = ACTIONS(1735),
    [anon_sym_noreturn] = ACTIONS(1735),
    [sym_primitive_type] = ACTIONS(1735),
    [anon_sym_enum] = ACTIONS(1735),
    [anon_sym_struct] = ACTIONS(1735),
    [anon_sym_union] = ACTIONS(1735),
    [anon_sym_if] = ACTIONS(1735),
    [anon_sym_switch] = ACTIONS(1735),
    [anon_sym_case] = ACTIONS(1735),
    [anon_sym_default] = ACTIONS(1735),
    [anon_sym_while] = ACTIONS(1735),
    [anon_sym_do] = ACTIONS(1735),
    [anon_sym_for] = ACTIONS(1735),
    [anon_sym_return] = ACTIONS(1735),
    [anon_sym_break] = ACTIONS(1735),
    [anon_sym_continue] = ACTIONS(1735),
    [anon_sym_goto] = ACTIONS(1735),
    [anon_sym_DASH_DASH] = ACTIONS(1733),
    [anon_sym_PLUS_PLUS] = ACTIONS(1733),
    [anon_sym_sizeof] = ACTIONS(1735),
    [anon_sym___alignof__] = ACTIONS(1735),
    [anon_sym___alignof] = ACTIONS(1735),
    [anon_sym__alignof] = ACTIONS(1735),
    [anon_sym_alignof] = ACTIONS(1735),
    [anon_sym__Alignof] = ACTIONS(1735),
    [anon_sym_offsetof] = ACTIONS(1735),
    [anon_sym__Generic] = ACTIONS(1735),
    [anon_sym_asm] = ACTIONS(1735),
    [anon_sym___asm__] = ACTIONS(1735),
    [sym_number_literal] = ACTIONS(1733),
    [anon_sym_L_SQUOTE] = ACTIONS(1733),
    [anon_sym_u_SQUOTE] = ACTIONS(1733),
    [anon_sym_U_SQUOTE] = ACTIONS(1733),
    [anon_sym_u8_SQUOTE] = ACTIONS(1733),
    [anon_sym_SQUOTE] = ACTIONS(1733),
    [anon_sym_L_DQUOTE] = ACTIONS(1733),
    [anon_sym_u_DQUOTE] = ACTIONS(1733),
    [anon_sym_U_DQUOTE] = ACTIONS(1733),
    [anon_sym_u8_DQUOTE] = ACTIONS(1733),
    [anon_sym_DQUOTE] = ACTIONS(1733),
    [sym_true] = ACTIONS(1735),
    [sym_false] = ACTIONS(1735),
    [anon_sym_NULL] = ACTIONS(1735),
    [anon_sym_nullptr] = ACTIONS(1735),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1735),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1735),
    [anon_sym_hitAttributeEXT] = ACTIONS(1735),
    [anon_sym_callableDataEXT] = ACTIONS(1735),
    [anon_sym_callableDataInEXT] = ACTIONS(1735),
    [anon_sym_shaderRecordEXT] = ACTIONS(1735),
    [anon_sym_rayPayloadNV] = ACTIONS(1735),
    [anon_sym_rayPayloadInNV] = ACTIONS(1735),
    [anon_sym_hitAttributeNV] = ACTIONS(1735),
    [anon_sym_callableDataNV] = ACTIONS(1735),
    [anon_sym_callableDataInNV] = ACTIONS(1735),
    [anon_sym_shaderRecordNV] = ACTIONS(1735),
    [anon_sym_layout] = ACTIONS(1735),
  },
  [611] = {
    [sym_else_clause] = STATE(304),
    [sym_identifier] = ACTIONS(1423),
    [anon_sym_LPAREN2] = ACTIONS(1425),
    [anon_sym_BANG] = ACTIONS(1425),
    [anon_sym_TILDE] = ACTIONS(1425),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1425),
    [anon_sym_AMP] = ACTIONS(1425),
    [anon_sym_subroutine] = ACTIONS(1423),
    [anon_sym_invariant] = ACTIONS(1423),
    [anon_sym_precise] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1425),
    [anon_sym_in] = ACTIONS(1423),
    [anon_sym_out] = ACTIONS(1423),
    [anon_sym_inout] = ACTIONS(1423),
    [anon_sym_uniform] = ACTIONS(1423),
    [anon_sym_shared] = ACTIONS(1423),
    [anon_sym_attribute] = ACTIONS(1423),
    [anon_sym_varying] = ACTIONS(1423),
    [anon_sym_buffer] = ACTIONS(1423),
    [anon_sym_coherent] = ACTIONS(1423),
    [anon_sym_readonly] = ACTIONS(1423),
    [anon_sym_writeonly] = ACTIONS(1423),
    [anon_sym_precision] = ACTIONS(1423),
    [anon_sym_highp] = ACTIONS(1423),
    [anon_sym_mediump] = ACTIONS(1423),
    [anon_sym_lowp] = ACTIONS(1423),
    [anon_sym_centroid] = ACTIONS(1423),
    [anon_sym_sample] = ACTIONS(1423),
    [anon_sym_patch] = ACTIONS(1423),
    [anon_sym_smooth] = ACTIONS(1423),
    [anon_sym_flat] = ACTIONS(1423),
    [anon_sym_noperspective] = ACTIONS(1423),
    [anon_sym___extension__] = ACTIONS(1423),
    [anon_sym_typedef] = ACTIONS(1423),
    [anon_sym_extern] = ACTIONS(1423),
    [anon_sym___attribute__] = ACTIONS(1423),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1425),
    [anon_sym___declspec] = ACTIONS(1423),
    [anon_sym_LBRACE] = ACTIONS(1425),
    [anon_sym_signed] = ACTIONS(1423),
    [anon_sym_unsigned] = ACTIONS(1423),
    [anon_sym_long] = ACTIONS(1423),
    [anon_sym_short] = ACTIONS(1423),
    [anon_sym_static] = ACTIONS(1423),
    [anon_sym_auto] = ACTIONS(1423),
    [anon_sym_register] = ACTIONS(1423),
    [anon_sym_inline] = ACTIONS(1423),
    [anon_sym___inline] = ACTIONS(1423),
    [anon_sym___inline__] = ACTIONS(1423),
    [anon_sym___forceinline] = ACTIONS(1423),
    [anon_sym_thread_local] = ACTIONS(1423),
    [anon_sym___thread] = ACTIONS(1423),
    [anon_sym_const] = ACTIONS(1423),
    [anon_sym_constexpr] = ACTIONS(1423),
    [anon_sym_volatile] = ACTIONS(1423),
    [anon_sym_restrict] = ACTIONS(1423),
    [anon_sym___restrict__] = ACTIONS(1423),
    [anon_sym__Atomic] = ACTIONS(1423),
    [anon_sym__Noreturn] = ACTIONS(1423),
    [anon_sym_noreturn] = ACTIONS(1423),
    [sym_primitive_type] = ACTIONS(1423),
    [anon_sym_enum] = ACTIONS(1423),
    [anon_sym_struct] = ACTIONS(1423),
    [anon_sym_union] = ACTIONS(1423),
    [anon_sym_if] = ACTIONS(1423),
    [anon_sym_else] = ACTIONS(1737),
    [anon_sym_switch] = ACTIONS(1423),
    [anon_sym_while] = ACTIONS(1423),
    [anon_sym_do] = ACTIONS(1423),
    [anon_sym_for] = ACTIONS(1423),
    [anon_sym_return] = ACTIONS(1423),
    [anon_sym_break] = ACTIONS(1423),
    [anon_sym_continue] = ACTIONS(1423),
    [anon_sym_goto] = ACTIONS(1423),
    [anon_sym___try] = ACTIONS(1423),
    [anon_sym___leave] = ACTIONS(1423),
    [anon_sym_DASH_DASH] = ACTIONS(1425),
    [anon_sym_PLUS_PLUS] = ACTIONS(1425),
    [anon_sym_sizeof] = ACTIONS(1423),
    [anon_sym___alignof__] = ACTIONS(1423),
    [anon_sym___alignof] = ACTIONS(1423),
    [anon_sym__alignof] = ACTIONS(1423),
    [anon_sym_alignof] = ACTIONS(1423),
    [anon_sym__Alignof] = ACTIONS(1423),
    [anon_sym_offsetof] = ACTIONS(1423),
    [anon_sym__Generic] = ACTIONS(1423),
    [anon_sym_asm] = ACTIONS(1423),
    [anon_sym___asm__] = ACTIONS(1423),
    [sym_number_literal] = ACTIONS(1425),
    [anon_sym_L_SQUOTE] = ACTIONS(1425),
    [anon_sym_u_SQUOTE] = ACTIONS(1425),
    [anon_sym_U_SQUOTE] = ACTIONS(1425),
    [anon_sym_u8_SQUOTE] = ACTIONS(1425),
    [anon_sym_SQUOTE] = ACTIONS(1425),
    [anon_sym_L_DQUOTE] = ACTIONS(1425),
    [anon_sym_u_DQUOTE] = ACTIONS(1425),
    [anon_sym_U_DQUOTE] = ACTIONS(1425),
    [anon_sym_u8_DQUOTE] = ACTIONS(1425),
    [anon_sym_DQUOTE] = ACTIONS(1425),
    [sym_true] = ACTIONS(1423),
    [sym_false] = ACTIONS(1423),
    [anon_sym_NULL] = ACTIONS(1423),
    [anon_sym_nullptr] = ACTIONS(1423),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1423),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1423),
    [anon_sym_hitAttributeEXT] = ACTIONS(1423),
    [anon_sym_callableDataEXT] = ACTIONS(1423),
    [anon_sym_callableDataInEXT] = ACTIONS(1423),
    [anon_sym_shaderRecordEXT] = ACTIONS(1423),
    [anon_sym_rayPayloadNV] = ACTIONS(1423),
    [anon_sym_rayPayloadInNV] = ACTIONS(1423),
    [anon_sym_hitAttributeNV] = ACTIONS(1423),
    [anon_sym_callableDataNV] = ACTIONS(1423),
    [anon_sym_callableDataInNV] = ACTIONS(1423),
    [anon_sym_shaderRecordNV] = ACTIONS(1423),
    [anon_sym_layout] = ACTIONS(1423),
  },
  [612] = {
    [sym_preproc_def] = STATE(616),
    [sym_preproc_function_def] = STATE(616),
    [sym_preproc_call] = STATE(616),
    [sym_preproc_if_in_field_declaration_list] = STATE(616),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(616),
    [sym_preproc_else_in_field_declaration_list] = STATE(2839),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2839),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(2839),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1800),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(1192),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym__field_declaration_list_item] = STATE(616),
    [sym_field_declaration] = STATE(616),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(725),
    [sym_layout_specification] = STATE(725),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(616),
    [aux_sym_declaration_repeat1] = STATE(725),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(1739),
    [aux_sym_preproc_def_token1] = ACTIONS(1741),
    [aux_sym_preproc_if_token1] = ACTIONS(1743),
    [aux_sym_preproc_if_token2] = ACTIONS(1745),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1747),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1747),
    [aux_sym_preproc_else_token1] = ACTIONS(1749),
    [aux_sym_preproc_elif_token1] = ACTIONS(1751),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1753),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1753),
    [sym_preproc_directive] = ACTIONS(1755),
    [anon_sym_subroutine] = ACTIONS(1757),
    [anon_sym_invariant] = ACTIONS(1757),
    [anon_sym_precise] = ACTIONS(1757),
    [anon_sym_in] = ACTIONS(1757),
    [anon_sym_out] = ACTIONS(1757),
    [anon_sym_inout] = ACTIONS(1757),
    [anon_sym_uniform] = ACTIONS(1757),
    [anon_sym_shared] = ACTIONS(1757),
    [anon_sym_attribute] = ACTIONS(1757),
    [anon_sym_varying] = ACTIONS(1757),
    [anon_sym_buffer] = ACTIONS(1757),
    [anon_sym_coherent] = ACTIONS(1757),
    [anon_sym_readonly] = ACTIONS(1757),
    [anon_sym_writeonly] = ACTIONS(1757),
    [anon_sym_precision] = ACTIONS(1757),
    [anon_sym_highp] = ACTIONS(1757),
    [anon_sym_mediump] = ACTIONS(1757),
    [anon_sym_lowp] = ACTIONS(1757),
    [anon_sym_centroid] = ACTIONS(1757),
    [anon_sym_sample] = ACTIONS(1757),
    [anon_sym_patch] = ACTIONS(1757),
    [anon_sym_smooth] = ACTIONS(1757),
    [anon_sym_flat] = ACTIONS(1757),
    [anon_sym_noperspective] = ACTIONS(1757),
    [anon_sym___extension__] = ACTIONS(53),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1421),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [613] = {
    [sym_preproc_def] = STATE(628),
    [sym_preproc_function_def] = STATE(628),
    [sym_preproc_call] = STATE(628),
    [sym_preproc_if_in_field_declaration_list] = STATE(628),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(628),
    [sym_preproc_else_in_field_declaration_list] = STATE(2880),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2880),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(2880),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1800),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(1192),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym__field_declaration_list_item] = STATE(628),
    [sym_field_declaration] = STATE(628),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(725),
    [sym_layout_specification] = STATE(725),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(628),
    [aux_sym_declaration_repeat1] = STATE(725),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(1739),
    [aux_sym_preproc_def_token1] = ACTIONS(1741),
    [aux_sym_preproc_if_token1] = ACTIONS(1743),
    [aux_sym_preproc_if_token2] = ACTIONS(1759),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1747),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1747),
    [aux_sym_preproc_else_token1] = ACTIONS(1749),
    [aux_sym_preproc_elif_token1] = ACTIONS(1751),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1753),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1753),
    [sym_preproc_directive] = ACTIONS(1755),
    [anon_sym_subroutine] = ACTIONS(1757),
    [anon_sym_invariant] = ACTIONS(1757),
    [anon_sym_precise] = ACTIONS(1757),
    [anon_sym_in] = ACTIONS(1757),
    [anon_sym_out] = ACTIONS(1757),
    [anon_sym_inout] = ACTIONS(1757),
    [anon_sym_uniform] = ACTIONS(1757),
    [anon_sym_shared] = ACTIONS(1757),
    [anon_sym_attribute] = ACTIONS(1757),
    [anon_sym_varying] = ACTIONS(1757),
    [anon_sym_buffer] = ACTIONS(1757),
    [anon_sym_coherent] = ACTIONS(1757),
    [anon_sym_readonly] = ACTIONS(1757),
    [anon_sym_writeonly] = ACTIONS(1757),
    [anon_sym_precision] = ACTIONS(1757),
    [anon_sym_highp] = ACTIONS(1757),
    [anon_sym_mediump] = ACTIONS(1757),
    [anon_sym_lowp] = ACTIONS(1757),
    [anon_sym_centroid] = ACTIONS(1757),
    [anon_sym_sample] = ACTIONS(1757),
    [anon_sym_patch] = ACTIONS(1757),
    [anon_sym_smooth] = ACTIONS(1757),
    [anon_sym_flat] = ACTIONS(1757),
    [anon_sym_noperspective] = ACTIONS(1757),
    [anon_sym___extension__] = ACTIONS(53),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1421),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [614] = {
    [sym_preproc_def] = STATE(613),
    [sym_preproc_function_def] = STATE(613),
    [sym_preproc_call] = STATE(613),
    [sym_preproc_if_in_field_declaration_list] = STATE(613),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(613),
    [sym_preproc_else_in_field_declaration_list] = STATE(2871),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2871),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(2871),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1800),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(1192),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym__field_declaration_list_item] = STATE(613),
    [sym_field_declaration] = STATE(613),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(725),
    [sym_layout_specification] = STATE(725),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(613),
    [aux_sym_declaration_repeat1] = STATE(725),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(1739),
    [aux_sym_preproc_def_token1] = ACTIONS(1741),
    [aux_sym_preproc_if_token1] = ACTIONS(1743),
    [aux_sym_preproc_if_token2] = ACTIONS(1761),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1747),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1747),
    [aux_sym_preproc_else_token1] = ACTIONS(1749),
    [aux_sym_preproc_elif_token1] = ACTIONS(1751),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1753),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1753),
    [sym_preproc_directive] = ACTIONS(1755),
    [anon_sym_subroutine] = ACTIONS(1757),
    [anon_sym_invariant] = ACTIONS(1757),
    [anon_sym_precise] = ACTIONS(1757),
    [anon_sym_in] = ACTIONS(1757),
    [anon_sym_out] = ACTIONS(1757),
    [anon_sym_inout] = ACTIONS(1757),
    [anon_sym_uniform] = ACTIONS(1757),
    [anon_sym_shared] = ACTIONS(1757),
    [anon_sym_attribute] = ACTIONS(1757),
    [anon_sym_varying] = ACTIONS(1757),
    [anon_sym_buffer] = ACTIONS(1757),
    [anon_sym_coherent] = ACTIONS(1757),
    [anon_sym_readonly] = ACTIONS(1757),
    [anon_sym_writeonly] = ACTIONS(1757),
    [anon_sym_precision] = ACTIONS(1757),
    [anon_sym_highp] = ACTIONS(1757),
    [anon_sym_mediump] = ACTIONS(1757),
    [anon_sym_lowp] = ACTIONS(1757),
    [anon_sym_centroid] = ACTIONS(1757),
    [anon_sym_sample] = ACTIONS(1757),
    [anon_sym_patch] = ACTIONS(1757),
    [anon_sym_smooth] = ACTIONS(1757),
    [anon_sym_flat] = ACTIONS(1757),
    [anon_sym_noperspective] = ACTIONS(1757),
    [anon_sym___extension__] = ACTIONS(53),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1421),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [615] = {
    [sym_preproc_def] = STATE(628),
    [sym_preproc_function_def] = STATE(628),
    [sym_preproc_call] = STATE(628),
    [sym_preproc_if_in_field_declaration_list] = STATE(628),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(628),
    [sym_preproc_else_in_field_declaration_list] = STATE(2725),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2725),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(2725),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1800),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(1192),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym__field_declaration_list_item] = STATE(628),
    [sym_field_declaration] = STATE(628),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(725),
    [sym_layout_specification] = STATE(725),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(628),
    [aux_sym_declaration_repeat1] = STATE(725),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(1739),
    [aux_sym_preproc_def_token1] = ACTIONS(1741),
    [aux_sym_preproc_if_token1] = ACTIONS(1743),
    [aux_sym_preproc_if_token2] = ACTIONS(1763),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1747),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1747),
    [aux_sym_preproc_else_token1] = ACTIONS(1749),
    [aux_sym_preproc_elif_token1] = ACTIONS(1751),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1753),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1753),
    [sym_preproc_directive] = ACTIONS(1755),
    [anon_sym_subroutine] = ACTIONS(1757),
    [anon_sym_invariant] = ACTIONS(1757),
    [anon_sym_precise] = ACTIONS(1757),
    [anon_sym_in] = ACTIONS(1757),
    [anon_sym_out] = ACTIONS(1757),
    [anon_sym_inout] = ACTIONS(1757),
    [anon_sym_uniform] = ACTIONS(1757),
    [anon_sym_shared] = ACTIONS(1757),
    [anon_sym_attribute] = ACTIONS(1757),
    [anon_sym_varying] = ACTIONS(1757),
    [anon_sym_buffer] = ACTIONS(1757),
    [anon_sym_coherent] = ACTIONS(1757),
    [anon_sym_readonly] = ACTIONS(1757),
    [anon_sym_writeonly] = ACTIONS(1757),
    [anon_sym_precision] = ACTIONS(1757),
    [anon_sym_highp] = ACTIONS(1757),
    [anon_sym_mediump] = ACTIONS(1757),
    [anon_sym_lowp] = ACTIONS(1757),
    [anon_sym_centroid] = ACTIONS(1757),
    [anon_sym_sample] = ACTIONS(1757),
    [anon_sym_patch] = ACTIONS(1757),
    [anon_sym_smooth] = ACTIONS(1757),
    [anon_sym_flat] = ACTIONS(1757),
    [anon_sym_noperspective] = ACTIONS(1757),
    [anon_sym___extension__] = ACTIONS(53),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1421),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [616] = {
    [sym_preproc_def] = STATE(628),
    [sym_preproc_function_def] = STATE(628),
    [sym_preproc_call] = STATE(628),
    [sym_preproc_if_in_field_declaration_list] = STATE(628),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(628),
    [sym_preproc_else_in_field_declaration_list] = STATE(2831),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2831),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(2831),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1800),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(1192),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym__field_declaration_list_item] = STATE(628),
    [sym_field_declaration] = STATE(628),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(725),
    [sym_layout_specification] = STATE(725),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(628),
    [aux_sym_declaration_repeat1] = STATE(725),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(1739),
    [aux_sym_preproc_def_token1] = ACTIONS(1741),
    [aux_sym_preproc_if_token1] = ACTIONS(1743),
    [aux_sym_preproc_if_token2] = ACTIONS(1765),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1747),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1747),
    [aux_sym_preproc_else_token1] = ACTIONS(1749),
    [aux_sym_preproc_elif_token1] = ACTIONS(1751),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1753),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1753),
    [sym_preproc_directive] = ACTIONS(1755),
    [anon_sym_subroutine] = ACTIONS(1757),
    [anon_sym_invariant] = ACTIONS(1757),
    [anon_sym_precise] = ACTIONS(1757),
    [anon_sym_in] = ACTIONS(1757),
    [anon_sym_out] = ACTIONS(1757),
    [anon_sym_inout] = ACTIONS(1757),
    [anon_sym_uniform] = ACTIONS(1757),
    [anon_sym_shared] = ACTIONS(1757),
    [anon_sym_attribute] = ACTIONS(1757),
    [anon_sym_varying] = ACTIONS(1757),
    [anon_sym_buffer] = ACTIONS(1757),
    [anon_sym_coherent] = ACTIONS(1757),
    [anon_sym_readonly] = ACTIONS(1757),
    [anon_sym_writeonly] = ACTIONS(1757),
    [anon_sym_precision] = ACTIONS(1757),
    [anon_sym_highp] = ACTIONS(1757),
    [anon_sym_mediump] = ACTIONS(1757),
    [anon_sym_lowp] = ACTIONS(1757),
    [anon_sym_centroid] = ACTIONS(1757),
    [anon_sym_sample] = ACTIONS(1757),
    [anon_sym_patch] = ACTIONS(1757),
    [anon_sym_smooth] = ACTIONS(1757),
    [anon_sym_flat] = ACTIONS(1757),
    [anon_sym_noperspective] = ACTIONS(1757),
    [anon_sym___extension__] = ACTIONS(53),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1421),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [617] = {
    [sym_preproc_def] = STATE(615),
    [sym_preproc_function_def] = STATE(615),
    [sym_preproc_call] = STATE(615),
    [sym_preproc_if_in_field_declaration_list] = STATE(615),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(615),
    [sym_preproc_else_in_field_declaration_list] = STATE(2707),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2707),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(2707),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1800),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(1192),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym__field_declaration_list_item] = STATE(615),
    [sym_field_declaration] = STATE(615),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(725),
    [sym_layout_specification] = STATE(725),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(615),
    [aux_sym_declaration_repeat1] = STATE(725),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(1739),
    [aux_sym_preproc_def_token1] = ACTIONS(1741),
    [aux_sym_preproc_if_token1] = ACTIONS(1743),
    [aux_sym_preproc_if_token2] = ACTIONS(1767),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1747),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1747),
    [aux_sym_preproc_else_token1] = ACTIONS(1749),
    [aux_sym_preproc_elif_token1] = ACTIONS(1751),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1753),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1753),
    [sym_preproc_directive] = ACTIONS(1755),
    [anon_sym_subroutine] = ACTIONS(1757),
    [anon_sym_invariant] = ACTIONS(1757),
    [anon_sym_precise] = ACTIONS(1757),
    [anon_sym_in] = ACTIONS(1757),
    [anon_sym_out] = ACTIONS(1757),
    [anon_sym_inout] = ACTIONS(1757),
    [anon_sym_uniform] = ACTIONS(1757),
    [anon_sym_shared] = ACTIONS(1757),
    [anon_sym_attribute] = ACTIONS(1757),
    [anon_sym_varying] = ACTIONS(1757),
    [anon_sym_buffer] = ACTIONS(1757),
    [anon_sym_coherent] = ACTIONS(1757),
    [anon_sym_readonly] = ACTIONS(1757),
    [anon_sym_writeonly] = ACTIONS(1757),
    [anon_sym_precision] = ACTIONS(1757),
    [anon_sym_highp] = ACTIONS(1757),
    [anon_sym_mediump] = ACTIONS(1757),
    [anon_sym_lowp] = ACTIONS(1757),
    [anon_sym_centroid] = ACTIONS(1757),
    [anon_sym_sample] = ACTIONS(1757),
    [anon_sym_patch] = ACTIONS(1757),
    [anon_sym_smooth] = ACTIONS(1757),
    [anon_sym_flat] = ACTIONS(1757),
    [anon_sym_noperspective] = ACTIONS(1757),
    [anon_sym___extension__] = ACTIONS(53),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1421),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [618] = {
    [sym_preproc_def] = STATE(619),
    [sym_preproc_function_def] = STATE(619),
    [sym_preproc_call] = STATE(619),
    [sym_preproc_if_in_field_declaration_list] = STATE(619),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(619),
    [sym_preproc_else_in_field_declaration_list] = STATE(2797),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2797),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(2797),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1800),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(1192),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym__field_declaration_list_item] = STATE(619),
    [sym_field_declaration] = STATE(619),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(725),
    [sym_layout_specification] = STATE(725),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(619),
    [aux_sym_declaration_repeat1] = STATE(725),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(1739),
    [aux_sym_preproc_def_token1] = ACTIONS(1741),
    [aux_sym_preproc_if_token1] = ACTIONS(1743),
    [aux_sym_preproc_if_token2] = ACTIONS(1769),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1747),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1747),
    [aux_sym_preproc_else_token1] = ACTIONS(1749),
    [aux_sym_preproc_elif_token1] = ACTIONS(1751),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1753),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1753),
    [sym_preproc_directive] = ACTIONS(1755),
    [anon_sym_subroutine] = ACTIONS(1757),
    [anon_sym_invariant] = ACTIONS(1757),
    [anon_sym_precise] = ACTIONS(1757),
    [anon_sym_in] = ACTIONS(1757),
    [anon_sym_out] = ACTIONS(1757),
    [anon_sym_inout] = ACTIONS(1757),
    [anon_sym_uniform] = ACTIONS(1757),
    [anon_sym_shared] = ACTIONS(1757),
    [anon_sym_attribute] = ACTIONS(1757),
    [anon_sym_varying] = ACTIONS(1757),
    [anon_sym_buffer] = ACTIONS(1757),
    [anon_sym_coherent] = ACTIONS(1757),
    [anon_sym_readonly] = ACTIONS(1757),
    [anon_sym_writeonly] = ACTIONS(1757),
    [anon_sym_precision] = ACTIONS(1757),
    [anon_sym_highp] = ACTIONS(1757),
    [anon_sym_mediump] = ACTIONS(1757),
    [anon_sym_lowp] = ACTIONS(1757),
    [anon_sym_centroid] = ACTIONS(1757),
    [anon_sym_sample] = ACTIONS(1757),
    [anon_sym_patch] = ACTIONS(1757),
    [anon_sym_smooth] = ACTIONS(1757),
    [anon_sym_flat] = ACTIONS(1757),
    [anon_sym_noperspective] = ACTIONS(1757),
    [anon_sym___extension__] = ACTIONS(53),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1421),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [619] = {
    [sym_preproc_def] = STATE(628),
    [sym_preproc_function_def] = STATE(628),
    [sym_preproc_call] = STATE(628),
    [sym_preproc_if_in_field_declaration_list] = STATE(628),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(628),
    [sym_preproc_else_in_field_declaration_list] = STATE(2741),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2741),
    [sym_preproc_elifdef_in_field_declaration_list] = STATE(2741),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1800),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(1192),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym__field_declaration_list_item] = STATE(628),
    [sym_field_declaration] = STATE(628),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(725),
    [sym_layout_specification] = STATE(725),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(628),
    [aux_sym_declaration_repeat1] = STATE(725),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(1739),
    [aux_sym_preproc_def_token1] = ACTIONS(1741),
    [aux_sym_preproc_if_token1] = ACTIONS(1743),
    [aux_sym_preproc_if_token2] = ACTIONS(1771),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1747),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1747),
    [aux_sym_preproc_else_token1] = ACTIONS(1749),
    [aux_sym_preproc_elif_token1] = ACTIONS(1751),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1753),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1753),
    [sym_preproc_directive] = ACTIONS(1755),
    [anon_sym_subroutine] = ACTIONS(1757),
    [anon_sym_invariant] = ACTIONS(1757),
    [anon_sym_precise] = ACTIONS(1757),
    [anon_sym_in] = ACTIONS(1757),
    [anon_sym_out] = ACTIONS(1757),
    [anon_sym_inout] = ACTIONS(1757),
    [anon_sym_uniform] = ACTIONS(1757),
    [anon_sym_shared] = ACTIONS(1757),
    [anon_sym_attribute] = ACTIONS(1757),
    [anon_sym_varying] = ACTIONS(1757),
    [anon_sym_buffer] = ACTIONS(1757),
    [anon_sym_coherent] = ACTIONS(1757),
    [anon_sym_readonly] = ACTIONS(1757),
    [anon_sym_writeonly] = ACTIONS(1757),
    [anon_sym_precision] = ACTIONS(1757),
    [anon_sym_highp] = ACTIONS(1757),
    [anon_sym_mediump] = ACTIONS(1757),
    [anon_sym_lowp] = ACTIONS(1757),
    [anon_sym_centroid] = ACTIONS(1757),
    [anon_sym_sample] = ACTIONS(1757),
    [anon_sym_patch] = ACTIONS(1757),
    [anon_sym_smooth] = ACTIONS(1757),
    [anon_sym_flat] = ACTIONS(1757),
    [anon_sym_noperspective] = ACTIONS(1757),
    [anon_sym___extension__] = ACTIONS(53),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1421),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [620] = {
    [sym_preproc_def] = STATE(621),
    [sym_preproc_function_def] = STATE(621),
    [sym_preproc_call] = STATE(621),
    [sym_preproc_if_in_field_declaration_list] = STATE(621),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(621),
    [sym_preproc_else_in_field_declaration_list] = STATE(2879),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2879),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1802),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(1192),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym__field_declaration_list_item] = STATE(621),
    [sym_field_declaration] = STATE(621),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(726),
    [sym_layout_specification] = STATE(726),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(621),
    [aux_sym_declaration_repeat1] = STATE(726),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(1739),
    [aux_sym_preproc_def_token1] = ACTIONS(1773),
    [aux_sym_preproc_if_token1] = ACTIONS(1775),
    [aux_sym_preproc_if_token2] = ACTIONS(1777),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1779),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1779),
    [aux_sym_preproc_else_token1] = ACTIONS(1749),
    [aux_sym_preproc_elif_token1] = ACTIONS(1751),
    [sym_preproc_directive] = ACTIONS(1781),
    [anon_sym_subroutine] = ACTIONS(1783),
    [anon_sym_invariant] = ACTIONS(1783),
    [anon_sym_precise] = ACTIONS(1783),
    [anon_sym_in] = ACTIONS(1783),
    [anon_sym_out] = ACTIONS(1783),
    [anon_sym_inout] = ACTIONS(1783),
    [anon_sym_uniform] = ACTIONS(1783),
    [anon_sym_shared] = ACTIONS(1783),
    [anon_sym_attribute] = ACTIONS(1783),
    [anon_sym_varying] = ACTIONS(1783),
    [anon_sym_buffer] = ACTIONS(1783),
    [anon_sym_coherent] = ACTIONS(1783),
    [anon_sym_readonly] = ACTIONS(1783),
    [anon_sym_writeonly] = ACTIONS(1783),
    [anon_sym_precision] = ACTIONS(1783),
    [anon_sym_highp] = ACTIONS(1783),
    [anon_sym_mediump] = ACTIONS(1783),
    [anon_sym_lowp] = ACTIONS(1783),
    [anon_sym_centroid] = ACTIONS(1783),
    [anon_sym_sample] = ACTIONS(1783),
    [anon_sym_patch] = ACTIONS(1783),
    [anon_sym_smooth] = ACTIONS(1783),
    [anon_sym_flat] = ACTIONS(1783),
    [anon_sym_noperspective] = ACTIONS(1783),
    [anon_sym___extension__] = ACTIONS(53),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1421),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [621] = {
    [sym_preproc_def] = STATE(633),
    [sym_preproc_function_def] = STATE(633),
    [sym_preproc_call] = STATE(633),
    [sym_preproc_if_in_field_declaration_list] = STATE(633),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(633),
    [sym_preproc_else_in_field_declaration_list] = STATE(2882),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2882),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1802),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(1192),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym__field_declaration_list_item] = STATE(633),
    [sym_field_declaration] = STATE(633),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(726),
    [sym_layout_specification] = STATE(726),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(633),
    [aux_sym_declaration_repeat1] = STATE(726),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(1739),
    [aux_sym_preproc_def_token1] = ACTIONS(1773),
    [aux_sym_preproc_if_token1] = ACTIONS(1775),
    [aux_sym_preproc_if_token2] = ACTIONS(1785),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1779),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1779),
    [aux_sym_preproc_else_token1] = ACTIONS(1749),
    [aux_sym_preproc_elif_token1] = ACTIONS(1751),
    [sym_preproc_directive] = ACTIONS(1781),
    [anon_sym_subroutine] = ACTIONS(1783),
    [anon_sym_invariant] = ACTIONS(1783),
    [anon_sym_precise] = ACTIONS(1783),
    [anon_sym_in] = ACTIONS(1783),
    [anon_sym_out] = ACTIONS(1783),
    [anon_sym_inout] = ACTIONS(1783),
    [anon_sym_uniform] = ACTIONS(1783),
    [anon_sym_shared] = ACTIONS(1783),
    [anon_sym_attribute] = ACTIONS(1783),
    [anon_sym_varying] = ACTIONS(1783),
    [anon_sym_buffer] = ACTIONS(1783),
    [anon_sym_coherent] = ACTIONS(1783),
    [anon_sym_readonly] = ACTIONS(1783),
    [anon_sym_writeonly] = ACTIONS(1783),
    [anon_sym_precision] = ACTIONS(1783),
    [anon_sym_highp] = ACTIONS(1783),
    [anon_sym_mediump] = ACTIONS(1783),
    [anon_sym_lowp] = ACTIONS(1783),
    [anon_sym_centroid] = ACTIONS(1783),
    [anon_sym_sample] = ACTIONS(1783),
    [anon_sym_patch] = ACTIONS(1783),
    [anon_sym_smooth] = ACTIONS(1783),
    [anon_sym_flat] = ACTIONS(1783),
    [anon_sym_noperspective] = ACTIONS(1783),
    [anon_sym___extension__] = ACTIONS(53),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1421),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [622] = {
    [sym_preproc_def] = STATE(632),
    [sym_preproc_function_def] = STATE(632),
    [sym_preproc_call] = STATE(632),
    [sym_preproc_if_in_field_declaration_list] = STATE(632),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(632),
    [sym_preproc_else_in_field_declaration_list] = STATE(2723),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2723),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1802),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(1192),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym__field_declaration_list_item] = STATE(632),
    [sym_field_declaration] = STATE(632),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(726),
    [sym_layout_specification] = STATE(726),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(632),
    [aux_sym_declaration_repeat1] = STATE(726),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(1739),
    [aux_sym_preproc_def_token1] = ACTIONS(1773),
    [aux_sym_preproc_if_token1] = ACTIONS(1775),
    [aux_sym_preproc_if_token2] = ACTIONS(1787),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1779),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1779),
    [aux_sym_preproc_else_token1] = ACTIONS(1749),
    [aux_sym_preproc_elif_token1] = ACTIONS(1751),
    [sym_preproc_directive] = ACTIONS(1781),
    [anon_sym_subroutine] = ACTIONS(1783),
    [anon_sym_invariant] = ACTIONS(1783),
    [anon_sym_precise] = ACTIONS(1783),
    [anon_sym_in] = ACTIONS(1783),
    [anon_sym_out] = ACTIONS(1783),
    [anon_sym_inout] = ACTIONS(1783),
    [anon_sym_uniform] = ACTIONS(1783),
    [anon_sym_shared] = ACTIONS(1783),
    [anon_sym_attribute] = ACTIONS(1783),
    [anon_sym_varying] = ACTIONS(1783),
    [anon_sym_buffer] = ACTIONS(1783),
    [anon_sym_coherent] = ACTIONS(1783),
    [anon_sym_readonly] = ACTIONS(1783),
    [anon_sym_writeonly] = ACTIONS(1783),
    [anon_sym_precision] = ACTIONS(1783),
    [anon_sym_highp] = ACTIONS(1783),
    [anon_sym_mediump] = ACTIONS(1783),
    [anon_sym_lowp] = ACTIONS(1783),
    [anon_sym_centroid] = ACTIONS(1783),
    [anon_sym_sample] = ACTIONS(1783),
    [anon_sym_patch] = ACTIONS(1783),
    [anon_sym_smooth] = ACTIONS(1783),
    [anon_sym_flat] = ACTIONS(1783),
    [anon_sym_noperspective] = ACTIONS(1783),
    [anon_sym___extension__] = ACTIONS(53),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1421),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [623] = {
    [sym_preproc_def] = STATE(627),
    [sym_preproc_function_def] = STATE(627),
    [sym_preproc_call] = STATE(627),
    [sym_preproc_if_in_field_declaration_list] = STATE(627),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(627),
    [sym_preproc_else_in_field_declaration_list] = STATE(2743),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2743),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1802),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(1192),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym__field_declaration_list_item] = STATE(627),
    [sym_field_declaration] = STATE(627),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(726),
    [sym_layout_specification] = STATE(726),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(627),
    [aux_sym_declaration_repeat1] = STATE(726),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(1739),
    [aux_sym_preproc_def_token1] = ACTIONS(1773),
    [aux_sym_preproc_if_token1] = ACTIONS(1775),
    [aux_sym_preproc_if_token2] = ACTIONS(1789),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1779),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1779),
    [aux_sym_preproc_else_token1] = ACTIONS(1749),
    [aux_sym_preproc_elif_token1] = ACTIONS(1751),
    [sym_preproc_directive] = ACTIONS(1781),
    [anon_sym_subroutine] = ACTIONS(1783),
    [anon_sym_invariant] = ACTIONS(1783),
    [anon_sym_precise] = ACTIONS(1783),
    [anon_sym_in] = ACTIONS(1783),
    [anon_sym_out] = ACTIONS(1783),
    [anon_sym_inout] = ACTIONS(1783),
    [anon_sym_uniform] = ACTIONS(1783),
    [anon_sym_shared] = ACTIONS(1783),
    [anon_sym_attribute] = ACTIONS(1783),
    [anon_sym_varying] = ACTIONS(1783),
    [anon_sym_buffer] = ACTIONS(1783),
    [anon_sym_coherent] = ACTIONS(1783),
    [anon_sym_readonly] = ACTIONS(1783),
    [anon_sym_writeonly] = ACTIONS(1783),
    [anon_sym_precision] = ACTIONS(1783),
    [anon_sym_highp] = ACTIONS(1783),
    [anon_sym_mediump] = ACTIONS(1783),
    [anon_sym_lowp] = ACTIONS(1783),
    [anon_sym_centroid] = ACTIONS(1783),
    [anon_sym_sample] = ACTIONS(1783),
    [anon_sym_patch] = ACTIONS(1783),
    [anon_sym_smooth] = ACTIONS(1783),
    [anon_sym_flat] = ACTIONS(1783),
    [anon_sym_noperspective] = ACTIONS(1783),
    [anon_sym___extension__] = ACTIONS(53),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1421),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [624] = {
    [sym_preproc_def] = STATE(626),
    [sym_preproc_function_def] = STATE(626),
    [sym_preproc_call] = STATE(626),
    [sym_preproc_if_in_field_declaration_list] = STATE(626),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(626),
    [sym_preproc_else_in_field_declaration_list] = STATE(2834),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2834),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1802),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(1192),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym__field_declaration_list_item] = STATE(626),
    [sym_field_declaration] = STATE(626),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(726),
    [sym_layout_specification] = STATE(726),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(626),
    [aux_sym_declaration_repeat1] = STATE(726),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(1739),
    [aux_sym_preproc_def_token1] = ACTIONS(1773),
    [aux_sym_preproc_if_token1] = ACTIONS(1775),
    [aux_sym_preproc_if_token2] = ACTIONS(1791),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1779),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1779),
    [aux_sym_preproc_else_token1] = ACTIONS(1749),
    [aux_sym_preproc_elif_token1] = ACTIONS(1751),
    [sym_preproc_directive] = ACTIONS(1781),
    [anon_sym_subroutine] = ACTIONS(1783),
    [anon_sym_invariant] = ACTIONS(1783),
    [anon_sym_precise] = ACTIONS(1783),
    [anon_sym_in] = ACTIONS(1783),
    [anon_sym_out] = ACTIONS(1783),
    [anon_sym_inout] = ACTIONS(1783),
    [anon_sym_uniform] = ACTIONS(1783),
    [anon_sym_shared] = ACTIONS(1783),
    [anon_sym_attribute] = ACTIONS(1783),
    [anon_sym_varying] = ACTIONS(1783),
    [anon_sym_buffer] = ACTIONS(1783),
    [anon_sym_coherent] = ACTIONS(1783),
    [anon_sym_readonly] = ACTIONS(1783),
    [anon_sym_writeonly] = ACTIONS(1783),
    [anon_sym_precision] = ACTIONS(1783),
    [anon_sym_highp] = ACTIONS(1783),
    [anon_sym_mediump] = ACTIONS(1783),
    [anon_sym_lowp] = ACTIONS(1783),
    [anon_sym_centroid] = ACTIONS(1783),
    [anon_sym_sample] = ACTIONS(1783),
    [anon_sym_patch] = ACTIONS(1783),
    [anon_sym_smooth] = ACTIONS(1783),
    [anon_sym_flat] = ACTIONS(1783),
    [anon_sym_noperspective] = ACTIONS(1783),
    [anon_sym___extension__] = ACTIONS(53),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1421),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [625] = {
    [sym_preproc_def] = STATE(631),
    [sym_preproc_function_def] = STATE(631),
    [sym_preproc_call] = STATE(631),
    [sym_preproc_if_in_field_declaration_list] = STATE(631),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(631),
    [sym_preproc_else_in_field_declaration_list] = STATE(2708),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2708),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1802),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(1192),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym__field_declaration_list_item] = STATE(631),
    [sym_field_declaration] = STATE(631),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(726),
    [sym_layout_specification] = STATE(726),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(631),
    [aux_sym_declaration_repeat1] = STATE(726),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(1739),
    [aux_sym_preproc_def_token1] = ACTIONS(1773),
    [aux_sym_preproc_if_token1] = ACTIONS(1775),
    [aux_sym_preproc_if_token2] = ACTIONS(1793),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1779),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1779),
    [aux_sym_preproc_else_token1] = ACTIONS(1749),
    [aux_sym_preproc_elif_token1] = ACTIONS(1751),
    [sym_preproc_directive] = ACTIONS(1781),
    [anon_sym_subroutine] = ACTIONS(1783),
    [anon_sym_invariant] = ACTIONS(1783),
    [anon_sym_precise] = ACTIONS(1783),
    [anon_sym_in] = ACTIONS(1783),
    [anon_sym_out] = ACTIONS(1783),
    [anon_sym_inout] = ACTIONS(1783),
    [anon_sym_uniform] = ACTIONS(1783),
    [anon_sym_shared] = ACTIONS(1783),
    [anon_sym_attribute] = ACTIONS(1783),
    [anon_sym_varying] = ACTIONS(1783),
    [anon_sym_buffer] = ACTIONS(1783),
    [anon_sym_coherent] = ACTIONS(1783),
    [anon_sym_readonly] = ACTIONS(1783),
    [anon_sym_writeonly] = ACTIONS(1783),
    [anon_sym_precision] = ACTIONS(1783),
    [anon_sym_highp] = ACTIONS(1783),
    [anon_sym_mediump] = ACTIONS(1783),
    [anon_sym_lowp] = ACTIONS(1783),
    [anon_sym_centroid] = ACTIONS(1783),
    [anon_sym_sample] = ACTIONS(1783),
    [anon_sym_patch] = ACTIONS(1783),
    [anon_sym_smooth] = ACTIONS(1783),
    [anon_sym_flat] = ACTIONS(1783),
    [anon_sym_noperspective] = ACTIONS(1783),
    [anon_sym___extension__] = ACTIONS(53),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1421),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [626] = {
    [sym_preproc_def] = STATE(633),
    [sym_preproc_function_def] = STATE(633),
    [sym_preproc_call] = STATE(633),
    [sym_preproc_if_in_field_declaration_list] = STATE(633),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(633),
    [sym_preproc_else_in_field_declaration_list] = STATE(2827),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2827),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1802),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(1192),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym__field_declaration_list_item] = STATE(633),
    [sym_field_declaration] = STATE(633),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(726),
    [sym_layout_specification] = STATE(726),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(633),
    [aux_sym_declaration_repeat1] = STATE(726),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(1739),
    [aux_sym_preproc_def_token1] = ACTIONS(1773),
    [aux_sym_preproc_if_token1] = ACTIONS(1775),
    [aux_sym_preproc_if_token2] = ACTIONS(1795),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1779),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1779),
    [aux_sym_preproc_else_token1] = ACTIONS(1749),
    [aux_sym_preproc_elif_token1] = ACTIONS(1751),
    [sym_preproc_directive] = ACTIONS(1781),
    [anon_sym_subroutine] = ACTIONS(1783),
    [anon_sym_invariant] = ACTIONS(1783),
    [anon_sym_precise] = ACTIONS(1783),
    [anon_sym_in] = ACTIONS(1783),
    [anon_sym_out] = ACTIONS(1783),
    [anon_sym_inout] = ACTIONS(1783),
    [anon_sym_uniform] = ACTIONS(1783),
    [anon_sym_shared] = ACTIONS(1783),
    [anon_sym_attribute] = ACTIONS(1783),
    [anon_sym_varying] = ACTIONS(1783),
    [anon_sym_buffer] = ACTIONS(1783),
    [anon_sym_coherent] = ACTIONS(1783),
    [anon_sym_readonly] = ACTIONS(1783),
    [anon_sym_writeonly] = ACTIONS(1783),
    [anon_sym_precision] = ACTIONS(1783),
    [anon_sym_highp] = ACTIONS(1783),
    [anon_sym_mediump] = ACTIONS(1783),
    [anon_sym_lowp] = ACTIONS(1783),
    [anon_sym_centroid] = ACTIONS(1783),
    [anon_sym_sample] = ACTIONS(1783),
    [anon_sym_patch] = ACTIONS(1783),
    [anon_sym_smooth] = ACTIONS(1783),
    [anon_sym_flat] = ACTIONS(1783),
    [anon_sym_noperspective] = ACTIONS(1783),
    [anon_sym___extension__] = ACTIONS(53),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1421),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [627] = {
    [sym_preproc_def] = STATE(633),
    [sym_preproc_function_def] = STATE(633),
    [sym_preproc_call] = STATE(633),
    [sym_preproc_if_in_field_declaration_list] = STATE(633),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(633),
    [sym_preproc_else_in_field_declaration_list] = STATE(2709),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2709),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1802),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(1192),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym__field_declaration_list_item] = STATE(633),
    [sym_field_declaration] = STATE(633),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(726),
    [sym_layout_specification] = STATE(726),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(633),
    [aux_sym_declaration_repeat1] = STATE(726),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(1739),
    [aux_sym_preproc_def_token1] = ACTIONS(1773),
    [aux_sym_preproc_if_token1] = ACTIONS(1775),
    [aux_sym_preproc_if_token2] = ACTIONS(1797),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1779),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1779),
    [aux_sym_preproc_else_token1] = ACTIONS(1749),
    [aux_sym_preproc_elif_token1] = ACTIONS(1751),
    [sym_preproc_directive] = ACTIONS(1781),
    [anon_sym_subroutine] = ACTIONS(1783),
    [anon_sym_invariant] = ACTIONS(1783),
    [anon_sym_precise] = ACTIONS(1783),
    [anon_sym_in] = ACTIONS(1783),
    [anon_sym_out] = ACTIONS(1783),
    [anon_sym_inout] = ACTIONS(1783),
    [anon_sym_uniform] = ACTIONS(1783),
    [anon_sym_shared] = ACTIONS(1783),
    [anon_sym_attribute] = ACTIONS(1783),
    [anon_sym_varying] = ACTIONS(1783),
    [anon_sym_buffer] = ACTIONS(1783),
    [anon_sym_coherent] = ACTIONS(1783),
    [anon_sym_readonly] = ACTIONS(1783),
    [anon_sym_writeonly] = ACTIONS(1783),
    [anon_sym_precision] = ACTIONS(1783),
    [anon_sym_highp] = ACTIONS(1783),
    [anon_sym_mediump] = ACTIONS(1783),
    [anon_sym_lowp] = ACTIONS(1783),
    [anon_sym_centroid] = ACTIONS(1783),
    [anon_sym_sample] = ACTIONS(1783),
    [anon_sym_patch] = ACTIONS(1783),
    [anon_sym_smooth] = ACTIONS(1783),
    [anon_sym_flat] = ACTIONS(1783),
    [anon_sym_noperspective] = ACTIONS(1783),
    [anon_sym___extension__] = ACTIONS(53),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1421),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [628] = {
    [sym_preproc_def] = STATE(628),
    [sym_preproc_function_def] = STATE(628),
    [sym_preproc_call] = STATE(628),
    [sym_preproc_if_in_field_declaration_list] = STATE(628),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(628),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1800),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(1192),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym__field_declaration_list_item] = STATE(628),
    [sym_field_declaration] = STATE(628),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(725),
    [sym_layout_specification] = STATE(725),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(628),
    [aux_sym_declaration_repeat1] = STATE(725),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(1799),
    [aux_sym_preproc_def_token1] = ACTIONS(1802),
    [aux_sym_preproc_if_token1] = ACTIONS(1805),
    [aux_sym_preproc_if_token2] = ACTIONS(1808),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1810),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1810),
    [aux_sym_preproc_else_token1] = ACTIONS(1808),
    [aux_sym_preproc_elif_token1] = ACTIONS(1808),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1808),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1808),
    [sym_preproc_directive] = ACTIONS(1813),
    [anon_sym_subroutine] = ACTIONS(1816),
    [anon_sym_invariant] = ACTIONS(1816),
    [anon_sym_precise] = ACTIONS(1816),
    [anon_sym_in] = ACTIONS(1816),
    [anon_sym_out] = ACTIONS(1816),
    [anon_sym_inout] = ACTIONS(1816),
    [anon_sym_uniform] = ACTIONS(1816),
    [anon_sym_shared] = ACTIONS(1816),
    [anon_sym_attribute] = ACTIONS(1816),
    [anon_sym_varying] = ACTIONS(1816),
    [anon_sym_buffer] = ACTIONS(1816),
    [anon_sym_coherent] = ACTIONS(1816),
    [anon_sym_readonly] = ACTIONS(1816),
    [anon_sym_writeonly] = ACTIONS(1816),
    [anon_sym_precision] = ACTIONS(1816),
    [anon_sym_highp] = ACTIONS(1816),
    [anon_sym_mediump] = ACTIONS(1816),
    [anon_sym_lowp] = ACTIONS(1816),
    [anon_sym_centroid] = ACTIONS(1816),
    [anon_sym_sample] = ACTIONS(1816),
    [anon_sym_patch] = ACTIONS(1816),
    [anon_sym_smooth] = ACTIONS(1816),
    [anon_sym_flat] = ACTIONS(1816),
    [anon_sym_noperspective] = ACTIONS(1816),
    [anon_sym___extension__] = ACTIONS(1819),
    [anon_sym_extern] = ACTIONS(1822),
    [anon_sym___attribute__] = ACTIONS(1825),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1828),
    [anon_sym___declspec] = ACTIONS(1831),
    [anon_sym_signed] = ACTIONS(1834),
    [anon_sym_unsigned] = ACTIONS(1834),
    [anon_sym_long] = ACTIONS(1834),
    [anon_sym_short] = ACTIONS(1834),
    [anon_sym_static] = ACTIONS(1822),
    [anon_sym_auto] = ACTIONS(1822),
    [anon_sym_register] = ACTIONS(1822),
    [anon_sym_inline] = ACTIONS(1822),
    [anon_sym___inline] = ACTIONS(1822),
    [anon_sym___inline__] = ACTIONS(1822),
    [anon_sym___forceinline] = ACTIONS(1822),
    [anon_sym_thread_local] = ACTIONS(1822),
    [anon_sym___thread] = ACTIONS(1822),
    [anon_sym_const] = ACTIONS(1819),
    [anon_sym_constexpr] = ACTIONS(1819),
    [anon_sym_volatile] = ACTIONS(1819),
    [anon_sym_restrict] = ACTIONS(1819),
    [anon_sym___restrict__] = ACTIONS(1819),
    [anon_sym__Atomic] = ACTIONS(1819),
    [anon_sym__Noreturn] = ACTIONS(1819),
    [anon_sym_noreturn] = ACTIONS(1819),
    [sym_primitive_type] = ACTIONS(1837),
    [anon_sym_enum] = ACTIONS(1840),
    [anon_sym_struct] = ACTIONS(1843),
    [anon_sym_union] = ACTIONS(1846),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1849),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1849),
    [anon_sym_hitAttributeEXT] = ACTIONS(1849),
    [anon_sym_callableDataEXT] = ACTIONS(1849),
    [anon_sym_callableDataInEXT] = ACTIONS(1849),
    [anon_sym_shaderRecordEXT] = ACTIONS(1849),
    [anon_sym_rayPayloadNV] = ACTIONS(1849),
    [anon_sym_rayPayloadInNV] = ACTIONS(1849),
    [anon_sym_hitAttributeNV] = ACTIONS(1849),
    [anon_sym_callableDataNV] = ACTIONS(1849),
    [anon_sym_callableDataInNV] = ACTIONS(1849),
    [anon_sym_shaderRecordNV] = ACTIONS(1849),
    [anon_sym_layout] = ACTIONS(1852),
  },
  [629] = {
    [sym_preproc_def] = STATE(633),
    [sym_preproc_function_def] = STATE(633),
    [sym_preproc_call] = STATE(633),
    [sym_preproc_if_in_field_declaration_list] = STATE(633),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(633),
    [sym_preproc_else_in_field_declaration_list] = STATE(2675),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2675),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1802),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(1192),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym__field_declaration_list_item] = STATE(633),
    [sym_field_declaration] = STATE(633),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(726),
    [sym_layout_specification] = STATE(726),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(633),
    [aux_sym_declaration_repeat1] = STATE(726),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(1739),
    [aux_sym_preproc_def_token1] = ACTIONS(1773),
    [aux_sym_preproc_if_token1] = ACTIONS(1775),
    [aux_sym_preproc_if_token2] = ACTIONS(1855),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1779),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1779),
    [aux_sym_preproc_else_token1] = ACTIONS(1749),
    [aux_sym_preproc_elif_token1] = ACTIONS(1751),
    [sym_preproc_directive] = ACTIONS(1781),
    [anon_sym_subroutine] = ACTIONS(1783),
    [anon_sym_invariant] = ACTIONS(1783),
    [anon_sym_precise] = ACTIONS(1783),
    [anon_sym_in] = ACTIONS(1783),
    [anon_sym_out] = ACTIONS(1783),
    [anon_sym_inout] = ACTIONS(1783),
    [anon_sym_uniform] = ACTIONS(1783),
    [anon_sym_shared] = ACTIONS(1783),
    [anon_sym_attribute] = ACTIONS(1783),
    [anon_sym_varying] = ACTIONS(1783),
    [anon_sym_buffer] = ACTIONS(1783),
    [anon_sym_coherent] = ACTIONS(1783),
    [anon_sym_readonly] = ACTIONS(1783),
    [anon_sym_writeonly] = ACTIONS(1783),
    [anon_sym_precision] = ACTIONS(1783),
    [anon_sym_highp] = ACTIONS(1783),
    [anon_sym_mediump] = ACTIONS(1783),
    [anon_sym_lowp] = ACTIONS(1783),
    [anon_sym_centroid] = ACTIONS(1783),
    [anon_sym_sample] = ACTIONS(1783),
    [anon_sym_patch] = ACTIONS(1783),
    [anon_sym_smooth] = ACTIONS(1783),
    [anon_sym_flat] = ACTIONS(1783),
    [anon_sym_noperspective] = ACTIONS(1783),
    [anon_sym___extension__] = ACTIONS(53),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1421),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [630] = {
    [sym_preproc_def] = STATE(629),
    [sym_preproc_function_def] = STATE(629),
    [sym_preproc_call] = STATE(629),
    [sym_preproc_if_in_field_declaration_list] = STATE(629),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(629),
    [sym_preproc_else_in_field_declaration_list] = STATE(2686),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2686),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1802),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(1192),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym__field_declaration_list_item] = STATE(629),
    [sym_field_declaration] = STATE(629),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(726),
    [sym_layout_specification] = STATE(726),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(629),
    [aux_sym_declaration_repeat1] = STATE(726),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(1739),
    [aux_sym_preproc_def_token1] = ACTIONS(1773),
    [aux_sym_preproc_if_token1] = ACTIONS(1775),
    [aux_sym_preproc_if_token2] = ACTIONS(1857),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1779),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1779),
    [aux_sym_preproc_else_token1] = ACTIONS(1749),
    [aux_sym_preproc_elif_token1] = ACTIONS(1751),
    [sym_preproc_directive] = ACTIONS(1781),
    [anon_sym_subroutine] = ACTIONS(1783),
    [anon_sym_invariant] = ACTIONS(1783),
    [anon_sym_precise] = ACTIONS(1783),
    [anon_sym_in] = ACTIONS(1783),
    [anon_sym_out] = ACTIONS(1783),
    [anon_sym_inout] = ACTIONS(1783),
    [anon_sym_uniform] = ACTIONS(1783),
    [anon_sym_shared] = ACTIONS(1783),
    [anon_sym_attribute] = ACTIONS(1783),
    [anon_sym_varying] = ACTIONS(1783),
    [anon_sym_buffer] = ACTIONS(1783),
    [anon_sym_coherent] = ACTIONS(1783),
    [anon_sym_readonly] = ACTIONS(1783),
    [anon_sym_writeonly] = ACTIONS(1783),
    [anon_sym_precision] = ACTIONS(1783),
    [anon_sym_highp] = ACTIONS(1783),
    [anon_sym_mediump] = ACTIONS(1783),
    [anon_sym_lowp] = ACTIONS(1783),
    [anon_sym_centroid] = ACTIONS(1783),
    [anon_sym_sample] = ACTIONS(1783),
    [anon_sym_patch] = ACTIONS(1783),
    [anon_sym_smooth] = ACTIONS(1783),
    [anon_sym_flat] = ACTIONS(1783),
    [anon_sym_noperspective] = ACTIONS(1783),
    [anon_sym___extension__] = ACTIONS(53),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1421),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [631] = {
    [sym_preproc_def] = STATE(633),
    [sym_preproc_function_def] = STATE(633),
    [sym_preproc_call] = STATE(633),
    [sym_preproc_if_in_field_declaration_list] = STATE(633),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(633),
    [sym_preproc_else_in_field_declaration_list] = STATE(2685),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2685),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1802),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(1192),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym__field_declaration_list_item] = STATE(633),
    [sym_field_declaration] = STATE(633),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(726),
    [sym_layout_specification] = STATE(726),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(633),
    [aux_sym_declaration_repeat1] = STATE(726),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(1739),
    [aux_sym_preproc_def_token1] = ACTIONS(1773),
    [aux_sym_preproc_if_token1] = ACTIONS(1775),
    [aux_sym_preproc_if_token2] = ACTIONS(1859),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1779),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1779),
    [aux_sym_preproc_else_token1] = ACTIONS(1749),
    [aux_sym_preproc_elif_token1] = ACTIONS(1751),
    [sym_preproc_directive] = ACTIONS(1781),
    [anon_sym_subroutine] = ACTIONS(1783),
    [anon_sym_invariant] = ACTIONS(1783),
    [anon_sym_precise] = ACTIONS(1783),
    [anon_sym_in] = ACTIONS(1783),
    [anon_sym_out] = ACTIONS(1783),
    [anon_sym_inout] = ACTIONS(1783),
    [anon_sym_uniform] = ACTIONS(1783),
    [anon_sym_shared] = ACTIONS(1783),
    [anon_sym_attribute] = ACTIONS(1783),
    [anon_sym_varying] = ACTIONS(1783),
    [anon_sym_buffer] = ACTIONS(1783),
    [anon_sym_coherent] = ACTIONS(1783),
    [anon_sym_readonly] = ACTIONS(1783),
    [anon_sym_writeonly] = ACTIONS(1783),
    [anon_sym_precision] = ACTIONS(1783),
    [anon_sym_highp] = ACTIONS(1783),
    [anon_sym_mediump] = ACTIONS(1783),
    [anon_sym_lowp] = ACTIONS(1783),
    [anon_sym_centroid] = ACTIONS(1783),
    [anon_sym_sample] = ACTIONS(1783),
    [anon_sym_patch] = ACTIONS(1783),
    [anon_sym_smooth] = ACTIONS(1783),
    [anon_sym_flat] = ACTIONS(1783),
    [anon_sym_noperspective] = ACTIONS(1783),
    [anon_sym___extension__] = ACTIONS(53),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1421),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [632] = {
    [sym_preproc_def] = STATE(633),
    [sym_preproc_function_def] = STATE(633),
    [sym_preproc_call] = STATE(633),
    [sym_preproc_if_in_field_declaration_list] = STATE(633),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(633),
    [sym_preproc_else_in_field_declaration_list] = STATE(2730),
    [sym_preproc_elif_in_field_declaration_list] = STATE(2730),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1802),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(1192),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym__field_declaration_list_item] = STATE(633),
    [sym_field_declaration] = STATE(633),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(726),
    [sym_layout_specification] = STATE(726),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(633),
    [aux_sym_declaration_repeat1] = STATE(726),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(1739),
    [aux_sym_preproc_def_token1] = ACTIONS(1773),
    [aux_sym_preproc_if_token1] = ACTIONS(1775),
    [aux_sym_preproc_if_token2] = ACTIONS(1861),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1779),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1779),
    [aux_sym_preproc_else_token1] = ACTIONS(1749),
    [aux_sym_preproc_elif_token1] = ACTIONS(1751),
    [sym_preproc_directive] = ACTIONS(1781),
    [anon_sym_subroutine] = ACTIONS(1783),
    [anon_sym_invariant] = ACTIONS(1783),
    [anon_sym_precise] = ACTIONS(1783),
    [anon_sym_in] = ACTIONS(1783),
    [anon_sym_out] = ACTIONS(1783),
    [anon_sym_inout] = ACTIONS(1783),
    [anon_sym_uniform] = ACTIONS(1783),
    [anon_sym_shared] = ACTIONS(1783),
    [anon_sym_attribute] = ACTIONS(1783),
    [anon_sym_varying] = ACTIONS(1783),
    [anon_sym_buffer] = ACTIONS(1783),
    [anon_sym_coherent] = ACTIONS(1783),
    [anon_sym_readonly] = ACTIONS(1783),
    [anon_sym_writeonly] = ACTIONS(1783),
    [anon_sym_precision] = ACTIONS(1783),
    [anon_sym_highp] = ACTIONS(1783),
    [anon_sym_mediump] = ACTIONS(1783),
    [anon_sym_lowp] = ACTIONS(1783),
    [anon_sym_centroid] = ACTIONS(1783),
    [anon_sym_sample] = ACTIONS(1783),
    [anon_sym_patch] = ACTIONS(1783),
    [anon_sym_smooth] = ACTIONS(1783),
    [anon_sym_flat] = ACTIONS(1783),
    [anon_sym_noperspective] = ACTIONS(1783),
    [anon_sym___extension__] = ACTIONS(53),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1421),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [633] = {
    [sym_preproc_def] = STATE(633),
    [sym_preproc_function_def] = STATE(633),
    [sym_preproc_call] = STATE(633),
    [sym_preproc_if_in_field_declaration_list] = STATE(633),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(633),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1802),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(1192),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym__field_declaration_list_item] = STATE(633),
    [sym_field_declaration] = STATE(633),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(726),
    [sym_layout_specification] = STATE(726),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(633),
    [aux_sym_declaration_repeat1] = STATE(726),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(1799),
    [aux_sym_preproc_def_token1] = ACTIONS(1863),
    [aux_sym_preproc_if_token1] = ACTIONS(1866),
    [aux_sym_preproc_if_token2] = ACTIONS(1808),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1869),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1869),
    [aux_sym_preproc_else_token1] = ACTIONS(1808),
    [aux_sym_preproc_elif_token1] = ACTIONS(1808),
    [sym_preproc_directive] = ACTIONS(1872),
    [anon_sym_subroutine] = ACTIONS(1875),
    [anon_sym_invariant] = ACTIONS(1875),
    [anon_sym_precise] = ACTIONS(1875),
    [anon_sym_in] = ACTIONS(1875),
    [anon_sym_out] = ACTIONS(1875),
    [anon_sym_inout] = ACTIONS(1875),
    [anon_sym_uniform] = ACTIONS(1875),
    [anon_sym_shared] = ACTIONS(1875),
    [anon_sym_attribute] = ACTIONS(1875),
    [anon_sym_varying] = ACTIONS(1875),
    [anon_sym_buffer] = ACTIONS(1875),
    [anon_sym_coherent] = ACTIONS(1875),
    [anon_sym_readonly] = ACTIONS(1875),
    [anon_sym_writeonly] = ACTIONS(1875),
    [anon_sym_precision] = ACTIONS(1875),
    [anon_sym_highp] = ACTIONS(1875),
    [anon_sym_mediump] = ACTIONS(1875),
    [anon_sym_lowp] = ACTIONS(1875),
    [anon_sym_centroid] = ACTIONS(1875),
    [anon_sym_sample] = ACTIONS(1875),
    [anon_sym_patch] = ACTIONS(1875),
    [anon_sym_smooth] = ACTIONS(1875),
    [anon_sym_flat] = ACTIONS(1875),
    [anon_sym_noperspective] = ACTIONS(1875),
    [anon_sym___extension__] = ACTIONS(1819),
    [anon_sym_extern] = ACTIONS(1822),
    [anon_sym___attribute__] = ACTIONS(1825),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1828),
    [anon_sym___declspec] = ACTIONS(1831),
    [anon_sym_signed] = ACTIONS(1834),
    [anon_sym_unsigned] = ACTIONS(1834),
    [anon_sym_long] = ACTIONS(1834),
    [anon_sym_short] = ACTIONS(1834),
    [anon_sym_static] = ACTIONS(1822),
    [anon_sym_auto] = ACTIONS(1822),
    [anon_sym_register] = ACTIONS(1822),
    [anon_sym_inline] = ACTIONS(1822),
    [anon_sym___inline] = ACTIONS(1822),
    [anon_sym___inline__] = ACTIONS(1822),
    [anon_sym___forceinline] = ACTIONS(1822),
    [anon_sym_thread_local] = ACTIONS(1822),
    [anon_sym___thread] = ACTIONS(1822),
    [anon_sym_const] = ACTIONS(1819),
    [anon_sym_constexpr] = ACTIONS(1819),
    [anon_sym_volatile] = ACTIONS(1819),
    [anon_sym_restrict] = ACTIONS(1819),
    [anon_sym___restrict__] = ACTIONS(1819),
    [anon_sym__Atomic] = ACTIONS(1819),
    [anon_sym__Noreturn] = ACTIONS(1819),
    [anon_sym_noreturn] = ACTIONS(1819),
    [sym_primitive_type] = ACTIONS(1837),
    [anon_sym_enum] = ACTIONS(1840),
    [anon_sym_struct] = ACTIONS(1843),
    [anon_sym_union] = ACTIONS(1846),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1849),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1849),
    [anon_sym_hitAttributeEXT] = ACTIONS(1849),
    [anon_sym_callableDataEXT] = ACTIONS(1849),
    [anon_sym_callableDataInEXT] = ACTIONS(1849),
    [anon_sym_shaderRecordEXT] = ACTIONS(1849),
    [anon_sym_rayPayloadNV] = ACTIONS(1849),
    [anon_sym_rayPayloadInNV] = ACTIONS(1849),
    [anon_sym_hitAttributeNV] = ACTIONS(1849),
    [anon_sym_callableDataNV] = ACTIONS(1849),
    [anon_sym_callableDataInNV] = ACTIONS(1849),
    [anon_sym_shaderRecordNV] = ACTIONS(1849),
    [anon_sym_layout] = ACTIONS(1852),
  },
  [634] = {
    [sym_preproc_def] = STATE(634),
    [sym_preproc_function_def] = STATE(634),
    [sym_preproc_call] = STATE(634),
    [sym_preproc_if_in_field_declaration_list] = STATE(634),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(634),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1799),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(1192),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym__field_declaration_list_item] = STATE(634),
    [sym_field_declaration] = STATE(634),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(721),
    [sym_layout_specification] = STATE(721),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(634),
    [aux_sym_declaration_repeat1] = STATE(721),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(1799),
    [aux_sym_preproc_def_token1] = ACTIONS(1878),
    [aux_sym_preproc_if_token1] = ACTIONS(1881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1884),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1884),
    [sym_preproc_directive] = ACTIONS(1887),
    [anon_sym_subroutine] = ACTIONS(1890),
    [anon_sym_invariant] = ACTIONS(1890),
    [anon_sym_precise] = ACTIONS(1890),
    [anon_sym_in] = ACTIONS(1890),
    [anon_sym_out] = ACTIONS(1890),
    [anon_sym_inout] = ACTIONS(1890),
    [anon_sym_uniform] = ACTIONS(1890),
    [anon_sym_shared] = ACTIONS(1890),
    [anon_sym_attribute] = ACTIONS(1890),
    [anon_sym_varying] = ACTIONS(1890),
    [anon_sym_buffer] = ACTIONS(1890),
    [anon_sym_coherent] = ACTIONS(1890),
    [anon_sym_readonly] = ACTIONS(1890),
    [anon_sym_writeonly] = ACTIONS(1890),
    [anon_sym_precision] = ACTIONS(1890),
    [anon_sym_highp] = ACTIONS(1890),
    [anon_sym_mediump] = ACTIONS(1890),
    [anon_sym_lowp] = ACTIONS(1890),
    [anon_sym_centroid] = ACTIONS(1890),
    [anon_sym_sample] = ACTIONS(1890),
    [anon_sym_patch] = ACTIONS(1890),
    [anon_sym_smooth] = ACTIONS(1890),
    [anon_sym_flat] = ACTIONS(1890),
    [anon_sym_noperspective] = ACTIONS(1890),
    [anon_sym___extension__] = ACTIONS(1819),
    [anon_sym_extern] = ACTIONS(1822),
    [anon_sym___attribute__] = ACTIONS(1825),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1828),
    [anon_sym___declspec] = ACTIONS(1831),
    [anon_sym_RBRACE] = ACTIONS(1893),
    [anon_sym_signed] = ACTIONS(1834),
    [anon_sym_unsigned] = ACTIONS(1834),
    [anon_sym_long] = ACTIONS(1834),
    [anon_sym_short] = ACTIONS(1834),
    [anon_sym_static] = ACTIONS(1822),
    [anon_sym_auto] = ACTIONS(1822),
    [anon_sym_register] = ACTIONS(1822),
    [anon_sym_inline] = ACTIONS(1822),
    [anon_sym___inline] = ACTIONS(1822),
    [anon_sym___inline__] = ACTIONS(1822),
    [anon_sym___forceinline] = ACTIONS(1822),
    [anon_sym_thread_local] = ACTIONS(1822),
    [anon_sym___thread] = ACTIONS(1822),
    [anon_sym_const] = ACTIONS(1819),
    [anon_sym_constexpr] = ACTIONS(1819),
    [anon_sym_volatile] = ACTIONS(1819),
    [anon_sym_restrict] = ACTIONS(1819),
    [anon_sym___restrict__] = ACTIONS(1819),
    [anon_sym__Atomic] = ACTIONS(1819),
    [anon_sym__Noreturn] = ACTIONS(1819),
    [anon_sym_noreturn] = ACTIONS(1819),
    [sym_primitive_type] = ACTIONS(1837),
    [anon_sym_enum] = ACTIONS(1840),
    [anon_sym_struct] = ACTIONS(1843),
    [anon_sym_union] = ACTIONS(1846),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1849),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1849),
    [anon_sym_hitAttributeEXT] = ACTIONS(1849),
    [anon_sym_callableDataEXT] = ACTIONS(1849),
    [anon_sym_callableDataInEXT] = ACTIONS(1849),
    [anon_sym_shaderRecordEXT] = ACTIONS(1849),
    [anon_sym_rayPayloadNV] = ACTIONS(1849),
    [anon_sym_rayPayloadInNV] = ACTIONS(1849),
    [anon_sym_hitAttributeNV] = ACTIONS(1849),
    [anon_sym_callableDataNV] = ACTIONS(1849),
    [anon_sym_callableDataInNV] = ACTIONS(1849),
    [anon_sym_shaderRecordNV] = ACTIONS(1849),
    [anon_sym_layout] = ACTIONS(1852),
  },
  [635] = {
    [sym_preproc_def] = STATE(636),
    [sym_preproc_function_def] = STATE(636),
    [sym_preproc_call] = STATE(636),
    [sym_preproc_if_in_field_declaration_list] = STATE(636),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(636),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1799),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(1192),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym__field_declaration_list_item] = STATE(636),
    [sym_field_declaration] = STATE(636),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(721),
    [sym_layout_specification] = STATE(721),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(636),
    [aux_sym_declaration_repeat1] = STATE(721),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(1739),
    [aux_sym_preproc_def_token1] = ACTIONS(1895),
    [aux_sym_preproc_if_token1] = ACTIONS(1897),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1899),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1899),
    [sym_preproc_directive] = ACTIONS(1901),
    [anon_sym_subroutine] = ACTIONS(1903),
    [anon_sym_invariant] = ACTIONS(1903),
    [anon_sym_precise] = ACTIONS(1903),
    [anon_sym_in] = ACTIONS(1903),
    [anon_sym_out] = ACTIONS(1903),
    [anon_sym_inout] = ACTIONS(1903),
    [anon_sym_uniform] = ACTIONS(1903),
    [anon_sym_shared] = ACTIONS(1903),
    [anon_sym_attribute] = ACTIONS(1903),
    [anon_sym_varying] = ACTIONS(1903),
    [anon_sym_buffer] = ACTIONS(1903),
    [anon_sym_coherent] = ACTIONS(1903),
    [anon_sym_readonly] = ACTIONS(1903),
    [anon_sym_writeonly] = ACTIONS(1903),
    [anon_sym_precision] = ACTIONS(1903),
    [anon_sym_highp] = ACTIONS(1903),
    [anon_sym_mediump] = ACTIONS(1903),
    [anon_sym_lowp] = ACTIONS(1903),
    [anon_sym_centroid] = ACTIONS(1903),
    [anon_sym_sample] = ACTIONS(1903),
    [anon_sym_patch] = ACTIONS(1903),
    [anon_sym_smooth] = ACTIONS(1903),
    [anon_sym_flat] = ACTIONS(1903),
    [anon_sym_noperspective] = ACTIONS(1903),
    [anon_sym___extension__] = ACTIONS(53),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1421),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_RBRACE] = ACTIONS(1905),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [636] = {
    [sym_preproc_def] = STATE(634),
    [sym_preproc_function_def] = STATE(634),
    [sym_preproc_call] = STATE(634),
    [sym_preproc_if_in_field_declaration_list] = STATE(634),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(634),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1799),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(1192),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym__field_declaration_list_item] = STATE(634),
    [sym_field_declaration] = STATE(634),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(721),
    [sym_layout_specification] = STATE(721),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(634),
    [aux_sym_declaration_repeat1] = STATE(721),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(1739),
    [aux_sym_preproc_def_token1] = ACTIONS(1895),
    [aux_sym_preproc_if_token1] = ACTIONS(1897),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1899),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1899),
    [sym_preproc_directive] = ACTIONS(1901),
    [anon_sym_subroutine] = ACTIONS(1903),
    [anon_sym_invariant] = ACTIONS(1903),
    [anon_sym_precise] = ACTIONS(1903),
    [anon_sym_in] = ACTIONS(1903),
    [anon_sym_out] = ACTIONS(1903),
    [anon_sym_inout] = ACTIONS(1903),
    [anon_sym_uniform] = ACTIONS(1903),
    [anon_sym_shared] = ACTIONS(1903),
    [anon_sym_attribute] = ACTIONS(1903),
    [anon_sym_varying] = ACTIONS(1903),
    [anon_sym_buffer] = ACTIONS(1903),
    [anon_sym_coherent] = ACTIONS(1903),
    [anon_sym_readonly] = ACTIONS(1903),
    [anon_sym_writeonly] = ACTIONS(1903),
    [anon_sym_precision] = ACTIONS(1903),
    [anon_sym_highp] = ACTIONS(1903),
    [anon_sym_mediump] = ACTIONS(1903),
    [anon_sym_lowp] = ACTIONS(1903),
    [anon_sym_centroid] = ACTIONS(1903),
    [anon_sym_sample] = ACTIONS(1903),
    [anon_sym_patch] = ACTIONS(1903),
    [anon_sym_smooth] = ACTIONS(1903),
    [anon_sym_flat] = ACTIONS(1903),
    [anon_sym_noperspective] = ACTIONS(1903),
    [anon_sym___extension__] = ACTIONS(53),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1421),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_RBRACE] = ACTIONS(1907),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [637] = {
    [sym_preproc_def] = STATE(637),
    [sym_preproc_function_def] = STATE(637),
    [sym_preproc_call] = STATE(637),
    [sym_preproc_if_in_field_declaration_list] = STATE(637),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(637),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1803),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(1192),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym__field_declaration_list_item] = STATE(637),
    [sym_field_declaration] = STATE(637),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(728),
    [sym_layout_specification] = STATE(728),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(637),
    [aux_sym_declaration_repeat1] = STATE(728),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(1799),
    [aux_sym_preproc_def_token1] = ACTIONS(1909),
    [aux_sym_preproc_if_token1] = ACTIONS(1912),
    [aux_sym_preproc_if_token2] = ACTIONS(1808),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1915),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1915),
    [sym_preproc_directive] = ACTIONS(1918),
    [anon_sym_subroutine] = ACTIONS(1921),
    [anon_sym_invariant] = ACTIONS(1921),
    [anon_sym_precise] = ACTIONS(1921),
    [anon_sym_in] = ACTIONS(1921),
    [anon_sym_out] = ACTIONS(1921),
    [anon_sym_inout] = ACTIONS(1921),
    [anon_sym_uniform] = ACTIONS(1921),
    [anon_sym_shared] = ACTIONS(1921),
    [anon_sym_attribute] = ACTIONS(1921),
    [anon_sym_varying] = ACTIONS(1921),
    [anon_sym_buffer] = ACTIONS(1921),
    [anon_sym_coherent] = ACTIONS(1921),
    [anon_sym_readonly] = ACTIONS(1921),
    [anon_sym_writeonly] = ACTIONS(1921),
    [anon_sym_precision] = ACTIONS(1921),
    [anon_sym_highp] = ACTIONS(1921),
    [anon_sym_mediump] = ACTIONS(1921),
    [anon_sym_lowp] = ACTIONS(1921),
    [anon_sym_centroid] = ACTIONS(1921),
    [anon_sym_sample] = ACTIONS(1921),
    [anon_sym_patch] = ACTIONS(1921),
    [anon_sym_smooth] = ACTIONS(1921),
    [anon_sym_flat] = ACTIONS(1921),
    [anon_sym_noperspective] = ACTIONS(1921),
    [anon_sym___extension__] = ACTIONS(1819),
    [anon_sym_extern] = ACTIONS(1822),
    [anon_sym___attribute__] = ACTIONS(1825),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1828),
    [anon_sym___declspec] = ACTIONS(1831),
    [anon_sym_signed] = ACTIONS(1834),
    [anon_sym_unsigned] = ACTIONS(1834),
    [anon_sym_long] = ACTIONS(1834),
    [anon_sym_short] = ACTIONS(1834),
    [anon_sym_static] = ACTIONS(1822),
    [anon_sym_auto] = ACTIONS(1822),
    [anon_sym_register] = ACTIONS(1822),
    [anon_sym_inline] = ACTIONS(1822),
    [anon_sym___inline] = ACTIONS(1822),
    [anon_sym___inline__] = ACTIONS(1822),
    [anon_sym___forceinline] = ACTIONS(1822),
    [anon_sym_thread_local] = ACTIONS(1822),
    [anon_sym___thread] = ACTIONS(1822),
    [anon_sym_const] = ACTIONS(1819),
    [anon_sym_constexpr] = ACTIONS(1819),
    [anon_sym_volatile] = ACTIONS(1819),
    [anon_sym_restrict] = ACTIONS(1819),
    [anon_sym___restrict__] = ACTIONS(1819),
    [anon_sym__Atomic] = ACTIONS(1819),
    [anon_sym__Noreturn] = ACTIONS(1819),
    [anon_sym_noreturn] = ACTIONS(1819),
    [sym_primitive_type] = ACTIONS(1837),
    [anon_sym_enum] = ACTIONS(1840),
    [anon_sym_struct] = ACTIONS(1843),
    [anon_sym_union] = ACTIONS(1846),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1849),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1849),
    [anon_sym_hitAttributeEXT] = ACTIONS(1849),
    [anon_sym_callableDataEXT] = ACTIONS(1849),
    [anon_sym_callableDataInEXT] = ACTIONS(1849),
    [anon_sym_shaderRecordEXT] = ACTIONS(1849),
    [anon_sym_rayPayloadNV] = ACTIONS(1849),
    [anon_sym_rayPayloadInNV] = ACTIONS(1849),
    [anon_sym_hitAttributeNV] = ACTIONS(1849),
    [anon_sym_callableDataNV] = ACTIONS(1849),
    [anon_sym_callableDataInNV] = ACTIONS(1849),
    [anon_sym_shaderRecordNV] = ACTIONS(1849),
    [anon_sym_layout] = ACTIONS(1852),
  },
  [638] = {
    [sym_preproc_def] = STATE(637),
    [sym_preproc_function_def] = STATE(637),
    [sym_preproc_call] = STATE(637),
    [sym_preproc_if_in_field_declaration_list] = STATE(637),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(637),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1803),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(1192),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym__field_declaration_list_item] = STATE(637),
    [sym_field_declaration] = STATE(637),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(728),
    [sym_layout_specification] = STATE(728),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(637),
    [aux_sym_declaration_repeat1] = STATE(728),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(1739),
    [aux_sym_preproc_def_token1] = ACTIONS(1924),
    [aux_sym_preproc_if_token1] = ACTIONS(1926),
    [aux_sym_preproc_if_token2] = ACTIONS(1928),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1930),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1930),
    [sym_preproc_directive] = ACTIONS(1932),
    [anon_sym_subroutine] = ACTIONS(1934),
    [anon_sym_invariant] = ACTIONS(1934),
    [anon_sym_precise] = ACTIONS(1934),
    [anon_sym_in] = ACTIONS(1934),
    [anon_sym_out] = ACTIONS(1934),
    [anon_sym_inout] = ACTIONS(1934),
    [anon_sym_uniform] = ACTIONS(1934),
    [anon_sym_shared] = ACTIONS(1934),
    [anon_sym_attribute] = ACTIONS(1934),
    [anon_sym_varying] = ACTIONS(1934),
    [anon_sym_buffer] = ACTIONS(1934),
    [anon_sym_coherent] = ACTIONS(1934),
    [anon_sym_readonly] = ACTIONS(1934),
    [anon_sym_writeonly] = ACTIONS(1934),
    [anon_sym_precision] = ACTIONS(1934),
    [anon_sym_highp] = ACTIONS(1934),
    [anon_sym_mediump] = ACTIONS(1934),
    [anon_sym_lowp] = ACTIONS(1934),
    [anon_sym_centroid] = ACTIONS(1934),
    [anon_sym_sample] = ACTIONS(1934),
    [anon_sym_patch] = ACTIONS(1934),
    [anon_sym_smooth] = ACTIONS(1934),
    [anon_sym_flat] = ACTIONS(1934),
    [anon_sym_noperspective] = ACTIONS(1934),
    [anon_sym___extension__] = ACTIONS(53),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1421),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [639] = {
    [sym_preproc_def] = STATE(638),
    [sym_preproc_function_def] = STATE(638),
    [sym_preproc_call] = STATE(638),
    [sym_preproc_if_in_field_declaration_list] = STATE(638),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(638),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1803),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(1192),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym__field_declaration_list_item] = STATE(638),
    [sym_field_declaration] = STATE(638),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(728),
    [sym_layout_specification] = STATE(728),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(638),
    [aux_sym_declaration_repeat1] = STATE(728),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(1739),
    [aux_sym_preproc_def_token1] = ACTIONS(1924),
    [aux_sym_preproc_if_token1] = ACTIONS(1926),
    [aux_sym_preproc_if_token2] = ACTIONS(1936),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1930),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1930),
    [sym_preproc_directive] = ACTIONS(1932),
    [anon_sym_subroutine] = ACTIONS(1934),
    [anon_sym_invariant] = ACTIONS(1934),
    [anon_sym_precise] = ACTIONS(1934),
    [anon_sym_in] = ACTIONS(1934),
    [anon_sym_out] = ACTIONS(1934),
    [anon_sym_inout] = ACTIONS(1934),
    [anon_sym_uniform] = ACTIONS(1934),
    [anon_sym_shared] = ACTIONS(1934),
    [anon_sym_attribute] = ACTIONS(1934),
    [anon_sym_varying] = ACTIONS(1934),
    [anon_sym_buffer] = ACTIONS(1934),
    [anon_sym_coherent] = ACTIONS(1934),
    [anon_sym_readonly] = ACTIONS(1934),
    [anon_sym_writeonly] = ACTIONS(1934),
    [anon_sym_precision] = ACTIONS(1934),
    [anon_sym_highp] = ACTIONS(1934),
    [anon_sym_mediump] = ACTIONS(1934),
    [anon_sym_lowp] = ACTIONS(1934),
    [anon_sym_centroid] = ACTIONS(1934),
    [anon_sym_sample] = ACTIONS(1934),
    [anon_sym_patch] = ACTIONS(1934),
    [anon_sym_smooth] = ACTIONS(1934),
    [anon_sym_flat] = ACTIONS(1934),
    [anon_sym_noperspective] = ACTIONS(1934),
    [anon_sym___extension__] = ACTIONS(53),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1421),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [640] = {
    [sym_function_definition] = STATE(298),
    [sym_declaration] = STATE(298),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1606),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(1192),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_ms_call_modifier] = STATE(1174),
    [sym_declaration_list] = STATE(298),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(727),
    [sym_layout_specification] = STATE(727),
    [aux_sym_declaration_repeat1] = STATE(727),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(1938),
    [anon_sym_subroutine] = ACTIONS(209),
    [anon_sym_invariant] = ACTIONS(211),
    [anon_sym_precise] = ACTIONS(211),
    [anon_sym_in] = ACTIONS(215),
    [anon_sym_out] = ACTIONS(215),
    [anon_sym_inout] = ACTIONS(215),
    [anon_sym_uniform] = ACTIONS(215),
    [anon_sym_shared] = ACTIONS(215),
    [anon_sym_attribute] = ACTIONS(215),
    [anon_sym_varying] = ACTIONS(215),
    [anon_sym_buffer] = ACTIONS(215),
    [anon_sym_coherent] = ACTIONS(215),
    [anon_sym_readonly] = ACTIONS(215),
    [anon_sym_writeonly] = ACTIONS(215),
    [anon_sym_precision] = ACTIONS(215),
    [anon_sym_highp] = ACTIONS(215),
    [anon_sym_mediump] = ACTIONS(215),
    [anon_sym_lowp] = ACTIONS(215),
    [anon_sym_centroid] = ACTIONS(215),
    [anon_sym_sample] = ACTIONS(215),
    [anon_sym_patch] = ACTIONS(215),
    [anon_sym_smooth] = ACTIONS(215),
    [anon_sym_flat] = ACTIONS(215),
    [anon_sym_noperspective] = ACTIONS(215),
    [anon_sym___extension__] = ACTIONS(53),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1421),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1940),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [641] = {
    [sym_function_definition] = STATE(163),
    [sym_declaration] = STATE(163),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1618),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(1192),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_ms_call_modifier] = STATE(1162),
    [sym_declaration_list] = STATE(163),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(720),
    [sym_layout_specification] = STATE(720),
    [aux_sym_declaration_repeat1] = STATE(720),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(1942),
    [anon_sym_subroutine] = ACTIONS(131),
    [anon_sym_invariant] = ACTIONS(133),
    [anon_sym_precise] = ACTIONS(133),
    [anon_sym_in] = ACTIONS(137),
    [anon_sym_out] = ACTIONS(137),
    [anon_sym_inout] = ACTIONS(137),
    [anon_sym_uniform] = ACTIONS(137),
    [anon_sym_shared] = ACTIONS(137),
    [anon_sym_attribute] = ACTIONS(137),
    [anon_sym_varying] = ACTIONS(137),
    [anon_sym_buffer] = ACTIONS(137),
    [anon_sym_coherent] = ACTIONS(137),
    [anon_sym_readonly] = ACTIONS(137),
    [anon_sym_writeonly] = ACTIONS(137),
    [anon_sym_precision] = ACTIONS(137),
    [anon_sym_highp] = ACTIONS(137),
    [anon_sym_mediump] = ACTIONS(137),
    [anon_sym_lowp] = ACTIONS(137),
    [anon_sym_centroid] = ACTIONS(137),
    [anon_sym_sample] = ACTIONS(137),
    [anon_sym_patch] = ACTIONS(137),
    [anon_sym_smooth] = ACTIONS(137),
    [anon_sym_flat] = ACTIONS(137),
    [anon_sym_noperspective] = ACTIONS(137),
    [anon_sym___extension__] = ACTIONS(53),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1421),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1944),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [642] = {
    [sym_function_definition] = STATE(609),
    [sym_declaration] = STATE(609),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1614),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(1192),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_ms_call_modifier] = STATE(1157),
    [sym_declaration_list] = STATE(609),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(724),
    [sym_layout_specification] = STATE(724),
    [aux_sym_declaration_repeat1] = STATE(724),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(1946),
    [anon_sym_subroutine] = ACTIONS(27),
    [anon_sym_invariant] = ACTIONS(29),
    [anon_sym_precise] = ACTIONS(29),
    [anon_sym_in] = ACTIONS(31),
    [anon_sym_out] = ACTIONS(31),
    [anon_sym_inout] = ACTIONS(31),
    [anon_sym_uniform] = ACTIONS(31),
    [anon_sym_shared] = ACTIONS(31),
    [anon_sym_attribute] = ACTIONS(31),
    [anon_sym_varying] = ACTIONS(31),
    [anon_sym_buffer] = ACTIONS(31),
    [anon_sym_coherent] = ACTIONS(31),
    [anon_sym_readonly] = ACTIONS(31),
    [anon_sym_writeonly] = ACTIONS(31),
    [anon_sym_precision] = ACTIONS(31),
    [anon_sym_highp] = ACTIONS(31),
    [anon_sym_mediump] = ACTIONS(31),
    [anon_sym_lowp] = ACTIONS(31),
    [anon_sym_centroid] = ACTIONS(31),
    [anon_sym_sample] = ACTIONS(31),
    [anon_sym_patch] = ACTIONS(31),
    [anon_sym_smooth] = ACTIONS(31),
    [anon_sym_flat] = ACTIONS(31),
    [anon_sym_noperspective] = ACTIONS(31),
    [anon_sym___extension__] = ACTIONS(53),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1421),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1948),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [643] = {
    [sym_function_definition] = STATE(503),
    [sym_declaration] = STATE(503),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1604),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(1192),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_ms_call_modifier] = STATE(1156),
    [sym_declaration_list] = STATE(503),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(723),
    [sym_layout_specification] = STATE(723),
    [aux_sym_declaration_repeat1] = STATE(723),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(1950),
    [anon_sym_subroutine] = ACTIONS(611),
    [anon_sym_invariant] = ACTIONS(613),
    [anon_sym_precise] = ACTIONS(613),
    [anon_sym_in] = ACTIONS(617),
    [anon_sym_out] = ACTIONS(617),
    [anon_sym_inout] = ACTIONS(617),
    [anon_sym_uniform] = ACTIONS(617),
    [anon_sym_shared] = ACTIONS(617),
    [anon_sym_attribute] = ACTIONS(617),
    [anon_sym_varying] = ACTIONS(617),
    [anon_sym_buffer] = ACTIONS(617),
    [anon_sym_coherent] = ACTIONS(617),
    [anon_sym_readonly] = ACTIONS(617),
    [anon_sym_writeonly] = ACTIONS(617),
    [anon_sym_precision] = ACTIONS(617),
    [anon_sym_highp] = ACTIONS(617),
    [anon_sym_mediump] = ACTIONS(617),
    [anon_sym_lowp] = ACTIONS(617),
    [anon_sym_centroid] = ACTIONS(617),
    [anon_sym_sample] = ACTIONS(617),
    [anon_sym_patch] = ACTIONS(617),
    [anon_sym_smooth] = ACTIONS(617),
    [anon_sym_flat] = ACTIONS(617),
    [anon_sym_noperspective] = ACTIONS(617),
    [anon_sym___extension__] = ACTIONS(53),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1421),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1952),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [644] = {
    [sym_function_definition] = STATE(498),
    [sym_declaration] = STATE(498),
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1603),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(1192),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_ms_call_modifier] = STATE(1173),
    [sym_declaration_list] = STATE(498),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(719),
    [sym_layout_specification] = STATE(719),
    [aux_sym_declaration_repeat1] = STATE(719),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(1954),
    [anon_sym_subroutine] = ACTIONS(537),
    [anon_sym_invariant] = ACTIONS(539),
    [anon_sym_precise] = ACTIONS(539),
    [anon_sym_in] = ACTIONS(543),
    [anon_sym_out] = ACTIONS(543),
    [anon_sym_inout] = ACTIONS(543),
    [anon_sym_uniform] = ACTIONS(543),
    [anon_sym_shared] = ACTIONS(543),
    [anon_sym_attribute] = ACTIONS(543),
    [anon_sym_varying] = ACTIONS(543),
    [anon_sym_buffer] = ACTIONS(543),
    [anon_sym_coherent] = ACTIONS(543),
    [anon_sym_readonly] = ACTIONS(543),
    [anon_sym_writeonly] = ACTIONS(543),
    [anon_sym_precision] = ACTIONS(543),
    [anon_sym_highp] = ACTIONS(543),
    [anon_sym_mediump] = ACTIONS(543),
    [anon_sym_lowp] = ACTIONS(543),
    [anon_sym_centroid] = ACTIONS(543),
    [anon_sym_sample] = ACTIONS(543),
    [anon_sym_patch] = ACTIONS(543),
    [anon_sym_smooth] = ACTIONS(543),
    [anon_sym_flat] = ACTIONS(543),
    [anon_sym_noperspective] = ACTIONS(543),
    [anon_sym___extension__] = ACTIONS(53),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1421),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1956),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [645] = {
    [sym__expression] = STATE(1133),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1115),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1115),
    [sym_call_expression] = STATE(1115),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1115),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1115),
    [sym_initializer_list] = STATE(1114),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_COMMA] = ACTIONS(1960),
    [anon_sym_RPAREN] = ACTIONS(1960),
    [anon_sym_LPAREN2] = ACTIONS(1960),
    [anon_sym_BANG] = ACTIONS(1962),
    [anon_sym_TILDE] = ACTIONS(1964),
    [anon_sym_DASH] = ACTIONS(1966),
    [anon_sym_PLUS] = ACTIONS(1966),
    [anon_sym_STAR] = ACTIONS(1966),
    [anon_sym_SLASH] = ACTIONS(1966),
    [anon_sym_PERCENT] = ACTIONS(1966),
    [anon_sym_PIPE_PIPE] = ACTIONS(1960),
    [anon_sym_AMP_AMP] = ACTIONS(1960),
    [anon_sym_PIPE] = ACTIONS(1966),
    [anon_sym_CARET] = ACTIONS(1966),
    [anon_sym_AMP] = ACTIONS(1966),
    [anon_sym_EQ_EQ] = ACTIONS(1960),
    [anon_sym_BANG_EQ] = ACTIONS(1960),
    [anon_sym_GT] = ACTIONS(1966),
    [anon_sym_GT_EQ] = ACTIONS(1960),
    [anon_sym_LT_EQ] = ACTIONS(1960),
    [anon_sym_LT] = ACTIONS(1966),
    [anon_sym_LT_LT] = ACTIONS(1966),
    [anon_sym_GT_GT] = ACTIONS(1966),
    [anon_sym_SEMI] = ACTIONS(1960),
    [anon_sym___attribute__] = ACTIONS(1966),
    [anon_sym_LBRACE] = ACTIONS(1968),
    [anon_sym_RBRACE] = ACTIONS(1960),
    [anon_sym_LBRACK] = ACTIONS(1960),
    [anon_sym_EQ] = ACTIONS(1966),
    [anon_sym_COLON] = ACTIONS(1960),
    [anon_sym_QMARK] = ACTIONS(1960),
    [anon_sym_STAR_EQ] = ACTIONS(1960),
    [anon_sym_SLASH_EQ] = ACTIONS(1960),
    [anon_sym_PERCENT_EQ] = ACTIONS(1960),
    [anon_sym_PLUS_EQ] = ACTIONS(1960),
    [anon_sym_DASH_EQ] = ACTIONS(1960),
    [anon_sym_LT_LT_EQ] = ACTIONS(1960),
    [anon_sym_GT_GT_EQ] = ACTIONS(1960),
    [anon_sym_AMP_EQ] = ACTIONS(1960),
    [anon_sym_CARET_EQ] = ACTIONS(1960),
    [anon_sym_PIPE_EQ] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(1960),
    [anon_sym_PLUS_PLUS] = ACTIONS(1960),
    [anon_sym_sizeof] = ACTIONS(1970),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [anon_sym_DOT] = ACTIONS(1966),
    [anon_sym_DASH_GT] = ACTIONS(1960),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [646] = {
    [sym__expression] = STATE(1133),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1115),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1115),
    [sym_call_expression] = STATE(1115),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1115),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1115),
    [sym_initializer_list] = STATE(1114),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1136),
    [sym_null] = STATE(1115),
    [sym_identifier] = ACTIONS(1966),
    [anon_sym_COMMA] = ACTIONS(1960),
    [aux_sym_preproc_if_token2] = ACTIONS(1960),
    [aux_sym_preproc_else_token1] = ACTIONS(1960),
    [aux_sym_preproc_elif_token1] = ACTIONS(1966),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1960),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1960),
    [anon_sym_LPAREN2] = ACTIONS(1960),
    [anon_sym_BANG] = ACTIONS(1972),
    [anon_sym_TILDE] = ACTIONS(1974),
    [anon_sym_DASH] = ACTIONS(1966),
    [anon_sym_PLUS] = ACTIONS(1966),
    [anon_sym_STAR] = ACTIONS(1966),
    [anon_sym_SLASH] = ACTIONS(1966),
    [anon_sym_PERCENT] = ACTIONS(1966),
    [anon_sym_PIPE_PIPE] = ACTIONS(1960),
    [anon_sym_AMP_AMP] = ACTIONS(1960),
    [anon_sym_PIPE] = ACTIONS(1966),
    [anon_sym_CARET] = ACTIONS(1966),
    [anon_sym_AMP] = ACTIONS(1966),
    [anon_sym_EQ_EQ] = ACTIONS(1960),
    [anon_sym_BANG_EQ] = ACTIONS(1960),
    [anon_sym_GT] = ACTIONS(1966),
    [anon_sym_GT_EQ] = ACTIONS(1960),
    [anon_sym_LT_EQ] = ACTIONS(1960),
    [anon_sym_LT] = ACTIONS(1966),
    [anon_sym_LT_LT] = ACTIONS(1966),
    [anon_sym_GT_GT] = ACTIONS(1966),
    [anon_sym_LBRACE] = ACTIONS(1968),
    [anon_sym_LBRACK] = ACTIONS(1960),
    [anon_sym_EQ] = ACTIONS(1966),
    [anon_sym_QMARK] = ACTIONS(1960),
    [anon_sym_STAR_EQ] = ACTIONS(1960),
    [anon_sym_SLASH_EQ] = ACTIONS(1960),
    [anon_sym_PERCENT_EQ] = ACTIONS(1960),
    [anon_sym_PLUS_EQ] = ACTIONS(1960),
    [anon_sym_DASH_EQ] = ACTIONS(1960),
    [anon_sym_LT_LT_EQ] = ACTIONS(1960),
    [anon_sym_GT_GT_EQ] = ACTIONS(1960),
    [anon_sym_AMP_EQ] = ACTIONS(1960),
    [anon_sym_CARET_EQ] = ACTIONS(1960),
    [anon_sym_PIPE_EQ] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(1960),
    [anon_sym_PLUS_PLUS] = ACTIONS(1960),
    [anon_sym_sizeof] = ACTIONS(1976),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [anon_sym_DOT] = ACTIONS(1966),
    [anon_sym_DASH_GT] = ACTIONS(1960),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [647] = {
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1657),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(1192),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_ms_based_modifier] = STATE(2616),
    [sym_ms_call_modifier] = STATE(1739),
    [sym__declarator] = STATE(2082),
    [sym__abstract_declarator] = STATE(2240),
    [sym_parenthesized_declarator] = STATE(1917),
    [sym_abstract_parenthesized_declarator] = STATE(2176),
    [sym_attributed_declarator] = STATE(1917),
    [sym_pointer_declarator] = STATE(1917),
    [sym_abstract_pointer_declarator] = STATE(2176),
    [sym_function_declarator] = STATE(1917),
    [sym_abstract_function_declarator] = STATE(2176),
    [sym_array_declarator] = STATE(1917),
    [sym_abstract_array_declarator] = STATE(2176),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_variadic_parameter] = STATE(2309),
    [sym_parameter_list] = STATE(2155),
    [sym_parameter_declaration] = STATE(2309),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_layout_specification] = STATE(868),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [aux_sym_parameter_declaration_repeat1] = STATE(868),
    [sym_identifier] = ACTIONS(1978),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1980),
    [anon_sym_RPAREN] = ACTIONS(1982),
    [anon_sym_LPAREN2] = ACTIONS(1984),
    [anon_sym_STAR] = ACTIONS(1986),
    [anon_sym_precise] = ACTIONS(1988),
    [anon_sym_in] = ACTIONS(1988),
    [anon_sym_out] = ACTIONS(1988),
    [anon_sym_inout] = ACTIONS(1988),
    [anon_sym_uniform] = ACTIONS(1988),
    [anon_sym_shared] = ACTIONS(1988),
    [anon_sym_attribute] = ACTIONS(1988),
    [anon_sym_varying] = ACTIONS(1988),
    [anon_sym_buffer] = ACTIONS(1988),
    [anon_sym_coherent] = ACTIONS(1988),
    [anon_sym_readonly] = ACTIONS(1988),
    [anon_sym_writeonly] = ACTIONS(1988),
    [anon_sym_centroid] = ACTIONS(1988),
    [anon_sym_sample] = ACTIONS(1988),
    [anon_sym_patch] = ACTIONS(1988),
    [anon_sym_smooth] = ACTIONS(1988),
    [anon_sym_flat] = ACTIONS(1988),
    [anon_sym_noperspective] = ACTIONS(1988),
    [anon_sym___extension__] = ACTIONS(53),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1421),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___based] = ACTIONS(1990),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(1992),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [anon_sym_layout] = ACTIONS(1994),
  },
  [648] = {
    [sym_attribute_declaration] = STATE(668),
    [sym_compound_statement] = STATE(288),
    [sym_attributed_statement] = STATE(288),
    [sym_labeled_statement] = STATE(288),
    [sym_expression_statement] = STATE(288),
    [sym_if_statement] = STATE(288),
    [sym_switch_statement] = STATE(288),
    [sym_case_statement] = STATE(288),
    [sym_while_statement] = STATE(288),
    [sym_do_statement] = STATE(288),
    [sym_for_statement] = STATE(288),
    [sym_return_statement] = STATE(288),
    [sym_break_statement] = STATE(288),
    [sym_continue_statement] = STATE(288),
    [sym_goto_statement] = STATE(288),
    [sym_seh_try_statement] = STATE(288),
    [sym_seh_leave_statement] = STATE(288),
    [sym__expression] = STATE(1479),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2606),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [aux_sym_attributed_declarator_repeat1] = STATE(668),
    [sym_identifier] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(541),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1998),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_switch] = ACTIONS(557),
    [anon_sym_case] = ACTIONS(559),
    [anon_sym_default] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [anon_sym_do] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(569),
    [anon_sym_break] = ACTIONS(571),
    [anon_sym_continue] = ACTIONS(573),
    [anon_sym_goto] = ACTIONS(575),
    [anon_sym___try] = ACTIONS(577),
    [anon_sym___leave] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [649] = {
    [sym_attribute_declaration] = STATE(686),
    [sym_compound_statement] = STATE(90),
    [sym_attributed_statement] = STATE(90),
    [sym_labeled_statement] = STATE(90),
    [sym_expression_statement] = STATE(90),
    [sym_if_statement] = STATE(90),
    [sym_switch_statement] = STATE(90),
    [sym_case_statement] = STATE(90),
    [sym_while_statement] = STATE(90),
    [sym_do_statement] = STATE(90),
    [sym_for_statement] = STATE(90),
    [sym_return_statement] = STATE(90),
    [sym_break_statement] = STATE(90),
    [sym_continue_statement] = STATE(90),
    [sym_goto_statement] = STATE(90),
    [sym_seh_try_statement] = STATE(90),
    [sym_seh_leave_statement] = STATE(90),
    [sym__expression] = STATE(1517),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2806),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [aux_sym_attributed_declarator_repeat1] = STATE(686),
    [sym_identifier] = ACTIONS(2000),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(135),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1998),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_if] = ACTIONS(147),
    [anon_sym_switch] = ACTIONS(149),
    [anon_sym_case] = ACTIONS(151),
    [anon_sym_default] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_return] = ACTIONS(161),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(165),
    [anon_sym_goto] = ACTIONS(167),
    [anon_sym___try] = ACTIONS(169),
    [anon_sym___leave] = ACTIONS(171),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [650] = {
    [sym_attribute_declaration] = STATE(669),
    [sym_compound_statement] = STATE(2611),
    [sym_attributed_statement] = STATE(2611),
    [sym_labeled_statement] = STATE(2611),
    [sym_expression_statement] = STATE(2611),
    [sym_if_statement] = STATE(2611),
    [sym_switch_statement] = STATE(2611),
    [sym_case_statement] = STATE(2611),
    [sym_while_statement] = STATE(2611),
    [sym_do_statement] = STATE(2611),
    [sym_for_statement] = STATE(2611),
    [sym_return_statement] = STATE(2611),
    [sym_break_statement] = STATE(2611),
    [sym_continue_statement] = STATE(2611),
    [sym_goto_statement] = STATE(2611),
    [sym_seh_try_statement] = STATE(2611),
    [sym_seh_leave_statement] = STATE(2611),
    [sym__expression] = STATE(1479),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2606),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [aux_sym_attributed_declarator_repeat1] = STATE(669),
    [sym_identifier] = ACTIONS(2002),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(541),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1998),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(1390),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(2004),
    [anon_sym_default] = ACTIONS(2006),
    [anon_sym_while] = ACTIONS(1392),
    [anon_sym_do] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(1394),
    [anon_sym_return] = ACTIONS(77),
    [anon_sym_break] = ACTIONS(79),
    [anon_sym_continue] = ACTIONS(81),
    [anon_sym_goto] = ACTIONS(83),
    [anon_sym___try] = ACTIONS(1396),
    [anon_sym___leave] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [651] = {
    [sym_attribute_declaration] = STATE(651),
    [sym_compound_statement] = STATE(134),
    [sym_attributed_statement] = STATE(134),
    [sym_labeled_statement] = STATE(134),
    [sym_expression_statement] = STATE(134),
    [sym_if_statement] = STATE(134),
    [sym_switch_statement] = STATE(134),
    [sym_case_statement] = STATE(134),
    [sym_while_statement] = STATE(134),
    [sym_do_statement] = STATE(134),
    [sym_for_statement] = STATE(134),
    [sym_return_statement] = STATE(134),
    [sym_break_statement] = STATE(134),
    [sym_continue_statement] = STATE(134),
    [sym_goto_statement] = STATE(134),
    [sym_seh_try_statement] = STATE(134),
    [sym_seh_leave_statement] = STATE(134),
    [sym__expression] = STATE(1517),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2806),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [aux_sym_attributed_declarator_repeat1] = STATE(651),
    [sym_identifier] = ACTIONS(2008),
    [anon_sym_LPAREN2] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2014),
    [anon_sym_TILDE] = ACTIONS(2014),
    [anon_sym_DASH] = ACTIONS(2017),
    [anon_sym_PLUS] = ACTIONS(2017),
    [anon_sym_STAR] = ACTIONS(2020),
    [anon_sym_AMP] = ACTIONS(2020),
    [anon_sym_SEMI] = ACTIONS(2023),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2026),
    [anon_sym_LBRACE] = ACTIONS(2029),
    [anon_sym_if] = ACTIONS(2032),
    [anon_sym_switch] = ACTIONS(2035),
    [anon_sym_case] = ACTIONS(2038),
    [anon_sym_default] = ACTIONS(2041),
    [anon_sym_while] = ACTIONS(2044),
    [anon_sym_do] = ACTIONS(2047),
    [anon_sym_for] = ACTIONS(2050),
    [anon_sym_return] = ACTIONS(2053),
    [anon_sym_break] = ACTIONS(2056),
    [anon_sym_continue] = ACTIONS(2059),
    [anon_sym_goto] = ACTIONS(2062),
    [anon_sym___try] = ACTIONS(2065),
    [anon_sym___leave] = ACTIONS(2068),
    [anon_sym_DASH_DASH] = ACTIONS(2071),
    [anon_sym_PLUS_PLUS] = ACTIONS(2071),
    [anon_sym_sizeof] = ACTIONS(2074),
    [anon_sym___alignof__] = ACTIONS(2077),
    [anon_sym___alignof] = ACTIONS(2077),
    [anon_sym__alignof] = ACTIONS(2077),
    [anon_sym_alignof] = ACTIONS(2077),
    [anon_sym__Alignof] = ACTIONS(2077),
    [anon_sym_offsetof] = ACTIONS(2080),
    [anon_sym__Generic] = ACTIONS(2083),
    [anon_sym_asm] = ACTIONS(2086),
    [anon_sym___asm__] = ACTIONS(2086),
    [sym_number_literal] = ACTIONS(2089),
    [anon_sym_L_SQUOTE] = ACTIONS(2092),
    [anon_sym_u_SQUOTE] = ACTIONS(2092),
    [anon_sym_U_SQUOTE] = ACTIONS(2092),
    [anon_sym_u8_SQUOTE] = ACTIONS(2092),
    [anon_sym_SQUOTE] = ACTIONS(2092),
    [anon_sym_L_DQUOTE] = ACTIONS(2095),
    [anon_sym_u_DQUOTE] = ACTIONS(2095),
    [anon_sym_U_DQUOTE] = ACTIONS(2095),
    [anon_sym_u8_DQUOTE] = ACTIONS(2095),
    [anon_sym_DQUOTE] = ACTIONS(2095),
    [sym_true] = ACTIONS(2098),
    [sym_false] = ACTIONS(2098),
    [anon_sym_NULL] = ACTIONS(2101),
    [anon_sym_nullptr] = ACTIONS(2101),
    [sym_comment] = ACTIONS(3),
  },
  [652] = {
    [sym_attribute_declaration] = STATE(652),
    [sym_compound_statement] = STATE(256),
    [sym_attributed_statement] = STATE(256),
    [sym_labeled_statement] = STATE(256),
    [sym_expression_statement] = STATE(256),
    [sym_if_statement] = STATE(256),
    [sym_switch_statement] = STATE(256),
    [sym_case_statement] = STATE(256),
    [sym_while_statement] = STATE(256),
    [sym_do_statement] = STATE(256),
    [sym_for_statement] = STATE(256),
    [sym_return_statement] = STATE(256),
    [sym_break_statement] = STATE(256),
    [sym_continue_statement] = STATE(256),
    [sym_goto_statement] = STATE(256),
    [sym_seh_try_statement] = STATE(256),
    [sym_seh_leave_statement] = STATE(256),
    [sym__expression] = STATE(1480),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2777),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [aux_sym_attributed_declarator_repeat1] = STATE(652),
    [sym_identifier] = ACTIONS(2104),
    [anon_sym_LPAREN2] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2014),
    [anon_sym_TILDE] = ACTIONS(2014),
    [anon_sym_DASH] = ACTIONS(2017),
    [anon_sym_PLUS] = ACTIONS(2017),
    [anon_sym_STAR] = ACTIONS(2020),
    [anon_sym_AMP] = ACTIONS(2020),
    [anon_sym_SEMI] = ACTIONS(2107),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2026),
    [anon_sym_LBRACE] = ACTIONS(2110),
    [anon_sym_if] = ACTIONS(2113),
    [anon_sym_switch] = ACTIONS(2116),
    [anon_sym_case] = ACTIONS(2119),
    [anon_sym_default] = ACTIONS(2122),
    [anon_sym_while] = ACTIONS(2125),
    [anon_sym_do] = ACTIONS(2128),
    [anon_sym_for] = ACTIONS(2131),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_break] = ACTIONS(2137),
    [anon_sym_continue] = ACTIONS(2140),
    [anon_sym_goto] = ACTIONS(2143),
    [anon_sym___try] = ACTIONS(2146),
    [anon_sym___leave] = ACTIONS(2149),
    [anon_sym_DASH_DASH] = ACTIONS(2071),
    [anon_sym_PLUS_PLUS] = ACTIONS(2071),
    [anon_sym_sizeof] = ACTIONS(2074),
    [anon_sym___alignof__] = ACTIONS(2077),
    [anon_sym___alignof] = ACTIONS(2077),
    [anon_sym__alignof] = ACTIONS(2077),
    [anon_sym_alignof] = ACTIONS(2077),
    [anon_sym__Alignof] = ACTIONS(2077),
    [anon_sym_offsetof] = ACTIONS(2080),
    [anon_sym__Generic] = ACTIONS(2083),
    [anon_sym_asm] = ACTIONS(2086),
    [anon_sym___asm__] = ACTIONS(2086),
    [sym_number_literal] = ACTIONS(2089),
    [anon_sym_L_SQUOTE] = ACTIONS(2092),
    [anon_sym_u_SQUOTE] = ACTIONS(2092),
    [anon_sym_U_SQUOTE] = ACTIONS(2092),
    [anon_sym_u8_SQUOTE] = ACTIONS(2092),
    [anon_sym_SQUOTE] = ACTIONS(2092),
    [anon_sym_L_DQUOTE] = ACTIONS(2095),
    [anon_sym_u_DQUOTE] = ACTIONS(2095),
    [anon_sym_U_DQUOTE] = ACTIONS(2095),
    [anon_sym_u8_DQUOTE] = ACTIONS(2095),
    [anon_sym_DQUOTE] = ACTIONS(2095),
    [sym_true] = ACTIONS(2098),
    [sym_false] = ACTIONS(2098),
    [anon_sym_NULL] = ACTIONS(2101),
    [anon_sym_nullptr] = ACTIONS(2101),
    [sym_comment] = ACTIONS(3),
  },
  [653] = {
    [sym_attribute_declaration] = STATE(653),
    [sym_compound_statement] = STATE(440),
    [sym_attributed_statement] = STATE(440),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym__expression] = STATE(1479),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2606),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [aux_sym_attributed_declarator_repeat1] = STATE(653),
    [sym_identifier] = ACTIONS(2152),
    [anon_sym_LPAREN2] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2014),
    [anon_sym_TILDE] = ACTIONS(2014),
    [anon_sym_DASH] = ACTIONS(2017),
    [anon_sym_PLUS] = ACTIONS(2017),
    [anon_sym_STAR] = ACTIONS(2020),
    [anon_sym_AMP] = ACTIONS(2020),
    [anon_sym_SEMI] = ACTIONS(2155),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2026),
    [anon_sym_LBRACE] = ACTIONS(2158),
    [anon_sym_if] = ACTIONS(2161),
    [anon_sym_switch] = ACTIONS(2164),
    [anon_sym_case] = ACTIONS(2167),
    [anon_sym_default] = ACTIONS(2170),
    [anon_sym_while] = ACTIONS(2173),
    [anon_sym_do] = ACTIONS(2176),
    [anon_sym_for] = ACTIONS(2179),
    [anon_sym_return] = ACTIONS(2182),
    [anon_sym_break] = ACTIONS(2185),
    [anon_sym_continue] = ACTIONS(2188),
    [anon_sym_goto] = ACTIONS(2191),
    [anon_sym___try] = ACTIONS(2194),
    [anon_sym___leave] = ACTIONS(2197),
    [anon_sym_DASH_DASH] = ACTIONS(2071),
    [anon_sym_PLUS_PLUS] = ACTIONS(2071),
    [anon_sym_sizeof] = ACTIONS(2074),
    [anon_sym___alignof__] = ACTIONS(2077),
    [anon_sym___alignof] = ACTIONS(2077),
    [anon_sym__alignof] = ACTIONS(2077),
    [anon_sym_alignof] = ACTIONS(2077),
    [anon_sym__Alignof] = ACTIONS(2077),
    [anon_sym_offsetof] = ACTIONS(2080),
    [anon_sym__Generic] = ACTIONS(2083),
    [anon_sym_asm] = ACTIONS(2086),
    [anon_sym___asm__] = ACTIONS(2086),
    [sym_number_literal] = ACTIONS(2089),
    [anon_sym_L_SQUOTE] = ACTIONS(2092),
    [anon_sym_u_SQUOTE] = ACTIONS(2092),
    [anon_sym_U_SQUOTE] = ACTIONS(2092),
    [anon_sym_u8_SQUOTE] = ACTIONS(2092),
    [anon_sym_SQUOTE] = ACTIONS(2092),
    [anon_sym_L_DQUOTE] = ACTIONS(2095),
    [anon_sym_u_DQUOTE] = ACTIONS(2095),
    [anon_sym_U_DQUOTE] = ACTIONS(2095),
    [anon_sym_u8_DQUOTE] = ACTIONS(2095),
    [anon_sym_DQUOTE] = ACTIONS(2095),
    [sym_true] = ACTIONS(2098),
    [sym_false] = ACTIONS(2098),
    [anon_sym_NULL] = ACTIONS(2101),
    [anon_sym_nullptr] = ACTIONS(2101),
    [sym_comment] = ACTIONS(3),
  },
  [654] = {
    [sym_attribute_declaration] = STATE(663),
    [sym_compound_statement] = STATE(213),
    [sym_attributed_statement] = STATE(213),
    [sym_labeled_statement] = STATE(213),
    [sym_expression_statement] = STATE(213),
    [sym_if_statement] = STATE(213),
    [sym_switch_statement] = STATE(213),
    [sym_case_statement] = STATE(213),
    [sym_while_statement] = STATE(213),
    [sym_do_statement] = STATE(213),
    [sym_for_statement] = STATE(213),
    [sym_return_statement] = STATE(213),
    [sym_break_statement] = STATE(213),
    [sym_continue_statement] = STATE(213),
    [sym_goto_statement] = STATE(213),
    [sym_seh_try_statement] = STATE(213),
    [sym_seh_leave_statement] = STATE(213),
    [sym__expression] = STATE(1480),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2777),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [aux_sym_attributed_declarator_repeat1] = STATE(663),
    [sym_identifier] = ACTIONS(2200),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(213),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1998),
    [anon_sym_LBRACE] = ACTIONS(223),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_case] = ACTIONS(229),
    [anon_sym_default] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_do] = ACTIONS(235),
    [anon_sym_for] = ACTIONS(237),
    [anon_sym_return] = ACTIONS(239),
    [anon_sym_break] = ACTIONS(241),
    [anon_sym_continue] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym___try] = ACTIONS(247),
    [anon_sym___leave] = ACTIONS(249),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [655] = {
    [sym_attribute_declaration] = STATE(663),
    [sym_compound_statement] = STATE(198),
    [sym_attributed_statement] = STATE(198),
    [sym_labeled_statement] = STATE(198),
    [sym_expression_statement] = STATE(198),
    [sym_if_statement] = STATE(198),
    [sym_switch_statement] = STATE(198),
    [sym_case_statement] = STATE(198),
    [sym_while_statement] = STATE(198),
    [sym_do_statement] = STATE(198),
    [sym_for_statement] = STATE(198),
    [sym_return_statement] = STATE(198),
    [sym_break_statement] = STATE(198),
    [sym_continue_statement] = STATE(198),
    [sym_goto_statement] = STATE(198),
    [sym_seh_try_statement] = STATE(198),
    [sym_seh_leave_statement] = STATE(198),
    [sym__expression] = STATE(1480),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2777),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [aux_sym_attributed_declarator_repeat1] = STATE(663),
    [sym_identifier] = ACTIONS(2200),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(213),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1998),
    [anon_sym_LBRACE] = ACTIONS(223),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_case] = ACTIONS(229),
    [anon_sym_default] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_do] = ACTIONS(235),
    [anon_sym_for] = ACTIONS(237),
    [anon_sym_return] = ACTIONS(239),
    [anon_sym_break] = ACTIONS(241),
    [anon_sym_continue] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym___try] = ACTIONS(247),
    [anon_sym___leave] = ACTIONS(249),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [656] = {
    [sym_attribute_declaration] = STATE(686),
    [sym_compound_statement] = STATE(114),
    [sym_attributed_statement] = STATE(114),
    [sym_labeled_statement] = STATE(114),
    [sym_expression_statement] = STATE(114),
    [sym_if_statement] = STATE(114),
    [sym_switch_statement] = STATE(114),
    [sym_case_statement] = STATE(114),
    [sym_while_statement] = STATE(114),
    [sym_do_statement] = STATE(114),
    [sym_for_statement] = STATE(114),
    [sym_return_statement] = STATE(114),
    [sym_break_statement] = STATE(114),
    [sym_continue_statement] = STATE(114),
    [sym_goto_statement] = STATE(114),
    [sym_seh_try_statement] = STATE(114),
    [sym_seh_leave_statement] = STATE(114),
    [sym__expression] = STATE(1517),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2806),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [aux_sym_attributed_declarator_repeat1] = STATE(686),
    [sym_identifier] = ACTIONS(2000),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(135),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1998),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_if] = ACTIONS(147),
    [anon_sym_switch] = ACTIONS(149),
    [anon_sym_case] = ACTIONS(151),
    [anon_sym_default] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_return] = ACTIONS(161),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(165),
    [anon_sym_goto] = ACTIONS(167),
    [anon_sym___try] = ACTIONS(169),
    [anon_sym___leave] = ACTIONS(171),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [657] = {
    [sym_attribute_declaration] = STATE(669),
    [sym_compound_statement] = STATE(2832),
    [sym_attributed_statement] = STATE(2832),
    [sym_labeled_statement] = STATE(2832),
    [sym_expression_statement] = STATE(2832),
    [sym_if_statement] = STATE(2832),
    [sym_switch_statement] = STATE(2832),
    [sym_case_statement] = STATE(2832),
    [sym_while_statement] = STATE(2832),
    [sym_do_statement] = STATE(2832),
    [sym_for_statement] = STATE(2832),
    [sym_return_statement] = STATE(2832),
    [sym_break_statement] = STATE(2832),
    [sym_continue_statement] = STATE(2832),
    [sym_goto_statement] = STATE(2832),
    [sym_seh_try_statement] = STATE(2832),
    [sym_seh_leave_statement] = STATE(2832),
    [sym__expression] = STATE(1479),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2606),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [aux_sym_attributed_declarator_repeat1] = STATE(669),
    [sym_identifier] = ACTIONS(2002),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(541),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1998),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(1390),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(2004),
    [anon_sym_default] = ACTIONS(2006),
    [anon_sym_while] = ACTIONS(1392),
    [anon_sym_do] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(1394),
    [anon_sym_return] = ACTIONS(77),
    [anon_sym_break] = ACTIONS(79),
    [anon_sym_continue] = ACTIONS(81),
    [anon_sym_goto] = ACTIONS(83),
    [anon_sym___try] = ACTIONS(1396),
    [anon_sym___leave] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [658] = {
    [sym_attribute_declaration] = STATE(686),
    [sym_compound_statement] = STATE(116),
    [sym_attributed_statement] = STATE(117),
    [sym_labeled_statement] = STATE(118),
    [sym_expression_statement] = STATE(119),
    [sym_if_statement] = STATE(120),
    [sym_switch_statement] = STATE(121),
    [sym_case_statement] = STATE(123),
    [sym_while_statement] = STATE(125),
    [sym_do_statement] = STATE(126),
    [sym_for_statement] = STATE(127),
    [sym_return_statement] = STATE(129),
    [sym_break_statement] = STATE(130),
    [sym_continue_statement] = STATE(131),
    [sym_goto_statement] = STATE(132),
    [sym_seh_try_statement] = STATE(135),
    [sym_seh_leave_statement] = STATE(136),
    [sym__expression] = STATE(1517),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2806),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [aux_sym_attributed_declarator_repeat1] = STATE(686),
    [sym_identifier] = ACTIONS(2000),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(135),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1998),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_if] = ACTIONS(147),
    [anon_sym_switch] = ACTIONS(149),
    [anon_sym_case] = ACTIONS(151),
    [anon_sym_default] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_return] = ACTIONS(161),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(165),
    [anon_sym_goto] = ACTIONS(167),
    [anon_sym___try] = ACTIONS(169),
    [anon_sym___leave] = ACTIONS(171),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [659] = {
    [sym_attribute_declaration] = STATE(663),
    [sym_compound_statement] = STATE(237),
    [sym_attributed_statement] = STATE(237),
    [sym_labeled_statement] = STATE(237),
    [sym_expression_statement] = STATE(237),
    [sym_if_statement] = STATE(237),
    [sym_switch_statement] = STATE(237),
    [sym_case_statement] = STATE(237),
    [sym_while_statement] = STATE(237),
    [sym_do_statement] = STATE(237),
    [sym_for_statement] = STATE(237),
    [sym_return_statement] = STATE(237),
    [sym_break_statement] = STATE(237),
    [sym_continue_statement] = STATE(237),
    [sym_goto_statement] = STATE(237),
    [sym_seh_try_statement] = STATE(237),
    [sym_seh_leave_statement] = STATE(237),
    [sym__expression] = STATE(1480),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2777),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [aux_sym_attributed_declarator_repeat1] = STATE(663),
    [sym_identifier] = ACTIONS(2200),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(213),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1998),
    [anon_sym_LBRACE] = ACTIONS(223),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_case] = ACTIONS(229),
    [anon_sym_default] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_do] = ACTIONS(235),
    [anon_sym_for] = ACTIONS(237),
    [anon_sym_return] = ACTIONS(239),
    [anon_sym_break] = ACTIONS(241),
    [anon_sym_continue] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym___try] = ACTIONS(247),
    [anon_sym___leave] = ACTIONS(249),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [660] = {
    [sym_attribute_declaration] = STATE(660),
    [sym_compound_statement] = STATE(379),
    [sym_attributed_statement] = STATE(379),
    [sym_labeled_statement] = STATE(379),
    [sym_expression_statement] = STATE(379),
    [sym_if_statement] = STATE(379),
    [sym_switch_statement] = STATE(379),
    [sym_case_statement] = STATE(379),
    [sym_while_statement] = STATE(379),
    [sym_do_statement] = STATE(379),
    [sym_for_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_goto_statement] = STATE(379),
    [sym_seh_try_statement] = STATE(379),
    [sym_seh_leave_statement] = STATE(379),
    [sym__expression] = STATE(1479),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2606),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [aux_sym_attributed_declarator_repeat1] = STATE(660),
    [sym_identifier] = ACTIONS(2202),
    [anon_sym_LPAREN2] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2014),
    [anon_sym_TILDE] = ACTIONS(2014),
    [anon_sym_DASH] = ACTIONS(2017),
    [anon_sym_PLUS] = ACTIONS(2017),
    [anon_sym_STAR] = ACTIONS(2020),
    [anon_sym_AMP] = ACTIONS(2020),
    [anon_sym_SEMI] = ACTIONS(2155),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2026),
    [anon_sym_LBRACE] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2208),
    [anon_sym_switch] = ACTIONS(2211),
    [anon_sym_case] = ACTIONS(2214),
    [anon_sym_default] = ACTIONS(2217),
    [anon_sym_while] = ACTIONS(2220),
    [anon_sym_do] = ACTIONS(2223),
    [anon_sym_for] = ACTIONS(2226),
    [anon_sym_return] = ACTIONS(2229),
    [anon_sym_break] = ACTIONS(2232),
    [anon_sym_continue] = ACTIONS(2235),
    [anon_sym_goto] = ACTIONS(2238),
    [anon_sym___try] = ACTIONS(2241),
    [anon_sym___leave] = ACTIONS(2197),
    [anon_sym_DASH_DASH] = ACTIONS(2071),
    [anon_sym_PLUS_PLUS] = ACTIONS(2071),
    [anon_sym_sizeof] = ACTIONS(2074),
    [anon_sym___alignof__] = ACTIONS(2077),
    [anon_sym___alignof] = ACTIONS(2077),
    [anon_sym__alignof] = ACTIONS(2077),
    [anon_sym_alignof] = ACTIONS(2077),
    [anon_sym__Alignof] = ACTIONS(2077),
    [anon_sym_offsetof] = ACTIONS(2080),
    [anon_sym__Generic] = ACTIONS(2083),
    [anon_sym_asm] = ACTIONS(2086),
    [anon_sym___asm__] = ACTIONS(2086),
    [sym_number_literal] = ACTIONS(2089),
    [anon_sym_L_SQUOTE] = ACTIONS(2092),
    [anon_sym_u_SQUOTE] = ACTIONS(2092),
    [anon_sym_U_SQUOTE] = ACTIONS(2092),
    [anon_sym_u8_SQUOTE] = ACTIONS(2092),
    [anon_sym_SQUOTE] = ACTIONS(2092),
    [anon_sym_L_DQUOTE] = ACTIONS(2095),
    [anon_sym_u_DQUOTE] = ACTIONS(2095),
    [anon_sym_U_DQUOTE] = ACTIONS(2095),
    [anon_sym_u8_DQUOTE] = ACTIONS(2095),
    [anon_sym_DQUOTE] = ACTIONS(2095),
    [sym_true] = ACTIONS(2098),
    [sym_false] = ACTIONS(2098),
    [anon_sym_NULL] = ACTIONS(2101),
    [anon_sym_nullptr] = ACTIONS(2101),
    [sym_comment] = ACTIONS(3),
  },
  [661] = {
    [sym_attribute_declaration] = STATE(663),
    [sym_compound_statement] = STATE(156),
    [sym_attributed_statement] = STATE(156),
    [sym_labeled_statement] = STATE(156),
    [sym_expression_statement] = STATE(156),
    [sym_if_statement] = STATE(156),
    [sym_switch_statement] = STATE(156),
    [sym_case_statement] = STATE(156),
    [sym_while_statement] = STATE(156),
    [sym_do_statement] = STATE(156),
    [sym_for_statement] = STATE(156),
    [sym_return_statement] = STATE(156),
    [sym_break_statement] = STATE(156),
    [sym_continue_statement] = STATE(156),
    [sym_goto_statement] = STATE(156),
    [sym_seh_try_statement] = STATE(156),
    [sym_seh_leave_statement] = STATE(156),
    [sym__expression] = STATE(1480),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2777),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [aux_sym_attributed_declarator_repeat1] = STATE(663),
    [sym_identifier] = ACTIONS(2200),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(213),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1998),
    [anon_sym_LBRACE] = ACTIONS(223),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_case] = ACTIONS(229),
    [anon_sym_default] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_do] = ACTIONS(235),
    [anon_sym_for] = ACTIONS(237),
    [anon_sym_return] = ACTIONS(239),
    [anon_sym_break] = ACTIONS(241),
    [anon_sym_continue] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym___try] = ACTIONS(247),
    [anon_sym___leave] = ACTIONS(249),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [662] = {
    [sym_attribute_declaration] = STATE(672),
    [sym_compound_statement] = STATE(369),
    [sym_attributed_statement] = STATE(369),
    [sym_labeled_statement] = STATE(369),
    [sym_expression_statement] = STATE(369),
    [sym_if_statement] = STATE(369),
    [sym_switch_statement] = STATE(369),
    [sym_case_statement] = STATE(369),
    [sym_while_statement] = STATE(369),
    [sym_do_statement] = STATE(369),
    [sym_for_statement] = STATE(369),
    [sym_return_statement] = STATE(369),
    [sym_break_statement] = STATE(369),
    [sym_continue_statement] = STATE(369),
    [sym_goto_statement] = STATE(369),
    [sym_seh_try_statement] = STATE(369),
    [sym_seh_leave_statement] = STATE(369),
    [sym__expression] = STATE(1522),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2775),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [aux_sym_attributed_declarator_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(2244),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(615),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1998),
    [anon_sym_LBRACE] = ACTIONS(625),
    [anon_sym_if] = ACTIONS(627),
    [anon_sym_switch] = ACTIONS(629),
    [anon_sym_case] = ACTIONS(631),
    [anon_sym_default] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_do] = ACTIONS(637),
    [anon_sym_for] = ACTIONS(639),
    [anon_sym_return] = ACTIONS(641),
    [anon_sym_break] = ACTIONS(643),
    [anon_sym_continue] = ACTIONS(645),
    [anon_sym_goto] = ACTIONS(647),
    [anon_sym___try] = ACTIONS(649),
    [anon_sym___leave] = ACTIONS(651),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [663] = {
    [sym_attribute_declaration] = STATE(652),
    [sym_compound_statement] = STATE(256),
    [sym_attributed_statement] = STATE(256),
    [sym_labeled_statement] = STATE(256),
    [sym_expression_statement] = STATE(256),
    [sym_if_statement] = STATE(256),
    [sym_switch_statement] = STATE(256),
    [sym_case_statement] = STATE(256),
    [sym_while_statement] = STATE(256),
    [sym_do_statement] = STATE(256),
    [sym_for_statement] = STATE(256),
    [sym_return_statement] = STATE(256),
    [sym_break_statement] = STATE(256),
    [sym_continue_statement] = STATE(256),
    [sym_goto_statement] = STATE(256),
    [sym_seh_try_statement] = STATE(256),
    [sym_seh_leave_statement] = STATE(256),
    [sym__expression] = STATE(1480),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2777),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [aux_sym_attributed_declarator_repeat1] = STATE(652),
    [sym_identifier] = ACTIONS(2200),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(213),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1998),
    [anon_sym_LBRACE] = ACTIONS(223),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_case] = ACTIONS(229),
    [anon_sym_default] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_do] = ACTIONS(235),
    [anon_sym_for] = ACTIONS(237),
    [anon_sym_return] = ACTIONS(239),
    [anon_sym_break] = ACTIONS(241),
    [anon_sym_continue] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym___try] = ACTIONS(247),
    [anon_sym___leave] = ACTIONS(249),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [664] = {
    [sym_attribute_declaration] = STATE(676),
    [sym_compound_statement] = STATE(308),
    [sym_attributed_statement] = STATE(308),
    [sym_labeled_statement] = STATE(308),
    [sym_expression_statement] = STATE(308),
    [sym_if_statement] = STATE(308),
    [sym_switch_statement] = STATE(308),
    [sym_case_statement] = STATE(308),
    [sym_while_statement] = STATE(308),
    [sym_do_statement] = STATE(308),
    [sym_for_statement] = STATE(308),
    [sym_return_statement] = STATE(308),
    [sym_break_statement] = STATE(308),
    [sym_continue_statement] = STATE(308),
    [sym_goto_statement] = STATE(308),
    [sym_seh_try_statement] = STATE(308),
    [sym_seh_leave_statement] = STATE(308),
    [sym__expression] = STATE(1518),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2610),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [aux_sym_attributed_declarator_repeat1] = STATE(676),
    [sym_identifier] = ACTIONS(2246),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1998),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_default] = ACTIONS(69),
    [anon_sym_while] = ACTIONS(71),
    [anon_sym_do] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(75),
    [anon_sym_return] = ACTIONS(77),
    [anon_sym_break] = ACTIONS(79),
    [anon_sym_continue] = ACTIONS(81),
    [anon_sym_goto] = ACTIONS(83),
    [anon_sym___try] = ACTIONS(1212),
    [anon_sym___leave] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [665] = {
    [sym_attribute_declaration] = STATE(676),
    [sym_compound_statement] = STATE(332),
    [sym_attributed_statement] = STATE(332),
    [sym_labeled_statement] = STATE(332),
    [sym_expression_statement] = STATE(332),
    [sym_if_statement] = STATE(332),
    [sym_switch_statement] = STATE(332),
    [sym_case_statement] = STATE(332),
    [sym_while_statement] = STATE(332),
    [sym_do_statement] = STATE(332),
    [sym_for_statement] = STATE(332),
    [sym_return_statement] = STATE(332),
    [sym_break_statement] = STATE(332),
    [sym_continue_statement] = STATE(332),
    [sym_goto_statement] = STATE(332),
    [sym_seh_try_statement] = STATE(332),
    [sym_seh_leave_statement] = STATE(332),
    [sym__expression] = STATE(1518),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2610),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [aux_sym_attributed_declarator_repeat1] = STATE(676),
    [sym_identifier] = ACTIONS(2246),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1998),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_default] = ACTIONS(69),
    [anon_sym_while] = ACTIONS(71),
    [anon_sym_do] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(75),
    [anon_sym_return] = ACTIONS(77),
    [anon_sym_break] = ACTIONS(79),
    [anon_sym_continue] = ACTIONS(81),
    [anon_sym_goto] = ACTIONS(83),
    [anon_sym___try] = ACTIONS(1212),
    [anon_sym___leave] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [666] = {
    [sym_attribute_declaration] = STATE(666),
    [sym_compound_statement] = STATE(379),
    [sym_attributed_statement] = STATE(379),
    [sym_labeled_statement] = STATE(379),
    [sym_expression_statement] = STATE(379),
    [sym_if_statement] = STATE(379),
    [sym_switch_statement] = STATE(379),
    [sym_case_statement] = STATE(379),
    [sym_while_statement] = STATE(379),
    [sym_do_statement] = STATE(379),
    [sym_for_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_goto_statement] = STATE(379),
    [sym_seh_try_statement] = STATE(379),
    [sym_seh_leave_statement] = STATE(379),
    [sym__expression] = STATE(1518),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2610),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [aux_sym_attributed_declarator_repeat1] = STATE(666),
    [sym_identifier] = ACTIONS(2248),
    [anon_sym_LPAREN2] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2014),
    [anon_sym_TILDE] = ACTIONS(2014),
    [anon_sym_DASH] = ACTIONS(2017),
    [anon_sym_PLUS] = ACTIONS(2017),
    [anon_sym_STAR] = ACTIONS(2020),
    [anon_sym_AMP] = ACTIONS(2020),
    [anon_sym_SEMI] = ACTIONS(2251),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2026),
    [anon_sym_LBRACE] = ACTIONS(2205),
    [anon_sym_if] = ACTIONS(2254),
    [anon_sym_switch] = ACTIONS(2211),
    [anon_sym_case] = ACTIONS(2257),
    [anon_sym_default] = ACTIONS(2260),
    [anon_sym_while] = ACTIONS(2263),
    [anon_sym_do] = ACTIONS(2223),
    [anon_sym_for] = ACTIONS(2266),
    [anon_sym_return] = ACTIONS(2229),
    [anon_sym_break] = ACTIONS(2232),
    [anon_sym_continue] = ACTIONS(2235),
    [anon_sym_goto] = ACTIONS(2238),
    [anon_sym___try] = ACTIONS(2269),
    [anon_sym___leave] = ACTIONS(2272),
    [anon_sym_DASH_DASH] = ACTIONS(2071),
    [anon_sym_PLUS_PLUS] = ACTIONS(2071),
    [anon_sym_sizeof] = ACTIONS(2074),
    [anon_sym___alignof__] = ACTIONS(2077),
    [anon_sym___alignof] = ACTIONS(2077),
    [anon_sym__alignof] = ACTIONS(2077),
    [anon_sym_alignof] = ACTIONS(2077),
    [anon_sym__Alignof] = ACTIONS(2077),
    [anon_sym_offsetof] = ACTIONS(2080),
    [anon_sym__Generic] = ACTIONS(2083),
    [anon_sym_asm] = ACTIONS(2086),
    [anon_sym___asm__] = ACTIONS(2086),
    [sym_number_literal] = ACTIONS(2089),
    [anon_sym_L_SQUOTE] = ACTIONS(2092),
    [anon_sym_u_SQUOTE] = ACTIONS(2092),
    [anon_sym_U_SQUOTE] = ACTIONS(2092),
    [anon_sym_u8_SQUOTE] = ACTIONS(2092),
    [anon_sym_SQUOTE] = ACTIONS(2092),
    [anon_sym_L_DQUOTE] = ACTIONS(2095),
    [anon_sym_u_DQUOTE] = ACTIONS(2095),
    [anon_sym_U_DQUOTE] = ACTIONS(2095),
    [anon_sym_u8_DQUOTE] = ACTIONS(2095),
    [anon_sym_DQUOTE] = ACTIONS(2095),
    [sym_true] = ACTIONS(2098),
    [sym_false] = ACTIONS(2098),
    [anon_sym_NULL] = ACTIONS(2101),
    [anon_sym_nullptr] = ACTIONS(2101),
    [sym_comment] = ACTIONS(3),
  },
  [667] = {
    [sym_attribute_declaration] = STATE(676),
    [sym_compound_statement] = STATE(478),
    [sym_attributed_statement] = STATE(478),
    [sym_labeled_statement] = STATE(478),
    [sym_expression_statement] = STATE(478),
    [sym_if_statement] = STATE(478),
    [sym_switch_statement] = STATE(478),
    [sym_case_statement] = STATE(478),
    [sym_while_statement] = STATE(478),
    [sym_do_statement] = STATE(478),
    [sym_for_statement] = STATE(478),
    [sym_return_statement] = STATE(478),
    [sym_break_statement] = STATE(478),
    [sym_continue_statement] = STATE(478),
    [sym_goto_statement] = STATE(478),
    [sym_seh_try_statement] = STATE(478),
    [sym_seh_leave_statement] = STATE(478),
    [sym__expression] = STATE(1518),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2610),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [aux_sym_attributed_declarator_repeat1] = STATE(676),
    [sym_identifier] = ACTIONS(2246),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1998),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_default] = ACTIONS(69),
    [anon_sym_while] = ACTIONS(71),
    [anon_sym_do] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(75),
    [anon_sym_return] = ACTIONS(77),
    [anon_sym_break] = ACTIONS(79),
    [anon_sym_continue] = ACTIONS(81),
    [anon_sym_goto] = ACTIONS(83),
    [anon_sym___try] = ACTIONS(1212),
    [anon_sym___leave] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [668] = {
    [sym_attribute_declaration] = STATE(653),
    [sym_compound_statement] = STATE(440),
    [sym_attributed_statement] = STATE(440),
    [sym_labeled_statement] = STATE(440),
    [sym_expression_statement] = STATE(440),
    [sym_if_statement] = STATE(440),
    [sym_switch_statement] = STATE(440),
    [sym_case_statement] = STATE(440),
    [sym_while_statement] = STATE(440),
    [sym_do_statement] = STATE(440),
    [sym_for_statement] = STATE(440),
    [sym_return_statement] = STATE(440),
    [sym_break_statement] = STATE(440),
    [sym_continue_statement] = STATE(440),
    [sym_goto_statement] = STATE(440),
    [sym_seh_try_statement] = STATE(440),
    [sym_seh_leave_statement] = STATE(440),
    [sym__expression] = STATE(1479),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2606),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [aux_sym_attributed_declarator_repeat1] = STATE(653),
    [sym_identifier] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(541),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1998),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_switch] = ACTIONS(557),
    [anon_sym_case] = ACTIONS(559),
    [anon_sym_default] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [anon_sym_do] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(569),
    [anon_sym_break] = ACTIONS(571),
    [anon_sym_continue] = ACTIONS(573),
    [anon_sym_goto] = ACTIONS(575),
    [anon_sym___try] = ACTIONS(577),
    [anon_sym___leave] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [669] = {
    [sym_attribute_declaration] = STATE(660),
    [sym_compound_statement] = STATE(379),
    [sym_attributed_statement] = STATE(379),
    [sym_labeled_statement] = STATE(379),
    [sym_expression_statement] = STATE(379),
    [sym_if_statement] = STATE(379),
    [sym_switch_statement] = STATE(379),
    [sym_case_statement] = STATE(379),
    [sym_while_statement] = STATE(379),
    [sym_do_statement] = STATE(379),
    [sym_for_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_goto_statement] = STATE(379),
    [sym_seh_try_statement] = STATE(379),
    [sym_seh_leave_statement] = STATE(379),
    [sym__expression] = STATE(1479),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2606),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [aux_sym_attributed_declarator_repeat1] = STATE(660),
    [sym_identifier] = ACTIONS(2002),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(541),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1998),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(1390),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(2004),
    [anon_sym_default] = ACTIONS(2006),
    [anon_sym_while] = ACTIONS(1392),
    [anon_sym_do] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(1394),
    [anon_sym_return] = ACTIONS(77),
    [anon_sym_break] = ACTIONS(79),
    [anon_sym_continue] = ACTIONS(81),
    [anon_sym_goto] = ACTIONS(83),
    [anon_sym___try] = ACTIONS(1396),
    [anon_sym___leave] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [670] = {
    [sym_attribute_declaration] = STATE(669),
    [sym_compound_statement] = STATE(2866),
    [sym_attributed_statement] = STATE(2866),
    [sym_labeled_statement] = STATE(2866),
    [sym_expression_statement] = STATE(2866),
    [sym_if_statement] = STATE(2866),
    [sym_switch_statement] = STATE(2866),
    [sym_case_statement] = STATE(2866),
    [sym_while_statement] = STATE(2866),
    [sym_do_statement] = STATE(2866),
    [sym_for_statement] = STATE(2866),
    [sym_return_statement] = STATE(2866),
    [sym_break_statement] = STATE(2866),
    [sym_continue_statement] = STATE(2866),
    [sym_goto_statement] = STATE(2866),
    [sym_seh_try_statement] = STATE(2866),
    [sym_seh_leave_statement] = STATE(2866),
    [sym__expression] = STATE(1479),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2606),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [aux_sym_attributed_declarator_repeat1] = STATE(669),
    [sym_identifier] = ACTIONS(2002),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(541),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1998),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(1390),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(2004),
    [anon_sym_default] = ACTIONS(2006),
    [anon_sym_while] = ACTIONS(1392),
    [anon_sym_do] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(1394),
    [anon_sym_return] = ACTIONS(77),
    [anon_sym_break] = ACTIONS(79),
    [anon_sym_continue] = ACTIONS(81),
    [anon_sym_goto] = ACTIONS(83),
    [anon_sym___try] = ACTIONS(1396),
    [anon_sym___leave] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [671] = {
    [sym_attribute_declaration] = STATE(668),
    [sym_compound_statement] = STATE(431),
    [sym_attributed_statement] = STATE(431),
    [sym_labeled_statement] = STATE(431),
    [sym_expression_statement] = STATE(431),
    [sym_if_statement] = STATE(431),
    [sym_switch_statement] = STATE(431),
    [sym_case_statement] = STATE(431),
    [sym_while_statement] = STATE(431),
    [sym_do_statement] = STATE(431),
    [sym_for_statement] = STATE(431),
    [sym_return_statement] = STATE(431),
    [sym_break_statement] = STATE(431),
    [sym_continue_statement] = STATE(431),
    [sym_goto_statement] = STATE(431),
    [sym_seh_try_statement] = STATE(431),
    [sym_seh_leave_statement] = STATE(431),
    [sym__expression] = STATE(1479),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2606),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [aux_sym_attributed_declarator_repeat1] = STATE(668),
    [sym_identifier] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(541),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1998),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_switch] = ACTIONS(557),
    [anon_sym_case] = ACTIONS(559),
    [anon_sym_default] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [anon_sym_do] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(569),
    [anon_sym_break] = ACTIONS(571),
    [anon_sym_continue] = ACTIONS(573),
    [anon_sym_goto] = ACTIONS(575),
    [anon_sym___try] = ACTIONS(577),
    [anon_sym___leave] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [672] = {
    [sym_attribute_declaration] = STATE(672),
    [sym_compound_statement] = STATE(369),
    [sym_attributed_statement] = STATE(369),
    [sym_labeled_statement] = STATE(369),
    [sym_expression_statement] = STATE(369),
    [sym_if_statement] = STATE(369),
    [sym_switch_statement] = STATE(369),
    [sym_case_statement] = STATE(369),
    [sym_while_statement] = STATE(369),
    [sym_do_statement] = STATE(369),
    [sym_for_statement] = STATE(369),
    [sym_return_statement] = STATE(369),
    [sym_break_statement] = STATE(369),
    [sym_continue_statement] = STATE(369),
    [sym_goto_statement] = STATE(369),
    [sym_seh_try_statement] = STATE(369),
    [sym_seh_leave_statement] = STATE(369),
    [sym__expression] = STATE(1522),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2775),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [aux_sym_attributed_declarator_repeat1] = STATE(672),
    [sym_identifier] = ACTIONS(2275),
    [anon_sym_LPAREN2] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2014),
    [anon_sym_TILDE] = ACTIONS(2014),
    [anon_sym_DASH] = ACTIONS(2017),
    [anon_sym_PLUS] = ACTIONS(2017),
    [anon_sym_STAR] = ACTIONS(2020),
    [anon_sym_AMP] = ACTIONS(2020),
    [anon_sym_SEMI] = ACTIONS(2278),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2026),
    [anon_sym_LBRACE] = ACTIONS(2281),
    [anon_sym_if] = ACTIONS(2284),
    [anon_sym_switch] = ACTIONS(2287),
    [anon_sym_case] = ACTIONS(2290),
    [anon_sym_default] = ACTIONS(2293),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(2299),
    [anon_sym_for] = ACTIONS(2302),
    [anon_sym_return] = ACTIONS(2305),
    [anon_sym_break] = ACTIONS(2308),
    [anon_sym_continue] = ACTIONS(2311),
    [anon_sym_goto] = ACTIONS(2314),
    [anon_sym___try] = ACTIONS(2317),
    [anon_sym___leave] = ACTIONS(2320),
    [anon_sym_DASH_DASH] = ACTIONS(2071),
    [anon_sym_PLUS_PLUS] = ACTIONS(2071),
    [anon_sym_sizeof] = ACTIONS(2074),
    [anon_sym___alignof__] = ACTIONS(2077),
    [anon_sym___alignof] = ACTIONS(2077),
    [anon_sym__alignof] = ACTIONS(2077),
    [anon_sym_alignof] = ACTIONS(2077),
    [anon_sym__Alignof] = ACTIONS(2077),
    [anon_sym_offsetof] = ACTIONS(2080),
    [anon_sym__Generic] = ACTIONS(2083),
    [anon_sym_asm] = ACTIONS(2086),
    [anon_sym___asm__] = ACTIONS(2086),
    [sym_number_literal] = ACTIONS(2089),
    [anon_sym_L_SQUOTE] = ACTIONS(2092),
    [anon_sym_u_SQUOTE] = ACTIONS(2092),
    [anon_sym_U_SQUOTE] = ACTIONS(2092),
    [anon_sym_u8_SQUOTE] = ACTIONS(2092),
    [anon_sym_SQUOTE] = ACTIONS(2092),
    [anon_sym_L_DQUOTE] = ACTIONS(2095),
    [anon_sym_u_DQUOTE] = ACTIONS(2095),
    [anon_sym_U_DQUOTE] = ACTIONS(2095),
    [anon_sym_u8_DQUOTE] = ACTIONS(2095),
    [anon_sym_DQUOTE] = ACTIONS(2095),
    [sym_true] = ACTIONS(2098),
    [sym_false] = ACTIONS(2098),
    [anon_sym_NULL] = ACTIONS(2101),
    [anon_sym_nullptr] = ACTIONS(2101),
    [sym_comment] = ACTIONS(3),
  },
  [673] = {
    [sym_attribute_declaration] = STATE(668),
    [sym_compound_statement] = STATE(434),
    [sym_attributed_statement] = STATE(434),
    [sym_labeled_statement] = STATE(434),
    [sym_expression_statement] = STATE(434),
    [sym_if_statement] = STATE(434),
    [sym_switch_statement] = STATE(434),
    [sym_case_statement] = STATE(434),
    [sym_while_statement] = STATE(434),
    [sym_do_statement] = STATE(434),
    [sym_for_statement] = STATE(434),
    [sym_return_statement] = STATE(434),
    [sym_break_statement] = STATE(434),
    [sym_continue_statement] = STATE(434),
    [sym_goto_statement] = STATE(434),
    [sym_seh_try_statement] = STATE(434),
    [sym_seh_leave_statement] = STATE(434),
    [sym__expression] = STATE(1479),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2606),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [aux_sym_attributed_declarator_repeat1] = STATE(668),
    [sym_identifier] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(541),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1998),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_switch] = ACTIONS(557),
    [anon_sym_case] = ACTIONS(559),
    [anon_sym_default] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [anon_sym_do] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(569),
    [anon_sym_break] = ACTIONS(571),
    [anon_sym_continue] = ACTIONS(573),
    [anon_sym_goto] = ACTIONS(575),
    [anon_sym___try] = ACTIONS(577),
    [anon_sym___leave] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [674] = {
    [sym_attribute_declaration] = STATE(663),
    [sym_compound_statement] = STATE(215),
    [sym_attributed_statement] = STATE(216),
    [sym_labeled_statement] = STATE(217),
    [sym_expression_statement] = STATE(219),
    [sym_if_statement] = STATE(220),
    [sym_switch_statement] = STATE(221),
    [sym_case_statement] = STATE(224),
    [sym_while_statement] = STATE(230),
    [sym_do_statement] = STATE(231),
    [sym_for_statement] = STATE(233),
    [sym_return_statement] = STATE(234),
    [sym_break_statement] = STATE(235),
    [sym_continue_statement] = STATE(236),
    [sym_goto_statement] = STATE(238),
    [sym_seh_try_statement] = STATE(239),
    [sym_seh_leave_statement] = STATE(240),
    [sym__expression] = STATE(1480),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2777),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [aux_sym_attributed_declarator_repeat1] = STATE(663),
    [sym_identifier] = ACTIONS(2200),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(213),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1998),
    [anon_sym_LBRACE] = ACTIONS(223),
    [anon_sym_if] = ACTIONS(225),
    [anon_sym_switch] = ACTIONS(227),
    [anon_sym_case] = ACTIONS(229),
    [anon_sym_default] = ACTIONS(231),
    [anon_sym_while] = ACTIONS(233),
    [anon_sym_do] = ACTIONS(235),
    [anon_sym_for] = ACTIONS(237),
    [anon_sym_return] = ACTIONS(239),
    [anon_sym_break] = ACTIONS(241),
    [anon_sym_continue] = ACTIONS(243),
    [anon_sym_goto] = ACTIONS(245),
    [anon_sym___try] = ACTIONS(247),
    [anon_sym___leave] = ACTIONS(249),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [675] = {
    [sym_attribute_declaration] = STATE(676),
    [sym_compound_statement] = STATE(300),
    [sym_attributed_statement] = STATE(300),
    [sym_labeled_statement] = STATE(300),
    [sym_expression_statement] = STATE(300),
    [sym_if_statement] = STATE(300),
    [sym_switch_statement] = STATE(300),
    [sym_case_statement] = STATE(300),
    [sym_while_statement] = STATE(300),
    [sym_do_statement] = STATE(300),
    [sym_for_statement] = STATE(300),
    [sym_return_statement] = STATE(300),
    [sym_break_statement] = STATE(300),
    [sym_continue_statement] = STATE(300),
    [sym_goto_statement] = STATE(300),
    [sym_seh_try_statement] = STATE(300),
    [sym_seh_leave_statement] = STATE(300),
    [sym__expression] = STATE(1518),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2610),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [aux_sym_attributed_declarator_repeat1] = STATE(676),
    [sym_identifier] = ACTIONS(2246),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1998),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_default] = ACTIONS(69),
    [anon_sym_while] = ACTIONS(71),
    [anon_sym_do] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(75),
    [anon_sym_return] = ACTIONS(77),
    [anon_sym_break] = ACTIONS(79),
    [anon_sym_continue] = ACTIONS(81),
    [anon_sym_goto] = ACTIONS(83),
    [anon_sym___try] = ACTIONS(1212),
    [anon_sym___leave] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [676] = {
    [sym_attribute_declaration] = STATE(666),
    [sym_compound_statement] = STATE(379),
    [sym_attributed_statement] = STATE(379),
    [sym_labeled_statement] = STATE(379),
    [sym_expression_statement] = STATE(379),
    [sym_if_statement] = STATE(379),
    [sym_switch_statement] = STATE(379),
    [sym_case_statement] = STATE(379),
    [sym_while_statement] = STATE(379),
    [sym_do_statement] = STATE(379),
    [sym_for_statement] = STATE(379),
    [sym_return_statement] = STATE(379),
    [sym_break_statement] = STATE(379),
    [sym_continue_statement] = STATE(379),
    [sym_goto_statement] = STATE(379),
    [sym_seh_try_statement] = STATE(379),
    [sym_seh_leave_statement] = STATE(379),
    [sym__expression] = STATE(1518),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2610),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [aux_sym_attributed_declarator_repeat1] = STATE(666),
    [sym_identifier] = ACTIONS(2246),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1998),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_default] = ACTIONS(69),
    [anon_sym_while] = ACTIONS(71),
    [anon_sym_do] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(75),
    [anon_sym_return] = ACTIONS(77),
    [anon_sym_break] = ACTIONS(79),
    [anon_sym_continue] = ACTIONS(81),
    [anon_sym_goto] = ACTIONS(83),
    [anon_sym___try] = ACTIONS(1212),
    [anon_sym___leave] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [677] = {
    [sym_attribute_declaration] = STATE(668),
    [sym_compound_statement] = STATE(415),
    [sym_attributed_statement] = STATE(415),
    [sym_labeled_statement] = STATE(415),
    [sym_expression_statement] = STATE(415),
    [sym_if_statement] = STATE(415),
    [sym_switch_statement] = STATE(415),
    [sym_case_statement] = STATE(415),
    [sym_while_statement] = STATE(415),
    [sym_do_statement] = STATE(415),
    [sym_for_statement] = STATE(415),
    [sym_return_statement] = STATE(415),
    [sym_break_statement] = STATE(415),
    [sym_continue_statement] = STATE(415),
    [sym_goto_statement] = STATE(415),
    [sym_seh_try_statement] = STATE(415),
    [sym_seh_leave_statement] = STATE(415),
    [sym__expression] = STATE(1479),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2606),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [aux_sym_attributed_declarator_repeat1] = STATE(668),
    [sym_identifier] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(541),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1998),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_switch] = ACTIONS(557),
    [anon_sym_case] = ACTIONS(559),
    [anon_sym_default] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [anon_sym_do] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(569),
    [anon_sym_break] = ACTIONS(571),
    [anon_sym_continue] = ACTIONS(573),
    [anon_sym_goto] = ACTIONS(575),
    [anon_sym___try] = ACTIONS(577),
    [anon_sym___leave] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [678] = {
    [sym__expression] = STATE(1290),
    [sym__expression_not_binary] = STATE(1322),
    [sym__string] = STATE(1322),
    [sym_conditional_expression] = STATE(1322),
    [sym_assignment_expression] = STATE(1322),
    [sym_pointer_expression] = STATE(1322),
    [sym_unary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_cast_expression] = STATE(1322),
    [sym_sizeof_expression] = STATE(1322),
    [sym_alignof_expression] = STATE(1322),
    [sym_offsetof_expression] = STATE(1322),
    [sym_generic_expression] = STATE(1322),
    [sym_subscript_expression] = STATE(1322),
    [sym_call_expression] = STATE(1322),
    [sym_gnu_asm_expression] = STATE(1322),
    [sym_field_expression] = STATE(1322),
    [sym_compound_literal_expression] = STATE(1322),
    [sym_parenthesized_expression] = STATE(1322),
    [sym_initializer_list] = STATE(1301),
    [sym_char_literal] = STATE(1322),
    [sym_concatenated_string] = STATE(1322),
    [sym_string_literal] = STATE(1149),
    [sym_null] = STATE(1322),
    [sym_identifier] = ACTIONS(1966),
    [anon_sym_COMMA] = ACTIONS(1960),
    [aux_sym_preproc_if_token2] = ACTIONS(1960),
    [aux_sym_preproc_else_token1] = ACTIONS(1960),
    [aux_sym_preproc_elif_token1] = ACTIONS(1960),
    [anon_sym_LPAREN2] = ACTIONS(1960),
    [anon_sym_BANG] = ACTIONS(2323),
    [anon_sym_TILDE] = ACTIONS(2325),
    [anon_sym_DASH] = ACTIONS(1966),
    [anon_sym_PLUS] = ACTIONS(1966),
    [anon_sym_STAR] = ACTIONS(1966),
    [anon_sym_SLASH] = ACTIONS(1966),
    [anon_sym_PERCENT] = ACTIONS(1966),
    [anon_sym_PIPE_PIPE] = ACTIONS(1960),
    [anon_sym_AMP_AMP] = ACTIONS(1960),
    [anon_sym_PIPE] = ACTIONS(1966),
    [anon_sym_CARET] = ACTIONS(1966),
    [anon_sym_AMP] = ACTIONS(1966),
    [anon_sym_EQ_EQ] = ACTIONS(1960),
    [anon_sym_BANG_EQ] = ACTIONS(1960),
    [anon_sym_GT] = ACTIONS(1966),
    [anon_sym_GT_EQ] = ACTIONS(1960),
    [anon_sym_LT_EQ] = ACTIONS(1960),
    [anon_sym_LT] = ACTIONS(1966),
    [anon_sym_LT_LT] = ACTIONS(1966),
    [anon_sym_GT_GT] = ACTIONS(1966),
    [anon_sym_LBRACE] = ACTIONS(2327),
    [anon_sym_LBRACK] = ACTIONS(1960),
    [anon_sym_EQ] = ACTIONS(1966),
    [anon_sym_QMARK] = ACTIONS(1960),
    [anon_sym_STAR_EQ] = ACTIONS(1960),
    [anon_sym_SLASH_EQ] = ACTIONS(1960),
    [anon_sym_PERCENT_EQ] = ACTIONS(1960),
    [anon_sym_PLUS_EQ] = ACTIONS(1960),
    [anon_sym_DASH_EQ] = ACTIONS(1960),
    [anon_sym_LT_LT_EQ] = ACTIONS(1960),
    [anon_sym_GT_GT_EQ] = ACTIONS(1960),
    [anon_sym_AMP_EQ] = ACTIONS(1960),
    [anon_sym_CARET_EQ] = ACTIONS(1960),
    [anon_sym_PIPE_EQ] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(1960),
    [anon_sym_PLUS_PLUS] = ACTIONS(1960),
    [anon_sym_sizeof] = ACTIONS(2329),
    [anon_sym___alignof__] = ACTIONS(2331),
    [anon_sym___alignof] = ACTIONS(2331),
    [anon_sym__alignof] = ACTIONS(2331),
    [anon_sym_alignof] = ACTIONS(2331),
    [anon_sym__Alignof] = ACTIONS(2331),
    [anon_sym_offsetof] = ACTIONS(2333),
    [anon_sym__Generic] = ACTIONS(2335),
    [anon_sym_asm] = ACTIONS(2337),
    [anon_sym___asm__] = ACTIONS(2337),
    [anon_sym_DOT] = ACTIONS(1966),
    [anon_sym_DASH_GT] = ACTIONS(1960),
    [sym_number_literal] = ACTIONS(2339),
    [anon_sym_L_SQUOTE] = ACTIONS(2341),
    [anon_sym_u_SQUOTE] = ACTIONS(2341),
    [anon_sym_U_SQUOTE] = ACTIONS(2341),
    [anon_sym_u8_SQUOTE] = ACTIONS(2341),
    [anon_sym_SQUOTE] = ACTIONS(2341),
    [anon_sym_L_DQUOTE] = ACTIONS(2343),
    [anon_sym_u_DQUOTE] = ACTIONS(2343),
    [anon_sym_U_DQUOTE] = ACTIONS(2343),
    [anon_sym_u8_DQUOTE] = ACTIONS(2343),
    [anon_sym_DQUOTE] = ACTIONS(2343),
    [sym_true] = ACTIONS(2345),
    [sym_false] = ACTIONS(2345),
    [anon_sym_NULL] = ACTIONS(2347),
    [anon_sym_nullptr] = ACTIONS(2347),
    [sym_comment] = ACTIONS(3),
  },
  [679] = {
    [sym_attribute_declaration] = STATE(669),
    [sym_compound_statement] = STATE(478),
    [sym_attributed_statement] = STATE(478),
    [sym_labeled_statement] = STATE(478),
    [sym_expression_statement] = STATE(478),
    [sym_if_statement] = STATE(478),
    [sym_switch_statement] = STATE(478),
    [sym_case_statement] = STATE(478),
    [sym_while_statement] = STATE(478),
    [sym_do_statement] = STATE(478),
    [sym_for_statement] = STATE(478),
    [sym_return_statement] = STATE(478),
    [sym_break_statement] = STATE(478),
    [sym_continue_statement] = STATE(478),
    [sym_goto_statement] = STATE(478),
    [sym_seh_try_statement] = STATE(478),
    [sym_seh_leave_statement] = STATE(478),
    [sym__expression] = STATE(1479),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2606),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [aux_sym_attributed_declarator_repeat1] = STATE(669),
    [sym_identifier] = ACTIONS(2002),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(541),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1998),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(1390),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(2004),
    [anon_sym_default] = ACTIONS(2006),
    [anon_sym_while] = ACTIONS(1392),
    [anon_sym_do] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(1394),
    [anon_sym_return] = ACTIONS(77),
    [anon_sym_break] = ACTIONS(79),
    [anon_sym_continue] = ACTIONS(81),
    [anon_sym_goto] = ACTIONS(83),
    [anon_sym___try] = ACTIONS(1396),
    [anon_sym___leave] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [680] = {
    [sym_attribute_declaration] = STATE(662),
    [sym_compound_statement] = STATE(350),
    [sym_attributed_statement] = STATE(349),
    [sym_labeled_statement] = STATE(348),
    [sym_expression_statement] = STATE(347),
    [sym_if_statement] = STATE(346),
    [sym_switch_statement] = STATE(345),
    [sym_case_statement] = STATE(344),
    [sym_while_statement] = STATE(343),
    [sym_do_statement] = STATE(342),
    [sym_for_statement] = STATE(341),
    [sym_return_statement] = STATE(340),
    [sym_break_statement] = STATE(339),
    [sym_continue_statement] = STATE(338),
    [sym_goto_statement] = STATE(337),
    [sym_seh_try_statement] = STATE(336),
    [sym_seh_leave_statement] = STATE(335),
    [sym__expression] = STATE(1522),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2775),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [aux_sym_attributed_declarator_repeat1] = STATE(662),
    [sym_identifier] = ACTIONS(2244),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(615),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1998),
    [anon_sym_LBRACE] = ACTIONS(625),
    [anon_sym_if] = ACTIONS(627),
    [anon_sym_switch] = ACTIONS(629),
    [anon_sym_case] = ACTIONS(631),
    [anon_sym_default] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_do] = ACTIONS(637),
    [anon_sym_for] = ACTIONS(639),
    [anon_sym_return] = ACTIONS(641),
    [anon_sym_break] = ACTIONS(643),
    [anon_sym_continue] = ACTIONS(645),
    [anon_sym_goto] = ACTIONS(647),
    [anon_sym___try] = ACTIONS(649),
    [anon_sym___leave] = ACTIONS(651),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [681] = {
    [sym_attribute_declaration] = STATE(668),
    [sym_compound_statement] = STATE(413),
    [sym_attributed_statement] = STATE(412),
    [sym_labeled_statement] = STATE(411),
    [sym_expression_statement] = STATE(410),
    [sym_if_statement] = STATE(409),
    [sym_switch_statement] = STATE(408),
    [sym_case_statement] = STATE(407),
    [sym_while_statement] = STATE(406),
    [sym_do_statement] = STATE(405),
    [sym_for_statement] = STATE(404),
    [sym_return_statement] = STATE(403),
    [sym_break_statement] = STATE(402),
    [sym_continue_statement] = STATE(401),
    [sym_goto_statement] = STATE(400),
    [sym_seh_try_statement] = STATE(399),
    [sym_seh_leave_statement] = STATE(398),
    [sym__expression] = STATE(1479),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2606),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [aux_sym_attributed_declarator_repeat1] = STATE(668),
    [sym_identifier] = ACTIONS(1996),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(541),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1998),
    [anon_sym_LBRACE] = ACTIONS(551),
    [anon_sym_if] = ACTIONS(555),
    [anon_sym_switch] = ACTIONS(557),
    [anon_sym_case] = ACTIONS(559),
    [anon_sym_default] = ACTIONS(561),
    [anon_sym_while] = ACTIONS(563),
    [anon_sym_do] = ACTIONS(565),
    [anon_sym_for] = ACTIONS(567),
    [anon_sym_return] = ACTIONS(569),
    [anon_sym_break] = ACTIONS(571),
    [anon_sym_continue] = ACTIONS(573),
    [anon_sym_goto] = ACTIONS(575),
    [anon_sym___try] = ACTIONS(577),
    [anon_sym___leave] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [682] = {
    [sym_attribute_declaration] = STATE(669),
    [sym_compound_statement] = STATE(308),
    [sym_attributed_statement] = STATE(308),
    [sym_labeled_statement] = STATE(308),
    [sym_expression_statement] = STATE(308),
    [sym_if_statement] = STATE(308),
    [sym_switch_statement] = STATE(308),
    [sym_case_statement] = STATE(308),
    [sym_while_statement] = STATE(308),
    [sym_do_statement] = STATE(308),
    [sym_for_statement] = STATE(308),
    [sym_return_statement] = STATE(308),
    [sym_break_statement] = STATE(308),
    [sym_continue_statement] = STATE(308),
    [sym_goto_statement] = STATE(308),
    [sym_seh_try_statement] = STATE(308),
    [sym_seh_leave_statement] = STATE(308),
    [sym__expression] = STATE(1479),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2606),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [aux_sym_attributed_declarator_repeat1] = STATE(669),
    [sym_identifier] = ACTIONS(2002),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(541),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1998),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(1390),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(2004),
    [anon_sym_default] = ACTIONS(2006),
    [anon_sym_while] = ACTIONS(1392),
    [anon_sym_do] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(1394),
    [anon_sym_return] = ACTIONS(77),
    [anon_sym_break] = ACTIONS(79),
    [anon_sym_continue] = ACTIONS(81),
    [anon_sym_goto] = ACTIONS(83),
    [anon_sym___try] = ACTIONS(1396),
    [anon_sym___leave] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [683] = {
    [sym_attribute_declaration] = STATE(669),
    [sym_compound_statement] = STATE(2849),
    [sym_attributed_statement] = STATE(2849),
    [sym_labeled_statement] = STATE(2849),
    [sym_expression_statement] = STATE(2849),
    [sym_if_statement] = STATE(2849),
    [sym_switch_statement] = STATE(2849),
    [sym_case_statement] = STATE(2849),
    [sym_while_statement] = STATE(2849),
    [sym_do_statement] = STATE(2849),
    [sym_for_statement] = STATE(2849),
    [sym_return_statement] = STATE(2849),
    [sym_break_statement] = STATE(2849),
    [sym_continue_statement] = STATE(2849),
    [sym_goto_statement] = STATE(2849),
    [sym_seh_try_statement] = STATE(2849),
    [sym_seh_leave_statement] = STATE(2849),
    [sym__expression] = STATE(1479),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2606),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [aux_sym_attributed_declarator_repeat1] = STATE(669),
    [sym_identifier] = ACTIONS(2002),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(541),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1998),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(1390),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(2004),
    [anon_sym_default] = ACTIONS(2006),
    [anon_sym_while] = ACTIONS(1392),
    [anon_sym_do] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(1394),
    [anon_sym_return] = ACTIONS(77),
    [anon_sym_break] = ACTIONS(79),
    [anon_sym_continue] = ACTIONS(81),
    [anon_sym_goto] = ACTIONS(83),
    [anon_sym___try] = ACTIONS(1396),
    [anon_sym___leave] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [684] = {
    [sym_attribute_declaration] = STATE(662),
    [sym_compound_statement] = STATE(352),
    [sym_attributed_statement] = STATE(352),
    [sym_labeled_statement] = STATE(352),
    [sym_expression_statement] = STATE(352),
    [sym_if_statement] = STATE(352),
    [sym_switch_statement] = STATE(352),
    [sym_case_statement] = STATE(352),
    [sym_while_statement] = STATE(352),
    [sym_do_statement] = STATE(352),
    [sym_for_statement] = STATE(352),
    [sym_return_statement] = STATE(352),
    [sym_break_statement] = STATE(352),
    [sym_continue_statement] = STATE(352),
    [sym_goto_statement] = STATE(352),
    [sym_seh_try_statement] = STATE(352),
    [sym_seh_leave_statement] = STATE(352),
    [sym__expression] = STATE(1522),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2775),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [aux_sym_attributed_declarator_repeat1] = STATE(662),
    [sym_identifier] = ACTIONS(2244),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(615),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1998),
    [anon_sym_LBRACE] = ACTIONS(625),
    [anon_sym_if] = ACTIONS(627),
    [anon_sym_switch] = ACTIONS(629),
    [anon_sym_case] = ACTIONS(631),
    [anon_sym_default] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_do] = ACTIONS(637),
    [anon_sym_for] = ACTIONS(639),
    [anon_sym_return] = ACTIONS(641),
    [anon_sym_break] = ACTIONS(643),
    [anon_sym_continue] = ACTIONS(645),
    [anon_sym_goto] = ACTIONS(647),
    [anon_sym___try] = ACTIONS(649),
    [anon_sym___leave] = ACTIONS(651),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [685] = {
    [sym_attribute_declaration] = STATE(669),
    [sym_compound_statement] = STATE(611),
    [sym_attributed_statement] = STATE(611),
    [sym_labeled_statement] = STATE(611),
    [sym_expression_statement] = STATE(611),
    [sym_if_statement] = STATE(611),
    [sym_switch_statement] = STATE(611),
    [sym_case_statement] = STATE(611),
    [sym_while_statement] = STATE(611),
    [sym_do_statement] = STATE(611),
    [sym_for_statement] = STATE(611),
    [sym_return_statement] = STATE(611),
    [sym_break_statement] = STATE(611),
    [sym_continue_statement] = STATE(611),
    [sym_goto_statement] = STATE(611),
    [sym_seh_try_statement] = STATE(611),
    [sym_seh_leave_statement] = STATE(611),
    [sym__expression] = STATE(1479),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2606),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [aux_sym_attributed_declarator_repeat1] = STATE(669),
    [sym_identifier] = ACTIONS(2002),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(541),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1998),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(1390),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(2004),
    [anon_sym_default] = ACTIONS(2006),
    [anon_sym_while] = ACTIONS(1392),
    [anon_sym_do] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(1394),
    [anon_sym_return] = ACTIONS(77),
    [anon_sym_break] = ACTIONS(79),
    [anon_sym_continue] = ACTIONS(81),
    [anon_sym_goto] = ACTIONS(83),
    [anon_sym___try] = ACTIONS(1396),
    [anon_sym___leave] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [686] = {
    [sym_attribute_declaration] = STATE(651),
    [sym_compound_statement] = STATE(134),
    [sym_attributed_statement] = STATE(134),
    [sym_labeled_statement] = STATE(134),
    [sym_expression_statement] = STATE(134),
    [sym_if_statement] = STATE(134),
    [sym_switch_statement] = STATE(134),
    [sym_case_statement] = STATE(134),
    [sym_while_statement] = STATE(134),
    [sym_do_statement] = STATE(134),
    [sym_for_statement] = STATE(134),
    [sym_return_statement] = STATE(134),
    [sym_break_statement] = STATE(134),
    [sym_continue_statement] = STATE(134),
    [sym_goto_statement] = STATE(134),
    [sym_seh_try_statement] = STATE(134),
    [sym_seh_leave_statement] = STATE(134),
    [sym__expression] = STATE(1517),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2806),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [aux_sym_attributed_declarator_repeat1] = STATE(651),
    [sym_identifier] = ACTIONS(2000),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(135),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1998),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_if] = ACTIONS(147),
    [anon_sym_switch] = ACTIONS(149),
    [anon_sym_case] = ACTIONS(151),
    [anon_sym_default] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_return] = ACTIONS(161),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(165),
    [anon_sym_goto] = ACTIONS(167),
    [anon_sym___try] = ACTIONS(169),
    [anon_sym___leave] = ACTIONS(171),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [687] = {
    [sym_attribute_declaration] = STATE(686),
    [sym_compound_statement] = STATE(95),
    [sym_attributed_statement] = STATE(95),
    [sym_labeled_statement] = STATE(95),
    [sym_expression_statement] = STATE(95),
    [sym_if_statement] = STATE(95),
    [sym_switch_statement] = STATE(95),
    [sym_case_statement] = STATE(95),
    [sym_while_statement] = STATE(95),
    [sym_do_statement] = STATE(95),
    [sym_for_statement] = STATE(95),
    [sym_return_statement] = STATE(95),
    [sym_break_statement] = STATE(95),
    [sym_continue_statement] = STATE(95),
    [sym_goto_statement] = STATE(95),
    [sym_seh_try_statement] = STATE(95),
    [sym_seh_leave_statement] = STATE(95),
    [sym__expression] = STATE(1517),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2806),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [aux_sym_attributed_declarator_repeat1] = STATE(686),
    [sym_identifier] = ACTIONS(2000),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(135),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1998),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_if] = ACTIONS(147),
    [anon_sym_switch] = ACTIONS(149),
    [anon_sym_case] = ACTIONS(151),
    [anon_sym_default] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_return] = ACTIONS(161),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(165),
    [anon_sym_goto] = ACTIONS(167),
    [anon_sym___try] = ACTIONS(169),
    [anon_sym___leave] = ACTIONS(171),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [688] = {
    [sym_attribute_declaration] = STATE(662),
    [sym_compound_statement] = STATE(275),
    [sym_attributed_statement] = STATE(275),
    [sym_labeled_statement] = STATE(275),
    [sym_expression_statement] = STATE(275),
    [sym_if_statement] = STATE(275),
    [sym_switch_statement] = STATE(275),
    [sym_case_statement] = STATE(275),
    [sym_while_statement] = STATE(275),
    [sym_do_statement] = STATE(275),
    [sym_for_statement] = STATE(275),
    [sym_return_statement] = STATE(275),
    [sym_break_statement] = STATE(275),
    [sym_continue_statement] = STATE(275),
    [sym_goto_statement] = STATE(275),
    [sym_seh_try_statement] = STATE(275),
    [sym_seh_leave_statement] = STATE(275),
    [sym__expression] = STATE(1522),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2775),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [aux_sym_attributed_declarator_repeat1] = STATE(662),
    [sym_identifier] = ACTIONS(2244),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(615),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1998),
    [anon_sym_LBRACE] = ACTIONS(625),
    [anon_sym_if] = ACTIONS(627),
    [anon_sym_switch] = ACTIONS(629),
    [anon_sym_case] = ACTIONS(631),
    [anon_sym_default] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_do] = ACTIONS(637),
    [anon_sym_for] = ACTIONS(639),
    [anon_sym_return] = ACTIONS(641),
    [anon_sym_break] = ACTIONS(643),
    [anon_sym_continue] = ACTIONS(645),
    [anon_sym_goto] = ACTIONS(647),
    [anon_sym___try] = ACTIONS(649),
    [anon_sym___leave] = ACTIONS(651),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [689] = {
    [sym_attribute_declaration] = STATE(669),
    [sym_compound_statement] = STATE(2807),
    [sym_attributed_statement] = STATE(2807),
    [sym_labeled_statement] = STATE(2807),
    [sym_expression_statement] = STATE(2807),
    [sym_if_statement] = STATE(2807),
    [sym_switch_statement] = STATE(2807),
    [sym_case_statement] = STATE(2807),
    [sym_while_statement] = STATE(2807),
    [sym_do_statement] = STATE(2807),
    [sym_for_statement] = STATE(2807),
    [sym_return_statement] = STATE(2807),
    [sym_break_statement] = STATE(2807),
    [sym_continue_statement] = STATE(2807),
    [sym_goto_statement] = STATE(2807),
    [sym_seh_try_statement] = STATE(2807),
    [sym_seh_leave_statement] = STATE(2807),
    [sym__expression] = STATE(1479),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2606),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [aux_sym_attributed_declarator_repeat1] = STATE(669),
    [sym_identifier] = ACTIONS(2002),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(541),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1998),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(1390),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(2004),
    [anon_sym_default] = ACTIONS(2006),
    [anon_sym_while] = ACTIONS(1392),
    [anon_sym_do] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(1394),
    [anon_sym_return] = ACTIONS(77),
    [anon_sym_break] = ACTIONS(79),
    [anon_sym_continue] = ACTIONS(81),
    [anon_sym_goto] = ACTIONS(83),
    [anon_sym___try] = ACTIONS(1396),
    [anon_sym___leave] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [690] = {
    [sym_attribute_declaration] = STATE(662),
    [sym_compound_statement] = STATE(361),
    [sym_attributed_statement] = STATE(361),
    [sym_labeled_statement] = STATE(361),
    [sym_expression_statement] = STATE(361),
    [sym_if_statement] = STATE(361),
    [sym_switch_statement] = STATE(361),
    [sym_case_statement] = STATE(361),
    [sym_while_statement] = STATE(361),
    [sym_do_statement] = STATE(361),
    [sym_for_statement] = STATE(361),
    [sym_return_statement] = STATE(361),
    [sym_break_statement] = STATE(361),
    [sym_continue_statement] = STATE(361),
    [sym_goto_statement] = STATE(361),
    [sym_seh_try_statement] = STATE(361),
    [sym_seh_leave_statement] = STATE(361),
    [sym__expression] = STATE(1522),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2775),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [aux_sym_attributed_declarator_repeat1] = STATE(662),
    [sym_identifier] = ACTIONS(2244),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(615),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1998),
    [anon_sym_LBRACE] = ACTIONS(625),
    [anon_sym_if] = ACTIONS(627),
    [anon_sym_switch] = ACTIONS(629),
    [anon_sym_case] = ACTIONS(631),
    [anon_sym_default] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_do] = ACTIONS(637),
    [anon_sym_for] = ACTIONS(639),
    [anon_sym_return] = ACTIONS(641),
    [anon_sym_break] = ACTIONS(643),
    [anon_sym_continue] = ACTIONS(645),
    [anon_sym_goto] = ACTIONS(647),
    [anon_sym___try] = ACTIONS(649),
    [anon_sym___leave] = ACTIONS(651),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [691] = {
    [sym_attribute_declaration] = STATE(676),
    [sym_compound_statement] = STATE(476),
    [sym_attributed_statement] = STATE(475),
    [sym_labeled_statement] = STATE(474),
    [sym_expression_statement] = STATE(473),
    [sym_if_statement] = STATE(303),
    [sym_switch_statement] = STATE(472),
    [sym_case_statement] = STATE(471),
    [sym_while_statement] = STATE(470),
    [sym_do_statement] = STATE(469),
    [sym_for_statement] = STATE(468),
    [sym_return_statement] = STATE(467),
    [sym_break_statement] = STATE(466),
    [sym_continue_statement] = STATE(465),
    [sym_goto_statement] = STATE(464),
    [sym_seh_try_statement] = STATE(463),
    [sym_seh_leave_statement] = STATE(461),
    [sym__expression] = STATE(1518),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2610),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [aux_sym_attributed_declarator_repeat1] = STATE(676),
    [sym_identifier] = ACTIONS(2246),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(1210),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1998),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(63),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(67),
    [anon_sym_default] = ACTIONS(69),
    [anon_sym_while] = ACTIONS(71),
    [anon_sym_do] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(75),
    [anon_sym_return] = ACTIONS(77),
    [anon_sym_break] = ACTIONS(79),
    [anon_sym_continue] = ACTIONS(81),
    [anon_sym_goto] = ACTIONS(83),
    [anon_sym___try] = ACTIONS(1212),
    [anon_sym___leave] = ACTIONS(1214),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [692] = {
    [sym_attribute_declaration] = STATE(662),
    [sym_compound_statement] = STATE(364),
    [sym_attributed_statement] = STATE(364),
    [sym_labeled_statement] = STATE(364),
    [sym_expression_statement] = STATE(364),
    [sym_if_statement] = STATE(364),
    [sym_switch_statement] = STATE(364),
    [sym_case_statement] = STATE(364),
    [sym_while_statement] = STATE(364),
    [sym_do_statement] = STATE(364),
    [sym_for_statement] = STATE(364),
    [sym_return_statement] = STATE(364),
    [sym_break_statement] = STATE(364),
    [sym_continue_statement] = STATE(364),
    [sym_goto_statement] = STATE(364),
    [sym_seh_try_statement] = STATE(364),
    [sym_seh_leave_statement] = STATE(364),
    [sym__expression] = STATE(1522),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2775),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [aux_sym_attributed_declarator_repeat1] = STATE(662),
    [sym_identifier] = ACTIONS(2244),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(615),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1998),
    [anon_sym_LBRACE] = ACTIONS(625),
    [anon_sym_if] = ACTIONS(627),
    [anon_sym_switch] = ACTIONS(629),
    [anon_sym_case] = ACTIONS(631),
    [anon_sym_default] = ACTIONS(633),
    [anon_sym_while] = ACTIONS(635),
    [anon_sym_do] = ACTIONS(637),
    [anon_sym_for] = ACTIONS(639),
    [anon_sym_return] = ACTIONS(641),
    [anon_sym_break] = ACTIONS(643),
    [anon_sym_continue] = ACTIONS(645),
    [anon_sym_goto] = ACTIONS(647),
    [anon_sym___try] = ACTIONS(649),
    [anon_sym___leave] = ACTIONS(651),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [693] = {
    [sym_attribute_declaration] = STATE(669),
    [sym_compound_statement] = STATE(332),
    [sym_attributed_statement] = STATE(332),
    [sym_labeled_statement] = STATE(332),
    [sym_expression_statement] = STATE(332),
    [sym_if_statement] = STATE(332),
    [sym_switch_statement] = STATE(332),
    [sym_case_statement] = STATE(332),
    [sym_while_statement] = STATE(332),
    [sym_do_statement] = STATE(332),
    [sym_for_statement] = STATE(332),
    [sym_return_statement] = STATE(332),
    [sym_break_statement] = STATE(332),
    [sym_continue_statement] = STATE(332),
    [sym_goto_statement] = STATE(332),
    [sym_seh_try_statement] = STATE(332),
    [sym_seh_leave_statement] = STATE(332),
    [sym__expression] = STATE(1479),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2606),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [aux_sym_attributed_declarator_repeat1] = STATE(669),
    [sym_identifier] = ACTIONS(2002),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(541),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1998),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(1390),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(2004),
    [anon_sym_default] = ACTIONS(2006),
    [anon_sym_while] = ACTIONS(1392),
    [anon_sym_do] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(1394),
    [anon_sym_return] = ACTIONS(77),
    [anon_sym_break] = ACTIONS(79),
    [anon_sym_continue] = ACTIONS(81),
    [anon_sym_goto] = ACTIONS(83),
    [anon_sym___try] = ACTIONS(1396),
    [anon_sym___leave] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [694] = {
    [sym_attribute_declaration] = STATE(669),
    [sym_compound_statement] = STATE(476),
    [sym_attributed_statement] = STATE(475),
    [sym_labeled_statement] = STATE(474),
    [sym_expression_statement] = STATE(473),
    [sym_if_statement] = STATE(303),
    [sym_switch_statement] = STATE(472),
    [sym_case_statement] = STATE(471),
    [sym_while_statement] = STATE(470),
    [sym_do_statement] = STATE(469),
    [sym_for_statement] = STATE(468),
    [sym_return_statement] = STATE(467),
    [sym_break_statement] = STATE(466),
    [sym_continue_statement] = STATE(465),
    [sym_goto_statement] = STATE(464),
    [sym_seh_try_statement] = STATE(463),
    [sym_seh_leave_statement] = STATE(461),
    [sym__expression] = STATE(1479),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2606),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [aux_sym_attributed_declarator_repeat1] = STATE(669),
    [sym_identifier] = ACTIONS(2002),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(541),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1998),
    [anon_sym_LBRACE] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(1390),
    [anon_sym_switch] = ACTIONS(65),
    [anon_sym_case] = ACTIONS(2004),
    [anon_sym_default] = ACTIONS(2006),
    [anon_sym_while] = ACTIONS(1392),
    [anon_sym_do] = ACTIONS(73),
    [anon_sym_for] = ACTIONS(1394),
    [anon_sym_return] = ACTIONS(77),
    [anon_sym_break] = ACTIONS(79),
    [anon_sym_continue] = ACTIONS(81),
    [anon_sym_goto] = ACTIONS(83),
    [anon_sym___try] = ACTIONS(1396),
    [anon_sym___leave] = ACTIONS(579),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [695] = {
    [sym_attribute_declaration] = STATE(686),
    [sym_compound_statement] = STATE(92),
    [sym_attributed_statement] = STATE(92),
    [sym_labeled_statement] = STATE(92),
    [sym_expression_statement] = STATE(92),
    [sym_if_statement] = STATE(92),
    [sym_switch_statement] = STATE(92),
    [sym_case_statement] = STATE(92),
    [sym_while_statement] = STATE(92),
    [sym_do_statement] = STATE(92),
    [sym_for_statement] = STATE(92),
    [sym_return_statement] = STATE(92),
    [sym_break_statement] = STATE(92),
    [sym_continue_statement] = STATE(92),
    [sym_goto_statement] = STATE(92),
    [sym_seh_try_statement] = STATE(92),
    [sym_seh_leave_statement] = STATE(92),
    [sym__expression] = STATE(1517),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2806),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [aux_sym_attributed_declarator_repeat1] = STATE(686),
    [sym_identifier] = ACTIONS(2000),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_SEMI] = ACTIONS(135),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1998),
    [anon_sym_LBRACE] = ACTIONS(145),
    [anon_sym_if] = ACTIONS(147),
    [anon_sym_switch] = ACTIONS(149),
    [anon_sym_case] = ACTIONS(151),
    [anon_sym_default] = ACTIONS(153),
    [anon_sym_while] = ACTIONS(155),
    [anon_sym_do] = ACTIONS(157),
    [anon_sym_for] = ACTIONS(159),
    [anon_sym_return] = ACTIONS(161),
    [anon_sym_break] = ACTIONS(163),
    [anon_sym_continue] = ACTIONS(165),
    [anon_sym_goto] = ACTIONS(167),
    [anon_sym___try] = ACTIONS(169),
    [anon_sym___leave] = ACTIONS(171),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [696] = {
    [sym__expression] = STATE(1359),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1115),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1115),
    [sym_call_expression] = STATE(1115),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1115),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1115),
    [sym_initializer_list] = STATE(1114),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym_identifier] = ACTIONS(1958),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1960),
    [anon_sym_LPAREN2] = ACTIONS(1960),
    [anon_sym_BANG] = ACTIONS(2349),
    [anon_sym_TILDE] = ACTIONS(2351),
    [anon_sym_DASH] = ACTIONS(1966),
    [anon_sym_PLUS] = ACTIONS(1966),
    [anon_sym_STAR] = ACTIONS(1966),
    [anon_sym_SLASH] = ACTIONS(1966),
    [anon_sym_PERCENT] = ACTIONS(1966),
    [anon_sym_PIPE_PIPE] = ACTIONS(1960),
    [anon_sym_AMP_AMP] = ACTIONS(1960),
    [anon_sym_PIPE] = ACTIONS(1966),
    [anon_sym_CARET] = ACTIONS(1966),
    [anon_sym_AMP] = ACTIONS(1966),
    [anon_sym_EQ_EQ] = ACTIONS(1960),
    [anon_sym_BANG_EQ] = ACTIONS(1960),
    [anon_sym_GT] = ACTIONS(1966),
    [anon_sym_GT_EQ] = ACTIONS(1960),
    [anon_sym_LT_EQ] = ACTIONS(1960),
    [anon_sym_LT] = ACTIONS(1966),
    [anon_sym_LT_LT] = ACTIONS(1966),
    [anon_sym_GT_GT] = ACTIONS(1966),
    [anon_sym_LBRACE] = ACTIONS(1968),
    [anon_sym_LBRACK] = ACTIONS(1960),
    [anon_sym_RBRACK] = ACTIONS(1960),
    [anon_sym_EQ] = ACTIONS(1966),
    [anon_sym_QMARK] = ACTIONS(1960),
    [anon_sym_STAR_EQ] = ACTIONS(1960),
    [anon_sym_SLASH_EQ] = ACTIONS(1960),
    [anon_sym_PERCENT_EQ] = ACTIONS(1960),
    [anon_sym_PLUS_EQ] = ACTIONS(1960),
    [anon_sym_DASH_EQ] = ACTIONS(1960),
    [anon_sym_LT_LT_EQ] = ACTIONS(1960),
    [anon_sym_GT_GT_EQ] = ACTIONS(1960),
    [anon_sym_AMP_EQ] = ACTIONS(1960),
    [anon_sym_CARET_EQ] = ACTIONS(1960),
    [anon_sym_PIPE_EQ] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(1960),
    [anon_sym_PLUS_PLUS] = ACTIONS(1960),
    [anon_sym_sizeof] = ACTIONS(2353),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [anon_sym_DOT] = ACTIONS(1966),
    [anon_sym_DASH_GT] = ACTIONS(1960),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [697] = {
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1773),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(1192),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_ms_call_modifier] = STATE(1172),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_macro_type_specifier] = STATE(1281),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(2355),
    [anon_sym_LPAREN2] = ACTIONS(2358),
    [anon_sym_subroutine] = ACTIONS(2360),
    [anon_sym_invariant] = ACTIONS(2360),
    [anon_sym_precise] = ACTIONS(2360),
    [anon_sym_in] = ACTIONS(2360),
    [anon_sym_out] = ACTIONS(2360),
    [anon_sym_inout] = ACTIONS(2360),
    [anon_sym_uniform] = ACTIONS(2360),
    [anon_sym_shared] = ACTIONS(2360),
    [anon_sym_attribute] = ACTIONS(2360),
    [anon_sym_varying] = ACTIONS(2360),
    [anon_sym_buffer] = ACTIONS(2360),
    [anon_sym_coherent] = ACTIONS(2360),
    [anon_sym_readonly] = ACTIONS(2360),
    [anon_sym_writeonly] = ACTIONS(2360),
    [anon_sym_precision] = ACTIONS(2360),
    [anon_sym_highp] = ACTIONS(2360),
    [anon_sym_mediump] = ACTIONS(2360),
    [anon_sym_lowp] = ACTIONS(2360),
    [anon_sym_centroid] = ACTIONS(2360),
    [anon_sym_sample] = ACTIONS(2360),
    [anon_sym_patch] = ACTIONS(2360),
    [anon_sym_smooth] = ACTIONS(2360),
    [anon_sym_flat] = ACTIONS(2360),
    [anon_sym_noperspective] = ACTIONS(2360),
    [anon_sym___extension__] = ACTIONS(2362),
    [anon_sym_extern] = ACTIONS(2365),
    [anon_sym___attribute__] = ACTIONS(2368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2371),
    [anon_sym___declspec] = ACTIONS(2374),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(2377),
    [anon_sym_unsigned] = ACTIONS(2377),
    [anon_sym_long] = ACTIONS(2377),
    [anon_sym_short] = ACTIONS(2377),
    [anon_sym_static] = ACTIONS(2365),
    [anon_sym_auto] = ACTIONS(2365),
    [anon_sym_register] = ACTIONS(2365),
    [anon_sym_inline] = ACTIONS(2365),
    [anon_sym___inline] = ACTIONS(2365),
    [anon_sym___inline__] = ACTIONS(2365),
    [anon_sym___forceinline] = ACTIONS(2365),
    [anon_sym_thread_local] = ACTIONS(2365),
    [anon_sym___thread] = ACTIONS(2365),
    [anon_sym_const] = ACTIONS(2362),
    [anon_sym_constexpr] = ACTIONS(2362),
    [anon_sym_volatile] = ACTIONS(2362),
    [anon_sym_restrict] = ACTIONS(2362),
    [anon_sym___restrict__] = ACTIONS(2362),
    [anon_sym__Atomic] = ACTIONS(2362),
    [anon_sym__Noreturn] = ACTIONS(2362),
    [anon_sym_noreturn] = ACTIONS(2362),
    [sym_primitive_type] = ACTIONS(2380),
    [anon_sym_enum] = ACTIONS(2383),
    [anon_sym_struct] = ACTIONS(2386),
    [anon_sym_union] = ACTIONS(2389),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2360),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2360),
    [anon_sym_hitAttributeEXT] = ACTIONS(2360),
    [anon_sym_callableDataEXT] = ACTIONS(2360),
    [anon_sym_callableDataInEXT] = ACTIONS(2360),
    [anon_sym_shaderRecordEXT] = ACTIONS(2360),
    [anon_sym_rayPayloadNV] = ACTIONS(2360),
    [anon_sym_rayPayloadInNV] = ACTIONS(2360),
    [anon_sym_hitAttributeNV] = ACTIONS(2360),
    [anon_sym_callableDataNV] = ACTIONS(2360),
    [anon_sym_callableDataInNV] = ACTIONS(2360),
    [anon_sym_shaderRecordNV] = ACTIONS(2360),
    [anon_sym_layout] = ACTIONS(2360),
  },
  [698] = {
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1754),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(1192),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_ms_call_modifier] = STATE(1153),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_macro_type_specifier] = STATE(1281),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(2355),
    [anon_sym_LPAREN2] = ACTIONS(2392),
    [anon_sym_subroutine] = ACTIONS(2360),
    [anon_sym_invariant] = ACTIONS(2360),
    [anon_sym_precise] = ACTIONS(2360),
    [anon_sym_in] = ACTIONS(2360),
    [anon_sym_out] = ACTIONS(2360),
    [anon_sym_inout] = ACTIONS(2360),
    [anon_sym_uniform] = ACTIONS(2360),
    [anon_sym_shared] = ACTIONS(2360),
    [anon_sym_attribute] = ACTIONS(2360),
    [anon_sym_varying] = ACTIONS(2360),
    [anon_sym_buffer] = ACTIONS(2360),
    [anon_sym_coherent] = ACTIONS(2360),
    [anon_sym_readonly] = ACTIONS(2360),
    [anon_sym_writeonly] = ACTIONS(2360),
    [anon_sym_precision] = ACTIONS(2360),
    [anon_sym_highp] = ACTIONS(2360),
    [anon_sym_mediump] = ACTIONS(2360),
    [anon_sym_lowp] = ACTIONS(2360),
    [anon_sym_centroid] = ACTIONS(2360),
    [anon_sym_sample] = ACTIONS(2360),
    [anon_sym_patch] = ACTIONS(2360),
    [anon_sym_smooth] = ACTIONS(2360),
    [anon_sym_flat] = ACTIONS(2360),
    [anon_sym_noperspective] = ACTIONS(2360),
    [anon_sym___extension__] = ACTIONS(2362),
    [anon_sym_extern] = ACTIONS(2365),
    [anon_sym___attribute__] = ACTIONS(2368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2371),
    [anon_sym___declspec] = ACTIONS(2374),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(2377),
    [anon_sym_unsigned] = ACTIONS(2377),
    [anon_sym_long] = ACTIONS(2377),
    [anon_sym_short] = ACTIONS(2377),
    [anon_sym_static] = ACTIONS(2365),
    [anon_sym_auto] = ACTIONS(2365),
    [anon_sym_register] = ACTIONS(2365),
    [anon_sym_inline] = ACTIONS(2365),
    [anon_sym___inline] = ACTIONS(2365),
    [anon_sym___inline__] = ACTIONS(2365),
    [anon_sym___forceinline] = ACTIONS(2365),
    [anon_sym_thread_local] = ACTIONS(2365),
    [anon_sym___thread] = ACTIONS(2365),
    [anon_sym_const] = ACTIONS(2362),
    [anon_sym_constexpr] = ACTIONS(2362),
    [anon_sym_volatile] = ACTIONS(2362),
    [anon_sym_restrict] = ACTIONS(2362),
    [anon_sym___restrict__] = ACTIONS(2362),
    [anon_sym__Atomic] = ACTIONS(2362),
    [anon_sym__Noreturn] = ACTIONS(2362),
    [anon_sym_noreturn] = ACTIONS(2362),
    [sym_primitive_type] = ACTIONS(2380),
    [anon_sym_enum] = ACTIONS(2383),
    [anon_sym_struct] = ACTIONS(2386),
    [anon_sym_union] = ACTIONS(2389),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2360),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2360),
    [anon_sym_hitAttributeEXT] = ACTIONS(2360),
    [anon_sym_callableDataEXT] = ACTIONS(2360),
    [anon_sym_callableDataInEXT] = ACTIONS(2360),
    [anon_sym_shaderRecordEXT] = ACTIONS(2360),
    [anon_sym_rayPayloadNV] = ACTIONS(2360),
    [anon_sym_rayPayloadInNV] = ACTIONS(2360),
    [anon_sym_hitAttributeNV] = ACTIONS(2360),
    [anon_sym_callableDataNV] = ACTIONS(2360),
    [anon_sym_callableDataInNV] = ACTIONS(2360),
    [anon_sym_shaderRecordNV] = ACTIONS(2360),
    [anon_sym_layout] = ACTIONS(2360),
  },
  [699] = {
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1756),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(1192),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_ms_call_modifier] = STATE(1176),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_macro_type_specifier] = STATE(1281),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(2355),
    [anon_sym_LPAREN2] = ACTIONS(2394),
    [anon_sym_subroutine] = ACTIONS(2360),
    [anon_sym_invariant] = ACTIONS(2360),
    [anon_sym_precise] = ACTIONS(2360),
    [anon_sym_in] = ACTIONS(2360),
    [anon_sym_out] = ACTIONS(2360),
    [anon_sym_inout] = ACTIONS(2360),
    [anon_sym_uniform] = ACTIONS(2360),
    [anon_sym_shared] = ACTIONS(2360),
    [anon_sym_attribute] = ACTIONS(2360),
    [anon_sym_varying] = ACTIONS(2360),
    [anon_sym_buffer] = ACTIONS(2360),
    [anon_sym_coherent] = ACTIONS(2360),
    [anon_sym_readonly] = ACTIONS(2360),
    [anon_sym_writeonly] = ACTIONS(2360),
    [anon_sym_precision] = ACTIONS(2360),
    [anon_sym_highp] = ACTIONS(2360),
    [anon_sym_mediump] = ACTIONS(2360),
    [anon_sym_lowp] = ACTIONS(2360),
    [anon_sym_centroid] = ACTIONS(2360),
    [anon_sym_sample] = ACTIONS(2360),
    [anon_sym_patch] = ACTIONS(2360),
    [anon_sym_smooth] = ACTIONS(2360),
    [anon_sym_flat] = ACTIONS(2360),
    [anon_sym_noperspective] = ACTIONS(2360),
    [anon_sym___extension__] = ACTIONS(2362),
    [anon_sym_extern] = ACTIONS(2365),
    [anon_sym___attribute__] = ACTIONS(2368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2371),
    [anon_sym___declspec] = ACTIONS(2374),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(2377),
    [anon_sym_unsigned] = ACTIONS(2377),
    [anon_sym_long] = ACTIONS(2377),
    [anon_sym_short] = ACTIONS(2377),
    [anon_sym_static] = ACTIONS(2365),
    [anon_sym_auto] = ACTIONS(2365),
    [anon_sym_register] = ACTIONS(2365),
    [anon_sym_inline] = ACTIONS(2365),
    [anon_sym___inline] = ACTIONS(2365),
    [anon_sym___inline__] = ACTIONS(2365),
    [anon_sym___forceinline] = ACTIONS(2365),
    [anon_sym_thread_local] = ACTIONS(2365),
    [anon_sym___thread] = ACTIONS(2365),
    [anon_sym_const] = ACTIONS(2362),
    [anon_sym_constexpr] = ACTIONS(2362),
    [anon_sym_volatile] = ACTIONS(2362),
    [anon_sym_restrict] = ACTIONS(2362),
    [anon_sym___restrict__] = ACTIONS(2362),
    [anon_sym__Atomic] = ACTIONS(2362),
    [anon_sym__Noreturn] = ACTIONS(2362),
    [anon_sym_noreturn] = ACTIONS(2362),
    [sym_primitive_type] = ACTIONS(2380),
    [anon_sym_enum] = ACTIONS(2383),
    [anon_sym_struct] = ACTIONS(2386),
    [anon_sym_union] = ACTIONS(2389),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2360),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2360),
    [anon_sym_hitAttributeEXT] = ACTIONS(2360),
    [anon_sym_callableDataEXT] = ACTIONS(2360),
    [anon_sym_callableDataInEXT] = ACTIONS(2360),
    [anon_sym_shaderRecordEXT] = ACTIONS(2360),
    [anon_sym_rayPayloadNV] = ACTIONS(2360),
    [anon_sym_rayPayloadInNV] = ACTIONS(2360),
    [anon_sym_hitAttributeNV] = ACTIONS(2360),
    [anon_sym_callableDataNV] = ACTIONS(2360),
    [anon_sym_callableDataInNV] = ACTIONS(2360),
    [anon_sym_shaderRecordNV] = ACTIONS(2360),
    [anon_sym_layout] = ACTIONS(2360),
  },
  [700] = {
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1755),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(1192),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_ms_call_modifier] = STATE(1154),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_macro_type_specifier] = STATE(1281),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(2355),
    [anon_sym_LPAREN2] = ACTIONS(2396),
    [anon_sym_subroutine] = ACTIONS(2360),
    [anon_sym_invariant] = ACTIONS(2360),
    [anon_sym_precise] = ACTIONS(2360),
    [anon_sym_in] = ACTIONS(2360),
    [anon_sym_out] = ACTIONS(2360),
    [anon_sym_inout] = ACTIONS(2360),
    [anon_sym_uniform] = ACTIONS(2360),
    [anon_sym_shared] = ACTIONS(2360),
    [anon_sym_attribute] = ACTIONS(2360),
    [anon_sym_varying] = ACTIONS(2360),
    [anon_sym_buffer] = ACTIONS(2360),
    [anon_sym_coherent] = ACTIONS(2360),
    [anon_sym_readonly] = ACTIONS(2360),
    [anon_sym_writeonly] = ACTIONS(2360),
    [anon_sym_precision] = ACTIONS(2360),
    [anon_sym_highp] = ACTIONS(2360),
    [anon_sym_mediump] = ACTIONS(2360),
    [anon_sym_lowp] = ACTIONS(2360),
    [anon_sym_centroid] = ACTIONS(2360),
    [anon_sym_sample] = ACTIONS(2360),
    [anon_sym_patch] = ACTIONS(2360),
    [anon_sym_smooth] = ACTIONS(2360),
    [anon_sym_flat] = ACTIONS(2360),
    [anon_sym_noperspective] = ACTIONS(2360),
    [anon_sym___extension__] = ACTIONS(2362),
    [anon_sym_extern] = ACTIONS(2365),
    [anon_sym___attribute__] = ACTIONS(2368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2371),
    [anon_sym___declspec] = ACTIONS(2374),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(2377),
    [anon_sym_unsigned] = ACTIONS(2377),
    [anon_sym_long] = ACTIONS(2377),
    [anon_sym_short] = ACTIONS(2377),
    [anon_sym_static] = ACTIONS(2365),
    [anon_sym_auto] = ACTIONS(2365),
    [anon_sym_register] = ACTIONS(2365),
    [anon_sym_inline] = ACTIONS(2365),
    [anon_sym___inline] = ACTIONS(2365),
    [anon_sym___inline__] = ACTIONS(2365),
    [anon_sym___forceinline] = ACTIONS(2365),
    [anon_sym_thread_local] = ACTIONS(2365),
    [anon_sym___thread] = ACTIONS(2365),
    [anon_sym_const] = ACTIONS(2362),
    [anon_sym_constexpr] = ACTIONS(2362),
    [anon_sym_volatile] = ACTIONS(2362),
    [anon_sym_restrict] = ACTIONS(2362),
    [anon_sym___restrict__] = ACTIONS(2362),
    [anon_sym__Atomic] = ACTIONS(2362),
    [anon_sym__Noreturn] = ACTIONS(2362),
    [anon_sym_noreturn] = ACTIONS(2362),
    [sym_primitive_type] = ACTIONS(2380),
    [anon_sym_enum] = ACTIONS(2383),
    [anon_sym_struct] = ACTIONS(2386),
    [anon_sym_union] = ACTIONS(2389),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2360),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2360),
    [anon_sym_hitAttributeEXT] = ACTIONS(2360),
    [anon_sym_callableDataEXT] = ACTIONS(2360),
    [anon_sym_callableDataInEXT] = ACTIONS(2360),
    [anon_sym_shaderRecordEXT] = ACTIONS(2360),
    [anon_sym_rayPayloadNV] = ACTIONS(2360),
    [anon_sym_rayPayloadInNV] = ACTIONS(2360),
    [anon_sym_hitAttributeNV] = ACTIONS(2360),
    [anon_sym_callableDataNV] = ACTIONS(2360),
    [anon_sym_callableDataInNV] = ACTIONS(2360),
    [anon_sym_shaderRecordNV] = ACTIONS(2360),
    [anon_sym_layout] = ACTIONS(2360),
  },
  [701] = {
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1738),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(1192),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_ms_call_modifier] = STATE(1151),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_macro_type_specifier] = STATE(1281),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(2355),
    [anon_sym_LPAREN2] = ACTIONS(2398),
    [anon_sym_subroutine] = ACTIONS(2360),
    [anon_sym_invariant] = ACTIONS(2360),
    [anon_sym_precise] = ACTIONS(2360),
    [anon_sym_in] = ACTIONS(2360),
    [anon_sym_out] = ACTIONS(2360),
    [anon_sym_inout] = ACTIONS(2360),
    [anon_sym_uniform] = ACTIONS(2360),
    [anon_sym_shared] = ACTIONS(2360),
    [anon_sym_attribute] = ACTIONS(2360),
    [anon_sym_varying] = ACTIONS(2360),
    [anon_sym_buffer] = ACTIONS(2360),
    [anon_sym_coherent] = ACTIONS(2360),
    [anon_sym_readonly] = ACTIONS(2360),
    [anon_sym_writeonly] = ACTIONS(2360),
    [anon_sym_precision] = ACTIONS(2360),
    [anon_sym_highp] = ACTIONS(2360),
    [anon_sym_mediump] = ACTIONS(2360),
    [anon_sym_lowp] = ACTIONS(2360),
    [anon_sym_centroid] = ACTIONS(2360),
    [anon_sym_sample] = ACTIONS(2360),
    [anon_sym_patch] = ACTIONS(2360),
    [anon_sym_smooth] = ACTIONS(2360),
    [anon_sym_flat] = ACTIONS(2360),
    [anon_sym_noperspective] = ACTIONS(2360),
    [anon_sym___extension__] = ACTIONS(2362),
    [anon_sym_extern] = ACTIONS(2365),
    [anon_sym___attribute__] = ACTIONS(2368),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2371),
    [anon_sym___declspec] = ACTIONS(2374),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(2377),
    [anon_sym_unsigned] = ACTIONS(2377),
    [anon_sym_long] = ACTIONS(2377),
    [anon_sym_short] = ACTIONS(2377),
    [anon_sym_static] = ACTIONS(2365),
    [anon_sym_auto] = ACTIONS(2365),
    [anon_sym_register] = ACTIONS(2365),
    [anon_sym_inline] = ACTIONS(2365),
    [anon_sym___inline] = ACTIONS(2365),
    [anon_sym___inline__] = ACTIONS(2365),
    [anon_sym___forceinline] = ACTIONS(2365),
    [anon_sym_thread_local] = ACTIONS(2365),
    [anon_sym___thread] = ACTIONS(2365),
    [anon_sym_const] = ACTIONS(2362),
    [anon_sym_constexpr] = ACTIONS(2362),
    [anon_sym_volatile] = ACTIONS(2362),
    [anon_sym_restrict] = ACTIONS(2362),
    [anon_sym___restrict__] = ACTIONS(2362),
    [anon_sym__Atomic] = ACTIONS(2362),
    [anon_sym__Noreturn] = ACTIONS(2362),
    [anon_sym_noreturn] = ACTIONS(2362),
    [sym_primitive_type] = ACTIONS(2380),
    [anon_sym_enum] = ACTIONS(2383),
    [anon_sym_struct] = ACTIONS(2386),
    [anon_sym_union] = ACTIONS(2389),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2360),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2360),
    [anon_sym_hitAttributeEXT] = ACTIONS(2360),
    [anon_sym_callableDataEXT] = ACTIONS(2360),
    [anon_sym_callableDataInEXT] = ACTIONS(2360),
    [anon_sym_shaderRecordEXT] = ACTIONS(2360),
    [anon_sym_rayPayloadNV] = ACTIONS(2360),
    [anon_sym_rayPayloadInNV] = ACTIONS(2360),
    [anon_sym_hitAttributeNV] = ACTIONS(2360),
    [anon_sym_callableDataNV] = ACTIONS(2360),
    [anon_sym_callableDataInNV] = ACTIONS(2360),
    [anon_sym_shaderRecordNV] = ACTIONS(2360),
    [anon_sym_layout] = ACTIONS(2360),
  },
  [702] = {
    [sym_type_qualifier] = STATE(1547),
    [sym__type_specifier] = STATE(1586),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym__expression] = STATE(1509),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2596),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_type_descriptor] = STATE(2637),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym_macro_type_specifier] = STATE(1281),
    [aux_sym__type_definition_type_repeat1] = STATE(1547),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1589),
    [sym_identifier] = ACTIONS(2400),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(2402),
    [anon_sym_unsigned] = ACTIONS(2402),
    [anon_sym_long] = ACTIONS(2402),
    [anon_sym_short] = ACTIONS(2402),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(2404),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [703] = {
    [sym_type_qualifier] = STATE(1547),
    [sym__type_specifier] = STATE(1586),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym__expression] = STATE(1525),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2773),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_type_descriptor] = STATE(2697),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym_macro_type_specifier] = STATE(1281),
    [aux_sym__type_definition_type_repeat1] = STATE(1547),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1589),
    [sym_identifier] = ACTIONS(2400),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(2402),
    [anon_sym_unsigned] = ACTIONS(2402),
    [anon_sym_long] = ACTIONS(2402),
    [anon_sym_short] = ACTIONS(2402),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(2404),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [704] = {
    [sym_type_qualifier] = STATE(1547),
    [sym__type_specifier] = STATE(1586),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym__expression] = STATE(1509),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2596),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_type_descriptor] = STATE(2883),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym_macro_type_specifier] = STATE(1281),
    [aux_sym__type_definition_type_repeat1] = STATE(1547),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1589),
    [sym_identifier] = ACTIONS(2400),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(2402),
    [anon_sym_unsigned] = ACTIONS(2402),
    [anon_sym_long] = ACTIONS(2402),
    [anon_sym_short] = ACTIONS(2402),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(2404),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [705] = {
    [sym_type_qualifier] = STATE(1547),
    [sym__type_specifier] = STATE(1586),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym__expression] = STATE(1509),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2596),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_type_descriptor] = STATE(2828),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym_macro_type_specifier] = STATE(1281),
    [aux_sym__type_definition_type_repeat1] = STATE(1547),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1589),
    [sym_identifier] = ACTIONS(2400),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(2402),
    [anon_sym_unsigned] = ACTIONS(2402),
    [anon_sym_long] = ACTIONS(2402),
    [anon_sym_short] = ACTIONS(2402),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(2404),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [706] = {
    [sym_type_qualifier] = STATE(1547),
    [sym__type_specifier] = STATE(1586),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym__expression] = STATE(1509),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2596),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_type_descriptor] = STATE(2587),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym_macro_type_specifier] = STATE(1281),
    [aux_sym__type_definition_type_repeat1] = STATE(1547),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1589),
    [sym_identifier] = ACTIONS(2400),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(2402),
    [anon_sym_unsigned] = ACTIONS(2402),
    [anon_sym_long] = ACTIONS(2402),
    [anon_sym_short] = ACTIONS(2402),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(2404),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [707] = {
    [sym_type_qualifier] = STATE(1547),
    [sym__type_specifier] = STATE(1586),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym__expression] = STATE(1509),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2596),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_type_descriptor] = STATE(2598),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym_macro_type_specifier] = STATE(1281),
    [aux_sym__type_definition_type_repeat1] = STATE(1547),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1589),
    [sym_identifier] = ACTIONS(2400),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(2402),
    [anon_sym_unsigned] = ACTIONS(2402),
    [anon_sym_long] = ACTIONS(2402),
    [anon_sym_short] = ACTIONS(2402),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(2404),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [708] = {
    [sym_type_qualifier] = STATE(1547),
    [sym__type_specifier] = STATE(1586),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym__expression] = STATE(1525),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2773),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_type_descriptor] = STATE(2896),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym_macro_type_specifier] = STATE(1281),
    [aux_sym__type_definition_type_repeat1] = STATE(1547),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1589),
    [sym_identifier] = ACTIONS(2400),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(2402),
    [anon_sym_unsigned] = ACTIONS(2402),
    [anon_sym_long] = ACTIONS(2402),
    [anon_sym_short] = ACTIONS(2402),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(2404),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [709] = {
    [sym_type_qualifier] = STATE(1547),
    [sym__type_specifier] = STATE(1586),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym__expression] = STATE(1509),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2596),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_type_descriptor] = STATE(2802),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym_macro_type_specifier] = STATE(1281),
    [aux_sym__type_definition_type_repeat1] = STATE(1547),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1589),
    [sym_identifier] = ACTIONS(2400),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(2402),
    [anon_sym_unsigned] = ACTIONS(2402),
    [anon_sym_long] = ACTIONS(2402),
    [anon_sym_short] = ACTIONS(2402),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(2404),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [710] = {
    [sym_type_qualifier] = STATE(1547),
    [sym__type_specifier] = STATE(1586),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym__expression] = STATE(1509),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2596),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_type_descriptor] = STATE(2684),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym_macro_type_specifier] = STATE(1281),
    [aux_sym__type_definition_type_repeat1] = STATE(1547),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1589),
    [sym_identifier] = ACTIONS(2400),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(2402),
    [anon_sym_unsigned] = ACTIONS(2402),
    [anon_sym_long] = ACTIONS(2402),
    [anon_sym_short] = ACTIONS(2402),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(2404),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [711] = {
    [sym_type_qualifier] = STATE(1547),
    [sym__type_specifier] = STATE(1586),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym__expression] = STATE(1525),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2773),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_type_descriptor] = STATE(2759),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym_macro_type_specifier] = STATE(1281),
    [aux_sym__type_definition_type_repeat1] = STATE(1547),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1589),
    [sym_identifier] = ACTIONS(2400),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(2402),
    [anon_sym_unsigned] = ACTIONS(2402),
    [anon_sym_long] = ACTIONS(2402),
    [anon_sym_short] = ACTIONS(2402),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(2404),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [712] = {
    [sym_type_qualifier] = STATE(1547),
    [sym__type_specifier] = STATE(1586),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym__expression] = STATE(1509),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2596),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_type_descriptor] = STATE(2783),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym_macro_type_specifier] = STATE(1281),
    [aux_sym__type_definition_type_repeat1] = STATE(1547),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1589),
    [sym_identifier] = ACTIONS(2400),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(2402),
    [anon_sym_unsigned] = ACTIONS(2402),
    [anon_sym_long] = ACTIONS(2402),
    [anon_sym_short] = ACTIONS(2402),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(2404),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [713] = {
    [sym_type_qualifier] = STATE(1547),
    [sym__type_specifier] = STATE(1586),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym__expression] = STATE(1509),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2596),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_type_descriptor] = STATE(2641),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym_macro_type_specifier] = STATE(1281),
    [aux_sym__type_definition_type_repeat1] = STATE(1547),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1589),
    [sym_identifier] = ACTIONS(2400),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(2402),
    [anon_sym_unsigned] = ACTIONS(2402),
    [anon_sym_long] = ACTIONS(2402),
    [anon_sym_short] = ACTIONS(2402),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(2404),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [714] = {
    [sym_type_qualifier] = STATE(1547),
    [sym__type_specifier] = STATE(1586),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym__expression] = STATE(1509),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2596),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_type_descriptor] = STATE(2607),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym_macro_type_specifier] = STATE(1281),
    [aux_sym__type_definition_type_repeat1] = STATE(1547),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1589),
    [sym_identifier] = ACTIONS(2400),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(2402),
    [anon_sym_unsigned] = ACTIONS(2402),
    [anon_sym_long] = ACTIONS(2402),
    [anon_sym_short] = ACTIONS(2402),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(2404),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [715] = {
    [sym_type_qualifier] = STATE(1547),
    [sym__type_specifier] = STATE(1586),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym__expression] = STATE(1509),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2596),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_type_descriptor] = STATE(2900),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym_macro_type_specifier] = STATE(1281),
    [aux_sym__type_definition_type_repeat1] = STATE(1547),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1589),
    [sym_identifier] = ACTIONS(2400),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(2402),
    [anon_sym_unsigned] = ACTIONS(2402),
    [anon_sym_long] = ACTIONS(2402),
    [anon_sym_short] = ACTIONS(2402),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(2404),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [716] = {
    [sym_type_qualifier] = STATE(1547),
    [sym__type_specifier] = STATE(1586),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym__expression] = STATE(1525),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2773),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_type_descriptor] = STATE(2671),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym_macro_type_specifier] = STATE(1281),
    [aux_sym__type_definition_type_repeat1] = STATE(1547),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1589),
    [sym_identifier] = ACTIONS(2400),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(2402),
    [anon_sym_unsigned] = ACTIONS(2402),
    [anon_sym_long] = ACTIONS(2402),
    [anon_sym_short] = ACTIONS(2402),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(2404),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [717] = {
    [sym_type_qualifier] = STATE(1547),
    [sym__type_specifier] = STATE(1586),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym__expression] = STATE(1509),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_comma_expression] = STATE(2596),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_type_descriptor] = STATE(2878),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym_macro_type_specifier] = STATE(1281),
    [aux_sym__type_definition_type_repeat1] = STATE(1547),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1589),
    [sym_identifier] = ACTIONS(2400),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym___extension__] = ACTIONS(53),
    [anon_sym_signed] = ACTIONS(2402),
    [anon_sym_unsigned] = ACTIONS(2402),
    [anon_sym_long] = ACTIONS(2402),
    [anon_sym_short] = ACTIONS(2402),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(2404),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [718] = {
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1657),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(1192),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_ms_call_modifier] = STATE(1936),
    [sym__abstract_declarator] = STATE(2240),
    [sym_abstract_parenthesized_declarator] = STATE(2176),
    [sym_abstract_pointer_declarator] = STATE(2176),
    [sym_abstract_function_declarator] = STATE(2176),
    [sym_abstract_array_declarator] = STATE(2176),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_variadic_parameter] = STATE(2309),
    [sym_parameter_list] = STATE(2155),
    [sym_parameter_declaration] = STATE(2309),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_layout_specification] = STATE(868),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [aux_sym_parameter_declaration_repeat1] = STATE(868),
    [sym_identifier] = ACTIONS(1739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1980),
    [anon_sym_RPAREN] = ACTIONS(1982),
    [anon_sym_LPAREN2] = ACTIONS(2406),
    [anon_sym_STAR] = ACTIONS(2408),
    [anon_sym_precise] = ACTIONS(1988),
    [anon_sym_in] = ACTIONS(1988),
    [anon_sym_out] = ACTIONS(1988),
    [anon_sym_inout] = ACTIONS(1988),
    [anon_sym_uniform] = ACTIONS(1988),
    [anon_sym_shared] = ACTIONS(1988),
    [anon_sym_attribute] = ACTIONS(1988),
    [anon_sym_varying] = ACTIONS(1988),
    [anon_sym_buffer] = ACTIONS(1988),
    [anon_sym_coherent] = ACTIONS(1988),
    [anon_sym_readonly] = ACTIONS(1988),
    [anon_sym_writeonly] = ACTIONS(1988),
    [anon_sym_centroid] = ACTIONS(1988),
    [anon_sym_sample] = ACTIONS(1988),
    [anon_sym_patch] = ACTIONS(1988),
    [anon_sym_smooth] = ACTIONS(1988),
    [anon_sym_flat] = ACTIONS(1988),
    [anon_sym_noperspective] = ACTIONS(1988),
    [anon_sym___extension__] = ACTIONS(53),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1421),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym___cdecl] = ACTIONS(45),
    [anon_sym___clrcall] = ACTIONS(45),
    [anon_sym___stdcall] = ACTIONS(45),
    [anon_sym___fastcall] = ACTIONS(45),
    [anon_sym___thiscall] = ACTIONS(45),
    [anon_sym___vectorcall] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_LBRACK] = ACTIONS(1992),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [anon_sym_layout] = ACTIONS(1994),
  },
  [719] = {
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1610),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(1192),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(839),
    [sym_layout_specification] = STATE(839),
    [aux_sym_declaration_repeat1] = STATE(839),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(2410),
    [anon_sym_subroutine] = ACTIONS(2412),
    [anon_sym_invariant] = ACTIONS(2412),
    [anon_sym_precise] = ACTIONS(2412),
    [anon_sym_in] = ACTIONS(2412),
    [anon_sym_out] = ACTIONS(2412),
    [anon_sym_inout] = ACTIONS(2412),
    [anon_sym_uniform] = ACTIONS(2412),
    [anon_sym_shared] = ACTIONS(2412),
    [anon_sym_attribute] = ACTIONS(2412),
    [anon_sym_varying] = ACTIONS(2412),
    [anon_sym_buffer] = ACTIONS(2412),
    [anon_sym_coherent] = ACTIONS(2412),
    [anon_sym_readonly] = ACTIONS(2412),
    [anon_sym_writeonly] = ACTIONS(2412),
    [anon_sym_precision] = ACTIONS(2412),
    [anon_sym_highp] = ACTIONS(2412),
    [anon_sym_mediump] = ACTIONS(2412),
    [anon_sym_lowp] = ACTIONS(2412),
    [anon_sym_centroid] = ACTIONS(2412),
    [anon_sym_sample] = ACTIONS(2412),
    [anon_sym_patch] = ACTIONS(2412),
    [anon_sym_smooth] = ACTIONS(2412),
    [anon_sym_flat] = ACTIONS(2412),
    [anon_sym_noperspective] = ACTIONS(2412),
    [anon_sym___extension__] = ACTIONS(53),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1421),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [720] = {
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1615),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(1192),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(839),
    [sym_layout_specification] = STATE(839),
    [aux_sym_declaration_repeat1] = STATE(839),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(2414),
    [anon_sym_subroutine] = ACTIONS(2412),
    [anon_sym_invariant] = ACTIONS(2412),
    [anon_sym_precise] = ACTIONS(2412),
    [anon_sym_in] = ACTIONS(2412),
    [anon_sym_out] = ACTIONS(2412),
    [anon_sym_inout] = ACTIONS(2412),
    [anon_sym_uniform] = ACTIONS(2412),
    [anon_sym_shared] = ACTIONS(2412),
    [anon_sym_attribute] = ACTIONS(2412),
    [anon_sym_varying] = ACTIONS(2412),
    [anon_sym_buffer] = ACTIONS(2412),
    [anon_sym_coherent] = ACTIONS(2412),
    [anon_sym_readonly] = ACTIONS(2412),
    [anon_sym_writeonly] = ACTIONS(2412),
    [anon_sym_precision] = ACTIONS(2412),
    [anon_sym_highp] = ACTIONS(2412),
    [anon_sym_mediump] = ACTIONS(2412),
    [anon_sym_lowp] = ACTIONS(2412),
    [anon_sym_centroid] = ACTIONS(2412),
    [anon_sym_sample] = ACTIONS(2412),
    [anon_sym_patch] = ACTIONS(2412),
    [anon_sym_smooth] = ACTIONS(2412),
    [anon_sym_flat] = ACTIONS(2412),
    [anon_sym_noperspective] = ACTIONS(2412),
    [anon_sym___extension__] = ACTIONS(53),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1421),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [721] = {
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1796),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(1192),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(839),
    [sym_layout_specification] = STATE(839),
    [aux_sym_declaration_repeat1] = STATE(839),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(1739),
    [anon_sym_subroutine] = ACTIONS(2412),
    [anon_sym_invariant] = ACTIONS(2412),
    [anon_sym_precise] = ACTIONS(2412),
    [anon_sym_in] = ACTIONS(2412),
    [anon_sym_out] = ACTIONS(2412),
    [anon_sym_inout] = ACTIONS(2412),
    [anon_sym_uniform] = ACTIONS(2412),
    [anon_sym_shared] = ACTIONS(2412),
    [anon_sym_attribute] = ACTIONS(2412),
    [anon_sym_varying] = ACTIONS(2412),
    [anon_sym_buffer] = ACTIONS(2412),
    [anon_sym_coherent] = ACTIONS(2412),
    [anon_sym_readonly] = ACTIONS(2412),
    [anon_sym_writeonly] = ACTIONS(2412),
    [anon_sym_precision] = ACTIONS(2412),
    [anon_sym_highp] = ACTIONS(2412),
    [anon_sym_mediump] = ACTIONS(2412),
    [anon_sym_lowp] = ACTIONS(2412),
    [anon_sym_centroid] = ACTIONS(2412),
    [anon_sym_sample] = ACTIONS(2412),
    [anon_sym_patch] = ACTIONS(2412),
    [anon_sym_smooth] = ACTIONS(2412),
    [anon_sym_flat] = ACTIONS(2412),
    [anon_sym_noperspective] = ACTIONS(2412),
    [anon_sym___extension__] = ACTIONS(53),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1421),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [722] = {
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1599),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(1192),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(839),
    [sym_layout_specification] = STATE(839),
    [aux_sym_declaration_repeat1] = STATE(839),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(2416),
    [anon_sym_subroutine] = ACTIONS(2412),
    [anon_sym_invariant] = ACTIONS(2412),
    [anon_sym_precise] = ACTIONS(2412),
    [anon_sym_in] = ACTIONS(2412),
    [anon_sym_out] = ACTIONS(2412),
    [anon_sym_inout] = ACTIONS(2412),
    [anon_sym_uniform] = ACTIONS(2412),
    [anon_sym_shared] = ACTIONS(2412),
    [anon_sym_attribute] = ACTIONS(2412),
    [anon_sym_varying] = ACTIONS(2412),
    [anon_sym_buffer] = ACTIONS(2412),
    [anon_sym_coherent] = ACTIONS(2412),
    [anon_sym_readonly] = ACTIONS(2412),
    [anon_sym_writeonly] = ACTIONS(2412),
    [anon_sym_precision] = ACTIONS(2412),
    [anon_sym_highp] = ACTIONS(2412),
    [anon_sym_mediump] = ACTIONS(2412),
    [anon_sym_lowp] = ACTIONS(2412),
    [anon_sym_centroid] = ACTIONS(2412),
    [anon_sym_sample] = ACTIONS(2412),
    [anon_sym_patch] = ACTIONS(2412),
    [anon_sym_smooth] = ACTIONS(2412),
    [anon_sym_flat] = ACTIONS(2412),
    [anon_sym_noperspective] = ACTIONS(2412),
    [anon_sym___extension__] = ACTIONS(53),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1421),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [723] = {
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1602),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(1192),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(839),
    [sym_layout_specification] = STATE(839),
    [aux_sym_declaration_repeat1] = STATE(839),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(2418),
    [anon_sym_subroutine] = ACTIONS(2412),
    [anon_sym_invariant] = ACTIONS(2412),
    [anon_sym_precise] = ACTIONS(2412),
    [anon_sym_in] = ACTIONS(2412),
    [anon_sym_out] = ACTIONS(2412),
    [anon_sym_inout] = ACTIONS(2412),
    [anon_sym_uniform] = ACTIONS(2412),
    [anon_sym_shared] = ACTIONS(2412),
    [anon_sym_attribute] = ACTIONS(2412),
    [anon_sym_varying] = ACTIONS(2412),
    [anon_sym_buffer] = ACTIONS(2412),
    [anon_sym_coherent] = ACTIONS(2412),
    [anon_sym_readonly] = ACTIONS(2412),
    [anon_sym_writeonly] = ACTIONS(2412),
    [anon_sym_precision] = ACTIONS(2412),
    [anon_sym_highp] = ACTIONS(2412),
    [anon_sym_mediump] = ACTIONS(2412),
    [anon_sym_lowp] = ACTIONS(2412),
    [anon_sym_centroid] = ACTIONS(2412),
    [anon_sym_sample] = ACTIONS(2412),
    [anon_sym_patch] = ACTIONS(2412),
    [anon_sym_smooth] = ACTIONS(2412),
    [anon_sym_flat] = ACTIONS(2412),
    [anon_sym_noperspective] = ACTIONS(2412),
    [anon_sym___extension__] = ACTIONS(53),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1421),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [724] = {
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1598),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(1192),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(839),
    [sym_layout_specification] = STATE(839),
    [aux_sym_declaration_repeat1] = STATE(839),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(2420),
    [anon_sym_subroutine] = ACTIONS(2412),
    [anon_sym_invariant] = ACTIONS(2412),
    [anon_sym_precise] = ACTIONS(2412),
    [anon_sym_in] = ACTIONS(2412),
    [anon_sym_out] = ACTIONS(2412),
    [anon_sym_inout] = ACTIONS(2412),
    [anon_sym_uniform] = ACTIONS(2412),
    [anon_sym_shared] = ACTIONS(2412),
    [anon_sym_attribute] = ACTIONS(2412),
    [anon_sym_varying] = ACTIONS(2412),
    [anon_sym_buffer] = ACTIONS(2412),
    [anon_sym_coherent] = ACTIONS(2412),
    [anon_sym_readonly] = ACTIONS(2412),
    [anon_sym_writeonly] = ACTIONS(2412),
    [anon_sym_precision] = ACTIONS(2412),
    [anon_sym_highp] = ACTIONS(2412),
    [anon_sym_mediump] = ACTIONS(2412),
    [anon_sym_lowp] = ACTIONS(2412),
    [anon_sym_centroid] = ACTIONS(2412),
    [anon_sym_sample] = ACTIONS(2412),
    [anon_sym_patch] = ACTIONS(2412),
    [anon_sym_smooth] = ACTIONS(2412),
    [anon_sym_flat] = ACTIONS(2412),
    [anon_sym_noperspective] = ACTIONS(2412),
    [anon_sym___extension__] = ACTIONS(53),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1421),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [725] = {
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1808),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(1192),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(839),
    [sym_layout_specification] = STATE(839),
    [aux_sym_declaration_repeat1] = STATE(839),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(1739),
    [anon_sym_subroutine] = ACTIONS(2412),
    [anon_sym_invariant] = ACTIONS(2412),
    [anon_sym_precise] = ACTIONS(2412),
    [anon_sym_in] = ACTIONS(2412),
    [anon_sym_out] = ACTIONS(2412),
    [anon_sym_inout] = ACTIONS(2412),
    [anon_sym_uniform] = ACTIONS(2412),
    [anon_sym_shared] = ACTIONS(2412),
    [anon_sym_attribute] = ACTIONS(2412),
    [anon_sym_varying] = ACTIONS(2412),
    [anon_sym_buffer] = ACTIONS(2412),
    [anon_sym_coherent] = ACTIONS(2412),
    [anon_sym_readonly] = ACTIONS(2412),
    [anon_sym_writeonly] = ACTIONS(2412),
    [anon_sym_precision] = ACTIONS(2412),
    [anon_sym_highp] = ACTIONS(2412),
    [anon_sym_mediump] = ACTIONS(2412),
    [anon_sym_lowp] = ACTIONS(2412),
    [anon_sym_centroid] = ACTIONS(2412),
    [anon_sym_sample] = ACTIONS(2412),
    [anon_sym_patch] = ACTIONS(2412),
    [anon_sym_smooth] = ACTIONS(2412),
    [anon_sym_flat] = ACTIONS(2412),
    [anon_sym_noperspective] = ACTIONS(2412),
    [anon_sym___extension__] = ACTIONS(53),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1421),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [726] = {
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1806),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(1192),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(839),
    [sym_layout_specification] = STATE(839),
    [aux_sym_declaration_repeat1] = STATE(839),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(1739),
    [anon_sym_subroutine] = ACTIONS(2412),
    [anon_sym_invariant] = ACTIONS(2412),
    [anon_sym_precise] = ACTIONS(2412),
    [anon_sym_in] = ACTIONS(2412),
    [anon_sym_out] = ACTIONS(2412),
    [anon_sym_inout] = ACTIONS(2412),
    [anon_sym_uniform] = ACTIONS(2412),
    [anon_sym_shared] = ACTIONS(2412),
    [anon_sym_attribute] = ACTIONS(2412),
    [anon_sym_varying] = ACTIONS(2412),
    [anon_sym_buffer] = ACTIONS(2412),
    [anon_sym_coherent] = ACTIONS(2412),
    [anon_sym_readonly] = ACTIONS(2412),
    [anon_sym_writeonly] = ACTIONS(2412),
    [anon_sym_precision] = ACTIONS(2412),
    [anon_sym_highp] = ACTIONS(2412),
    [anon_sym_mediump] = ACTIONS(2412),
    [anon_sym_lowp] = ACTIONS(2412),
    [anon_sym_centroid] = ACTIONS(2412),
    [anon_sym_sample] = ACTIONS(2412),
    [anon_sym_patch] = ACTIONS(2412),
    [anon_sym_smooth] = ACTIONS(2412),
    [anon_sym_flat] = ACTIONS(2412),
    [anon_sym_noperspective] = ACTIONS(2412),
    [anon_sym___extension__] = ACTIONS(53),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1421),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [727] = {
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1616),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(1192),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(839),
    [sym_layout_specification] = STATE(839),
    [aux_sym_declaration_repeat1] = STATE(839),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(2422),
    [anon_sym_subroutine] = ACTIONS(2412),
    [anon_sym_invariant] = ACTIONS(2412),
    [anon_sym_precise] = ACTIONS(2412),
    [anon_sym_in] = ACTIONS(2412),
    [anon_sym_out] = ACTIONS(2412),
    [anon_sym_inout] = ACTIONS(2412),
    [anon_sym_uniform] = ACTIONS(2412),
    [anon_sym_shared] = ACTIONS(2412),
    [anon_sym_attribute] = ACTIONS(2412),
    [anon_sym_varying] = ACTIONS(2412),
    [anon_sym_buffer] = ACTIONS(2412),
    [anon_sym_coherent] = ACTIONS(2412),
    [anon_sym_readonly] = ACTIONS(2412),
    [anon_sym_writeonly] = ACTIONS(2412),
    [anon_sym_precision] = ACTIONS(2412),
    [anon_sym_highp] = ACTIONS(2412),
    [anon_sym_mediump] = ACTIONS(2412),
    [anon_sym_lowp] = ACTIONS(2412),
    [anon_sym_centroid] = ACTIONS(2412),
    [anon_sym_sample] = ACTIONS(2412),
    [anon_sym_patch] = ACTIONS(2412),
    [anon_sym_smooth] = ACTIONS(2412),
    [anon_sym_flat] = ACTIONS(2412),
    [anon_sym_noperspective] = ACTIONS(2412),
    [anon_sym___extension__] = ACTIONS(53),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1421),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [728] = {
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1801),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(1192),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_extension_storage_class] = STATE(839),
    [sym_layout_specification] = STATE(839),
    [aux_sym_declaration_repeat1] = STATE(839),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [sym_identifier] = ACTIONS(1739),
    [anon_sym_subroutine] = ACTIONS(2412),
    [anon_sym_invariant] = ACTIONS(2412),
    [anon_sym_precise] = ACTIONS(2412),
    [anon_sym_in] = ACTIONS(2412),
    [anon_sym_out] = ACTIONS(2412),
    [anon_sym_inout] = ACTIONS(2412),
    [anon_sym_uniform] = ACTIONS(2412),
    [anon_sym_shared] = ACTIONS(2412),
    [anon_sym_attribute] = ACTIONS(2412),
    [anon_sym_varying] = ACTIONS(2412),
    [anon_sym_buffer] = ACTIONS(2412),
    [anon_sym_coherent] = ACTIONS(2412),
    [anon_sym_readonly] = ACTIONS(2412),
    [anon_sym_writeonly] = ACTIONS(2412),
    [anon_sym_precision] = ACTIONS(2412),
    [anon_sym_highp] = ACTIONS(2412),
    [anon_sym_mediump] = ACTIONS(2412),
    [anon_sym_lowp] = ACTIONS(2412),
    [anon_sym_centroid] = ACTIONS(2412),
    [anon_sym_sample] = ACTIONS(2412),
    [anon_sym_patch] = ACTIONS(2412),
    [anon_sym_smooth] = ACTIONS(2412),
    [anon_sym_flat] = ACTIONS(2412),
    [anon_sym_noperspective] = ACTIONS(2412),
    [anon_sym___extension__] = ACTIONS(53),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1421),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(107),
    [anon_sym_rayPayloadInEXT] = ACTIONS(107),
    [anon_sym_hitAttributeEXT] = ACTIONS(107),
    [anon_sym_callableDataEXT] = ACTIONS(107),
    [anon_sym_callableDataInEXT] = ACTIONS(107),
    [anon_sym_shaderRecordEXT] = ACTIONS(107),
    [anon_sym_rayPayloadNV] = ACTIONS(107),
    [anon_sym_rayPayloadInNV] = ACTIONS(107),
    [anon_sym_hitAttributeNV] = ACTIONS(107),
    [anon_sym_callableDataNV] = ACTIONS(107),
    [anon_sym_callableDataInNV] = ACTIONS(107),
    [anon_sym_shaderRecordNV] = ACTIONS(107),
    [anon_sym_layout] = ACTIONS(109),
  },
  [729] = {
    [sym_identifier] = ACTIONS(2424),
    [anon_sym_COMMA] = ACTIONS(2426),
    [anon_sym_RPAREN] = ACTIONS(2426),
    [anon_sym_LPAREN2] = ACTIONS(2426),
    [anon_sym_BANG] = ACTIONS(2426),
    [anon_sym_TILDE] = ACTIONS(2426),
    [anon_sym_DASH] = ACTIONS(2424),
    [anon_sym_PLUS] = ACTIONS(2424),
    [anon_sym_STAR] = ACTIONS(2426),
    [anon_sym_AMP] = ACTIONS(2426),
    [anon_sym_SEMI] = ACTIONS(2426),
    [anon_sym___extension__] = ACTIONS(2424),
    [anon_sym_extern] = ACTIONS(2424),
    [anon_sym___attribute__] = ACTIONS(2424),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2426),
    [anon_sym___declspec] = ACTIONS(2424),
    [anon_sym_LBRACE] = ACTIONS(2426),
    [anon_sym_signed] = ACTIONS(2424),
    [anon_sym_unsigned] = ACTIONS(2424),
    [anon_sym_long] = ACTIONS(2424),
    [anon_sym_short] = ACTIONS(2424),
    [anon_sym_LBRACK] = ACTIONS(2424),
    [anon_sym_EQ] = ACTIONS(2426),
    [anon_sym_static] = ACTIONS(2424),
    [anon_sym_auto] = ACTIONS(2424),
    [anon_sym_register] = ACTIONS(2424),
    [anon_sym_inline] = ACTIONS(2424),
    [anon_sym___inline] = ACTIONS(2424),
    [anon_sym___inline__] = ACTIONS(2424),
    [anon_sym___forceinline] = ACTIONS(2424),
    [anon_sym_thread_local] = ACTIONS(2424),
    [anon_sym___thread] = ACTIONS(2424),
    [anon_sym_const] = ACTIONS(2424),
    [anon_sym_constexpr] = ACTIONS(2424),
    [anon_sym_volatile] = ACTIONS(2424),
    [anon_sym_restrict] = ACTIONS(2424),
    [anon_sym___restrict__] = ACTIONS(2424),
    [anon_sym__Atomic] = ACTIONS(2424),
    [anon_sym__Noreturn] = ACTIONS(2424),
    [anon_sym_noreturn] = ACTIONS(2424),
    [sym_primitive_type] = ACTIONS(2424),
    [anon_sym_enum] = ACTIONS(2424),
    [anon_sym_COLON] = ACTIONS(2426),
    [anon_sym_struct] = ACTIONS(2424),
    [anon_sym_union] = ACTIONS(2424),
    [anon_sym_if] = ACTIONS(2424),
    [anon_sym_switch] = ACTIONS(2424),
    [anon_sym_case] = ACTIONS(2424),
    [anon_sym_default] = ACTIONS(2424),
    [anon_sym_while] = ACTIONS(2424),
    [anon_sym_do] = ACTIONS(2424),
    [anon_sym_for] = ACTIONS(2424),
    [anon_sym_return] = ACTIONS(2424),
    [anon_sym_break] = ACTIONS(2424),
    [anon_sym_continue] = ACTIONS(2424),
    [anon_sym_goto] = ACTIONS(2424),
    [anon_sym___try] = ACTIONS(2424),
    [anon_sym___leave] = ACTIONS(2424),
    [anon_sym_DASH_DASH] = ACTIONS(2426),
    [anon_sym_PLUS_PLUS] = ACTIONS(2426),
    [anon_sym_sizeof] = ACTIONS(2424),
    [anon_sym___alignof__] = ACTIONS(2424),
    [anon_sym___alignof] = ACTIONS(2424),
    [anon_sym__alignof] = ACTIONS(2424),
    [anon_sym_alignof] = ACTIONS(2424),
    [anon_sym__Alignof] = ACTIONS(2424),
    [anon_sym_offsetof] = ACTIONS(2424),
    [anon_sym__Generic] = ACTIONS(2424),
    [anon_sym_asm] = ACTIONS(2424),
    [anon_sym___asm__] = ACTIONS(2424),
    [sym_number_literal] = ACTIONS(2426),
    [anon_sym_L_SQUOTE] = ACTIONS(2426),
    [anon_sym_u_SQUOTE] = ACTIONS(2426),
    [anon_sym_U_SQUOTE] = ACTIONS(2426),
    [anon_sym_u8_SQUOTE] = ACTIONS(2426),
    [anon_sym_SQUOTE] = ACTIONS(2426),
    [anon_sym_L_DQUOTE] = ACTIONS(2426),
    [anon_sym_u_DQUOTE] = ACTIONS(2426),
    [anon_sym_U_DQUOTE] = ACTIONS(2426),
    [anon_sym_u8_DQUOTE] = ACTIONS(2426),
    [anon_sym_DQUOTE] = ACTIONS(2426),
    [sym_true] = ACTIONS(2424),
    [sym_false] = ACTIONS(2424),
    [anon_sym_NULL] = ACTIONS(2424),
    [anon_sym_nullptr] = ACTIONS(2424),
    [sym_comment] = ACTIONS(3),
  },
  [730] = {
    [sym__expression] = STATE(1133),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1218),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1218),
    [sym_call_expression] = STATE(1218),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1218),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1218),
    [sym_initializer_list] = STATE(1114),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1136),
    [sym_null] = STATE(1115),
    [sym_identifier] = ACTIONS(1966),
    [anon_sym_COMMA] = ACTIONS(1960),
    [aux_sym_preproc_if_token2] = ACTIONS(1960),
    [aux_sym_preproc_else_token1] = ACTIONS(1960),
    [aux_sym_preproc_elif_token1] = ACTIONS(1966),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1960),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1960),
    [anon_sym_LPAREN2] = ACTIONS(1960),
    [anon_sym_BANG] = ACTIONS(2428),
    [anon_sym_TILDE] = ACTIONS(2430),
    [anon_sym_DASH] = ACTIONS(1966),
    [anon_sym_PLUS] = ACTIONS(1966),
    [anon_sym_STAR] = ACTIONS(1960),
    [anon_sym_SLASH] = ACTIONS(1966),
    [anon_sym_PERCENT] = ACTIONS(1960),
    [anon_sym_PIPE_PIPE] = ACTIONS(1960),
    [anon_sym_AMP_AMP] = ACTIONS(1960),
    [anon_sym_PIPE] = ACTIONS(1966),
    [anon_sym_CARET] = ACTIONS(1960),
    [anon_sym_AMP] = ACTIONS(1966),
    [anon_sym_EQ_EQ] = ACTIONS(1960),
    [anon_sym_BANG_EQ] = ACTIONS(1960),
    [anon_sym_GT] = ACTIONS(1966),
    [anon_sym_GT_EQ] = ACTIONS(1960),
    [anon_sym_LT_EQ] = ACTIONS(1960),
    [anon_sym_LT] = ACTIONS(1966),
    [anon_sym_LT_LT] = ACTIONS(1960),
    [anon_sym_GT_GT] = ACTIONS(1960),
    [anon_sym_LBRACE] = ACTIONS(1968),
    [anon_sym_LBRACK] = ACTIONS(1960),
    [anon_sym_QMARK] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(1960),
    [anon_sym_PLUS_PLUS] = ACTIONS(1960),
    [anon_sym_sizeof] = ACTIONS(2432),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [anon_sym_DOT] = ACTIONS(1966),
    [anon_sym_DASH_GT] = ACTIONS(1960),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [731] = {
    [sym_identifier] = ACTIONS(2434),
    [anon_sym_COMMA] = ACTIONS(2436),
    [anon_sym_RPAREN] = ACTIONS(2436),
    [anon_sym_LPAREN2] = ACTIONS(2436),
    [anon_sym_BANG] = ACTIONS(2436),
    [anon_sym_TILDE] = ACTIONS(2436),
    [anon_sym_DASH] = ACTIONS(2434),
    [anon_sym_PLUS] = ACTIONS(2434),
    [anon_sym_STAR] = ACTIONS(2436),
    [anon_sym_AMP] = ACTIONS(2436),
    [anon_sym_SEMI] = ACTIONS(2436),
    [anon_sym___extension__] = ACTIONS(2434),
    [anon_sym_extern] = ACTIONS(2434),
    [anon_sym___attribute__] = ACTIONS(2434),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2436),
    [anon_sym___declspec] = ACTIONS(2434),
    [anon_sym_LBRACE] = ACTIONS(2436),
    [anon_sym_signed] = ACTIONS(2434),
    [anon_sym_unsigned] = ACTIONS(2434),
    [anon_sym_long] = ACTIONS(2434),
    [anon_sym_short] = ACTIONS(2434),
    [anon_sym_LBRACK] = ACTIONS(2434),
    [anon_sym_EQ] = ACTIONS(2436),
    [anon_sym_static] = ACTIONS(2434),
    [anon_sym_auto] = ACTIONS(2434),
    [anon_sym_register] = ACTIONS(2434),
    [anon_sym_inline] = ACTIONS(2434),
    [anon_sym___inline] = ACTIONS(2434),
    [anon_sym___inline__] = ACTIONS(2434),
    [anon_sym___forceinline] = ACTIONS(2434),
    [anon_sym_thread_local] = ACTIONS(2434),
    [anon_sym___thread] = ACTIONS(2434),
    [anon_sym_const] = ACTIONS(2434),
    [anon_sym_constexpr] = ACTIONS(2434),
    [anon_sym_volatile] = ACTIONS(2434),
    [anon_sym_restrict] = ACTIONS(2434),
    [anon_sym___restrict__] = ACTIONS(2434),
    [anon_sym__Atomic] = ACTIONS(2434),
    [anon_sym__Noreturn] = ACTIONS(2434),
    [anon_sym_noreturn] = ACTIONS(2434),
    [sym_primitive_type] = ACTIONS(2434),
    [anon_sym_enum] = ACTIONS(2434),
    [anon_sym_COLON] = ACTIONS(2436),
    [anon_sym_struct] = ACTIONS(2434),
    [anon_sym_union] = ACTIONS(2434),
    [anon_sym_if] = ACTIONS(2434),
    [anon_sym_switch] = ACTIONS(2434),
    [anon_sym_case] = ACTIONS(2434),
    [anon_sym_default] = ACTIONS(2434),
    [anon_sym_while] = ACTIONS(2434),
    [anon_sym_do] = ACTIONS(2434),
    [anon_sym_for] = ACTIONS(2434),
    [anon_sym_return] = ACTIONS(2434),
    [anon_sym_break] = ACTIONS(2434),
    [anon_sym_continue] = ACTIONS(2434),
    [anon_sym_goto] = ACTIONS(2434),
    [anon_sym___try] = ACTIONS(2434),
    [anon_sym___leave] = ACTIONS(2434),
    [anon_sym_DASH_DASH] = ACTIONS(2436),
    [anon_sym_PLUS_PLUS] = ACTIONS(2436),
    [anon_sym_sizeof] = ACTIONS(2434),
    [anon_sym___alignof__] = ACTIONS(2434),
    [anon_sym___alignof] = ACTIONS(2434),
    [anon_sym__alignof] = ACTIONS(2434),
    [anon_sym_alignof] = ACTIONS(2434),
    [anon_sym__Alignof] = ACTIONS(2434),
    [anon_sym_offsetof] = ACTIONS(2434),
    [anon_sym__Generic] = ACTIONS(2434),
    [anon_sym_asm] = ACTIONS(2434),
    [anon_sym___asm__] = ACTIONS(2434),
    [sym_number_literal] = ACTIONS(2436),
    [anon_sym_L_SQUOTE] = ACTIONS(2436),
    [anon_sym_u_SQUOTE] = ACTIONS(2436),
    [anon_sym_U_SQUOTE] = ACTIONS(2436),
    [anon_sym_u8_SQUOTE] = ACTIONS(2436),
    [anon_sym_SQUOTE] = ACTIONS(2436),
    [anon_sym_L_DQUOTE] = ACTIONS(2436),
    [anon_sym_u_DQUOTE] = ACTIONS(2436),
    [anon_sym_U_DQUOTE] = ACTIONS(2436),
    [anon_sym_u8_DQUOTE] = ACTIONS(2436),
    [anon_sym_DQUOTE] = ACTIONS(2436),
    [sym_true] = ACTIONS(2434),
    [sym_false] = ACTIONS(2434),
    [anon_sym_NULL] = ACTIONS(2434),
    [anon_sym_nullptr] = ACTIONS(2434),
    [sym_comment] = ACTIONS(3),
  },
  [732] = {
    [sym__expression] = STATE(1133),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_initializer_list] = STATE(1114),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym_identifier] = ACTIONS(2438),
    [anon_sym_COMMA] = ACTIONS(1960),
    [anon_sym_RPAREN] = ACTIONS(1960),
    [anon_sym_LPAREN2] = ACTIONS(1960),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(1966),
    [anon_sym_PLUS] = ACTIONS(1966),
    [anon_sym_STAR] = ACTIONS(1960),
    [anon_sym_SLASH] = ACTIONS(1966),
    [anon_sym_PERCENT] = ACTIONS(1960),
    [anon_sym_PIPE_PIPE] = ACTIONS(1960),
    [anon_sym_AMP_AMP] = ACTIONS(1960),
    [anon_sym_PIPE] = ACTIONS(1966),
    [anon_sym_CARET] = ACTIONS(1960),
    [anon_sym_AMP] = ACTIONS(1966),
    [anon_sym_EQ_EQ] = ACTIONS(1960),
    [anon_sym_BANG_EQ] = ACTIONS(1960),
    [anon_sym_GT] = ACTIONS(1966),
    [anon_sym_GT_EQ] = ACTIONS(1960),
    [anon_sym_LT_EQ] = ACTIONS(1960),
    [anon_sym_LT] = ACTIONS(1966),
    [anon_sym_LT_LT] = ACTIONS(1960),
    [anon_sym_GT_GT] = ACTIONS(1960),
    [anon_sym_SEMI] = ACTIONS(1960),
    [anon_sym___attribute__] = ACTIONS(1966),
    [anon_sym_LBRACE] = ACTIONS(1968),
    [anon_sym_RBRACE] = ACTIONS(1960),
    [anon_sym_LBRACK] = ACTIONS(1960),
    [anon_sym_COLON] = ACTIONS(1960),
    [anon_sym_QMARK] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(1960),
    [anon_sym_PLUS_PLUS] = ACTIONS(1960),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [anon_sym_DOT] = ACTIONS(1966),
    [anon_sym_DASH_GT] = ACTIONS(1960),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [733] = {
    [sym__expression] = STATE(1290),
    [sym__expression_not_binary] = STATE(1322),
    [sym__string] = STATE(1322),
    [sym_conditional_expression] = STATE(1322),
    [sym_assignment_expression] = STATE(1322),
    [sym_pointer_expression] = STATE(1313),
    [sym_unary_expression] = STATE(1322),
    [sym_binary_expression] = STATE(1322),
    [sym_update_expression] = STATE(1322),
    [sym_cast_expression] = STATE(1322),
    [sym_sizeof_expression] = STATE(1322),
    [sym_alignof_expression] = STATE(1322),
    [sym_offsetof_expression] = STATE(1322),
    [sym_generic_expression] = STATE(1322),
    [sym_subscript_expression] = STATE(1313),
    [sym_call_expression] = STATE(1313),
    [sym_gnu_asm_expression] = STATE(1322),
    [sym_field_expression] = STATE(1313),
    [sym_compound_literal_expression] = STATE(1322),
    [sym_parenthesized_expression] = STATE(1313),
    [sym_initializer_list] = STATE(1301),
    [sym_char_literal] = STATE(1322),
    [sym_concatenated_string] = STATE(1322),
    [sym_string_literal] = STATE(1149),
    [sym_null] = STATE(1322),
    [sym_identifier] = ACTIONS(1966),
    [anon_sym_COMMA] = ACTIONS(1960),
    [aux_sym_preproc_if_token2] = ACTIONS(1960),
    [aux_sym_preproc_else_token1] = ACTIONS(1960),
    [aux_sym_preproc_elif_token1] = ACTIONS(1960),
    [anon_sym_LPAREN2] = ACTIONS(1960),
    [anon_sym_BANG] = ACTIONS(2440),
    [anon_sym_TILDE] = ACTIONS(2442),
    [anon_sym_DASH] = ACTIONS(1966),
    [anon_sym_PLUS] = ACTIONS(1966),
    [anon_sym_STAR] = ACTIONS(1960),
    [anon_sym_SLASH] = ACTIONS(1966),
    [anon_sym_PERCENT] = ACTIONS(1960),
    [anon_sym_PIPE_PIPE] = ACTIONS(1960),
    [anon_sym_AMP_AMP] = ACTIONS(1960),
    [anon_sym_PIPE] = ACTIONS(1966),
    [anon_sym_CARET] = ACTIONS(1960),
    [anon_sym_AMP] = ACTIONS(1966),
    [anon_sym_EQ_EQ] = ACTIONS(1960),
    [anon_sym_BANG_EQ] = ACTIONS(1960),
    [anon_sym_GT] = ACTIONS(1966),
    [anon_sym_GT_EQ] = ACTIONS(1960),
    [anon_sym_LT_EQ] = ACTIONS(1960),
    [anon_sym_LT] = ACTIONS(1966),
    [anon_sym_LT_LT] = ACTIONS(1960),
    [anon_sym_GT_GT] = ACTIONS(1960),
    [anon_sym_LBRACE] = ACTIONS(2327),
    [anon_sym_LBRACK] = ACTIONS(1960),
    [anon_sym_QMARK] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(1960),
    [anon_sym_PLUS_PLUS] = ACTIONS(1960),
    [anon_sym_sizeof] = ACTIONS(2444),
    [anon_sym___alignof__] = ACTIONS(2331),
    [anon_sym___alignof] = ACTIONS(2331),
    [anon_sym__alignof] = ACTIONS(2331),
    [anon_sym_alignof] = ACTIONS(2331),
    [anon_sym__Alignof] = ACTIONS(2331),
    [anon_sym_offsetof] = ACTIONS(2333),
    [anon_sym__Generic] = ACTIONS(2335),
    [anon_sym_asm] = ACTIONS(2337),
    [anon_sym___asm__] = ACTIONS(2337),
    [anon_sym_DOT] = ACTIONS(1966),
    [anon_sym_DASH_GT] = ACTIONS(1960),
    [sym_number_literal] = ACTIONS(2339),
    [anon_sym_L_SQUOTE] = ACTIONS(2341),
    [anon_sym_u_SQUOTE] = ACTIONS(2341),
    [anon_sym_U_SQUOTE] = ACTIONS(2341),
    [anon_sym_u8_SQUOTE] = ACTIONS(2341),
    [anon_sym_SQUOTE] = ACTIONS(2341),
    [anon_sym_L_DQUOTE] = ACTIONS(2343),
    [anon_sym_u_DQUOTE] = ACTIONS(2343),
    [anon_sym_U_DQUOTE] = ACTIONS(2343),
    [anon_sym_u8_DQUOTE] = ACTIONS(2343),
    [anon_sym_DQUOTE] = ACTIONS(2343),
    [sym_true] = ACTIONS(2345),
    [sym_false] = ACTIONS(2345),
    [anon_sym_NULL] = ACTIONS(2347),
    [anon_sym_nullptr] = ACTIONS(2347),
    [sym_comment] = ACTIONS(3),
  },
  [734] = {
    [sym_field_declaration_list] = STATE(1844),
    [sym_string_literal] = STATE(1073),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1269),
    [sym_identifier] = ACTIONS(2446),
    [anon_sym_COMMA] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2454),
    [anon_sym_PLUS] = ACTIONS(2454),
    [anon_sym_STAR] = ACTIONS(2456),
    [anon_sym_SLASH] = ACTIONS(2454),
    [anon_sym_PERCENT] = ACTIONS(2454),
    [anon_sym_PIPE_PIPE] = ACTIONS(2448),
    [anon_sym_AMP_AMP] = ACTIONS(2448),
    [anon_sym_PIPE] = ACTIONS(2454),
    [anon_sym_CARET] = ACTIONS(2454),
    [anon_sym_AMP] = ACTIONS(2454),
    [anon_sym_EQ_EQ] = ACTIONS(2448),
    [anon_sym_BANG_EQ] = ACTIONS(2448),
    [anon_sym_GT] = ACTIONS(2454),
    [anon_sym_GT_EQ] = ACTIONS(2448),
    [anon_sym_LT_EQ] = ACTIONS(2448),
    [anon_sym_LT] = ACTIONS(2454),
    [anon_sym_LT_LT] = ACTIONS(2454),
    [anon_sym_GT_GT] = ACTIONS(2454),
    [anon_sym_SEMI] = ACTIONS(2459),
    [anon_sym___extension__] = ACTIONS(2446),
    [anon_sym_extern] = ACTIONS(2446),
    [anon_sym___attribute__] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2462),
    [anon_sym___declspec] = ACTIONS(2446),
    [anon_sym___based] = ACTIONS(2446),
    [anon_sym___cdecl] = ACTIONS(2446),
    [anon_sym___clrcall] = ACTIONS(2446),
    [anon_sym___stdcall] = ACTIONS(2446),
    [anon_sym___fastcall] = ACTIONS(2446),
    [anon_sym___thiscall] = ACTIONS(2446),
    [anon_sym___vectorcall] = ACTIONS(2446),
    [anon_sym_LBRACE] = ACTIONS(2464),
    [anon_sym_signed] = ACTIONS(2466),
    [anon_sym_unsigned] = ACTIONS(2466),
    [anon_sym_long] = ACTIONS(2466),
    [anon_sym_short] = ACTIONS(2466),
    [anon_sym_LBRACK] = ACTIONS(2454),
    [anon_sym_EQ] = ACTIONS(2468),
    [anon_sym_static] = ACTIONS(2446),
    [anon_sym_auto] = ACTIONS(2446),
    [anon_sym_register] = ACTIONS(2446),
    [anon_sym_inline] = ACTIONS(2446),
    [anon_sym___inline] = ACTIONS(2446),
    [anon_sym___inline__] = ACTIONS(2446),
    [anon_sym___forceinline] = ACTIONS(2446),
    [anon_sym_thread_local] = ACTIONS(2446),
    [anon_sym___thread] = ACTIONS(2446),
    [anon_sym_const] = ACTIONS(2446),
    [anon_sym_constexpr] = ACTIONS(2446),
    [anon_sym_volatile] = ACTIONS(2446),
    [anon_sym_restrict] = ACTIONS(2446),
    [anon_sym___restrict__] = ACTIONS(2446),
    [anon_sym__Atomic] = ACTIONS(2446),
    [anon_sym__Noreturn] = ACTIONS(2446),
    [anon_sym_noreturn] = ACTIONS(2446),
    [anon_sym_COLON] = ACTIONS(2470),
    [anon_sym_QMARK] = ACTIONS(2448),
    [anon_sym_STAR_EQ] = ACTIONS(2472),
    [anon_sym_SLASH_EQ] = ACTIONS(2472),
    [anon_sym_PERCENT_EQ] = ACTIONS(2472),
    [anon_sym_PLUS_EQ] = ACTIONS(2472),
    [anon_sym_DASH_EQ] = ACTIONS(2472),
    [anon_sym_LT_LT_EQ] = ACTIONS(2472),
    [anon_sym_GT_GT_EQ] = ACTIONS(2472),
    [anon_sym_AMP_EQ] = ACTIONS(2472),
    [anon_sym_CARET_EQ] = ACTIONS(2472),
    [anon_sym_PIPE_EQ] = ACTIONS(2472),
    [anon_sym_DASH_DASH] = ACTIONS(2448),
    [anon_sym_PLUS_PLUS] = ACTIONS(2448),
    [anon_sym_DOT] = ACTIONS(2448),
    [anon_sym_DASH_GT] = ACTIONS(2448),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [735] = {
    [sym_field_declaration_list] = STATE(1843),
    [sym_string_literal] = STATE(1073),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1269),
    [sym_identifier] = ACTIONS(2446),
    [anon_sym_COMMA] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2454),
    [anon_sym_PLUS] = ACTIONS(2454),
    [anon_sym_STAR] = ACTIONS(2456),
    [anon_sym_SLASH] = ACTIONS(2454),
    [anon_sym_PERCENT] = ACTIONS(2454),
    [anon_sym_PIPE_PIPE] = ACTIONS(2448),
    [anon_sym_AMP_AMP] = ACTIONS(2448),
    [anon_sym_PIPE] = ACTIONS(2454),
    [anon_sym_CARET] = ACTIONS(2454),
    [anon_sym_AMP] = ACTIONS(2454),
    [anon_sym_EQ_EQ] = ACTIONS(2448),
    [anon_sym_BANG_EQ] = ACTIONS(2448),
    [anon_sym_GT] = ACTIONS(2454),
    [anon_sym_GT_EQ] = ACTIONS(2448),
    [anon_sym_LT_EQ] = ACTIONS(2448),
    [anon_sym_LT] = ACTIONS(2454),
    [anon_sym_LT_LT] = ACTIONS(2454),
    [anon_sym_GT_GT] = ACTIONS(2454),
    [anon_sym_SEMI] = ACTIONS(2459),
    [anon_sym___extension__] = ACTIONS(2446),
    [anon_sym_extern] = ACTIONS(2446),
    [anon_sym___attribute__] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2462),
    [anon_sym___declspec] = ACTIONS(2446),
    [anon_sym___based] = ACTIONS(2446),
    [anon_sym___cdecl] = ACTIONS(2446),
    [anon_sym___clrcall] = ACTIONS(2446),
    [anon_sym___stdcall] = ACTIONS(2446),
    [anon_sym___fastcall] = ACTIONS(2446),
    [anon_sym___thiscall] = ACTIONS(2446),
    [anon_sym___vectorcall] = ACTIONS(2446),
    [anon_sym_LBRACE] = ACTIONS(2464),
    [anon_sym_signed] = ACTIONS(2466),
    [anon_sym_unsigned] = ACTIONS(2466),
    [anon_sym_long] = ACTIONS(2466),
    [anon_sym_short] = ACTIONS(2466),
    [anon_sym_LBRACK] = ACTIONS(2454),
    [anon_sym_EQ] = ACTIONS(2468),
    [anon_sym_static] = ACTIONS(2446),
    [anon_sym_auto] = ACTIONS(2446),
    [anon_sym_register] = ACTIONS(2446),
    [anon_sym_inline] = ACTIONS(2446),
    [anon_sym___inline] = ACTIONS(2446),
    [anon_sym___inline__] = ACTIONS(2446),
    [anon_sym___forceinline] = ACTIONS(2446),
    [anon_sym_thread_local] = ACTIONS(2446),
    [anon_sym___thread] = ACTIONS(2446),
    [anon_sym_const] = ACTIONS(2446),
    [anon_sym_constexpr] = ACTIONS(2446),
    [anon_sym_volatile] = ACTIONS(2446),
    [anon_sym_restrict] = ACTIONS(2446),
    [anon_sym___restrict__] = ACTIONS(2446),
    [anon_sym__Atomic] = ACTIONS(2446),
    [anon_sym__Noreturn] = ACTIONS(2446),
    [anon_sym_noreturn] = ACTIONS(2446),
    [anon_sym_COLON] = ACTIONS(2474),
    [anon_sym_QMARK] = ACTIONS(2448),
    [anon_sym_STAR_EQ] = ACTIONS(2472),
    [anon_sym_SLASH_EQ] = ACTIONS(2472),
    [anon_sym_PERCENT_EQ] = ACTIONS(2472),
    [anon_sym_PLUS_EQ] = ACTIONS(2472),
    [anon_sym_DASH_EQ] = ACTIONS(2472),
    [anon_sym_LT_LT_EQ] = ACTIONS(2472),
    [anon_sym_GT_GT_EQ] = ACTIONS(2472),
    [anon_sym_AMP_EQ] = ACTIONS(2472),
    [anon_sym_CARET_EQ] = ACTIONS(2472),
    [anon_sym_PIPE_EQ] = ACTIONS(2472),
    [anon_sym_DASH_DASH] = ACTIONS(2448),
    [anon_sym_PLUS_PLUS] = ACTIONS(2448),
    [anon_sym_DOT] = ACTIONS(2448),
    [anon_sym_DASH_GT] = ACTIONS(2448),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [736] = {
    [sym_field_declaration_list] = STATE(1850),
    [sym_string_literal] = STATE(1073),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1269),
    [sym_identifier] = ACTIONS(2446),
    [anon_sym_COMMA] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2454),
    [anon_sym_PLUS] = ACTIONS(2454),
    [anon_sym_STAR] = ACTIONS(2456),
    [anon_sym_SLASH] = ACTIONS(2454),
    [anon_sym_PERCENT] = ACTIONS(2454),
    [anon_sym_PIPE_PIPE] = ACTIONS(2448),
    [anon_sym_AMP_AMP] = ACTIONS(2448),
    [anon_sym_PIPE] = ACTIONS(2454),
    [anon_sym_CARET] = ACTIONS(2454),
    [anon_sym_AMP] = ACTIONS(2454),
    [anon_sym_EQ_EQ] = ACTIONS(2448),
    [anon_sym_BANG_EQ] = ACTIONS(2448),
    [anon_sym_GT] = ACTIONS(2454),
    [anon_sym_GT_EQ] = ACTIONS(2448),
    [anon_sym_LT_EQ] = ACTIONS(2448),
    [anon_sym_LT] = ACTIONS(2454),
    [anon_sym_LT_LT] = ACTIONS(2454),
    [anon_sym_GT_GT] = ACTIONS(2454),
    [anon_sym_SEMI] = ACTIONS(2448),
    [anon_sym___extension__] = ACTIONS(2446),
    [anon_sym_extern] = ACTIONS(2446),
    [anon_sym___attribute__] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2462),
    [anon_sym___declspec] = ACTIONS(2446),
    [anon_sym___based] = ACTIONS(2446),
    [anon_sym___cdecl] = ACTIONS(2446),
    [anon_sym___clrcall] = ACTIONS(2446),
    [anon_sym___stdcall] = ACTIONS(2446),
    [anon_sym___fastcall] = ACTIONS(2446),
    [anon_sym___thiscall] = ACTIONS(2446),
    [anon_sym___vectorcall] = ACTIONS(2446),
    [anon_sym_LBRACE] = ACTIONS(2464),
    [anon_sym_signed] = ACTIONS(2466),
    [anon_sym_unsigned] = ACTIONS(2466),
    [anon_sym_long] = ACTIONS(2466),
    [anon_sym_short] = ACTIONS(2466),
    [anon_sym_LBRACK] = ACTIONS(2454),
    [anon_sym_EQ] = ACTIONS(2468),
    [anon_sym_static] = ACTIONS(2446),
    [anon_sym_auto] = ACTIONS(2446),
    [anon_sym_register] = ACTIONS(2446),
    [anon_sym_inline] = ACTIONS(2446),
    [anon_sym___inline] = ACTIONS(2446),
    [anon_sym___inline__] = ACTIONS(2446),
    [anon_sym___forceinline] = ACTIONS(2446),
    [anon_sym_thread_local] = ACTIONS(2446),
    [anon_sym___thread] = ACTIONS(2446),
    [anon_sym_const] = ACTIONS(2446),
    [anon_sym_constexpr] = ACTIONS(2446),
    [anon_sym_volatile] = ACTIONS(2446),
    [anon_sym_restrict] = ACTIONS(2446),
    [anon_sym___restrict__] = ACTIONS(2446),
    [anon_sym__Atomic] = ACTIONS(2446),
    [anon_sym__Noreturn] = ACTIONS(2446),
    [anon_sym_noreturn] = ACTIONS(2446),
    [anon_sym_COLON] = ACTIONS(2476),
    [anon_sym_QMARK] = ACTIONS(2448),
    [anon_sym_STAR_EQ] = ACTIONS(2472),
    [anon_sym_SLASH_EQ] = ACTIONS(2472),
    [anon_sym_PERCENT_EQ] = ACTIONS(2472),
    [anon_sym_PLUS_EQ] = ACTIONS(2472),
    [anon_sym_DASH_EQ] = ACTIONS(2472),
    [anon_sym_LT_LT_EQ] = ACTIONS(2472),
    [anon_sym_GT_GT_EQ] = ACTIONS(2472),
    [anon_sym_AMP_EQ] = ACTIONS(2472),
    [anon_sym_CARET_EQ] = ACTIONS(2472),
    [anon_sym_PIPE_EQ] = ACTIONS(2472),
    [anon_sym_DASH_DASH] = ACTIONS(2448),
    [anon_sym_PLUS_PLUS] = ACTIONS(2448),
    [anon_sym_DOT] = ACTIONS(2448),
    [anon_sym_DASH_GT] = ACTIONS(2448),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [737] = {
    [sym_field_declaration_list] = STATE(1850),
    [sym_string_literal] = STATE(1073),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1269),
    [sym_identifier] = ACTIONS(2446),
    [anon_sym_COMMA] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2454),
    [anon_sym_PLUS] = ACTIONS(2454),
    [anon_sym_STAR] = ACTIONS(2456),
    [anon_sym_SLASH] = ACTIONS(2454),
    [anon_sym_PERCENT] = ACTIONS(2454),
    [anon_sym_PIPE_PIPE] = ACTIONS(2448),
    [anon_sym_AMP_AMP] = ACTIONS(2448),
    [anon_sym_PIPE] = ACTIONS(2454),
    [anon_sym_CARET] = ACTIONS(2454),
    [anon_sym_AMP] = ACTIONS(2454),
    [anon_sym_EQ_EQ] = ACTIONS(2448),
    [anon_sym_BANG_EQ] = ACTIONS(2448),
    [anon_sym_GT] = ACTIONS(2454),
    [anon_sym_GT_EQ] = ACTIONS(2448),
    [anon_sym_LT_EQ] = ACTIONS(2448),
    [anon_sym_LT] = ACTIONS(2454),
    [anon_sym_LT_LT] = ACTIONS(2454),
    [anon_sym_GT_GT] = ACTIONS(2454),
    [anon_sym_SEMI] = ACTIONS(2459),
    [anon_sym___extension__] = ACTIONS(2446),
    [anon_sym_extern] = ACTIONS(2446),
    [anon_sym___attribute__] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2462),
    [anon_sym___declspec] = ACTIONS(2446),
    [anon_sym___based] = ACTIONS(2446),
    [anon_sym___cdecl] = ACTIONS(2446),
    [anon_sym___clrcall] = ACTIONS(2446),
    [anon_sym___stdcall] = ACTIONS(2446),
    [anon_sym___fastcall] = ACTIONS(2446),
    [anon_sym___thiscall] = ACTIONS(2446),
    [anon_sym___vectorcall] = ACTIONS(2446),
    [anon_sym_LBRACE] = ACTIONS(2464),
    [anon_sym_signed] = ACTIONS(2466),
    [anon_sym_unsigned] = ACTIONS(2466),
    [anon_sym_long] = ACTIONS(2466),
    [anon_sym_short] = ACTIONS(2466),
    [anon_sym_LBRACK] = ACTIONS(2454),
    [anon_sym_EQ] = ACTIONS(2468),
    [anon_sym_static] = ACTIONS(2446),
    [anon_sym_auto] = ACTIONS(2446),
    [anon_sym_register] = ACTIONS(2446),
    [anon_sym_inline] = ACTIONS(2446),
    [anon_sym___inline] = ACTIONS(2446),
    [anon_sym___inline__] = ACTIONS(2446),
    [anon_sym___forceinline] = ACTIONS(2446),
    [anon_sym_thread_local] = ACTIONS(2446),
    [anon_sym___thread] = ACTIONS(2446),
    [anon_sym_const] = ACTIONS(2446),
    [anon_sym_constexpr] = ACTIONS(2446),
    [anon_sym_volatile] = ACTIONS(2446),
    [anon_sym_restrict] = ACTIONS(2446),
    [anon_sym___restrict__] = ACTIONS(2446),
    [anon_sym__Atomic] = ACTIONS(2446),
    [anon_sym__Noreturn] = ACTIONS(2446),
    [anon_sym_noreturn] = ACTIONS(2446),
    [anon_sym_COLON] = ACTIONS(2476),
    [anon_sym_QMARK] = ACTIONS(2448),
    [anon_sym_STAR_EQ] = ACTIONS(2472),
    [anon_sym_SLASH_EQ] = ACTIONS(2472),
    [anon_sym_PERCENT_EQ] = ACTIONS(2472),
    [anon_sym_PLUS_EQ] = ACTIONS(2472),
    [anon_sym_DASH_EQ] = ACTIONS(2472),
    [anon_sym_LT_LT_EQ] = ACTIONS(2472),
    [anon_sym_GT_GT_EQ] = ACTIONS(2472),
    [anon_sym_AMP_EQ] = ACTIONS(2472),
    [anon_sym_CARET_EQ] = ACTIONS(2472),
    [anon_sym_PIPE_EQ] = ACTIONS(2472),
    [anon_sym_DASH_DASH] = ACTIONS(2448),
    [anon_sym_PLUS_PLUS] = ACTIONS(2448),
    [anon_sym_DOT] = ACTIONS(2448),
    [anon_sym_DASH_GT] = ACTIONS(2448),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [738] = {
    [sym_field_declaration_list] = STATE(1851),
    [sym_string_literal] = STATE(1073),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1269),
    [sym_identifier] = ACTIONS(2446),
    [anon_sym_COMMA] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2454),
    [anon_sym_PLUS] = ACTIONS(2454),
    [anon_sym_STAR] = ACTIONS(2456),
    [anon_sym_SLASH] = ACTIONS(2454),
    [anon_sym_PERCENT] = ACTIONS(2454),
    [anon_sym_PIPE_PIPE] = ACTIONS(2448),
    [anon_sym_AMP_AMP] = ACTIONS(2448),
    [anon_sym_PIPE] = ACTIONS(2454),
    [anon_sym_CARET] = ACTIONS(2454),
    [anon_sym_AMP] = ACTIONS(2454),
    [anon_sym_EQ_EQ] = ACTIONS(2448),
    [anon_sym_BANG_EQ] = ACTIONS(2448),
    [anon_sym_GT] = ACTIONS(2454),
    [anon_sym_GT_EQ] = ACTIONS(2448),
    [anon_sym_LT_EQ] = ACTIONS(2448),
    [anon_sym_LT] = ACTIONS(2454),
    [anon_sym_LT_LT] = ACTIONS(2454),
    [anon_sym_GT_GT] = ACTIONS(2454),
    [anon_sym_SEMI] = ACTIONS(2459),
    [anon_sym___extension__] = ACTIONS(2446),
    [anon_sym_extern] = ACTIONS(2446),
    [anon_sym___attribute__] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2462),
    [anon_sym___declspec] = ACTIONS(2446),
    [anon_sym___based] = ACTIONS(2446),
    [anon_sym___cdecl] = ACTIONS(2446),
    [anon_sym___clrcall] = ACTIONS(2446),
    [anon_sym___stdcall] = ACTIONS(2446),
    [anon_sym___fastcall] = ACTIONS(2446),
    [anon_sym___thiscall] = ACTIONS(2446),
    [anon_sym___vectorcall] = ACTIONS(2446),
    [anon_sym_LBRACE] = ACTIONS(2464),
    [anon_sym_signed] = ACTIONS(2466),
    [anon_sym_unsigned] = ACTIONS(2466),
    [anon_sym_long] = ACTIONS(2466),
    [anon_sym_short] = ACTIONS(2466),
    [anon_sym_LBRACK] = ACTIONS(2454),
    [anon_sym_EQ] = ACTIONS(2468),
    [anon_sym_static] = ACTIONS(2446),
    [anon_sym_auto] = ACTIONS(2446),
    [anon_sym_register] = ACTIONS(2446),
    [anon_sym_inline] = ACTIONS(2446),
    [anon_sym___inline] = ACTIONS(2446),
    [anon_sym___inline__] = ACTIONS(2446),
    [anon_sym___forceinline] = ACTIONS(2446),
    [anon_sym_thread_local] = ACTIONS(2446),
    [anon_sym___thread] = ACTIONS(2446),
    [anon_sym_const] = ACTIONS(2446),
    [anon_sym_constexpr] = ACTIONS(2446),
    [anon_sym_volatile] = ACTIONS(2446),
    [anon_sym_restrict] = ACTIONS(2446),
    [anon_sym___restrict__] = ACTIONS(2446),
    [anon_sym__Atomic] = ACTIONS(2446),
    [anon_sym__Noreturn] = ACTIONS(2446),
    [anon_sym_noreturn] = ACTIONS(2446),
    [anon_sym_COLON] = ACTIONS(2478),
    [anon_sym_QMARK] = ACTIONS(2448),
    [anon_sym_STAR_EQ] = ACTIONS(2472),
    [anon_sym_SLASH_EQ] = ACTIONS(2472),
    [anon_sym_PERCENT_EQ] = ACTIONS(2472),
    [anon_sym_PLUS_EQ] = ACTIONS(2472),
    [anon_sym_DASH_EQ] = ACTIONS(2472),
    [anon_sym_LT_LT_EQ] = ACTIONS(2472),
    [anon_sym_GT_GT_EQ] = ACTIONS(2472),
    [anon_sym_AMP_EQ] = ACTIONS(2472),
    [anon_sym_CARET_EQ] = ACTIONS(2472),
    [anon_sym_PIPE_EQ] = ACTIONS(2472),
    [anon_sym_DASH_DASH] = ACTIONS(2448),
    [anon_sym_PLUS_PLUS] = ACTIONS(2448),
    [anon_sym_DOT] = ACTIONS(2448),
    [anon_sym_DASH_GT] = ACTIONS(2448),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [739] = {
    [sym_field_declaration_list] = STATE(1839),
    [sym_string_literal] = STATE(1073),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1269),
    [sym_identifier] = ACTIONS(2446),
    [anon_sym_COMMA] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2454),
    [anon_sym_PLUS] = ACTIONS(2454),
    [anon_sym_STAR] = ACTIONS(2456),
    [anon_sym_SLASH] = ACTIONS(2454),
    [anon_sym_PERCENT] = ACTIONS(2454),
    [anon_sym_PIPE_PIPE] = ACTIONS(2448),
    [anon_sym_AMP_AMP] = ACTIONS(2448),
    [anon_sym_PIPE] = ACTIONS(2454),
    [anon_sym_CARET] = ACTIONS(2454),
    [anon_sym_AMP] = ACTIONS(2454),
    [anon_sym_EQ_EQ] = ACTIONS(2448),
    [anon_sym_BANG_EQ] = ACTIONS(2448),
    [anon_sym_GT] = ACTIONS(2454),
    [anon_sym_GT_EQ] = ACTIONS(2448),
    [anon_sym_LT_EQ] = ACTIONS(2448),
    [anon_sym_LT] = ACTIONS(2454),
    [anon_sym_LT_LT] = ACTIONS(2454),
    [anon_sym_GT_GT] = ACTIONS(2454),
    [anon_sym_SEMI] = ACTIONS(2448),
    [anon_sym___extension__] = ACTIONS(2446),
    [anon_sym_extern] = ACTIONS(2446),
    [anon_sym___attribute__] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2462),
    [anon_sym___declspec] = ACTIONS(2446),
    [anon_sym___based] = ACTIONS(2446),
    [anon_sym___cdecl] = ACTIONS(2446),
    [anon_sym___clrcall] = ACTIONS(2446),
    [anon_sym___stdcall] = ACTIONS(2446),
    [anon_sym___fastcall] = ACTIONS(2446),
    [anon_sym___thiscall] = ACTIONS(2446),
    [anon_sym___vectorcall] = ACTIONS(2446),
    [anon_sym_LBRACE] = ACTIONS(2464),
    [anon_sym_signed] = ACTIONS(2466),
    [anon_sym_unsigned] = ACTIONS(2466),
    [anon_sym_long] = ACTIONS(2466),
    [anon_sym_short] = ACTIONS(2466),
    [anon_sym_LBRACK] = ACTIONS(2454),
    [anon_sym_EQ] = ACTIONS(2468),
    [anon_sym_static] = ACTIONS(2446),
    [anon_sym_auto] = ACTIONS(2446),
    [anon_sym_register] = ACTIONS(2446),
    [anon_sym_inline] = ACTIONS(2446),
    [anon_sym___inline] = ACTIONS(2446),
    [anon_sym___inline__] = ACTIONS(2446),
    [anon_sym___forceinline] = ACTIONS(2446),
    [anon_sym_thread_local] = ACTIONS(2446),
    [anon_sym___thread] = ACTIONS(2446),
    [anon_sym_const] = ACTIONS(2446),
    [anon_sym_constexpr] = ACTIONS(2446),
    [anon_sym_volatile] = ACTIONS(2446),
    [anon_sym_restrict] = ACTIONS(2446),
    [anon_sym___restrict__] = ACTIONS(2446),
    [anon_sym__Atomic] = ACTIONS(2446),
    [anon_sym__Noreturn] = ACTIONS(2446),
    [anon_sym_noreturn] = ACTIONS(2446),
    [anon_sym_COLON] = ACTIONS(2480),
    [anon_sym_QMARK] = ACTIONS(2448),
    [anon_sym_STAR_EQ] = ACTIONS(2472),
    [anon_sym_SLASH_EQ] = ACTIONS(2472),
    [anon_sym_PERCENT_EQ] = ACTIONS(2472),
    [anon_sym_PLUS_EQ] = ACTIONS(2472),
    [anon_sym_DASH_EQ] = ACTIONS(2472),
    [anon_sym_LT_LT_EQ] = ACTIONS(2472),
    [anon_sym_GT_GT_EQ] = ACTIONS(2472),
    [anon_sym_AMP_EQ] = ACTIONS(2472),
    [anon_sym_CARET_EQ] = ACTIONS(2472),
    [anon_sym_PIPE_EQ] = ACTIONS(2472),
    [anon_sym_DASH_DASH] = ACTIONS(2448),
    [anon_sym_PLUS_PLUS] = ACTIONS(2448),
    [anon_sym_DOT] = ACTIONS(2448),
    [anon_sym_DASH_GT] = ACTIONS(2448),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [740] = {
    [sym_field_declaration_list] = STATE(1844),
    [sym_string_literal] = STATE(1073),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1269),
    [sym_identifier] = ACTIONS(2446),
    [anon_sym_COMMA] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2454),
    [anon_sym_PLUS] = ACTIONS(2454),
    [anon_sym_STAR] = ACTIONS(2456),
    [anon_sym_SLASH] = ACTIONS(2454),
    [anon_sym_PERCENT] = ACTIONS(2454),
    [anon_sym_PIPE_PIPE] = ACTIONS(2448),
    [anon_sym_AMP_AMP] = ACTIONS(2448),
    [anon_sym_PIPE] = ACTIONS(2454),
    [anon_sym_CARET] = ACTIONS(2454),
    [anon_sym_AMP] = ACTIONS(2454),
    [anon_sym_EQ_EQ] = ACTIONS(2448),
    [anon_sym_BANG_EQ] = ACTIONS(2448),
    [anon_sym_GT] = ACTIONS(2454),
    [anon_sym_GT_EQ] = ACTIONS(2448),
    [anon_sym_LT_EQ] = ACTIONS(2448),
    [anon_sym_LT] = ACTIONS(2454),
    [anon_sym_LT_LT] = ACTIONS(2454),
    [anon_sym_GT_GT] = ACTIONS(2454),
    [anon_sym_SEMI] = ACTIONS(2448),
    [anon_sym___extension__] = ACTIONS(2446),
    [anon_sym_extern] = ACTIONS(2446),
    [anon_sym___attribute__] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2462),
    [anon_sym___declspec] = ACTIONS(2446),
    [anon_sym___based] = ACTIONS(2446),
    [anon_sym___cdecl] = ACTIONS(2446),
    [anon_sym___clrcall] = ACTIONS(2446),
    [anon_sym___stdcall] = ACTIONS(2446),
    [anon_sym___fastcall] = ACTIONS(2446),
    [anon_sym___thiscall] = ACTIONS(2446),
    [anon_sym___vectorcall] = ACTIONS(2446),
    [anon_sym_LBRACE] = ACTIONS(2464),
    [anon_sym_signed] = ACTIONS(2466),
    [anon_sym_unsigned] = ACTIONS(2466),
    [anon_sym_long] = ACTIONS(2466),
    [anon_sym_short] = ACTIONS(2466),
    [anon_sym_LBRACK] = ACTIONS(2454),
    [anon_sym_EQ] = ACTIONS(2468),
    [anon_sym_static] = ACTIONS(2446),
    [anon_sym_auto] = ACTIONS(2446),
    [anon_sym_register] = ACTIONS(2446),
    [anon_sym_inline] = ACTIONS(2446),
    [anon_sym___inline] = ACTIONS(2446),
    [anon_sym___inline__] = ACTIONS(2446),
    [anon_sym___forceinline] = ACTIONS(2446),
    [anon_sym_thread_local] = ACTIONS(2446),
    [anon_sym___thread] = ACTIONS(2446),
    [anon_sym_const] = ACTIONS(2446),
    [anon_sym_constexpr] = ACTIONS(2446),
    [anon_sym_volatile] = ACTIONS(2446),
    [anon_sym_restrict] = ACTIONS(2446),
    [anon_sym___restrict__] = ACTIONS(2446),
    [anon_sym__Atomic] = ACTIONS(2446),
    [anon_sym__Noreturn] = ACTIONS(2446),
    [anon_sym_noreturn] = ACTIONS(2446),
    [anon_sym_COLON] = ACTIONS(2470),
    [anon_sym_QMARK] = ACTIONS(2448),
    [anon_sym_STAR_EQ] = ACTIONS(2472),
    [anon_sym_SLASH_EQ] = ACTIONS(2472),
    [anon_sym_PERCENT_EQ] = ACTIONS(2472),
    [anon_sym_PLUS_EQ] = ACTIONS(2472),
    [anon_sym_DASH_EQ] = ACTIONS(2472),
    [anon_sym_LT_LT_EQ] = ACTIONS(2472),
    [anon_sym_GT_GT_EQ] = ACTIONS(2472),
    [anon_sym_AMP_EQ] = ACTIONS(2472),
    [anon_sym_CARET_EQ] = ACTIONS(2472),
    [anon_sym_PIPE_EQ] = ACTIONS(2472),
    [anon_sym_DASH_DASH] = ACTIONS(2448),
    [anon_sym_PLUS_PLUS] = ACTIONS(2448),
    [anon_sym_DOT] = ACTIONS(2448),
    [anon_sym_DASH_GT] = ACTIONS(2448),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [741] = {
    [sym_field_declaration_list] = STATE(1839),
    [sym_string_literal] = STATE(1073),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1269),
    [sym_identifier] = ACTIONS(2446),
    [anon_sym_COMMA] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2454),
    [anon_sym_PLUS] = ACTIONS(2454),
    [anon_sym_STAR] = ACTIONS(2456),
    [anon_sym_SLASH] = ACTIONS(2454),
    [anon_sym_PERCENT] = ACTIONS(2454),
    [anon_sym_PIPE_PIPE] = ACTIONS(2448),
    [anon_sym_AMP_AMP] = ACTIONS(2448),
    [anon_sym_PIPE] = ACTIONS(2454),
    [anon_sym_CARET] = ACTIONS(2454),
    [anon_sym_AMP] = ACTIONS(2454),
    [anon_sym_EQ_EQ] = ACTIONS(2448),
    [anon_sym_BANG_EQ] = ACTIONS(2448),
    [anon_sym_GT] = ACTIONS(2454),
    [anon_sym_GT_EQ] = ACTIONS(2448),
    [anon_sym_LT_EQ] = ACTIONS(2448),
    [anon_sym_LT] = ACTIONS(2454),
    [anon_sym_LT_LT] = ACTIONS(2454),
    [anon_sym_GT_GT] = ACTIONS(2454),
    [anon_sym_SEMI] = ACTIONS(2448),
    [anon_sym___extension__] = ACTIONS(2446),
    [anon_sym_extern] = ACTIONS(2446),
    [anon_sym___attribute__] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2462),
    [anon_sym___declspec] = ACTIONS(2446),
    [anon_sym___based] = ACTIONS(2446),
    [anon_sym___cdecl] = ACTIONS(2446),
    [anon_sym___clrcall] = ACTIONS(2446),
    [anon_sym___stdcall] = ACTIONS(2446),
    [anon_sym___fastcall] = ACTIONS(2446),
    [anon_sym___thiscall] = ACTIONS(2446),
    [anon_sym___vectorcall] = ACTIONS(2446),
    [anon_sym_LBRACE] = ACTIONS(2464),
    [anon_sym_signed] = ACTIONS(2466),
    [anon_sym_unsigned] = ACTIONS(2466),
    [anon_sym_long] = ACTIONS(2466),
    [anon_sym_short] = ACTIONS(2466),
    [anon_sym_LBRACK] = ACTIONS(2454),
    [anon_sym_EQ] = ACTIONS(2468),
    [anon_sym_static] = ACTIONS(2446),
    [anon_sym_auto] = ACTIONS(2446),
    [anon_sym_register] = ACTIONS(2446),
    [anon_sym_inline] = ACTIONS(2446),
    [anon_sym___inline] = ACTIONS(2446),
    [anon_sym___inline__] = ACTIONS(2446),
    [anon_sym___forceinline] = ACTIONS(2446),
    [anon_sym_thread_local] = ACTIONS(2446),
    [anon_sym___thread] = ACTIONS(2446),
    [anon_sym_const] = ACTIONS(2446),
    [anon_sym_constexpr] = ACTIONS(2446),
    [anon_sym_volatile] = ACTIONS(2446),
    [anon_sym_restrict] = ACTIONS(2446),
    [anon_sym___restrict__] = ACTIONS(2446),
    [anon_sym__Atomic] = ACTIONS(2446),
    [anon_sym__Noreturn] = ACTIONS(2446),
    [anon_sym_noreturn] = ACTIONS(2446),
    [anon_sym_COLON] = ACTIONS(2482),
    [anon_sym_QMARK] = ACTIONS(2448),
    [anon_sym_STAR_EQ] = ACTIONS(2472),
    [anon_sym_SLASH_EQ] = ACTIONS(2472),
    [anon_sym_PERCENT_EQ] = ACTIONS(2472),
    [anon_sym_PLUS_EQ] = ACTIONS(2472),
    [anon_sym_DASH_EQ] = ACTIONS(2472),
    [anon_sym_LT_LT_EQ] = ACTIONS(2472),
    [anon_sym_GT_GT_EQ] = ACTIONS(2472),
    [anon_sym_AMP_EQ] = ACTIONS(2472),
    [anon_sym_CARET_EQ] = ACTIONS(2472),
    [anon_sym_PIPE_EQ] = ACTIONS(2472),
    [anon_sym_DASH_DASH] = ACTIONS(2448),
    [anon_sym_PLUS_PLUS] = ACTIONS(2448),
    [anon_sym_DOT] = ACTIONS(2448),
    [anon_sym_DASH_GT] = ACTIONS(2448),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [742] = {
    [sym_field_declaration_list] = STATE(1851),
    [sym_string_literal] = STATE(1073),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1269),
    [sym_identifier] = ACTIONS(2446),
    [anon_sym_COMMA] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2454),
    [anon_sym_PLUS] = ACTIONS(2454),
    [anon_sym_STAR] = ACTIONS(2456),
    [anon_sym_SLASH] = ACTIONS(2454),
    [anon_sym_PERCENT] = ACTIONS(2454),
    [anon_sym_PIPE_PIPE] = ACTIONS(2448),
    [anon_sym_AMP_AMP] = ACTIONS(2448),
    [anon_sym_PIPE] = ACTIONS(2454),
    [anon_sym_CARET] = ACTIONS(2454),
    [anon_sym_AMP] = ACTIONS(2454),
    [anon_sym_EQ_EQ] = ACTIONS(2448),
    [anon_sym_BANG_EQ] = ACTIONS(2448),
    [anon_sym_GT] = ACTIONS(2454),
    [anon_sym_GT_EQ] = ACTIONS(2448),
    [anon_sym_LT_EQ] = ACTIONS(2448),
    [anon_sym_LT] = ACTIONS(2454),
    [anon_sym_LT_LT] = ACTIONS(2454),
    [anon_sym_GT_GT] = ACTIONS(2454),
    [anon_sym_SEMI] = ACTIONS(2448),
    [anon_sym___extension__] = ACTIONS(2446),
    [anon_sym_extern] = ACTIONS(2446),
    [anon_sym___attribute__] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2462),
    [anon_sym___declspec] = ACTIONS(2446),
    [anon_sym___based] = ACTIONS(2446),
    [anon_sym___cdecl] = ACTIONS(2446),
    [anon_sym___clrcall] = ACTIONS(2446),
    [anon_sym___stdcall] = ACTIONS(2446),
    [anon_sym___fastcall] = ACTIONS(2446),
    [anon_sym___thiscall] = ACTIONS(2446),
    [anon_sym___vectorcall] = ACTIONS(2446),
    [anon_sym_LBRACE] = ACTIONS(2464),
    [anon_sym_signed] = ACTIONS(2466),
    [anon_sym_unsigned] = ACTIONS(2466),
    [anon_sym_long] = ACTIONS(2466),
    [anon_sym_short] = ACTIONS(2466),
    [anon_sym_LBRACK] = ACTIONS(2454),
    [anon_sym_EQ] = ACTIONS(2468),
    [anon_sym_static] = ACTIONS(2446),
    [anon_sym_auto] = ACTIONS(2446),
    [anon_sym_register] = ACTIONS(2446),
    [anon_sym_inline] = ACTIONS(2446),
    [anon_sym___inline] = ACTIONS(2446),
    [anon_sym___inline__] = ACTIONS(2446),
    [anon_sym___forceinline] = ACTIONS(2446),
    [anon_sym_thread_local] = ACTIONS(2446),
    [anon_sym___thread] = ACTIONS(2446),
    [anon_sym_const] = ACTIONS(2446),
    [anon_sym_constexpr] = ACTIONS(2446),
    [anon_sym_volatile] = ACTIONS(2446),
    [anon_sym_restrict] = ACTIONS(2446),
    [anon_sym___restrict__] = ACTIONS(2446),
    [anon_sym__Atomic] = ACTIONS(2446),
    [anon_sym__Noreturn] = ACTIONS(2446),
    [anon_sym_noreturn] = ACTIONS(2446),
    [anon_sym_COLON] = ACTIONS(2478),
    [anon_sym_QMARK] = ACTIONS(2448),
    [anon_sym_STAR_EQ] = ACTIONS(2472),
    [anon_sym_SLASH_EQ] = ACTIONS(2472),
    [anon_sym_PERCENT_EQ] = ACTIONS(2472),
    [anon_sym_PLUS_EQ] = ACTIONS(2472),
    [anon_sym_DASH_EQ] = ACTIONS(2472),
    [anon_sym_LT_LT_EQ] = ACTIONS(2472),
    [anon_sym_GT_GT_EQ] = ACTIONS(2472),
    [anon_sym_AMP_EQ] = ACTIONS(2472),
    [anon_sym_CARET_EQ] = ACTIONS(2472),
    [anon_sym_PIPE_EQ] = ACTIONS(2472),
    [anon_sym_DASH_DASH] = ACTIONS(2448),
    [anon_sym_PLUS_PLUS] = ACTIONS(2448),
    [anon_sym_DOT] = ACTIONS(2448),
    [anon_sym_DASH_GT] = ACTIONS(2448),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [743] = {
    [sym_field_declaration_list] = STATE(1843),
    [sym_string_literal] = STATE(1073),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1269),
    [sym_identifier] = ACTIONS(2446),
    [anon_sym_COMMA] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2454),
    [anon_sym_PLUS] = ACTIONS(2454),
    [anon_sym_STAR] = ACTIONS(2456),
    [anon_sym_SLASH] = ACTIONS(2454),
    [anon_sym_PERCENT] = ACTIONS(2454),
    [anon_sym_PIPE_PIPE] = ACTIONS(2448),
    [anon_sym_AMP_AMP] = ACTIONS(2448),
    [anon_sym_PIPE] = ACTIONS(2454),
    [anon_sym_CARET] = ACTIONS(2454),
    [anon_sym_AMP] = ACTIONS(2454),
    [anon_sym_EQ_EQ] = ACTIONS(2448),
    [anon_sym_BANG_EQ] = ACTIONS(2448),
    [anon_sym_GT] = ACTIONS(2454),
    [anon_sym_GT_EQ] = ACTIONS(2448),
    [anon_sym_LT_EQ] = ACTIONS(2448),
    [anon_sym_LT] = ACTIONS(2454),
    [anon_sym_LT_LT] = ACTIONS(2454),
    [anon_sym_GT_GT] = ACTIONS(2454),
    [anon_sym_SEMI] = ACTIONS(2448),
    [anon_sym___extension__] = ACTIONS(2446),
    [anon_sym_extern] = ACTIONS(2446),
    [anon_sym___attribute__] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2462),
    [anon_sym___declspec] = ACTIONS(2446),
    [anon_sym___based] = ACTIONS(2446),
    [anon_sym___cdecl] = ACTIONS(2446),
    [anon_sym___clrcall] = ACTIONS(2446),
    [anon_sym___stdcall] = ACTIONS(2446),
    [anon_sym___fastcall] = ACTIONS(2446),
    [anon_sym___thiscall] = ACTIONS(2446),
    [anon_sym___vectorcall] = ACTIONS(2446),
    [anon_sym_LBRACE] = ACTIONS(2464),
    [anon_sym_signed] = ACTIONS(2466),
    [anon_sym_unsigned] = ACTIONS(2466),
    [anon_sym_long] = ACTIONS(2466),
    [anon_sym_short] = ACTIONS(2466),
    [anon_sym_LBRACK] = ACTIONS(2454),
    [anon_sym_EQ] = ACTIONS(2468),
    [anon_sym_static] = ACTIONS(2446),
    [anon_sym_auto] = ACTIONS(2446),
    [anon_sym_register] = ACTIONS(2446),
    [anon_sym_inline] = ACTIONS(2446),
    [anon_sym___inline] = ACTIONS(2446),
    [anon_sym___inline__] = ACTIONS(2446),
    [anon_sym___forceinline] = ACTIONS(2446),
    [anon_sym_thread_local] = ACTIONS(2446),
    [anon_sym___thread] = ACTIONS(2446),
    [anon_sym_const] = ACTIONS(2446),
    [anon_sym_constexpr] = ACTIONS(2446),
    [anon_sym_volatile] = ACTIONS(2446),
    [anon_sym_restrict] = ACTIONS(2446),
    [anon_sym___restrict__] = ACTIONS(2446),
    [anon_sym__Atomic] = ACTIONS(2446),
    [anon_sym__Noreturn] = ACTIONS(2446),
    [anon_sym_noreturn] = ACTIONS(2446),
    [anon_sym_COLON] = ACTIONS(2474),
    [anon_sym_QMARK] = ACTIONS(2448),
    [anon_sym_STAR_EQ] = ACTIONS(2472),
    [anon_sym_SLASH_EQ] = ACTIONS(2472),
    [anon_sym_PERCENT_EQ] = ACTIONS(2472),
    [anon_sym_PLUS_EQ] = ACTIONS(2472),
    [anon_sym_DASH_EQ] = ACTIONS(2472),
    [anon_sym_LT_LT_EQ] = ACTIONS(2472),
    [anon_sym_GT_GT_EQ] = ACTIONS(2472),
    [anon_sym_AMP_EQ] = ACTIONS(2472),
    [anon_sym_CARET_EQ] = ACTIONS(2472),
    [anon_sym_PIPE_EQ] = ACTIONS(2472),
    [anon_sym_DASH_DASH] = ACTIONS(2448),
    [anon_sym_PLUS_PLUS] = ACTIONS(2448),
    [anon_sym_DOT] = ACTIONS(2448),
    [anon_sym_DASH_GT] = ACTIONS(2448),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [744] = {
    [sym__expression] = STATE(1359),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1363),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1363),
    [sym_call_expression] = STATE(1363),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1363),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1363),
    [sym_initializer_list] = STATE(1114),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [sym_identifier] = ACTIONS(2484),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1960),
    [anon_sym_LPAREN2] = ACTIONS(1960),
    [anon_sym_BANG] = ACTIONS(2486),
    [anon_sym_TILDE] = ACTIONS(2488),
    [anon_sym_DASH] = ACTIONS(1966),
    [anon_sym_PLUS] = ACTIONS(1966),
    [anon_sym_STAR] = ACTIONS(1960),
    [anon_sym_SLASH] = ACTIONS(1966),
    [anon_sym_PERCENT] = ACTIONS(1960),
    [anon_sym_PIPE_PIPE] = ACTIONS(1960),
    [anon_sym_AMP_AMP] = ACTIONS(1960),
    [anon_sym_PIPE] = ACTIONS(1966),
    [anon_sym_CARET] = ACTIONS(1960),
    [anon_sym_AMP] = ACTIONS(1966),
    [anon_sym_EQ_EQ] = ACTIONS(1960),
    [anon_sym_BANG_EQ] = ACTIONS(1960),
    [anon_sym_GT] = ACTIONS(1966),
    [anon_sym_GT_EQ] = ACTIONS(1960),
    [anon_sym_LT_EQ] = ACTIONS(1960),
    [anon_sym_LT] = ACTIONS(1966),
    [anon_sym_LT_LT] = ACTIONS(1960),
    [anon_sym_GT_GT] = ACTIONS(1960),
    [anon_sym_LBRACE] = ACTIONS(1968),
    [anon_sym_LBRACK] = ACTIONS(1960),
    [anon_sym_RBRACK] = ACTIONS(1960),
    [anon_sym_QMARK] = ACTIONS(1960),
    [anon_sym_DASH_DASH] = ACTIONS(1960),
    [anon_sym_PLUS_PLUS] = ACTIONS(1960),
    [anon_sym_sizeof] = ACTIONS(2490),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [anon_sym_DOT] = ACTIONS(1966),
    [anon_sym_DASH_GT] = ACTIONS(1960),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [745] = {
    [sym_field_declaration_list] = STATE(1839),
    [sym_string_literal] = STATE(1073),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1269),
    [sym_identifier] = ACTIONS(2446),
    [anon_sym_LPAREN2] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2454),
    [anon_sym_PLUS] = ACTIONS(2454),
    [anon_sym_STAR] = ACTIONS(2456),
    [anon_sym_SLASH] = ACTIONS(2454),
    [anon_sym_PERCENT] = ACTIONS(2454),
    [anon_sym_PIPE_PIPE] = ACTIONS(2448),
    [anon_sym_AMP_AMP] = ACTIONS(2448),
    [anon_sym_PIPE] = ACTIONS(2454),
    [anon_sym_CARET] = ACTIONS(2454),
    [anon_sym_AMP] = ACTIONS(2454),
    [anon_sym_EQ_EQ] = ACTIONS(2448),
    [anon_sym_BANG_EQ] = ACTIONS(2448),
    [anon_sym_GT] = ACTIONS(2454),
    [anon_sym_GT_EQ] = ACTIONS(2448),
    [anon_sym_LT_EQ] = ACTIONS(2448),
    [anon_sym_LT] = ACTIONS(2454),
    [anon_sym_LT_LT] = ACTIONS(2454),
    [anon_sym_GT_GT] = ACTIONS(2454),
    [anon_sym_SEMI] = ACTIONS(2459),
    [anon_sym___extension__] = ACTIONS(2446),
    [anon_sym_extern] = ACTIONS(2446),
    [anon_sym___attribute__] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2462),
    [anon_sym___declspec] = ACTIONS(2446),
    [anon_sym___based] = ACTIONS(2446),
    [anon_sym___cdecl] = ACTIONS(2446),
    [anon_sym___clrcall] = ACTIONS(2446),
    [anon_sym___stdcall] = ACTIONS(2446),
    [anon_sym___fastcall] = ACTIONS(2446),
    [anon_sym___thiscall] = ACTIONS(2446),
    [anon_sym___vectorcall] = ACTIONS(2446),
    [anon_sym_LBRACE] = ACTIONS(2464),
    [anon_sym_signed] = ACTIONS(2466),
    [anon_sym_unsigned] = ACTIONS(2466),
    [anon_sym_long] = ACTIONS(2466),
    [anon_sym_short] = ACTIONS(2466),
    [anon_sym_LBRACK] = ACTIONS(2454),
    [anon_sym_EQ] = ACTIONS(2468),
    [anon_sym_static] = ACTIONS(2446),
    [anon_sym_auto] = ACTIONS(2446),
    [anon_sym_register] = ACTIONS(2446),
    [anon_sym_inline] = ACTIONS(2446),
    [anon_sym___inline] = ACTIONS(2446),
    [anon_sym___inline__] = ACTIONS(2446),
    [anon_sym___forceinline] = ACTIONS(2446),
    [anon_sym_thread_local] = ACTIONS(2446),
    [anon_sym___thread] = ACTIONS(2446),
    [anon_sym_const] = ACTIONS(2446),
    [anon_sym_constexpr] = ACTIONS(2446),
    [anon_sym_volatile] = ACTIONS(2446),
    [anon_sym_restrict] = ACTIONS(2446),
    [anon_sym___restrict__] = ACTIONS(2446),
    [anon_sym__Atomic] = ACTIONS(2446),
    [anon_sym__Noreturn] = ACTIONS(2446),
    [anon_sym_noreturn] = ACTIONS(2446),
    [anon_sym_COLON] = ACTIONS(2482),
    [anon_sym_QMARK] = ACTIONS(2448),
    [anon_sym_STAR_EQ] = ACTIONS(2472),
    [anon_sym_SLASH_EQ] = ACTIONS(2472),
    [anon_sym_PERCENT_EQ] = ACTIONS(2472),
    [anon_sym_PLUS_EQ] = ACTIONS(2472),
    [anon_sym_DASH_EQ] = ACTIONS(2472),
    [anon_sym_LT_LT_EQ] = ACTIONS(2472),
    [anon_sym_GT_GT_EQ] = ACTIONS(2472),
    [anon_sym_AMP_EQ] = ACTIONS(2472),
    [anon_sym_CARET_EQ] = ACTIONS(2472),
    [anon_sym_PIPE_EQ] = ACTIONS(2472),
    [anon_sym_DASH_DASH] = ACTIONS(2448),
    [anon_sym_PLUS_PLUS] = ACTIONS(2448),
    [anon_sym_DOT] = ACTIONS(2448),
    [anon_sym_DASH_GT] = ACTIONS(2448),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [746] = {
    [sym_field_declaration_list] = STATE(1847),
    [sym_string_literal] = STATE(1073),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1269),
    [sym_identifier] = ACTIONS(2446),
    [anon_sym_COMMA] = ACTIONS(2448),
    [anon_sym_LPAREN2] = ACTIONS(2450),
    [anon_sym_DASH] = ACTIONS(2454),
    [anon_sym_PLUS] = ACTIONS(2454),
    [anon_sym_STAR] = ACTIONS(2456),
    [anon_sym_SLASH] = ACTIONS(2454),
    [anon_sym_PERCENT] = ACTIONS(2454),
    [anon_sym_PIPE_PIPE] = ACTIONS(2448),
    [anon_sym_AMP_AMP] = ACTIONS(2448),
    [anon_sym_PIPE] = ACTIONS(2454),
    [anon_sym_CARET] = ACTIONS(2454),
    [anon_sym_AMP] = ACTIONS(2454),
    [anon_sym_EQ_EQ] = ACTIONS(2448),
    [anon_sym_BANG_EQ] = ACTIONS(2448),
    [anon_sym_GT] = ACTIONS(2454),
    [anon_sym_GT_EQ] = ACTIONS(2448),
    [anon_sym_LT_EQ] = ACTIONS(2448),
    [anon_sym_LT] = ACTIONS(2454),
    [anon_sym_LT_LT] = ACTIONS(2454),
    [anon_sym_GT_GT] = ACTIONS(2454),
    [anon_sym_SEMI] = ACTIONS(2448),
    [anon_sym___extension__] = ACTIONS(2446),
    [anon_sym_extern] = ACTIONS(2446),
    [anon_sym___attribute__] = ACTIONS(2446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2462),
    [anon_sym___declspec] = ACTIONS(2446),
    [anon_sym___based] = ACTIONS(2446),
    [anon_sym___cdecl] = ACTIONS(2446),
    [anon_sym___clrcall] = ACTIONS(2446),
    [anon_sym___stdcall] = ACTIONS(2446),
    [anon_sym___fastcall] = ACTIONS(2446),
    [anon_sym___thiscall] = ACTIONS(2446),
    [anon_sym___vectorcall] = ACTIONS(2446),
    [anon_sym_LBRACE] = ACTIONS(2464),
    [anon_sym_signed] = ACTIONS(2466),
    [anon_sym_unsigned] = ACTIONS(2466),
    [anon_sym_long] = ACTIONS(2466),
    [anon_sym_short] = ACTIONS(2466),
    [anon_sym_LBRACK] = ACTIONS(2454),
    [anon_sym_EQ] = ACTIONS(2468),
    [anon_sym_static] = ACTIONS(2446),
    [anon_sym_auto] = ACTIONS(2446),
    [anon_sym_register] = ACTIONS(2446),
    [anon_sym_inline] = ACTIONS(2446),
    [anon_sym___inline] = ACTIONS(2446),
    [anon_sym___inline__] = ACTIONS(2446),
    [anon_sym___forceinline] = ACTIONS(2446),
    [anon_sym_thread_local] = ACTIONS(2446),
    [anon_sym___thread] = ACTIONS(2446),
    [anon_sym_const] = ACTIONS(2446),
    [anon_sym_constexpr] = ACTIONS(2446),
    [anon_sym_volatile] = ACTIONS(2446),
    [anon_sym_restrict] = ACTIONS(2446),
    [anon_sym___restrict__] = ACTIONS(2446),
    [anon_sym__Atomic] = ACTIONS(2446),
    [anon_sym__Noreturn] = ACTIONS(2446),
    [anon_sym_noreturn] = ACTIONS(2446),
    [anon_sym_QMARK] = ACTIONS(2448),
    [anon_sym_STAR_EQ] = ACTIONS(2472),
    [anon_sym_SLASH_EQ] = ACTIONS(2472),
    [anon_sym_PERCENT_EQ] = ACTIONS(2472),
    [anon_sym_PLUS_EQ] = ACTIONS(2472),
    [anon_sym_DASH_EQ] = ACTIONS(2472),
    [anon_sym_LT_LT_EQ] = ACTIONS(2472),
    [anon_sym_GT_GT_EQ] = ACTIONS(2472),
    [anon_sym_AMP_EQ] = ACTIONS(2472),
    [anon_sym_CARET_EQ] = ACTIONS(2472),
    [anon_sym_PIPE_EQ] = ACTIONS(2472),
    [anon_sym_DASH_DASH] = ACTIONS(2448),
    [anon_sym_PLUS_PLUS] = ACTIONS(2448),
    [anon_sym_DOT] = ACTIONS(2448),
    [anon_sym_DASH_GT] = ACTIONS(2448),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_comment] = ACTIONS(3),
  },
  [747] = {
    [sym_identifier] = ACTIONS(2492),
    [anon_sym_LPAREN2] = ACTIONS(2495),
    [anon_sym_BANG] = ACTIONS(2495),
    [anon_sym_TILDE] = ACTIONS(2495),
    [anon_sym_DASH] = ACTIONS(2497),
    [anon_sym_PLUS] = ACTIONS(2497),
    [anon_sym_STAR] = ACTIONS(2495),
    [anon_sym_AMP] = ACTIONS(2495),
    [anon_sym_SEMI] = ACTIONS(2495),
    [anon_sym___extension__] = ACTIONS(2499),
    [anon_sym_extern] = ACTIONS(2499),
    [anon_sym___attribute__] = ACTIONS(2499),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2501),
    [anon_sym___declspec] = ACTIONS(2499),
    [anon_sym_LBRACE] = ACTIONS(2495),
    [anon_sym_signed] = ACTIONS(2499),
    [anon_sym_unsigned] = ACTIONS(2499),
    [anon_sym_long] = ACTIONS(2499),
    [anon_sym_short] = ACTIONS(2499),
    [anon_sym_static] = ACTIONS(2499),
    [anon_sym_auto] = ACTIONS(2499),
    [anon_sym_register] = ACTIONS(2499),
    [anon_sym_inline] = ACTIONS(2499),
    [anon_sym___inline] = ACTIONS(2499),
    [anon_sym___inline__] = ACTIONS(2499),
    [anon_sym___forceinline] = ACTIONS(2499),
    [anon_sym_thread_local] = ACTIONS(2499),
    [anon_sym___thread] = ACTIONS(2499),
    [anon_sym_const] = ACTIONS(2499),
    [anon_sym_constexpr] = ACTIONS(2499),
    [anon_sym_volatile] = ACTIONS(2499),
    [anon_sym_restrict] = ACTIONS(2499),
    [anon_sym___restrict__] = ACTIONS(2499),
    [anon_sym__Atomic] = ACTIONS(2499),
    [anon_sym__Noreturn] = ACTIONS(2499),
    [anon_sym_noreturn] = ACTIONS(2499),
    [sym_primitive_type] = ACTIONS(2499),
    [anon_sym_enum] = ACTIONS(2499),
    [anon_sym_struct] = ACTIONS(2499),
    [anon_sym_union] = ACTIONS(2499),
    [anon_sym_if] = ACTIONS(2497),
    [anon_sym_switch] = ACTIONS(2497),
    [anon_sym_case] = ACTIONS(2497),
    [anon_sym_default] = ACTIONS(2497),
    [anon_sym_while] = ACTIONS(2497),
    [anon_sym_do] = ACTIONS(2497),
    [anon_sym_for] = ACTIONS(2497),
    [anon_sym_return] = ACTIONS(2497),
    [anon_sym_break] = ACTIONS(2497),
    [anon_sym_continue] = ACTIONS(2497),
    [anon_sym_goto] = ACTIONS(2497),
    [anon_sym___try] = ACTIONS(2497),
    [anon_sym___leave] = ACTIONS(2497),
    [anon_sym_DASH_DASH] = ACTIONS(2495),
    [anon_sym_PLUS_PLUS] = ACTIONS(2495),
    [anon_sym_sizeof] = ACTIONS(2497),
    [anon_sym___alignof__] = ACTIONS(2497),
    [anon_sym___alignof] = ACTIONS(2497),
    [anon_sym__alignof] = ACTIONS(2497),
    [anon_sym_alignof] = ACTIONS(2497),
    [anon_sym__Alignof] = ACTIONS(2497),
    [anon_sym_offsetof] = ACTIONS(2497),
    [anon_sym__Generic] = ACTIONS(2497),
    [anon_sym_asm] = ACTIONS(2497),
    [anon_sym___asm__] = ACTIONS(2497),
    [sym_number_literal] = ACTIONS(2495),
    [anon_sym_L_SQUOTE] = ACTIONS(2495),
    [anon_sym_u_SQUOTE] = ACTIONS(2495),
    [anon_sym_U_SQUOTE] = ACTIONS(2495),
    [anon_sym_u8_SQUOTE] = ACTIONS(2495),
    [anon_sym_SQUOTE] = ACTIONS(2495),
    [anon_sym_L_DQUOTE] = ACTIONS(2495),
    [anon_sym_u_DQUOTE] = ACTIONS(2495),
    [anon_sym_U_DQUOTE] = ACTIONS(2495),
    [anon_sym_u8_DQUOTE] = ACTIONS(2495),
    [anon_sym_DQUOTE] = ACTIONS(2495),
    [sym_true] = ACTIONS(2497),
    [sym_false] = ACTIONS(2497),
    [anon_sym_NULL] = ACTIONS(2497),
    [anon_sym_nullptr] = ACTIONS(2497),
    [sym_comment] = ACTIONS(3),
  },
  [748] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token2] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [aux_sym_preproc_else_token1] = ACTIONS(2504),
    [aux_sym_preproc_elif_token1] = ACTIONS(2504),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_subroutine] = ACTIONS(2504),
    [anon_sym_invariant] = ACTIONS(2504),
    [anon_sym_precise] = ACTIONS(2504),
    [anon_sym_in] = ACTIONS(2504),
    [anon_sym_out] = ACTIONS(2504),
    [anon_sym_inout] = ACTIONS(2504),
    [anon_sym_uniform] = ACTIONS(2504),
    [anon_sym_shared] = ACTIONS(2504),
    [anon_sym_attribute] = ACTIONS(2504),
    [anon_sym_varying] = ACTIONS(2504),
    [anon_sym_buffer] = ACTIONS(2504),
    [anon_sym_coherent] = ACTIONS(2504),
    [anon_sym_readonly] = ACTIONS(2504),
    [anon_sym_writeonly] = ACTIONS(2504),
    [anon_sym_precision] = ACTIONS(2504),
    [anon_sym_highp] = ACTIONS(2504),
    [anon_sym_mediump] = ACTIONS(2504),
    [anon_sym_lowp] = ACTIONS(2504),
    [anon_sym_centroid] = ACTIONS(2504),
    [anon_sym_sample] = ACTIONS(2504),
    [anon_sym_patch] = ACTIONS(2504),
    [anon_sym_smooth] = ACTIONS(2504),
    [anon_sym_flat] = ACTIONS(2504),
    [anon_sym_noperspective] = ACTIONS(2504),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_auto] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2504),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2504),
    [anon_sym_hitAttributeEXT] = ACTIONS(2504),
    [anon_sym_callableDataEXT] = ACTIONS(2504),
    [anon_sym_callableDataInEXT] = ACTIONS(2504),
    [anon_sym_shaderRecordEXT] = ACTIONS(2504),
    [anon_sym_rayPayloadNV] = ACTIONS(2504),
    [anon_sym_rayPayloadInNV] = ACTIONS(2504),
    [anon_sym_hitAttributeNV] = ACTIONS(2504),
    [anon_sym_callableDataNV] = ACTIONS(2504),
    [anon_sym_callableDataInNV] = ACTIONS(2504),
    [anon_sym_shaderRecordNV] = ACTIONS(2504),
    [anon_sym_layout] = ACTIONS(2504),
  },
  [749] = {
    [sym_identifier] = ACTIONS(1627),
    [aux_sym_preproc_def_token1] = ACTIONS(1627),
    [aux_sym_preproc_if_token1] = ACTIONS(1627),
    [aux_sym_preproc_if_token2] = ACTIONS(1627),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1627),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1627),
    [aux_sym_preproc_else_token1] = ACTIONS(1627),
    [aux_sym_preproc_elif_token1] = ACTIONS(1627),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1627),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1627),
    [sym_preproc_directive] = ACTIONS(1627),
    [anon_sym_subroutine] = ACTIONS(1627),
    [anon_sym_invariant] = ACTIONS(1627),
    [anon_sym_precise] = ACTIONS(1627),
    [anon_sym_in] = ACTIONS(1627),
    [anon_sym_out] = ACTIONS(1627),
    [anon_sym_inout] = ACTIONS(1627),
    [anon_sym_uniform] = ACTIONS(1627),
    [anon_sym_shared] = ACTIONS(1627),
    [anon_sym_attribute] = ACTIONS(1627),
    [anon_sym_varying] = ACTIONS(1627),
    [anon_sym_buffer] = ACTIONS(1627),
    [anon_sym_coherent] = ACTIONS(1627),
    [anon_sym_readonly] = ACTIONS(1627),
    [anon_sym_writeonly] = ACTIONS(1627),
    [anon_sym_precision] = ACTIONS(1627),
    [anon_sym_highp] = ACTIONS(1627),
    [anon_sym_mediump] = ACTIONS(1627),
    [anon_sym_lowp] = ACTIONS(1627),
    [anon_sym_centroid] = ACTIONS(1627),
    [anon_sym_sample] = ACTIONS(1627),
    [anon_sym_patch] = ACTIONS(1627),
    [anon_sym_smooth] = ACTIONS(1627),
    [anon_sym_flat] = ACTIONS(1627),
    [anon_sym_noperspective] = ACTIONS(1627),
    [anon_sym___extension__] = ACTIONS(1627),
    [anon_sym_extern] = ACTIONS(1627),
    [anon_sym___attribute__] = ACTIONS(1627),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1629),
    [anon_sym___declspec] = ACTIONS(1627),
    [anon_sym_signed] = ACTIONS(1627),
    [anon_sym_unsigned] = ACTIONS(1627),
    [anon_sym_long] = ACTIONS(1627),
    [anon_sym_short] = ACTIONS(1627),
    [anon_sym_static] = ACTIONS(1627),
    [anon_sym_auto] = ACTIONS(1627),
    [anon_sym_register] = ACTIONS(1627),
    [anon_sym_inline] = ACTIONS(1627),
    [anon_sym___inline] = ACTIONS(1627),
    [anon_sym___inline__] = ACTIONS(1627),
    [anon_sym___forceinline] = ACTIONS(1627),
    [anon_sym_thread_local] = ACTIONS(1627),
    [anon_sym___thread] = ACTIONS(1627),
    [anon_sym_const] = ACTIONS(1627),
    [anon_sym_constexpr] = ACTIONS(1627),
    [anon_sym_volatile] = ACTIONS(1627),
    [anon_sym_restrict] = ACTIONS(1627),
    [anon_sym___restrict__] = ACTIONS(1627),
    [anon_sym__Atomic] = ACTIONS(1627),
    [anon_sym__Noreturn] = ACTIONS(1627),
    [anon_sym_noreturn] = ACTIONS(1627),
    [sym_primitive_type] = ACTIONS(1627),
    [anon_sym_enum] = ACTIONS(1627),
    [anon_sym_struct] = ACTIONS(1627),
    [anon_sym_union] = ACTIONS(1627),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1627),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1627),
    [anon_sym_hitAttributeEXT] = ACTIONS(1627),
    [anon_sym_callableDataEXT] = ACTIONS(1627),
    [anon_sym_callableDataInEXT] = ACTIONS(1627),
    [anon_sym_shaderRecordEXT] = ACTIONS(1627),
    [anon_sym_rayPayloadNV] = ACTIONS(1627),
    [anon_sym_rayPayloadInNV] = ACTIONS(1627),
    [anon_sym_hitAttributeNV] = ACTIONS(1627),
    [anon_sym_callableDataNV] = ACTIONS(1627),
    [anon_sym_callableDataInNV] = ACTIONS(1627),
    [anon_sym_shaderRecordNV] = ACTIONS(1627),
    [anon_sym_layout] = ACTIONS(1627),
  },
  [750] = {
    [sym_identifier] = ACTIONS(1687),
    [aux_sym_preproc_def_token1] = ACTIONS(1687),
    [aux_sym_preproc_if_token1] = ACTIONS(1687),
    [aux_sym_preproc_if_token2] = ACTIONS(1687),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1687),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1687),
    [aux_sym_preproc_else_token1] = ACTIONS(1687),
    [aux_sym_preproc_elif_token1] = ACTIONS(1687),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1687),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1687),
    [sym_preproc_directive] = ACTIONS(1687),
    [anon_sym_subroutine] = ACTIONS(1687),
    [anon_sym_invariant] = ACTIONS(1687),
    [anon_sym_precise] = ACTIONS(1687),
    [anon_sym_in] = ACTIONS(1687),
    [anon_sym_out] = ACTIONS(1687),
    [anon_sym_inout] = ACTIONS(1687),
    [anon_sym_uniform] = ACTIONS(1687),
    [anon_sym_shared] = ACTIONS(1687),
    [anon_sym_attribute] = ACTIONS(1687),
    [anon_sym_varying] = ACTIONS(1687),
    [anon_sym_buffer] = ACTIONS(1687),
    [anon_sym_coherent] = ACTIONS(1687),
    [anon_sym_readonly] = ACTIONS(1687),
    [anon_sym_writeonly] = ACTIONS(1687),
    [anon_sym_precision] = ACTIONS(1687),
    [anon_sym_highp] = ACTIONS(1687),
    [anon_sym_mediump] = ACTIONS(1687),
    [anon_sym_lowp] = ACTIONS(1687),
    [anon_sym_centroid] = ACTIONS(1687),
    [anon_sym_sample] = ACTIONS(1687),
    [anon_sym_patch] = ACTIONS(1687),
    [anon_sym_smooth] = ACTIONS(1687),
    [anon_sym_flat] = ACTIONS(1687),
    [anon_sym_noperspective] = ACTIONS(1687),
    [anon_sym___extension__] = ACTIONS(1687),
    [anon_sym_extern] = ACTIONS(1687),
    [anon_sym___attribute__] = ACTIONS(1687),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1689),
    [anon_sym___declspec] = ACTIONS(1687),
    [anon_sym_signed] = ACTIONS(1687),
    [anon_sym_unsigned] = ACTIONS(1687),
    [anon_sym_long] = ACTIONS(1687),
    [anon_sym_short] = ACTIONS(1687),
    [anon_sym_static] = ACTIONS(1687),
    [anon_sym_auto] = ACTIONS(1687),
    [anon_sym_register] = ACTIONS(1687),
    [anon_sym_inline] = ACTIONS(1687),
    [anon_sym___inline] = ACTIONS(1687),
    [anon_sym___inline__] = ACTIONS(1687),
    [anon_sym___forceinline] = ACTIONS(1687),
    [anon_sym_thread_local] = ACTIONS(1687),
    [anon_sym___thread] = ACTIONS(1687),
    [anon_sym_const] = ACTIONS(1687),
    [anon_sym_constexpr] = ACTIONS(1687),
    [anon_sym_volatile] = ACTIONS(1687),
    [anon_sym_restrict] = ACTIONS(1687),
    [anon_sym___restrict__] = ACTIONS(1687),
    [anon_sym__Atomic] = ACTIONS(1687),
    [anon_sym__Noreturn] = ACTIONS(1687),
    [anon_sym_noreturn] = ACTIONS(1687),
    [sym_primitive_type] = ACTIONS(1687),
    [anon_sym_enum] = ACTIONS(1687),
    [anon_sym_struct] = ACTIONS(1687),
    [anon_sym_union] = ACTIONS(1687),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1687),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1687),
    [anon_sym_hitAttributeEXT] = ACTIONS(1687),
    [anon_sym_callableDataEXT] = ACTIONS(1687),
    [anon_sym_callableDataInEXT] = ACTIONS(1687),
    [anon_sym_shaderRecordEXT] = ACTIONS(1687),
    [anon_sym_rayPayloadNV] = ACTIONS(1687),
    [anon_sym_rayPayloadInNV] = ACTIONS(1687),
    [anon_sym_hitAttributeNV] = ACTIONS(1687),
    [anon_sym_callableDataNV] = ACTIONS(1687),
    [anon_sym_callableDataInNV] = ACTIONS(1687),
    [anon_sym_shaderRecordNV] = ACTIONS(1687),
    [anon_sym_layout] = ACTIONS(1687),
  },
  [751] = {
    [sym_identifier] = ACTIONS(2508),
    [aux_sym_preproc_def_token1] = ACTIONS(2508),
    [aux_sym_preproc_if_token1] = ACTIONS(2508),
    [aux_sym_preproc_if_token2] = ACTIONS(2508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2508),
    [aux_sym_preproc_else_token1] = ACTIONS(2508),
    [aux_sym_preproc_elif_token1] = ACTIONS(2508),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2508),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2508),
    [sym_preproc_directive] = ACTIONS(2508),
    [anon_sym_subroutine] = ACTIONS(2508),
    [anon_sym_invariant] = ACTIONS(2508),
    [anon_sym_precise] = ACTIONS(2508),
    [anon_sym_in] = ACTIONS(2508),
    [anon_sym_out] = ACTIONS(2508),
    [anon_sym_inout] = ACTIONS(2508),
    [anon_sym_uniform] = ACTIONS(2508),
    [anon_sym_shared] = ACTIONS(2508),
    [anon_sym_attribute] = ACTIONS(2508),
    [anon_sym_varying] = ACTIONS(2508),
    [anon_sym_buffer] = ACTIONS(2508),
    [anon_sym_coherent] = ACTIONS(2508),
    [anon_sym_readonly] = ACTIONS(2508),
    [anon_sym_writeonly] = ACTIONS(2508),
    [anon_sym_precision] = ACTIONS(2508),
    [anon_sym_highp] = ACTIONS(2508),
    [anon_sym_mediump] = ACTIONS(2508),
    [anon_sym_lowp] = ACTIONS(2508),
    [anon_sym_centroid] = ACTIONS(2508),
    [anon_sym_sample] = ACTIONS(2508),
    [anon_sym_patch] = ACTIONS(2508),
    [anon_sym_smooth] = ACTIONS(2508),
    [anon_sym_flat] = ACTIONS(2508),
    [anon_sym_noperspective] = ACTIONS(2508),
    [anon_sym___extension__] = ACTIONS(2508),
    [anon_sym_extern] = ACTIONS(2508),
    [anon_sym___attribute__] = ACTIONS(2508),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2510),
    [anon_sym___declspec] = ACTIONS(2508),
    [anon_sym_signed] = ACTIONS(2508),
    [anon_sym_unsigned] = ACTIONS(2508),
    [anon_sym_long] = ACTIONS(2508),
    [anon_sym_short] = ACTIONS(2508),
    [anon_sym_static] = ACTIONS(2508),
    [anon_sym_auto] = ACTIONS(2508),
    [anon_sym_register] = ACTIONS(2508),
    [anon_sym_inline] = ACTIONS(2508),
    [anon_sym___inline] = ACTIONS(2508),
    [anon_sym___inline__] = ACTIONS(2508),
    [anon_sym___forceinline] = ACTIONS(2508),
    [anon_sym_thread_local] = ACTIONS(2508),
    [anon_sym___thread] = ACTIONS(2508),
    [anon_sym_const] = ACTIONS(2508),
    [anon_sym_constexpr] = ACTIONS(2508),
    [anon_sym_volatile] = ACTIONS(2508),
    [anon_sym_restrict] = ACTIONS(2508),
    [anon_sym___restrict__] = ACTIONS(2508),
    [anon_sym__Atomic] = ACTIONS(2508),
    [anon_sym__Noreturn] = ACTIONS(2508),
    [anon_sym_noreturn] = ACTIONS(2508),
    [sym_primitive_type] = ACTIONS(2508),
    [anon_sym_enum] = ACTIONS(2508),
    [anon_sym_struct] = ACTIONS(2508),
    [anon_sym_union] = ACTIONS(2508),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2508),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2508),
    [anon_sym_hitAttributeEXT] = ACTIONS(2508),
    [anon_sym_callableDataEXT] = ACTIONS(2508),
    [anon_sym_callableDataInEXT] = ACTIONS(2508),
    [anon_sym_shaderRecordEXT] = ACTIONS(2508),
    [anon_sym_rayPayloadNV] = ACTIONS(2508),
    [anon_sym_rayPayloadInNV] = ACTIONS(2508),
    [anon_sym_hitAttributeNV] = ACTIONS(2508),
    [anon_sym_callableDataNV] = ACTIONS(2508),
    [anon_sym_callableDataInNV] = ACTIONS(2508),
    [anon_sym_shaderRecordNV] = ACTIONS(2508),
    [anon_sym_layout] = ACTIONS(2508),
  },
  [752] = {
    [sym_identifier] = ACTIONS(2512),
    [aux_sym_preproc_def_token1] = ACTIONS(2512),
    [aux_sym_preproc_if_token1] = ACTIONS(2512),
    [aux_sym_preproc_if_token2] = ACTIONS(2512),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2512),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2512),
    [aux_sym_preproc_else_token1] = ACTIONS(2512),
    [aux_sym_preproc_elif_token1] = ACTIONS(2512),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2512),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2512),
    [sym_preproc_directive] = ACTIONS(2512),
    [anon_sym_subroutine] = ACTIONS(2512),
    [anon_sym_invariant] = ACTIONS(2512),
    [anon_sym_precise] = ACTIONS(2512),
    [anon_sym_in] = ACTIONS(2512),
    [anon_sym_out] = ACTIONS(2512),
    [anon_sym_inout] = ACTIONS(2512),
    [anon_sym_uniform] = ACTIONS(2512),
    [anon_sym_shared] = ACTIONS(2512),
    [anon_sym_attribute] = ACTIONS(2512),
    [anon_sym_varying] = ACTIONS(2512),
    [anon_sym_buffer] = ACTIONS(2512),
    [anon_sym_coherent] = ACTIONS(2512),
    [anon_sym_readonly] = ACTIONS(2512),
    [anon_sym_writeonly] = ACTIONS(2512),
    [anon_sym_precision] = ACTIONS(2512),
    [anon_sym_highp] = ACTIONS(2512),
    [anon_sym_mediump] = ACTIONS(2512),
    [anon_sym_lowp] = ACTIONS(2512),
    [anon_sym_centroid] = ACTIONS(2512),
    [anon_sym_sample] = ACTIONS(2512),
    [anon_sym_patch] = ACTIONS(2512),
    [anon_sym_smooth] = ACTIONS(2512),
    [anon_sym_flat] = ACTIONS(2512),
    [anon_sym_noperspective] = ACTIONS(2512),
    [anon_sym___extension__] = ACTIONS(2512),
    [anon_sym_extern] = ACTIONS(2512),
    [anon_sym___attribute__] = ACTIONS(2512),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2514),
    [anon_sym___declspec] = ACTIONS(2512),
    [anon_sym_signed] = ACTIONS(2512),
    [anon_sym_unsigned] = ACTIONS(2512),
    [anon_sym_long] = ACTIONS(2512),
    [anon_sym_short] = ACTIONS(2512),
    [anon_sym_static] = ACTIONS(2512),
    [anon_sym_auto] = ACTIONS(2512),
    [anon_sym_register] = ACTIONS(2512),
    [anon_sym_inline] = ACTIONS(2512),
    [anon_sym___inline] = ACTIONS(2512),
    [anon_sym___inline__] = ACTIONS(2512),
    [anon_sym___forceinline] = ACTIONS(2512),
    [anon_sym_thread_local] = ACTIONS(2512),
    [anon_sym___thread] = ACTIONS(2512),
    [anon_sym_const] = ACTIONS(2512),
    [anon_sym_constexpr] = ACTIONS(2512),
    [anon_sym_volatile] = ACTIONS(2512),
    [anon_sym_restrict] = ACTIONS(2512),
    [anon_sym___restrict__] = ACTIONS(2512),
    [anon_sym__Atomic] = ACTIONS(2512),
    [anon_sym__Noreturn] = ACTIONS(2512),
    [anon_sym_noreturn] = ACTIONS(2512),
    [sym_primitive_type] = ACTIONS(2512),
    [anon_sym_enum] = ACTIONS(2512),
    [anon_sym_struct] = ACTIONS(2512),
    [anon_sym_union] = ACTIONS(2512),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2512),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2512),
    [anon_sym_hitAttributeEXT] = ACTIONS(2512),
    [anon_sym_callableDataEXT] = ACTIONS(2512),
    [anon_sym_callableDataInEXT] = ACTIONS(2512),
    [anon_sym_shaderRecordEXT] = ACTIONS(2512),
    [anon_sym_rayPayloadNV] = ACTIONS(2512),
    [anon_sym_rayPayloadInNV] = ACTIONS(2512),
    [anon_sym_hitAttributeNV] = ACTIONS(2512),
    [anon_sym_callableDataNV] = ACTIONS(2512),
    [anon_sym_callableDataInNV] = ACTIONS(2512),
    [anon_sym_shaderRecordNV] = ACTIONS(2512),
    [anon_sym_layout] = ACTIONS(2512),
  },
  [753] = {
    [sym_identifier] = ACTIONS(1603),
    [aux_sym_preproc_def_token1] = ACTIONS(1603),
    [aux_sym_preproc_if_token1] = ACTIONS(1603),
    [aux_sym_preproc_if_token2] = ACTIONS(1603),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1603),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1603),
    [aux_sym_preproc_else_token1] = ACTIONS(1603),
    [aux_sym_preproc_elif_token1] = ACTIONS(1603),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1603),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1603),
    [sym_preproc_directive] = ACTIONS(1603),
    [anon_sym_subroutine] = ACTIONS(1603),
    [anon_sym_invariant] = ACTIONS(1603),
    [anon_sym_precise] = ACTIONS(1603),
    [anon_sym_in] = ACTIONS(1603),
    [anon_sym_out] = ACTIONS(1603),
    [anon_sym_inout] = ACTIONS(1603),
    [anon_sym_uniform] = ACTIONS(1603),
    [anon_sym_shared] = ACTIONS(1603),
    [anon_sym_attribute] = ACTIONS(1603),
    [anon_sym_varying] = ACTIONS(1603),
    [anon_sym_buffer] = ACTIONS(1603),
    [anon_sym_coherent] = ACTIONS(1603),
    [anon_sym_readonly] = ACTIONS(1603),
    [anon_sym_writeonly] = ACTIONS(1603),
    [anon_sym_precision] = ACTIONS(1603),
    [anon_sym_highp] = ACTIONS(1603),
    [anon_sym_mediump] = ACTIONS(1603),
    [anon_sym_lowp] = ACTIONS(1603),
    [anon_sym_centroid] = ACTIONS(1603),
    [anon_sym_sample] = ACTIONS(1603),
    [anon_sym_patch] = ACTIONS(1603),
    [anon_sym_smooth] = ACTIONS(1603),
    [anon_sym_flat] = ACTIONS(1603),
    [anon_sym_noperspective] = ACTIONS(1603),
    [anon_sym___extension__] = ACTIONS(1603),
    [anon_sym_extern] = ACTIONS(1603),
    [anon_sym___attribute__] = ACTIONS(1603),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1605),
    [anon_sym___declspec] = ACTIONS(1603),
    [anon_sym_signed] = ACTIONS(1603),
    [anon_sym_unsigned] = ACTIONS(1603),
    [anon_sym_long] = ACTIONS(1603),
    [anon_sym_short] = ACTIONS(1603),
    [anon_sym_static] = ACTIONS(1603),
    [anon_sym_auto] = ACTIONS(1603),
    [anon_sym_register] = ACTIONS(1603),
    [anon_sym_inline] = ACTIONS(1603),
    [anon_sym___inline] = ACTIONS(1603),
    [anon_sym___inline__] = ACTIONS(1603),
    [anon_sym___forceinline] = ACTIONS(1603),
    [anon_sym_thread_local] = ACTIONS(1603),
    [anon_sym___thread] = ACTIONS(1603),
    [anon_sym_const] = ACTIONS(1603),
    [anon_sym_constexpr] = ACTIONS(1603),
    [anon_sym_volatile] = ACTIONS(1603),
    [anon_sym_restrict] = ACTIONS(1603),
    [anon_sym___restrict__] = ACTIONS(1603),
    [anon_sym__Atomic] = ACTIONS(1603),
    [anon_sym__Noreturn] = ACTIONS(1603),
    [anon_sym_noreturn] = ACTIONS(1603),
    [sym_primitive_type] = ACTIONS(1603),
    [anon_sym_enum] = ACTIONS(1603),
    [anon_sym_struct] = ACTIONS(1603),
    [anon_sym_union] = ACTIONS(1603),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1603),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1603),
    [anon_sym_hitAttributeEXT] = ACTIONS(1603),
    [anon_sym_callableDataEXT] = ACTIONS(1603),
    [anon_sym_callableDataInEXT] = ACTIONS(1603),
    [anon_sym_shaderRecordEXT] = ACTIONS(1603),
    [anon_sym_rayPayloadNV] = ACTIONS(1603),
    [anon_sym_rayPayloadInNV] = ACTIONS(1603),
    [anon_sym_hitAttributeNV] = ACTIONS(1603),
    [anon_sym_callableDataNV] = ACTIONS(1603),
    [anon_sym_callableDataInNV] = ACTIONS(1603),
    [anon_sym_shaderRecordNV] = ACTIONS(1603),
    [anon_sym_layout] = ACTIONS(1603),
  },
  [754] = {
    [sym_identifier] = ACTIONS(2516),
    [aux_sym_preproc_def_token1] = ACTIONS(2516),
    [aux_sym_preproc_if_token1] = ACTIONS(2516),
    [aux_sym_preproc_if_token2] = ACTIONS(2516),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2516),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2516),
    [aux_sym_preproc_else_token1] = ACTIONS(2516),
    [aux_sym_preproc_elif_token1] = ACTIONS(2516),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2516),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2516),
    [sym_preproc_directive] = ACTIONS(2516),
    [anon_sym_subroutine] = ACTIONS(2516),
    [anon_sym_invariant] = ACTIONS(2516),
    [anon_sym_precise] = ACTIONS(2516),
    [anon_sym_in] = ACTIONS(2516),
    [anon_sym_out] = ACTIONS(2516),
    [anon_sym_inout] = ACTIONS(2516),
    [anon_sym_uniform] = ACTIONS(2516),
    [anon_sym_shared] = ACTIONS(2516),
    [anon_sym_attribute] = ACTIONS(2516),
    [anon_sym_varying] = ACTIONS(2516),
    [anon_sym_buffer] = ACTIONS(2516),
    [anon_sym_coherent] = ACTIONS(2516),
    [anon_sym_readonly] = ACTIONS(2516),
    [anon_sym_writeonly] = ACTIONS(2516),
    [anon_sym_precision] = ACTIONS(2516),
    [anon_sym_highp] = ACTIONS(2516),
    [anon_sym_mediump] = ACTIONS(2516),
    [anon_sym_lowp] = ACTIONS(2516),
    [anon_sym_centroid] = ACTIONS(2516),
    [anon_sym_sample] = ACTIONS(2516),
    [anon_sym_patch] = ACTIONS(2516),
    [anon_sym_smooth] = ACTIONS(2516),
    [anon_sym_flat] = ACTIONS(2516),
    [anon_sym_noperspective] = ACTIONS(2516),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_extern] = ACTIONS(2516),
    [anon_sym___attribute__] = ACTIONS(2516),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2518),
    [anon_sym___declspec] = ACTIONS(2516),
    [anon_sym_signed] = ACTIONS(2516),
    [anon_sym_unsigned] = ACTIONS(2516),
    [anon_sym_long] = ACTIONS(2516),
    [anon_sym_short] = ACTIONS(2516),
    [anon_sym_static] = ACTIONS(2516),
    [anon_sym_auto] = ACTIONS(2516),
    [anon_sym_register] = ACTIONS(2516),
    [anon_sym_inline] = ACTIONS(2516),
    [anon_sym___inline] = ACTIONS(2516),
    [anon_sym___inline__] = ACTIONS(2516),
    [anon_sym___forceinline] = ACTIONS(2516),
    [anon_sym_thread_local] = ACTIONS(2516),
    [anon_sym___thread] = ACTIONS(2516),
    [anon_sym_const] = ACTIONS(2516),
    [anon_sym_constexpr] = ACTIONS(2516),
    [anon_sym_volatile] = ACTIONS(2516),
    [anon_sym_restrict] = ACTIONS(2516),
    [anon_sym___restrict__] = ACTIONS(2516),
    [anon_sym__Atomic] = ACTIONS(2516),
    [anon_sym__Noreturn] = ACTIONS(2516),
    [anon_sym_noreturn] = ACTIONS(2516),
    [sym_primitive_type] = ACTIONS(2516),
    [anon_sym_enum] = ACTIONS(2516),
    [anon_sym_struct] = ACTIONS(2516),
    [anon_sym_union] = ACTIONS(2516),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2516),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2516),
    [anon_sym_hitAttributeEXT] = ACTIONS(2516),
    [anon_sym_callableDataEXT] = ACTIONS(2516),
    [anon_sym_callableDataInEXT] = ACTIONS(2516),
    [anon_sym_shaderRecordEXT] = ACTIONS(2516),
    [anon_sym_rayPayloadNV] = ACTIONS(2516),
    [anon_sym_rayPayloadInNV] = ACTIONS(2516),
    [anon_sym_hitAttributeNV] = ACTIONS(2516),
    [anon_sym_callableDataNV] = ACTIONS(2516),
    [anon_sym_callableDataInNV] = ACTIONS(2516),
    [anon_sym_shaderRecordNV] = ACTIONS(2516),
    [anon_sym_layout] = ACTIONS(2516),
  },
  [755] = {
    [sym_identifier] = ACTIONS(2520),
    [aux_sym_preproc_def_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token2] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2520),
    [aux_sym_preproc_else_token1] = ACTIONS(2520),
    [aux_sym_preproc_elif_token1] = ACTIONS(2520),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2520),
    [sym_preproc_directive] = ACTIONS(2520),
    [anon_sym_subroutine] = ACTIONS(2520),
    [anon_sym_invariant] = ACTIONS(2520),
    [anon_sym_precise] = ACTIONS(2520),
    [anon_sym_in] = ACTIONS(2520),
    [anon_sym_out] = ACTIONS(2520),
    [anon_sym_inout] = ACTIONS(2520),
    [anon_sym_uniform] = ACTIONS(2520),
    [anon_sym_shared] = ACTIONS(2520),
    [anon_sym_attribute] = ACTIONS(2520),
    [anon_sym_varying] = ACTIONS(2520),
    [anon_sym_buffer] = ACTIONS(2520),
    [anon_sym_coherent] = ACTIONS(2520),
    [anon_sym_readonly] = ACTIONS(2520),
    [anon_sym_writeonly] = ACTIONS(2520),
    [anon_sym_precision] = ACTIONS(2520),
    [anon_sym_highp] = ACTIONS(2520),
    [anon_sym_mediump] = ACTIONS(2520),
    [anon_sym_lowp] = ACTIONS(2520),
    [anon_sym_centroid] = ACTIONS(2520),
    [anon_sym_sample] = ACTIONS(2520),
    [anon_sym_patch] = ACTIONS(2520),
    [anon_sym_smooth] = ACTIONS(2520),
    [anon_sym_flat] = ACTIONS(2520),
    [anon_sym_noperspective] = ACTIONS(2520),
    [anon_sym___extension__] = ACTIONS(2520),
    [anon_sym_extern] = ACTIONS(2520),
    [anon_sym___attribute__] = ACTIONS(2520),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2520),
    [anon_sym_signed] = ACTIONS(2520),
    [anon_sym_unsigned] = ACTIONS(2520),
    [anon_sym_long] = ACTIONS(2520),
    [anon_sym_short] = ACTIONS(2520),
    [anon_sym_static] = ACTIONS(2520),
    [anon_sym_auto] = ACTIONS(2520),
    [anon_sym_register] = ACTIONS(2520),
    [anon_sym_inline] = ACTIONS(2520),
    [anon_sym___inline] = ACTIONS(2520),
    [anon_sym___inline__] = ACTIONS(2520),
    [anon_sym___forceinline] = ACTIONS(2520),
    [anon_sym_thread_local] = ACTIONS(2520),
    [anon_sym___thread] = ACTIONS(2520),
    [anon_sym_const] = ACTIONS(2520),
    [anon_sym_constexpr] = ACTIONS(2520),
    [anon_sym_volatile] = ACTIONS(2520),
    [anon_sym_restrict] = ACTIONS(2520),
    [anon_sym___restrict__] = ACTIONS(2520),
    [anon_sym__Atomic] = ACTIONS(2520),
    [anon_sym__Noreturn] = ACTIONS(2520),
    [anon_sym_noreturn] = ACTIONS(2520),
    [sym_primitive_type] = ACTIONS(2520),
    [anon_sym_enum] = ACTIONS(2520),
    [anon_sym_struct] = ACTIONS(2520),
    [anon_sym_union] = ACTIONS(2520),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2520),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2520),
    [anon_sym_hitAttributeEXT] = ACTIONS(2520),
    [anon_sym_callableDataEXT] = ACTIONS(2520),
    [anon_sym_callableDataInEXT] = ACTIONS(2520),
    [anon_sym_shaderRecordEXT] = ACTIONS(2520),
    [anon_sym_rayPayloadNV] = ACTIONS(2520),
    [anon_sym_rayPayloadInNV] = ACTIONS(2520),
    [anon_sym_hitAttributeNV] = ACTIONS(2520),
    [anon_sym_callableDataNV] = ACTIONS(2520),
    [anon_sym_callableDataInNV] = ACTIONS(2520),
    [anon_sym_shaderRecordNV] = ACTIONS(2520),
    [anon_sym_layout] = ACTIONS(2520),
  },
  [756] = {
    [sym_identifier] = ACTIONS(1611),
    [aux_sym_preproc_def_token1] = ACTIONS(1611),
    [aux_sym_preproc_if_token1] = ACTIONS(1611),
    [aux_sym_preproc_if_token2] = ACTIONS(1611),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1611),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1611),
    [aux_sym_preproc_else_token1] = ACTIONS(1611),
    [aux_sym_preproc_elif_token1] = ACTIONS(1611),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1611),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1611),
    [sym_preproc_directive] = ACTIONS(1611),
    [anon_sym_subroutine] = ACTIONS(1611),
    [anon_sym_invariant] = ACTIONS(1611),
    [anon_sym_precise] = ACTIONS(1611),
    [anon_sym_in] = ACTIONS(1611),
    [anon_sym_out] = ACTIONS(1611),
    [anon_sym_inout] = ACTIONS(1611),
    [anon_sym_uniform] = ACTIONS(1611),
    [anon_sym_shared] = ACTIONS(1611),
    [anon_sym_attribute] = ACTIONS(1611),
    [anon_sym_varying] = ACTIONS(1611),
    [anon_sym_buffer] = ACTIONS(1611),
    [anon_sym_coherent] = ACTIONS(1611),
    [anon_sym_readonly] = ACTIONS(1611),
    [anon_sym_writeonly] = ACTIONS(1611),
    [anon_sym_precision] = ACTIONS(1611),
    [anon_sym_highp] = ACTIONS(1611),
    [anon_sym_mediump] = ACTIONS(1611),
    [anon_sym_lowp] = ACTIONS(1611),
    [anon_sym_centroid] = ACTIONS(1611),
    [anon_sym_sample] = ACTIONS(1611),
    [anon_sym_patch] = ACTIONS(1611),
    [anon_sym_smooth] = ACTIONS(1611),
    [anon_sym_flat] = ACTIONS(1611),
    [anon_sym_noperspective] = ACTIONS(1611),
    [anon_sym___extension__] = ACTIONS(1611),
    [anon_sym_extern] = ACTIONS(1611),
    [anon_sym___attribute__] = ACTIONS(1611),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1613),
    [anon_sym___declspec] = ACTIONS(1611),
    [anon_sym_signed] = ACTIONS(1611),
    [anon_sym_unsigned] = ACTIONS(1611),
    [anon_sym_long] = ACTIONS(1611),
    [anon_sym_short] = ACTIONS(1611),
    [anon_sym_static] = ACTIONS(1611),
    [anon_sym_auto] = ACTIONS(1611),
    [anon_sym_register] = ACTIONS(1611),
    [anon_sym_inline] = ACTIONS(1611),
    [anon_sym___inline] = ACTIONS(1611),
    [anon_sym___inline__] = ACTIONS(1611),
    [anon_sym___forceinline] = ACTIONS(1611),
    [anon_sym_thread_local] = ACTIONS(1611),
    [anon_sym___thread] = ACTIONS(1611),
    [anon_sym_const] = ACTIONS(1611),
    [anon_sym_constexpr] = ACTIONS(1611),
    [anon_sym_volatile] = ACTIONS(1611),
    [anon_sym_restrict] = ACTIONS(1611),
    [anon_sym___restrict__] = ACTIONS(1611),
    [anon_sym__Atomic] = ACTIONS(1611),
    [anon_sym__Noreturn] = ACTIONS(1611),
    [anon_sym_noreturn] = ACTIONS(1611),
    [sym_primitive_type] = ACTIONS(1611),
    [anon_sym_enum] = ACTIONS(1611),
    [anon_sym_struct] = ACTIONS(1611),
    [anon_sym_union] = ACTIONS(1611),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1611),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1611),
    [anon_sym_hitAttributeEXT] = ACTIONS(1611),
    [anon_sym_callableDataEXT] = ACTIONS(1611),
    [anon_sym_callableDataInEXT] = ACTIONS(1611),
    [anon_sym_shaderRecordEXT] = ACTIONS(1611),
    [anon_sym_rayPayloadNV] = ACTIONS(1611),
    [anon_sym_rayPayloadInNV] = ACTIONS(1611),
    [anon_sym_hitAttributeNV] = ACTIONS(1611),
    [anon_sym_callableDataNV] = ACTIONS(1611),
    [anon_sym_callableDataInNV] = ACTIONS(1611),
    [anon_sym_shaderRecordNV] = ACTIONS(1611),
    [anon_sym_layout] = ACTIONS(1611),
  },
  [757] = {
    [sym_identifier] = ACTIONS(2524),
    [aux_sym_preproc_def_token1] = ACTIONS(2524),
    [aux_sym_preproc_if_token1] = ACTIONS(2524),
    [aux_sym_preproc_if_token2] = ACTIONS(2524),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2524),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2524),
    [aux_sym_preproc_else_token1] = ACTIONS(2524),
    [aux_sym_preproc_elif_token1] = ACTIONS(2524),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2524),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2524),
    [sym_preproc_directive] = ACTIONS(2524),
    [anon_sym_subroutine] = ACTIONS(2524),
    [anon_sym_invariant] = ACTIONS(2524),
    [anon_sym_precise] = ACTIONS(2524),
    [anon_sym_in] = ACTIONS(2524),
    [anon_sym_out] = ACTIONS(2524),
    [anon_sym_inout] = ACTIONS(2524),
    [anon_sym_uniform] = ACTIONS(2524),
    [anon_sym_shared] = ACTIONS(2524),
    [anon_sym_attribute] = ACTIONS(2524),
    [anon_sym_varying] = ACTIONS(2524),
    [anon_sym_buffer] = ACTIONS(2524),
    [anon_sym_coherent] = ACTIONS(2524),
    [anon_sym_readonly] = ACTIONS(2524),
    [anon_sym_writeonly] = ACTIONS(2524),
    [anon_sym_precision] = ACTIONS(2524),
    [anon_sym_highp] = ACTIONS(2524),
    [anon_sym_mediump] = ACTIONS(2524),
    [anon_sym_lowp] = ACTIONS(2524),
    [anon_sym_centroid] = ACTIONS(2524),
    [anon_sym_sample] = ACTIONS(2524),
    [anon_sym_patch] = ACTIONS(2524),
    [anon_sym_smooth] = ACTIONS(2524),
    [anon_sym_flat] = ACTIONS(2524),
    [anon_sym_noperspective] = ACTIONS(2524),
    [anon_sym___extension__] = ACTIONS(2524),
    [anon_sym_extern] = ACTIONS(2524),
    [anon_sym___attribute__] = ACTIONS(2524),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2526),
    [anon_sym___declspec] = ACTIONS(2524),
    [anon_sym_signed] = ACTIONS(2524),
    [anon_sym_unsigned] = ACTIONS(2524),
    [anon_sym_long] = ACTIONS(2524),
    [anon_sym_short] = ACTIONS(2524),
    [anon_sym_static] = ACTIONS(2524),
    [anon_sym_auto] = ACTIONS(2524),
    [anon_sym_register] = ACTIONS(2524),
    [anon_sym_inline] = ACTIONS(2524),
    [anon_sym___inline] = ACTIONS(2524),
    [anon_sym___inline__] = ACTIONS(2524),
    [anon_sym___forceinline] = ACTIONS(2524),
    [anon_sym_thread_local] = ACTIONS(2524),
    [anon_sym___thread] = ACTIONS(2524),
    [anon_sym_const] = ACTIONS(2524),
    [anon_sym_constexpr] = ACTIONS(2524),
    [anon_sym_volatile] = ACTIONS(2524),
    [anon_sym_restrict] = ACTIONS(2524),
    [anon_sym___restrict__] = ACTIONS(2524),
    [anon_sym__Atomic] = ACTIONS(2524),
    [anon_sym__Noreturn] = ACTIONS(2524),
    [anon_sym_noreturn] = ACTIONS(2524),
    [sym_primitive_type] = ACTIONS(2524),
    [anon_sym_enum] = ACTIONS(2524),
    [anon_sym_struct] = ACTIONS(2524),
    [anon_sym_union] = ACTIONS(2524),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2524),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2524),
    [anon_sym_hitAttributeEXT] = ACTIONS(2524),
    [anon_sym_callableDataEXT] = ACTIONS(2524),
    [anon_sym_callableDataInEXT] = ACTIONS(2524),
    [anon_sym_shaderRecordEXT] = ACTIONS(2524),
    [anon_sym_rayPayloadNV] = ACTIONS(2524),
    [anon_sym_rayPayloadInNV] = ACTIONS(2524),
    [anon_sym_hitAttributeNV] = ACTIONS(2524),
    [anon_sym_callableDataNV] = ACTIONS(2524),
    [anon_sym_callableDataInNV] = ACTIONS(2524),
    [anon_sym_shaderRecordNV] = ACTIONS(2524),
    [anon_sym_layout] = ACTIONS(2524),
  },
  [758] = {
    [sym_identifier] = ACTIONS(2528),
    [aux_sym_preproc_def_token1] = ACTIONS(2528),
    [aux_sym_preproc_if_token1] = ACTIONS(2528),
    [aux_sym_preproc_if_token2] = ACTIONS(2528),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2528),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2528),
    [aux_sym_preproc_else_token1] = ACTIONS(2528),
    [aux_sym_preproc_elif_token1] = ACTIONS(2528),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2528),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2528),
    [sym_preproc_directive] = ACTIONS(2528),
    [anon_sym_subroutine] = ACTIONS(2528),
    [anon_sym_invariant] = ACTIONS(2528),
    [anon_sym_precise] = ACTIONS(2528),
    [anon_sym_in] = ACTIONS(2528),
    [anon_sym_out] = ACTIONS(2528),
    [anon_sym_inout] = ACTIONS(2528),
    [anon_sym_uniform] = ACTIONS(2528),
    [anon_sym_shared] = ACTIONS(2528),
    [anon_sym_attribute] = ACTIONS(2528),
    [anon_sym_varying] = ACTIONS(2528),
    [anon_sym_buffer] = ACTIONS(2528),
    [anon_sym_coherent] = ACTIONS(2528),
    [anon_sym_readonly] = ACTIONS(2528),
    [anon_sym_writeonly] = ACTIONS(2528),
    [anon_sym_precision] = ACTIONS(2528),
    [anon_sym_highp] = ACTIONS(2528),
    [anon_sym_mediump] = ACTIONS(2528),
    [anon_sym_lowp] = ACTIONS(2528),
    [anon_sym_centroid] = ACTIONS(2528),
    [anon_sym_sample] = ACTIONS(2528),
    [anon_sym_patch] = ACTIONS(2528),
    [anon_sym_smooth] = ACTIONS(2528),
    [anon_sym_flat] = ACTIONS(2528),
    [anon_sym_noperspective] = ACTIONS(2528),
    [anon_sym___extension__] = ACTIONS(2528),
    [anon_sym_extern] = ACTIONS(2528),
    [anon_sym___attribute__] = ACTIONS(2528),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2530),
    [anon_sym___declspec] = ACTIONS(2528),
    [anon_sym_signed] = ACTIONS(2528),
    [anon_sym_unsigned] = ACTIONS(2528),
    [anon_sym_long] = ACTIONS(2528),
    [anon_sym_short] = ACTIONS(2528),
    [anon_sym_static] = ACTIONS(2528),
    [anon_sym_auto] = ACTIONS(2528),
    [anon_sym_register] = ACTIONS(2528),
    [anon_sym_inline] = ACTIONS(2528),
    [anon_sym___inline] = ACTIONS(2528),
    [anon_sym___inline__] = ACTIONS(2528),
    [anon_sym___forceinline] = ACTIONS(2528),
    [anon_sym_thread_local] = ACTIONS(2528),
    [anon_sym___thread] = ACTIONS(2528),
    [anon_sym_const] = ACTIONS(2528),
    [anon_sym_constexpr] = ACTIONS(2528),
    [anon_sym_volatile] = ACTIONS(2528),
    [anon_sym_restrict] = ACTIONS(2528),
    [anon_sym___restrict__] = ACTIONS(2528),
    [anon_sym__Atomic] = ACTIONS(2528),
    [anon_sym__Noreturn] = ACTIONS(2528),
    [anon_sym_noreturn] = ACTIONS(2528),
    [sym_primitive_type] = ACTIONS(2528),
    [anon_sym_enum] = ACTIONS(2528),
    [anon_sym_struct] = ACTIONS(2528),
    [anon_sym_union] = ACTIONS(2528),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2528),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2528),
    [anon_sym_hitAttributeEXT] = ACTIONS(2528),
    [anon_sym_callableDataEXT] = ACTIONS(2528),
    [anon_sym_callableDataInEXT] = ACTIONS(2528),
    [anon_sym_shaderRecordEXT] = ACTIONS(2528),
    [anon_sym_rayPayloadNV] = ACTIONS(2528),
    [anon_sym_rayPayloadInNV] = ACTIONS(2528),
    [anon_sym_hitAttributeNV] = ACTIONS(2528),
    [anon_sym_callableDataNV] = ACTIONS(2528),
    [anon_sym_callableDataInNV] = ACTIONS(2528),
    [anon_sym_shaderRecordNV] = ACTIONS(2528),
    [anon_sym_layout] = ACTIONS(2528),
  },
  [759] = {
    [sym_identifier] = ACTIONS(2532),
    [aux_sym_preproc_def_token1] = ACTIONS(2532),
    [aux_sym_preproc_if_token1] = ACTIONS(2532),
    [aux_sym_preproc_if_token2] = ACTIONS(2532),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2532),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2532),
    [aux_sym_preproc_else_token1] = ACTIONS(2532),
    [aux_sym_preproc_elif_token1] = ACTIONS(2532),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2532),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2532),
    [sym_preproc_directive] = ACTIONS(2532),
    [anon_sym_subroutine] = ACTIONS(2532),
    [anon_sym_invariant] = ACTIONS(2532),
    [anon_sym_precise] = ACTIONS(2532),
    [anon_sym_in] = ACTIONS(2532),
    [anon_sym_out] = ACTIONS(2532),
    [anon_sym_inout] = ACTIONS(2532),
    [anon_sym_uniform] = ACTIONS(2532),
    [anon_sym_shared] = ACTIONS(2532),
    [anon_sym_attribute] = ACTIONS(2532),
    [anon_sym_varying] = ACTIONS(2532),
    [anon_sym_buffer] = ACTIONS(2532),
    [anon_sym_coherent] = ACTIONS(2532),
    [anon_sym_readonly] = ACTIONS(2532),
    [anon_sym_writeonly] = ACTIONS(2532),
    [anon_sym_precision] = ACTIONS(2532),
    [anon_sym_highp] = ACTIONS(2532),
    [anon_sym_mediump] = ACTIONS(2532),
    [anon_sym_lowp] = ACTIONS(2532),
    [anon_sym_centroid] = ACTIONS(2532),
    [anon_sym_sample] = ACTIONS(2532),
    [anon_sym_patch] = ACTIONS(2532),
    [anon_sym_smooth] = ACTIONS(2532),
    [anon_sym_flat] = ACTIONS(2532),
    [anon_sym_noperspective] = ACTIONS(2532),
    [anon_sym___extension__] = ACTIONS(2532),
    [anon_sym_extern] = ACTIONS(2532),
    [anon_sym___attribute__] = ACTIONS(2532),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2534),
    [anon_sym___declspec] = ACTIONS(2532),
    [anon_sym_signed] = ACTIONS(2532),
    [anon_sym_unsigned] = ACTIONS(2532),
    [anon_sym_long] = ACTIONS(2532),
    [anon_sym_short] = ACTIONS(2532),
    [anon_sym_static] = ACTIONS(2532),
    [anon_sym_auto] = ACTIONS(2532),
    [anon_sym_register] = ACTIONS(2532),
    [anon_sym_inline] = ACTIONS(2532),
    [anon_sym___inline] = ACTIONS(2532),
    [anon_sym___inline__] = ACTIONS(2532),
    [anon_sym___forceinline] = ACTIONS(2532),
    [anon_sym_thread_local] = ACTIONS(2532),
    [anon_sym___thread] = ACTIONS(2532),
    [anon_sym_const] = ACTIONS(2532),
    [anon_sym_constexpr] = ACTIONS(2532),
    [anon_sym_volatile] = ACTIONS(2532),
    [anon_sym_restrict] = ACTIONS(2532),
    [anon_sym___restrict__] = ACTIONS(2532),
    [anon_sym__Atomic] = ACTIONS(2532),
    [anon_sym__Noreturn] = ACTIONS(2532),
    [anon_sym_noreturn] = ACTIONS(2532),
    [sym_primitive_type] = ACTIONS(2532),
    [anon_sym_enum] = ACTIONS(2532),
    [anon_sym_struct] = ACTIONS(2532),
    [anon_sym_union] = ACTIONS(2532),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2532),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2532),
    [anon_sym_hitAttributeEXT] = ACTIONS(2532),
    [anon_sym_callableDataEXT] = ACTIONS(2532),
    [anon_sym_callableDataInEXT] = ACTIONS(2532),
    [anon_sym_shaderRecordEXT] = ACTIONS(2532),
    [anon_sym_rayPayloadNV] = ACTIONS(2532),
    [anon_sym_rayPayloadInNV] = ACTIONS(2532),
    [anon_sym_hitAttributeNV] = ACTIONS(2532),
    [anon_sym_callableDataNV] = ACTIONS(2532),
    [anon_sym_callableDataInNV] = ACTIONS(2532),
    [anon_sym_shaderRecordNV] = ACTIONS(2532),
    [anon_sym_layout] = ACTIONS(2532),
  },
  [760] = {
    [sym_identifier] = ACTIONS(2536),
    [aux_sym_preproc_def_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token2] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2536),
    [aux_sym_preproc_else_token1] = ACTIONS(2536),
    [aux_sym_preproc_elif_token1] = ACTIONS(2536),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2536),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2536),
    [sym_preproc_directive] = ACTIONS(2536),
    [anon_sym_subroutine] = ACTIONS(2536),
    [anon_sym_invariant] = ACTIONS(2536),
    [anon_sym_precise] = ACTIONS(2536),
    [anon_sym_in] = ACTIONS(2536),
    [anon_sym_out] = ACTIONS(2536),
    [anon_sym_inout] = ACTIONS(2536),
    [anon_sym_uniform] = ACTIONS(2536),
    [anon_sym_shared] = ACTIONS(2536),
    [anon_sym_attribute] = ACTIONS(2536),
    [anon_sym_varying] = ACTIONS(2536),
    [anon_sym_buffer] = ACTIONS(2536),
    [anon_sym_coherent] = ACTIONS(2536),
    [anon_sym_readonly] = ACTIONS(2536),
    [anon_sym_writeonly] = ACTIONS(2536),
    [anon_sym_precision] = ACTIONS(2536),
    [anon_sym_highp] = ACTIONS(2536),
    [anon_sym_mediump] = ACTIONS(2536),
    [anon_sym_lowp] = ACTIONS(2536),
    [anon_sym_centroid] = ACTIONS(2536),
    [anon_sym_sample] = ACTIONS(2536),
    [anon_sym_patch] = ACTIONS(2536),
    [anon_sym_smooth] = ACTIONS(2536),
    [anon_sym_flat] = ACTIONS(2536),
    [anon_sym_noperspective] = ACTIONS(2536),
    [anon_sym___extension__] = ACTIONS(2536),
    [anon_sym_extern] = ACTIONS(2536),
    [anon_sym___attribute__] = ACTIONS(2536),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2538),
    [anon_sym___declspec] = ACTIONS(2536),
    [anon_sym_signed] = ACTIONS(2536),
    [anon_sym_unsigned] = ACTIONS(2536),
    [anon_sym_long] = ACTIONS(2536),
    [anon_sym_short] = ACTIONS(2536),
    [anon_sym_static] = ACTIONS(2536),
    [anon_sym_auto] = ACTIONS(2536),
    [anon_sym_register] = ACTIONS(2536),
    [anon_sym_inline] = ACTIONS(2536),
    [anon_sym___inline] = ACTIONS(2536),
    [anon_sym___inline__] = ACTIONS(2536),
    [anon_sym___forceinline] = ACTIONS(2536),
    [anon_sym_thread_local] = ACTIONS(2536),
    [anon_sym___thread] = ACTIONS(2536),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_constexpr] = ACTIONS(2536),
    [anon_sym_volatile] = ACTIONS(2536),
    [anon_sym_restrict] = ACTIONS(2536),
    [anon_sym___restrict__] = ACTIONS(2536),
    [anon_sym__Atomic] = ACTIONS(2536),
    [anon_sym__Noreturn] = ACTIONS(2536),
    [anon_sym_noreturn] = ACTIONS(2536),
    [sym_primitive_type] = ACTIONS(2536),
    [anon_sym_enum] = ACTIONS(2536),
    [anon_sym_struct] = ACTIONS(2536),
    [anon_sym_union] = ACTIONS(2536),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2536),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2536),
    [anon_sym_hitAttributeEXT] = ACTIONS(2536),
    [anon_sym_callableDataEXT] = ACTIONS(2536),
    [anon_sym_callableDataInEXT] = ACTIONS(2536),
    [anon_sym_shaderRecordEXT] = ACTIONS(2536),
    [anon_sym_rayPayloadNV] = ACTIONS(2536),
    [anon_sym_rayPayloadInNV] = ACTIONS(2536),
    [anon_sym_hitAttributeNV] = ACTIONS(2536),
    [anon_sym_callableDataNV] = ACTIONS(2536),
    [anon_sym_callableDataInNV] = ACTIONS(2536),
    [anon_sym_shaderRecordNV] = ACTIONS(2536),
    [anon_sym_layout] = ACTIONS(2536),
  },
  [761] = {
    [sym_identifier] = ACTIONS(2540),
    [aux_sym_preproc_def_token1] = ACTIONS(2540),
    [aux_sym_preproc_if_token1] = ACTIONS(2540),
    [aux_sym_preproc_if_token2] = ACTIONS(2540),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2540),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2540),
    [aux_sym_preproc_else_token1] = ACTIONS(2540),
    [aux_sym_preproc_elif_token1] = ACTIONS(2540),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2540),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2540),
    [sym_preproc_directive] = ACTIONS(2540),
    [anon_sym_subroutine] = ACTIONS(2540),
    [anon_sym_invariant] = ACTIONS(2540),
    [anon_sym_precise] = ACTIONS(2540),
    [anon_sym_in] = ACTIONS(2540),
    [anon_sym_out] = ACTIONS(2540),
    [anon_sym_inout] = ACTIONS(2540),
    [anon_sym_uniform] = ACTIONS(2540),
    [anon_sym_shared] = ACTIONS(2540),
    [anon_sym_attribute] = ACTIONS(2540),
    [anon_sym_varying] = ACTIONS(2540),
    [anon_sym_buffer] = ACTIONS(2540),
    [anon_sym_coherent] = ACTIONS(2540),
    [anon_sym_readonly] = ACTIONS(2540),
    [anon_sym_writeonly] = ACTIONS(2540),
    [anon_sym_precision] = ACTIONS(2540),
    [anon_sym_highp] = ACTIONS(2540),
    [anon_sym_mediump] = ACTIONS(2540),
    [anon_sym_lowp] = ACTIONS(2540),
    [anon_sym_centroid] = ACTIONS(2540),
    [anon_sym_sample] = ACTIONS(2540),
    [anon_sym_patch] = ACTIONS(2540),
    [anon_sym_smooth] = ACTIONS(2540),
    [anon_sym_flat] = ACTIONS(2540),
    [anon_sym_noperspective] = ACTIONS(2540),
    [anon_sym___extension__] = ACTIONS(2540),
    [anon_sym_extern] = ACTIONS(2540),
    [anon_sym___attribute__] = ACTIONS(2540),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2542),
    [anon_sym___declspec] = ACTIONS(2540),
    [anon_sym_signed] = ACTIONS(2540),
    [anon_sym_unsigned] = ACTIONS(2540),
    [anon_sym_long] = ACTIONS(2540),
    [anon_sym_short] = ACTIONS(2540),
    [anon_sym_static] = ACTIONS(2540),
    [anon_sym_auto] = ACTIONS(2540),
    [anon_sym_register] = ACTIONS(2540),
    [anon_sym_inline] = ACTIONS(2540),
    [anon_sym___inline] = ACTIONS(2540),
    [anon_sym___inline__] = ACTIONS(2540),
    [anon_sym___forceinline] = ACTIONS(2540),
    [anon_sym_thread_local] = ACTIONS(2540),
    [anon_sym___thread] = ACTIONS(2540),
    [anon_sym_const] = ACTIONS(2540),
    [anon_sym_constexpr] = ACTIONS(2540),
    [anon_sym_volatile] = ACTIONS(2540),
    [anon_sym_restrict] = ACTIONS(2540),
    [anon_sym___restrict__] = ACTIONS(2540),
    [anon_sym__Atomic] = ACTIONS(2540),
    [anon_sym__Noreturn] = ACTIONS(2540),
    [anon_sym_noreturn] = ACTIONS(2540),
    [sym_primitive_type] = ACTIONS(2540),
    [anon_sym_enum] = ACTIONS(2540),
    [anon_sym_struct] = ACTIONS(2540),
    [anon_sym_union] = ACTIONS(2540),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2540),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2540),
    [anon_sym_hitAttributeEXT] = ACTIONS(2540),
    [anon_sym_callableDataEXT] = ACTIONS(2540),
    [anon_sym_callableDataInEXT] = ACTIONS(2540),
    [anon_sym_shaderRecordEXT] = ACTIONS(2540),
    [anon_sym_rayPayloadNV] = ACTIONS(2540),
    [anon_sym_rayPayloadInNV] = ACTIONS(2540),
    [anon_sym_hitAttributeNV] = ACTIONS(2540),
    [anon_sym_callableDataNV] = ACTIONS(2540),
    [anon_sym_callableDataInNV] = ACTIONS(2540),
    [anon_sym_shaderRecordNV] = ACTIONS(2540),
    [anon_sym_layout] = ACTIONS(2540),
  },
  [762] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token2] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [aux_sym_preproc_else_token1] = ACTIONS(2544),
    [aux_sym_preproc_elif_token1] = ACTIONS(2544),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_subroutine] = ACTIONS(2544),
    [anon_sym_invariant] = ACTIONS(2544),
    [anon_sym_precise] = ACTIONS(2544),
    [anon_sym_in] = ACTIONS(2544),
    [anon_sym_out] = ACTIONS(2544),
    [anon_sym_inout] = ACTIONS(2544),
    [anon_sym_uniform] = ACTIONS(2544),
    [anon_sym_shared] = ACTIONS(2544),
    [anon_sym_attribute] = ACTIONS(2544),
    [anon_sym_varying] = ACTIONS(2544),
    [anon_sym_buffer] = ACTIONS(2544),
    [anon_sym_coherent] = ACTIONS(2544),
    [anon_sym_readonly] = ACTIONS(2544),
    [anon_sym_writeonly] = ACTIONS(2544),
    [anon_sym_precision] = ACTIONS(2544),
    [anon_sym_highp] = ACTIONS(2544),
    [anon_sym_mediump] = ACTIONS(2544),
    [anon_sym_lowp] = ACTIONS(2544),
    [anon_sym_centroid] = ACTIONS(2544),
    [anon_sym_sample] = ACTIONS(2544),
    [anon_sym_patch] = ACTIONS(2544),
    [anon_sym_smooth] = ACTIONS(2544),
    [anon_sym_flat] = ACTIONS(2544),
    [anon_sym_noperspective] = ACTIONS(2544),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_auto] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2544),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2544),
    [anon_sym_hitAttributeEXT] = ACTIONS(2544),
    [anon_sym_callableDataEXT] = ACTIONS(2544),
    [anon_sym_callableDataInEXT] = ACTIONS(2544),
    [anon_sym_shaderRecordEXT] = ACTIONS(2544),
    [anon_sym_rayPayloadNV] = ACTIONS(2544),
    [anon_sym_rayPayloadInNV] = ACTIONS(2544),
    [anon_sym_hitAttributeNV] = ACTIONS(2544),
    [anon_sym_callableDataNV] = ACTIONS(2544),
    [anon_sym_callableDataInNV] = ACTIONS(2544),
    [anon_sym_shaderRecordNV] = ACTIONS(2544),
    [anon_sym_layout] = ACTIONS(2544),
  },
  [763] = {
    [sym_identifier] = ACTIONS(1591),
    [aux_sym_preproc_def_token1] = ACTIONS(1591),
    [aux_sym_preproc_if_token1] = ACTIONS(1591),
    [aux_sym_preproc_if_token2] = ACTIONS(1591),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1591),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1591),
    [aux_sym_preproc_else_token1] = ACTIONS(1591),
    [aux_sym_preproc_elif_token1] = ACTIONS(1591),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1591),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1591),
    [sym_preproc_directive] = ACTIONS(1591),
    [anon_sym_subroutine] = ACTIONS(1591),
    [anon_sym_invariant] = ACTIONS(1591),
    [anon_sym_precise] = ACTIONS(1591),
    [anon_sym_in] = ACTIONS(1591),
    [anon_sym_out] = ACTIONS(1591),
    [anon_sym_inout] = ACTIONS(1591),
    [anon_sym_uniform] = ACTIONS(1591),
    [anon_sym_shared] = ACTIONS(1591),
    [anon_sym_attribute] = ACTIONS(1591),
    [anon_sym_varying] = ACTIONS(1591),
    [anon_sym_buffer] = ACTIONS(1591),
    [anon_sym_coherent] = ACTIONS(1591),
    [anon_sym_readonly] = ACTIONS(1591),
    [anon_sym_writeonly] = ACTIONS(1591),
    [anon_sym_precision] = ACTIONS(1591),
    [anon_sym_highp] = ACTIONS(1591),
    [anon_sym_mediump] = ACTIONS(1591),
    [anon_sym_lowp] = ACTIONS(1591),
    [anon_sym_centroid] = ACTIONS(1591),
    [anon_sym_sample] = ACTIONS(1591),
    [anon_sym_patch] = ACTIONS(1591),
    [anon_sym_smooth] = ACTIONS(1591),
    [anon_sym_flat] = ACTIONS(1591),
    [anon_sym_noperspective] = ACTIONS(1591),
    [anon_sym___extension__] = ACTIONS(1591),
    [anon_sym_extern] = ACTIONS(1591),
    [anon_sym___attribute__] = ACTIONS(1591),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1593),
    [anon_sym___declspec] = ACTIONS(1591),
    [anon_sym_signed] = ACTIONS(1591),
    [anon_sym_unsigned] = ACTIONS(1591),
    [anon_sym_long] = ACTIONS(1591),
    [anon_sym_short] = ACTIONS(1591),
    [anon_sym_static] = ACTIONS(1591),
    [anon_sym_auto] = ACTIONS(1591),
    [anon_sym_register] = ACTIONS(1591),
    [anon_sym_inline] = ACTIONS(1591),
    [anon_sym___inline] = ACTIONS(1591),
    [anon_sym___inline__] = ACTIONS(1591),
    [anon_sym___forceinline] = ACTIONS(1591),
    [anon_sym_thread_local] = ACTIONS(1591),
    [anon_sym___thread] = ACTIONS(1591),
    [anon_sym_const] = ACTIONS(1591),
    [anon_sym_constexpr] = ACTIONS(1591),
    [anon_sym_volatile] = ACTIONS(1591),
    [anon_sym_restrict] = ACTIONS(1591),
    [anon_sym___restrict__] = ACTIONS(1591),
    [anon_sym__Atomic] = ACTIONS(1591),
    [anon_sym__Noreturn] = ACTIONS(1591),
    [anon_sym_noreturn] = ACTIONS(1591),
    [sym_primitive_type] = ACTIONS(1591),
    [anon_sym_enum] = ACTIONS(1591),
    [anon_sym_struct] = ACTIONS(1591),
    [anon_sym_union] = ACTIONS(1591),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1591),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1591),
    [anon_sym_hitAttributeEXT] = ACTIONS(1591),
    [anon_sym_callableDataEXT] = ACTIONS(1591),
    [anon_sym_callableDataInEXT] = ACTIONS(1591),
    [anon_sym_shaderRecordEXT] = ACTIONS(1591),
    [anon_sym_rayPayloadNV] = ACTIONS(1591),
    [anon_sym_rayPayloadInNV] = ACTIONS(1591),
    [anon_sym_hitAttributeNV] = ACTIONS(1591),
    [anon_sym_callableDataNV] = ACTIONS(1591),
    [anon_sym_callableDataInNV] = ACTIONS(1591),
    [anon_sym_shaderRecordNV] = ACTIONS(1591),
    [anon_sym_layout] = ACTIONS(1591),
  },
  [764] = {
    [sym_identifier] = ACTIONS(2548),
    [aux_sym_preproc_def_token1] = ACTIONS(2548),
    [aux_sym_preproc_if_token1] = ACTIONS(2548),
    [aux_sym_preproc_if_token2] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2548),
    [aux_sym_preproc_else_token1] = ACTIONS(2548),
    [aux_sym_preproc_elif_token1] = ACTIONS(2548),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2548),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2548),
    [sym_preproc_directive] = ACTIONS(2548),
    [anon_sym_subroutine] = ACTIONS(2548),
    [anon_sym_invariant] = ACTIONS(2548),
    [anon_sym_precise] = ACTIONS(2548),
    [anon_sym_in] = ACTIONS(2548),
    [anon_sym_out] = ACTIONS(2548),
    [anon_sym_inout] = ACTIONS(2548),
    [anon_sym_uniform] = ACTIONS(2548),
    [anon_sym_shared] = ACTIONS(2548),
    [anon_sym_attribute] = ACTIONS(2548),
    [anon_sym_varying] = ACTIONS(2548),
    [anon_sym_buffer] = ACTIONS(2548),
    [anon_sym_coherent] = ACTIONS(2548),
    [anon_sym_readonly] = ACTIONS(2548),
    [anon_sym_writeonly] = ACTIONS(2548),
    [anon_sym_precision] = ACTIONS(2548),
    [anon_sym_highp] = ACTIONS(2548),
    [anon_sym_mediump] = ACTIONS(2548),
    [anon_sym_lowp] = ACTIONS(2548),
    [anon_sym_centroid] = ACTIONS(2548),
    [anon_sym_sample] = ACTIONS(2548),
    [anon_sym_patch] = ACTIONS(2548),
    [anon_sym_smooth] = ACTIONS(2548),
    [anon_sym_flat] = ACTIONS(2548),
    [anon_sym_noperspective] = ACTIONS(2548),
    [anon_sym___extension__] = ACTIONS(2548),
    [anon_sym_extern] = ACTIONS(2548),
    [anon_sym___attribute__] = ACTIONS(2548),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2550),
    [anon_sym___declspec] = ACTIONS(2548),
    [anon_sym_signed] = ACTIONS(2548),
    [anon_sym_unsigned] = ACTIONS(2548),
    [anon_sym_long] = ACTIONS(2548),
    [anon_sym_short] = ACTIONS(2548),
    [anon_sym_static] = ACTIONS(2548),
    [anon_sym_auto] = ACTIONS(2548),
    [anon_sym_register] = ACTIONS(2548),
    [anon_sym_inline] = ACTIONS(2548),
    [anon_sym___inline] = ACTIONS(2548),
    [anon_sym___inline__] = ACTIONS(2548),
    [anon_sym___forceinline] = ACTIONS(2548),
    [anon_sym_thread_local] = ACTIONS(2548),
    [anon_sym___thread] = ACTIONS(2548),
    [anon_sym_const] = ACTIONS(2548),
    [anon_sym_constexpr] = ACTIONS(2548),
    [anon_sym_volatile] = ACTIONS(2548),
    [anon_sym_restrict] = ACTIONS(2548),
    [anon_sym___restrict__] = ACTIONS(2548),
    [anon_sym__Atomic] = ACTIONS(2548),
    [anon_sym__Noreturn] = ACTIONS(2548),
    [anon_sym_noreturn] = ACTIONS(2548),
    [sym_primitive_type] = ACTIONS(2548),
    [anon_sym_enum] = ACTIONS(2548),
    [anon_sym_struct] = ACTIONS(2548),
    [anon_sym_union] = ACTIONS(2548),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2548),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2548),
    [anon_sym_hitAttributeEXT] = ACTIONS(2548),
    [anon_sym_callableDataEXT] = ACTIONS(2548),
    [anon_sym_callableDataInEXT] = ACTIONS(2548),
    [anon_sym_shaderRecordEXT] = ACTIONS(2548),
    [anon_sym_rayPayloadNV] = ACTIONS(2548),
    [anon_sym_rayPayloadInNV] = ACTIONS(2548),
    [anon_sym_hitAttributeNV] = ACTIONS(2548),
    [anon_sym_callableDataNV] = ACTIONS(2548),
    [anon_sym_callableDataInNV] = ACTIONS(2548),
    [anon_sym_shaderRecordNV] = ACTIONS(2548),
    [anon_sym_layout] = ACTIONS(2548),
  },
  [765] = {
    [sym_identifier] = ACTIONS(2552),
    [aux_sym_preproc_def_token1] = ACTIONS(2552),
    [aux_sym_preproc_if_token1] = ACTIONS(2552),
    [aux_sym_preproc_if_token2] = ACTIONS(2552),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2552),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2552),
    [aux_sym_preproc_else_token1] = ACTIONS(2552),
    [aux_sym_preproc_elif_token1] = ACTIONS(2552),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2552),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2552),
    [sym_preproc_directive] = ACTIONS(2552),
    [anon_sym_subroutine] = ACTIONS(2552),
    [anon_sym_invariant] = ACTIONS(2552),
    [anon_sym_precise] = ACTIONS(2552),
    [anon_sym_in] = ACTIONS(2552),
    [anon_sym_out] = ACTIONS(2552),
    [anon_sym_inout] = ACTIONS(2552),
    [anon_sym_uniform] = ACTIONS(2552),
    [anon_sym_shared] = ACTIONS(2552),
    [anon_sym_attribute] = ACTIONS(2552),
    [anon_sym_varying] = ACTIONS(2552),
    [anon_sym_buffer] = ACTIONS(2552),
    [anon_sym_coherent] = ACTIONS(2552),
    [anon_sym_readonly] = ACTIONS(2552),
    [anon_sym_writeonly] = ACTIONS(2552),
    [anon_sym_precision] = ACTIONS(2552),
    [anon_sym_highp] = ACTIONS(2552),
    [anon_sym_mediump] = ACTIONS(2552),
    [anon_sym_lowp] = ACTIONS(2552),
    [anon_sym_centroid] = ACTIONS(2552),
    [anon_sym_sample] = ACTIONS(2552),
    [anon_sym_patch] = ACTIONS(2552),
    [anon_sym_smooth] = ACTIONS(2552),
    [anon_sym_flat] = ACTIONS(2552),
    [anon_sym_noperspective] = ACTIONS(2552),
    [anon_sym___extension__] = ACTIONS(2552),
    [anon_sym_extern] = ACTIONS(2552),
    [anon_sym___attribute__] = ACTIONS(2552),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2554),
    [anon_sym___declspec] = ACTIONS(2552),
    [anon_sym_signed] = ACTIONS(2552),
    [anon_sym_unsigned] = ACTIONS(2552),
    [anon_sym_long] = ACTIONS(2552),
    [anon_sym_short] = ACTIONS(2552),
    [anon_sym_static] = ACTIONS(2552),
    [anon_sym_auto] = ACTIONS(2552),
    [anon_sym_register] = ACTIONS(2552),
    [anon_sym_inline] = ACTIONS(2552),
    [anon_sym___inline] = ACTIONS(2552),
    [anon_sym___inline__] = ACTIONS(2552),
    [anon_sym___forceinline] = ACTIONS(2552),
    [anon_sym_thread_local] = ACTIONS(2552),
    [anon_sym___thread] = ACTIONS(2552),
    [anon_sym_const] = ACTIONS(2552),
    [anon_sym_constexpr] = ACTIONS(2552),
    [anon_sym_volatile] = ACTIONS(2552),
    [anon_sym_restrict] = ACTIONS(2552),
    [anon_sym___restrict__] = ACTIONS(2552),
    [anon_sym__Atomic] = ACTIONS(2552),
    [anon_sym__Noreturn] = ACTIONS(2552),
    [anon_sym_noreturn] = ACTIONS(2552),
    [sym_primitive_type] = ACTIONS(2552),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_struct] = ACTIONS(2552),
    [anon_sym_union] = ACTIONS(2552),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2552),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2552),
    [anon_sym_hitAttributeEXT] = ACTIONS(2552),
    [anon_sym_callableDataEXT] = ACTIONS(2552),
    [anon_sym_callableDataInEXT] = ACTIONS(2552),
    [anon_sym_shaderRecordEXT] = ACTIONS(2552),
    [anon_sym_rayPayloadNV] = ACTIONS(2552),
    [anon_sym_rayPayloadInNV] = ACTIONS(2552),
    [anon_sym_hitAttributeNV] = ACTIONS(2552),
    [anon_sym_callableDataNV] = ACTIONS(2552),
    [anon_sym_callableDataInNV] = ACTIONS(2552),
    [anon_sym_shaderRecordNV] = ACTIONS(2552),
    [anon_sym_layout] = ACTIONS(2552),
  },
  [766] = {
    [sym_identifier] = ACTIONS(2556),
    [aux_sym_preproc_def_token1] = ACTIONS(2556),
    [aux_sym_preproc_if_token1] = ACTIONS(2556),
    [aux_sym_preproc_if_token2] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2556),
    [aux_sym_preproc_else_token1] = ACTIONS(2556),
    [aux_sym_preproc_elif_token1] = ACTIONS(2556),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2556),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2556),
    [sym_preproc_directive] = ACTIONS(2556),
    [anon_sym_subroutine] = ACTIONS(2556),
    [anon_sym_invariant] = ACTIONS(2556),
    [anon_sym_precise] = ACTIONS(2556),
    [anon_sym_in] = ACTIONS(2556),
    [anon_sym_out] = ACTIONS(2556),
    [anon_sym_inout] = ACTIONS(2556),
    [anon_sym_uniform] = ACTIONS(2556),
    [anon_sym_shared] = ACTIONS(2556),
    [anon_sym_attribute] = ACTIONS(2556),
    [anon_sym_varying] = ACTIONS(2556),
    [anon_sym_buffer] = ACTIONS(2556),
    [anon_sym_coherent] = ACTIONS(2556),
    [anon_sym_readonly] = ACTIONS(2556),
    [anon_sym_writeonly] = ACTIONS(2556),
    [anon_sym_precision] = ACTIONS(2556),
    [anon_sym_highp] = ACTIONS(2556),
    [anon_sym_mediump] = ACTIONS(2556),
    [anon_sym_lowp] = ACTIONS(2556),
    [anon_sym_centroid] = ACTIONS(2556),
    [anon_sym_sample] = ACTIONS(2556),
    [anon_sym_patch] = ACTIONS(2556),
    [anon_sym_smooth] = ACTIONS(2556),
    [anon_sym_flat] = ACTIONS(2556),
    [anon_sym_noperspective] = ACTIONS(2556),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_extern] = ACTIONS(2556),
    [anon_sym___attribute__] = ACTIONS(2556),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2558),
    [anon_sym___declspec] = ACTIONS(2556),
    [anon_sym_signed] = ACTIONS(2556),
    [anon_sym_unsigned] = ACTIONS(2556),
    [anon_sym_long] = ACTIONS(2556),
    [anon_sym_short] = ACTIONS(2556),
    [anon_sym_static] = ACTIONS(2556),
    [anon_sym_auto] = ACTIONS(2556),
    [anon_sym_register] = ACTIONS(2556),
    [anon_sym_inline] = ACTIONS(2556),
    [anon_sym___inline] = ACTIONS(2556),
    [anon_sym___inline__] = ACTIONS(2556),
    [anon_sym___forceinline] = ACTIONS(2556),
    [anon_sym_thread_local] = ACTIONS(2556),
    [anon_sym___thread] = ACTIONS(2556),
    [anon_sym_const] = ACTIONS(2556),
    [anon_sym_constexpr] = ACTIONS(2556),
    [anon_sym_volatile] = ACTIONS(2556),
    [anon_sym_restrict] = ACTIONS(2556),
    [anon_sym___restrict__] = ACTIONS(2556),
    [anon_sym__Atomic] = ACTIONS(2556),
    [anon_sym__Noreturn] = ACTIONS(2556),
    [anon_sym_noreturn] = ACTIONS(2556),
    [sym_primitive_type] = ACTIONS(2556),
    [anon_sym_enum] = ACTIONS(2556),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2556),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2556),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2556),
    [anon_sym_hitAttributeEXT] = ACTIONS(2556),
    [anon_sym_callableDataEXT] = ACTIONS(2556),
    [anon_sym_callableDataInEXT] = ACTIONS(2556),
    [anon_sym_shaderRecordEXT] = ACTIONS(2556),
    [anon_sym_rayPayloadNV] = ACTIONS(2556),
    [anon_sym_rayPayloadInNV] = ACTIONS(2556),
    [anon_sym_hitAttributeNV] = ACTIONS(2556),
    [anon_sym_callableDataNV] = ACTIONS(2556),
    [anon_sym_callableDataInNV] = ACTIONS(2556),
    [anon_sym_shaderRecordNV] = ACTIONS(2556),
    [anon_sym_layout] = ACTIONS(2556),
  },
  [767] = {
    [sym_identifier] = ACTIONS(2560),
    [aux_sym_preproc_def_token1] = ACTIONS(2560),
    [aux_sym_preproc_if_token1] = ACTIONS(2560),
    [aux_sym_preproc_if_token2] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2560),
    [aux_sym_preproc_else_token1] = ACTIONS(2560),
    [aux_sym_preproc_elif_token1] = ACTIONS(2560),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2560),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2560),
    [sym_preproc_directive] = ACTIONS(2560),
    [anon_sym_subroutine] = ACTIONS(2560),
    [anon_sym_invariant] = ACTIONS(2560),
    [anon_sym_precise] = ACTIONS(2560),
    [anon_sym_in] = ACTIONS(2560),
    [anon_sym_out] = ACTIONS(2560),
    [anon_sym_inout] = ACTIONS(2560),
    [anon_sym_uniform] = ACTIONS(2560),
    [anon_sym_shared] = ACTIONS(2560),
    [anon_sym_attribute] = ACTIONS(2560),
    [anon_sym_varying] = ACTIONS(2560),
    [anon_sym_buffer] = ACTIONS(2560),
    [anon_sym_coherent] = ACTIONS(2560),
    [anon_sym_readonly] = ACTIONS(2560),
    [anon_sym_writeonly] = ACTIONS(2560),
    [anon_sym_precision] = ACTIONS(2560),
    [anon_sym_highp] = ACTIONS(2560),
    [anon_sym_mediump] = ACTIONS(2560),
    [anon_sym_lowp] = ACTIONS(2560),
    [anon_sym_centroid] = ACTIONS(2560),
    [anon_sym_sample] = ACTIONS(2560),
    [anon_sym_patch] = ACTIONS(2560),
    [anon_sym_smooth] = ACTIONS(2560),
    [anon_sym_flat] = ACTIONS(2560),
    [anon_sym_noperspective] = ACTIONS(2560),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_extern] = ACTIONS(2560),
    [anon_sym___attribute__] = ACTIONS(2560),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2562),
    [anon_sym___declspec] = ACTIONS(2560),
    [anon_sym_signed] = ACTIONS(2560),
    [anon_sym_unsigned] = ACTIONS(2560),
    [anon_sym_long] = ACTIONS(2560),
    [anon_sym_short] = ACTIONS(2560),
    [anon_sym_static] = ACTIONS(2560),
    [anon_sym_auto] = ACTIONS(2560),
    [anon_sym_register] = ACTIONS(2560),
    [anon_sym_inline] = ACTIONS(2560),
    [anon_sym___inline] = ACTIONS(2560),
    [anon_sym___inline__] = ACTIONS(2560),
    [anon_sym___forceinline] = ACTIONS(2560),
    [anon_sym_thread_local] = ACTIONS(2560),
    [anon_sym___thread] = ACTIONS(2560),
    [anon_sym_const] = ACTIONS(2560),
    [anon_sym_constexpr] = ACTIONS(2560),
    [anon_sym_volatile] = ACTIONS(2560),
    [anon_sym_restrict] = ACTIONS(2560),
    [anon_sym___restrict__] = ACTIONS(2560),
    [anon_sym__Atomic] = ACTIONS(2560),
    [anon_sym__Noreturn] = ACTIONS(2560),
    [anon_sym_noreturn] = ACTIONS(2560),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_enum] = ACTIONS(2560),
    [anon_sym_struct] = ACTIONS(2560),
    [anon_sym_union] = ACTIONS(2560),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2560),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2560),
    [anon_sym_hitAttributeEXT] = ACTIONS(2560),
    [anon_sym_callableDataEXT] = ACTIONS(2560),
    [anon_sym_callableDataInEXT] = ACTIONS(2560),
    [anon_sym_shaderRecordEXT] = ACTIONS(2560),
    [anon_sym_rayPayloadNV] = ACTIONS(2560),
    [anon_sym_rayPayloadInNV] = ACTIONS(2560),
    [anon_sym_hitAttributeNV] = ACTIONS(2560),
    [anon_sym_callableDataNV] = ACTIONS(2560),
    [anon_sym_callableDataInNV] = ACTIONS(2560),
    [anon_sym_shaderRecordNV] = ACTIONS(2560),
    [anon_sym_layout] = ACTIONS(2560),
  },
  [768] = {
    [sym_identifier] = ACTIONS(1623),
    [aux_sym_preproc_def_token1] = ACTIONS(1623),
    [aux_sym_preproc_if_token1] = ACTIONS(1623),
    [aux_sym_preproc_if_token2] = ACTIONS(1623),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1623),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1623),
    [aux_sym_preproc_else_token1] = ACTIONS(1623),
    [aux_sym_preproc_elif_token1] = ACTIONS(1623),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1623),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1623),
    [sym_preproc_directive] = ACTIONS(1623),
    [anon_sym_subroutine] = ACTIONS(1623),
    [anon_sym_invariant] = ACTIONS(1623),
    [anon_sym_precise] = ACTIONS(1623),
    [anon_sym_in] = ACTIONS(1623),
    [anon_sym_out] = ACTIONS(1623),
    [anon_sym_inout] = ACTIONS(1623),
    [anon_sym_uniform] = ACTIONS(1623),
    [anon_sym_shared] = ACTIONS(1623),
    [anon_sym_attribute] = ACTIONS(1623),
    [anon_sym_varying] = ACTIONS(1623),
    [anon_sym_buffer] = ACTIONS(1623),
    [anon_sym_coherent] = ACTIONS(1623),
    [anon_sym_readonly] = ACTIONS(1623),
    [anon_sym_writeonly] = ACTIONS(1623),
    [anon_sym_precision] = ACTIONS(1623),
    [anon_sym_highp] = ACTIONS(1623),
    [anon_sym_mediump] = ACTIONS(1623),
    [anon_sym_lowp] = ACTIONS(1623),
    [anon_sym_centroid] = ACTIONS(1623),
    [anon_sym_sample] = ACTIONS(1623),
    [anon_sym_patch] = ACTIONS(1623),
    [anon_sym_smooth] = ACTIONS(1623),
    [anon_sym_flat] = ACTIONS(1623),
    [anon_sym_noperspective] = ACTIONS(1623),
    [anon_sym___extension__] = ACTIONS(1623),
    [anon_sym_extern] = ACTIONS(1623),
    [anon_sym___attribute__] = ACTIONS(1623),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1625),
    [anon_sym___declspec] = ACTIONS(1623),
    [anon_sym_signed] = ACTIONS(1623),
    [anon_sym_unsigned] = ACTIONS(1623),
    [anon_sym_long] = ACTIONS(1623),
    [anon_sym_short] = ACTIONS(1623),
    [anon_sym_static] = ACTIONS(1623),
    [anon_sym_auto] = ACTIONS(1623),
    [anon_sym_register] = ACTIONS(1623),
    [anon_sym_inline] = ACTIONS(1623),
    [anon_sym___inline] = ACTIONS(1623),
    [anon_sym___inline__] = ACTIONS(1623),
    [anon_sym___forceinline] = ACTIONS(1623),
    [anon_sym_thread_local] = ACTIONS(1623),
    [anon_sym___thread] = ACTIONS(1623),
    [anon_sym_const] = ACTIONS(1623),
    [anon_sym_constexpr] = ACTIONS(1623),
    [anon_sym_volatile] = ACTIONS(1623),
    [anon_sym_restrict] = ACTIONS(1623),
    [anon_sym___restrict__] = ACTIONS(1623),
    [anon_sym__Atomic] = ACTIONS(1623),
    [anon_sym__Noreturn] = ACTIONS(1623),
    [anon_sym_noreturn] = ACTIONS(1623),
    [sym_primitive_type] = ACTIONS(1623),
    [anon_sym_enum] = ACTIONS(1623),
    [anon_sym_struct] = ACTIONS(1623),
    [anon_sym_union] = ACTIONS(1623),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1623),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1623),
    [anon_sym_hitAttributeEXT] = ACTIONS(1623),
    [anon_sym_callableDataEXT] = ACTIONS(1623),
    [anon_sym_callableDataInEXT] = ACTIONS(1623),
    [anon_sym_shaderRecordEXT] = ACTIONS(1623),
    [anon_sym_rayPayloadNV] = ACTIONS(1623),
    [anon_sym_rayPayloadInNV] = ACTIONS(1623),
    [anon_sym_hitAttributeNV] = ACTIONS(1623),
    [anon_sym_callableDataNV] = ACTIONS(1623),
    [anon_sym_callableDataInNV] = ACTIONS(1623),
    [anon_sym_shaderRecordNV] = ACTIONS(1623),
    [anon_sym_layout] = ACTIONS(1623),
  },
  [769] = {
    [sym_identifier] = ACTIONS(2564),
    [aux_sym_preproc_def_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token2] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2564),
    [aux_sym_preproc_else_token1] = ACTIONS(2564),
    [aux_sym_preproc_elif_token1] = ACTIONS(2564),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2564),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2564),
    [sym_preproc_directive] = ACTIONS(2564),
    [anon_sym_subroutine] = ACTIONS(2564),
    [anon_sym_invariant] = ACTIONS(2564),
    [anon_sym_precise] = ACTIONS(2564),
    [anon_sym_in] = ACTIONS(2564),
    [anon_sym_out] = ACTIONS(2564),
    [anon_sym_inout] = ACTIONS(2564),
    [anon_sym_uniform] = ACTIONS(2564),
    [anon_sym_shared] = ACTIONS(2564),
    [anon_sym_attribute] = ACTIONS(2564),
    [anon_sym_varying] = ACTIONS(2564),
    [anon_sym_buffer] = ACTIONS(2564),
    [anon_sym_coherent] = ACTIONS(2564),
    [anon_sym_readonly] = ACTIONS(2564),
    [anon_sym_writeonly] = ACTIONS(2564),
    [anon_sym_precision] = ACTIONS(2564),
    [anon_sym_highp] = ACTIONS(2564),
    [anon_sym_mediump] = ACTIONS(2564),
    [anon_sym_lowp] = ACTIONS(2564),
    [anon_sym_centroid] = ACTIONS(2564),
    [anon_sym_sample] = ACTIONS(2564),
    [anon_sym_patch] = ACTIONS(2564),
    [anon_sym_smooth] = ACTIONS(2564),
    [anon_sym_flat] = ACTIONS(2564),
    [anon_sym_noperspective] = ACTIONS(2564),
    [anon_sym___extension__] = ACTIONS(2564),
    [anon_sym_extern] = ACTIONS(2564),
    [anon_sym___attribute__] = ACTIONS(2564),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2566),
    [anon_sym___declspec] = ACTIONS(2564),
    [anon_sym_signed] = ACTIONS(2564),
    [anon_sym_unsigned] = ACTIONS(2564),
    [anon_sym_long] = ACTIONS(2564),
    [anon_sym_short] = ACTIONS(2564),
    [anon_sym_static] = ACTIONS(2564),
    [anon_sym_auto] = ACTIONS(2564),
    [anon_sym_register] = ACTIONS(2564),
    [anon_sym_inline] = ACTIONS(2564),
    [anon_sym___inline] = ACTIONS(2564),
    [anon_sym___inline__] = ACTIONS(2564),
    [anon_sym___forceinline] = ACTIONS(2564),
    [anon_sym_thread_local] = ACTIONS(2564),
    [anon_sym___thread] = ACTIONS(2564),
    [anon_sym_const] = ACTIONS(2564),
    [anon_sym_constexpr] = ACTIONS(2564),
    [anon_sym_volatile] = ACTIONS(2564),
    [anon_sym_restrict] = ACTIONS(2564),
    [anon_sym___restrict__] = ACTIONS(2564),
    [anon_sym__Atomic] = ACTIONS(2564),
    [anon_sym__Noreturn] = ACTIONS(2564),
    [anon_sym_noreturn] = ACTIONS(2564),
    [sym_primitive_type] = ACTIONS(2564),
    [anon_sym_enum] = ACTIONS(2564),
    [anon_sym_struct] = ACTIONS(2564),
    [anon_sym_union] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2564),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2564),
    [anon_sym_hitAttributeEXT] = ACTIONS(2564),
    [anon_sym_callableDataEXT] = ACTIONS(2564),
    [anon_sym_callableDataInEXT] = ACTIONS(2564),
    [anon_sym_shaderRecordEXT] = ACTIONS(2564),
    [anon_sym_rayPayloadNV] = ACTIONS(2564),
    [anon_sym_rayPayloadInNV] = ACTIONS(2564),
    [anon_sym_hitAttributeNV] = ACTIONS(2564),
    [anon_sym_callableDataNV] = ACTIONS(2564),
    [anon_sym_callableDataInNV] = ACTIONS(2564),
    [anon_sym_shaderRecordNV] = ACTIONS(2564),
    [anon_sym_layout] = ACTIONS(2564),
  },
  [770] = {
    [sym_identifier] = ACTIONS(2512),
    [aux_sym_preproc_def_token1] = ACTIONS(2512),
    [aux_sym_preproc_if_token1] = ACTIONS(2512),
    [aux_sym_preproc_if_token2] = ACTIONS(2512),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2512),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2512),
    [aux_sym_preproc_else_token1] = ACTIONS(2512),
    [aux_sym_preproc_elif_token1] = ACTIONS(2512),
    [sym_preproc_directive] = ACTIONS(2512),
    [anon_sym_subroutine] = ACTIONS(2512),
    [anon_sym_invariant] = ACTIONS(2512),
    [anon_sym_precise] = ACTIONS(2512),
    [anon_sym_in] = ACTIONS(2512),
    [anon_sym_out] = ACTIONS(2512),
    [anon_sym_inout] = ACTIONS(2512),
    [anon_sym_uniform] = ACTIONS(2512),
    [anon_sym_shared] = ACTIONS(2512),
    [anon_sym_attribute] = ACTIONS(2512),
    [anon_sym_varying] = ACTIONS(2512),
    [anon_sym_buffer] = ACTIONS(2512),
    [anon_sym_coherent] = ACTIONS(2512),
    [anon_sym_readonly] = ACTIONS(2512),
    [anon_sym_writeonly] = ACTIONS(2512),
    [anon_sym_precision] = ACTIONS(2512),
    [anon_sym_highp] = ACTIONS(2512),
    [anon_sym_mediump] = ACTIONS(2512),
    [anon_sym_lowp] = ACTIONS(2512),
    [anon_sym_centroid] = ACTIONS(2512),
    [anon_sym_sample] = ACTIONS(2512),
    [anon_sym_patch] = ACTIONS(2512),
    [anon_sym_smooth] = ACTIONS(2512),
    [anon_sym_flat] = ACTIONS(2512),
    [anon_sym_noperspective] = ACTIONS(2512),
    [anon_sym___extension__] = ACTIONS(2512),
    [anon_sym_extern] = ACTIONS(2512),
    [anon_sym___attribute__] = ACTIONS(2512),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2514),
    [anon_sym___declspec] = ACTIONS(2512),
    [anon_sym_signed] = ACTIONS(2512),
    [anon_sym_unsigned] = ACTIONS(2512),
    [anon_sym_long] = ACTIONS(2512),
    [anon_sym_short] = ACTIONS(2512),
    [anon_sym_static] = ACTIONS(2512),
    [anon_sym_auto] = ACTIONS(2512),
    [anon_sym_register] = ACTIONS(2512),
    [anon_sym_inline] = ACTIONS(2512),
    [anon_sym___inline] = ACTIONS(2512),
    [anon_sym___inline__] = ACTIONS(2512),
    [anon_sym___forceinline] = ACTIONS(2512),
    [anon_sym_thread_local] = ACTIONS(2512),
    [anon_sym___thread] = ACTIONS(2512),
    [anon_sym_const] = ACTIONS(2512),
    [anon_sym_constexpr] = ACTIONS(2512),
    [anon_sym_volatile] = ACTIONS(2512),
    [anon_sym_restrict] = ACTIONS(2512),
    [anon_sym___restrict__] = ACTIONS(2512),
    [anon_sym__Atomic] = ACTIONS(2512),
    [anon_sym__Noreturn] = ACTIONS(2512),
    [anon_sym_noreturn] = ACTIONS(2512),
    [sym_primitive_type] = ACTIONS(2512),
    [anon_sym_enum] = ACTIONS(2512),
    [anon_sym_struct] = ACTIONS(2512),
    [anon_sym_union] = ACTIONS(2512),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2512),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2512),
    [anon_sym_hitAttributeEXT] = ACTIONS(2512),
    [anon_sym_callableDataEXT] = ACTIONS(2512),
    [anon_sym_callableDataInEXT] = ACTIONS(2512),
    [anon_sym_shaderRecordEXT] = ACTIONS(2512),
    [anon_sym_rayPayloadNV] = ACTIONS(2512),
    [anon_sym_rayPayloadInNV] = ACTIONS(2512),
    [anon_sym_hitAttributeNV] = ACTIONS(2512),
    [anon_sym_callableDataNV] = ACTIONS(2512),
    [anon_sym_callableDataInNV] = ACTIONS(2512),
    [anon_sym_shaderRecordNV] = ACTIONS(2512),
    [anon_sym_layout] = ACTIONS(2512),
  },
  [771] = {
    [sym_identifier] = ACTIONS(1611),
    [aux_sym_preproc_def_token1] = ACTIONS(1611),
    [aux_sym_preproc_if_token1] = ACTIONS(1611),
    [aux_sym_preproc_if_token2] = ACTIONS(1611),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1611),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1611),
    [aux_sym_preproc_else_token1] = ACTIONS(1611),
    [aux_sym_preproc_elif_token1] = ACTIONS(1611),
    [sym_preproc_directive] = ACTIONS(1611),
    [anon_sym_subroutine] = ACTIONS(1611),
    [anon_sym_invariant] = ACTIONS(1611),
    [anon_sym_precise] = ACTIONS(1611),
    [anon_sym_in] = ACTIONS(1611),
    [anon_sym_out] = ACTIONS(1611),
    [anon_sym_inout] = ACTIONS(1611),
    [anon_sym_uniform] = ACTIONS(1611),
    [anon_sym_shared] = ACTIONS(1611),
    [anon_sym_attribute] = ACTIONS(1611),
    [anon_sym_varying] = ACTIONS(1611),
    [anon_sym_buffer] = ACTIONS(1611),
    [anon_sym_coherent] = ACTIONS(1611),
    [anon_sym_readonly] = ACTIONS(1611),
    [anon_sym_writeonly] = ACTIONS(1611),
    [anon_sym_precision] = ACTIONS(1611),
    [anon_sym_highp] = ACTIONS(1611),
    [anon_sym_mediump] = ACTIONS(1611),
    [anon_sym_lowp] = ACTIONS(1611),
    [anon_sym_centroid] = ACTIONS(1611),
    [anon_sym_sample] = ACTIONS(1611),
    [anon_sym_patch] = ACTIONS(1611),
    [anon_sym_smooth] = ACTIONS(1611),
    [anon_sym_flat] = ACTIONS(1611),
    [anon_sym_noperspective] = ACTIONS(1611),
    [anon_sym___extension__] = ACTIONS(1611),
    [anon_sym_extern] = ACTIONS(1611),
    [anon_sym___attribute__] = ACTIONS(1611),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1613),
    [anon_sym___declspec] = ACTIONS(1611),
    [anon_sym_signed] = ACTIONS(1611),
    [anon_sym_unsigned] = ACTIONS(1611),
    [anon_sym_long] = ACTIONS(1611),
    [anon_sym_short] = ACTIONS(1611),
    [anon_sym_static] = ACTIONS(1611),
    [anon_sym_auto] = ACTIONS(1611),
    [anon_sym_register] = ACTIONS(1611),
    [anon_sym_inline] = ACTIONS(1611),
    [anon_sym___inline] = ACTIONS(1611),
    [anon_sym___inline__] = ACTIONS(1611),
    [anon_sym___forceinline] = ACTIONS(1611),
    [anon_sym_thread_local] = ACTIONS(1611),
    [anon_sym___thread] = ACTIONS(1611),
    [anon_sym_const] = ACTIONS(1611),
    [anon_sym_constexpr] = ACTIONS(1611),
    [anon_sym_volatile] = ACTIONS(1611),
    [anon_sym_restrict] = ACTIONS(1611),
    [anon_sym___restrict__] = ACTIONS(1611),
    [anon_sym__Atomic] = ACTIONS(1611),
    [anon_sym__Noreturn] = ACTIONS(1611),
    [anon_sym_noreturn] = ACTIONS(1611),
    [sym_primitive_type] = ACTIONS(1611),
    [anon_sym_enum] = ACTIONS(1611),
    [anon_sym_struct] = ACTIONS(1611),
    [anon_sym_union] = ACTIONS(1611),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1611),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1611),
    [anon_sym_hitAttributeEXT] = ACTIONS(1611),
    [anon_sym_callableDataEXT] = ACTIONS(1611),
    [anon_sym_callableDataInEXT] = ACTIONS(1611),
    [anon_sym_shaderRecordEXT] = ACTIONS(1611),
    [anon_sym_rayPayloadNV] = ACTIONS(1611),
    [anon_sym_rayPayloadInNV] = ACTIONS(1611),
    [anon_sym_hitAttributeNV] = ACTIONS(1611),
    [anon_sym_callableDataNV] = ACTIONS(1611),
    [anon_sym_callableDataInNV] = ACTIONS(1611),
    [anon_sym_shaderRecordNV] = ACTIONS(1611),
    [anon_sym_layout] = ACTIONS(1611),
  },
  [772] = {
    [sym_identifier] = ACTIONS(1627),
    [aux_sym_preproc_def_token1] = ACTIONS(1627),
    [aux_sym_preproc_if_token1] = ACTIONS(1627),
    [aux_sym_preproc_if_token2] = ACTIONS(1627),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1627),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1627),
    [aux_sym_preproc_else_token1] = ACTIONS(1627),
    [aux_sym_preproc_elif_token1] = ACTIONS(1627),
    [sym_preproc_directive] = ACTIONS(1627),
    [anon_sym_subroutine] = ACTIONS(1627),
    [anon_sym_invariant] = ACTIONS(1627),
    [anon_sym_precise] = ACTIONS(1627),
    [anon_sym_in] = ACTIONS(1627),
    [anon_sym_out] = ACTIONS(1627),
    [anon_sym_inout] = ACTIONS(1627),
    [anon_sym_uniform] = ACTIONS(1627),
    [anon_sym_shared] = ACTIONS(1627),
    [anon_sym_attribute] = ACTIONS(1627),
    [anon_sym_varying] = ACTIONS(1627),
    [anon_sym_buffer] = ACTIONS(1627),
    [anon_sym_coherent] = ACTIONS(1627),
    [anon_sym_readonly] = ACTIONS(1627),
    [anon_sym_writeonly] = ACTIONS(1627),
    [anon_sym_precision] = ACTIONS(1627),
    [anon_sym_highp] = ACTIONS(1627),
    [anon_sym_mediump] = ACTIONS(1627),
    [anon_sym_lowp] = ACTIONS(1627),
    [anon_sym_centroid] = ACTIONS(1627),
    [anon_sym_sample] = ACTIONS(1627),
    [anon_sym_patch] = ACTIONS(1627),
    [anon_sym_smooth] = ACTIONS(1627),
    [anon_sym_flat] = ACTIONS(1627),
    [anon_sym_noperspective] = ACTIONS(1627),
    [anon_sym___extension__] = ACTIONS(1627),
    [anon_sym_extern] = ACTIONS(1627),
    [anon_sym___attribute__] = ACTIONS(1627),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1629),
    [anon_sym___declspec] = ACTIONS(1627),
    [anon_sym_signed] = ACTIONS(1627),
    [anon_sym_unsigned] = ACTIONS(1627),
    [anon_sym_long] = ACTIONS(1627),
    [anon_sym_short] = ACTIONS(1627),
    [anon_sym_static] = ACTIONS(1627),
    [anon_sym_auto] = ACTIONS(1627),
    [anon_sym_register] = ACTIONS(1627),
    [anon_sym_inline] = ACTIONS(1627),
    [anon_sym___inline] = ACTIONS(1627),
    [anon_sym___inline__] = ACTIONS(1627),
    [anon_sym___forceinline] = ACTIONS(1627),
    [anon_sym_thread_local] = ACTIONS(1627),
    [anon_sym___thread] = ACTIONS(1627),
    [anon_sym_const] = ACTIONS(1627),
    [anon_sym_constexpr] = ACTIONS(1627),
    [anon_sym_volatile] = ACTIONS(1627),
    [anon_sym_restrict] = ACTIONS(1627),
    [anon_sym___restrict__] = ACTIONS(1627),
    [anon_sym__Atomic] = ACTIONS(1627),
    [anon_sym__Noreturn] = ACTIONS(1627),
    [anon_sym_noreturn] = ACTIONS(1627),
    [sym_primitive_type] = ACTIONS(1627),
    [anon_sym_enum] = ACTIONS(1627),
    [anon_sym_struct] = ACTIONS(1627),
    [anon_sym_union] = ACTIONS(1627),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1627),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1627),
    [anon_sym_hitAttributeEXT] = ACTIONS(1627),
    [anon_sym_callableDataEXT] = ACTIONS(1627),
    [anon_sym_callableDataInEXT] = ACTIONS(1627),
    [anon_sym_shaderRecordEXT] = ACTIONS(1627),
    [anon_sym_rayPayloadNV] = ACTIONS(1627),
    [anon_sym_rayPayloadInNV] = ACTIONS(1627),
    [anon_sym_hitAttributeNV] = ACTIONS(1627),
    [anon_sym_callableDataNV] = ACTIONS(1627),
    [anon_sym_callableDataInNV] = ACTIONS(1627),
    [anon_sym_shaderRecordNV] = ACTIONS(1627),
    [anon_sym_layout] = ACTIONS(1627),
  },
  [773] = {
    [sym_identifier] = ACTIONS(1687),
    [aux_sym_preproc_def_token1] = ACTIONS(1687),
    [aux_sym_preproc_if_token1] = ACTIONS(1687),
    [aux_sym_preproc_if_token2] = ACTIONS(1687),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1687),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1687),
    [aux_sym_preproc_else_token1] = ACTIONS(1687),
    [aux_sym_preproc_elif_token1] = ACTIONS(1687),
    [sym_preproc_directive] = ACTIONS(1687),
    [anon_sym_subroutine] = ACTIONS(1687),
    [anon_sym_invariant] = ACTIONS(1687),
    [anon_sym_precise] = ACTIONS(1687),
    [anon_sym_in] = ACTIONS(1687),
    [anon_sym_out] = ACTIONS(1687),
    [anon_sym_inout] = ACTIONS(1687),
    [anon_sym_uniform] = ACTIONS(1687),
    [anon_sym_shared] = ACTIONS(1687),
    [anon_sym_attribute] = ACTIONS(1687),
    [anon_sym_varying] = ACTIONS(1687),
    [anon_sym_buffer] = ACTIONS(1687),
    [anon_sym_coherent] = ACTIONS(1687),
    [anon_sym_readonly] = ACTIONS(1687),
    [anon_sym_writeonly] = ACTIONS(1687),
    [anon_sym_precision] = ACTIONS(1687),
    [anon_sym_highp] = ACTIONS(1687),
    [anon_sym_mediump] = ACTIONS(1687),
    [anon_sym_lowp] = ACTIONS(1687),
    [anon_sym_centroid] = ACTIONS(1687),
    [anon_sym_sample] = ACTIONS(1687),
    [anon_sym_patch] = ACTIONS(1687),
    [anon_sym_smooth] = ACTIONS(1687),
    [anon_sym_flat] = ACTIONS(1687),
    [anon_sym_noperspective] = ACTIONS(1687),
    [anon_sym___extension__] = ACTIONS(1687),
    [anon_sym_extern] = ACTIONS(1687),
    [anon_sym___attribute__] = ACTIONS(1687),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1689),
    [anon_sym___declspec] = ACTIONS(1687),
    [anon_sym_signed] = ACTIONS(1687),
    [anon_sym_unsigned] = ACTIONS(1687),
    [anon_sym_long] = ACTIONS(1687),
    [anon_sym_short] = ACTIONS(1687),
    [anon_sym_static] = ACTIONS(1687),
    [anon_sym_auto] = ACTIONS(1687),
    [anon_sym_register] = ACTIONS(1687),
    [anon_sym_inline] = ACTIONS(1687),
    [anon_sym___inline] = ACTIONS(1687),
    [anon_sym___inline__] = ACTIONS(1687),
    [anon_sym___forceinline] = ACTIONS(1687),
    [anon_sym_thread_local] = ACTIONS(1687),
    [anon_sym___thread] = ACTIONS(1687),
    [anon_sym_const] = ACTIONS(1687),
    [anon_sym_constexpr] = ACTIONS(1687),
    [anon_sym_volatile] = ACTIONS(1687),
    [anon_sym_restrict] = ACTIONS(1687),
    [anon_sym___restrict__] = ACTIONS(1687),
    [anon_sym__Atomic] = ACTIONS(1687),
    [anon_sym__Noreturn] = ACTIONS(1687),
    [anon_sym_noreturn] = ACTIONS(1687),
    [sym_primitive_type] = ACTIONS(1687),
    [anon_sym_enum] = ACTIONS(1687),
    [anon_sym_struct] = ACTIONS(1687),
    [anon_sym_union] = ACTIONS(1687),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1687),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1687),
    [anon_sym_hitAttributeEXT] = ACTIONS(1687),
    [anon_sym_callableDataEXT] = ACTIONS(1687),
    [anon_sym_callableDataInEXT] = ACTIONS(1687),
    [anon_sym_shaderRecordEXT] = ACTIONS(1687),
    [anon_sym_rayPayloadNV] = ACTIONS(1687),
    [anon_sym_rayPayloadInNV] = ACTIONS(1687),
    [anon_sym_hitAttributeNV] = ACTIONS(1687),
    [anon_sym_callableDataNV] = ACTIONS(1687),
    [anon_sym_callableDataInNV] = ACTIONS(1687),
    [anon_sym_shaderRecordNV] = ACTIONS(1687),
    [anon_sym_layout] = ACTIONS(1687),
  },
  [774] = {
    [sym_identifier] = ACTIONS(1591),
    [aux_sym_preproc_def_token1] = ACTIONS(1591),
    [aux_sym_preproc_if_token1] = ACTIONS(1591),
    [aux_sym_preproc_if_token2] = ACTIONS(1591),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1591),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1591),
    [aux_sym_preproc_else_token1] = ACTIONS(1591),
    [aux_sym_preproc_elif_token1] = ACTIONS(1591),
    [sym_preproc_directive] = ACTIONS(1591),
    [anon_sym_subroutine] = ACTIONS(1591),
    [anon_sym_invariant] = ACTIONS(1591),
    [anon_sym_precise] = ACTIONS(1591),
    [anon_sym_in] = ACTIONS(1591),
    [anon_sym_out] = ACTIONS(1591),
    [anon_sym_inout] = ACTIONS(1591),
    [anon_sym_uniform] = ACTIONS(1591),
    [anon_sym_shared] = ACTIONS(1591),
    [anon_sym_attribute] = ACTIONS(1591),
    [anon_sym_varying] = ACTIONS(1591),
    [anon_sym_buffer] = ACTIONS(1591),
    [anon_sym_coherent] = ACTIONS(1591),
    [anon_sym_readonly] = ACTIONS(1591),
    [anon_sym_writeonly] = ACTIONS(1591),
    [anon_sym_precision] = ACTIONS(1591),
    [anon_sym_highp] = ACTIONS(1591),
    [anon_sym_mediump] = ACTIONS(1591),
    [anon_sym_lowp] = ACTIONS(1591),
    [anon_sym_centroid] = ACTIONS(1591),
    [anon_sym_sample] = ACTIONS(1591),
    [anon_sym_patch] = ACTIONS(1591),
    [anon_sym_smooth] = ACTIONS(1591),
    [anon_sym_flat] = ACTIONS(1591),
    [anon_sym_noperspective] = ACTIONS(1591),
    [anon_sym___extension__] = ACTIONS(1591),
    [anon_sym_extern] = ACTIONS(1591),
    [anon_sym___attribute__] = ACTIONS(1591),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1593),
    [anon_sym___declspec] = ACTIONS(1591),
    [anon_sym_signed] = ACTIONS(1591),
    [anon_sym_unsigned] = ACTIONS(1591),
    [anon_sym_long] = ACTIONS(1591),
    [anon_sym_short] = ACTIONS(1591),
    [anon_sym_static] = ACTIONS(1591),
    [anon_sym_auto] = ACTIONS(1591),
    [anon_sym_register] = ACTIONS(1591),
    [anon_sym_inline] = ACTIONS(1591),
    [anon_sym___inline] = ACTIONS(1591),
    [anon_sym___inline__] = ACTIONS(1591),
    [anon_sym___forceinline] = ACTIONS(1591),
    [anon_sym_thread_local] = ACTIONS(1591),
    [anon_sym___thread] = ACTIONS(1591),
    [anon_sym_const] = ACTIONS(1591),
    [anon_sym_constexpr] = ACTIONS(1591),
    [anon_sym_volatile] = ACTIONS(1591),
    [anon_sym_restrict] = ACTIONS(1591),
    [anon_sym___restrict__] = ACTIONS(1591),
    [anon_sym__Atomic] = ACTIONS(1591),
    [anon_sym__Noreturn] = ACTIONS(1591),
    [anon_sym_noreturn] = ACTIONS(1591),
    [sym_primitive_type] = ACTIONS(1591),
    [anon_sym_enum] = ACTIONS(1591),
    [anon_sym_struct] = ACTIONS(1591),
    [anon_sym_union] = ACTIONS(1591),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1591),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1591),
    [anon_sym_hitAttributeEXT] = ACTIONS(1591),
    [anon_sym_callableDataEXT] = ACTIONS(1591),
    [anon_sym_callableDataInEXT] = ACTIONS(1591),
    [anon_sym_shaderRecordEXT] = ACTIONS(1591),
    [anon_sym_rayPayloadNV] = ACTIONS(1591),
    [anon_sym_rayPayloadInNV] = ACTIONS(1591),
    [anon_sym_hitAttributeNV] = ACTIONS(1591),
    [anon_sym_callableDataNV] = ACTIONS(1591),
    [anon_sym_callableDataInNV] = ACTIONS(1591),
    [anon_sym_shaderRecordNV] = ACTIONS(1591),
    [anon_sym_layout] = ACTIONS(1591),
  },
  [775] = {
    [sym_identifier] = ACTIONS(1623),
    [aux_sym_preproc_def_token1] = ACTIONS(1623),
    [aux_sym_preproc_if_token1] = ACTIONS(1623),
    [aux_sym_preproc_if_token2] = ACTIONS(1623),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1623),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1623),
    [aux_sym_preproc_else_token1] = ACTIONS(1623),
    [aux_sym_preproc_elif_token1] = ACTIONS(1623),
    [sym_preproc_directive] = ACTIONS(1623),
    [anon_sym_subroutine] = ACTIONS(1623),
    [anon_sym_invariant] = ACTIONS(1623),
    [anon_sym_precise] = ACTIONS(1623),
    [anon_sym_in] = ACTIONS(1623),
    [anon_sym_out] = ACTIONS(1623),
    [anon_sym_inout] = ACTIONS(1623),
    [anon_sym_uniform] = ACTIONS(1623),
    [anon_sym_shared] = ACTIONS(1623),
    [anon_sym_attribute] = ACTIONS(1623),
    [anon_sym_varying] = ACTIONS(1623),
    [anon_sym_buffer] = ACTIONS(1623),
    [anon_sym_coherent] = ACTIONS(1623),
    [anon_sym_readonly] = ACTIONS(1623),
    [anon_sym_writeonly] = ACTIONS(1623),
    [anon_sym_precision] = ACTIONS(1623),
    [anon_sym_highp] = ACTIONS(1623),
    [anon_sym_mediump] = ACTIONS(1623),
    [anon_sym_lowp] = ACTIONS(1623),
    [anon_sym_centroid] = ACTIONS(1623),
    [anon_sym_sample] = ACTIONS(1623),
    [anon_sym_patch] = ACTIONS(1623),
    [anon_sym_smooth] = ACTIONS(1623),
    [anon_sym_flat] = ACTIONS(1623),
    [anon_sym_noperspective] = ACTIONS(1623),
    [anon_sym___extension__] = ACTIONS(1623),
    [anon_sym_extern] = ACTIONS(1623),
    [anon_sym___attribute__] = ACTIONS(1623),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1625),
    [anon_sym___declspec] = ACTIONS(1623),
    [anon_sym_signed] = ACTIONS(1623),
    [anon_sym_unsigned] = ACTIONS(1623),
    [anon_sym_long] = ACTIONS(1623),
    [anon_sym_short] = ACTIONS(1623),
    [anon_sym_static] = ACTIONS(1623),
    [anon_sym_auto] = ACTIONS(1623),
    [anon_sym_register] = ACTIONS(1623),
    [anon_sym_inline] = ACTIONS(1623),
    [anon_sym___inline] = ACTIONS(1623),
    [anon_sym___inline__] = ACTIONS(1623),
    [anon_sym___forceinline] = ACTIONS(1623),
    [anon_sym_thread_local] = ACTIONS(1623),
    [anon_sym___thread] = ACTIONS(1623),
    [anon_sym_const] = ACTIONS(1623),
    [anon_sym_constexpr] = ACTIONS(1623),
    [anon_sym_volatile] = ACTIONS(1623),
    [anon_sym_restrict] = ACTIONS(1623),
    [anon_sym___restrict__] = ACTIONS(1623),
    [anon_sym__Atomic] = ACTIONS(1623),
    [anon_sym__Noreturn] = ACTIONS(1623),
    [anon_sym_noreturn] = ACTIONS(1623),
    [sym_primitive_type] = ACTIONS(1623),
    [anon_sym_enum] = ACTIONS(1623),
    [anon_sym_struct] = ACTIONS(1623),
    [anon_sym_union] = ACTIONS(1623),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1623),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1623),
    [anon_sym_hitAttributeEXT] = ACTIONS(1623),
    [anon_sym_callableDataEXT] = ACTIONS(1623),
    [anon_sym_callableDataInEXT] = ACTIONS(1623),
    [anon_sym_shaderRecordEXT] = ACTIONS(1623),
    [anon_sym_rayPayloadNV] = ACTIONS(1623),
    [anon_sym_rayPayloadInNV] = ACTIONS(1623),
    [anon_sym_hitAttributeNV] = ACTIONS(1623),
    [anon_sym_callableDataNV] = ACTIONS(1623),
    [anon_sym_callableDataInNV] = ACTIONS(1623),
    [anon_sym_shaderRecordNV] = ACTIONS(1623),
    [anon_sym_layout] = ACTIONS(1623),
  },
  [776] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token2] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [aux_sym_preproc_else_token1] = ACTIONS(2544),
    [aux_sym_preproc_elif_token1] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_subroutine] = ACTIONS(2544),
    [anon_sym_invariant] = ACTIONS(2544),
    [anon_sym_precise] = ACTIONS(2544),
    [anon_sym_in] = ACTIONS(2544),
    [anon_sym_out] = ACTIONS(2544),
    [anon_sym_inout] = ACTIONS(2544),
    [anon_sym_uniform] = ACTIONS(2544),
    [anon_sym_shared] = ACTIONS(2544),
    [anon_sym_attribute] = ACTIONS(2544),
    [anon_sym_varying] = ACTIONS(2544),
    [anon_sym_buffer] = ACTIONS(2544),
    [anon_sym_coherent] = ACTIONS(2544),
    [anon_sym_readonly] = ACTIONS(2544),
    [anon_sym_writeonly] = ACTIONS(2544),
    [anon_sym_precision] = ACTIONS(2544),
    [anon_sym_highp] = ACTIONS(2544),
    [anon_sym_mediump] = ACTIONS(2544),
    [anon_sym_lowp] = ACTIONS(2544),
    [anon_sym_centroid] = ACTIONS(2544),
    [anon_sym_sample] = ACTIONS(2544),
    [anon_sym_patch] = ACTIONS(2544),
    [anon_sym_smooth] = ACTIONS(2544),
    [anon_sym_flat] = ACTIONS(2544),
    [anon_sym_noperspective] = ACTIONS(2544),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_auto] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2544),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2544),
    [anon_sym_hitAttributeEXT] = ACTIONS(2544),
    [anon_sym_callableDataEXT] = ACTIONS(2544),
    [anon_sym_callableDataInEXT] = ACTIONS(2544),
    [anon_sym_shaderRecordEXT] = ACTIONS(2544),
    [anon_sym_rayPayloadNV] = ACTIONS(2544),
    [anon_sym_rayPayloadInNV] = ACTIONS(2544),
    [anon_sym_hitAttributeNV] = ACTIONS(2544),
    [anon_sym_callableDataNV] = ACTIONS(2544),
    [anon_sym_callableDataInNV] = ACTIONS(2544),
    [anon_sym_shaderRecordNV] = ACTIONS(2544),
    [anon_sym_layout] = ACTIONS(2544),
  },
  [777] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token2] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [aux_sym_preproc_else_token1] = ACTIONS(2504),
    [aux_sym_preproc_elif_token1] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_subroutine] = ACTIONS(2504),
    [anon_sym_invariant] = ACTIONS(2504),
    [anon_sym_precise] = ACTIONS(2504),
    [anon_sym_in] = ACTIONS(2504),
    [anon_sym_out] = ACTIONS(2504),
    [anon_sym_inout] = ACTIONS(2504),
    [anon_sym_uniform] = ACTIONS(2504),
    [anon_sym_shared] = ACTIONS(2504),
    [anon_sym_attribute] = ACTIONS(2504),
    [anon_sym_varying] = ACTIONS(2504),
    [anon_sym_buffer] = ACTIONS(2504),
    [anon_sym_coherent] = ACTIONS(2504),
    [anon_sym_readonly] = ACTIONS(2504),
    [anon_sym_writeonly] = ACTIONS(2504),
    [anon_sym_precision] = ACTIONS(2504),
    [anon_sym_highp] = ACTIONS(2504),
    [anon_sym_mediump] = ACTIONS(2504),
    [anon_sym_lowp] = ACTIONS(2504),
    [anon_sym_centroid] = ACTIONS(2504),
    [anon_sym_sample] = ACTIONS(2504),
    [anon_sym_patch] = ACTIONS(2504),
    [anon_sym_smooth] = ACTIONS(2504),
    [anon_sym_flat] = ACTIONS(2504),
    [anon_sym_noperspective] = ACTIONS(2504),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_auto] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2504),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2504),
    [anon_sym_hitAttributeEXT] = ACTIONS(2504),
    [anon_sym_callableDataEXT] = ACTIONS(2504),
    [anon_sym_callableDataInEXT] = ACTIONS(2504),
    [anon_sym_shaderRecordEXT] = ACTIONS(2504),
    [anon_sym_rayPayloadNV] = ACTIONS(2504),
    [anon_sym_rayPayloadInNV] = ACTIONS(2504),
    [anon_sym_hitAttributeNV] = ACTIONS(2504),
    [anon_sym_callableDataNV] = ACTIONS(2504),
    [anon_sym_callableDataInNV] = ACTIONS(2504),
    [anon_sym_shaderRecordNV] = ACTIONS(2504),
    [anon_sym_layout] = ACTIONS(2504),
  },
  [778] = {
    [sym_identifier] = ACTIONS(2516),
    [aux_sym_preproc_def_token1] = ACTIONS(2516),
    [aux_sym_preproc_if_token1] = ACTIONS(2516),
    [aux_sym_preproc_if_token2] = ACTIONS(2516),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2516),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2516),
    [aux_sym_preproc_else_token1] = ACTIONS(2516),
    [aux_sym_preproc_elif_token1] = ACTIONS(2516),
    [sym_preproc_directive] = ACTIONS(2516),
    [anon_sym_subroutine] = ACTIONS(2516),
    [anon_sym_invariant] = ACTIONS(2516),
    [anon_sym_precise] = ACTIONS(2516),
    [anon_sym_in] = ACTIONS(2516),
    [anon_sym_out] = ACTIONS(2516),
    [anon_sym_inout] = ACTIONS(2516),
    [anon_sym_uniform] = ACTIONS(2516),
    [anon_sym_shared] = ACTIONS(2516),
    [anon_sym_attribute] = ACTIONS(2516),
    [anon_sym_varying] = ACTIONS(2516),
    [anon_sym_buffer] = ACTIONS(2516),
    [anon_sym_coherent] = ACTIONS(2516),
    [anon_sym_readonly] = ACTIONS(2516),
    [anon_sym_writeonly] = ACTIONS(2516),
    [anon_sym_precision] = ACTIONS(2516),
    [anon_sym_highp] = ACTIONS(2516),
    [anon_sym_mediump] = ACTIONS(2516),
    [anon_sym_lowp] = ACTIONS(2516),
    [anon_sym_centroid] = ACTIONS(2516),
    [anon_sym_sample] = ACTIONS(2516),
    [anon_sym_patch] = ACTIONS(2516),
    [anon_sym_smooth] = ACTIONS(2516),
    [anon_sym_flat] = ACTIONS(2516),
    [anon_sym_noperspective] = ACTIONS(2516),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_extern] = ACTIONS(2516),
    [anon_sym___attribute__] = ACTIONS(2516),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2518),
    [anon_sym___declspec] = ACTIONS(2516),
    [anon_sym_signed] = ACTIONS(2516),
    [anon_sym_unsigned] = ACTIONS(2516),
    [anon_sym_long] = ACTIONS(2516),
    [anon_sym_short] = ACTIONS(2516),
    [anon_sym_static] = ACTIONS(2516),
    [anon_sym_auto] = ACTIONS(2516),
    [anon_sym_register] = ACTIONS(2516),
    [anon_sym_inline] = ACTIONS(2516),
    [anon_sym___inline] = ACTIONS(2516),
    [anon_sym___inline__] = ACTIONS(2516),
    [anon_sym___forceinline] = ACTIONS(2516),
    [anon_sym_thread_local] = ACTIONS(2516),
    [anon_sym___thread] = ACTIONS(2516),
    [anon_sym_const] = ACTIONS(2516),
    [anon_sym_constexpr] = ACTIONS(2516),
    [anon_sym_volatile] = ACTIONS(2516),
    [anon_sym_restrict] = ACTIONS(2516),
    [anon_sym___restrict__] = ACTIONS(2516),
    [anon_sym__Atomic] = ACTIONS(2516),
    [anon_sym__Noreturn] = ACTIONS(2516),
    [anon_sym_noreturn] = ACTIONS(2516),
    [sym_primitive_type] = ACTIONS(2516),
    [anon_sym_enum] = ACTIONS(2516),
    [anon_sym_struct] = ACTIONS(2516),
    [anon_sym_union] = ACTIONS(2516),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2516),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2516),
    [anon_sym_hitAttributeEXT] = ACTIONS(2516),
    [anon_sym_callableDataEXT] = ACTIONS(2516),
    [anon_sym_callableDataInEXT] = ACTIONS(2516),
    [anon_sym_shaderRecordEXT] = ACTIONS(2516),
    [anon_sym_rayPayloadNV] = ACTIONS(2516),
    [anon_sym_rayPayloadInNV] = ACTIONS(2516),
    [anon_sym_hitAttributeNV] = ACTIONS(2516),
    [anon_sym_callableDataNV] = ACTIONS(2516),
    [anon_sym_callableDataInNV] = ACTIONS(2516),
    [anon_sym_shaderRecordNV] = ACTIONS(2516),
    [anon_sym_layout] = ACTIONS(2516),
  },
  [779] = {
    [sym_identifier] = ACTIONS(2540),
    [aux_sym_preproc_def_token1] = ACTIONS(2540),
    [aux_sym_preproc_if_token1] = ACTIONS(2540),
    [aux_sym_preproc_if_token2] = ACTIONS(2540),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2540),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2540),
    [aux_sym_preproc_else_token1] = ACTIONS(2540),
    [aux_sym_preproc_elif_token1] = ACTIONS(2540),
    [sym_preproc_directive] = ACTIONS(2540),
    [anon_sym_subroutine] = ACTIONS(2540),
    [anon_sym_invariant] = ACTIONS(2540),
    [anon_sym_precise] = ACTIONS(2540),
    [anon_sym_in] = ACTIONS(2540),
    [anon_sym_out] = ACTIONS(2540),
    [anon_sym_inout] = ACTIONS(2540),
    [anon_sym_uniform] = ACTIONS(2540),
    [anon_sym_shared] = ACTIONS(2540),
    [anon_sym_attribute] = ACTIONS(2540),
    [anon_sym_varying] = ACTIONS(2540),
    [anon_sym_buffer] = ACTIONS(2540),
    [anon_sym_coherent] = ACTIONS(2540),
    [anon_sym_readonly] = ACTIONS(2540),
    [anon_sym_writeonly] = ACTIONS(2540),
    [anon_sym_precision] = ACTIONS(2540),
    [anon_sym_highp] = ACTIONS(2540),
    [anon_sym_mediump] = ACTIONS(2540),
    [anon_sym_lowp] = ACTIONS(2540),
    [anon_sym_centroid] = ACTIONS(2540),
    [anon_sym_sample] = ACTIONS(2540),
    [anon_sym_patch] = ACTIONS(2540),
    [anon_sym_smooth] = ACTIONS(2540),
    [anon_sym_flat] = ACTIONS(2540),
    [anon_sym_noperspective] = ACTIONS(2540),
    [anon_sym___extension__] = ACTIONS(2540),
    [anon_sym_extern] = ACTIONS(2540),
    [anon_sym___attribute__] = ACTIONS(2540),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2542),
    [anon_sym___declspec] = ACTIONS(2540),
    [anon_sym_signed] = ACTIONS(2540),
    [anon_sym_unsigned] = ACTIONS(2540),
    [anon_sym_long] = ACTIONS(2540),
    [anon_sym_short] = ACTIONS(2540),
    [anon_sym_static] = ACTIONS(2540),
    [anon_sym_auto] = ACTIONS(2540),
    [anon_sym_register] = ACTIONS(2540),
    [anon_sym_inline] = ACTIONS(2540),
    [anon_sym___inline] = ACTIONS(2540),
    [anon_sym___inline__] = ACTIONS(2540),
    [anon_sym___forceinline] = ACTIONS(2540),
    [anon_sym_thread_local] = ACTIONS(2540),
    [anon_sym___thread] = ACTIONS(2540),
    [anon_sym_const] = ACTIONS(2540),
    [anon_sym_constexpr] = ACTIONS(2540),
    [anon_sym_volatile] = ACTIONS(2540),
    [anon_sym_restrict] = ACTIONS(2540),
    [anon_sym___restrict__] = ACTIONS(2540),
    [anon_sym__Atomic] = ACTIONS(2540),
    [anon_sym__Noreturn] = ACTIONS(2540),
    [anon_sym_noreturn] = ACTIONS(2540),
    [sym_primitive_type] = ACTIONS(2540),
    [anon_sym_enum] = ACTIONS(2540),
    [anon_sym_struct] = ACTIONS(2540),
    [anon_sym_union] = ACTIONS(2540),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2540),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2540),
    [anon_sym_hitAttributeEXT] = ACTIONS(2540),
    [anon_sym_callableDataEXT] = ACTIONS(2540),
    [anon_sym_callableDataInEXT] = ACTIONS(2540),
    [anon_sym_shaderRecordEXT] = ACTIONS(2540),
    [anon_sym_rayPayloadNV] = ACTIONS(2540),
    [anon_sym_rayPayloadInNV] = ACTIONS(2540),
    [anon_sym_hitAttributeNV] = ACTIONS(2540),
    [anon_sym_callableDataNV] = ACTIONS(2540),
    [anon_sym_callableDataInNV] = ACTIONS(2540),
    [anon_sym_shaderRecordNV] = ACTIONS(2540),
    [anon_sym_layout] = ACTIONS(2540),
  },
  [780] = {
    [sym_identifier] = ACTIONS(2520),
    [aux_sym_preproc_def_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token2] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2520),
    [aux_sym_preproc_else_token1] = ACTIONS(2520),
    [aux_sym_preproc_elif_token1] = ACTIONS(2520),
    [sym_preproc_directive] = ACTIONS(2520),
    [anon_sym_subroutine] = ACTIONS(2520),
    [anon_sym_invariant] = ACTIONS(2520),
    [anon_sym_precise] = ACTIONS(2520),
    [anon_sym_in] = ACTIONS(2520),
    [anon_sym_out] = ACTIONS(2520),
    [anon_sym_inout] = ACTIONS(2520),
    [anon_sym_uniform] = ACTIONS(2520),
    [anon_sym_shared] = ACTIONS(2520),
    [anon_sym_attribute] = ACTIONS(2520),
    [anon_sym_varying] = ACTIONS(2520),
    [anon_sym_buffer] = ACTIONS(2520),
    [anon_sym_coherent] = ACTIONS(2520),
    [anon_sym_readonly] = ACTIONS(2520),
    [anon_sym_writeonly] = ACTIONS(2520),
    [anon_sym_precision] = ACTIONS(2520),
    [anon_sym_highp] = ACTIONS(2520),
    [anon_sym_mediump] = ACTIONS(2520),
    [anon_sym_lowp] = ACTIONS(2520),
    [anon_sym_centroid] = ACTIONS(2520),
    [anon_sym_sample] = ACTIONS(2520),
    [anon_sym_patch] = ACTIONS(2520),
    [anon_sym_smooth] = ACTIONS(2520),
    [anon_sym_flat] = ACTIONS(2520),
    [anon_sym_noperspective] = ACTIONS(2520),
    [anon_sym___extension__] = ACTIONS(2520),
    [anon_sym_extern] = ACTIONS(2520),
    [anon_sym___attribute__] = ACTIONS(2520),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2520),
    [anon_sym_signed] = ACTIONS(2520),
    [anon_sym_unsigned] = ACTIONS(2520),
    [anon_sym_long] = ACTIONS(2520),
    [anon_sym_short] = ACTIONS(2520),
    [anon_sym_static] = ACTIONS(2520),
    [anon_sym_auto] = ACTIONS(2520),
    [anon_sym_register] = ACTIONS(2520),
    [anon_sym_inline] = ACTIONS(2520),
    [anon_sym___inline] = ACTIONS(2520),
    [anon_sym___inline__] = ACTIONS(2520),
    [anon_sym___forceinline] = ACTIONS(2520),
    [anon_sym_thread_local] = ACTIONS(2520),
    [anon_sym___thread] = ACTIONS(2520),
    [anon_sym_const] = ACTIONS(2520),
    [anon_sym_constexpr] = ACTIONS(2520),
    [anon_sym_volatile] = ACTIONS(2520),
    [anon_sym_restrict] = ACTIONS(2520),
    [anon_sym___restrict__] = ACTIONS(2520),
    [anon_sym__Atomic] = ACTIONS(2520),
    [anon_sym__Noreturn] = ACTIONS(2520),
    [anon_sym_noreturn] = ACTIONS(2520),
    [sym_primitive_type] = ACTIONS(2520),
    [anon_sym_enum] = ACTIONS(2520),
    [anon_sym_struct] = ACTIONS(2520),
    [anon_sym_union] = ACTIONS(2520),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2520),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2520),
    [anon_sym_hitAttributeEXT] = ACTIONS(2520),
    [anon_sym_callableDataEXT] = ACTIONS(2520),
    [anon_sym_callableDataInEXT] = ACTIONS(2520),
    [anon_sym_shaderRecordEXT] = ACTIONS(2520),
    [anon_sym_rayPayloadNV] = ACTIONS(2520),
    [anon_sym_rayPayloadInNV] = ACTIONS(2520),
    [anon_sym_hitAttributeNV] = ACTIONS(2520),
    [anon_sym_callableDataNV] = ACTIONS(2520),
    [anon_sym_callableDataInNV] = ACTIONS(2520),
    [anon_sym_shaderRecordNV] = ACTIONS(2520),
    [anon_sym_layout] = ACTIONS(2520),
  },
  [781] = {
    [sym_identifier] = ACTIONS(2536),
    [aux_sym_preproc_def_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token2] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2536),
    [aux_sym_preproc_else_token1] = ACTIONS(2536),
    [aux_sym_preproc_elif_token1] = ACTIONS(2536),
    [sym_preproc_directive] = ACTIONS(2536),
    [anon_sym_subroutine] = ACTIONS(2536),
    [anon_sym_invariant] = ACTIONS(2536),
    [anon_sym_precise] = ACTIONS(2536),
    [anon_sym_in] = ACTIONS(2536),
    [anon_sym_out] = ACTIONS(2536),
    [anon_sym_inout] = ACTIONS(2536),
    [anon_sym_uniform] = ACTIONS(2536),
    [anon_sym_shared] = ACTIONS(2536),
    [anon_sym_attribute] = ACTIONS(2536),
    [anon_sym_varying] = ACTIONS(2536),
    [anon_sym_buffer] = ACTIONS(2536),
    [anon_sym_coherent] = ACTIONS(2536),
    [anon_sym_readonly] = ACTIONS(2536),
    [anon_sym_writeonly] = ACTIONS(2536),
    [anon_sym_precision] = ACTIONS(2536),
    [anon_sym_highp] = ACTIONS(2536),
    [anon_sym_mediump] = ACTIONS(2536),
    [anon_sym_lowp] = ACTIONS(2536),
    [anon_sym_centroid] = ACTIONS(2536),
    [anon_sym_sample] = ACTIONS(2536),
    [anon_sym_patch] = ACTIONS(2536),
    [anon_sym_smooth] = ACTIONS(2536),
    [anon_sym_flat] = ACTIONS(2536),
    [anon_sym_noperspective] = ACTIONS(2536),
    [anon_sym___extension__] = ACTIONS(2536),
    [anon_sym_extern] = ACTIONS(2536),
    [anon_sym___attribute__] = ACTIONS(2536),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2538),
    [anon_sym___declspec] = ACTIONS(2536),
    [anon_sym_signed] = ACTIONS(2536),
    [anon_sym_unsigned] = ACTIONS(2536),
    [anon_sym_long] = ACTIONS(2536),
    [anon_sym_short] = ACTIONS(2536),
    [anon_sym_static] = ACTIONS(2536),
    [anon_sym_auto] = ACTIONS(2536),
    [anon_sym_register] = ACTIONS(2536),
    [anon_sym_inline] = ACTIONS(2536),
    [anon_sym___inline] = ACTIONS(2536),
    [anon_sym___inline__] = ACTIONS(2536),
    [anon_sym___forceinline] = ACTIONS(2536),
    [anon_sym_thread_local] = ACTIONS(2536),
    [anon_sym___thread] = ACTIONS(2536),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_constexpr] = ACTIONS(2536),
    [anon_sym_volatile] = ACTIONS(2536),
    [anon_sym_restrict] = ACTIONS(2536),
    [anon_sym___restrict__] = ACTIONS(2536),
    [anon_sym__Atomic] = ACTIONS(2536),
    [anon_sym__Noreturn] = ACTIONS(2536),
    [anon_sym_noreturn] = ACTIONS(2536),
    [sym_primitive_type] = ACTIONS(2536),
    [anon_sym_enum] = ACTIONS(2536),
    [anon_sym_struct] = ACTIONS(2536),
    [anon_sym_union] = ACTIONS(2536),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2536),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2536),
    [anon_sym_hitAttributeEXT] = ACTIONS(2536),
    [anon_sym_callableDataEXT] = ACTIONS(2536),
    [anon_sym_callableDataInEXT] = ACTIONS(2536),
    [anon_sym_shaderRecordEXT] = ACTIONS(2536),
    [anon_sym_rayPayloadNV] = ACTIONS(2536),
    [anon_sym_rayPayloadInNV] = ACTIONS(2536),
    [anon_sym_hitAttributeNV] = ACTIONS(2536),
    [anon_sym_callableDataNV] = ACTIONS(2536),
    [anon_sym_callableDataInNV] = ACTIONS(2536),
    [anon_sym_shaderRecordNV] = ACTIONS(2536),
    [anon_sym_layout] = ACTIONS(2536),
  },
  [782] = {
    [sym_identifier] = ACTIONS(2524),
    [aux_sym_preproc_def_token1] = ACTIONS(2524),
    [aux_sym_preproc_if_token1] = ACTIONS(2524),
    [aux_sym_preproc_if_token2] = ACTIONS(2524),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2524),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2524),
    [aux_sym_preproc_else_token1] = ACTIONS(2524),
    [aux_sym_preproc_elif_token1] = ACTIONS(2524),
    [sym_preproc_directive] = ACTIONS(2524),
    [anon_sym_subroutine] = ACTIONS(2524),
    [anon_sym_invariant] = ACTIONS(2524),
    [anon_sym_precise] = ACTIONS(2524),
    [anon_sym_in] = ACTIONS(2524),
    [anon_sym_out] = ACTIONS(2524),
    [anon_sym_inout] = ACTIONS(2524),
    [anon_sym_uniform] = ACTIONS(2524),
    [anon_sym_shared] = ACTIONS(2524),
    [anon_sym_attribute] = ACTIONS(2524),
    [anon_sym_varying] = ACTIONS(2524),
    [anon_sym_buffer] = ACTIONS(2524),
    [anon_sym_coherent] = ACTIONS(2524),
    [anon_sym_readonly] = ACTIONS(2524),
    [anon_sym_writeonly] = ACTIONS(2524),
    [anon_sym_precision] = ACTIONS(2524),
    [anon_sym_highp] = ACTIONS(2524),
    [anon_sym_mediump] = ACTIONS(2524),
    [anon_sym_lowp] = ACTIONS(2524),
    [anon_sym_centroid] = ACTIONS(2524),
    [anon_sym_sample] = ACTIONS(2524),
    [anon_sym_patch] = ACTIONS(2524),
    [anon_sym_smooth] = ACTIONS(2524),
    [anon_sym_flat] = ACTIONS(2524),
    [anon_sym_noperspective] = ACTIONS(2524),
    [anon_sym___extension__] = ACTIONS(2524),
    [anon_sym_extern] = ACTIONS(2524),
    [anon_sym___attribute__] = ACTIONS(2524),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2526),
    [anon_sym___declspec] = ACTIONS(2524),
    [anon_sym_signed] = ACTIONS(2524),
    [anon_sym_unsigned] = ACTIONS(2524),
    [anon_sym_long] = ACTIONS(2524),
    [anon_sym_short] = ACTIONS(2524),
    [anon_sym_static] = ACTIONS(2524),
    [anon_sym_auto] = ACTIONS(2524),
    [anon_sym_register] = ACTIONS(2524),
    [anon_sym_inline] = ACTIONS(2524),
    [anon_sym___inline] = ACTIONS(2524),
    [anon_sym___inline__] = ACTIONS(2524),
    [anon_sym___forceinline] = ACTIONS(2524),
    [anon_sym_thread_local] = ACTIONS(2524),
    [anon_sym___thread] = ACTIONS(2524),
    [anon_sym_const] = ACTIONS(2524),
    [anon_sym_constexpr] = ACTIONS(2524),
    [anon_sym_volatile] = ACTIONS(2524),
    [anon_sym_restrict] = ACTIONS(2524),
    [anon_sym___restrict__] = ACTIONS(2524),
    [anon_sym__Atomic] = ACTIONS(2524),
    [anon_sym__Noreturn] = ACTIONS(2524),
    [anon_sym_noreturn] = ACTIONS(2524),
    [sym_primitive_type] = ACTIONS(2524),
    [anon_sym_enum] = ACTIONS(2524),
    [anon_sym_struct] = ACTIONS(2524),
    [anon_sym_union] = ACTIONS(2524),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2524),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2524),
    [anon_sym_hitAttributeEXT] = ACTIONS(2524),
    [anon_sym_callableDataEXT] = ACTIONS(2524),
    [anon_sym_callableDataInEXT] = ACTIONS(2524),
    [anon_sym_shaderRecordEXT] = ACTIONS(2524),
    [anon_sym_rayPayloadNV] = ACTIONS(2524),
    [anon_sym_rayPayloadInNV] = ACTIONS(2524),
    [anon_sym_hitAttributeNV] = ACTIONS(2524),
    [anon_sym_callableDataNV] = ACTIONS(2524),
    [anon_sym_callableDataInNV] = ACTIONS(2524),
    [anon_sym_shaderRecordNV] = ACTIONS(2524),
    [anon_sym_layout] = ACTIONS(2524),
  },
  [783] = {
    [sym_identifier] = ACTIONS(2552),
    [aux_sym_preproc_def_token1] = ACTIONS(2552),
    [aux_sym_preproc_if_token1] = ACTIONS(2552),
    [aux_sym_preproc_if_token2] = ACTIONS(2552),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2552),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2552),
    [aux_sym_preproc_else_token1] = ACTIONS(2552),
    [aux_sym_preproc_elif_token1] = ACTIONS(2552),
    [sym_preproc_directive] = ACTIONS(2552),
    [anon_sym_subroutine] = ACTIONS(2552),
    [anon_sym_invariant] = ACTIONS(2552),
    [anon_sym_precise] = ACTIONS(2552),
    [anon_sym_in] = ACTIONS(2552),
    [anon_sym_out] = ACTIONS(2552),
    [anon_sym_inout] = ACTIONS(2552),
    [anon_sym_uniform] = ACTIONS(2552),
    [anon_sym_shared] = ACTIONS(2552),
    [anon_sym_attribute] = ACTIONS(2552),
    [anon_sym_varying] = ACTIONS(2552),
    [anon_sym_buffer] = ACTIONS(2552),
    [anon_sym_coherent] = ACTIONS(2552),
    [anon_sym_readonly] = ACTIONS(2552),
    [anon_sym_writeonly] = ACTIONS(2552),
    [anon_sym_precision] = ACTIONS(2552),
    [anon_sym_highp] = ACTIONS(2552),
    [anon_sym_mediump] = ACTIONS(2552),
    [anon_sym_lowp] = ACTIONS(2552),
    [anon_sym_centroid] = ACTIONS(2552),
    [anon_sym_sample] = ACTIONS(2552),
    [anon_sym_patch] = ACTIONS(2552),
    [anon_sym_smooth] = ACTIONS(2552),
    [anon_sym_flat] = ACTIONS(2552),
    [anon_sym_noperspective] = ACTIONS(2552),
    [anon_sym___extension__] = ACTIONS(2552),
    [anon_sym_extern] = ACTIONS(2552),
    [anon_sym___attribute__] = ACTIONS(2552),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2554),
    [anon_sym___declspec] = ACTIONS(2552),
    [anon_sym_signed] = ACTIONS(2552),
    [anon_sym_unsigned] = ACTIONS(2552),
    [anon_sym_long] = ACTIONS(2552),
    [anon_sym_short] = ACTIONS(2552),
    [anon_sym_static] = ACTIONS(2552),
    [anon_sym_auto] = ACTIONS(2552),
    [anon_sym_register] = ACTIONS(2552),
    [anon_sym_inline] = ACTIONS(2552),
    [anon_sym___inline] = ACTIONS(2552),
    [anon_sym___inline__] = ACTIONS(2552),
    [anon_sym___forceinline] = ACTIONS(2552),
    [anon_sym_thread_local] = ACTIONS(2552),
    [anon_sym___thread] = ACTIONS(2552),
    [anon_sym_const] = ACTIONS(2552),
    [anon_sym_constexpr] = ACTIONS(2552),
    [anon_sym_volatile] = ACTIONS(2552),
    [anon_sym_restrict] = ACTIONS(2552),
    [anon_sym___restrict__] = ACTIONS(2552),
    [anon_sym__Atomic] = ACTIONS(2552),
    [anon_sym__Noreturn] = ACTIONS(2552),
    [anon_sym_noreturn] = ACTIONS(2552),
    [sym_primitive_type] = ACTIONS(2552),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_struct] = ACTIONS(2552),
    [anon_sym_union] = ACTIONS(2552),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2552),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2552),
    [anon_sym_hitAttributeEXT] = ACTIONS(2552),
    [anon_sym_callableDataEXT] = ACTIONS(2552),
    [anon_sym_callableDataInEXT] = ACTIONS(2552),
    [anon_sym_shaderRecordEXT] = ACTIONS(2552),
    [anon_sym_rayPayloadNV] = ACTIONS(2552),
    [anon_sym_rayPayloadInNV] = ACTIONS(2552),
    [anon_sym_hitAttributeNV] = ACTIONS(2552),
    [anon_sym_callableDataNV] = ACTIONS(2552),
    [anon_sym_callableDataInNV] = ACTIONS(2552),
    [anon_sym_shaderRecordNV] = ACTIONS(2552),
    [anon_sym_layout] = ACTIONS(2552),
  },
  [784] = {
    [sym_identifier] = ACTIONS(2528),
    [aux_sym_preproc_def_token1] = ACTIONS(2528),
    [aux_sym_preproc_if_token1] = ACTIONS(2528),
    [aux_sym_preproc_if_token2] = ACTIONS(2528),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2528),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2528),
    [aux_sym_preproc_else_token1] = ACTIONS(2528),
    [aux_sym_preproc_elif_token1] = ACTIONS(2528),
    [sym_preproc_directive] = ACTIONS(2528),
    [anon_sym_subroutine] = ACTIONS(2528),
    [anon_sym_invariant] = ACTIONS(2528),
    [anon_sym_precise] = ACTIONS(2528),
    [anon_sym_in] = ACTIONS(2528),
    [anon_sym_out] = ACTIONS(2528),
    [anon_sym_inout] = ACTIONS(2528),
    [anon_sym_uniform] = ACTIONS(2528),
    [anon_sym_shared] = ACTIONS(2528),
    [anon_sym_attribute] = ACTIONS(2528),
    [anon_sym_varying] = ACTIONS(2528),
    [anon_sym_buffer] = ACTIONS(2528),
    [anon_sym_coherent] = ACTIONS(2528),
    [anon_sym_readonly] = ACTIONS(2528),
    [anon_sym_writeonly] = ACTIONS(2528),
    [anon_sym_precision] = ACTIONS(2528),
    [anon_sym_highp] = ACTIONS(2528),
    [anon_sym_mediump] = ACTIONS(2528),
    [anon_sym_lowp] = ACTIONS(2528),
    [anon_sym_centroid] = ACTIONS(2528),
    [anon_sym_sample] = ACTIONS(2528),
    [anon_sym_patch] = ACTIONS(2528),
    [anon_sym_smooth] = ACTIONS(2528),
    [anon_sym_flat] = ACTIONS(2528),
    [anon_sym_noperspective] = ACTIONS(2528),
    [anon_sym___extension__] = ACTIONS(2528),
    [anon_sym_extern] = ACTIONS(2528),
    [anon_sym___attribute__] = ACTIONS(2528),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2530),
    [anon_sym___declspec] = ACTIONS(2528),
    [anon_sym_signed] = ACTIONS(2528),
    [anon_sym_unsigned] = ACTIONS(2528),
    [anon_sym_long] = ACTIONS(2528),
    [anon_sym_short] = ACTIONS(2528),
    [anon_sym_static] = ACTIONS(2528),
    [anon_sym_auto] = ACTIONS(2528),
    [anon_sym_register] = ACTIONS(2528),
    [anon_sym_inline] = ACTIONS(2528),
    [anon_sym___inline] = ACTIONS(2528),
    [anon_sym___inline__] = ACTIONS(2528),
    [anon_sym___forceinline] = ACTIONS(2528),
    [anon_sym_thread_local] = ACTIONS(2528),
    [anon_sym___thread] = ACTIONS(2528),
    [anon_sym_const] = ACTIONS(2528),
    [anon_sym_constexpr] = ACTIONS(2528),
    [anon_sym_volatile] = ACTIONS(2528),
    [anon_sym_restrict] = ACTIONS(2528),
    [anon_sym___restrict__] = ACTIONS(2528),
    [anon_sym__Atomic] = ACTIONS(2528),
    [anon_sym__Noreturn] = ACTIONS(2528),
    [anon_sym_noreturn] = ACTIONS(2528),
    [sym_primitive_type] = ACTIONS(2528),
    [anon_sym_enum] = ACTIONS(2528),
    [anon_sym_struct] = ACTIONS(2528),
    [anon_sym_union] = ACTIONS(2528),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2528),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2528),
    [anon_sym_hitAttributeEXT] = ACTIONS(2528),
    [anon_sym_callableDataEXT] = ACTIONS(2528),
    [anon_sym_callableDataInEXT] = ACTIONS(2528),
    [anon_sym_shaderRecordEXT] = ACTIONS(2528),
    [anon_sym_rayPayloadNV] = ACTIONS(2528),
    [anon_sym_rayPayloadInNV] = ACTIONS(2528),
    [anon_sym_hitAttributeNV] = ACTIONS(2528),
    [anon_sym_callableDataNV] = ACTIONS(2528),
    [anon_sym_callableDataInNV] = ACTIONS(2528),
    [anon_sym_shaderRecordNV] = ACTIONS(2528),
    [anon_sym_layout] = ACTIONS(2528),
  },
  [785] = {
    [sym_identifier] = ACTIONS(2556),
    [aux_sym_preproc_def_token1] = ACTIONS(2556),
    [aux_sym_preproc_if_token1] = ACTIONS(2556),
    [aux_sym_preproc_if_token2] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2556),
    [aux_sym_preproc_else_token1] = ACTIONS(2556),
    [aux_sym_preproc_elif_token1] = ACTIONS(2556),
    [sym_preproc_directive] = ACTIONS(2556),
    [anon_sym_subroutine] = ACTIONS(2556),
    [anon_sym_invariant] = ACTIONS(2556),
    [anon_sym_precise] = ACTIONS(2556),
    [anon_sym_in] = ACTIONS(2556),
    [anon_sym_out] = ACTIONS(2556),
    [anon_sym_inout] = ACTIONS(2556),
    [anon_sym_uniform] = ACTIONS(2556),
    [anon_sym_shared] = ACTIONS(2556),
    [anon_sym_attribute] = ACTIONS(2556),
    [anon_sym_varying] = ACTIONS(2556),
    [anon_sym_buffer] = ACTIONS(2556),
    [anon_sym_coherent] = ACTIONS(2556),
    [anon_sym_readonly] = ACTIONS(2556),
    [anon_sym_writeonly] = ACTIONS(2556),
    [anon_sym_precision] = ACTIONS(2556),
    [anon_sym_highp] = ACTIONS(2556),
    [anon_sym_mediump] = ACTIONS(2556),
    [anon_sym_lowp] = ACTIONS(2556),
    [anon_sym_centroid] = ACTIONS(2556),
    [anon_sym_sample] = ACTIONS(2556),
    [anon_sym_patch] = ACTIONS(2556),
    [anon_sym_smooth] = ACTIONS(2556),
    [anon_sym_flat] = ACTIONS(2556),
    [anon_sym_noperspective] = ACTIONS(2556),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_extern] = ACTIONS(2556),
    [anon_sym___attribute__] = ACTIONS(2556),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2558),
    [anon_sym___declspec] = ACTIONS(2556),
    [anon_sym_signed] = ACTIONS(2556),
    [anon_sym_unsigned] = ACTIONS(2556),
    [anon_sym_long] = ACTIONS(2556),
    [anon_sym_short] = ACTIONS(2556),
    [anon_sym_static] = ACTIONS(2556),
    [anon_sym_auto] = ACTIONS(2556),
    [anon_sym_register] = ACTIONS(2556),
    [anon_sym_inline] = ACTIONS(2556),
    [anon_sym___inline] = ACTIONS(2556),
    [anon_sym___inline__] = ACTIONS(2556),
    [anon_sym___forceinline] = ACTIONS(2556),
    [anon_sym_thread_local] = ACTIONS(2556),
    [anon_sym___thread] = ACTIONS(2556),
    [anon_sym_const] = ACTIONS(2556),
    [anon_sym_constexpr] = ACTIONS(2556),
    [anon_sym_volatile] = ACTIONS(2556),
    [anon_sym_restrict] = ACTIONS(2556),
    [anon_sym___restrict__] = ACTIONS(2556),
    [anon_sym__Atomic] = ACTIONS(2556),
    [anon_sym__Noreturn] = ACTIONS(2556),
    [anon_sym_noreturn] = ACTIONS(2556),
    [sym_primitive_type] = ACTIONS(2556),
    [anon_sym_enum] = ACTIONS(2556),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2556),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2556),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2556),
    [anon_sym_hitAttributeEXT] = ACTIONS(2556),
    [anon_sym_callableDataEXT] = ACTIONS(2556),
    [anon_sym_callableDataInEXT] = ACTIONS(2556),
    [anon_sym_shaderRecordEXT] = ACTIONS(2556),
    [anon_sym_rayPayloadNV] = ACTIONS(2556),
    [anon_sym_rayPayloadInNV] = ACTIONS(2556),
    [anon_sym_hitAttributeNV] = ACTIONS(2556),
    [anon_sym_callableDataNV] = ACTIONS(2556),
    [anon_sym_callableDataInNV] = ACTIONS(2556),
    [anon_sym_shaderRecordNV] = ACTIONS(2556),
    [anon_sym_layout] = ACTIONS(2556),
  },
  [786] = {
    [sym_identifier] = ACTIONS(1603),
    [aux_sym_preproc_def_token1] = ACTIONS(1603),
    [aux_sym_preproc_if_token1] = ACTIONS(1603),
    [aux_sym_preproc_if_token2] = ACTIONS(1603),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1603),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1603),
    [aux_sym_preproc_else_token1] = ACTIONS(1603),
    [aux_sym_preproc_elif_token1] = ACTIONS(1603),
    [sym_preproc_directive] = ACTIONS(1603),
    [anon_sym_subroutine] = ACTIONS(1603),
    [anon_sym_invariant] = ACTIONS(1603),
    [anon_sym_precise] = ACTIONS(1603),
    [anon_sym_in] = ACTIONS(1603),
    [anon_sym_out] = ACTIONS(1603),
    [anon_sym_inout] = ACTIONS(1603),
    [anon_sym_uniform] = ACTIONS(1603),
    [anon_sym_shared] = ACTIONS(1603),
    [anon_sym_attribute] = ACTIONS(1603),
    [anon_sym_varying] = ACTIONS(1603),
    [anon_sym_buffer] = ACTIONS(1603),
    [anon_sym_coherent] = ACTIONS(1603),
    [anon_sym_readonly] = ACTIONS(1603),
    [anon_sym_writeonly] = ACTIONS(1603),
    [anon_sym_precision] = ACTIONS(1603),
    [anon_sym_highp] = ACTIONS(1603),
    [anon_sym_mediump] = ACTIONS(1603),
    [anon_sym_lowp] = ACTIONS(1603),
    [anon_sym_centroid] = ACTIONS(1603),
    [anon_sym_sample] = ACTIONS(1603),
    [anon_sym_patch] = ACTIONS(1603),
    [anon_sym_smooth] = ACTIONS(1603),
    [anon_sym_flat] = ACTIONS(1603),
    [anon_sym_noperspective] = ACTIONS(1603),
    [anon_sym___extension__] = ACTIONS(1603),
    [anon_sym_extern] = ACTIONS(1603),
    [anon_sym___attribute__] = ACTIONS(1603),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1605),
    [anon_sym___declspec] = ACTIONS(1603),
    [anon_sym_signed] = ACTIONS(1603),
    [anon_sym_unsigned] = ACTIONS(1603),
    [anon_sym_long] = ACTIONS(1603),
    [anon_sym_short] = ACTIONS(1603),
    [anon_sym_static] = ACTIONS(1603),
    [anon_sym_auto] = ACTIONS(1603),
    [anon_sym_register] = ACTIONS(1603),
    [anon_sym_inline] = ACTIONS(1603),
    [anon_sym___inline] = ACTIONS(1603),
    [anon_sym___inline__] = ACTIONS(1603),
    [anon_sym___forceinline] = ACTIONS(1603),
    [anon_sym_thread_local] = ACTIONS(1603),
    [anon_sym___thread] = ACTIONS(1603),
    [anon_sym_const] = ACTIONS(1603),
    [anon_sym_constexpr] = ACTIONS(1603),
    [anon_sym_volatile] = ACTIONS(1603),
    [anon_sym_restrict] = ACTIONS(1603),
    [anon_sym___restrict__] = ACTIONS(1603),
    [anon_sym__Atomic] = ACTIONS(1603),
    [anon_sym__Noreturn] = ACTIONS(1603),
    [anon_sym_noreturn] = ACTIONS(1603),
    [sym_primitive_type] = ACTIONS(1603),
    [anon_sym_enum] = ACTIONS(1603),
    [anon_sym_struct] = ACTIONS(1603),
    [anon_sym_union] = ACTIONS(1603),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1603),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1603),
    [anon_sym_hitAttributeEXT] = ACTIONS(1603),
    [anon_sym_callableDataEXT] = ACTIONS(1603),
    [anon_sym_callableDataInEXT] = ACTIONS(1603),
    [anon_sym_shaderRecordEXT] = ACTIONS(1603),
    [anon_sym_rayPayloadNV] = ACTIONS(1603),
    [anon_sym_rayPayloadInNV] = ACTIONS(1603),
    [anon_sym_hitAttributeNV] = ACTIONS(1603),
    [anon_sym_callableDataNV] = ACTIONS(1603),
    [anon_sym_callableDataInNV] = ACTIONS(1603),
    [anon_sym_shaderRecordNV] = ACTIONS(1603),
    [anon_sym_layout] = ACTIONS(1603),
  },
  [787] = {
    [sym_identifier] = ACTIONS(2564),
    [aux_sym_preproc_def_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token2] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2564),
    [aux_sym_preproc_else_token1] = ACTIONS(2564),
    [aux_sym_preproc_elif_token1] = ACTIONS(2564),
    [sym_preproc_directive] = ACTIONS(2564),
    [anon_sym_subroutine] = ACTIONS(2564),
    [anon_sym_invariant] = ACTIONS(2564),
    [anon_sym_precise] = ACTIONS(2564),
    [anon_sym_in] = ACTIONS(2564),
    [anon_sym_out] = ACTIONS(2564),
    [anon_sym_inout] = ACTIONS(2564),
    [anon_sym_uniform] = ACTIONS(2564),
    [anon_sym_shared] = ACTIONS(2564),
    [anon_sym_attribute] = ACTIONS(2564),
    [anon_sym_varying] = ACTIONS(2564),
    [anon_sym_buffer] = ACTIONS(2564),
    [anon_sym_coherent] = ACTIONS(2564),
    [anon_sym_readonly] = ACTIONS(2564),
    [anon_sym_writeonly] = ACTIONS(2564),
    [anon_sym_precision] = ACTIONS(2564),
    [anon_sym_highp] = ACTIONS(2564),
    [anon_sym_mediump] = ACTIONS(2564),
    [anon_sym_lowp] = ACTIONS(2564),
    [anon_sym_centroid] = ACTIONS(2564),
    [anon_sym_sample] = ACTIONS(2564),
    [anon_sym_patch] = ACTIONS(2564),
    [anon_sym_smooth] = ACTIONS(2564),
    [anon_sym_flat] = ACTIONS(2564),
    [anon_sym_noperspective] = ACTIONS(2564),
    [anon_sym___extension__] = ACTIONS(2564),
    [anon_sym_extern] = ACTIONS(2564),
    [anon_sym___attribute__] = ACTIONS(2564),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2566),
    [anon_sym___declspec] = ACTIONS(2564),
    [anon_sym_signed] = ACTIONS(2564),
    [anon_sym_unsigned] = ACTIONS(2564),
    [anon_sym_long] = ACTIONS(2564),
    [anon_sym_short] = ACTIONS(2564),
    [anon_sym_static] = ACTIONS(2564),
    [anon_sym_auto] = ACTIONS(2564),
    [anon_sym_register] = ACTIONS(2564),
    [anon_sym_inline] = ACTIONS(2564),
    [anon_sym___inline] = ACTIONS(2564),
    [anon_sym___inline__] = ACTIONS(2564),
    [anon_sym___forceinline] = ACTIONS(2564),
    [anon_sym_thread_local] = ACTIONS(2564),
    [anon_sym___thread] = ACTIONS(2564),
    [anon_sym_const] = ACTIONS(2564),
    [anon_sym_constexpr] = ACTIONS(2564),
    [anon_sym_volatile] = ACTIONS(2564),
    [anon_sym_restrict] = ACTIONS(2564),
    [anon_sym___restrict__] = ACTIONS(2564),
    [anon_sym__Atomic] = ACTIONS(2564),
    [anon_sym__Noreturn] = ACTIONS(2564),
    [anon_sym_noreturn] = ACTIONS(2564),
    [sym_primitive_type] = ACTIONS(2564),
    [anon_sym_enum] = ACTIONS(2564),
    [anon_sym_struct] = ACTIONS(2564),
    [anon_sym_union] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2564),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2564),
    [anon_sym_hitAttributeEXT] = ACTIONS(2564),
    [anon_sym_callableDataEXT] = ACTIONS(2564),
    [anon_sym_callableDataInEXT] = ACTIONS(2564),
    [anon_sym_shaderRecordEXT] = ACTIONS(2564),
    [anon_sym_rayPayloadNV] = ACTIONS(2564),
    [anon_sym_rayPayloadInNV] = ACTIONS(2564),
    [anon_sym_hitAttributeNV] = ACTIONS(2564),
    [anon_sym_callableDataNV] = ACTIONS(2564),
    [anon_sym_callableDataInNV] = ACTIONS(2564),
    [anon_sym_shaderRecordNV] = ACTIONS(2564),
    [anon_sym_layout] = ACTIONS(2564),
  },
  [788] = {
    [sym_identifier] = ACTIONS(2532),
    [aux_sym_preproc_def_token1] = ACTIONS(2532),
    [aux_sym_preproc_if_token1] = ACTIONS(2532),
    [aux_sym_preproc_if_token2] = ACTIONS(2532),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2532),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2532),
    [aux_sym_preproc_else_token1] = ACTIONS(2532),
    [aux_sym_preproc_elif_token1] = ACTIONS(2532),
    [sym_preproc_directive] = ACTIONS(2532),
    [anon_sym_subroutine] = ACTIONS(2532),
    [anon_sym_invariant] = ACTIONS(2532),
    [anon_sym_precise] = ACTIONS(2532),
    [anon_sym_in] = ACTIONS(2532),
    [anon_sym_out] = ACTIONS(2532),
    [anon_sym_inout] = ACTIONS(2532),
    [anon_sym_uniform] = ACTIONS(2532),
    [anon_sym_shared] = ACTIONS(2532),
    [anon_sym_attribute] = ACTIONS(2532),
    [anon_sym_varying] = ACTIONS(2532),
    [anon_sym_buffer] = ACTIONS(2532),
    [anon_sym_coherent] = ACTIONS(2532),
    [anon_sym_readonly] = ACTIONS(2532),
    [anon_sym_writeonly] = ACTIONS(2532),
    [anon_sym_precision] = ACTIONS(2532),
    [anon_sym_highp] = ACTIONS(2532),
    [anon_sym_mediump] = ACTIONS(2532),
    [anon_sym_lowp] = ACTIONS(2532),
    [anon_sym_centroid] = ACTIONS(2532),
    [anon_sym_sample] = ACTIONS(2532),
    [anon_sym_patch] = ACTIONS(2532),
    [anon_sym_smooth] = ACTIONS(2532),
    [anon_sym_flat] = ACTIONS(2532),
    [anon_sym_noperspective] = ACTIONS(2532),
    [anon_sym___extension__] = ACTIONS(2532),
    [anon_sym_extern] = ACTIONS(2532),
    [anon_sym___attribute__] = ACTIONS(2532),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2534),
    [anon_sym___declspec] = ACTIONS(2532),
    [anon_sym_signed] = ACTIONS(2532),
    [anon_sym_unsigned] = ACTIONS(2532),
    [anon_sym_long] = ACTIONS(2532),
    [anon_sym_short] = ACTIONS(2532),
    [anon_sym_static] = ACTIONS(2532),
    [anon_sym_auto] = ACTIONS(2532),
    [anon_sym_register] = ACTIONS(2532),
    [anon_sym_inline] = ACTIONS(2532),
    [anon_sym___inline] = ACTIONS(2532),
    [anon_sym___inline__] = ACTIONS(2532),
    [anon_sym___forceinline] = ACTIONS(2532),
    [anon_sym_thread_local] = ACTIONS(2532),
    [anon_sym___thread] = ACTIONS(2532),
    [anon_sym_const] = ACTIONS(2532),
    [anon_sym_constexpr] = ACTIONS(2532),
    [anon_sym_volatile] = ACTIONS(2532),
    [anon_sym_restrict] = ACTIONS(2532),
    [anon_sym___restrict__] = ACTIONS(2532),
    [anon_sym__Atomic] = ACTIONS(2532),
    [anon_sym__Noreturn] = ACTIONS(2532),
    [anon_sym_noreturn] = ACTIONS(2532),
    [sym_primitive_type] = ACTIONS(2532),
    [anon_sym_enum] = ACTIONS(2532),
    [anon_sym_struct] = ACTIONS(2532),
    [anon_sym_union] = ACTIONS(2532),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2532),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2532),
    [anon_sym_hitAttributeEXT] = ACTIONS(2532),
    [anon_sym_callableDataEXT] = ACTIONS(2532),
    [anon_sym_callableDataInEXT] = ACTIONS(2532),
    [anon_sym_shaderRecordEXT] = ACTIONS(2532),
    [anon_sym_rayPayloadNV] = ACTIONS(2532),
    [anon_sym_rayPayloadInNV] = ACTIONS(2532),
    [anon_sym_hitAttributeNV] = ACTIONS(2532),
    [anon_sym_callableDataNV] = ACTIONS(2532),
    [anon_sym_callableDataInNV] = ACTIONS(2532),
    [anon_sym_shaderRecordNV] = ACTIONS(2532),
    [anon_sym_layout] = ACTIONS(2532),
  },
  [789] = {
    [sym_identifier] = ACTIONS(2560),
    [aux_sym_preproc_def_token1] = ACTIONS(2560),
    [aux_sym_preproc_if_token1] = ACTIONS(2560),
    [aux_sym_preproc_if_token2] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2560),
    [aux_sym_preproc_else_token1] = ACTIONS(2560),
    [aux_sym_preproc_elif_token1] = ACTIONS(2560),
    [sym_preproc_directive] = ACTIONS(2560),
    [anon_sym_subroutine] = ACTIONS(2560),
    [anon_sym_invariant] = ACTIONS(2560),
    [anon_sym_precise] = ACTIONS(2560),
    [anon_sym_in] = ACTIONS(2560),
    [anon_sym_out] = ACTIONS(2560),
    [anon_sym_inout] = ACTIONS(2560),
    [anon_sym_uniform] = ACTIONS(2560),
    [anon_sym_shared] = ACTIONS(2560),
    [anon_sym_attribute] = ACTIONS(2560),
    [anon_sym_varying] = ACTIONS(2560),
    [anon_sym_buffer] = ACTIONS(2560),
    [anon_sym_coherent] = ACTIONS(2560),
    [anon_sym_readonly] = ACTIONS(2560),
    [anon_sym_writeonly] = ACTIONS(2560),
    [anon_sym_precision] = ACTIONS(2560),
    [anon_sym_highp] = ACTIONS(2560),
    [anon_sym_mediump] = ACTIONS(2560),
    [anon_sym_lowp] = ACTIONS(2560),
    [anon_sym_centroid] = ACTIONS(2560),
    [anon_sym_sample] = ACTIONS(2560),
    [anon_sym_patch] = ACTIONS(2560),
    [anon_sym_smooth] = ACTIONS(2560),
    [anon_sym_flat] = ACTIONS(2560),
    [anon_sym_noperspective] = ACTIONS(2560),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_extern] = ACTIONS(2560),
    [anon_sym___attribute__] = ACTIONS(2560),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2562),
    [anon_sym___declspec] = ACTIONS(2560),
    [anon_sym_signed] = ACTIONS(2560),
    [anon_sym_unsigned] = ACTIONS(2560),
    [anon_sym_long] = ACTIONS(2560),
    [anon_sym_short] = ACTIONS(2560),
    [anon_sym_static] = ACTIONS(2560),
    [anon_sym_auto] = ACTIONS(2560),
    [anon_sym_register] = ACTIONS(2560),
    [anon_sym_inline] = ACTIONS(2560),
    [anon_sym___inline] = ACTIONS(2560),
    [anon_sym___inline__] = ACTIONS(2560),
    [anon_sym___forceinline] = ACTIONS(2560),
    [anon_sym_thread_local] = ACTIONS(2560),
    [anon_sym___thread] = ACTIONS(2560),
    [anon_sym_const] = ACTIONS(2560),
    [anon_sym_constexpr] = ACTIONS(2560),
    [anon_sym_volatile] = ACTIONS(2560),
    [anon_sym_restrict] = ACTIONS(2560),
    [anon_sym___restrict__] = ACTIONS(2560),
    [anon_sym__Atomic] = ACTIONS(2560),
    [anon_sym__Noreturn] = ACTIONS(2560),
    [anon_sym_noreturn] = ACTIONS(2560),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_enum] = ACTIONS(2560),
    [anon_sym_struct] = ACTIONS(2560),
    [anon_sym_union] = ACTIONS(2560),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2560),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2560),
    [anon_sym_hitAttributeEXT] = ACTIONS(2560),
    [anon_sym_callableDataEXT] = ACTIONS(2560),
    [anon_sym_callableDataInEXT] = ACTIONS(2560),
    [anon_sym_shaderRecordEXT] = ACTIONS(2560),
    [anon_sym_rayPayloadNV] = ACTIONS(2560),
    [anon_sym_rayPayloadInNV] = ACTIONS(2560),
    [anon_sym_hitAttributeNV] = ACTIONS(2560),
    [anon_sym_callableDataNV] = ACTIONS(2560),
    [anon_sym_callableDataInNV] = ACTIONS(2560),
    [anon_sym_shaderRecordNV] = ACTIONS(2560),
    [anon_sym_layout] = ACTIONS(2560),
  },
  [790] = {
    [sym_identifier] = ACTIONS(2508),
    [aux_sym_preproc_def_token1] = ACTIONS(2508),
    [aux_sym_preproc_if_token1] = ACTIONS(2508),
    [aux_sym_preproc_if_token2] = ACTIONS(2508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2508),
    [aux_sym_preproc_else_token1] = ACTIONS(2508),
    [aux_sym_preproc_elif_token1] = ACTIONS(2508),
    [sym_preproc_directive] = ACTIONS(2508),
    [anon_sym_subroutine] = ACTIONS(2508),
    [anon_sym_invariant] = ACTIONS(2508),
    [anon_sym_precise] = ACTIONS(2508),
    [anon_sym_in] = ACTIONS(2508),
    [anon_sym_out] = ACTIONS(2508),
    [anon_sym_inout] = ACTIONS(2508),
    [anon_sym_uniform] = ACTIONS(2508),
    [anon_sym_shared] = ACTIONS(2508),
    [anon_sym_attribute] = ACTIONS(2508),
    [anon_sym_varying] = ACTIONS(2508),
    [anon_sym_buffer] = ACTIONS(2508),
    [anon_sym_coherent] = ACTIONS(2508),
    [anon_sym_readonly] = ACTIONS(2508),
    [anon_sym_writeonly] = ACTIONS(2508),
    [anon_sym_precision] = ACTIONS(2508),
    [anon_sym_highp] = ACTIONS(2508),
    [anon_sym_mediump] = ACTIONS(2508),
    [anon_sym_lowp] = ACTIONS(2508),
    [anon_sym_centroid] = ACTIONS(2508),
    [anon_sym_sample] = ACTIONS(2508),
    [anon_sym_patch] = ACTIONS(2508),
    [anon_sym_smooth] = ACTIONS(2508),
    [anon_sym_flat] = ACTIONS(2508),
    [anon_sym_noperspective] = ACTIONS(2508),
    [anon_sym___extension__] = ACTIONS(2508),
    [anon_sym_extern] = ACTIONS(2508),
    [anon_sym___attribute__] = ACTIONS(2508),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2510),
    [anon_sym___declspec] = ACTIONS(2508),
    [anon_sym_signed] = ACTIONS(2508),
    [anon_sym_unsigned] = ACTIONS(2508),
    [anon_sym_long] = ACTIONS(2508),
    [anon_sym_short] = ACTIONS(2508),
    [anon_sym_static] = ACTIONS(2508),
    [anon_sym_auto] = ACTIONS(2508),
    [anon_sym_register] = ACTIONS(2508),
    [anon_sym_inline] = ACTIONS(2508),
    [anon_sym___inline] = ACTIONS(2508),
    [anon_sym___inline__] = ACTIONS(2508),
    [anon_sym___forceinline] = ACTIONS(2508),
    [anon_sym_thread_local] = ACTIONS(2508),
    [anon_sym___thread] = ACTIONS(2508),
    [anon_sym_const] = ACTIONS(2508),
    [anon_sym_constexpr] = ACTIONS(2508),
    [anon_sym_volatile] = ACTIONS(2508),
    [anon_sym_restrict] = ACTIONS(2508),
    [anon_sym___restrict__] = ACTIONS(2508),
    [anon_sym__Atomic] = ACTIONS(2508),
    [anon_sym__Noreturn] = ACTIONS(2508),
    [anon_sym_noreturn] = ACTIONS(2508),
    [sym_primitive_type] = ACTIONS(2508),
    [anon_sym_enum] = ACTIONS(2508),
    [anon_sym_struct] = ACTIONS(2508),
    [anon_sym_union] = ACTIONS(2508),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2508),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2508),
    [anon_sym_hitAttributeEXT] = ACTIONS(2508),
    [anon_sym_callableDataEXT] = ACTIONS(2508),
    [anon_sym_callableDataInEXT] = ACTIONS(2508),
    [anon_sym_shaderRecordEXT] = ACTIONS(2508),
    [anon_sym_rayPayloadNV] = ACTIONS(2508),
    [anon_sym_rayPayloadInNV] = ACTIONS(2508),
    [anon_sym_hitAttributeNV] = ACTIONS(2508),
    [anon_sym_callableDataNV] = ACTIONS(2508),
    [anon_sym_callableDataInNV] = ACTIONS(2508),
    [anon_sym_shaderRecordNV] = ACTIONS(2508),
    [anon_sym_layout] = ACTIONS(2508),
  },
  [791] = {
    [sym_identifier] = ACTIONS(2548),
    [aux_sym_preproc_def_token1] = ACTIONS(2548),
    [aux_sym_preproc_if_token1] = ACTIONS(2548),
    [aux_sym_preproc_if_token2] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2548),
    [aux_sym_preproc_else_token1] = ACTIONS(2548),
    [aux_sym_preproc_elif_token1] = ACTIONS(2548),
    [sym_preproc_directive] = ACTIONS(2548),
    [anon_sym_subroutine] = ACTIONS(2548),
    [anon_sym_invariant] = ACTIONS(2548),
    [anon_sym_precise] = ACTIONS(2548),
    [anon_sym_in] = ACTIONS(2548),
    [anon_sym_out] = ACTIONS(2548),
    [anon_sym_inout] = ACTIONS(2548),
    [anon_sym_uniform] = ACTIONS(2548),
    [anon_sym_shared] = ACTIONS(2548),
    [anon_sym_attribute] = ACTIONS(2548),
    [anon_sym_varying] = ACTIONS(2548),
    [anon_sym_buffer] = ACTIONS(2548),
    [anon_sym_coherent] = ACTIONS(2548),
    [anon_sym_readonly] = ACTIONS(2548),
    [anon_sym_writeonly] = ACTIONS(2548),
    [anon_sym_precision] = ACTIONS(2548),
    [anon_sym_highp] = ACTIONS(2548),
    [anon_sym_mediump] = ACTIONS(2548),
    [anon_sym_lowp] = ACTIONS(2548),
    [anon_sym_centroid] = ACTIONS(2548),
    [anon_sym_sample] = ACTIONS(2548),
    [anon_sym_patch] = ACTIONS(2548),
    [anon_sym_smooth] = ACTIONS(2548),
    [anon_sym_flat] = ACTIONS(2548),
    [anon_sym_noperspective] = ACTIONS(2548),
    [anon_sym___extension__] = ACTIONS(2548),
    [anon_sym_extern] = ACTIONS(2548),
    [anon_sym___attribute__] = ACTIONS(2548),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2550),
    [anon_sym___declspec] = ACTIONS(2548),
    [anon_sym_signed] = ACTIONS(2548),
    [anon_sym_unsigned] = ACTIONS(2548),
    [anon_sym_long] = ACTIONS(2548),
    [anon_sym_short] = ACTIONS(2548),
    [anon_sym_static] = ACTIONS(2548),
    [anon_sym_auto] = ACTIONS(2548),
    [anon_sym_register] = ACTIONS(2548),
    [anon_sym_inline] = ACTIONS(2548),
    [anon_sym___inline] = ACTIONS(2548),
    [anon_sym___inline__] = ACTIONS(2548),
    [anon_sym___forceinline] = ACTIONS(2548),
    [anon_sym_thread_local] = ACTIONS(2548),
    [anon_sym___thread] = ACTIONS(2548),
    [anon_sym_const] = ACTIONS(2548),
    [anon_sym_constexpr] = ACTIONS(2548),
    [anon_sym_volatile] = ACTIONS(2548),
    [anon_sym_restrict] = ACTIONS(2548),
    [anon_sym___restrict__] = ACTIONS(2548),
    [anon_sym__Atomic] = ACTIONS(2548),
    [anon_sym__Noreturn] = ACTIONS(2548),
    [anon_sym_noreturn] = ACTIONS(2548),
    [sym_primitive_type] = ACTIONS(2548),
    [anon_sym_enum] = ACTIONS(2548),
    [anon_sym_struct] = ACTIONS(2548),
    [anon_sym_union] = ACTIONS(2548),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2548),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2548),
    [anon_sym_hitAttributeEXT] = ACTIONS(2548),
    [anon_sym_callableDataEXT] = ACTIONS(2548),
    [anon_sym_callableDataInEXT] = ACTIONS(2548),
    [anon_sym_shaderRecordEXT] = ACTIONS(2548),
    [anon_sym_rayPayloadNV] = ACTIONS(2548),
    [anon_sym_rayPayloadInNV] = ACTIONS(2548),
    [anon_sym_hitAttributeNV] = ACTIONS(2548),
    [anon_sym_callableDataNV] = ACTIONS(2548),
    [anon_sym_callableDataInNV] = ACTIONS(2548),
    [anon_sym_shaderRecordNV] = ACTIONS(2548),
    [anon_sym_layout] = ACTIONS(2548),
  },
  [792] = {
    [sym_identifier] = ACTIONS(2568),
    [anon_sym_subroutine] = ACTIONS(2568),
    [anon_sym_invariant] = ACTIONS(2568),
    [anon_sym_precise] = ACTIONS(2568),
    [anon_sym_in] = ACTIONS(2568),
    [anon_sym_out] = ACTIONS(2568),
    [anon_sym_inout] = ACTIONS(2568),
    [anon_sym_uniform] = ACTIONS(2568),
    [anon_sym_shared] = ACTIONS(2568),
    [anon_sym_attribute] = ACTIONS(2568),
    [anon_sym_varying] = ACTIONS(2568),
    [anon_sym_buffer] = ACTIONS(2568),
    [anon_sym_coherent] = ACTIONS(2568),
    [anon_sym_readonly] = ACTIONS(2568),
    [anon_sym_writeonly] = ACTIONS(2568),
    [anon_sym_precision] = ACTIONS(2568),
    [anon_sym_highp] = ACTIONS(2568),
    [anon_sym_mediump] = ACTIONS(2568),
    [anon_sym_lowp] = ACTIONS(2568),
    [anon_sym_centroid] = ACTIONS(2568),
    [anon_sym_sample] = ACTIONS(2568),
    [anon_sym_patch] = ACTIONS(2568),
    [anon_sym_smooth] = ACTIONS(2568),
    [anon_sym_flat] = ACTIONS(2568),
    [anon_sym_noperspective] = ACTIONS(2568),
    [anon_sym___extension__] = ACTIONS(2568),
    [anon_sym_extern] = ACTIONS(2568),
    [anon_sym___attribute__] = ACTIONS(2568),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2570),
    [anon_sym___declspec] = ACTIONS(2568),
    [anon_sym___cdecl] = ACTIONS(2568),
    [anon_sym___clrcall] = ACTIONS(2568),
    [anon_sym___stdcall] = ACTIONS(2568),
    [anon_sym___fastcall] = ACTIONS(2568),
    [anon_sym___thiscall] = ACTIONS(2568),
    [anon_sym___vectorcall] = ACTIONS(2568),
    [anon_sym_LBRACE] = ACTIONS(2570),
    [anon_sym_signed] = ACTIONS(2568),
    [anon_sym_unsigned] = ACTIONS(2568),
    [anon_sym_long] = ACTIONS(2568),
    [anon_sym_short] = ACTIONS(2568),
    [anon_sym_static] = ACTIONS(2568),
    [anon_sym_auto] = ACTIONS(2568),
    [anon_sym_register] = ACTIONS(2568),
    [anon_sym_inline] = ACTIONS(2568),
    [anon_sym___inline] = ACTIONS(2568),
    [anon_sym___inline__] = ACTIONS(2568),
    [anon_sym___forceinline] = ACTIONS(2568),
    [anon_sym_thread_local] = ACTIONS(2568),
    [anon_sym___thread] = ACTIONS(2568),
    [anon_sym_const] = ACTIONS(2568),
    [anon_sym_constexpr] = ACTIONS(2568),
    [anon_sym_volatile] = ACTIONS(2568),
    [anon_sym_restrict] = ACTIONS(2568),
    [anon_sym___restrict__] = ACTIONS(2568),
    [anon_sym__Atomic] = ACTIONS(2568),
    [anon_sym__Noreturn] = ACTIONS(2568),
    [anon_sym_noreturn] = ACTIONS(2568),
    [sym_primitive_type] = ACTIONS(2568),
    [anon_sym_enum] = ACTIONS(2568),
    [anon_sym_struct] = ACTIONS(2568),
    [anon_sym_union] = ACTIONS(2568),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2568),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2568),
    [anon_sym_hitAttributeEXT] = ACTIONS(2568),
    [anon_sym_callableDataEXT] = ACTIONS(2568),
    [anon_sym_callableDataInEXT] = ACTIONS(2568),
    [anon_sym_shaderRecordEXT] = ACTIONS(2568),
    [anon_sym_rayPayloadNV] = ACTIONS(2568),
    [anon_sym_rayPayloadInNV] = ACTIONS(2568),
    [anon_sym_hitAttributeNV] = ACTIONS(2568),
    [anon_sym_callableDataNV] = ACTIONS(2568),
    [anon_sym_callableDataInNV] = ACTIONS(2568),
    [anon_sym_shaderRecordNV] = ACTIONS(2568),
    [anon_sym_layout] = ACTIONS(2568),
  },
  [793] = {
    [sym_identifier] = ACTIONS(2572),
    [anon_sym_subroutine] = ACTIONS(2572),
    [anon_sym_invariant] = ACTIONS(2572),
    [anon_sym_precise] = ACTIONS(2572),
    [anon_sym_in] = ACTIONS(2572),
    [anon_sym_out] = ACTIONS(2572),
    [anon_sym_inout] = ACTIONS(2572),
    [anon_sym_uniform] = ACTIONS(2572),
    [anon_sym_shared] = ACTIONS(2572),
    [anon_sym_attribute] = ACTIONS(2572),
    [anon_sym_varying] = ACTIONS(2572),
    [anon_sym_buffer] = ACTIONS(2572),
    [anon_sym_coherent] = ACTIONS(2572),
    [anon_sym_readonly] = ACTIONS(2572),
    [anon_sym_writeonly] = ACTIONS(2572),
    [anon_sym_precision] = ACTIONS(2572),
    [anon_sym_highp] = ACTIONS(2572),
    [anon_sym_mediump] = ACTIONS(2572),
    [anon_sym_lowp] = ACTIONS(2572),
    [anon_sym_centroid] = ACTIONS(2572),
    [anon_sym_sample] = ACTIONS(2572),
    [anon_sym_patch] = ACTIONS(2572),
    [anon_sym_smooth] = ACTIONS(2572),
    [anon_sym_flat] = ACTIONS(2572),
    [anon_sym_noperspective] = ACTIONS(2572),
    [anon_sym___extension__] = ACTIONS(2572),
    [anon_sym_extern] = ACTIONS(2572),
    [anon_sym___attribute__] = ACTIONS(2572),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2574),
    [anon_sym___declspec] = ACTIONS(2572),
    [anon_sym___cdecl] = ACTIONS(2572),
    [anon_sym___clrcall] = ACTIONS(2572),
    [anon_sym___stdcall] = ACTIONS(2572),
    [anon_sym___fastcall] = ACTIONS(2572),
    [anon_sym___thiscall] = ACTIONS(2572),
    [anon_sym___vectorcall] = ACTIONS(2572),
    [anon_sym_LBRACE] = ACTIONS(2574),
    [anon_sym_signed] = ACTIONS(2572),
    [anon_sym_unsigned] = ACTIONS(2572),
    [anon_sym_long] = ACTIONS(2572),
    [anon_sym_short] = ACTIONS(2572),
    [anon_sym_static] = ACTIONS(2572),
    [anon_sym_auto] = ACTIONS(2572),
    [anon_sym_register] = ACTIONS(2572),
    [anon_sym_inline] = ACTIONS(2572),
    [anon_sym___inline] = ACTIONS(2572),
    [anon_sym___inline__] = ACTIONS(2572),
    [anon_sym___forceinline] = ACTIONS(2572),
    [anon_sym_thread_local] = ACTIONS(2572),
    [anon_sym___thread] = ACTIONS(2572),
    [anon_sym_const] = ACTIONS(2572),
    [anon_sym_constexpr] = ACTIONS(2572),
    [anon_sym_volatile] = ACTIONS(2572),
    [anon_sym_restrict] = ACTIONS(2572),
    [anon_sym___restrict__] = ACTIONS(2572),
    [anon_sym__Atomic] = ACTIONS(2572),
    [anon_sym__Noreturn] = ACTIONS(2572),
    [anon_sym_noreturn] = ACTIONS(2572),
    [sym_primitive_type] = ACTIONS(2572),
    [anon_sym_enum] = ACTIONS(2572),
    [anon_sym_struct] = ACTIONS(2572),
    [anon_sym_union] = ACTIONS(2572),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2572),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2572),
    [anon_sym_hitAttributeEXT] = ACTIONS(2572),
    [anon_sym_callableDataEXT] = ACTIONS(2572),
    [anon_sym_callableDataInEXT] = ACTIONS(2572),
    [anon_sym_shaderRecordEXT] = ACTIONS(2572),
    [anon_sym_rayPayloadNV] = ACTIONS(2572),
    [anon_sym_rayPayloadInNV] = ACTIONS(2572),
    [anon_sym_hitAttributeNV] = ACTIONS(2572),
    [anon_sym_callableDataNV] = ACTIONS(2572),
    [anon_sym_callableDataInNV] = ACTIONS(2572),
    [anon_sym_shaderRecordNV] = ACTIONS(2572),
    [anon_sym_layout] = ACTIONS(2572),
  },
  [794] = {
    [sym_identifier] = ACTIONS(2520),
    [aux_sym_preproc_def_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2520),
    [sym_preproc_directive] = ACTIONS(2520),
    [anon_sym_subroutine] = ACTIONS(2520),
    [anon_sym_invariant] = ACTIONS(2520),
    [anon_sym_precise] = ACTIONS(2520),
    [anon_sym_in] = ACTIONS(2520),
    [anon_sym_out] = ACTIONS(2520),
    [anon_sym_inout] = ACTIONS(2520),
    [anon_sym_uniform] = ACTIONS(2520),
    [anon_sym_shared] = ACTIONS(2520),
    [anon_sym_attribute] = ACTIONS(2520),
    [anon_sym_varying] = ACTIONS(2520),
    [anon_sym_buffer] = ACTIONS(2520),
    [anon_sym_coherent] = ACTIONS(2520),
    [anon_sym_readonly] = ACTIONS(2520),
    [anon_sym_writeonly] = ACTIONS(2520),
    [anon_sym_precision] = ACTIONS(2520),
    [anon_sym_highp] = ACTIONS(2520),
    [anon_sym_mediump] = ACTIONS(2520),
    [anon_sym_lowp] = ACTIONS(2520),
    [anon_sym_centroid] = ACTIONS(2520),
    [anon_sym_sample] = ACTIONS(2520),
    [anon_sym_patch] = ACTIONS(2520),
    [anon_sym_smooth] = ACTIONS(2520),
    [anon_sym_flat] = ACTIONS(2520),
    [anon_sym_noperspective] = ACTIONS(2520),
    [anon_sym___extension__] = ACTIONS(2520),
    [anon_sym_extern] = ACTIONS(2520),
    [anon_sym___attribute__] = ACTIONS(2520),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2520),
    [anon_sym_RBRACE] = ACTIONS(2522),
    [anon_sym_signed] = ACTIONS(2520),
    [anon_sym_unsigned] = ACTIONS(2520),
    [anon_sym_long] = ACTIONS(2520),
    [anon_sym_short] = ACTIONS(2520),
    [anon_sym_static] = ACTIONS(2520),
    [anon_sym_auto] = ACTIONS(2520),
    [anon_sym_register] = ACTIONS(2520),
    [anon_sym_inline] = ACTIONS(2520),
    [anon_sym___inline] = ACTIONS(2520),
    [anon_sym___inline__] = ACTIONS(2520),
    [anon_sym___forceinline] = ACTIONS(2520),
    [anon_sym_thread_local] = ACTIONS(2520),
    [anon_sym___thread] = ACTIONS(2520),
    [anon_sym_const] = ACTIONS(2520),
    [anon_sym_constexpr] = ACTIONS(2520),
    [anon_sym_volatile] = ACTIONS(2520),
    [anon_sym_restrict] = ACTIONS(2520),
    [anon_sym___restrict__] = ACTIONS(2520),
    [anon_sym__Atomic] = ACTIONS(2520),
    [anon_sym__Noreturn] = ACTIONS(2520),
    [anon_sym_noreturn] = ACTIONS(2520),
    [sym_primitive_type] = ACTIONS(2520),
    [anon_sym_enum] = ACTIONS(2520),
    [anon_sym_struct] = ACTIONS(2520),
    [anon_sym_union] = ACTIONS(2520),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2520),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2520),
    [anon_sym_hitAttributeEXT] = ACTIONS(2520),
    [anon_sym_callableDataEXT] = ACTIONS(2520),
    [anon_sym_callableDataInEXT] = ACTIONS(2520),
    [anon_sym_shaderRecordEXT] = ACTIONS(2520),
    [anon_sym_rayPayloadNV] = ACTIONS(2520),
    [anon_sym_rayPayloadInNV] = ACTIONS(2520),
    [anon_sym_hitAttributeNV] = ACTIONS(2520),
    [anon_sym_callableDataNV] = ACTIONS(2520),
    [anon_sym_callableDataInNV] = ACTIONS(2520),
    [anon_sym_shaderRecordNV] = ACTIONS(2520),
    [anon_sym_layout] = ACTIONS(2520),
  },
  [795] = {
    [sym_identifier] = ACTIONS(2528),
    [aux_sym_preproc_def_token1] = ACTIONS(2528),
    [aux_sym_preproc_if_token1] = ACTIONS(2528),
    [aux_sym_preproc_if_token2] = ACTIONS(2528),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2528),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2528),
    [sym_preproc_directive] = ACTIONS(2528),
    [anon_sym_subroutine] = ACTIONS(2528),
    [anon_sym_invariant] = ACTIONS(2528),
    [anon_sym_precise] = ACTIONS(2528),
    [anon_sym_in] = ACTIONS(2528),
    [anon_sym_out] = ACTIONS(2528),
    [anon_sym_inout] = ACTIONS(2528),
    [anon_sym_uniform] = ACTIONS(2528),
    [anon_sym_shared] = ACTIONS(2528),
    [anon_sym_attribute] = ACTIONS(2528),
    [anon_sym_varying] = ACTIONS(2528),
    [anon_sym_buffer] = ACTIONS(2528),
    [anon_sym_coherent] = ACTIONS(2528),
    [anon_sym_readonly] = ACTIONS(2528),
    [anon_sym_writeonly] = ACTIONS(2528),
    [anon_sym_precision] = ACTIONS(2528),
    [anon_sym_highp] = ACTIONS(2528),
    [anon_sym_mediump] = ACTIONS(2528),
    [anon_sym_lowp] = ACTIONS(2528),
    [anon_sym_centroid] = ACTIONS(2528),
    [anon_sym_sample] = ACTIONS(2528),
    [anon_sym_patch] = ACTIONS(2528),
    [anon_sym_smooth] = ACTIONS(2528),
    [anon_sym_flat] = ACTIONS(2528),
    [anon_sym_noperspective] = ACTIONS(2528),
    [anon_sym___extension__] = ACTIONS(2528),
    [anon_sym_extern] = ACTIONS(2528),
    [anon_sym___attribute__] = ACTIONS(2528),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2530),
    [anon_sym___declspec] = ACTIONS(2528),
    [anon_sym_signed] = ACTIONS(2528),
    [anon_sym_unsigned] = ACTIONS(2528),
    [anon_sym_long] = ACTIONS(2528),
    [anon_sym_short] = ACTIONS(2528),
    [anon_sym_static] = ACTIONS(2528),
    [anon_sym_auto] = ACTIONS(2528),
    [anon_sym_register] = ACTIONS(2528),
    [anon_sym_inline] = ACTIONS(2528),
    [anon_sym___inline] = ACTIONS(2528),
    [anon_sym___inline__] = ACTIONS(2528),
    [anon_sym___forceinline] = ACTIONS(2528),
    [anon_sym_thread_local] = ACTIONS(2528),
    [anon_sym___thread] = ACTIONS(2528),
    [anon_sym_const] = ACTIONS(2528),
    [anon_sym_constexpr] = ACTIONS(2528),
    [anon_sym_volatile] = ACTIONS(2528),
    [anon_sym_restrict] = ACTIONS(2528),
    [anon_sym___restrict__] = ACTIONS(2528),
    [anon_sym__Atomic] = ACTIONS(2528),
    [anon_sym__Noreturn] = ACTIONS(2528),
    [anon_sym_noreturn] = ACTIONS(2528),
    [sym_primitive_type] = ACTIONS(2528),
    [anon_sym_enum] = ACTIONS(2528),
    [anon_sym_struct] = ACTIONS(2528),
    [anon_sym_union] = ACTIONS(2528),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2528),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2528),
    [anon_sym_hitAttributeEXT] = ACTIONS(2528),
    [anon_sym_callableDataEXT] = ACTIONS(2528),
    [anon_sym_callableDataInEXT] = ACTIONS(2528),
    [anon_sym_shaderRecordEXT] = ACTIONS(2528),
    [anon_sym_rayPayloadNV] = ACTIONS(2528),
    [anon_sym_rayPayloadInNV] = ACTIONS(2528),
    [anon_sym_hitAttributeNV] = ACTIONS(2528),
    [anon_sym_callableDataNV] = ACTIONS(2528),
    [anon_sym_callableDataInNV] = ACTIONS(2528),
    [anon_sym_shaderRecordNV] = ACTIONS(2528),
    [anon_sym_layout] = ACTIONS(2528),
  },
  [796] = {
    [sym_identifier] = ACTIONS(2532),
    [aux_sym_preproc_def_token1] = ACTIONS(2532),
    [aux_sym_preproc_if_token1] = ACTIONS(2532),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2532),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2532),
    [sym_preproc_directive] = ACTIONS(2532),
    [anon_sym_subroutine] = ACTIONS(2532),
    [anon_sym_invariant] = ACTIONS(2532),
    [anon_sym_precise] = ACTIONS(2532),
    [anon_sym_in] = ACTIONS(2532),
    [anon_sym_out] = ACTIONS(2532),
    [anon_sym_inout] = ACTIONS(2532),
    [anon_sym_uniform] = ACTIONS(2532),
    [anon_sym_shared] = ACTIONS(2532),
    [anon_sym_attribute] = ACTIONS(2532),
    [anon_sym_varying] = ACTIONS(2532),
    [anon_sym_buffer] = ACTIONS(2532),
    [anon_sym_coherent] = ACTIONS(2532),
    [anon_sym_readonly] = ACTIONS(2532),
    [anon_sym_writeonly] = ACTIONS(2532),
    [anon_sym_precision] = ACTIONS(2532),
    [anon_sym_highp] = ACTIONS(2532),
    [anon_sym_mediump] = ACTIONS(2532),
    [anon_sym_lowp] = ACTIONS(2532),
    [anon_sym_centroid] = ACTIONS(2532),
    [anon_sym_sample] = ACTIONS(2532),
    [anon_sym_patch] = ACTIONS(2532),
    [anon_sym_smooth] = ACTIONS(2532),
    [anon_sym_flat] = ACTIONS(2532),
    [anon_sym_noperspective] = ACTIONS(2532),
    [anon_sym___extension__] = ACTIONS(2532),
    [anon_sym_extern] = ACTIONS(2532),
    [anon_sym___attribute__] = ACTIONS(2532),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2534),
    [anon_sym___declspec] = ACTIONS(2532),
    [anon_sym_RBRACE] = ACTIONS(2534),
    [anon_sym_signed] = ACTIONS(2532),
    [anon_sym_unsigned] = ACTIONS(2532),
    [anon_sym_long] = ACTIONS(2532),
    [anon_sym_short] = ACTIONS(2532),
    [anon_sym_static] = ACTIONS(2532),
    [anon_sym_auto] = ACTIONS(2532),
    [anon_sym_register] = ACTIONS(2532),
    [anon_sym_inline] = ACTIONS(2532),
    [anon_sym___inline] = ACTIONS(2532),
    [anon_sym___inline__] = ACTIONS(2532),
    [anon_sym___forceinline] = ACTIONS(2532),
    [anon_sym_thread_local] = ACTIONS(2532),
    [anon_sym___thread] = ACTIONS(2532),
    [anon_sym_const] = ACTIONS(2532),
    [anon_sym_constexpr] = ACTIONS(2532),
    [anon_sym_volatile] = ACTIONS(2532),
    [anon_sym_restrict] = ACTIONS(2532),
    [anon_sym___restrict__] = ACTIONS(2532),
    [anon_sym__Atomic] = ACTIONS(2532),
    [anon_sym__Noreturn] = ACTIONS(2532),
    [anon_sym_noreturn] = ACTIONS(2532),
    [sym_primitive_type] = ACTIONS(2532),
    [anon_sym_enum] = ACTIONS(2532),
    [anon_sym_struct] = ACTIONS(2532),
    [anon_sym_union] = ACTIONS(2532),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2532),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2532),
    [anon_sym_hitAttributeEXT] = ACTIONS(2532),
    [anon_sym_callableDataEXT] = ACTIONS(2532),
    [anon_sym_callableDataInEXT] = ACTIONS(2532),
    [anon_sym_shaderRecordEXT] = ACTIONS(2532),
    [anon_sym_rayPayloadNV] = ACTIONS(2532),
    [anon_sym_rayPayloadInNV] = ACTIONS(2532),
    [anon_sym_hitAttributeNV] = ACTIONS(2532),
    [anon_sym_callableDataNV] = ACTIONS(2532),
    [anon_sym_callableDataInNV] = ACTIONS(2532),
    [anon_sym_shaderRecordNV] = ACTIONS(2532),
    [anon_sym_layout] = ACTIONS(2532),
  },
  [797] = {
    [sym_identifier] = ACTIONS(2552),
    [aux_sym_preproc_def_token1] = ACTIONS(2552),
    [aux_sym_preproc_if_token1] = ACTIONS(2552),
    [aux_sym_preproc_if_token2] = ACTIONS(2552),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2552),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2552),
    [sym_preproc_directive] = ACTIONS(2552),
    [anon_sym_subroutine] = ACTIONS(2552),
    [anon_sym_invariant] = ACTIONS(2552),
    [anon_sym_precise] = ACTIONS(2552),
    [anon_sym_in] = ACTIONS(2552),
    [anon_sym_out] = ACTIONS(2552),
    [anon_sym_inout] = ACTIONS(2552),
    [anon_sym_uniform] = ACTIONS(2552),
    [anon_sym_shared] = ACTIONS(2552),
    [anon_sym_attribute] = ACTIONS(2552),
    [anon_sym_varying] = ACTIONS(2552),
    [anon_sym_buffer] = ACTIONS(2552),
    [anon_sym_coherent] = ACTIONS(2552),
    [anon_sym_readonly] = ACTIONS(2552),
    [anon_sym_writeonly] = ACTIONS(2552),
    [anon_sym_precision] = ACTIONS(2552),
    [anon_sym_highp] = ACTIONS(2552),
    [anon_sym_mediump] = ACTIONS(2552),
    [anon_sym_lowp] = ACTIONS(2552),
    [anon_sym_centroid] = ACTIONS(2552),
    [anon_sym_sample] = ACTIONS(2552),
    [anon_sym_patch] = ACTIONS(2552),
    [anon_sym_smooth] = ACTIONS(2552),
    [anon_sym_flat] = ACTIONS(2552),
    [anon_sym_noperspective] = ACTIONS(2552),
    [anon_sym___extension__] = ACTIONS(2552),
    [anon_sym_extern] = ACTIONS(2552),
    [anon_sym___attribute__] = ACTIONS(2552),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2554),
    [anon_sym___declspec] = ACTIONS(2552),
    [anon_sym_signed] = ACTIONS(2552),
    [anon_sym_unsigned] = ACTIONS(2552),
    [anon_sym_long] = ACTIONS(2552),
    [anon_sym_short] = ACTIONS(2552),
    [anon_sym_static] = ACTIONS(2552),
    [anon_sym_auto] = ACTIONS(2552),
    [anon_sym_register] = ACTIONS(2552),
    [anon_sym_inline] = ACTIONS(2552),
    [anon_sym___inline] = ACTIONS(2552),
    [anon_sym___inline__] = ACTIONS(2552),
    [anon_sym___forceinline] = ACTIONS(2552),
    [anon_sym_thread_local] = ACTIONS(2552),
    [anon_sym___thread] = ACTIONS(2552),
    [anon_sym_const] = ACTIONS(2552),
    [anon_sym_constexpr] = ACTIONS(2552),
    [anon_sym_volatile] = ACTIONS(2552),
    [anon_sym_restrict] = ACTIONS(2552),
    [anon_sym___restrict__] = ACTIONS(2552),
    [anon_sym__Atomic] = ACTIONS(2552),
    [anon_sym__Noreturn] = ACTIONS(2552),
    [anon_sym_noreturn] = ACTIONS(2552),
    [sym_primitive_type] = ACTIONS(2552),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_struct] = ACTIONS(2552),
    [anon_sym_union] = ACTIONS(2552),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2552),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2552),
    [anon_sym_hitAttributeEXT] = ACTIONS(2552),
    [anon_sym_callableDataEXT] = ACTIONS(2552),
    [anon_sym_callableDataInEXT] = ACTIONS(2552),
    [anon_sym_shaderRecordEXT] = ACTIONS(2552),
    [anon_sym_rayPayloadNV] = ACTIONS(2552),
    [anon_sym_rayPayloadInNV] = ACTIONS(2552),
    [anon_sym_hitAttributeNV] = ACTIONS(2552),
    [anon_sym_callableDataNV] = ACTIONS(2552),
    [anon_sym_callableDataInNV] = ACTIONS(2552),
    [anon_sym_shaderRecordNV] = ACTIONS(2552),
    [anon_sym_layout] = ACTIONS(2552),
  },
  [798] = {
    [sym_identifier] = ACTIONS(2556),
    [aux_sym_preproc_def_token1] = ACTIONS(2556),
    [aux_sym_preproc_if_token1] = ACTIONS(2556),
    [aux_sym_preproc_if_token2] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2556),
    [sym_preproc_directive] = ACTIONS(2556),
    [anon_sym_subroutine] = ACTIONS(2556),
    [anon_sym_invariant] = ACTIONS(2556),
    [anon_sym_precise] = ACTIONS(2556),
    [anon_sym_in] = ACTIONS(2556),
    [anon_sym_out] = ACTIONS(2556),
    [anon_sym_inout] = ACTIONS(2556),
    [anon_sym_uniform] = ACTIONS(2556),
    [anon_sym_shared] = ACTIONS(2556),
    [anon_sym_attribute] = ACTIONS(2556),
    [anon_sym_varying] = ACTIONS(2556),
    [anon_sym_buffer] = ACTIONS(2556),
    [anon_sym_coherent] = ACTIONS(2556),
    [anon_sym_readonly] = ACTIONS(2556),
    [anon_sym_writeonly] = ACTIONS(2556),
    [anon_sym_precision] = ACTIONS(2556),
    [anon_sym_highp] = ACTIONS(2556),
    [anon_sym_mediump] = ACTIONS(2556),
    [anon_sym_lowp] = ACTIONS(2556),
    [anon_sym_centroid] = ACTIONS(2556),
    [anon_sym_sample] = ACTIONS(2556),
    [anon_sym_patch] = ACTIONS(2556),
    [anon_sym_smooth] = ACTIONS(2556),
    [anon_sym_flat] = ACTIONS(2556),
    [anon_sym_noperspective] = ACTIONS(2556),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_extern] = ACTIONS(2556),
    [anon_sym___attribute__] = ACTIONS(2556),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2558),
    [anon_sym___declspec] = ACTIONS(2556),
    [anon_sym_signed] = ACTIONS(2556),
    [anon_sym_unsigned] = ACTIONS(2556),
    [anon_sym_long] = ACTIONS(2556),
    [anon_sym_short] = ACTIONS(2556),
    [anon_sym_static] = ACTIONS(2556),
    [anon_sym_auto] = ACTIONS(2556),
    [anon_sym_register] = ACTIONS(2556),
    [anon_sym_inline] = ACTIONS(2556),
    [anon_sym___inline] = ACTIONS(2556),
    [anon_sym___inline__] = ACTIONS(2556),
    [anon_sym___forceinline] = ACTIONS(2556),
    [anon_sym_thread_local] = ACTIONS(2556),
    [anon_sym___thread] = ACTIONS(2556),
    [anon_sym_const] = ACTIONS(2556),
    [anon_sym_constexpr] = ACTIONS(2556),
    [anon_sym_volatile] = ACTIONS(2556),
    [anon_sym_restrict] = ACTIONS(2556),
    [anon_sym___restrict__] = ACTIONS(2556),
    [anon_sym__Atomic] = ACTIONS(2556),
    [anon_sym__Noreturn] = ACTIONS(2556),
    [anon_sym_noreturn] = ACTIONS(2556),
    [sym_primitive_type] = ACTIONS(2556),
    [anon_sym_enum] = ACTIONS(2556),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2556),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2556),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2556),
    [anon_sym_hitAttributeEXT] = ACTIONS(2556),
    [anon_sym_callableDataEXT] = ACTIONS(2556),
    [anon_sym_callableDataInEXT] = ACTIONS(2556),
    [anon_sym_shaderRecordEXT] = ACTIONS(2556),
    [anon_sym_rayPayloadNV] = ACTIONS(2556),
    [anon_sym_rayPayloadInNV] = ACTIONS(2556),
    [anon_sym_hitAttributeNV] = ACTIONS(2556),
    [anon_sym_callableDataNV] = ACTIONS(2556),
    [anon_sym_callableDataInNV] = ACTIONS(2556),
    [anon_sym_shaderRecordNV] = ACTIONS(2556),
    [anon_sym_layout] = ACTIONS(2556),
  },
  [799] = {
    [sym_identifier] = ACTIONS(2532),
    [aux_sym_preproc_def_token1] = ACTIONS(2532),
    [aux_sym_preproc_if_token1] = ACTIONS(2532),
    [aux_sym_preproc_if_token2] = ACTIONS(2532),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2532),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2532),
    [sym_preproc_directive] = ACTIONS(2532),
    [anon_sym_subroutine] = ACTIONS(2532),
    [anon_sym_invariant] = ACTIONS(2532),
    [anon_sym_precise] = ACTIONS(2532),
    [anon_sym_in] = ACTIONS(2532),
    [anon_sym_out] = ACTIONS(2532),
    [anon_sym_inout] = ACTIONS(2532),
    [anon_sym_uniform] = ACTIONS(2532),
    [anon_sym_shared] = ACTIONS(2532),
    [anon_sym_attribute] = ACTIONS(2532),
    [anon_sym_varying] = ACTIONS(2532),
    [anon_sym_buffer] = ACTIONS(2532),
    [anon_sym_coherent] = ACTIONS(2532),
    [anon_sym_readonly] = ACTIONS(2532),
    [anon_sym_writeonly] = ACTIONS(2532),
    [anon_sym_precision] = ACTIONS(2532),
    [anon_sym_highp] = ACTIONS(2532),
    [anon_sym_mediump] = ACTIONS(2532),
    [anon_sym_lowp] = ACTIONS(2532),
    [anon_sym_centroid] = ACTIONS(2532),
    [anon_sym_sample] = ACTIONS(2532),
    [anon_sym_patch] = ACTIONS(2532),
    [anon_sym_smooth] = ACTIONS(2532),
    [anon_sym_flat] = ACTIONS(2532),
    [anon_sym_noperspective] = ACTIONS(2532),
    [anon_sym___extension__] = ACTIONS(2532),
    [anon_sym_extern] = ACTIONS(2532),
    [anon_sym___attribute__] = ACTIONS(2532),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2534),
    [anon_sym___declspec] = ACTIONS(2532),
    [anon_sym_signed] = ACTIONS(2532),
    [anon_sym_unsigned] = ACTIONS(2532),
    [anon_sym_long] = ACTIONS(2532),
    [anon_sym_short] = ACTIONS(2532),
    [anon_sym_static] = ACTIONS(2532),
    [anon_sym_auto] = ACTIONS(2532),
    [anon_sym_register] = ACTIONS(2532),
    [anon_sym_inline] = ACTIONS(2532),
    [anon_sym___inline] = ACTIONS(2532),
    [anon_sym___inline__] = ACTIONS(2532),
    [anon_sym___forceinline] = ACTIONS(2532),
    [anon_sym_thread_local] = ACTIONS(2532),
    [anon_sym___thread] = ACTIONS(2532),
    [anon_sym_const] = ACTIONS(2532),
    [anon_sym_constexpr] = ACTIONS(2532),
    [anon_sym_volatile] = ACTIONS(2532),
    [anon_sym_restrict] = ACTIONS(2532),
    [anon_sym___restrict__] = ACTIONS(2532),
    [anon_sym__Atomic] = ACTIONS(2532),
    [anon_sym__Noreturn] = ACTIONS(2532),
    [anon_sym_noreturn] = ACTIONS(2532),
    [sym_primitive_type] = ACTIONS(2532),
    [anon_sym_enum] = ACTIONS(2532),
    [anon_sym_struct] = ACTIONS(2532),
    [anon_sym_union] = ACTIONS(2532),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2532),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2532),
    [anon_sym_hitAttributeEXT] = ACTIONS(2532),
    [anon_sym_callableDataEXT] = ACTIONS(2532),
    [anon_sym_callableDataInEXT] = ACTIONS(2532),
    [anon_sym_shaderRecordEXT] = ACTIONS(2532),
    [anon_sym_rayPayloadNV] = ACTIONS(2532),
    [anon_sym_rayPayloadInNV] = ACTIONS(2532),
    [anon_sym_hitAttributeNV] = ACTIONS(2532),
    [anon_sym_callableDataNV] = ACTIONS(2532),
    [anon_sym_callableDataInNV] = ACTIONS(2532),
    [anon_sym_shaderRecordNV] = ACTIONS(2532),
    [anon_sym_layout] = ACTIONS(2532),
  },
  [800] = {
    [sym_identifier] = ACTIONS(2560),
    [aux_sym_preproc_def_token1] = ACTIONS(2560),
    [aux_sym_preproc_if_token1] = ACTIONS(2560),
    [aux_sym_preproc_if_token2] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2560),
    [sym_preproc_directive] = ACTIONS(2560),
    [anon_sym_subroutine] = ACTIONS(2560),
    [anon_sym_invariant] = ACTIONS(2560),
    [anon_sym_precise] = ACTIONS(2560),
    [anon_sym_in] = ACTIONS(2560),
    [anon_sym_out] = ACTIONS(2560),
    [anon_sym_inout] = ACTIONS(2560),
    [anon_sym_uniform] = ACTIONS(2560),
    [anon_sym_shared] = ACTIONS(2560),
    [anon_sym_attribute] = ACTIONS(2560),
    [anon_sym_varying] = ACTIONS(2560),
    [anon_sym_buffer] = ACTIONS(2560),
    [anon_sym_coherent] = ACTIONS(2560),
    [anon_sym_readonly] = ACTIONS(2560),
    [anon_sym_writeonly] = ACTIONS(2560),
    [anon_sym_precision] = ACTIONS(2560),
    [anon_sym_highp] = ACTIONS(2560),
    [anon_sym_mediump] = ACTIONS(2560),
    [anon_sym_lowp] = ACTIONS(2560),
    [anon_sym_centroid] = ACTIONS(2560),
    [anon_sym_sample] = ACTIONS(2560),
    [anon_sym_patch] = ACTIONS(2560),
    [anon_sym_smooth] = ACTIONS(2560),
    [anon_sym_flat] = ACTIONS(2560),
    [anon_sym_noperspective] = ACTIONS(2560),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_extern] = ACTIONS(2560),
    [anon_sym___attribute__] = ACTIONS(2560),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2562),
    [anon_sym___declspec] = ACTIONS(2560),
    [anon_sym_signed] = ACTIONS(2560),
    [anon_sym_unsigned] = ACTIONS(2560),
    [anon_sym_long] = ACTIONS(2560),
    [anon_sym_short] = ACTIONS(2560),
    [anon_sym_static] = ACTIONS(2560),
    [anon_sym_auto] = ACTIONS(2560),
    [anon_sym_register] = ACTIONS(2560),
    [anon_sym_inline] = ACTIONS(2560),
    [anon_sym___inline] = ACTIONS(2560),
    [anon_sym___inline__] = ACTIONS(2560),
    [anon_sym___forceinline] = ACTIONS(2560),
    [anon_sym_thread_local] = ACTIONS(2560),
    [anon_sym___thread] = ACTIONS(2560),
    [anon_sym_const] = ACTIONS(2560),
    [anon_sym_constexpr] = ACTIONS(2560),
    [anon_sym_volatile] = ACTIONS(2560),
    [anon_sym_restrict] = ACTIONS(2560),
    [anon_sym___restrict__] = ACTIONS(2560),
    [anon_sym__Atomic] = ACTIONS(2560),
    [anon_sym__Noreturn] = ACTIONS(2560),
    [anon_sym_noreturn] = ACTIONS(2560),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_enum] = ACTIONS(2560),
    [anon_sym_struct] = ACTIONS(2560),
    [anon_sym_union] = ACTIONS(2560),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2560),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2560),
    [anon_sym_hitAttributeEXT] = ACTIONS(2560),
    [anon_sym_callableDataEXT] = ACTIONS(2560),
    [anon_sym_callableDataInEXT] = ACTIONS(2560),
    [anon_sym_shaderRecordEXT] = ACTIONS(2560),
    [anon_sym_rayPayloadNV] = ACTIONS(2560),
    [anon_sym_rayPayloadInNV] = ACTIONS(2560),
    [anon_sym_hitAttributeNV] = ACTIONS(2560),
    [anon_sym_callableDataNV] = ACTIONS(2560),
    [anon_sym_callableDataInNV] = ACTIONS(2560),
    [anon_sym_shaderRecordNV] = ACTIONS(2560),
    [anon_sym_layout] = ACTIONS(2560),
  },
  [801] = {
    [sym_identifier] = ACTIONS(1603),
    [aux_sym_preproc_def_token1] = ACTIONS(1603),
    [aux_sym_preproc_if_token1] = ACTIONS(1603),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1603),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1603),
    [sym_preproc_directive] = ACTIONS(1603),
    [anon_sym_subroutine] = ACTIONS(1603),
    [anon_sym_invariant] = ACTIONS(1603),
    [anon_sym_precise] = ACTIONS(1603),
    [anon_sym_in] = ACTIONS(1603),
    [anon_sym_out] = ACTIONS(1603),
    [anon_sym_inout] = ACTIONS(1603),
    [anon_sym_uniform] = ACTIONS(1603),
    [anon_sym_shared] = ACTIONS(1603),
    [anon_sym_attribute] = ACTIONS(1603),
    [anon_sym_varying] = ACTIONS(1603),
    [anon_sym_buffer] = ACTIONS(1603),
    [anon_sym_coherent] = ACTIONS(1603),
    [anon_sym_readonly] = ACTIONS(1603),
    [anon_sym_writeonly] = ACTIONS(1603),
    [anon_sym_precision] = ACTIONS(1603),
    [anon_sym_highp] = ACTIONS(1603),
    [anon_sym_mediump] = ACTIONS(1603),
    [anon_sym_lowp] = ACTIONS(1603),
    [anon_sym_centroid] = ACTIONS(1603),
    [anon_sym_sample] = ACTIONS(1603),
    [anon_sym_patch] = ACTIONS(1603),
    [anon_sym_smooth] = ACTIONS(1603),
    [anon_sym_flat] = ACTIONS(1603),
    [anon_sym_noperspective] = ACTIONS(1603),
    [anon_sym___extension__] = ACTIONS(1603),
    [anon_sym_extern] = ACTIONS(1603),
    [anon_sym___attribute__] = ACTIONS(1603),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1605),
    [anon_sym___declspec] = ACTIONS(1603),
    [anon_sym_RBRACE] = ACTIONS(1605),
    [anon_sym_signed] = ACTIONS(1603),
    [anon_sym_unsigned] = ACTIONS(1603),
    [anon_sym_long] = ACTIONS(1603),
    [anon_sym_short] = ACTIONS(1603),
    [anon_sym_static] = ACTIONS(1603),
    [anon_sym_auto] = ACTIONS(1603),
    [anon_sym_register] = ACTIONS(1603),
    [anon_sym_inline] = ACTIONS(1603),
    [anon_sym___inline] = ACTIONS(1603),
    [anon_sym___inline__] = ACTIONS(1603),
    [anon_sym___forceinline] = ACTIONS(1603),
    [anon_sym_thread_local] = ACTIONS(1603),
    [anon_sym___thread] = ACTIONS(1603),
    [anon_sym_const] = ACTIONS(1603),
    [anon_sym_constexpr] = ACTIONS(1603),
    [anon_sym_volatile] = ACTIONS(1603),
    [anon_sym_restrict] = ACTIONS(1603),
    [anon_sym___restrict__] = ACTIONS(1603),
    [anon_sym__Atomic] = ACTIONS(1603),
    [anon_sym__Noreturn] = ACTIONS(1603),
    [anon_sym_noreturn] = ACTIONS(1603),
    [sym_primitive_type] = ACTIONS(1603),
    [anon_sym_enum] = ACTIONS(1603),
    [anon_sym_struct] = ACTIONS(1603),
    [anon_sym_union] = ACTIONS(1603),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1603),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1603),
    [anon_sym_hitAttributeEXT] = ACTIONS(1603),
    [anon_sym_callableDataEXT] = ACTIONS(1603),
    [anon_sym_callableDataInEXT] = ACTIONS(1603),
    [anon_sym_shaderRecordEXT] = ACTIONS(1603),
    [anon_sym_rayPayloadNV] = ACTIONS(1603),
    [anon_sym_rayPayloadInNV] = ACTIONS(1603),
    [anon_sym_hitAttributeNV] = ACTIONS(1603),
    [anon_sym_callableDataNV] = ACTIONS(1603),
    [anon_sym_callableDataInNV] = ACTIONS(1603),
    [anon_sym_shaderRecordNV] = ACTIONS(1603),
    [anon_sym_layout] = ACTIONS(1603),
  },
  [802] = {
    [sym_identifier] = ACTIONS(2508),
    [aux_sym_preproc_def_token1] = ACTIONS(2508),
    [aux_sym_preproc_if_token1] = ACTIONS(2508),
    [aux_sym_preproc_if_token2] = ACTIONS(2508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2508),
    [sym_preproc_directive] = ACTIONS(2508),
    [anon_sym_subroutine] = ACTIONS(2508),
    [anon_sym_invariant] = ACTIONS(2508),
    [anon_sym_precise] = ACTIONS(2508),
    [anon_sym_in] = ACTIONS(2508),
    [anon_sym_out] = ACTIONS(2508),
    [anon_sym_inout] = ACTIONS(2508),
    [anon_sym_uniform] = ACTIONS(2508),
    [anon_sym_shared] = ACTIONS(2508),
    [anon_sym_attribute] = ACTIONS(2508),
    [anon_sym_varying] = ACTIONS(2508),
    [anon_sym_buffer] = ACTIONS(2508),
    [anon_sym_coherent] = ACTIONS(2508),
    [anon_sym_readonly] = ACTIONS(2508),
    [anon_sym_writeonly] = ACTIONS(2508),
    [anon_sym_precision] = ACTIONS(2508),
    [anon_sym_highp] = ACTIONS(2508),
    [anon_sym_mediump] = ACTIONS(2508),
    [anon_sym_lowp] = ACTIONS(2508),
    [anon_sym_centroid] = ACTIONS(2508),
    [anon_sym_sample] = ACTIONS(2508),
    [anon_sym_patch] = ACTIONS(2508),
    [anon_sym_smooth] = ACTIONS(2508),
    [anon_sym_flat] = ACTIONS(2508),
    [anon_sym_noperspective] = ACTIONS(2508),
    [anon_sym___extension__] = ACTIONS(2508),
    [anon_sym_extern] = ACTIONS(2508),
    [anon_sym___attribute__] = ACTIONS(2508),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2510),
    [anon_sym___declspec] = ACTIONS(2508),
    [anon_sym_signed] = ACTIONS(2508),
    [anon_sym_unsigned] = ACTIONS(2508),
    [anon_sym_long] = ACTIONS(2508),
    [anon_sym_short] = ACTIONS(2508),
    [anon_sym_static] = ACTIONS(2508),
    [anon_sym_auto] = ACTIONS(2508),
    [anon_sym_register] = ACTIONS(2508),
    [anon_sym_inline] = ACTIONS(2508),
    [anon_sym___inline] = ACTIONS(2508),
    [anon_sym___inline__] = ACTIONS(2508),
    [anon_sym___forceinline] = ACTIONS(2508),
    [anon_sym_thread_local] = ACTIONS(2508),
    [anon_sym___thread] = ACTIONS(2508),
    [anon_sym_const] = ACTIONS(2508),
    [anon_sym_constexpr] = ACTIONS(2508),
    [anon_sym_volatile] = ACTIONS(2508),
    [anon_sym_restrict] = ACTIONS(2508),
    [anon_sym___restrict__] = ACTIONS(2508),
    [anon_sym__Atomic] = ACTIONS(2508),
    [anon_sym__Noreturn] = ACTIONS(2508),
    [anon_sym_noreturn] = ACTIONS(2508),
    [sym_primitive_type] = ACTIONS(2508),
    [anon_sym_enum] = ACTIONS(2508),
    [anon_sym_struct] = ACTIONS(2508),
    [anon_sym_union] = ACTIONS(2508),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2508),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2508),
    [anon_sym_hitAttributeEXT] = ACTIONS(2508),
    [anon_sym_callableDataEXT] = ACTIONS(2508),
    [anon_sym_callableDataInEXT] = ACTIONS(2508),
    [anon_sym_shaderRecordEXT] = ACTIONS(2508),
    [anon_sym_rayPayloadNV] = ACTIONS(2508),
    [anon_sym_rayPayloadInNV] = ACTIONS(2508),
    [anon_sym_hitAttributeNV] = ACTIONS(2508),
    [anon_sym_callableDataNV] = ACTIONS(2508),
    [anon_sym_callableDataInNV] = ACTIONS(2508),
    [anon_sym_shaderRecordNV] = ACTIONS(2508),
    [anon_sym_layout] = ACTIONS(2508),
  },
  [803] = {
    [sym_identifier] = ACTIONS(1611),
    [aux_sym_preproc_def_token1] = ACTIONS(1611),
    [aux_sym_preproc_if_token1] = ACTIONS(1611),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1611),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1611),
    [sym_preproc_directive] = ACTIONS(1611),
    [anon_sym_subroutine] = ACTIONS(1611),
    [anon_sym_invariant] = ACTIONS(1611),
    [anon_sym_precise] = ACTIONS(1611),
    [anon_sym_in] = ACTIONS(1611),
    [anon_sym_out] = ACTIONS(1611),
    [anon_sym_inout] = ACTIONS(1611),
    [anon_sym_uniform] = ACTIONS(1611),
    [anon_sym_shared] = ACTIONS(1611),
    [anon_sym_attribute] = ACTIONS(1611),
    [anon_sym_varying] = ACTIONS(1611),
    [anon_sym_buffer] = ACTIONS(1611),
    [anon_sym_coherent] = ACTIONS(1611),
    [anon_sym_readonly] = ACTIONS(1611),
    [anon_sym_writeonly] = ACTIONS(1611),
    [anon_sym_precision] = ACTIONS(1611),
    [anon_sym_highp] = ACTIONS(1611),
    [anon_sym_mediump] = ACTIONS(1611),
    [anon_sym_lowp] = ACTIONS(1611),
    [anon_sym_centroid] = ACTIONS(1611),
    [anon_sym_sample] = ACTIONS(1611),
    [anon_sym_patch] = ACTIONS(1611),
    [anon_sym_smooth] = ACTIONS(1611),
    [anon_sym_flat] = ACTIONS(1611),
    [anon_sym_noperspective] = ACTIONS(1611),
    [anon_sym___extension__] = ACTIONS(1611),
    [anon_sym_extern] = ACTIONS(1611),
    [anon_sym___attribute__] = ACTIONS(1611),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1613),
    [anon_sym___declspec] = ACTIONS(1611),
    [anon_sym_RBRACE] = ACTIONS(1613),
    [anon_sym_signed] = ACTIONS(1611),
    [anon_sym_unsigned] = ACTIONS(1611),
    [anon_sym_long] = ACTIONS(1611),
    [anon_sym_short] = ACTIONS(1611),
    [anon_sym_static] = ACTIONS(1611),
    [anon_sym_auto] = ACTIONS(1611),
    [anon_sym_register] = ACTIONS(1611),
    [anon_sym_inline] = ACTIONS(1611),
    [anon_sym___inline] = ACTIONS(1611),
    [anon_sym___inline__] = ACTIONS(1611),
    [anon_sym___forceinline] = ACTIONS(1611),
    [anon_sym_thread_local] = ACTIONS(1611),
    [anon_sym___thread] = ACTIONS(1611),
    [anon_sym_const] = ACTIONS(1611),
    [anon_sym_constexpr] = ACTIONS(1611),
    [anon_sym_volatile] = ACTIONS(1611),
    [anon_sym_restrict] = ACTIONS(1611),
    [anon_sym___restrict__] = ACTIONS(1611),
    [anon_sym__Atomic] = ACTIONS(1611),
    [anon_sym__Noreturn] = ACTIONS(1611),
    [anon_sym_noreturn] = ACTIONS(1611),
    [sym_primitive_type] = ACTIONS(1611),
    [anon_sym_enum] = ACTIONS(1611),
    [anon_sym_struct] = ACTIONS(1611),
    [anon_sym_union] = ACTIONS(1611),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1611),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1611),
    [anon_sym_hitAttributeEXT] = ACTIONS(1611),
    [anon_sym_callableDataEXT] = ACTIONS(1611),
    [anon_sym_callableDataInEXT] = ACTIONS(1611),
    [anon_sym_shaderRecordEXT] = ACTIONS(1611),
    [anon_sym_rayPayloadNV] = ACTIONS(1611),
    [anon_sym_rayPayloadInNV] = ACTIONS(1611),
    [anon_sym_hitAttributeNV] = ACTIONS(1611),
    [anon_sym_callableDataNV] = ACTIONS(1611),
    [anon_sym_callableDataInNV] = ACTIONS(1611),
    [anon_sym_shaderRecordNV] = ACTIONS(1611),
    [anon_sym_layout] = ACTIONS(1611),
  },
  [804] = {
    [sym_identifier] = ACTIONS(2556),
    [aux_sym_preproc_def_token1] = ACTIONS(2556),
    [aux_sym_preproc_if_token1] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2556),
    [sym_preproc_directive] = ACTIONS(2556),
    [anon_sym_subroutine] = ACTIONS(2556),
    [anon_sym_invariant] = ACTIONS(2556),
    [anon_sym_precise] = ACTIONS(2556),
    [anon_sym_in] = ACTIONS(2556),
    [anon_sym_out] = ACTIONS(2556),
    [anon_sym_inout] = ACTIONS(2556),
    [anon_sym_uniform] = ACTIONS(2556),
    [anon_sym_shared] = ACTIONS(2556),
    [anon_sym_attribute] = ACTIONS(2556),
    [anon_sym_varying] = ACTIONS(2556),
    [anon_sym_buffer] = ACTIONS(2556),
    [anon_sym_coherent] = ACTIONS(2556),
    [anon_sym_readonly] = ACTIONS(2556),
    [anon_sym_writeonly] = ACTIONS(2556),
    [anon_sym_precision] = ACTIONS(2556),
    [anon_sym_highp] = ACTIONS(2556),
    [anon_sym_mediump] = ACTIONS(2556),
    [anon_sym_lowp] = ACTIONS(2556),
    [anon_sym_centroid] = ACTIONS(2556),
    [anon_sym_sample] = ACTIONS(2556),
    [anon_sym_patch] = ACTIONS(2556),
    [anon_sym_smooth] = ACTIONS(2556),
    [anon_sym_flat] = ACTIONS(2556),
    [anon_sym_noperspective] = ACTIONS(2556),
    [anon_sym___extension__] = ACTIONS(2556),
    [anon_sym_extern] = ACTIONS(2556),
    [anon_sym___attribute__] = ACTIONS(2556),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2558),
    [anon_sym___declspec] = ACTIONS(2556),
    [anon_sym_RBRACE] = ACTIONS(2558),
    [anon_sym_signed] = ACTIONS(2556),
    [anon_sym_unsigned] = ACTIONS(2556),
    [anon_sym_long] = ACTIONS(2556),
    [anon_sym_short] = ACTIONS(2556),
    [anon_sym_static] = ACTIONS(2556),
    [anon_sym_auto] = ACTIONS(2556),
    [anon_sym_register] = ACTIONS(2556),
    [anon_sym_inline] = ACTIONS(2556),
    [anon_sym___inline] = ACTIONS(2556),
    [anon_sym___inline__] = ACTIONS(2556),
    [anon_sym___forceinline] = ACTIONS(2556),
    [anon_sym_thread_local] = ACTIONS(2556),
    [anon_sym___thread] = ACTIONS(2556),
    [anon_sym_const] = ACTIONS(2556),
    [anon_sym_constexpr] = ACTIONS(2556),
    [anon_sym_volatile] = ACTIONS(2556),
    [anon_sym_restrict] = ACTIONS(2556),
    [anon_sym___restrict__] = ACTIONS(2556),
    [anon_sym__Atomic] = ACTIONS(2556),
    [anon_sym__Noreturn] = ACTIONS(2556),
    [anon_sym_noreturn] = ACTIONS(2556),
    [sym_primitive_type] = ACTIONS(2556),
    [anon_sym_enum] = ACTIONS(2556),
    [anon_sym_struct] = ACTIONS(2556),
    [anon_sym_union] = ACTIONS(2556),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2556),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2556),
    [anon_sym_hitAttributeEXT] = ACTIONS(2556),
    [anon_sym_callableDataEXT] = ACTIONS(2556),
    [anon_sym_callableDataInEXT] = ACTIONS(2556),
    [anon_sym_shaderRecordEXT] = ACTIONS(2556),
    [anon_sym_rayPayloadNV] = ACTIONS(2556),
    [anon_sym_rayPayloadInNV] = ACTIONS(2556),
    [anon_sym_hitAttributeNV] = ACTIONS(2556),
    [anon_sym_callableDataNV] = ACTIONS(2556),
    [anon_sym_callableDataInNV] = ACTIONS(2556),
    [anon_sym_shaderRecordNV] = ACTIONS(2556),
    [anon_sym_layout] = ACTIONS(2556),
  },
  [805] = {
    [sym_identifier] = ACTIONS(2524),
    [aux_sym_preproc_def_token1] = ACTIONS(2524),
    [aux_sym_preproc_if_token1] = ACTIONS(2524),
    [aux_sym_preproc_if_token2] = ACTIONS(2524),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2524),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2524),
    [sym_preproc_directive] = ACTIONS(2524),
    [anon_sym_subroutine] = ACTIONS(2524),
    [anon_sym_invariant] = ACTIONS(2524),
    [anon_sym_precise] = ACTIONS(2524),
    [anon_sym_in] = ACTIONS(2524),
    [anon_sym_out] = ACTIONS(2524),
    [anon_sym_inout] = ACTIONS(2524),
    [anon_sym_uniform] = ACTIONS(2524),
    [anon_sym_shared] = ACTIONS(2524),
    [anon_sym_attribute] = ACTIONS(2524),
    [anon_sym_varying] = ACTIONS(2524),
    [anon_sym_buffer] = ACTIONS(2524),
    [anon_sym_coherent] = ACTIONS(2524),
    [anon_sym_readonly] = ACTIONS(2524),
    [anon_sym_writeonly] = ACTIONS(2524),
    [anon_sym_precision] = ACTIONS(2524),
    [anon_sym_highp] = ACTIONS(2524),
    [anon_sym_mediump] = ACTIONS(2524),
    [anon_sym_lowp] = ACTIONS(2524),
    [anon_sym_centroid] = ACTIONS(2524),
    [anon_sym_sample] = ACTIONS(2524),
    [anon_sym_patch] = ACTIONS(2524),
    [anon_sym_smooth] = ACTIONS(2524),
    [anon_sym_flat] = ACTIONS(2524),
    [anon_sym_noperspective] = ACTIONS(2524),
    [anon_sym___extension__] = ACTIONS(2524),
    [anon_sym_extern] = ACTIONS(2524),
    [anon_sym___attribute__] = ACTIONS(2524),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2526),
    [anon_sym___declspec] = ACTIONS(2524),
    [anon_sym_signed] = ACTIONS(2524),
    [anon_sym_unsigned] = ACTIONS(2524),
    [anon_sym_long] = ACTIONS(2524),
    [anon_sym_short] = ACTIONS(2524),
    [anon_sym_static] = ACTIONS(2524),
    [anon_sym_auto] = ACTIONS(2524),
    [anon_sym_register] = ACTIONS(2524),
    [anon_sym_inline] = ACTIONS(2524),
    [anon_sym___inline] = ACTIONS(2524),
    [anon_sym___inline__] = ACTIONS(2524),
    [anon_sym___forceinline] = ACTIONS(2524),
    [anon_sym_thread_local] = ACTIONS(2524),
    [anon_sym___thread] = ACTIONS(2524),
    [anon_sym_const] = ACTIONS(2524),
    [anon_sym_constexpr] = ACTIONS(2524),
    [anon_sym_volatile] = ACTIONS(2524),
    [anon_sym_restrict] = ACTIONS(2524),
    [anon_sym___restrict__] = ACTIONS(2524),
    [anon_sym__Atomic] = ACTIONS(2524),
    [anon_sym__Noreturn] = ACTIONS(2524),
    [anon_sym_noreturn] = ACTIONS(2524),
    [sym_primitive_type] = ACTIONS(2524),
    [anon_sym_enum] = ACTIONS(2524),
    [anon_sym_struct] = ACTIONS(2524),
    [anon_sym_union] = ACTIONS(2524),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2524),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2524),
    [anon_sym_hitAttributeEXT] = ACTIONS(2524),
    [anon_sym_callableDataEXT] = ACTIONS(2524),
    [anon_sym_callableDataInEXT] = ACTIONS(2524),
    [anon_sym_shaderRecordEXT] = ACTIONS(2524),
    [anon_sym_rayPayloadNV] = ACTIONS(2524),
    [anon_sym_rayPayloadInNV] = ACTIONS(2524),
    [anon_sym_hitAttributeNV] = ACTIONS(2524),
    [anon_sym_callableDataNV] = ACTIONS(2524),
    [anon_sym_callableDataInNV] = ACTIONS(2524),
    [anon_sym_shaderRecordNV] = ACTIONS(2524),
    [anon_sym_layout] = ACTIONS(2524),
  },
  [806] = {
    [sym_identifier] = ACTIONS(2528),
    [aux_sym_preproc_def_token1] = ACTIONS(2528),
    [aux_sym_preproc_if_token1] = ACTIONS(2528),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2528),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2528),
    [sym_preproc_directive] = ACTIONS(2528),
    [anon_sym_subroutine] = ACTIONS(2528),
    [anon_sym_invariant] = ACTIONS(2528),
    [anon_sym_precise] = ACTIONS(2528),
    [anon_sym_in] = ACTIONS(2528),
    [anon_sym_out] = ACTIONS(2528),
    [anon_sym_inout] = ACTIONS(2528),
    [anon_sym_uniform] = ACTIONS(2528),
    [anon_sym_shared] = ACTIONS(2528),
    [anon_sym_attribute] = ACTIONS(2528),
    [anon_sym_varying] = ACTIONS(2528),
    [anon_sym_buffer] = ACTIONS(2528),
    [anon_sym_coherent] = ACTIONS(2528),
    [anon_sym_readonly] = ACTIONS(2528),
    [anon_sym_writeonly] = ACTIONS(2528),
    [anon_sym_precision] = ACTIONS(2528),
    [anon_sym_highp] = ACTIONS(2528),
    [anon_sym_mediump] = ACTIONS(2528),
    [anon_sym_lowp] = ACTIONS(2528),
    [anon_sym_centroid] = ACTIONS(2528),
    [anon_sym_sample] = ACTIONS(2528),
    [anon_sym_patch] = ACTIONS(2528),
    [anon_sym_smooth] = ACTIONS(2528),
    [anon_sym_flat] = ACTIONS(2528),
    [anon_sym_noperspective] = ACTIONS(2528),
    [anon_sym___extension__] = ACTIONS(2528),
    [anon_sym_extern] = ACTIONS(2528),
    [anon_sym___attribute__] = ACTIONS(2528),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2530),
    [anon_sym___declspec] = ACTIONS(2528),
    [anon_sym_RBRACE] = ACTIONS(2530),
    [anon_sym_signed] = ACTIONS(2528),
    [anon_sym_unsigned] = ACTIONS(2528),
    [anon_sym_long] = ACTIONS(2528),
    [anon_sym_short] = ACTIONS(2528),
    [anon_sym_static] = ACTIONS(2528),
    [anon_sym_auto] = ACTIONS(2528),
    [anon_sym_register] = ACTIONS(2528),
    [anon_sym_inline] = ACTIONS(2528),
    [anon_sym___inline] = ACTIONS(2528),
    [anon_sym___inline__] = ACTIONS(2528),
    [anon_sym___forceinline] = ACTIONS(2528),
    [anon_sym_thread_local] = ACTIONS(2528),
    [anon_sym___thread] = ACTIONS(2528),
    [anon_sym_const] = ACTIONS(2528),
    [anon_sym_constexpr] = ACTIONS(2528),
    [anon_sym_volatile] = ACTIONS(2528),
    [anon_sym_restrict] = ACTIONS(2528),
    [anon_sym___restrict__] = ACTIONS(2528),
    [anon_sym__Atomic] = ACTIONS(2528),
    [anon_sym__Noreturn] = ACTIONS(2528),
    [anon_sym_noreturn] = ACTIONS(2528),
    [sym_primitive_type] = ACTIONS(2528),
    [anon_sym_enum] = ACTIONS(2528),
    [anon_sym_struct] = ACTIONS(2528),
    [anon_sym_union] = ACTIONS(2528),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2528),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2528),
    [anon_sym_hitAttributeEXT] = ACTIONS(2528),
    [anon_sym_callableDataEXT] = ACTIONS(2528),
    [anon_sym_callableDataInEXT] = ACTIONS(2528),
    [anon_sym_shaderRecordEXT] = ACTIONS(2528),
    [anon_sym_rayPayloadNV] = ACTIONS(2528),
    [anon_sym_rayPayloadInNV] = ACTIONS(2528),
    [anon_sym_hitAttributeNV] = ACTIONS(2528),
    [anon_sym_callableDataNV] = ACTIONS(2528),
    [anon_sym_callableDataInNV] = ACTIONS(2528),
    [anon_sym_shaderRecordNV] = ACTIONS(2528),
    [anon_sym_layout] = ACTIONS(2528),
  },
  [807] = {
    [sym_identifier] = ACTIONS(2536),
    [aux_sym_preproc_def_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token1] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2536),
    [sym_preproc_directive] = ACTIONS(2536),
    [anon_sym_subroutine] = ACTIONS(2536),
    [anon_sym_invariant] = ACTIONS(2536),
    [anon_sym_precise] = ACTIONS(2536),
    [anon_sym_in] = ACTIONS(2536),
    [anon_sym_out] = ACTIONS(2536),
    [anon_sym_inout] = ACTIONS(2536),
    [anon_sym_uniform] = ACTIONS(2536),
    [anon_sym_shared] = ACTIONS(2536),
    [anon_sym_attribute] = ACTIONS(2536),
    [anon_sym_varying] = ACTIONS(2536),
    [anon_sym_buffer] = ACTIONS(2536),
    [anon_sym_coherent] = ACTIONS(2536),
    [anon_sym_readonly] = ACTIONS(2536),
    [anon_sym_writeonly] = ACTIONS(2536),
    [anon_sym_precision] = ACTIONS(2536),
    [anon_sym_highp] = ACTIONS(2536),
    [anon_sym_mediump] = ACTIONS(2536),
    [anon_sym_lowp] = ACTIONS(2536),
    [anon_sym_centroid] = ACTIONS(2536),
    [anon_sym_sample] = ACTIONS(2536),
    [anon_sym_patch] = ACTIONS(2536),
    [anon_sym_smooth] = ACTIONS(2536),
    [anon_sym_flat] = ACTIONS(2536),
    [anon_sym_noperspective] = ACTIONS(2536),
    [anon_sym___extension__] = ACTIONS(2536),
    [anon_sym_extern] = ACTIONS(2536),
    [anon_sym___attribute__] = ACTIONS(2536),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2538),
    [anon_sym___declspec] = ACTIONS(2536),
    [anon_sym_RBRACE] = ACTIONS(2538),
    [anon_sym_signed] = ACTIONS(2536),
    [anon_sym_unsigned] = ACTIONS(2536),
    [anon_sym_long] = ACTIONS(2536),
    [anon_sym_short] = ACTIONS(2536),
    [anon_sym_static] = ACTIONS(2536),
    [anon_sym_auto] = ACTIONS(2536),
    [anon_sym_register] = ACTIONS(2536),
    [anon_sym_inline] = ACTIONS(2536),
    [anon_sym___inline] = ACTIONS(2536),
    [anon_sym___inline__] = ACTIONS(2536),
    [anon_sym___forceinline] = ACTIONS(2536),
    [anon_sym_thread_local] = ACTIONS(2536),
    [anon_sym___thread] = ACTIONS(2536),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_constexpr] = ACTIONS(2536),
    [anon_sym_volatile] = ACTIONS(2536),
    [anon_sym_restrict] = ACTIONS(2536),
    [anon_sym___restrict__] = ACTIONS(2536),
    [anon_sym__Atomic] = ACTIONS(2536),
    [anon_sym__Noreturn] = ACTIONS(2536),
    [anon_sym_noreturn] = ACTIONS(2536),
    [sym_primitive_type] = ACTIONS(2536),
    [anon_sym_enum] = ACTIONS(2536),
    [anon_sym_struct] = ACTIONS(2536),
    [anon_sym_union] = ACTIONS(2536),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2536),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2536),
    [anon_sym_hitAttributeEXT] = ACTIONS(2536),
    [anon_sym_callableDataEXT] = ACTIONS(2536),
    [anon_sym_callableDataInEXT] = ACTIONS(2536),
    [anon_sym_shaderRecordEXT] = ACTIONS(2536),
    [anon_sym_rayPayloadNV] = ACTIONS(2536),
    [anon_sym_rayPayloadInNV] = ACTIONS(2536),
    [anon_sym_hitAttributeNV] = ACTIONS(2536),
    [anon_sym_callableDataNV] = ACTIONS(2536),
    [anon_sym_callableDataInNV] = ACTIONS(2536),
    [anon_sym_shaderRecordNV] = ACTIONS(2536),
    [anon_sym_layout] = ACTIONS(2536),
  },
  [808] = {
    [sym_identifier] = ACTIONS(2552),
    [aux_sym_preproc_def_token1] = ACTIONS(2552),
    [aux_sym_preproc_if_token1] = ACTIONS(2552),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2552),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2552),
    [sym_preproc_directive] = ACTIONS(2552),
    [anon_sym_subroutine] = ACTIONS(2552),
    [anon_sym_invariant] = ACTIONS(2552),
    [anon_sym_precise] = ACTIONS(2552),
    [anon_sym_in] = ACTIONS(2552),
    [anon_sym_out] = ACTIONS(2552),
    [anon_sym_inout] = ACTIONS(2552),
    [anon_sym_uniform] = ACTIONS(2552),
    [anon_sym_shared] = ACTIONS(2552),
    [anon_sym_attribute] = ACTIONS(2552),
    [anon_sym_varying] = ACTIONS(2552),
    [anon_sym_buffer] = ACTIONS(2552),
    [anon_sym_coherent] = ACTIONS(2552),
    [anon_sym_readonly] = ACTIONS(2552),
    [anon_sym_writeonly] = ACTIONS(2552),
    [anon_sym_precision] = ACTIONS(2552),
    [anon_sym_highp] = ACTIONS(2552),
    [anon_sym_mediump] = ACTIONS(2552),
    [anon_sym_lowp] = ACTIONS(2552),
    [anon_sym_centroid] = ACTIONS(2552),
    [anon_sym_sample] = ACTIONS(2552),
    [anon_sym_patch] = ACTIONS(2552),
    [anon_sym_smooth] = ACTIONS(2552),
    [anon_sym_flat] = ACTIONS(2552),
    [anon_sym_noperspective] = ACTIONS(2552),
    [anon_sym___extension__] = ACTIONS(2552),
    [anon_sym_extern] = ACTIONS(2552),
    [anon_sym___attribute__] = ACTIONS(2552),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2554),
    [anon_sym___declspec] = ACTIONS(2552),
    [anon_sym_RBRACE] = ACTIONS(2554),
    [anon_sym_signed] = ACTIONS(2552),
    [anon_sym_unsigned] = ACTIONS(2552),
    [anon_sym_long] = ACTIONS(2552),
    [anon_sym_short] = ACTIONS(2552),
    [anon_sym_static] = ACTIONS(2552),
    [anon_sym_auto] = ACTIONS(2552),
    [anon_sym_register] = ACTIONS(2552),
    [anon_sym_inline] = ACTIONS(2552),
    [anon_sym___inline] = ACTIONS(2552),
    [anon_sym___inline__] = ACTIONS(2552),
    [anon_sym___forceinline] = ACTIONS(2552),
    [anon_sym_thread_local] = ACTIONS(2552),
    [anon_sym___thread] = ACTIONS(2552),
    [anon_sym_const] = ACTIONS(2552),
    [anon_sym_constexpr] = ACTIONS(2552),
    [anon_sym_volatile] = ACTIONS(2552),
    [anon_sym_restrict] = ACTIONS(2552),
    [anon_sym___restrict__] = ACTIONS(2552),
    [anon_sym__Atomic] = ACTIONS(2552),
    [anon_sym__Noreturn] = ACTIONS(2552),
    [anon_sym_noreturn] = ACTIONS(2552),
    [sym_primitive_type] = ACTIONS(2552),
    [anon_sym_enum] = ACTIONS(2552),
    [anon_sym_struct] = ACTIONS(2552),
    [anon_sym_union] = ACTIONS(2552),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2552),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2552),
    [anon_sym_hitAttributeEXT] = ACTIONS(2552),
    [anon_sym_callableDataEXT] = ACTIONS(2552),
    [anon_sym_callableDataInEXT] = ACTIONS(2552),
    [anon_sym_shaderRecordEXT] = ACTIONS(2552),
    [anon_sym_rayPayloadNV] = ACTIONS(2552),
    [anon_sym_rayPayloadInNV] = ACTIONS(2552),
    [anon_sym_hitAttributeNV] = ACTIONS(2552),
    [anon_sym_callableDataNV] = ACTIONS(2552),
    [anon_sym_callableDataInNV] = ACTIONS(2552),
    [anon_sym_shaderRecordNV] = ACTIONS(2552),
    [anon_sym_layout] = ACTIONS(2552),
  },
  [809] = {
    [sym_identifier] = ACTIONS(2540),
    [aux_sym_preproc_def_token1] = ACTIONS(2540),
    [aux_sym_preproc_if_token1] = ACTIONS(2540),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2540),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2540),
    [sym_preproc_directive] = ACTIONS(2540),
    [anon_sym_subroutine] = ACTIONS(2540),
    [anon_sym_invariant] = ACTIONS(2540),
    [anon_sym_precise] = ACTIONS(2540),
    [anon_sym_in] = ACTIONS(2540),
    [anon_sym_out] = ACTIONS(2540),
    [anon_sym_inout] = ACTIONS(2540),
    [anon_sym_uniform] = ACTIONS(2540),
    [anon_sym_shared] = ACTIONS(2540),
    [anon_sym_attribute] = ACTIONS(2540),
    [anon_sym_varying] = ACTIONS(2540),
    [anon_sym_buffer] = ACTIONS(2540),
    [anon_sym_coherent] = ACTIONS(2540),
    [anon_sym_readonly] = ACTIONS(2540),
    [anon_sym_writeonly] = ACTIONS(2540),
    [anon_sym_precision] = ACTIONS(2540),
    [anon_sym_highp] = ACTIONS(2540),
    [anon_sym_mediump] = ACTIONS(2540),
    [anon_sym_lowp] = ACTIONS(2540),
    [anon_sym_centroid] = ACTIONS(2540),
    [anon_sym_sample] = ACTIONS(2540),
    [anon_sym_patch] = ACTIONS(2540),
    [anon_sym_smooth] = ACTIONS(2540),
    [anon_sym_flat] = ACTIONS(2540),
    [anon_sym_noperspective] = ACTIONS(2540),
    [anon_sym___extension__] = ACTIONS(2540),
    [anon_sym_extern] = ACTIONS(2540),
    [anon_sym___attribute__] = ACTIONS(2540),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2542),
    [anon_sym___declspec] = ACTIONS(2540),
    [anon_sym_RBRACE] = ACTIONS(2542),
    [anon_sym_signed] = ACTIONS(2540),
    [anon_sym_unsigned] = ACTIONS(2540),
    [anon_sym_long] = ACTIONS(2540),
    [anon_sym_short] = ACTIONS(2540),
    [anon_sym_static] = ACTIONS(2540),
    [anon_sym_auto] = ACTIONS(2540),
    [anon_sym_register] = ACTIONS(2540),
    [anon_sym_inline] = ACTIONS(2540),
    [anon_sym___inline] = ACTIONS(2540),
    [anon_sym___inline__] = ACTIONS(2540),
    [anon_sym___forceinline] = ACTIONS(2540),
    [anon_sym_thread_local] = ACTIONS(2540),
    [anon_sym___thread] = ACTIONS(2540),
    [anon_sym_const] = ACTIONS(2540),
    [anon_sym_constexpr] = ACTIONS(2540),
    [anon_sym_volatile] = ACTIONS(2540),
    [anon_sym_restrict] = ACTIONS(2540),
    [anon_sym___restrict__] = ACTIONS(2540),
    [anon_sym__Atomic] = ACTIONS(2540),
    [anon_sym__Noreturn] = ACTIONS(2540),
    [anon_sym_noreturn] = ACTIONS(2540),
    [sym_primitive_type] = ACTIONS(2540),
    [anon_sym_enum] = ACTIONS(2540),
    [anon_sym_struct] = ACTIONS(2540),
    [anon_sym_union] = ACTIONS(2540),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2540),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2540),
    [anon_sym_hitAttributeEXT] = ACTIONS(2540),
    [anon_sym_callableDataEXT] = ACTIONS(2540),
    [anon_sym_callableDataInEXT] = ACTIONS(2540),
    [anon_sym_shaderRecordEXT] = ACTIONS(2540),
    [anon_sym_rayPayloadNV] = ACTIONS(2540),
    [anon_sym_rayPayloadInNV] = ACTIONS(2540),
    [anon_sym_hitAttributeNV] = ACTIONS(2540),
    [anon_sym_callableDataNV] = ACTIONS(2540),
    [anon_sym_callableDataInNV] = ACTIONS(2540),
    [anon_sym_shaderRecordNV] = ACTIONS(2540),
    [anon_sym_layout] = ACTIONS(2540),
  },
  [810] = {
    [sym_identifier] = ACTIONS(2520),
    [aux_sym_preproc_def_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token1] = ACTIONS(2520),
    [aux_sym_preproc_if_token2] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2520),
    [sym_preproc_directive] = ACTIONS(2520),
    [anon_sym_subroutine] = ACTIONS(2520),
    [anon_sym_invariant] = ACTIONS(2520),
    [anon_sym_precise] = ACTIONS(2520),
    [anon_sym_in] = ACTIONS(2520),
    [anon_sym_out] = ACTIONS(2520),
    [anon_sym_inout] = ACTIONS(2520),
    [anon_sym_uniform] = ACTIONS(2520),
    [anon_sym_shared] = ACTIONS(2520),
    [anon_sym_attribute] = ACTIONS(2520),
    [anon_sym_varying] = ACTIONS(2520),
    [anon_sym_buffer] = ACTIONS(2520),
    [anon_sym_coherent] = ACTIONS(2520),
    [anon_sym_readonly] = ACTIONS(2520),
    [anon_sym_writeonly] = ACTIONS(2520),
    [anon_sym_precision] = ACTIONS(2520),
    [anon_sym_highp] = ACTIONS(2520),
    [anon_sym_mediump] = ACTIONS(2520),
    [anon_sym_lowp] = ACTIONS(2520),
    [anon_sym_centroid] = ACTIONS(2520),
    [anon_sym_sample] = ACTIONS(2520),
    [anon_sym_patch] = ACTIONS(2520),
    [anon_sym_smooth] = ACTIONS(2520),
    [anon_sym_flat] = ACTIONS(2520),
    [anon_sym_noperspective] = ACTIONS(2520),
    [anon_sym___extension__] = ACTIONS(2520),
    [anon_sym_extern] = ACTIONS(2520),
    [anon_sym___attribute__] = ACTIONS(2520),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2522),
    [anon_sym___declspec] = ACTIONS(2520),
    [anon_sym_signed] = ACTIONS(2520),
    [anon_sym_unsigned] = ACTIONS(2520),
    [anon_sym_long] = ACTIONS(2520),
    [anon_sym_short] = ACTIONS(2520),
    [anon_sym_static] = ACTIONS(2520),
    [anon_sym_auto] = ACTIONS(2520),
    [anon_sym_register] = ACTIONS(2520),
    [anon_sym_inline] = ACTIONS(2520),
    [anon_sym___inline] = ACTIONS(2520),
    [anon_sym___inline__] = ACTIONS(2520),
    [anon_sym___forceinline] = ACTIONS(2520),
    [anon_sym_thread_local] = ACTIONS(2520),
    [anon_sym___thread] = ACTIONS(2520),
    [anon_sym_const] = ACTIONS(2520),
    [anon_sym_constexpr] = ACTIONS(2520),
    [anon_sym_volatile] = ACTIONS(2520),
    [anon_sym_restrict] = ACTIONS(2520),
    [anon_sym___restrict__] = ACTIONS(2520),
    [anon_sym__Atomic] = ACTIONS(2520),
    [anon_sym__Noreturn] = ACTIONS(2520),
    [anon_sym_noreturn] = ACTIONS(2520),
    [sym_primitive_type] = ACTIONS(2520),
    [anon_sym_enum] = ACTIONS(2520),
    [anon_sym_struct] = ACTIONS(2520),
    [anon_sym_union] = ACTIONS(2520),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2520),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2520),
    [anon_sym_hitAttributeEXT] = ACTIONS(2520),
    [anon_sym_callableDataEXT] = ACTIONS(2520),
    [anon_sym_callableDataInEXT] = ACTIONS(2520),
    [anon_sym_shaderRecordEXT] = ACTIONS(2520),
    [anon_sym_rayPayloadNV] = ACTIONS(2520),
    [anon_sym_rayPayloadInNV] = ACTIONS(2520),
    [anon_sym_hitAttributeNV] = ACTIONS(2520),
    [anon_sym_callableDataNV] = ACTIONS(2520),
    [anon_sym_callableDataInNV] = ACTIONS(2520),
    [anon_sym_shaderRecordNV] = ACTIONS(2520),
    [anon_sym_layout] = ACTIONS(2520),
  },
  [811] = {
    [sym_identifier] = ACTIONS(2548),
    [aux_sym_preproc_def_token1] = ACTIONS(2548),
    [aux_sym_preproc_if_token1] = ACTIONS(2548),
    [aux_sym_preproc_if_token2] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2548),
    [sym_preproc_directive] = ACTIONS(2548),
    [anon_sym_subroutine] = ACTIONS(2548),
    [anon_sym_invariant] = ACTIONS(2548),
    [anon_sym_precise] = ACTIONS(2548),
    [anon_sym_in] = ACTIONS(2548),
    [anon_sym_out] = ACTIONS(2548),
    [anon_sym_inout] = ACTIONS(2548),
    [anon_sym_uniform] = ACTIONS(2548),
    [anon_sym_shared] = ACTIONS(2548),
    [anon_sym_attribute] = ACTIONS(2548),
    [anon_sym_varying] = ACTIONS(2548),
    [anon_sym_buffer] = ACTIONS(2548),
    [anon_sym_coherent] = ACTIONS(2548),
    [anon_sym_readonly] = ACTIONS(2548),
    [anon_sym_writeonly] = ACTIONS(2548),
    [anon_sym_precision] = ACTIONS(2548),
    [anon_sym_highp] = ACTIONS(2548),
    [anon_sym_mediump] = ACTIONS(2548),
    [anon_sym_lowp] = ACTIONS(2548),
    [anon_sym_centroid] = ACTIONS(2548),
    [anon_sym_sample] = ACTIONS(2548),
    [anon_sym_patch] = ACTIONS(2548),
    [anon_sym_smooth] = ACTIONS(2548),
    [anon_sym_flat] = ACTIONS(2548),
    [anon_sym_noperspective] = ACTIONS(2548),
    [anon_sym___extension__] = ACTIONS(2548),
    [anon_sym_extern] = ACTIONS(2548),
    [anon_sym___attribute__] = ACTIONS(2548),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2550),
    [anon_sym___declspec] = ACTIONS(2548),
    [anon_sym_signed] = ACTIONS(2548),
    [anon_sym_unsigned] = ACTIONS(2548),
    [anon_sym_long] = ACTIONS(2548),
    [anon_sym_short] = ACTIONS(2548),
    [anon_sym_static] = ACTIONS(2548),
    [anon_sym_auto] = ACTIONS(2548),
    [anon_sym_register] = ACTIONS(2548),
    [anon_sym_inline] = ACTIONS(2548),
    [anon_sym___inline] = ACTIONS(2548),
    [anon_sym___inline__] = ACTIONS(2548),
    [anon_sym___forceinline] = ACTIONS(2548),
    [anon_sym_thread_local] = ACTIONS(2548),
    [anon_sym___thread] = ACTIONS(2548),
    [anon_sym_const] = ACTIONS(2548),
    [anon_sym_constexpr] = ACTIONS(2548),
    [anon_sym_volatile] = ACTIONS(2548),
    [anon_sym_restrict] = ACTIONS(2548),
    [anon_sym___restrict__] = ACTIONS(2548),
    [anon_sym__Atomic] = ACTIONS(2548),
    [anon_sym__Noreturn] = ACTIONS(2548),
    [anon_sym_noreturn] = ACTIONS(2548),
    [sym_primitive_type] = ACTIONS(2548),
    [anon_sym_enum] = ACTIONS(2548),
    [anon_sym_struct] = ACTIONS(2548),
    [anon_sym_union] = ACTIONS(2548),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2548),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2548),
    [anon_sym_hitAttributeEXT] = ACTIONS(2548),
    [anon_sym_callableDataEXT] = ACTIONS(2548),
    [anon_sym_callableDataInEXT] = ACTIONS(2548),
    [anon_sym_shaderRecordEXT] = ACTIONS(2548),
    [anon_sym_rayPayloadNV] = ACTIONS(2548),
    [anon_sym_rayPayloadInNV] = ACTIONS(2548),
    [anon_sym_hitAttributeNV] = ACTIONS(2548),
    [anon_sym_callableDataNV] = ACTIONS(2548),
    [anon_sym_callableDataInNV] = ACTIONS(2548),
    [anon_sym_shaderRecordNV] = ACTIONS(2548),
    [anon_sym_layout] = ACTIONS(2548),
  },
  [812] = {
    [sym_identifier] = ACTIONS(2564),
    [aux_sym_preproc_def_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token1] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2564),
    [sym_preproc_directive] = ACTIONS(2564),
    [anon_sym_subroutine] = ACTIONS(2564),
    [anon_sym_invariant] = ACTIONS(2564),
    [anon_sym_precise] = ACTIONS(2564),
    [anon_sym_in] = ACTIONS(2564),
    [anon_sym_out] = ACTIONS(2564),
    [anon_sym_inout] = ACTIONS(2564),
    [anon_sym_uniform] = ACTIONS(2564),
    [anon_sym_shared] = ACTIONS(2564),
    [anon_sym_attribute] = ACTIONS(2564),
    [anon_sym_varying] = ACTIONS(2564),
    [anon_sym_buffer] = ACTIONS(2564),
    [anon_sym_coherent] = ACTIONS(2564),
    [anon_sym_readonly] = ACTIONS(2564),
    [anon_sym_writeonly] = ACTIONS(2564),
    [anon_sym_precision] = ACTIONS(2564),
    [anon_sym_highp] = ACTIONS(2564),
    [anon_sym_mediump] = ACTIONS(2564),
    [anon_sym_lowp] = ACTIONS(2564),
    [anon_sym_centroid] = ACTIONS(2564),
    [anon_sym_sample] = ACTIONS(2564),
    [anon_sym_patch] = ACTIONS(2564),
    [anon_sym_smooth] = ACTIONS(2564),
    [anon_sym_flat] = ACTIONS(2564),
    [anon_sym_noperspective] = ACTIONS(2564),
    [anon_sym___extension__] = ACTIONS(2564),
    [anon_sym_extern] = ACTIONS(2564),
    [anon_sym___attribute__] = ACTIONS(2564),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2566),
    [anon_sym___declspec] = ACTIONS(2564),
    [anon_sym_RBRACE] = ACTIONS(2566),
    [anon_sym_signed] = ACTIONS(2564),
    [anon_sym_unsigned] = ACTIONS(2564),
    [anon_sym_long] = ACTIONS(2564),
    [anon_sym_short] = ACTIONS(2564),
    [anon_sym_static] = ACTIONS(2564),
    [anon_sym_auto] = ACTIONS(2564),
    [anon_sym_register] = ACTIONS(2564),
    [anon_sym_inline] = ACTIONS(2564),
    [anon_sym___inline] = ACTIONS(2564),
    [anon_sym___inline__] = ACTIONS(2564),
    [anon_sym___forceinline] = ACTIONS(2564),
    [anon_sym_thread_local] = ACTIONS(2564),
    [anon_sym___thread] = ACTIONS(2564),
    [anon_sym_const] = ACTIONS(2564),
    [anon_sym_constexpr] = ACTIONS(2564),
    [anon_sym_volatile] = ACTIONS(2564),
    [anon_sym_restrict] = ACTIONS(2564),
    [anon_sym___restrict__] = ACTIONS(2564),
    [anon_sym__Atomic] = ACTIONS(2564),
    [anon_sym__Noreturn] = ACTIONS(2564),
    [anon_sym_noreturn] = ACTIONS(2564),
    [sym_primitive_type] = ACTIONS(2564),
    [anon_sym_enum] = ACTIONS(2564),
    [anon_sym_struct] = ACTIONS(2564),
    [anon_sym_union] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2564),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2564),
    [anon_sym_hitAttributeEXT] = ACTIONS(2564),
    [anon_sym_callableDataEXT] = ACTIONS(2564),
    [anon_sym_callableDataInEXT] = ACTIONS(2564),
    [anon_sym_shaderRecordEXT] = ACTIONS(2564),
    [anon_sym_rayPayloadNV] = ACTIONS(2564),
    [anon_sym_rayPayloadInNV] = ACTIONS(2564),
    [anon_sym_hitAttributeNV] = ACTIONS(2564),
    [anon_sym_callableDataNV] = ACTIONS(2564),
    [anon_sym_callableDataInNV] = ACTIONS(2564),
    [anon_sym_shaderRecordNV] = ACTIONS(2564),
    [anon_sym_layout] = ACTIONS(2564),
  },
  [813] = {
    [sym_identifier] = ACTIONS(1623),
    [aux_sym_preproc_def_token1] = ACTIONS(1623),
    [aux_sym_preproc_if_token1] = ACTIONS(1623),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1623),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1623),
    [sym_preproc_directive] = ACTIONS(1623),
    [anon_sym_subroutine] = ACTIONS(1623),
    [anon_sym_invariant] = ACTIONS(1623),
    [anon_sym_precise] = ACTIONS(1623),
    [anon_sym_in] = ACTIONS(1623),
    [anon_sym_out] = ACTIONS(1623),
    [anon_sym_inout] = ACTIONS(1623),
    [anon_sym_uniform] = ACTIONS(1623),
    [anon_sym_shared] = ACTIONS(1623),
    [anon_sym_attribute] = ACTIONS(1623),
    [anon_sym_varying] = ACTIONS(1623),
    [anon_sym_buffer] = ACTIONS(1623),
    [anon_sym_coherent] = ACTIONS(1623),
    [anon_sym_readonly] = ACTIONS(1623),
    [anon_sym_writeonly] = ACTIONS(1623),
    [anon_sym_precision] = ACTIONS(1623),
    [anon_sym_highp] = ACTIONS(1623),
    [anon_sym_mediump] = ACTIONS(1623),
    [anon_sym_lowp] = ACTIONS(1623),
    [anon_sym_centroid] = ACTIONS(1623),
    [anon_sym_sample] = ACTIONS(1623),
    [anon_sym_patch] = ACTIONS(1623),
    [anon_sym_smooth] = ACTIONS(1623),
    [anon_sym_flat] = ACTIONS(1623),
    [anon_sym_noperspective] = ACTIONS(1623),
    [anon_sym___extension__] = ACTIONS(1623),
    [anon_sym_extern] = ACTIONS(1623),
    [anon_sym___attribute__] = ACTIONS(1623),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1625),
    [anon_sym___declspec] = ACTIONS(1623),
    [anon_sym_RBRACE] = ACTIONS(1625),
    [anon_sym_signed] = ACTIONS(1623),
    [anon_sym_unsigned] = ACTIONS(1623),
    [anon_sym_long] = ACTIONS(1623),
    [anon_sym_short] = ACTIONS(1623),
    [anon_sym_static] = ACTIONS(1623),
    [anon_sym_auto] = ACTIONS(1623),
    [anon_sym_register] = ACTIONS(1623),
    [anon_sym_inline] = ACTIONS(1623),
    [anon_sym___inline] = ACTIONS(1623),
    [anon_sym___inline__] = ACTIONS(1623),
    [anon_sym___forceinline] = ACTIONS(1623),
    [anon_sym_thread_local] = ACTIONS(1623),
    [anon_sym___thread] = ACTIONS(1623),
    [anon_sym_const] = ACTIONS(1623),
    [anon_sym_constexpr] = ACTIONS(1623),
    [anon_sym_volatile] = ACTIONS(1623),
    [anon_sym_restrict] = ACTIONS(1623),
    [anon_sym___restrict__] = ACTIONS(1623),
    [anon_sym__Atomic] = ACTIONS(1623),
    [anon_sym__Noreturn] = ACTIONS(1623),
    [anon_sym_noreturn] = ACTIONS(1623),
    [sym_primitive_type] = ACTIONS(1623),
    [anon_sym_enum] = ACTIONS(1623),
    [anon_sym_struct] = ACTIONS(1623),
    [anon_sym_union] = ACTIONS(1623),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1623),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1623),
    [anon_sym_hitAttributeEXT] = ACTIONS(1623),
    [anon_sym_callableDataEXT] = ACTIONS(1623),
    [anon_sym_callableDataInEXT] = ACTIONS(1623),
    [anon_sym_shaderRecordEXT] = ACTIONS(1623),
    [anon_sym_rayPayloadNV] = ACTIONS(1623),
    [anon_sym_rayPayloadInNV] = ACTIONS(1623),
    [anon_sym_hitAttributeNV] = ACTIONS(1623),
    [anon_sym_callableDataNV] = ACTIONS(1623),
    [anon_sym_callableDataInNV] = ACTIONS(1623),
    [anon_sym_shaderRecordNV] = ACTIONS(1623),
    [anon_sym_layout] = ACTIONS(1623),
  },
  [814] = {
    [sym_identifier] = ACTIONS(2564),
    [aux_sym_preproc_def_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token1] = ACTIONS(2564),
    [aux_sym_preproc_if_token2] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2564),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2564),
    [sym_preproc_directive] = ACTIONS(2564),
    [anon_sym_subroutine] = ACTIONS(2564),
    [anon_sym_invariant] = ACTIONS(2564),
    [anon_sym_precise] = ACTIONS(2564),
    [anon_sym_in] = ACTIONS(2564),
    [anon_sym_out] = ACTIONS(2564),
    [anon_sym_inout] = ACTIONS(2564),
    [anon_sym_uniform] = ACTIONS(2564),
    [anon_sym_shared] = ACTIONS(2564),
    [anon_sym_attribute] = ACTIONS(2564),
    [anon_sym_varying] = ACTIONS(2564),
    [anon_sym_buffer] = ACTIONS(2564),
    [anon_sym_coherent] = ACTIONS(2564),
    [anon_sym_readonly] = ACTIONS(2564),
    [anon_sym_writeonly] = ACTIONS(2564),
    [anon_sym_precision] = ACTIONS(2564),
    [anon_sym_highp] = ACTIONS(2564),
    [anon_sym_mediump] = ACTIONS(2564),
    [anon_sym_lowp] = ACTIONS(2564),
    [anon_sym_centroid] = ACTIONS(2564),
    [anon_sym_sample] = ACTIONS(2564),
    [anon_sym_patch] = ACTIONS(2564),
    [anon_sym_smooth] = ACTIONS(2564),
    [anon_sym_flat] = ACTIONS(2564),
    [anon_sym_noperspective] = ACTIONS(2564),
    [anon_sym___extension__] = ACTIONS(2564),
    [anon_sym_extern] = ACTIONS(2564),
    [anon_sym___attribute__] = ACTIONS(2564),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2566),
    [anon_sym___declspec] = ACTIONS(2564),
    [anon_sym_signed] = ACTIONS(2564),
    [anon_sym_unsigned] = ACTIONS(2564),
    [anon_sym_long] = ACTIONS(2564),
    [anon_sym_short] = ACTIONS(2564),
    [anon_sym_static] = ACTIONS(2564),
    [anon_sym_auto] = ACTIONS(2564),
    [anon_sym_register] = ACTIONS(2564),
    [anon_sym_inline] = ACTIONS(2564),
    [anon_sym___inline] = ACTIONS(2564),
    [anon_sym___inline__] = ACTIONS(2564),
    [anon_sym___forceinline] = ACTIONS(2564),
    [anon_sym_thread_local] = ACTIONS(2564),
    [anon_sym___thread] = ACTIONS(2564),
    [anon_sym_const] = ACTIONS(2564),
    [anon_sym_constexpr] = ACTIONS(2564),
    [anon_sym_volatile] = ACTIONS(2564),
    [anon_sym_restrict] = ACTIONS(2564),
    [anon_sym___restrict__] = ACTIONS(2564),
    [anon_sym__Atomic] = ACTIONS(2564),
    [anon_sym__Noreturn] = ACTIONS(2564),
    [anon_sym_noreturn] = ACTIONS(2564),
    [sym_primitive_type] = ACTIONS(2564),
    [anon_sym_enum] = ACTIONS(2564),
    [anon_sym_struct] = ACTIONS(2564),
    [anon_sym_union] = ACTIONS(2564),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2564),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2564),
    [anon_sym_hitAttributeEXT] = ACTIONS(2564),
    [anon_sym_callableDataEXT] = ACTIONS(2564),
    [anon_sym_callableDataInEXT] = ACTIONS(2564),
    [anon_sym_shaderRecordEXT] = ACTIONS(2564),
    [anon_sym_rayPayloadNV] = ACTIONS(2564),
    [anon_sym_rayPayloadInNV] = ACTIONS(2564),
    [anon_sym_hitAttributeNV] = ACTIONS(2564),
    [anon_sym_callableDataNV] = ACTIONS(2564),
    [anon_sym_callableDataInNV] = ACTIONS(2564),
    [anon_sym_shaderRecordNV] = ACTIONS(2564),
    [anon_sym_layout] = ACTIONS(2564),
  },
  [815] = {
    [sym_identifier] = ACTIONS(2548),
    [aux_sym_preproc_def_token1] = ACTIONS(2548),
    [aux_sym_preproc_if_token1] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2548),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2548),
    [sym_preproc_directive] = ACTIONS(2548),
    [anon_sym_subroutine] = ACTIONS(2548),
    [anon_sym_invariant] = ACTIONS(2548),
    [anon_sym_precise] = ACTIONS(2548),
    [anon_sym_in] = ACTIONS(2548),
    [anon_sym_out] = ACTIONS(2548),
    [anon_sym_inout] = ACTIONS(2548),
    [anon_sym_uniform] = ACTIONS(2548),
    [anon_sym_shared] = ACTIONS(2548),
    [anon_sym_attribute] = ACTIONS(2548),
    [anon_sym_varying] = ACTIONS(2548),
    [anon_sym_buffer] = ACTIONS(2548),
    [anon_sym_coherent] = ACTIONS(2548),
    [anon_sym_readonly] = ACTIONS(2548),
    [anon_sym_writeonly] = ACTIONS(2548),
    [anon_sym_precision] = ACTIONS(2548),
    [anon_sym_highp] = ACTIONS(2548),
    [anon_sym_mediump] = ACTIONS(2548),
    [anon_sym_lowp] = ACTIONS(2548),
    [anon_sym_centroid] = ACTIONS(2548),
    [anon_sym_sample] = ACTIONS(2548),
    [anon_sym_patch] = ACTIONS(2548),
    [anon_sym_smooth] = ACTIONS(2548),
    [anon_sym_flat] = ACTIONS(2548),
    [anon_sym_noperspective] = ACTIONS(2548),
    [anon_sym___extension__] = ACTIONS(2548),
    [anon_sym_extern] = ACTIONS(2548),
    [anon_sym___attribute__] = ACTIONS(2548),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2550),
    [anon_sym___declspec] = ACTIONS(2548),
    [anon_sym_RBRACE] = ACTIONS(2550),
    [anon_sym_signed] = ACTIONS(2548),
    [anon_sym_unsigned] = ACTIONS(2548),
    [anon_sym_long] = ACTIONS(2548),
    [anon_sym_short] = ACTIONS(2548),
    [anon_sym_static] = ACTIONS(2548),
    [anon_sym_auto] = ACTIONS(2548),
    [anon_sym_register] = ACTIONS(2548),
    [anon_sym_inline] = ACTIONS(2548),
    [anon_sym___inline] = ACTIONS(2548),
    [anon_sym___inline__] = ACTIONS(2548),
    [anon_sym___forceinline] = ACTIONS(2548),
    [anon_sym_thread_local] = ACTIONS(2548),
    [anon_sym___thread] = ACTIONS(2548),
    [anon_sym_const] = ACTIONS(2548),
    [anon_sym_constexpr] = ACTIONS(2548),
    [anon_sym_volatile] = ACTIONS(2548),
    [anon_sym_restrict] = ACTIONS(2548),
    [anon_sym___restrict__] = ACTIONS(2548),
    [anon_sym__Atomic] = ACTIONS(2548),
    [anon_sym__Noreturn] = ACTIONS(2548),
    [anon_sym_noreturn] = ACTIONS(2548),
    [sym_primitive_type] = ACTIONS(2548),
    [anon_sym_enum] = ACTIONS(2548),
    [anon_sym_struct] = ACTIONS(2548),
    [anon_sym_union] = ACTIONS(2548),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2548),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2548),
    [anon_sym_hitAttributeEXT] = ACTIONS(2548),
    [anon_sym_callableDataEXT] = ACTIONS(2548),
    [anon_sym_callableDataInEXT] = ACTIONS(2548),
    [anon_sym_shaderRecordEXT] = ACTIONS(2548),
    [anon_sym_rayPayloadNV] = ACTIONS(2548),
    [anon_sym_rayPayloadInNV] = ACTIONS(2548),
    [anon_sym_hitAttributeNV] = ACTIONS(2548),
    [anon_sym_callableDataNV] = ACTIONS(2548),
    [anon_sym_callableDataInNV] = ACTIONS(2548),
    [anon_sym_shaderRecordNV] = ACTIONS(2548),
    [anon_sym_layout] = ACTIONS(2548),
  },
  [816] = {
    [sym_identifier] = ACTIONS(2512),
    [aux_sym_preproc_def_token1] = ACTIONS(2512),
    [aux_sym_preproc_if_token1] = ACTIONS(2512),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2512),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2512),
    [sym_preproc_directive] = ACTIONS(2512),
    [anon_sym_subroutine] = ACTIONS(2512),
    [anon_sym_invariant] = ACTIONS(2512),
    [anon_sym_precise] = ACTIONS(2512),
    [anon_sym_in] = ACTIONS(2512),
    [anon_sym_out] = ACTIONS(2512),
    [anon_sym_inout] = ACTIONS(2512),
    [anon_sym_uniform] = ACTIONS(2512),
    [anon_sym_shared] = ACTIONS(2512),
    [anon_sym_attribute] = ACTIONS(2512),
    [anon_sym_varying] = ACTIONS(2512),
    [anon_sym_buffer] = ACTIONS(2512),
    [anon_sym_coherent] = ACTIONS(2512),
    [anon_sym_readonly] = ACTIONS(2512),
    [anon_sym_writeonly] = ACTIONS(2512),
    [anon_sym_precision] = ACTIONS(2512),
    [anon_sym_highp] = ACTIONS(2512),
    [anon_sym_mediump] = ACTIONS(2512),
    [anon_sym_lowp] = ACTIONS(2512),
    [anon_sym_centroid] = ACTIONS(2512),
    [anon_sym_sample] = ACTIONS(2512),
    [anon_sym_patch] = ACTIONS(2512),
    [anon_sym_smooth] = ACTIONS(2512),
    [anon_sym_flat] = ACTIONS(2512),
    [anon_sym_noperspective] = ACTIONS(2512),
    [anon_sym___extension__] = ACTIONS(2512),
    [anon_sym_extern] = ACTIONS(2512),
    [anon_sym___attribute__] = ACTIONS(2512),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2514),
    [anon_sym___declspec] = ACTIONS(2512),
    [anon_sym_RBRACE] = ACTIONS(2514),
    [anon_sym_signed] = ACTIONS(2512),
    [anon_sym_unsigned] = ACTIONS(2512),
    [anon_sym_long] = ACTIONS(2512),
    [anon_sym_short] = ACTIONS(2512),
    [anon_sym_static] = ACTIONS(2512),
    [anon_sym_auto] = ACTIONS(2512),
    [anon_sym_register] = ACTIONS(2512),
    [anon_sym_inline] = ACTIONS(2512),
    [anon_sym___inline] = ACTIONS(2512),
    [anon_sym___inline__] = ACTIONS(2512),
    [anon_sym___forceinline] = ACTIONS(2512),
    [anon_sym_thread_local] = ACTIONS(2512),
    [anon_sym___thread] = ACTIONS(2512),
    [anon_sym_const] = ACTIONS(2512),
    [anon_sym_constexpr] = ACTIONS(2512),
    [anon_sym_volatile] = ACTIONS(2512),
    [anon_sym_restrict] = ACTIONS(2512),
    [anon_sym___restrict__] = ACTIONS(2512),
    [anon_sym__Atomic] = ACTIONS(2512),
    [anon_sym__Noreturn] = ACTIONS(2512),
    [anon_sym_noreturn] = ACTIONS(2512),
    [sym_primitive_type] = ACTIONS(2512),
    [anon_sym_enum] = ACTIONS(2512),
    [anon_sym_struct] = ACTIONS(2512),
    [anon_sym_union] = ACTIONS(2512),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2512),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2512),
    [anon_sym_hitAttributeEXT] = ACTIONS(2512),
    [anon_sym_callableDataEXT] = ACTIONS(2512),
    [anon_sym_callableDataInEXT] = ACTIONS(2512),
    [anon_sym_shaderRecordEXT] = ACTIONS(2512),
    [anon_sym_rayPayloadNV] = ACTIONS(2512),
    [anon_sym_rayPayloadInNV] = ACTIONS(2512),
    [anon_sym_hitAttributeNV] = ACTIONS(2512),
    [anon_sym_callableDataNV] = ACTIONS(2512),
    [anon_sym_callableDataInNV] = ACTIONS(2512),
    [anon_sym_shaderRecordNV] = ACTIONS(2512),
    [anon_sym_layout] = ACTIONS(2512),
  },
  [817] = {
    [sym_identifier] = ACTIONS(2536),
    [aux_sym_preproc_def_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token1] = ACTIONS(2536),
    [aux_sym_preproc_if_token2] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2536),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2536),
    [sym_preproc_directive] = ACTIONS(2536),
    [anon_sym_subroutine] = ACTIONS(2536),
    [anon_sym_invariant] = ACTIONS(2536),
    [anon_sym_precise] = ACTIONS(2536),
    [anon_sym_in] = ACTIONS(2536),
    [anon_sym_out] = ACTIONS(2536),
    [anon_sym_inout] = ACTIONS(2536),
    [anon_sym_uniform] = ACTIONS(2536),
    [anon_sym_shared] = ACTIONS(2536),
    [anon_sym_attribute] = ACTIONS(2536),
    [anon_sym_varying] = ACTIONS(2536),
    [anon_sym_buffer] = ACTIONS(2536),
    [anon_sym_coherent] = ACTIONS(2536),
    [anon_sym_readonly] = ACTIONS(2536),
    [anon_sym_writeonly] = ACTIONS(2536),
    [anon_sym_precision] = ACTIONS(2536),
    [anon_sym_highp] = ACTIONS(2536),
    [anon_sym_mediump] = ACTIONS(2536),
    [anon_sym_lowp] = ACTIONS(2536),
    [anon_sym_centroid] = ACTIONS(2536),
    [anon_sym_sample] = ACTIONS(2536),
    [anon_sym_patch] = ACTIONS(2536),
    [anon_sym_smooth] = ACTIONS(2536),
    [anon_sym_flat] = ACTIONS(2536),
    [anon_sym_noperspective] = ACTIONS(2536),
    [anon_sym___extension__] = ACTIONS(2536),
    [anon_sym_extern] = ACTIONS(2536),
    [anon_sym___attribute__] = ACTIONS(2536),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2538),
    [anon_sym___declspec] = ACTIONS(2536),
    [anon_sym_signed] = ACTIONS(2536),
    [anon_sym_unsigned] = ACTIONS(2536),
    [anon_sym_long] = ACTIONS(2536),
    [anon_sym_short] = ACTIONS(2536),
    [anon_sym_static] = ACTIONS(2536),
    [anon_sym_auto] = ACTIONS(2536),
    [anon_sym_register] = ACTIONS(2536),
    [anon_sym_inline] = ACTIONS(2536),
    [anon_sym___inline] = ACTIONS(2536),
    [anon_sym___inline__] = ACTIONS(2536),
    [anon_sym___forceinline] = ACTIONS(2536),
    [anon_sym_thread_local] = ACTIONS(2536),
    [anon_sym___thread] = ACTIONS(2536),
    [anon_sym_const] = ACTIONS(2536),
    [anon_sym_constexpr] = ACTIONS(2536),
    [anon_sym_volatile] = ACTIONS(2536),
    [anon_sym_restrict] = ACTIONS(2536),
    [anon_sym___restrict__] = ACTIONS(2536),
    [anon_sym__Atomic] = ACTIONS(2536),
    [anon_sym__Noreturn] = ACTIONS(2536),
    [anon_sym_noreturn] = ACTIONS(2536),
    [sym_primitive_type] = ACTIONS(2536),
    [anon_sym_enum] = ACTIONS(2536),
    [anon_sym_struct] = ACTIONS(2536),
    [anon_sym_union] = ACTIONS(2536),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2536),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2536),
    [anon_sym_hitAttributeEXT] = ACTIONS(2536),
    [anon_sym_callableDataEXT] = ACTIONS(2536),
    [anon_sym_callableDataInEXT] = ACTIONS(2536),
    [anon_sym_shaderRecordEXT] = ACTIONS(2536),
    [anon_sym_rayPayloadNV] = ACTIONS(2536),
    [anon_sym_rayPayloadInNV] = ACTIONS(2536),
    [anon_sym_hitAttributeNV] = ACTIONS(2536),
    [anon_sym_callableDataNV] = ACTIONS(2536),
    [anon_sym_callableDataInNV] = ACTIONS(2536),
    [anon_sym_shaderRecordNV] = ACTIONS(2536),
    [anon_sym_layout] = ACTIONS(2536),
  },
  [818] = {
    [sym_identifier] = ACTIONS(1627),
    [aux_sym_preproc_def_token1] = ACTIONS(1627),
    [aux_sym_preproc_if_token1] = ACTIONS(1627),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1627),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1627),
    [sym_preproc_directive] = ACTIONS(1627),
    [anon_sym_subroutine] = ACTIONS(1627),
    [anon_sym_invariant] = ACTIONS(1627),
    [anon_sym_precise] = ACTIONS(1627),
    [anon_sym_in] = ACTIONS(1627),
    [anon_sym_out] = ACTIONS(1627),
    [anon_sym_inout] = ACTIONS(1627),
    [anon_sym_uniform] = ACTIONS(1627),
    [anon_sym_shared] = ACTIONS(1627),
    [anon_sym_attribute] = ACTIONS(1627),
    [anon_sym_varying] = ACTIONS(1627),
    [anon_sym_buffer] = ACTIONS(1627),
    [anon_sym_coherent] = ACTIONS(1627),
    [anon_sym_readonly] = ACTIONS(1627),
    [anon_sym_writeonly] = ACTIONS(1627),
    [anon_sym_precision] = ACTIONS(1627),
    [anon_sym_highp] = ACTIONS(1627),
    [anon_sym_mediump] = ACTIONS(1627),
    [anon_sym_lowp] = ACTIONS(1627),
    [anon_sym_centroid] = ACTIONS(1627),
    [anon_sym_sample] = ACTIONS(1627),
    [anon_sym_patch] = ACTIONS(1627),
    [anon_sym_smooth] = ACTIONS(1627),
    [anon_sym_flat] = ACTIONS(1627),
    [anon_sym_noperspective] = ACTIONS(1627),
    [anon_sym___extension__] = ACTIONS(1627),
    [anon_sym_extern] = ACTIONS(1627),
    [anon_sym___attribute__] = ACTIONS(1627),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1629),
    [anon_sym___declspec] = ACTIONS(1627),
    [anon_sym_RBRACE] = ACTIONS(1629),
    [anon_sym_signed] = ACTIONS(1627),
    [anon_sym_unsigned] = ACTIONS(1627),
    [anon_sym_long] = ACTIONS(1627),
    [anon_sym_short] = ACTIONS(1627),
    [anon_sym_static] = ACTIONS(1627),
    [anon_sym_auto] = ACTIONS(1627),
    [anon_sym_register] = ACTIONS(1627),
    [anon_sym_inline] = ACTIONS(1627),
    [anon_sym___inline] = ACTIONS(1627),
    [anon_sym___inline__] = ACTIONS(1627),
    [anon_sym___forceinline] = ACTIONS(1627),
    [anon_sym_thread_local] = ACTIONS(1627),
    [anon_sym___thread] = ACTIONS(1627),
    [anon_sym_const] = ACTIONS(1627),
    [anon_sym_constexpr] = ACTIONS(1627),
    [anon_sym_volatile] = ACTIONS(1627),
    [anon_sym_restrict] = ACTIONS(1627),
    [anon_sym___restrict__] = ACTIONS(1627),
    [anon_sym__Atomic] = ACTIONS(1627),
    [anon_sym__Noreturn] = ACTIONS(1627),
    [anon_sym_noreturn] = ACTIONS(1627),
    [sym_primitive_type] = ACTIONS(1627),
    [anon_sym_enum] = ACTIONS(1627),
    [anon_sym_struct] = ACTIONS(1627),
    [anon_sym_union] = ACTIONS(1627),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1627),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1627),
    [anon_sym_hitAttributeEXT] = ACTIONS(1627),
    [anon_sym_callableDataEXT] = ACTIONS(1627),
    [anon_sym_callableDataInEXT] = ACTIONS(1627),
    [anon_sym_shaderRecordEXT] = ACTIONS(1627),
    [anon_sym_rayPayloadNV] = ACTIONS(1627),
    [anon_sym_rayPayloadInNV] = ACTIONS(1627),
    [anon_sym_hitAttributeNV] = ACTIONS(1627),
    [anon_sym_callableDataNV] = ACTIONS(1627),
    [anon_sym_callableDataInNV] = ACTIONS(1627),
    [anon_sym_shaderRecordNV] = ACTIONS(1627),
    [anon_sym_layout] = ACTIONS(1627),
  },
  [819] = {
    [sym_identifier] = ACTIONS(2540),
    [aux_sym_preproc_def_token1] = ACTIONS(2540),
    [aux_sym_preproc_if_token1] = ACTIONS(2540),
    [aux_sym_preproc_if_token2] = ACTIONS(2540),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2540),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2540),
    [sym_preproc_directive] = ACTIONS(2540),
    [anon_sym_subroutine] = ACTIONS(2540),
    [anon_sym_invariant] = ACTIONS(2540),
    [anon_sym_precise] = ACTIONS(2540),
    [anon_sym_in] = ACTIONS(2540),
    [anon_sym_out] = ACTIONS(2540),
    [anon_sym_inout] = ACTIONS(2540),
    [anon_sym_uniform] = ACTIONS(2540),
    [anon_sym_shared] = ACTIONS(2540),
    [anon_sym_attribute] = ACTIONS(2540),
    [anon_sym_varying] = ACTIONS(2540),
    [anon_sym_buffer] = ACTIONS(2540),
    [anon_sym_coherent] = ACTIONS(2540),
    [anon_sym_readonly] = ACTIONS(2540),
    [anon_sym_writeonly] = ACTIONS(2540),
    [anon_sym_precision] = ACTIONS(2540),
    [anon_sym_highp] = ACTIONS(2540),
    [anon_sym_mediump] = ACTIONS(2540),
    [anon_sym_lowp] = ACTIONS(2540),
    [anon_sym_centroid] = ACTIONS(2540),
    [anon_sym_sample] = ACTIONS(2540),
    [anon_sym_patch] = ACTIONS(2540),
    [anon_sym_smooth] = ACTIONS(2540),
    [anon_sym_flat] = ACTIONS(2540),
    [anon_sym_noperspective] = ACTIONS(2540),
    [anon_sym___extension__] = ACTIONS(2540),
    [anon_sym_extern] = ACTIONS(2540),
    [anon_sym___attribute__] = ACTIONS(2540),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2542),
    [anon_sym___declspec] = ACTIONS(2540),
    [anon_sym_signed] = ACTIONS(2540),
    [anon_sym_unsigned] = ACTIONS(2540),
    [anon_sym_long] = ACTIONS(2540),
    [anon_sym_short] = ACTIONS(2540),
    [anon_sym_static] = ACTIONS(2540),
    [anon_sym_auto] = ACTIONS(2540),
    [anon_sym_register] = ACTIONS(2540),
    [anon_sym_inline] = ACTIONS(2540),
    [anon_sym___inline] = ACTIONS(2540),
    [anon_sym___inline__] = ACTIONS(2540),
    [anon_sym___forceinline] = ACTIONS(2540),
    [anon_sym_thread_local] = ACTIONS(2540),
    [anon_sym___thread] = ACTIONS(2540),
    [anon_sym_const] = ACTIONS(2540),
    [anon_sym_constexpr] = ACTIONS(2540),
    [anon_sym_volatile] = ACTIONS(2540),
    [anon_sym_restrict] = ACTIONS(2540),
    [anon_sym___restrict__] = ACTIONS(2540),
    [anon_sym__Atomic] = ACTIONS(2540),
    [anon_sym__Noreturn] = ACTIONS(2540),
    [anon_sym_noreturn] = ACTIONS(2540),
    [sym_primitive_type] = ACTIONS(2540),
    [anon_sym_enum] = ACTIONS(2540),
    [anon_sym_struct] = ACTIONS(2540),
    [anon_sym_union] = ACTIONS(2540),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2540),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2540),
    [anon_sym_hitAttributeEXT] = ACTIONS(2540),
    [anon_sym_callableDataEXT] = ACTIONS(2540),
    [anon_sym_callableDataInEXT] = ACTIONS(2540),
    [anon_sym_shaderRecordEXT] = ACTIONS(2540),
    [anon_sym_rayPayloadNV] = ACTIONS(2540),
    [anon_sym_rayPayloadInNV] = ACTIONS(2540),
    [anon_sym_hitAttributeNV] = ACTIONS(2540),
    [anon_sym_callableDataNV] = ACTIONS(2540),
    [anon_sym_callableDataInNV] = ACTIONS(2540),
    [anon_sym_shaderRecordNV] = ACTIONS(2540),
    [anon_sym_layout] = ACTIONS(2540),
  },
  [820] = {
    [sym_identifier] = ACTIONS(1687),
    [aux_sym_preproc_def_token1] = ACTIONS(1687),
    [aux_sym_preproc_if_token1] = ACTIONS(1687),
    [aux_sym_preproc_if_token2] = ACTIONS(1687),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1687),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1687),
    [sym_preproc_directive] = ACTIONS(1687),
    [anon_sym_subroutine] = ACTIONS(1687),
    [anon_sym_invariant] = ACTIONS(1687),
    [anon_sym_precise] = ACTIONS(1687),
    [anon_sym_in] = ACTIONS(1687),
    [anon_sym_out] = ACTIONS(1687),
    [anon_sym_inout] = ACTIONS(1687),
    [anon_sym_uniform] = ACTIONS(1687),
    [anon_sym_shared] = ACTIONS(1687),
    [anon_sym_attribute] = ACTIONS(1687),
    [anon_sym_varying] = ACTIONS(1687),
    [anon_sym_buffer] = ACTIONS(1687),
    [anon_sym_coherent] = ACTIONS(1687),
    [anon_sym_readonly] = ACTIONS(1687),
    [anon_sym_writeonly] = ACTIONS(1687),
    [anon_sym_precision] = ACTIONS(1687),
    [anon_sym_highp] = ACTIONS(1687),
    [anon_sym_mediump] = ACTIONS(1687),
    [anon_sym_lowp] = ACTIONS(1687),
    [anon_sym_centroid] = ACTIONS(1687),
    [anon_sym_sample] = ACTIONS(1687),
    [anon_sym_patch] = ACTIONS(1687),
    [anon_sym_smooth] = ACTIONS(1687),
    [anon_sym_flat] = ACTIONS(1687),
    [anon_sym_noperspective] = ACTIONS(1687),
    [anon_sym___extension__] = ACTIONS(1687),
    [anon_sym_extern] = ACTIONS(1687),
    [anon_sym___attribute__] = ACTIONS(1687),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1689),
    [anon_sym___declspec] = ACTIONS(1687),
    [anon_sym_signed] = ACTIONS(1687),
    [anon_sym_unsigned] = ACTIONS(1687),
    [anon_sym_long] = ACTIONS(1687),
    [anon_sym_short] = ACTIONS(1687),
    [anon_sym_static] = ACTIONS(1687),
    [anon_sym_auto] = ACTIONS(1687),
    [anon_sym_register] = ACTIONS(1687),
    [anon_sym_inline] = ACTIONS(1687),
    [anon_sym___inline] = ACTIONS(1687),
    [anon_sym___inline__] = ACTIONS(1687),
    [anon_sym___forceinline] = ACTIONS(1687),
    [anon_sym_thread_local] = ACTIONS(1687),
    [anon_sym___thread] = ACTIONS(1687),
    [anon_sym_const] = ACTIONS(1687),
    [anon_sym_constexpr] = ACTIONS(1687),
    [anon_sym_volatile] = ACTIONS(1687),
    [anon_sym_restrict] = ACTIONS(1687),
    [anon_sym___restrict__] = ACTIONS(1687),
    [anon_sym__Atomic] = ACTIONS(1687),
    [anon_sym__Noreturn] = ACTIONS(1687),
    [anon_sym_noreturn] = ACTIONS(1687),
    [sym_primitive_type] = ACTIONS(1687),
    [anon_sym_enum] = ACTIONS(1687),
    [anon_sym_struct] = ACTIONS(1687),
    [anon_sym_union] = ACTIONS(1687),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1687),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1687),
    [anon_sym_hitAttributeEXT] = ACTIONS(1687),
    [anon_sym_callableDataEXT] = ACTIONS(1687),
    [anon_sym_callableDataInEXT] = ACTIONS(1687),
    [anon_sym_shaderRecordEXT] = ACTIONS(1687),
    [anon_sym_rayPayloadNV] = ACTIONS(1687),
    [anon_sym_rayPayloadInNV] = ACTIONS(1687),
    [anon_sym_hitAttributeNV] = ACTIONS(1687),
    [anon_sym_callableDataNV] = ACTIONS(1687),
    [anon_sym_callableDataInNV] = ACTIONS(1687),
    [anon_sym_shaderRecordNV] = ACTIONS(1687),
    [anon_sym_layout] = ACTIONS(1687),
  },
  [821] = {
    [sym_identifier] = ACTIONS(2524),
    [aux_sym_preproc_def_token1] = ACTIONS(2524),
    [aux_sym_preproc_if_token1] = ACTIONS(2524),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2524),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2524),
    [sym_preproc_directive] = ACTIONS(2524),
    [anon_sym_subroutine] = ACTIONS(2524),
    [anon_sym_invariant] = ACTIONS(2524),
    [anon_sym_precise] = ACTIONS(2524),
    [anon_sym_in] = ACTIONS(2524),
    [anon_sym_out] = ACTIONS(2524),
    [anon_sym_inout] = ACTIONS(2524),
    [anon_sym_uniform] = ACTIONS(2524),
    [anon_sym_shared] = ACTIONS(2524),
    [anon_sym_attribute] = ACTIONS(2524),
    [anon_sym_varying] = ACTIONS(2524),
    [anon_sym_buffer] = ACTIONS(2524),
    [anon_sym_coherent] = ACTIONS(2524),
    [anon_sym_readonly] = ACTIONS(2524),
    [anon_sym_writeonly] = ACTIONS(2524),
    [anon_sym_precision] = ACTIONS(2524),
    [anon_sym_highp] = ACTIONS(2524),
    [anon_sym_mediump] = ACTIONS(2524),
    [anon_sym_lowp] = ACTIONS(2524),
    [anon_sym_centroid] = ACTIONS(2524),
    [anon_sym_sample] = ACTIONS(2524),
    [anon_sym_patch] = ACTIONS(2524),
    [anon_sym_smooth] = ACTIONS(2524),
    [anon_sym_flat] = ACTIONS(2524),
    [anon_sym_noperspective] = ACTIONS(2524),
    [anon_sym___extension__] = ACTIONS(2524),
    [anon_sym_extern] = ACTIONS(2524),
    [anon_sym___attribute__] = ACTIONS(2524),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2526),
    [anon_sym___declspec] = ACTIONS(2524),
    [anon_sym_RBRACE] = ACTIONS(2526),
    [anon_sym_signed] = ACTIONS(2524),
    [anon_sym_unsigned] = ACTIONS(2524),
    [anon_sym_long] = ACTIONS(2524),
    [anon_sym_short] = ACTIONS(2524),
    [anon_sym_static] = ACTIONS(2524),
    [anon_sym_auto] = ACTIONS(2524),
    [anon_sym_register] = ACTIONS(2524),
    [anon_sym_inline] = ACTIONS(2524),
    [anon_sym___inline] = ACTIONS(2524),
    [anon_sym___inline__] = ACTIONS(2524),
    [anon_sym___forceinline] = ACTIONS(2524),
    [anon_sym_thread_local] = ACTIONS(2524),
    [anon_sym___thread] = ACTIONS(2524),
    [anon_sym_const] = ACTIONS(2524),
    [anon_sym_constexpr] = ACTIONS(2524),
    [anon_sym_volatile] = ACTIONS(2524),
    [anon_sym_restrict] = ACTIONS(2524),
    [anon_sym___restrict__] = ACTIONS(2524),
    [anon_sym__Atomic] = ACTIONS(2524),
    [anon_sym__Noreturn] = ACTIONS(2524),
    [anon_sym_noreturn] = ACTIONS(2524),
    [sym_primitive_type] = ACTIONS(2524),
    [anon_sym_enum] = ACTIONS(2524),
    [anon_sym_struct] = ACTIONS(2524),
    [anon_sym_union] = ACTIONS(2524),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2524),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2524),
    [anon_sym_hitAttributeEXT] = ACTIONS(2524),
    [anon_sym_callableDataEXT] = ACTIONS(2524),
    [anon_sym_callableDataInEXT] = ACTIONS(2524),
    [anon_sym_shaderRecordEXT] = ACTIONS(2524),
    [anon_sym_rayPayloadNV] = ACTIONS(2524),
    [anon_sym_rayPayloadInNV] = ACTIONS(2524),
    [anon_sym_hitAttributeNV] = ACTIONS(2524),
    [anon_sym_callableDataNV] = ACTIONS(2524),
    [anon_sym_callableDataInNV] = ACTIONS(2524),
    [anon_sym_shaderRecordNV] = ACTIONS(2524),
    [anon_sym_layout] = ACTIONS(2524),
  },
  [822] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_subroutine] = ACTIONS(2504),
    [anon_sym_invariant] = ACTIONS(2504),
    [anon_sym_precise] = ACTIONS(2504),
    [anon_sym_in] = ACTIONS(2504),
    [anon_sym_out] = ACTIONS(2504),
    [anon_sym_inout] = ACTIONS(2504),
    [anon_sym_uniform] = ACTIONS(2504),
    [anon_sym_shared] = ACTIONS(2504),
    [anon_sym_attribute] = ACTIONS(2504),
    [anon_sym_varying] = ACTIONS(2504),
    [anon_sym_buffer] = ACTIONS(2504),
    [anon_sym_coherent] = ACTIONS(2504),
    [anon_sym_readonly] = ACTIONS(2504),
    [anon_sym_writeonly] = ACTIONS(2504),
    [anon_sym_precision] = ACTIONS(2504),
    [anon_sym_highp] = ACTIONS(2504),
    [anon_sym_mediump] = ACTIONS(2504),
    [anon_sym_lowp] = ACTIONS(2504),
    [anon_sym_centroid] = ACTIONS(2504),
    [anon_sym_sample] = ACTIONS(2504),
    [anon_sym_patch] = ACTIONS(2504),
    [anon_sym_smooth] = ACTIONS(2504),
    [anon_sym_flat] = ACTIONS(2504),
    [anon_sym_noperspective] = ACTIONS(2504),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym_RBRACE] = ACTIONS(2506),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_auto] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2504),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2504),
    [anon_sym_hitAttributeEXT] = ACTIONS(2504),
    [anon_sym_callableDataEXT] = ACTIONS(2504),
    [anon_sym_callableDataInEXT] = ACTIONS(2504),
    [anon_sym_shaderRecordEXT] = ACTIONS(2504),
    [anon_sym_rayPayloadNV] = ACTIONS(2504),
    [anon_sym_rayPayloadInNV] = ACTIONS(2504),
    [anon_sym_hitAttributeNV] = ACTIONS(2504),
    [anon_sym_callableDataNV] = ACTIONS(2504),
    [anon_sym_callableDataInNV] = ACTIONS(2504),
    [anon_sym_shaderRecordNV] = ACTIONS(2504),
    [anon_sym_layout] = ACTIONS(2504),
  },
  [823] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token2] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_subroutine] = ACTIONS(2544),
    [anon_sym_invariant] = ACTIONS(2544),
    [anon_sym_precise] = ACTIONS(2544),
    [anon_sym_in] = ACTIONS(2544),
    [anon_sym_out] = ACTIONS(2544),
    [anon_sym_inout] = ACTIONS(2544),
    [anon_sym_uniform] = ACTIONS(2544),
    [anon_sym_shared] = ACTIONS(2544),
    [anon_sym_attribute] = ACTIONS(2544),
    [anon_sym_varying] = ACTIONS(2544),
    [anon_sym_buffer] = ACTIONS(2544),
    [anon_sym_coherent] = ACTIONS(2544),
    [anon_sym_readonly] = ACTIONS(2544),
    [anon_sym_writeonly] = ACTIONS(2544),
    [anon_sym_precision] = ACTIONS(2544),
    [anon_sym_highp] = ACTIONS(2544),
    [anon_sym_mediump] = ACTIONS(2544),
    [anon_sym_lowp] = ACTIONS(2544),
    [anon_sym_centroid] = ACTIONS(2544),
    [anon_sym_sample] = ACTIONS(2544),
    [anon_sym_patch] = ACTIONS(2544),
    [anon_sym_smooth] = ACTIONS(2544),
    [anon_sym_flat] = ACTIONS(2544),
    [anon_sym_noperspective] = ACTIONS(2544),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_auto] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2544),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2544),
    [anon_sym_hitAttributeEXT] = ACTIONS(2544),
    [anon_sym_callableDataEXT] = ACTIONS(2544),
    [anon_sym_callableDataInEXT] = ACTIONS(2544),
    [anon_sym_shaderRecordEXT] = ACTIONS(2544),
    [anon_sym_rayPayloadNV] = ACTIONS(2544),
    [anon_sym_rayPayloadInNV] = ACTIONS(2544),
    [anon_sym_hitAttributeNV] = ACTIONS(2544),
    [anon_sym_callableDataNV] = ACTIONS(2544),
    [anon_sym_callableDataInNV] = ACTIONS(2544),
    [anon_sym_shaderRecordNV] = ACTIONS(2544),
    [anon_sym_layout] = ACTIONS(2544),
  },
  [824] = {
    [sym_identifier] = ACTIONS(1591),
    [aux_sym_preproc_def_token1] = ACTIONS(1591),
    [aux_sym_preproc_if_token1] = ACTIONS(1591),
    [aux_sym_preproc_if_token2] = ACTIONS(1591),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1591),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1591),
    [sym_preproc_directive] = ACTIONS(1591),
    [anon_sym_subroutine] = ACTIONS(1591),
    [anon_sym_invariant] = ACTIONS(1591),
    [anon_sym_precise] = ACTIONS(1591),
    [anon_sym_in] = ACTIONS(1591),
    [anon_sym_out] = ACTIONS(1591),
    [anon_sym_inout] = ACTIONS(1591),
    [anon_sym_uniform] = ACTIONS(1591),
    [anon_sym_shared] = ACTIONS(1591),
    [anon_sym_attribute] = ACTIONS(1591),
    [anon_sym_varying] = ACTIONS(1591),
    [anon_sym_buffer] = ACTIONS(1591),
    [anon_sym_coherent] = ACTIONS(1591),
    [anon_sym_readonly] = ACTIONS(1591),
    [anon_sym_writeonly] = ACTIONS(1591),
    [anon_sym_precision] = ACTIONS(1591),
    [anon_sym_highp] = ACTIONS(1591),
    [anon_sym_mediump] = ACTIONS(1591),
    [anon_sym_lowp] = ACTIONS(1591),
    [anon_sym_centroid] = ACTIONS(1591),
    [anon_sym_sample] = ACTIONS(1591),
    [anon_sym_patch] = ACTIONS(1591),
    [anon_sym_smooth] = ACTIONS(1591),
    [anon_sym_flat] = ACTIONS(1591),
    [anon_sym_noperspective] = ACTIONS(1591),
    [anon_sym___extension__] = ACTIONS(1591),
    [anon_sym_extern] = ACTIONS(1591),
    [anon_sym___attribute__] = ACTIONS(1591),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1593),
    [anon_sym___declspec] = ACTIONS(1591),
    [anon_sym_signed] = ACTIONS(1591),
    [anon_sym_unsigned] = ACTIONS(1591),
    [anon_sym_long] = ACTIONS(1591),
    [anon_sym_short] = ACTIONS(1591),
    [anon_sym_static] = ACTIONS(1591),
    [anon_sym_auto] = ACTIONS(1591),
    [anon_sym_register] = ACTIONS(1591),
    [anon_sym_inline] = ACTIONS(1591),
    [anon_sym___inline] = ACTIONS(1591),
    [anon_sym___inline__] = ACTIONS(1591),
    [anon_sym___forceinline] = ACTIONS(1591),
    [anon_sym_thread_local] = ACTIONS(1591),
    [anon_sym___thread] = ACTIONS(1591),
    [anon_sym_const] = ACTIONS(1591),
    [anon_sym_constexpr] = ACTIONS(1591),
    [anon_sym_volatile] = ACTIONS(1591),
    [anon_sym_restrict] = ACTIONS(1591),
    [anon_sym___restrict__] = ACTIONS(1591),
    [anon_sym__Atomic] = ACTIONS(1591),
    [anon_sym__Noreturn] = ACTIONS(1591),
    [anon_sym_noreturn] = ACTIONS(1591),
    [sym_primitive_type] = ACTIONS(1591),
    [anon_sym_enum] = ACTIONS(1591),
    [anon_sym_struct] = ACTIONS(1591),
    [anon_sym_union] = ACTIONS(1591),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1591),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1591),
    [anon_sym_hitAttributeEXT] = ACTIONS(1591),
    [anon_sym_callableDataEXT] = ACTIONS(1591),
    [anon_sym_callableDataInEXT] = ACTIONS(1591),
    [anon_sym_shaderRecordEXT] = ACTIONS(1591),
    [anon_sym_rayPayloadNV] = ACTIONS(1591),
    [anon_sym_rayPayloadInNV] = ACTIONS(1591),
    [anon_sym_hitAttributeNV] = ACTIONS(1591),
    [anon_sym_callableDataNV] = ACTIONS(1591),
    [anon_sym_callableDataInNV] = ACTIONS(1591),
    [anon_sym_shaderRecordNV] = ACTIONS(1591),
    [anon_sym_layout] = ACTIONS(1591),
  },
  [825] = {
    [sym_identifier] = ACTIONS(1627),
    [aux_sym_preproc_def_token1] = ACTIONS(1627),
    [aux_sym_preproc_if_token1] = ACTIONS(1627),
    [aux_sym_preproc_if_token2] = ACTIONS(1627),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1627),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1627),
    [sym_preproc_directive] = ACTIONS(1627),
    [anon_sym_subroutine] = ACTIONS(1627),
    [anon_sym_invariant] = ACTIONS(1627),
    [anon_sym_precise] = ACTIONS(1627),
    [anon_sym_in] = ACTIONS(1627),
    [anon_sym_out] = ACTIONS(1627),
    [anon_sym_inout] = ACTIONS(1627),
    [anon_sym_uniform] = ACTIONS(1627),
    [anon_sym_shared] = ACTIONS(1627),
    [anon_sym_attribute] = ACTIONS(1627),
    [anon_sym_varying] = ACTIONS(1627),
    [anon_sym_buffer] = ACTIONS(1627),
    [anon_sym_coherent] = ACTIONS(1627),
    [anon_sym_readonly] = ACTIONS(1627),
    [anon_sym_writeonly] = ACTIONS(1627),
    [anon_sym_precision] = ACTIONS(1627),
    [anon_sym_highp] = ACTIONS(1627),
    [anon_sym_mediump] = ACTIONS(1627),
    [anon_sym_lowp] = ACTIONS(1627),
    [anon_sym_centroid] = ACTIONS(1627),
    [anon_sym_sample] = ACTIONS(1627),
    [anon_sym_patch] = ACTIONS(1627),
    [anon_sym_smooth] = ACTIONS(1627),
    [anon_sym_flat] = ACTIONS(1627),
    [anon_sym_noperspective] = ACTIONS(1627),
    [anon_sym___extension__] = ACTIONS(1627),
    [anon_sym_extern] = ACTIONS(1627),
    [anon_sym___attribute__] = ACTIONS(1627),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1629),
    [anon_sym___declspec] = ACTIONS(1627),
    [anon_sym_signed] = ACTIONS(1627),
    [anon_sym_unsigned] = ACTIONS(1627),
    [anon_sym_long] = ACTIONS(1627),
    [anon_sym_short] = ACTIONS(1627),
    [anon_sym_static] = ACTIONS(1627),
    [anon_sym_auto] = ACTIONS(1627),
    [anon_sym_register] = ACTIONS(1627),
    [anon_sym_inline] = ACTIONS(1627),
    [anon_sym___inline] = ACTIONS(1627),
    [anon_sym___inline__] = ACTIONS(1627),
    [anon_sym___forceinline] = ACTIONS(1627),
    [anon_sym_thread_local] = ACTIONS(1627),
    [anon_sym___thread] = ACTIONS(1627),
    [anon_sym_const] = ACTIONS(1627),
    [anon_sym_constexpr] = ACTIONS(1627),
    [anon_sym_volatile] = ACTIONS(1627),
    [anon_sym_restrict] = ACTIONS(1627),
    [anon_sym___restrict__] = ACTIONS(1627),
    [anon_sym__Atomic] = ACTIONS(1627),
    [anon_sym__Noreturn] = ACTIONS(1627),
    [anon_sym_noreturn] = ACTIONS(1627),
    [sym_primitive_type] = ACTIONS(1627),
    [anon_sym_enum] = ACTIONS(1627),
    [anon_sym_struct] = ACTIONS(1627),
    [anon_sym_union] = ACTIONS(1627),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1627),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1627),
    [anon_sym_hitAttributeEXT] = ACTIONS(1627),
    [anon_sym_callableDataEXT] = ACTIONS(1627),
    [anon_sym_callableDataInEXT] = ACTIONS(1627),
    [anon_sym_shaderRecordEXT] = ACTIONS(1627),
    [anon_sym_rayPayloadNV] = ACTIONS(1627),
    [anon_sym_rayPayloadInNV] = ACTIONS(1627),
    [anon_sym_hitAttributeNV] = ACTIONS(1627),
    [anon_sym_callableDataNV] = ACTIONS(1627),
    [anon_sym_callableDataInNV] = ACTIONS(1627),
    [anon_sym_shaderRecordNV] = ACTIONS(1627),
    [anon_sym_layout] = ACTIONS(1627),
  },
  [826] = {
    [sym_identifier] = ACTIONS(1603),
    [aux_sym_preproc_def_token1] = ACTIONS(1603),
    [aux_sym_preproc_if_token1] = ACTIONS(1603),
    [aux_sym_preproc_if_token2] = ACTIONS(1603),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1603),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1603),
    [sym_preproc_directive] = ACTIONS(1603),
    [anon_sym_subroutine] = ACTIONS(1603),
    [anon_sym_invariant] = ACTIONS(1603),
    [anon_sym_precise] = ACTIONS(1603),
    [anon_sym_in] = ACTIONS(1603),
    [anon_sym_out] = ACTIONS(1603),
    [anon_sym_inout] = ACTIONS(1603),
    [anon_sym_uniform] = ACTIONS(1603),
    [anon_sym_shared] = ACTIONS(1603),
    [anon_sym_attribute] = ACTIONS(1603),
    [anon_sym_varying] = ACTIONS(1603),
    [anon_sym_buffer] = ACTIONS(1603),
    [anon_sym_coherent] = ACTIONS(1603),
    [anon_sym_readonly] = ACTIONS(1603),
    [anon_sym_writeonly] = ACTIONS(1603),
    [anon_sym_precision] = ACTIONS(1603),
    [anon_sym_highp] = ACTIONS(1603),
    [anon_sym_mediump] = ACTIONS(1603),
    [anon_sym_lowp] = ACTIONS(1603),
    [anon_sym_centroid] = ACTIONS(1603),
    [anon_sym_sample] = ACTIONS(1603),
    [anon_sym_patch] = ACTIONS(1603),
    [anon_sym_smooth] = ACTIONS(1603),
    [anon_sym_flat] = ACTIONS(1603),
    [anon_sym_noperspective] = ACTIONS(1603),
    [anon_sym___extension__] = ACTIONS(1603),
    [anon_sym_extern] = ACTIONS(1603),
    [anon_sym___attribute__] = ACTIONS(1603),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1605),
    [anon_sym___declspec] = ACTIONS(1603),
    [anon_sym_signed] = ACTIONS(1603),
    [anon_sym_unsigned] = ACTIONS(1603),
    [anon_sym_long] = ACTIONS(1603),
    [anon_sym_short] = ACTIONS(1603),
    [anon_sym_static] = ACTIONS(1603),
    [anon_sym_auto] = ACTIONS(1603),
    [anon_sym_register] = ACTIONS(1603),
    [anon_sym_inline] = ACTIONS(1603),
    [anon_sym___inline] = ACTIONS(1603),
    [anon_sym___inline__] = ACTIONS(1603),
    [anon_sym___forceinline] = ACTIONS(1603),
    [anon_sym_thread_local] = ACTIONS(1603),
    [anon_sym___thread] = ACTIONS(1603),
    [anon_sym_const] = ACTIONS(1603),
    [anon_sym_constexpr] = ACTIONS(1603),
    [anon_sym_volatile] = ACTIONS(1603),
    [anon_sym_restrict] = ACTIONS(1603),
    [anon_sym___restrict__] = ACTIONS(1603),
    [anon_sym__Atomic] = ACTIONS(1603),
    [anon_sym__Noreturn] = ACTIONS(1603),
    [anon_sym_noreturn] = ACTIONS(1603),
    [sym_primitive_type] = ACTIONS(1603),
    [anon_sym_enum] = ACTIONS(1603),
    [anon_sym_struct] = ACTIONS(1603),
    [anon_sym_union] = ACTIONS(1603),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1603),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1603),
    [anon_sym_hitAttributeEXT] = ACTIONS(1603),
    [anon_sym_callableDataEXT] = ACTIONS(1603),
    [anon_sym_callableDataInEXT] = ACTIONS(1603),
    [anon_sym_shaderRecordEXT] = ACTIONS(1603),
    [anon_sym_rayPayloadNV] = ACTIONS(1603),
    [anon_sym_rayPayloadInNV] = ACTIONS(1603),
    [anon_sym_hitAttributeNV] = ACTIONS(1603),
    [anon_sym_callableDataNV] = ACTIONS(1603),
    [anon_sym_callableDataInNV] = ACTIONS(1603),
    [anon_sym_shaderRecordNV] = ACTIONS(1603),
    [anon_sym_layout] = ACTIONS(1603),
  },
  [827] = {
    [sym_identifier] = ACTIONS(2504),
    [aux_sym_preproc_def_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token1] = ACTIONS(2504),
    [aux_sym_preproc_if_token2] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2504),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2504),
    [sym_preproc_directive] = ACTIONS(2504),
    [anon_sym_subroutine] = ACTIONS(2504),
    [anon_sym_invariant] = ACTIONS(2504),
    [anon_sym_precise] = ACTIONS(2504),
    [anon_sym_in] = ACTIONS(2504),
    [anon_sym_out] = ACTIONS(2504),
    [anon_sym_inout] = ACTIONS(2504),
    [anon_sym_uniform] = ACTIONS(2504),
    [anon_sym_shared] = ACTIONS(2504),
    [anon_sym_attribute] = ACTIONS(2504),
    [anon_sym_varying] = ACTIONS(2504),
    [anon_sym_buffer] = ACTIONS(2504),
    [anon_sym_coherent] = ACTIONS(2504),
    [anon_sym_readonly] = ACTIONS(2504),
    [anon_sym_writeonly] = ACTIONS(2504),
    [anon_sym_precision] = ACTIONS(2504),
    [anon_sym_highp] = ACTIONS(2504),
    [anon_sym_mediump] = ACTIONS(2504),
    [anon_sym_lowp] = ACTIONS(2504),
    [anon_sym_centroid] = ACTIONS(2504),
    [anon_sym_sample] = ACTIONS(2504),
    [anon_sym_patch] = ACTIONS(2504),
    [anon_sym_smooth] = ACTIONS(2504),
    [anon_sym_flat] = ACTIONS(2504),
    [anon_sym_noperspective] = ACTIONS(2504),
    [anon_sym___extension__] = ACTIONS(2504),
    [anon_sym_extern] = ACTIONS(2504),
    [anon_sym___attribute__] = ACTIONS(2504),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2506),
    [anon_sym___declspec] = ACTIONS(2504),
    [anon_sym_signed] = ACTIONS(2504),
    [anon_sym_unsigned] = ACTIONS(2504),
    [anon_sym_long] = ACTIONS(2504),
    [anon_sym_short] = ACTIONS(2504),
    [anon_sym_static] = ACTIONS(2504),
    [anon_sym_auto] = ACTIONS(2504),
    [anon_sym_register] = ACTIONS(2504),
    [anon_sym_inline] = ACTIONS(2504),
    [anon_sym___inline] = ACTIONS(2504),
    [anon_sym___inline__] = ACTIONS(2504),
    [anon_sym___forceinline] = ACTIONS(2504),
    [anon_sym_thread_local] = ACTIONS(2504),
    [anon_sym___thread] = ACTIONS(2504),
    [anon_sym_const] = ACTIONS(2504),
    [anon_sym_constexpr] = ACTIONS(2504),
    [anon_sym_volatile] = ACTIONS(2504),
    [anon_sym_restrict] = ACTIONS(2504),
    [anon_sym___restrict__] = ACTIONS(2504),
    [anon_sym__Atomic] = ACTIONS(2504),
    [anon_sym__Noreturn] = ACTIONS(2504),
    [anon_sym_noreturn] = ACTIONS(2504),
    [sym_primitive_type] = ACTIONS(2504),
    [anon_sym_enum] = ACTIONS(2504),
    [anon_sym_struct] = ACTIONS(2504),
    [anon_sym_union] = ACTIONS(2504),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2504),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2504),
    [anon_sym_hitAttributeEXT] = ACTIONS(2504),
    [anon_sym_callableDataEXT] = ACTIONS(2504),
    [anon_sym_callableDataInEXT] = ACTIONS(2504),
    [anon_sym_shaderRecordEXT] = ACTIONS(2504),
    [anon_sym_rayPayloadNV] = ACTIONS(2504),
    [anon_sym_rayPayloadInNV] = ACTIONS(2504),
    [anon_sym_hitAttributeNV] = ACTIONS(2504),
    [anon_sym_callableDataNV] = ACTIONS(2504),
    [anon_sym_callableDataInNV] = ACTIONS(2504),
    [anon_sym_shaderRecordNV] = ACTIONS(2504),
    [anon_sym_layout] = ACTIONS(2504),
  },
  [828] = {
    [sym_identifier] = ACTIONS(1611),
    [aux_sym_preproc_def_token1] = ACTIONS(1611),
    [aux_sym_preproc_if_token1] = ACTIONS(1611),
    [aux_sym_preproc_if_token2] = ACTIONS(1611),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1611),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1611),
    [sym_preproc_directive] = ACTIONS(1611),
    [anon_sym_subroutine] = ACTIONS(1611),
    [anon_sym_invariant] = ACTIONS(1611),
    [anon_sym_precise] = ACTIONS(1611),
    [anon_sym_in] = ACTIONS(1611),
    [anon_sym_out] = ACTIONS(1611),
    [anon_sym_inout] = ACTIONS(1611),
    [anon_sym_uniform] = ACTIONS(1611),
    [anon_sym_shared] = ACTIONS(1611),
    [anon_sym_attribute] = ACTIONS(1611),
    [anon_sym_varying] = ACTIONS(1611),
    [anon_sym_buffer] = ACTIONS(1611),
    [anon_sym_coherent] = ACTIONS(1611),
    [anon_sym_readonly] = ACTIONS(1611),
    [anon_sym_writeonly] = ACTIONS(1611),
    [anon_sym_precision] = ACTIONS(1611),
    [anon_sym_highp] = ACTIONS(1611),
    [anon_sym_mediump] = ACTIONS(1611),
    [anon_sym_lowp] = ACTIONS(1611),
    [anon_sym_centroid] = ACTIONS(1611),
    [anon_sym_sample] = ACTIONS(1611),
    [anon_sym_patch] = ACTIONS(1611),
    [anon_sym_smooth] = ACTIONS(1611),
    [anon_sym_flat] = ACTIONS(1611),
    [anon_sym_noperspective] = ACTIONS(1611),
    [anon_sym___extension__] = ACTIONS(1611),
    [anon_sym_extern] = ACTIONS(1611),
    [anon_sym___attribute__] = ACTIONS(1611),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1613),
    [anon_sym___declspec] = ACTIONS(1611),
    [anon_sym_signed] = ACTIONS(1611),
    [anon_sym_unsigned] = ACTIONS(1611),
    [anon_sym_long] = ACTIONS(1611),
    [anon_sym_short] = ACTIONS(1611),
    [anon_sym_static] = ACTIONS(1611),
    [anon_sym_auto] = ACTIONS(1611),
    [anon_sym_register] = ACTIONS(1611),
    [anon_sym_inline] = ACTIONS(1611),
    [anon_sym___inline] = ACTIONS(1611),
    [anon_sym___inline__] = ACTIONS(1611),
    [anon_sym___forceinline] = ACTIONS(1611),
    [anon_sym_thread_local] = ACTIONS(1611),
    [anon_sym___thread] = ACTIONS(1611),
    [anon_sym_const] = ACTIONS(1611),
    [anon_sym_constexpr] = ACTIONS(1611),
    [anon_sym_volatile] = ACTIONS(1611),
    [anon_sym_restrict] = ACTIONS(1611),
    [anon_sym___restrict__] = ACTIONS(1611),
    [anon_sym__Atomic] = ACTIONS(1611),
    [anon_sym__Noreturn] = ACTIONS(1611),
    [anon_sym_noreturn] = ACTIONS(1611),
    [sym_primitive_type] = ACTIONS(1611),
    [anon_sym_enum] = ACTIONS(1611),
    [anon_sym_struct] = ACTIONS(1611),
    [anon_sym_union] = ACTIONS(1611),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1611),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1611),
    [anon_sym_hitAttributeEXT] = ACTIONS(1611),
    [anon_sym_callableDataEXT] = ACTIONS(1611),
    [anon_sym_callableDataInEXT] = ACTIONS(1611),
    [anon_sym_shaderRecordEXT] = ACTIONS(1611),
    [anon_sym_rayPayloadNV] = ACTIONS(1611),
    [anon_sym_rayPayloadInNV] = ACTIONS(1611),
    [anon_sym_hitAttributeNV] = ACTIONS(1611),
    [anon_sym_callableDataNV] = ACTIONS(1611),
    [anon_sym_callableDataInNV] = ACTIONS(1611),
    [anon_sym_shaderRecordNV] = ACTIONS(1611),
    [anon_sym_layout] = ACTIONS(1611),
  },
  [829] = {
    [sym_identifier] = ACTIONS(1687),
    [aux_sym_preproc_def_token1] = ACTIONS(1687),
    [aux_sym_preproc_if_token1] = ACTIONS(1687),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1687),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1687),
    [sym_preproc_directive] = ACTIONS(1687),
    [anon_sym_subroutine] = ACTIONS(1687),
    [anon_sym_invariant] = ACTIONS(1687),
    [anon_sym_precise] = ACTIONS(1687),
    [anon_sym_in] = ACTIONS(1687),
    [anon_sym_out] = ACTIONS(1687),
    [anon_sym_inout] = ACTIONS(1687),
    [anon_sym_uniform] = ACTIONS(1687),
    [anon_sym_shared] = ACTIONS(1687),
    [anon_sym_attribute] = ACTIONS(1687),
    [anon_sym_varying] = ACTIONS(1687),
    [anon_sym_buffer] = ACTIONS(1687),
    [anon_sym_coherent] = ACTIONS(1687),
    [anon_sym_readonly] = ACTIONS(1687),
    [anon_sym_writeonly] = ACTIONS(1687),
    [anon_sym_precision] = ACTIONS(1687),
    [anon_sym_highp] = ACTIONS(1687),
    [anon_sym_mediump] = ACTIONS(1687),
    [anon_sym_lowp] = ACTIONS(1687),
    [anon_sym_centroid] = ACTIONS(1687),
    [anon_sym_sample] = ACTIONS(1687),
    [anon_sym_patch] = ACTIONS(1687),
    [anon_sym_smooth] = ACTIONS(1687),
    [anon_sym_flat] = ACTIONS(1687),
    [anon_sym_noperspective] = ACTIONS(1687),
    [anon_sym___extension__] = ACTIONS(1687),
    [anon_sym_extern] = ACTIONS(1687),
    [anon_sym___attribute__] = ACTIONS(1687),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1689),
    [anon_sym___declspec] = ACTIONS(1687),
    [anon_sym_RBRACE] = ACTIONS(1689),
    [anon_sym_signed] = ACTIONS(1687),
    [anon_sym_unsigned] = ACTIONS(1687),
    [anon_sym_long] = ACTIONS(1687),
    [anon_sym_short] = ACTIONS(1687),
    [anon_sym_static] = ACTIONS(1687),
    [anon_sym_auto] = ACTIONS(1687),
    [anon_sym_register] = ACTIONS(1687),
    [anon_sym_inline] = ACTIONS(1687),
    [anon_sym___inline] = ACTIONS(1687),
    [anon_sym___inline__] = ACTIONS(1687),
    [anon_sym___forceinline] = ACTIONS(1687),
    [anon_sym_thread_local] = ACTIONS(1687),
    [anon_sym___thread] = ACTIONS(1687),
    [anon_sym_const] = ACTIONS(1687),
    [anon_sym_constexpr] = ACTIONS(1687),
    [anon_sym_volatile] = ACTIONS(1687),
    [anon_sym_restrict] = ACTIONS(1687),
    [anon_sym___restrict__] = ACTIONS(1687),
    [anon_sym__Atomic] = ACTIONS(1687),
    [anon_sym__Noreturn] = ACTIONS(1687),
    [anon_sym_noreturn] = ACTIONS(1687),
    [sym_primitive_type] = ACTIONS(1687),
    [anon_sym_enum] = ACTIONS(1687),
    [anon_sym_struct] = ACTIONS(1687),
    [anon_sym_union] = ACTIONS(1687),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1687),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1687),
    [anon_sym_hitAttributeEXT] = ACTIONS(1687),
    [anon_sym_callableDataEXT] = ACTIONS(1687),
    [anon_sym_callableDataInEXT] = ACTIONS(1687),
    [anon_sym_shaderRecordEXT] = ACTIONS(1687),
    [anon_sym_rayPayloadNV] = ACTIONS(1687),
    [anon_sym_rayPayloadInNV] = ACTIONS(1687),
    [anon_sym_hitAttributeNV] = ACTIONS(1687),
    [anon_sym_callableDataNV] = ACTIONS(1687),
    [anon_sym_callableDataInNV] = ACTIONS(1687),
    [anon_sym_shaderRecordNV] = ACTIONS(1687),
    [anon_sym_layout] = ACTIONS(1687),
  },
  [830] = {
    [sym_identifier] = ACTIONS(2560),
    [aux_sym_preproc_def_token1] = ACTIONS(2560),
    [aux_sym_preproc_if_token1] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2560),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2560),
    [sym_preproc_directive] = ACTIONS(2560),
    [anon_sym_subroutine] = ACTIONS(2560),
    [anon_sym_invariant] = ACTIONS(2560),
    [anon_sym_precise] = ACTIONS(2560),
    [anon_sym_in] = ACTIONS(2560),
    [anon_sym_out] = ACTIONS(2560),
    [anon_sym_inout] = ACTIONS(2560),
    [anon_sym_uniform] = ACTIONS(2560),
    [anon_sym_shared] = ACTIONS(2560),
    [anon_sym_attribute] = ACTIONS(2560),
    [anon_sym_varying] = ACTIONS(2560),
    [anon_sym_buffer] = ACTIONS(2560),
    [anon_sym_coherent] = ACTIONS(2560),
    [anon_sym_readonly] = ACTIONS(2560),
    [anon_sym_writeonly] = ACTIONS(2560),
    [anon_sym_precision] = ACTIONS(2560),
    [anon_sym_highp] = ACTIONS(2560),
    [anon_sym_mediump] = ACTIONS(2560),
    [anon_sym_lowp] = ACTIONS(2560),
    [anon_sym_centroid] = ACTIONS(2560),
    [anon_sym_sample] = ACTIONS(2560),
    [anon_sym_patch] = ACTIONS(2560),
    [anon_sym_smooth] = ACTIONS(2560),
    [anon_sym_flat] = ACTIONS(2560),
    [anon_sym_noperspective] = ACTIONS(2560),
    [anon_sym___extension__] = ACTIONS(2560),
    [anon_sym_extern] = ACTIONS(2560),
    [anon_sym___attribute__] = ACTIONS(2560),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2562),
    [anon_sym___declspec] = ACTIONS(2560),
    [anon_sym_RBRACE] = ACTIONS(2562),
    [anon_sym_signed] = ACTIONS(2560),
    [anon_sym_unsigned] = ACTIONS(2560),
    [anon_sym_long] = ACTIONS(2560),
    [anon_sym_short] = ACTIONS(2560),
    [anon_sym_static] = ACTIONS(2560),
    [anon_sym_auto] = ACTIONS(2560),
    [anon_sym_register] = ACTIONS(2560),
    [anon_sym_inline] = ACTIONS(2560),
    [anon_sym___inline] = ACTIONS(2560),
    [anon_sym___inline__] = ACTIONS(2560),
    [anon_sym___forceinline] = ACTIONS(2560),
    [anon_sym_thread_local] = ACTIONS(2560),
    [anon_sym___thread] = ACTIONS(2560),
    [anon_sym_const] = ACTIONS(2560),
    [anon_sym_constexpr] = ACTIONS(2560),
    [anon_sym_volatile] = ACTIONS(2560),
    [anon_sym_restrict] = ACTIONS(2560),
    [anon_sym___restrict__] = ACTIONS(2560),
    [anon_sym__Atomic] = ACTIONS(2560),
    [anon_sym__Noreturn] = ACTIONS(2560),
    [anon_sym_noreturn] = ACTIONS(2560),
    [sym_primitive_type] = ACTIONS(2560),
    [anon_sym_enum] = ACTIONS(2560),
    [anon_sym_struct] = ACTIONS(2560),
    [anon_sym_union] = ACTIONS(2560),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2560),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2560),
    [anon_sym_hitAttributeEXT] = ACTIONS(2560),
    [anon_sym_callableDataEXT] = ACTIONS(2560),
    [anon_sym_callableDataInEXT] = ACTIONS(2560),
    [anon_sym_shaderRecordEXT] = ACTIONS(2560),
    [anon_sym_rayPayloadNV] = ACTIONS(2560),
    [anon_sym_rayPayloadInNV] = ACTIONS(2560),
    [anon_sym_hitAttributeNV] = ACTIONS(2560),
    [anon_sym_callableDataNV] = ACTIONS(2560),
    [anon_sym_callableDataInNV] = ACTIONS(2560),
    [anon_sym_shaderRecordNV] = ACTIONS(2560),
    [anon_sym_layout] = ACTIONS(2560),
  },
  [831] = {
    [sym_identifier] = ACTIONS(2516),
    [aux_sym_preproc_def_token1] = ACTIONS(2516),
    [aux_sym_preproc_if_token1] = ACTIONS(2516),
    [aux_sym_preproc_if_token2] = ACTIONS(2516),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2516),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2516),
    [sym_preproc_directive] = ACTIONS(2516),
    [anon_sym_subroutine] = ACTIONS(2516),
    [anon_sym_invariant] = ACTIONS(2516),
    [anon_sym_precise] = ACTIONS(2516),
    [anon_sym_in] = ACTIONS(2516),
    [anon_sym_out] = ACTIONS(2516),
    [anon_sym_inout] = ACTIONS(2516),
    [anon_sym_uniform] = ACTIONS(2516),
    [anon_sym_shared] = ACTIONS(2516),
    [anon_sym_attribute] = ACTIONS(2516),
    [anon_sym_varying] = ACTIONS(2516),
    [anon_sym_buffer] = ACTIONS(2516),
    [anon_sym_coherent] = ACTIONS(2516),
    [anon_sym_readonly] = ACTIONS(2516),
    [anon_sym_writeonly] = ACTIONS(2516),
    [anon_sym_precision] = ACTIONS(2516),
    [anon_sym_highp] = ACTIONS(2516),
    [anon_sym_mediump] = ACTIONS(2516),
    [anon_sym_lowp] = ACTIONS(2516),
    [anon_sym_centroid] = ACTIONS(2516),
    [anon_sym_sample] = ACTIONS(2516),
    [anon_sym_patch] = ACTIONS(2516),
    [anon_sym_smooth] = ACTIONS(2516),
    [anon_sym_flat] = ACTIONS(2516),
    [anon_sym_noperspective] = ACTIONS(2516),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_extern] = ACTIONS(2516),
    [anon_sym___attribute__] = ACTIONS(2516),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2518),
    [anon_sym___declspec] = ACTIONS(2516),
    [anon_sym_signed] = ACTIONS(2516),
    [anon_sym_unsigned] = ACTIONS(2516),
    [anon_sym_long] = ACTIONS(2516),
    [anon_sym_short] = ACTIONS(2516),
    [anon_sym_static] = ACTIONS(2516),
    [anon_sym_auto] = ACTIONS(2516),
    [anon_sym_register] = ACTIONS(2516),
    [anon_sym_inline] = ACTIONS(2516),
    [anon_sym___inline] = ACTIONS(2516),
    [anon_sym___inline__] = ACTIONS(2516),
    [anon_sym___forceinline] = ACTIONS(2516),
    [anon_sym_thread_local] = ACTIONS(2516),
    [anon_sym___thread] = ACTIONS(2516),
    [anon_sym_const] = ACTIONS(2516),
    [anon_sym_constexpr] = ACTIONS(2516),
    [anon_sym_volatile] = ACTIONS(2516),
    [anon_sym_restrict] = ACTIONS(2516),
    [anon_sym___restrict__] = ACTIONS(2516),
    [anon_sym__Atomic] = ACTIONS(2516),
    [anon_sym__Noreturn] = ACTIONS(2516),
    [anon_sym_noreturn] = ACTIONS(2516),
    [sym_primitive_type] = ACTIONS(2516),
    [anon_sym_enum] = ACTIONS(2516),
    [anon_sym_struct] = ACTIONS(2516),
    [anon_sym_union] = ACTIONS(2516),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2516),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2516),
    [anon_sym_hitAttributeEXT] = ACTIONS(2516),
    [anon_sym_callableDataEXT] = ACTIONS(2516),
    [anon_sym_callableDataInEXT] = ACTIONS(2516),
    [anon_sym_shaderRecordEXT] = ACTIONS(2516),
    [anon_sym_rayPayloadNV] = ACTIONS(2516),
    [anon_sym_rayPayloadInNV] = ACTIONS(2516),
    [anon_sym_hitAttributeNV] = ACTIONS(2516),
    [anon_sym_callableDataNV] = ACTIONS(2516),
    [anon_sym_callableDataInNV] = ACTIONS(2516),
    [anon_sym_shaderRecordNV] = ACTIONS(2516),
    [anon_sym_layout] = ACTIONS(2516),
  },
  [832] = {
    [sym_identifier] = ACTIONS(2512),
    [aux_sym_preproc_def_token1] = ACTIONS(2512),
    [aux_sym_preproc_if_token1] = ACTIONS(2512),
    [aux_sym_preproc_if_token2] = ACTIONS(2512),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2512),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2512),
    [sym_preproc_directive] = ACTIONS(2512),
    [anon_sym_subroutine] = ACTIONS(2512),
    [anon_sym_invariant] = ACTIONS(2512),
    [anon_sym_precise] = ACTIONS(2512),
    [anon_sym_in] = ACTIONS(2512),
    [anon_sym_out] = ACTIONS(2512),
    [anon_sym_inout] = ACTIONS(2512),
    [anon_sym_uniform] = ACTIONS(2512),
    [anon_sym_shared] = ACTIONS(2512),
    [anon_sym_attribute] = ACTIONS(2512),
    [anon_sym_varying] = ACTIONS(2512),
    [anon_sym_buffer] = ACTIONS(2512),
    [anon_sym_coherent] = ACTIONS(2512),
    [anon_sym_readonly] = ACTIONS(2512),
    [anon_sym_writeonly] = ACTIONS(2512),
    [anon_sym_precision] = ACTIONS(2512),
    [anon_sym_highp] = ACTIONS(2512),
    [anon_sym_mediump] = ACTIONS(2512),
    [anon_sym_lowp] = ACTIONS(2512),
    [anon_sym_centroid] = ACTIONS(2512),
    [anon_sym_sample] = ACTIONS(2512),
    [anon_sym_patch] = ACTIONS(2512),
    [anon_sym_smooth] = ACTIONS(2512),
    [anon_sym_flat] = ACTIONS(2512),
    [anon_sym_noperspective] = ACTIONS(2512),
    [anon_sym___extension__] = ACTIONS(2512),
    [anon_sym_extern] = ACTIONS(2512),
    [anon_sym___attribute__] = ACTIONS(2512),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2514),
    [anon_sym___declspec] = ACTIONS(2512),
    [anon_sym_signed] = ACTIONS(2512),
    [anon_sym_unsigned] = ACTIONS(2512),
    [anon_sym_long] = ACTIONS(2512),
    [anon_sym_short] = ACTIONS(2512),
    [anon_sym_static] = ACTIONS(2512),
    [anon_sym_auto] = ACTIONS(2512),
    [anon_sym_register] = ACTIONS(2512),
    [anon_sym_inline] = ACTIONS(2512),
    [anon_sym___inline] = ACTIONS(2512),
    [anon_sym___inline__] = ACTIONS(2512),
    [anon_sym___forceinline] = ACTIONS(2512),
    [anon_sym_thread_local] = ACTIONS(2512),
    [anon_sym___thread] = ACTIONS(2512),
    [anon_sym_const] = ACTIONS(2512),
    [anon_sym_constexpr] = ACTIONS(2512),
    [anon_sym_volatile] = ACTIONS(2512),
    [anon_sym_restrict] = ACTIONS(2512),
    [anon_sym___restrict__] = ACTIONS(2512),
    [anon_sym__Atomic] = ACTIONS(2512),
    [anon_sym__Noreturn] = ACTIONS(2512),
    [anon_sym_noreturn] = ACTIONS(2512),
    [sym_primitive_type] = ACTIONS(2512),
    [anon_sym_enum] = ACTIONS(2512),
    [anon_sym_struct] = ACTIONS(2512),
    [anon_sym_union] = ACTIONS(2512),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2512),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2512),
    [anon_sym_hitAttributeEXT] = ACTIONS(2512),
    [anon_sym_callableDataEXT] = ACTIONS(2512),
    [anon_sym_callableDataInEXT] = ACTIONS(2512),
    [anon_sym_shaderRecordEXT] = ACTIONS(2512),
    [anon_sym_rayPayloadNV] = ACTIONS(2512),
    [anon_sym_rayPayloadInNV] = ACTIONS(2512),
    [anon_sym_hitAttributeNV] = ACTIONS(2512),
    [anon_sym_callableDataNV] = ACTIONS(2512),
    [anon_sym_callableDataInNV] = ACTIONS(2512),
    [anon_sym_shaderRecordNV] = ACTIONS(2512),
    [anon_sym_layout] = ACTIONS(2512),
  },
  [833] = {
    [sym_identifier] = ACTIONS(2508),
    [aux_sym_preproc_def_token1] = ACTIONS(2508),
    [aux_sym_preproc_if_token1] = ACTIONS(2508),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2508),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2508),
    [sym_preproc_directive] = ACTIONS(2508),
    [anon_sym_subroutine] = ACTIONS(2508),
    [anon_sym_invariant] = ACTIONS(2508),
    [anon_sym_precise] = ACTIONS(2508),
    [anon_sym_in] = ACTIONS(2508),
    [anon_sym_out] = ACTIONS(2508),
    [anon_sym_inout] = ACTIONS(2508),
    [anon_sym_uniform] = ACTIONS(2508),
    [anon_sym_shared] = ACTIONS(2508),
    [anon_sym_attribute] = ACTIONS(2508),
    [anon_sym_varying] = ACTIONS(2508),
    [anon_sym_buffer] = ACTIONS(2508),
    [anon_sym_coherent] = ACTIONS(2508),
    [anon_sym_readonly] = ACTIONS(2508),
    [anon_sym_writeonly] = ACTIONS(2508),
    [anon_sym_precision] = ACTIONS(2508),
    [anon_sym_highp] = ACTIONS(2508),
    [anon_sym_mediump] = ACTIONS(2508),
    [anon_sym_lowp] = ACTIONS(2508),
    [anon_sym_centroid] = ACTIONS(2508),
    [anon_sym_sample] = ACTIONS(2508),
    [anon_sym_patch] = ACTIONS(2508),
    [anon_sym_smooth] = ACTIONS(2508),
    [anon_sym_flat] = ACTIONS(2508),
    [anon_sym_noperspective] = ACTIONS(2508),
    [anon_sym___extension__] = ACTIONS(2508),
    [anon_sym_extern] = ACTIONS(2508),
    [anon_sym___attribute__] = ACTIONS(2508),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2510),
    [anon_sym___declspec] = ACTIONS(2508),
    [anon_sym_RBRACE] = ACTIONS(2510),
    [anon_sym_signed] = ACTIONS(2508),
    [anon_sym_unsigned] = ACTIONS(2508),
    [anon_sym_long] = ACTIONS(2508),
    [anon_sym_short] = ACTIONS(2508),
    [anon_sym_static] = ACTIONS(2508),
    [anon_sym_auto] = ACTIONS(2508),
    [anon_sym_register] = ACTIONS(2508),
    [anon_sym_inline] = ACTIONS(2508),
    [anon_sym___inline] = ACTIONS(2508),
    [anon_sym___inline__] = ACTIONS(2508),
    [anon_sym___forceinline] = ACTIONS(2508),
    [anon_sym_thread_local] = ACTIONS(2508),
    [anon_sym___thread] = ACTIONS(2508),
    [anon_sym_const] = ACTIONS(2508),
    [anon_sym_constexpr] = ACTIONS(2508),
    [anon_sym_volatile] = ACTIONS(2508),
    [anon_sym_restrict] = ACTIONS(2508),
    [anon_sym___restrict__] = ACTIONS(2508),
    [anon_sym__Atomic] = ACTIONS(2508),
    [anon_sym__Noreturn] = ACTIONS(2508),
    [anon_sym_noreturn] = ACTIONS(2508),
    [sym_primitive_type] = ACTIONS(2508),
    [anon_sym_enum] = ACTIONS(2508),
    [anon_sym_struct] = ACTIONS(2508),
    [anon_sym_union] = ACTIONS(2508),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2508),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2508),
    [anon_sym_hitAttributeEXT] = ACTIONS(2508),
    [anon_sym_callableDataEXT] = ACTIONS(2508),
    [anon_sym_callableDataInEXT] = ACTIONS(2508),
    [anon_sym_shaderRecordEXT] = ACTIONS(2508),
    [anon_sym_rayPayloadNV] = ACTIONS(2508),
    [anon_sym_rayPayloadInNV] = ACTIONS(2508),
    [anon_sym_hitAttributeNV] = ACTIONS(2508),
    [anon_sym_callableDataNV] = ACTIONS(2508),
    [anon_sym_callableDataInNV] = ACTIONS(2508),
    [anon_sym_shaderRecordNV] = ACTIONS(2508),
    [anon_sym_layout] = ACTIONS(2508),
  },
  [834] = {
    [sym_identifier] = ACTIONS(1591),
    [aux_sym_preproc_def_token1] = ACTIONS(1591),
    [aux_sym_preproc_if_token1] = ACTIONS(1591),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1591),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1591),
    [sym_preproc_directive] = ACTIONS(1591),
    [anon_sym_subroutine] = ACTIONS(1591),
    [anon_sym_invariant] = ACTIONS(1591),
    [anon_sym_precise] = ACTIONS(1591),
    [anon_sym_in] = ACTIONS(1591),
    [anon_sym_out] = ACTIONS(1591),
    [anon_sym_inout] = ACTIONS(1591),
    [anon_sym_uniform] = ACTIONS(1591),
    [anon_sym_shared] = ACTIONS(1591),
    [anon_sym_attribute] = ACTIONS(1591),
    [anon_sym_varying] = ACTIONS(1591),
    [anon_sym_buffer] = ACTIONS(1591),
    [anon_sym_coherent] = ACTIONS(1591),
    [anon_sym_readonly] = ACTIONS(1591),
    [anon_sym_writeonly] = ACTIONS(1591),
    [anon_sym_precision] = ACTIONS(1591),
    [anon_sym_highp] = ACTIONS(1591),
    [anon_sym_mediump] = ACTIONS(1591),
    [anon_sym_lowp] = ACTIONS(1591),
    [anon_sym_centroid] = ACTIONS(1591),
    [anon_sym_sample] = ACTIONS(1591),
    [anon_sym_patch] = ACTIONS(1591),
    [anon_sym_smooth] = ACTIONS(1591),
    [anon_sym_flat] = ACTIONS(1591),
    [anon_sym_noperspective] = ACTIONS(1591),
    [anon_sym___extension__] = ACTIONS(1591),
    [anon_sym_extern] = ACTIONS(1591),
    [anon_sym___attribute__] = ACTIONS(1591),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1593),
    [anon_sym___declspec] = ACTIONS(1591),
    [anon_sym_RBRACE] = ACTIONS(1593),
    [anon_sym_signed] = ACTIONS(1591),
    [anon_sym_unsigned] = ACTIONS(1591),
    [anon_sym_long] = ACTIONS(1591),
    [anon_sym_short] = ACTIONS(1591),
    [anon_sym_static] = ACTIONS(1591),
    [anon_sym_auto] = ACTIONS(1591),
    [anon_sym_register] = ACTIONS(1591),
    [anon_sym_inline] = ACTIONS(1591),
    [anon_sym___inline] = ACTIONS(1591),
    [anon_sym___inline__] = ACTIONS(1591),
    [anon_sym___forceinline] = ACTIONS(1591),
    [anon_sym_thread_local] = ACTIONS(1591),
    [anon_sym___thread] = ACTIONS(1591),
    [anon_sym_const] = ACTIONS(1591),
    [anon_sym_constexpr] = ACTIONS(1591),
    [anon_sym_volatile] = ACTIONS(1591),
    [anon_sym_restrict] = ACTIONS(1591),
    [anon_sym___restrict__] = ACTIONS(1591),
    [anon_sym__Atomic] = ACTIONS(1591),
    [anon_sym__Noreturn] = ACTIONS(1591),
    [anon_sym_noreturn] = ACTIONS(1591),
    [sym_primitive_type] = ACTIONS(1591),
    [anon_sym_enum] = ACTIONS(1591),
    [anon_sym_struct] = ACTIONS(1591),
    [anon_sym_union] = ACTIONS(1591),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1591),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1591),
    [anon_sym_hitAttributeEXT] = ACTIONS(1591),
    [anon_sym_callableDataEXT] = ACTIONS(1591),
    [anon_sym_callableDataInEXT] = ACTIONS(1591),
    [anon_sym_shaderRecordEXT] = ACTIONS(1591),
    [anon_sym_rayPayloadNV] = ACTIONS(1591),
    [anon_sym_rayPayloadInNV] = ACTIONS(1591),
    [anon_sym_hitAttributeNV] = ACTIONS(1591),
    [anon_sym_callableDataNV] = ACTIONS(1591),
    [anon_sym_callableDataInNV] = ACTIONS(1591),
    [anon_sym_shaderRecordNV] = ACTIONS(1591),
    [anon_sym_layout] = ACTIONS(1591),
  },
  [835] = {
    [sym_identifier] = ACTIONS(1623),
    [aux_sym_preproc_def_token1] = ACTIONS(1623),
    [aux_sym_preproc_if_token1] = ACTIONS(1623),
    [aux_sym_preproc_if_token2] = ACTIONS(1623),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1623),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1623),
    [sym_preproc_directive] = ACTIONS(1623),
    [anon_sym_subroutine] = ACTIONS(1623),
    [anon_sym_invariant] = ACTIONS(1623),
    [anon_sym_precise] = ACTIONS(1623),
    [anon_sym_in] = ACTIONS(1623),
    [anon_sym_out] = ACTIONS(1623),
    [anon_sym_inout] = ACTIONS(1623),
    [anon_sym_uniform] = ACTIONS(1623),
    [anon_sym_shared] = ACTIONS(1623),
    [anon_sym_attribute] = ACTIONS(1623),
    [anon_sym_varying] = ACTIONS(1623),
    [anon_sym_buffer] = ACTIONS(1623),
    [anon_sym_coherent] = ACTIONS(1623),
    [anon_sym_readonly] = ACTIONS(1623),
    [anon_sym_writeonly] = ACTIONS(1623),
    [anon_sym_precision] = ACTIONS(1623),
    [anon_sym_highp] = ACTIONS(1623),
    [anon_sym_mediump] = ACTIONS(1623),
    [anon_sym_lowp] = ACTIONS(1623),
    [anon_sym_centroid] = ACTIONS(1623),
    [anon_sym_sample] = ACTIONS(1623),
    [anon_sym_patch] = ACTIONS(1623),
    [anon_sym_smooth] = ACTIONS(1623),
    [anon_sym_flat] = ACTIONS(1623),
    [anon_sym_noperspective] = ACTIONS(1623),
    [anon_sym___extension__] = ACTIONS(1623),
    [anon_sym_extern] = ACTIONS(1623),
    [anon_sym___attribute__] = ACTIONS(1623),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1625),
    [anon_sym___declspec] = ACTIONS(1623),
    [anon_sym_signed] = ACTIONS(1623),
    [anon_sym_unsigned] = ACTIONS(1623),
    [anon_sym_long] = ACTIONS(1623),
    [anon_sym_short] = ACTIONS(1623),
    [anon_sym_static] = ACTIONS(1623),
    [anon_sym_auto] = ACTIONS(1623),
    [anon_sym_register] = ACTIONS(1623),
    [anon_sym_inline] = ACTIONS(1623),
    [anon_sym___inline] = ACTIONS(1623),
    [anon_sym___inline__] = ACTIONS(1623),
    [anon_sym___forceinline] = ACTIONS(1623),
    [anon_sym_thread_local] = ACTIONS(1623),
    [anon_sym___thread] = ACTIONS(1623),
    [anon_sym_const] = ACTIONS(1623),
    [anon_sym_constexpr] = ACTIONS(1623),
    [anon_sym_volatile] = ACTIONS(1623),
    [anon_sym_restrict] = ACTIONS(1623),
    [anon_sym___restrict__] = ACTIONS(1623),
    [anon_sym__Atomic] = ACTIONS(1623),
    [anon_sym__Noreturn] = ACTIONS(1623),
    [anon_sym_noreturn] = ACTIONS(1623),
    [sym_primitive_type] = ACTIONS(1623),
    [anon_sym_enum] = ACTIONS(1623),
    [anon_sym_struct] = ACTIONS(1623),
    [anon_sym_union] = ACTIONS(1623),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(1623),
    [anon_sym_rayPayloadInEXT] = ACTIONS(1623),
    [anon_sym_hitAttributeEXT] = ACTIONS(1623),
    [anon_sym_callableDataEXT] = ACTIONS(1623),
    [anon_sym_callableDataInEXT] = ACTIONS(1623),
    [anon_sym_shaderRecordEXT] = ACTIONS(1623),
    [anon_sym_rayPayloadNV] = ACTIONS(1623),
    [anon_sym_rayPayloadInNV] = ACTIONS(1623),
    [anon_sym_hitAttributeNV] = ACTIONS(1623),
    [anon_sym_callableDataNV] = ACTIONS(1623),
    [anon_sym_callableDataInNV] = ACTIONS(1623),
    [anon_sym_shaderRecordNV] = ACTIONS(1623),
    [anon_sym_layout] = ACTIONS(1623),
  },
  [836] = {
    [sym_identifier] = ACTIONS(2516),
    [aux_sym_preproc_def_token1] = ACTIONS(2516),
    [aux_sym_preproc_if_token1] = ACTIONS(2516),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2516),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2516),
    [sym_preproc_directive] = ACTIONS(2516),
    [anon_sym_subroutine] = ACTIONS(2516),
    [anon_sym_invariant] = ACTIONS(2516),
    [anon_sym_precise] = ACTIONS(2516),
    [anon_sym_in] = ACTIONS(2516),
    [anon_sym_out] = ACTIONS(2516),
    [anon_sym_inout] = ACTIONS(2516),
    [anon_sym_uniform] = ACTIONS(2516),
    [anon_sym_shared] = ACTIONS(2516),
    [anon_sym_attribute] = ACTIONS(2516),
    [anon_sym_varying] = ACTIONS(2516),
    [anon_sym_buffer] = ACTIONS(2516),
    [anon_sym_coherent] = ACTIONS(2516),
    [anon_sym_readonly] = ACTIONS(2516),
    [anon_sym_writeonly] = ACTIONS(2516),
    [anon_sym_precision] = ACTIONS(2516),
    [anon_sym_highp] = ACTIONS(2516),
    [anon_sym_mediump] = ACTIONS(2516),
    [anon_sym_lowp] = ACTIONS(2516),
    [anon_sym_centroid] = ACTIONS(2516),
    [anon_sym_sample] = ACTIONS(2516),
    [anon_sym_patch] = ACTIONS(2516),
    [anon_sym_smooth] = ACTIONS(2516),
    [anon_sym_flat] = ACTIONS(2516),
    [anon_sym_noperspective] = ACTIONS(2516),
    [anon_sym___extension__] = ACTIONS(2516),
    [anon_sym_extern] = ACTIONS(2516),
    [anon_sym___attribute__] = ACTIONS(2516),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2518),
    [anon_sym___declspec] = ACTIONS(2516),
    [anon_sym_RBRACE] = ACTIONS(2518),
    [anon_sym_signed] = ACTIONS(2516),
    [anon_sym_unsigned] = ACTIONS(2516),
    [anon_sym_long] = ACTIONS(2516),
    [anon_sym_short] = ACTIONS(2516),
    [anon_sym_static] = ACTIONS(2516),
    [anon_sym_auto] = ACTIONS(2516),
    [anon_sym_register] = ACTIONS(2516),
    [anon_sym_inline] = ACTIONS(2516),
    [anon_sym___inline] = ACTIONS(2516),
    [anon_sym___inline__] = ACTIONS(2516),
    [anon_sym___forceinline] = ACTIONS(2516),
    [anon_sym_thread_local] = ACTIONS(2516),
    [anon_sym___thread] = ACTIONS(2516),
    [anon_sym_const] = ACTIONS(2516),
    [anon_sym_constexpr] = ACTIONS(2516),
    [anon_sym_volatile] = ACTIONS(2516),
    [anon_sym_restrict] = ACTIONS(2516),
    [anon_sym___restrict__] = ACTIONS(2516),
    [anon_sym__Atomic] = ACTIONS(2516),
    [anon_sym__Noreturn] = ACTIONS(2516),
    [anon_sym_noreturn] = ACTIONS(2516),
    [sym_primitive_type] = ACTIONS(2516),
    [anon_sym_enum] = ACTIONS(2516),
    [anon_sym_struct] = ACTIONS(2516),
    [anon_sym_union] = ACTIONS(2516),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2516),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2516),
    [anon_sym_hitAttributeEXT] = ACTIONS(2516),
    [anon_sym_callableDataEXT] = ACTIONS(2516),
    [anon_sym_callableDataInEXT] = ACTIONS(2516),
    [anon_sym_shaderRecordEXT] = ACTIONS(2516),
    [anon_sym_rayPayloadNV] = ACTIONS(2516),
    [anon_sym_rayPayloadInNV] = ACTIONS(2516),
    [anon_sym_hitAttributeNV] = ACTIONS(2516),
    [anon_sym_callableDataNV] = ACTIONS(2516),
    [anon_sym_callableDataInNV] = ACTIONS(2516),
    [anon_sym_shaderRecordNV] = ACTIONS(2516),
    [anon_sym_layout] = ACTIONS(2516),
  },
  [837] = {
    [sym_identifier] = ACTIONS(2544),
    [aux_sym_preproc_def_token1] = ACTIONS(2544),
    [aux_sym_preproc_if_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2544),
    [sym_preproc_directive] = ACTIONS(2544),
    [anon_sym_subroutine] = ACTIONS(2544),
    [anon_sym_invariant] = ACTIONS(2544),
    [anon_sym_precise] = ACTIONS(2544),
    [anon_sym_in] = ACTIONS(2544),
    [anon_sym_out] = ACTIONS(2544),
    [anon_sym_inout] = ACTIONS(2544),
    [anon_sym_uniform] = ACTIONS(2544),
    [anon_sym_shared] = ACTIONS(2544),
    [anon_sym_attribute] = ACTIONS(2544),
    [anon_sym_varying] = ACTIONS(2544),
    [anon_sym_buffer] = ACTIONS(2544),
    [anon_sym_coherent] = ACTIONS(2544),
    [anon_sym_readonly] = ACTIONS(2544),
    [anon_sym_writeonly] = ACTIONS(2544),
    [anon_sym_precision] = ACTIONS(2544),
    [anon_sym_highp] = ACTIONS(2544),
    [anon_sym_mediump] = ACTIONS(2544),
    [anon_sym_lowp] = ACTIONS(2544),
    [anon_sym_centroid] = ACTIONS(2544),
    [anon_sym_sample] = ACTIONS(2544),
    [anon_sym_patch] = ACTIONS(2544),
    [anon_sym_smooth] = ACTIONS(2544),
    [anon_sym_flat] = ACTIONS(2544),
    [anon_sym_noperspective] = ACTIONS(2544),
    [anon_sym___extension__] = ACTIONS(2544),
    [anon_sym_extern] = ACTIONS(2544),
    [anon_sym___attribute__] = ACTIONS(2544),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2546),
    [anon_sym___declspec] = ACTIONS(2544),
    [anon_sym_RBRACE] = ACTIONS(2546),
    [anon_sym_signed] = ACTIONS(2544),
    [anon_sym_unsigned] = ACTIONS(2544),
    [anon_sym_long] = ACTIONS(2544),
    [anon_sym_short] = ACTIONS(2544),
    [anon_sym_static] = ACTIONS(2544),
    [anon_sym_auto] = ACTIONS(2544),
    [anon_sym_register] = ACTIONS(2544),
    [anon_sym_inline] = ACTIONS(2544),
    [anon_sym___inline] = ACTIONS(2544),
    [anon_sym___inline__] = ACTIONS(2544),
    [anon_sym___forceinline] = ACTIONS(2544),
    [anon_sym_thread_local] = ACTIONS(2544),
    [anon_sym___thread] = ACTIONS(2544),
    [anon_sym_const] = ACTIONS(2544),
    [anon_sym_constexpr] = ACTIONS(2544),
    [anon_sym_volatile] = ACTIONS(2544),
    [anon_sym_restrict] = ACTIONS(2544),
    [anon_sym___restrict__] = ACTIONS(2544),
    [anon_sym__Atomic] = ACTIONS(2544),
    [anon_sym__Noreturn] = ACTIONS(2544),
    [anon_sym_noreturn] = ACTIONS(2544),
    [sym_primitive_type] = ACTIONS(2544),
    [anon_sym_enum] = ACTIONS(2544),
    [anon_sym_struct] = ACTIONS(2544),
    [anon_sym_union] = ACTIONS(2544),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2544),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2544),
    [anon_sym_hitAttributeEXT] = ACTIONS(2544),
    [anon_sym_callableDataEXT] = ACTIONS(2544),
    [anon_sym_callableDataInEXT] = ACTIONS(2544),
    [anon_sym_shaderRecordEXT] = ACTIONS(2544),
    [anon_sym_rayPayloadNV] = ACTIONS(2544),
    [anon_sym_rayPayloadInNV] = ACTIONS(2544),
    [anon_sym_hitAttributeNV] = ACTIONS(2544),
    [anon_sym_callableDataNV] = ACTIONS(2544),
    [anon_sym_callableDataInNV] = ACTIONS(2544),
    [anon_sym_shaderRecordNV] = ACTIONS(2544),
    [anon_sym_layout] = ACTIONS(2544),
  },
  [838] = {
    [sym_type_qualifier] = STATE(1148),
    [sym__expression] = STATE(1563),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1363),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1363),
    [sym_call_expression] = STATE(1363),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1363),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1363),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [aux_sym__type_definition_type_repeat1] = STATE(1148),
    [sym_identifier] = ACTIONS(2484),
    [anon_sym_LPAREN2] = ACTIONS(2576),
    [anon_sym_BANG] = ACTIONS(2488),
    [anon_sym_TILDE] = ACTIONS(2488),
    [anon_sym_DASH] = ACTIONS(2486),
    [anon_sym_PLUS] = ACTIONS(2486),
    [anon_sym_STAR] = ACTIONS(2578),
    [anon_sym_AMP] = ACTIONS(2580),
    [anon_sym___extension__] = ACTIONS(2582),
    [anon_sym_RBRACK] = ACTIONS(2584),
    [anon_sym_const] = ACTIONS(2582),
    [anon_sym_constexpr] = ACTIONS(2582),
    [anon_sym_volatile] = ACTIONS(2582),
    [anon_sym_restrict] = ACTIONS(2582),
    [anon_sym___restrict__] = ACTIONS(2582),
    [anon_sym__Atomic] = ACTIONS(2582),
    [anon_sym__Noreturn] = ACTIONS(2582),
    [anon_sym_noreturn] = ACTIONS(2582),
    [anon_sym_DASH_DASH] = ACTIONS(2586),
    [anon_sym_PLUS_PLUS] = ACTIONS(2586),
    [anon_sym_sizeof] = ACTIONS(2490),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [839] = {
    [sym_extension_storage_class] = STATE(839),
    [sym_layout_specification] = STATE(839),
    [aux_sym_declaration_repeat1] = STATE(839),
    [sym_identifier] = ACTIONS(2588),
    [anon_sym_subroutine] = ACTIONS(2590),
    [anon_sym_invariant] = ACTIONS(2590),
    [anon_sym_precise] = ACTIONS(2590),
    [anon_sym_in] = ACTIONS(2590),
    [anon_sym_out] = ACTIONS(2590),
    [anon_sym_inout] = ACTIONS(2590),
    [anon_sym_uniform] = ACTIONS(2590),
    [anon_sym_shared] = ACTIONS(2590),
    [anon_sym_attribute] = ACTIONS(2590),
    [anon_sym_varying] = ACTIONS(2590),
    [anon_sym_buffer] = ACTIONS(2590),
    [anon_sym_coherent] = ACTIONS(2590),
    [anon_sym_readonly] = ACTIONS(2590),
    [anon_sym_writeonly] = ACTIONS(2590),
    [anon_sym_precision] = ACTIONS(2590),
    [anon_sym_highp] = ACTIONS(2590),
    [anon_sym_mediump] = ACTIONS(2590),
    [anon_sym_lowp] = ACTIONS(2590),
    [anon_sym_centroid] = ACTIONS(2590),
    [anon_sym_sample] = ACTIONS(2590),
    [anon_sym_patch] = ACTIONS(2590),
    [anon_sym_smooth] = ACTIONS(2590),
    [anon_sym_flat] = ACTIONS(2590),
    [anon_sym_noperspective] = ACTIONS(2590),
    [anon_sym___extension__] = ACTIONS(2588),
    [anon_sym_extern] = ACTIONS(2588),
    [anon_sym___attribute__] = ACTIONS(2588),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2593),
    [anon_sym___declspec] = ACTIONS(2588),
    [anon_sym_signed] = ACTIONS(2588),
    [anon_sym_unsigned] = ACTIONS(2588),
    [anon_sym_long] = ACTIONS(2588),
    [anon_sym_short] = ACTIONS(2588),
    [anon_sym_static] = ACTIONS(2588),
    [anon_sym_auto] = ACTIONS(2588),
    [anon_sym_register] = ACTIONS(2588),
    [anon_sym_inline] = ACTIONS(2588),
    [anon_sym___inline] = ACTIONS(2588),
    [anon_sym___inline__] = ACTIONS(2588),
    [anon_sym___forceinline] = ACTIONS(2588),
    [anon_sym_thread_local] = ACTIONS(2588),
    [anon_sym___thread] = ACTIONS(2588),
    [anon_sym_const] = ACTIONS(2588),
    [anon_sym_constexpr] = ACTIONS(2588),
    [anon_sym_volatile] = ACTIONS(2588),
    [anon_sym_restrict] = ACTIONS(2588),
    [anon_sym___restrict__] = ACTIONS(2588),
    [anon_sym__Atomic] = ACTIONS(2588),
    [anon_sym__Noreturn] = ACTIONS(2588),
    [anon_sym_noreturn] = ACTIONS(2588),
    [sym_primitive_type] = ACTIONS(2588),
    [anon_sym_enum] = ACTIONS(2588),
    [anon_sym_struct] = ACTIONS(2588),
    [anon_sym_union] = ACTIONS(2588),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2595),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2595),
    [anon_sym_hitAttributeEXT] = ACTIONS(2595),
    [anon_sym_callableDataEXT] = ACTIONS(2595),
    [anon_sym_callableDataInEXT] = ACTIONS(2595),
    [anon_sym_shaderRecordEXT] = ACTIONS(2595),
    [anon_sym_rayPayloadNV] = ACTIONS(2595),
    [anon_sym_rayPayloadInNV] = ACTIONS(2595),
    [anon_sym_hitAttributeNV] = ACTIONS(2595),
    [anon_sym_callableDataNV] = ACTIONS(2595),
    [anon_sym_callableDataInNV] = ACTIONS(2595),
    [anon_sym_shaderRecordNV] = ACTIONS(2595),
    [anon_sym_layout] = ACTIONS(2598),
  },
  [840] = {
    [sym_type_qualifier] = STATE(838),
    [sym__expression] = STATE(1553),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1363),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1363),
    [sym_call_expression] = STATE(1363),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1363),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1363),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [aux_sym__type_definition_type_repeat1] = STATE(838),
    [sym_identifier] = ACTIONS(2484),
    [anon_sym_LPAREN2] = ACTIONS(2576),
    [anon_sym_BANG] = ACTIONS(2488),
    [anon_sym_TILDE] = ACTIONS(2488),
    [anon_sym_DASH] = ACTIONS(2486),
    [anon_sym_PLUS] = ACTIONS(2486),
    [anon_sym_STAR] = ACTIONS(2601),
    [anon_sym_AMP] = ACTIONS(2580),
    [anon_sym___extension__] = ACTIONS(2582),
    [anon_sym_RBRACK] = ACTIONS(2603),
    [anon_sym_const] = ACTIONS(2582),
    [anon_sym_constexpr] = ACTIONS(2582),
    [anon_sym_volatile] = ACTIONS(2582),
    [anon_sym_restrict] = ACTIONS(2582),
    [anon_sym___restrict__] = ACTIONS(2582),
    [anon_sym__Atomic] = ACTIONS(2582),
    [anon_sym__Noreturn] = ACTIONS(2582),
    [anon_sym_noreturn] = ACTIONS(2582),
    [anon_sym_DASH_DASH] = ACTIONS(2586),
    [anon_sym_PLUS_PLUS] = ACTIONS(2586),
    [anon_sym_sizeof] = ACTIONS(2490),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [841] = {
    [sym_type_qualifier] = STATE(1148),
    [sym__expression] = STATE(1567),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1363),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1363),
    [sym_call_expression] = STATE(1363),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1363),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1363),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [aux_sym__type_definition_type_repeat1] = STATE(1148),
    [sym_identifier] = ACTIONS(2484),
    [anon_sym_LPAREN2] = ACTIONS(2576),
    [anon_sym_BANG] = ACTIONS(2488),
    [anon_sym_TILDE] = ACTIONS(2488),
    [anon_sym_DASH] = ACTIONS(2486),
    [anon_sym_PLUS] = ACTIONS(2486),
    [anon_sym_STAR] = ACTIONS(2605),
    [anon_sym_AMP] = ACTIONS(2580),
    [anon_sym___extension__] = ACTIONS(2582),
    [anon_sym_RBRACK] = ACTIONS(2607),
    [anon_sym_const] = ACTIONS(2582),
    [anon_sym_constexpr] = ACTIONS(2582),
    [anon_sym_volatile] = ACTIONS(2582),
    [anon_sym_restrict] = ACTIONS(2582),
    [anon_sym___restrict__] = ACTIONS(2582),
    [anon_sym__Atomic] = ACTIONS(2582),
    [anon_sym__Noreturn] = ACTIONS(2582),
    [anon_sym_noreturn] = ACTIONS(2582),
    [anon_sym_DASH_DASH] = ACTIONS(2586),
    [anon_sym_PLUS_PLUS] = ACTIONS(2586),
    [anon_sym_sizeof] = ACTIONS(2490),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [842] = {
    [sym_type_qualifier] = STATE(841),
    [sym__expression] = STATE(1556),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1363),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1363),
    [sym_call_expression] = STATE(1363),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1363),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1363),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [aux_sym__type_definition_type_repeat1] = STATE(841),
    [sym_identifier] = ACTIONS(2484),
    [anon_sym_LPAREN2] = ACTIONS(2576),
    [anon_sym_BANG] = ACTIONS(2488),
    [anon_sym_TILDE] = ACTIONS(2488),
    [anon_sym_DASH] = ACTIONS(2486),
    [anon_sym_PLUS] = ACTIONS(2486),
    [anon_sym_STAR] = ACTIONS(2609),
    [anon_sym_AMP] = ACTIONS(2580),
    [anon_sym___extension__] = ACTIONS(2582),
    [anon_sym_RBRACK] = ACTIONS(2611),
    [anon_sym_const] = ACTIONS(2582),
    [anon_sym_constexpr] = ACTIONS(2582),
    [anon_sym_volatile] = ACTIONS(2582),
    [anon_sym_restrict] = ACTIONS(2582),
    [anon_sym___restrict__] = ACTIONS(2582),
    [anon_sym__Atomic] = ACTIONS(2582),
    [anon_sym__Noreturn] = ACTIONS(2582),
    [anon_sym_noreturn] = ACTIONS(2582),
    [anon_sym_DASH_DASH] = ACTIONS(2586),
    [anon_sym_PLUS_PLUS] = ACTIONS(2586),
    [anon_sym_sizeof] = ACTIONS(2490),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [843] = {
    [sym_type_qualifier] = STATE(1148),
    [sym__expression] = STATE(1565),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1363),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1363),
    [sym_call_expression] = STATE(1363),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1363),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1363),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [aux_sym__type_definition_type_repeat1] = STATE(1148),
    [sym_identifier] = ACTIONS(2484),
    [anon_sym_LPAREN2] = ACTIONS(2576),
    [anon_sym_BANG] = ACTIONS(2488),
    [anon_sym_TILDE] = ACTIONS(2488),
    [anon_sym_DASH] = ACTIONS(2486),
    [anon_sym_PLUS] = ACTIONS(2486),
    [anon_sym_STAR] = ACTIONS(2613),
    [anon_sym_AMP] = ACTIONS(2580),
    [anon_sym___extension__] = ACTIONS(2582),
    [anon_sym_RBRACK] = ACTIONS(2615),
    [anon_sym_const] = ACTIONS(2582),
    [anon_sym_constexpr] = ACTIONS(2582),
    [anon_sym_volatile] = ACTIONS(2582),
    [anon_sym_restrict] = ACTIONS(2582),
    [anon_sym___restrict__] = ACTIONS(2582),
    [anon_sym__Atomic] = ACTIONS(2582),
    [anon_sym__Noreturn] = ACTIONS(2582),
    [anon_sym_noreturn] = ACTIONS(2582),
    [anon_sym_DASH_DASH] = ACTIONS(2586),
    [anon_sym_PLUS_PLUS] = ACTIONS(2586),
    [anon_sym_sizeof] = ACTIONS(2490),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [844] = {
    [sym_type_qualifier] = STATE(848),
    [sym__expression] = STATE(1550),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1363),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1363),
    [sym_call_expression] = STATE(1363),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1363),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1363),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [aux_sym__type_definition_type_repeat1] = STATE(848),
    [sym_identifier] = ACTIONS(2484),
    [anon_sym_LPAREN2] = ACTIONS(2576),
    [anon_sym_BANG] = ACTIONS(2488),
    [anon_sym_TILDE] = ACTIONS(2488),
    [anon_sym_DASH] = ACTIONS(2486),
    [anon_sym_PLUS] = ACTIONS(2486),
    [anon_sym_STAR] = ACTIONS(2617),
    [anon_sym_AMP] = ACTIONS(2580),
    [anon_sym___extension__] = ACTIONS(2582),
    [anon_sym_RBRACK] = ACTIONS(2619),
    [anon_sym_const] = ACTIONS(2582),
    [anon_sym_constexpr] = ACTIONS(2582),
    [anon_sym_volatile] = ACTIONS(2582),
    [anon_sym_restrict] = ACTIONS(2582),
    [anon_sym___restrict__] = ACTIONS(2582),
    [anon_sym__Atomic] = ACTIONS(2582),
    [anon_sym__Noreturn] = ACTIONS(2582),
    [anon_sym_noreturn] = ACTIONS(2582),
    [anon_sym_DASH_DASH] = ACTIONS(2586),
    [anon_sym_PLUS_PLUS] = ACTIONS(2586),
    [anon_sym_sizeof] = ACTIONS(2490),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [845] = {
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1657),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(1192),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_variadic_parameter] = STATE(2309),
    [sym_parameter_declaration] = STATE(2309),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_layout_specification] = STATE(868),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [aux_sym_parameter_declaration_repeat1] = STATE(868),
    [sym_identifier] = ACTIONS(1739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1980),
    [anon_sym_RPAREN] = ACTIONS(1982),
    [anon_sym_precise] = ACTIONS(1988),
    [anon_sym_in] = ACTIONS(1988),
    [anon_sym_out] = ACTIONS(1988),
    [anon_sym_inout] = ACTIONS(1988),
    [anon_sym_uniform] = ACTIONS(1988),
    [anon_sym_shared] = ACTIONS(1988),
    [anon_sym_attribute] = ACTIONS(1988),
    [anon_sym_varying] = ACTIONS(1988),
    [anon_sym_buffer] = ACTIONS(1988),
    [anon_sym_coherent] = ACTIONS(1988),
    [anon_sym_readonly] = ACTIONS(1988),
    [anon_sym_writeonly] = ACTIONS(1988),
    [anon_sym_centroid] = ACTIONS(1988),
    [anon_sym_sample] = ACTIONS(1988),
    [anon_sym_patch] = ACTIONS(1988),
    [anon_sym_smooth] = ACTIONS(1988),
    [anon_sym_flat] = ACTIONS(1988),
    [anon_sym_noperspective] = ACTIONS(1988),
    [anon_sym___extension__] = ACTIONS(53),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1421),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [anon_sym_layout] = ACTIONS(1994),
  },
  [846] = {
    [sym_type_qualifier] = STATE(843),
    [sym__expression] = STATE(1572),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1363),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1363),
    [sym_call_expression] = STATE(1363),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1363),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1363),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [aux_sym__type_definition_type_repeat1] = STATE(843),
    [sym_identifier] = ACTIONS(2484),
    [anon_sym_LPAREN2] = ACTIONS(2576),
    [anon_sym_BANG] = ACTIONS(2488),
    [anon_sym_TILDE] = ACTIONS(2488),
    [anon_sym_DASH] = ACTIONS(2486),
    [anon_sym_PLUS] = ACTIONS(2486),
    [anon_sym_STAR] = ACTIONS(2621),
    [anon_sym_AMP] = ACTIONS(2580),
    [anon_sym___extension__] = ACTIONS(2582),
    [anon_sym_RBRACK] = ACTIONS(2623),
    [anon_sym_const] = ACTIONS(2582),
    [anon_sym_constexpr] = ACTIONS(2582),
    [anon_sym_volatile] = ACTIONS(2582),
    [anon_sym_restrict] = ACTIONS(2582),
    [anon_sym___restrict__] = ACTIONS(2582),
    [anon_sym__Atomic] = ACTIONS(2582),
    [anon_sym__Noreturn] = ACTIONS(2582),
    [anon_sym_noreturn] = ACTIONS(2582),
    [anon_sym_DASH_DASH] = ACTIONS(2586),
    [anon_sym_PLUS_PLUS] = ACTIONS(2586),
    [anon_sym_sizeof] = ACTIONS(2490),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [847] = {
    [sym_type_qualifier] = STATE(849),
    [sym__expression] = STATE(1557),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1363),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1363),
    [sym_call_expression] = STATE(1363),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1363),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1363),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [aux_sym__type_definition_type_repeat1] = STATE(849),
    [sym_identifier] = ACTIONS(2484),
    [anon_sym_LPAREN2] = ACTIONS(2576),
    [anon_sym_BANG] = ACTIONS(2488),
    [anon_sym_TILDE] = ACTIONS(2488),
    [anon_sym_DASH] = ACTIONS(2486),
    [anon_sym_PLUS] = ACTIONS(2486),
    [anon_sym_STAR] = ACTIONS(2625),
    [anon_sym_AMP] = ACTIONS(2580),
    [anon_sym___extension__] = ACTIONS(2582),
    [anon_sym_RBRACK] = ACTIONS(2627),
    [anon_sym_const] = ACTIONS(2582),
    [anon_sym_constexpr] = ACTIONS(2582),
    [anon_sym_volatile] = ACTIONS(2582),
    [anon_sym_restrict] = ACTIONS(2582),
    [anon_sym___restrict__] = ACTIONS(2582),
    [anon_sym__Atomic] = ACTIONS(2582),
    [anon_sym__Noreturn] = ACTIONS(2582),
    [anon_sym_noreturn] = ACTIONS(2582),
    [anon_sym_DASH_DASH] = ACTIONS(2586),
    [anon_sym_PLUS_PLUS] = ACTIONS(2586),
    [anon_sym_sizeof] = ACTIONS(2490),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [848] = {
    [sym_type_qualifier] = STATE(1148),
    [sym__expression] = STATE(1559),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1363),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1363),
    [sym_call_expression] = STATE(1363),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1363),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1363),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [aux_sym__type_definition_type_repeat1] = STATE(1148),
    [sym_identifier] = ACTIONS(2484),
    [anon_sym_LPAREN2] = ACTIONS(2576),
    [anon_sym_BANG] = ACTIONS(2488),
    [anon_sym_TILDE] = ACTIONS(2488),
    [anon_sym_DASH] = ACTIONS(2486),
    [anon_sym_PLUS] = ACTIONS(2486),
    [anon_sym_STAR] = ACTIONS(2629),
    [anon_sym_AMP] = ACTIONS(2580),
    [anon_sym___extension__] = ACTIONS(2582),
    [anon_sym_RBRACK] = ACTIONS(2631),
    [anon_sym_const] = ACTIONS(2582),
    [anon_sym_constexpr] = ACTIONS(2582),
    [anon_sym_volatile] = ACTIONS(2582),
    [anon_sym_restrict] = ACTIONS(2582),
    [anon_sym___restrict__] = ACTIONS(2582),
    [anon_sym__Atomic] = ACTIONS(2582),
    [anon_sym__Noreturn] = ACTIONS(2582),
    [anon_sym_noreturn] = ACTIONS(2582),
    [anon_sym_DASH_DASH] = ACTIONS(2586),
    [anon_sym_PLUS_PLUS] = ACTIONS(2586),
    [anon_sym_sizeof] = ACTIONS(2490),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [849] = {
    [sym_type_qualifier] = STATE(1148),
    [sym__expression] = STATE(1542),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1363),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1363),
    [sym_call_expression] = STATE(1363),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1363),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1363),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [aux_sym__type_definition_type_repeat1] = STATE(1148),
    [sym_identifier] = ACTIONS(2484),
    [anon_sym_LPAREN2] = ACTIONS(2576),
    [anon_sym_BANG] = ACTIONS(2488),
    [anon_sym_TILDE] = ACTIONS(2488),
    [anon_sym_DASH] = ACTIONS(2486),
    [anon_sym_PLUS] = ACTIONS(2486),
    [anon_sym_STAR] = ACTIONS(2633),
    [anon_sym_AMP] = ACTIONS(2580),
    [anon_sym___extension__] = ACTIONS(2582),
    [anon_sym_RBRACK] = ACTIONS(2635),
    [anon_sym_const] = ACTIONS(2582),
    [anon_sym_constexpr] = ACTIONS(2582),
    [anon_sym_volatile] = ACTIONS(2582),
    [anon_sym_restrict] = ACTIONS(2582),
    [anon_sym___restrict__] = ACTIONS(2582),
    [anon_sym__Atomic] = ACTIONS(2582),
    [anon_sym__Noreturn] = ACTIONS(2582),
    [anon_sym_noreturn] = ACTIONS(2582),
    [anon_sym_DASH_DASH] = ACTIONS(2586),
    [anon_sym_PLUS_PLUS] = ACTIONS(2586),
    [anon_sym_sizeof] = ACTIONS(2490),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [850] = {
    [sym__expression] = STATE(1463),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_initializer_list] = STATE(2376),
    [sym_initializer_pair] = STATE(2376),
    [sym_subscript_designator] = STATE(2078),
    [sym_subscript_range_designator] = STATE(2078),
    [sym_field_designator] = STATE(2078),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [aux_sym_initializer_pair_repeat1] = STATE(2078),
    [sym_identifier] = ACTIONS(2637),
    [anon_sym_COMMA] = ACTIONS(2639),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(1968),
    [anon_sym_RBRACE] = ACTIONS(2641),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [anon_sym_DOT] = ACTIONS(2645),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [851] = {
    [sym__expression] = STATE(1466),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_initializer_list] = STATE(2466),
    [sym_initializer_pair] = STATE(2466),
    [sym_subscript_designator] = STATE(2078),
    [sym_subscript_range_designator] = STATE(2078),
    [sym_field_designator] = STATE(2078),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [aux_sym_initializer_pair_repeat1] = STATE(2078),
    [sym_identifier] = ACTIONS(2637),
    [anon_sym_COMMA] = ACTIONS(2647),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(1968),
    [anon_sym_RBRACE] = ACTIONS(2649),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [anon_sym_DOT] = ACTIONS(2645),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [852] = {
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1657),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(1192),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_variadic_parameter] = STATE(2503),
    [sym_parameter_declaration] = STATE(2503),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_layout_specification] = STATE(868),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [aux_sym_parameter_declaration_repeat1] = STATE(868),
    [sym_identifier] = ACTIONS(1739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1980),
    [anon_sym_precise] = ACTIONS(1988),
    [anon_sym_in] = ACTIONS(1988),
    [anon_sym_out] = ACTIONS(1988),
    [anon_sym_inout] = ACTIONS(1988),
    [anon_sym_uniform] = ACTIONS(1988),
    [anon_sym_shared] = ACTIONS(1988),
    [anon_sym_attribute] = ACTIONS(1988),
    [anon_sym_varying] = ACTIONS(1988),
    [anon_sym_buffer] = ACTIONS(1988),
    [anon_sym_coherent] = ACTIONS(1988),
    [anon_sym_readonly] = ACTIONS(1988),
    [anon_sym_writeonly] = ACTIONS(1988),
    [anon_sym_centroid] = ACTIONS(1988),
    [anon_sym_sample] = ACTIONS(1988),
    [anon_sym_patch] = ACTIONS(1988),
    [anon_sym_smooth] = ACTIONS(1988),
    [anon_sym_flat] = ACTIONS(1988),
    [anon_sym_noperspective] = ACTIONS(1988),
    [anon_sym___extension__] = ACTIONS(53),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1421),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [anon_sym_layout] = ACTIONS(1994),
  },
  [853] = {
    [sym__expression] = STATE(1471),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_initializer_list] = STATE(2495),
    [sym_initializer_pair] = STATE(2495),
    [sym_subscript_designator] = STATE(2078),
    [sym_subscript_range_designator] = STATE(2078),
    [sym_field_designator] = STATE(2078),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [aux_sym_initializer_pair_repeat1] = STATE(2078),
    [sym_identifier] = ACTIONS(2637),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(1968),
    [anon_sym_RBRACE] = ACTIONS(2651),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [anon_sym_DOT] = ACTIONS(2645),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [854] = {
    [sym__expression] = STATE(1471),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_initializer_list] = STATE(2495),
    [sym_initializer_pair] = STATE(2495),
    [sym_subscript_designator] = STATE(2078),
    [sym_subscript_range_designator] = STATE(2078),
    [sym_field_designator] = STATE(2078),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [aux_sym_initializer_pair_repeat1] = STATE(2078),
    [sym_identifier] = ACTIONS(2637),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(1968),
    [anon_sym_RBRACE] = ACTIONS(2653),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [anon_sym_DOT] = ACTIONS(2645),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [855] = {
    [sym__expression] = STATE(1471),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_initializer_list] = STATE(2495),
    [sym_initializer_pair] = STATE(2495),
    [sym_subscript_designator] = STATE(2078),
    [sym_subscript_range_designator] = STATE(2078),
    [sym_field_designator] = STATE(2078),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [aux_sym_initializer_pair_repeat1] = STATE(2078),
    [sym_identifier] = ACTIONS(2637),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(1968),
    [anon_sym_RBRACE] = ACTIONS(2655),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [anon_sym_DOT] = ACTIONS(2645),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [856] = {
    [sym__expression] = STATE(1471),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_initializer_list] = STATE(2495),
    [sym_initializer_pair] = STATE(2495),
    [sym_subscript_designator] = STATE(2078),
    [sym_subscript_range_designator] = STATE(2078),
    [sym_field_designator] = STATE(2078),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [aux_sym_initializer_pair_repeat1] = STATE(2078),
    [sym_identifier] = ACTIONS(2637),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(1968),
    [anon_sym_RBRACE] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [anon_sym_DOT] = ACTIONS(2645),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [857] = {
    [sym_identifier] = ACTIONS(2659),
    [anon_sym_subroutine] = ACTIONS(2360),
    [anon_sym_invariant] = ACTIONS(2360),
    [anon_sym_precise] = ACTIONS(2360),
    [anon_sym_in] = ACTIONS(2360),
    [anon_sym_out] = ACTIONS(2360),
    [anon_sym_inout] = ACTIONS(2360),
    [anon_sym_uniform] = ACTIONS(2360),
    [anon_sym_shared] = ACTIONS(2360),
    [anon_sym_attribute] = ACTIONS(2360),
    [anon_sym_varying] = ACTIONS(2360),
    [anon_sym_buffer] = ACTIONS(2360),
    [anon_sym_coherent] = ACTIONS(2360),
    [anon_sym_readonly] = ACTIONS(2360),
    [anon_sym_writeonly] = ACTIONS(2360),
    [anon_sym_precision] = ACTIONS(2360),
    [anon_sym_highp] = ACTIONS(2360),
    [anon_sym_mediump] = ACTIONS(2360),
    [anon_sym_lowp] = ACTIONS(2360),
    [anon_sym_centroid] = ACTIONS(2360),
    [anon_sym_sample] = ACTIONS(2360),
    [anon_sym_patch] = ACTIONS(2360),
    [anon_sym_smooth] = ACTIONS(2360),
    [anon_sym_flat] = ACTIONS(2360),
    [anon_sym_noperspective] = ACTIONS(2360),
    [anon_sym___extension__] = ACTIONS(2360),
    [anon_sym_extern] = ACTIONS(2360),
    [anon_sym___attribute__] = ACTIONS(2360),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2662),
    [anon_sym___declspec] = ACTIONS(2360),
    [anon_sym_signed] = ACTIONS(2360),
    [anon_sym_unsigned] = ACTIONS(2360),
    [anon_sym_long] = ACTIONS(2360),
    [anon_sym_short] = ACTIONS(2360),
    [anon_sym_static] = ACTIONS(2360),
    [anon_sym_auto] = ACTIONS(2360),
    [anon_sym_register] = ACTIONS(2360),
    [anon_sym_inline] = ACTIONS(2360),
    [anon_sym___inline] = ACTIONS(2360),
    [anon_sym___inline__] = ACTIONS(2360),
    [anon_sym___forceinline] = ACTIONS(2360),
    [anon_sym_thread_local] = ACTIONS(2360),
    [anon_sym___thread] = ACTIONS(2360),
    [anon_sym_const] = ACTIONS(2360),
    [anon_sym_constexpr] = ACTIONS(2360),
    [anon_sym_volatile] = ACTIONS(2360),
    [anon_sym_restrict] = ACTIONS(2360),
    [anon_sym___restrict__] = ACTIONS(2360),
    [anon_sym__Atomic] = ACTIONS(2360),
    [anon_sym__Noreturn] = ACTIONS(2360),
    [anon_sym_noreturn] = ACTIONS(2360),
    [sym_primitive_type] = ACTIONS(2360),
    [anon_sym_enum] = ACTIONS(2360),
    [anon_sym_struct] = ACTIONS(2360),
    [anon_sym_union] = ACTIONS(2360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2360),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2360),
    [anon_sym_hitAttributeEXT] = ACTIONS(2360),
    [anon_sym_callableDataEXT] = ACTIONS(2360),
    [anon_sym_callableDataInEXT] = ACTIONS(2360),
    [anon_sym_shaderRecordEXT] = ACTIONS(2360),
    [anon_sym_rayPayloadNV] = ACTIONS(2360),
    [anon_sym_rayPayloadInNV] = ACTIONS(2360),
    [anon_sym_hitAttributeNV] = ACTIONS(2360),
    [anon_sym_callableDataNV] = ACTIONS(2360),
    [anon_sym_callableDataInNV] = ACTIONS(2360),
    [anon_sym_shaderRecordNV] = ACTIONS(2360),
    [anon_sym_layout] = ACTIONS(2360),
  },
  [858] = {
    [sym__expression] = STATE(1471),
    [sym__expression_not_binary] = STATE(1115),
    [sym__string] = STATE(1115),
    [sym_conditional_expression] = STATE(1115),
    [sym_assignment_expression] = STATE(1115),
    [sym_pointer_expression] = STATE(1283),
    [sym_unary_expression] = STATE(1115),
    [sym_binary_expression] = STATE(1115),
    [sym_update_expression] = STATE(1115),
    [sym_cast_expression] = STATE(1115),
    [sym_sizeof_expression] = STATE(1115),
    [sym_alignof_expression] = STATE(1115),
    [sym_offsetof_expression] = STATE(1115),
    [sym_generic_expression] = STATE(1115),
    [sym_subscript_expression] = STATE(1283),
    [sym_call_expression] = STATE(1283),
    [sym_gnu_asm_expression] = STATE(1115),
    [sym_field_expression] = STATE(1283),
    [sym_compound_literal_expression] = STATE(1115),
    [sym_parenthesized_expression] = STATE(1283),
    [sym_initializer_list] = STATE(2495),
    [sym_initializer_pair] = STATE(2495),
    [sym_subscript_designator] = STATE(2078),
    [sym_subscript_range_designator] = STATE(2078),
    [sym_field_designator] = STATE(2078),
    [sym_char_literal] = STATE(1115),
    [sym_concatenated_string] = STATE(1115),
    [sym_string_literal] = STATE(1108),
    [sym_null] = STATE(1115),
    [aux_sym_initializer_pair_repeat1] = STATE(2078),
    [sym_identifier] = ACTIONS(2637),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(25),
    [anon_sym_AMP] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(1968),
    [anon_sym_LBRACK] = ACTIONS(2643),
    [anon_sym_DASH_DASH] = ACTIONS(85),
    [anon_sym_PLUS_PLUS] = ACTIONS(85),
    [anon_sym_sizeof] = ACTIONS(87),
    [anon_sym___alignof__] = ACTIONS(89),
    [anon_sym___alignof] = ACTIONS(89),
    [anon_sym__alignof] = ACTIONS(89),
    [anon_sym_alignof] = ACTIONS(89),
    [anon_sym__Alignof] = ACTIONS(89),
    [anon_sym_offsetof] = ACTIONS(91),
    [anon_sym__Generic] = ACTIONS(93),
    [anon_sym_asm] = ACTIONS(95),
    [anon_sym___asm__] = ACTIONS(95),
    [anon_sym_DOT] = ACTIONS(2645),
    [sym_number_literal] = ACTIONS(173),
    [anon_sym_L_SQUOTE] = ACTIONS(99),
    [anon_sym_u_SQUOTE] = ACTIONS(99),
    [anon_sym_U_SQUOTE] = ACTIONS(99),
    [anon_sym_u8_SQUOTE] = ACTIONS(99),
    [anon_sym_SQUOTE] = ACTIONS(99),
    [anon_sym_L_DQUOTE] = ACTIONS(101),
    [anon_sym_u_DQUOTE] = ACTIONS(101),
    [anon_sym_U_DQUOTE] = ACTIONS(101),
    [anon_sym_u8_DQUOTE] = ACTIONS(101),
    [anon_sym_DQUOTE] = ACTIONS(101),
    [sym_true] = ACTIONS(175),
    [sym_false] = ACTIONS(175),
    [anon_sym_NULL] = ACTIONS(105),
    [anon_sym_nullptr] = ACTIONS(105),
    [sym_comment] = ACTIONS(3),
  },
  [859] = {
    [sym_identifier] = ACTIONS(2664),
    [anon_sym_subroutine] = ACTIONS(2664),
    [anon_sym_invariant] = ACTIONS(2664),
    [anon_sym_precise] = ACTIONS(2664),
    [anon_sym_in] = ACTIONS(2664),
    [anon_sym_out] = ACTIONS(2664),
    [anon_sym_inout] = ACTIONS(2664),
    [anon_sym_uniform] = ACTIONS(2664),
    [anon_sym_shared] = ACTIONS(2664),
    [anon_sym_attribute] = ACTIONS(2664),
    [anon_sym_varying] = ACTIONS(2664),
    [anon_sym_buffer] = ACTIONS(2664),
    [anon_sym_coherent] = ACTIONS(2664),
    [anon_sym_readonly] = ACTIONS(2664),
    [anon_sym_writeonly] = ACTIONS(2664),
    [anon_sym_precision] = ACTIONS(2664),
    [anon_sym_highp] = ACTIONS(2664),
    [anon_sym_mediump] = ACTIONS(2664),
    [anon_sym_lowp] = ACTIONS(2664),
    [anon_sym_centroid] = ACTIONS(2664),
    [anon_sym_sample] = ACTIONS(2664),
    [anon_sym_patch] = ACTIONS(2664),
    [anon_sym_smooth] = ACTIONS(2664),
    [anon_sym_flat] = ACTIONS(2664),
    [anon_sym_noperspective] = ACTIONS(2664),
    [anon_sym___extension__] = ACTIONS(2664),
    [anon_sym_extern] = ACTIONS(2664),
    [anon_sym___attribute__] = ACTIONS(2664),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2666),
    [anon_sym___declspec] = ACTIONS(2664),
    [anon_sym_signed] = ACTIONS(2664),
    [anon_sym_unsigned] = ACTIONS(2664),
    [anon_sym_long] = ACTIONS(2664),
    [anon_sym_short] = ACTIONS(2664),
    [anon_sym_static] = ACTIONS(2664),
    [anon_sym_auto] = ACTIONS(2664),
    [anon_sym_register] = ACTIONS(2664),
    [anon_sym_inline] = ACTIONS(2664),
    [anon_sym___inline] = ACTIONS(2664),
    [anon_sym___inline__] = ACTIONS(2664),
    [anon_sym___forceinline] = ACTIONS(2664),
    [anon_sym_thread_local] = ACTIONS(2664),
    [anon_sym___thread] = ACTIONS(2664),
    [anon_sym_const] = ACTIONS(2664),
    [anon_sym_constexpr] = ACTIONS(2664),
    [anon_sym_volatile] = ACTIONS(2664),
    [anon_sym_restrict] = ACTIONS(2664),
    [anon_sym___restrict__] = ACTIONS(2664),
    [anon_sym__Atomic] = ACTIONS(2664),
    [anon_sym__Noreturn] = ACTIONS(2664),
    [anon_sym_noreturn] = ACTIONS(2664),
    [sym_primitive_type] = ACTIONS(2664),
    [anon_sym_enum] = ACTIONS(2664),
    [anon_sym_struct] = ACTIONS(2664),
    [anon_sym_union] = ACTIONS(2664),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2664),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2664),
    [anon_sym_hitAttributeEXT] = ACTIONS(2664),
    [anon_sym_callableDataEXT] = ACTIONS(2664),
    [anon_sym_callableDataInEXT] = ACTIONS(2664),
    [anon_sym_shaderRecordEXT] = ACTIONS(2664),
    [anon_sym_rayPayloadNV] = ACTIONS(2664),
    [anon_sym_rayPayloadInNV] = ACTIONS(2664),
    [anon_sym_hitAttributeNV] = ACTIONS(2664),
    [anon_sym_callableDataNV] = ACTIONS(2664),
    [anon_sym_callableDataInNV] = ACTIONS(2664),
    [anon_sym_shaderRecordNV] = ACTIONS(2664),
    [anon_sym_layout] = ACTIONS(2664),
  },
  [860] = {
    [sym_identifier] = ACTIONS(2668),
    [anon_sym_subroutine] = ACTIONS(2668),
    [anon_sym_invariant] = ACTIONS(2668),
    [anon_sym_precise] = ACTIONS(2668),
    [anon_sym_in] = ACTIONS(2668),
    [anon_sym_out] = ACTIONS(2668),
    [anon_sym_inout] = ACTIONS(2668),
    [anon_sym_uniform] = ACTIONS(2668),
    [anon_sym_shared] = ACTIONS(2668),
    [anon_sym_attribute] = ACTIONS(2668),
    [anon_sym_varying] = ACTIONS(2668),
    [anon_sym_buffer] = ACTIONS(2668),
    [anon_sym_coherent] = ACTIONS(2668),
    [anon_sym_readonly] = ACTIONS(2668),
    [anon_sym_writeonly] = ACTIONS(2668),
    [anon_sym_precision] = ACTIONS(2668),
    [anon_sym_highp] = ACTIONS(2668),
    [anon_sym_mediump] = ACTIONS(2668),
    [anon_sym_lowp] = ACTIONS(2668),
    [anon_sym_centroid] = ACTIONS(2668),
    [anon_sym_sample] = ACTIONS(2668),
    [anon_sym_patch] = ACTIONS(2668),
    [anon_sym_smooth] = ACTIONS(2668),
    [anon_sym_flat] = ACTIONS(2668),
    [anon_sym_noperspective] = ACTIONS(2668),
    [anon_sym___extension__] = ACTIONS(2668),
    [anon_sym_extern] = ACTIONS(2668),
    [anon_sym___attribute__] = ACTIONS(2668),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2670),
    [anon_sym___declspec] = ACTIONS(2668),
    [anon_sym_signed] = ACTIONS(2668),
    [anon_sym_unsigned] = ACTIONS(2668),
    [anon_sym_long] = ACTIONS(2668),
    [anon_sym_short] = ACTIONS(2668),
    [anon_sym_static] = ACTIONS(2668),
    [anon_sym_auto] = ACTIONS(2668),
    [anon_sym_register] = ACTIONS(2668),
    [anon_sym_inline] = ACTIONS(2668),
    [anon_sym___inline] = ACTIONS(2668),
    [anon_sym___inline__] = ACTIONS(2668),
    [anon_sym___forceinline] = ACTIONS(2668),
    [anon_sym_thread_local] = ACTIONS(2668),
    [anon_sym___thread] = ACTIONS(2668),
    [anon_sym_const] = ACTIONS(2668),
    [anon_sym_constexpr] = ACTIONS(2668),
    [anon_sym_volatile] = ACTIONS(2668),
    [anon_sym_restrict] = ACTIONS(2668),
    [anon_sym___restrict__] = ACTIONS(2668),
    [anon_sym__Atomic] = ACTIONS(2668),
    [anon_sym__Noreturn] = ACTIONS(2668),
    [anon_sym_noreturn] = ACTIONS(2668),
    [sym_primitive_type] = ACTIONS(2668),
    [anon_sym_enum] = ACTIONS(2668),
    [anon_sym_struct] = ACTIONS(2668),
    [anon_sym_union] = ACTIONS(2668),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2668),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2668),
    [anon_sym_hitAttributeEXT] = ACTIONS(2668),
    [anon_sym_callableDataEXT] = ACTIONS(2668),
    [anon_sym_callableDataInEXT] = ACTIONS(2668),
    [anon_sym_shaderRecordEXT] = ACTIONS(2668),
    [anon_sym_rayPayloadNV] = ACTIONS(2668),
    [anon_sym_rayPayloadInNV] = ACTIONS(2668),
    [anon_sym_hitAttributeNV] = ACTIONS(2668),
    [anon_sym_callableDataNV] = ACTIONS(2668),
    [anon_sym_callableDataInNV] = ACTIONS(2668),
    [anon_sym_shaderRecordNV] = ACTIONS(2668),
    [anon_sym_layout] = ACTIONS(2668),
  },
  [861] = {
    [sym_identifier] = ACTIONS(2672),
    [anon_sym_subroutine] = ACTIONS(2360),
    [anon_sym_invariant] = ACTIONS(2360),
    [anon_sym_precise] = ACTIONS(2360),
    [anon_sym_in] = ACTIONS(2360),
    [anon_sym_out] = ACTIONS(2360),
    [anon_sym_inout] = ACTIONS(2360),
    [anon_sym_uniform] = ACTIONS(2360),
    [anon_sym_shared] = ACTIONS(2360),
    [anon_sym_attribute] = ACTIONS(2360),
    [anon_sym_varying] = ACTIONS(2360),
    [anon_sym_buffer] = ACTIONS(2360),
    [anon_sym_coherent] = ACTIONS(2360),
    [anon_sym_readonly] = ACTIONS(2360),
    [anon_sym_writeonly] = ACTIONS(2360),
    [anon_sym_precision] = ACTIONS(2360),
    [anon_sym_highp] = ACTIONS(2360),
    [anon_sym_mediump] = ACTIONS(2360),
    [anon_sym_lowp] = ACTIONS(2360),
    [anon_sym_centroid] = ACTIONS(2360),
    [anon_sym_sample] = ACTIONS(2360),
    [anon_sym_patch] = ACTIONS(2360),
    [anon_sym_smooth] = ACTIONS(2360),
    [anon_sym_flat] = ACTIONS(2360),
    [anon_sym_noperspective] = ACTIONS(2360),
    [anon_sym___extension__] = ACTIONS(2360),
    [anon_sym_extern] = ACTIONS(2360),
    [anon_sym___attribute__] = ACTIONS(2360),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2662),
    [anon_sym___declspec] = ACTIONS(2360),
    [anon_sym_signed] = ACTIONS(2360),
    [anon_sym_unsigned] = ACTIONS(2360),
    [anon_sym_long] = ACTIONS(2360),
    [anon_sym_short] = ACTIONS(2360),
    [anon_sym_static] = ACTIONS(2360),
    [anon_sym_auto] = ACTIONS(2360),
    [anon_sym_register] = ACTIONS(2360),
    [anon_sym_inline] = ACTIONS(2360),
    [anon_sym___inline] = ACTIONS(2360),
    [anon_sym___inline__] = ACTIONS(2360),
    [anon_sym___forceinline] = ACTIONS(2360),
    [anon_sym_thread_local] = ACTIONS(2360),
    [anon_sym___thread] = ACTIONS(2360),
    [anon_sym_const] = ACTIONS(2360),
    [anon_sym_constexpr] = ACTIONS(2360),
    [anon_sym_volatile] = ACTIONS(2360),
    [anon_sym_restrict] = ACTIONS(2360),
    [anon_sym___restrict__] = ACTIONS(2360),
    [anon_sym__Atomic] = ACTIONS(2360),
    [anon_sym__Noreturn] = ACTIONS(2360),
    [anon_sym_noreturn] = ACTIONS(2360),
    [sym_primitive_type] = ACTIONS(2360),
    [anon_sym_enum] = ACTIONS(2360),
    [anon_sym_struct] = ACTIONS(2360),
    [anon_sym_union] = ACTIONS(2360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2360),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2360),
    [anon_sym_hitAttributeEXT] = ACTIONS(2360),
    [anon_sym_callableDataEXT] = ACTIONS(2360),
    [anon_sym_callableDataInEXT] = ACTIONS(2360),
    [anon_sym_shaderRecordEXT] = ACTIONS(2360),
    [anon_sym_rayPayloadNV] = ACTIONS(2360),
    [anon_sym_rayPayloadInNV] = ACTIONS(2360),
    [anon_sym_hitAttributeNV] = ACTIONS(2360),
    [anon_sym_callableDataNV] = ACTIONS(2360),
    [anon_sym_callableDataInNV] = ACTIONS(2360),
    [anon_sym_shaderRecordNV] = ACTIONS(2360),
    [anon_sym_layout] = ACTIONS(2360),
  },
  [862] = {
    [sym_identifier] = ACTIONS(2675),
    [anon_sym_subroutine] = ACTIONS(2675),
    [anon_sym_invariant] = ACTIONS(2675),
    [anon_sym_precise] = ACTIONS(2675),
    [anon_sym_in] = ACTIONS(2675),
    [anon_sym_out] = ACTIONS(2675),
    [anon_sym_inout] = ACTIONS(2675),
    [anon_sym_uniform] = ACTIONS(2675),
    [anon_sym_shared] = ACTIONS(2675),
    [anon_sym_attribute] = ACTIONS(2675),
    [anon_sym_varying] = ACTIONS(2675),
    [anon_sym_buffer] = ACTIONS(2675),
    [anon_sym_coherent] = ACTIONS(2675),
    [anon_sym_readonly] = ACTIONS(2675),
    [anon_sym_writeonly] = ACTIONS(2675),
    [anon_sym_precision] = ACTIONS(2675),
    [anon_sym_highp] = ACTIONS(2675),
    [anon_sym_mediump] = ACTIONS(2675),
    [anon_sym_lowp] = ACTIONS(2675),
    [anon_sym_centroid] = ACTIONS(2675),
    [anon_sym_sample] = ACTIONS(2675),
    [anon_sym_patch] = ACTIONS(2675),
    [anon_sym_smooth] = ACTIONS(2675),
    [anon_sym_flat] = ACTIONS(2675),
    [anon_sym_noperspective] = ACTIONS(2675),
    [anon_sym___extension__] = ACTIONS(2675),
    [anon_sym_extern] = ACTIONS(2675),
    [anon_sym___attribute__] = ACTIONS(2675),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2677),
    [anon_sym___declspec] = ACTIONS(2675),
    [anon_sym_signed] = ACTIONS(2675),
    [anon_sym_unsigned] = ACTIONS(2675),
    [anon_sym_long] = ACTIONS(2675),
    [anon_sym_short] = ACTIONS(2675),
    [anon_sym_static] = ACTIONS(2675),
    [anon_sym_auto] = ACTIONS(2675),
    [anon_sym_register] = ACTIONS(2675),
    [anon_sym_inline] = ACTIONS(2675),
    [anon_sym___inline] = ACTIONS(2675),
    [anon_sym___inline__] = ACTIONS(2675),
    [anon_sym___forceinline] = ACTIONS(2675),
    [anon_sym_thread_local] = ACTIONS(2675),
    [anon_sym___thread] = ACTIONS(2675),
    [anon_sym_const] = ACTIONS(2675),
    [anon_sym_constexpr] = ACTIONS(2675),
    [anon_sym_volatile] = ACTIONS(2675),
    [anon_sym_restrict] = ACTIONS(2675),
    [anon_sym___restrict__] = ACTIONS(2675),
    [anon_sym__Atomic] = ACTIONS(2675),
    [anon_sym__Noreturn] = ACTIONS(2675),
    [anon_sym_noreturn] = ACTIONS(2675),
    [sym_primitive_type] = ACTIONS(2675),
    [anon_sym_enum] = ACTIONS(2675),
    [anon_sym_struct] = ACTIONS(2675),
    [anon_sym_union] = ACTIONS(2675),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2675),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2675),
    [anon_sym_hitAttributeEXT] = ACTIONS(2675),
    [anon_sym_callableDataEXT] = ACTIONS(2675),
    [anon_sym_callableDataInEXT] = ACTIONS(2675),
    [anon_sym_shaderRecordEXT] = ACTIONS(2675),
    [anon_sym_rayPayloadNV] = ACTIONS(2675),
    [anon_sym_rayPayloadInNV] = ACTIONS(2675),
    [anon_sym_hitAttributeNV] = ACTIONS(2675),
    [anon_sym_callableDataNV] = ACTIONS(2675),
    [anon_sym_callableDataInNV] = ACTIONS(2675),
    [anon_sym_shaderRecordNV] = ACTIONS(2675),
    [anon_sym_layout] = ACTIONS(2675),
  },
  [863] = {
    [sym_identifier] = ACTIONS(2679),
    [anon_sym_subroutine] = ACTIONS(2679),
    [anon_sym_invariant] = ACTIONS(2679),
    [anon_sym_precise] = ACTIONS(2679),
    [anon_sym_in] = ACTIONS(2679),
    [anon_sym_out] = ACTIONS(2679),
    [anon_sym_inout] = ACTIONS(2679),
    [anon_sym_uniform] = ACTIONS(2679),
    [anon_sym_shared] = ACTIONS(2679),
    [anon_sym_attribute] = ACTIONS(2679),
    [anon_sym_varying] = ACTIONS(2679),
    [anon_sym_buffer] = ACTIONS(2679),
    [anon_sym_coherent] = ACTIONS(2679),
    [anon_sym_readonly] = ACTIONS(2679),
    [anon_sym_writeonly] = ACTIONS(2679),
    [anon_sym_precision] = ACTIONS(2679),
    [anon_sym_highp] = ACTIONS(2679),
    [anon_sym_mediump] = ACTIONS(2679),
    [anon_sym_lowp] = ACTIONS(2679),
    [anon_sym_centroid] = ACTIONS(2679),
    [anon_sym_sample] = ACTIONS(2679),
    [anon_sym_patch] = ACTIONS(2679),
    [anon_sym_smooth] = ACTIONS(2679),
    [anon_sym_flat] = ACTIONS(2679),
    [anon_sym_noperspective] = ACTIONS(2679),
    [anon_sym___extension__] = ACTIONS(2679),
    [anon_sym_extern] = ACTIONS(2679),
    [anon_sym___attribute__] = ACTIONS(2679),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2681),
    [anon_sym___declspec] = ACTIONS(2679),
    [anon_sym_signed] = ACTIONS(2679),
    [anon_sym_unsigned] = ACTIONS(2679),
    [anon_sym_long] = ACTIONS(2679),
    [anon_sym_short] = ACTIONS(2679),
    [anon_sym_static] = ACTIONS(2679),
    [anon_sym_auto] = ACTIONS(2679),
    [anon_sym_register] = ACTIONS(2679),
    [anon_sym_inline] = ACTIONS(2679),
    [anon_sym___inline] = ACTIONS(2679),
    [anon_sym___inline__] = ACTIONS(2679),
    [anon_sym___forceinline] = ACTIONS(2679),
    [anon_sym_thread_local] = ACTIONS(2679),
    [anon_sym___thread] = ACTIONS(2679),
    [anon_sym_const] = ACTIONS(2679),
    [anon_sym_constexpr] = ACTIONS(2679),
    [anon_sym_volatile] = ACTIONS(2679),
    [anon_sym_restrict] = ACTIONS(2679),
    [anon_sym___restrict__] = ACTIONS(2679),
    [anon_sym__Atomic] = ACTIONS(2679),
    [anon_sym__Noreturn] = ACTIONS(2679),
    [anon_sym_noreturn] = ACTIONS(2679),
    [sym_primitive_type] = ACTIONS(2679),
    [anon_sym_enum] = ACTIONS(2679),
    [anon_sym_struct] = ACTIONS(2679),
    [anon_sym_union] = ACTIONS(2679),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2679),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2679),
    [anon_sym_hitAttributeEXT] = ACTIONS(2679),
    [anon_sym_callableDataEXT] = ACTIONS(2679),
    [anon_sym_callableDataInEXT] = ACTIONS(2679),
    [anon_sym_shaderRecordEXT] = ACTIONS(2679),
    [anon_sym_rayPayloadNV] = ACTIONS(2679),
    [anon_sym_rayPayloadInNV] = ACTIONS(2679),
    [anon_sym_hitAttributeNV] = ACTIONS(2679),
    [anon_sym_callableDataNV] = ACTIONS(2679),
    [anon_sym_callableDataInNV] = ACTIONS(2679),
    [anon_sym_shaderRecordNV] = ACTIONS(2679),
    [anon_sym_layout] = ACTIONS(2679),
  },
  [864] = {
    [sym_identifier] = ACTIONS(2683),
    [anon_sym_subroutine] = ACTIONS(2360),
    [anon_sym_invariant] = ACTIONS(2360),
    [anon_sym_precise] = ACTIONS(2360),
    [anon_sym_in] = ACTIONS(2360),
    [anon_sym_out] = ACTIONS(2360),
    [anon_sym_inout] = ACTIONS(2360),
    [anon_sym_uniform] = ACTIONS(2360),
    [anon_sym_shared] = ACTIONS(2360),
    [anon_sym_attribute] = ACTIONS(2360),
    [anon_sym_varying] = ACTIONS(2360),
    [anon_sym_buffer] = ACTIONS(2360),
    [anon_sym_coherent] = ACTIONS(2360),
    [anon_sym_readonly] = ACTIONS(2360),
    [anon_sym_writeonly] = ACTIONS(2360),
    [anon_sym_precision] = ACTIONS(2360),
    [anon_sym_highp] = ACTIONS(2360),
    [anon_sym_mediump] = ACTIONS(2360),
    [anon_sym_lowp] = ACTIONS(2360),
    [anon_sym_centroid] = ACTIONS(2360),
    [anon_sym_sample] = ACTIONS(2360),
    [anon_sym_patch] = ACTIONS(2360),
    [anon_sym_smooth] = ACTIONS(2360),
    [anon_sym_flat] = ACTIONS(2360),
    [anon_sym_noperspective] = ACTIONS(2360),
    [anon_sym___extension__] = ACTIONS(2360),
    [anon_sym_extern] = ACTIONS(2360),
    [anon_sym___attribute__] = ACTIONS(2360),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2662),
    [anon_sym___declspec] = ACTIONS(2360),
    [anon_sym_signed] = ACTIONS(2360),
    [anon_sym_unsigned] = ACTIONS(2360),
    [anon_sym_long] = ACTIONS(2360),
    [anon_sym_short] = ACTIONS(2360),
    [anon_sym_static] = ACTIONS(2360),
    [anon_sym_auto] = ACTIONS(2360),
    [anon_sym_register] = ACTIONS(2360),
    [anon_sym_inline] = ACTIONS(2360),
    [anon_sym___inline] = ACTIONS(2360),
    [anon_sym___inline__] = ACTIONS(2360),
    [anon_sym___forceinline] = ACTIONS(2360),
    [anon_sym_thread_local] = ACTIONS(2360),
    [anon_sym___thread] = ACTIONS(2360),
    [anon_sym_const] = ACTIONS(2360),
    [anon_sym_constexpr] = ACTIONS(2360),
    [anon_sym_volatile] = ACTIONS(2360),
    [anon_sym_restrict] = ACTIONS(2360),
    [anon_sym___restrict__] = ACTIONS(2360),
    [anon_sym__Atomic] = ACTIONS(2360),
    [anon_sym__Noreturn] = ACTIONS(2360),
    [anon_sym_noreturn] = ACTIONS(2360),
    [sym_primitive_type] = ACTIONS(2360),
    [anon_sym_enum] = ACTIONS(2360),
    [anon_sym_struct] = ACTIONS(2360),
    [anon_sym_union] = ACTIONS(2360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2360),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2360),
    [anon_sym_hitAttributeEXT] = ACTIONS(2360),
    [anon_sym_callableDataEXT] = ACTIONS(2360),
    [anon_sym_callableDataInEXT] = ACTIONS(2360),
    [anon_sym_shaderRecordEXT] = ACTIONS(2360),
    [anon_sym_rayPayloadNV] = ACTIONS(2360),
    [anon_sym_rayPayloadInNV] = ACTIONS(2360),
    [anon_sym_hitAttributeNV] = ACTIONS(2360),
    [anon_sym_callableDataNV] = ACTIONS(2360),
    [anon_sym_callableDataInNV] = ACTIONS(2360),
    [anon_sym_shaderRecordNV] = ACTIONS(2360),
    [anon_sym_layout] = ACTIONS(2360),
  },
  [865] = {
    [sym_identifier] = ACTIONS(2686),
    [anon_sym_subroutine] = ACTIONS(2360),
    [anon_sym_invariant] = ACTIONS(2360),
    [anon_sym_precise] = ACTIONS(2360),
    [anon_sym_in] = ACTIONS(2360),
    [anon_sym_out] = ACTIONS(2360),
    [anon_sym_inout] = ACTIONS(2360),
    [anon_sym_uniform] = ACTIONS(2360),
    [anon_sym_shared] = ACTIONS(2360),
    [anon_sym_attribute] = ACTIONS(2360),
    [anon_sym_varying] = ACTIONS(2360),
    [anon_sym_buffer] = ACTIONS(2360),
    [anon_sym_coherent] = ACTIONS(2360),
    [anon_sym_readonly] = ACTIONS(2360),
    [anon_sym_writeonly] = ACTIONS(2360),
    [anon_sym_precision] = ACTIONS(2360),
    [anon_sym_highp] = ACTIONS(2360),
    [anon_sym_mediump] = ACTIONS(2360),
    [anon_sym_lowp] = ACTIONS(2360),
    [anon_sym_centroid] = ACTIONS(2360),
    [anon_sym_sample] = ACTIONS(2360),
    [anon_sym_patch] = ACTIONS(2360),
    [anon_sym_smooth] = ACTIONS(2360),
    [anon_sym_flat] = ACTIONS(2360),
    [anon_sym_noperspective] = ACTIONS(2360),
    [anon_sym___extension__] = ACTIONS(2360),
    [anon_sym_extern] = ACTIONS(2360),
    [anon_sym___attribute__] = ACTIONS(2360),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2662),
    [anon_sym___declspec] = ACTIONS(2360),
    [anon_sym_signed] = ACTIONS(2360),
    [anon_sym_unsigned] = ACTIONS(2360),
    [anon_sym_long] = ACTIONS(2360),
    [anon_sym_short] = ACTIONS(2360),
    [anon_sym_static] = ACTIONS(2360),
    [anon_sym_auto] = ACTIONS(2360),
    [anon_sym_register] = ACTIONS(2360),
    [anon_sym_inline] = ACTIONS(2360),
    [anon_sym___inline] = ACTIONS(2360),
    [anon_sym___inline__] = ACTIONS(2360),
    [anon_sym___forceinline] = ACTIONS(2360),
    [anon_sym_thread_local] = ACTIONS(2360),
    [anon_sym___thread] = ACTIONS(2360),
    [anon_sym_const] = ACTIONS(2360),
    [anon_sym_constexpr] = ACTIONS(2360),
    [anon_sym_volatile] = ACTIONS(2360),
    [anon_sym_restrict] = ACTIONS(2360),
    [anon_sym___restrict__] = ACTIONS(2360),
    [anon_sym__Atomic] = ACTIONS(2360),
    [anon_sym__Noreturn] = ACTIONS(2360),
    [anon_sym_noreturn] = ACTIONS(2360),
    [sym_primitive_type] = ACTIONS(2360),
    [anon_sym_enum] = ACTIONS(2360),
    [anon_sym_struct] = ACTIONS(2360),
    [anon_sym_union] = ACTIONS(2360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2360),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2360),
    [anon_sym_hitAttributeEXT] = ACTIONS(2360),
    [anon_sym_callableDataEXT] = ACTIONS(2360),
    [anon_sym_callableDataInEXT] = ACTIONS(2360),
    [anon_sym_shaderRecordEXT] = ACTIONS(2360),
    [anon_sym_rayPayloadNV] = ACTIONS(2360),
    [anon_sym_rayPayloadInNV] = ACTIONS(2360),
    [anon_sym_hitAttributeNV] = ACTIONS(2360),
    [anon_sym_callableDataNV] = ACTIONS(2360),
    [anon_sym_callableDataInNV] = ACTIONS(2360),
    [anon_sym_shaderRecordNV] = ACTIONS(2360),
    [anon_sym_layout] = ACTIONS(2360),
  },
  [866] = {
    [sym_identifier] = ACTIONS(2689),
    [anon_sym_subroutine] = ACTIONS(2360),
    [anon_sym_invariant] = ACTIONS(2360),
    [anon_sym_precise] = ACTIONS(2360),
    [anon_sym_in] = ACTIONS(2360),
    [anon_sym_out] = ACTIONS(2360),
    [anon_sym_inout] = ACTIONS(2360),
    [anon_sym_uniform] = ACTIONS(2360),
    [anon_sym_shared] = ACTIONS(2360),
    [anon_sym_attribute] = ACTIONS(2360),
    [anon_sym_varying] = ACTIONS(2360),
    [anon_sym_buffer] = ACTIONS(2360),
    [anon_sym_coherent] = ACTIONS(2360),
    [anon_sym_readonly] = ACTIONS(2360),
    [anon_sym_writeonly] = ACTIONS(2360),
    [anon_sym_precision] = ACTIONS(2360),
    [anon_sym_highp] = ACTIONS(2360),
    [anon_sym_mediump] = ACTIONS(2360),
    [anon_sym_lowp] = ACTIONS(2360),
    [anon_sym_centroid] = ACTIONS(2360),
    [anon_sym_sample] = ACTIONS(2360),
    [anon_sym_patch] = ACTIONS(2360),
    [anon_sym_smooth] = ACTIONS(2360),
    [anon_sym_flat] = ACTIONS(2360),
    [anon_sym_noperspective] = ACTIONS(2360),
    [anon_sym___extension__] = ACTIONS(2360),
    [anon_sym_extern] = ACTIONS(2360),
    [anon_sym___attribute__] = ACTIONS(2360),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2662),
    [anon_sym___declspec] = ACTIONS(2360),
    [anon_sym_signed] = ACTIONS(2360),
    [anon_sym_unsigned] = ACTIONS(2360),
    [anon_sym_long] = ACTIONS(2360),
    [anon_sym_short] = ACTIONS(2360),
    [anon_sym_static] = ACTIONS(2360),
    [anon_sym_auto] = ACTIONS(2360),
    [anon_sym_register] = ACTIONS(2360),
    [anon_sym_inline] = ACTIONS(2360),
    [anon_sym___inline] = ACTIONS(2360),
    [anon_sym___inline__] = ACTIONS(2360),
    [anon_sym___forceinline] = ACTIONS(2360),
    [anon_sym_thread_local] = ACTIONS(2360),
    [anon_sym___thread] = ACTIONS(2360),
    [anon_sym_const] = ACTIONS(2360),
    [anon_sym_constexpr] = ACTIONS(2360),
    [anon_sym_volatile] = ACTIONS(2360),
    [anon_sym_restrict] = ACTIONS(2360),
    [anon_sym___restrict__] = ACTIONS(2360),
    [anon_sym__Atomic] = ACTIONS(2360),
    [anon_sym__Noreturn] = ACTIONS(2360),
    [anon_sym_noreturn] = ACTIONS(2360),
    [sym_primitive_type] = ACTIONS(2360),
    [anon_sym_enum] = ACTIONS(2360),
    [anon_sym_struct] = ACTIONS(2360),
    [anon_sym_union] = ACTIONS(2360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2360),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2360),
    [anon_sym_hitAttributeEXT] = ACTIONS(2360),
    [anon_sym_callableDataEXT] = ACTIONS(2360),
    [anon_sym_callableDataInEXT] = ACTIONS(2360),
    [anon_sym_shaderRecordEXT] = ACTIONS(2360),
    [anon_sym_rayPayloadNV] = ACTIONS(2360),
    [anon_sym_rayPayloadInNV] = ACTIONS(2360),
    [anon_sym_hitAttributeNV] = ACTIONS(2360),
    [anon_sym_callableDataNV] = ACTIONS(2360),
    [anon_sym_callableDataInNV] = ACTIONS(2360),
    [anon_sym_shaderRecordNV] = ACTIONS(2360),
    [anon_sym_layout] = ACTIONS(2360),
  },
  [867] = {
    [sym_identifier] = ACTIONS(2692),
    [anon_sym_subroutine] = ACTIONS(2360),
    [anon_sym_invariant] = ACTIONS(2360),
    [anon_sym_precise] = ACTIONS(2360),
    [anon_sym_in] = ACTIONS(2360),
    [anon_sym_out] = ACTIONS(2360),
    [anon_sym_inout] = ACTIONS(2360),
    [anon_sym_uniform] = ACTIONS(2360),
    [anon_sym_shared] = ACTIONS(2360),
    [anon_sym_attribute] = ACTIONS(2360),
    [anon_sym_varying] = ACTIONS(2360),
    [anon_sym_buffer] = ACTIONS(2360),
    [anon_sym_coherent] = ACTIONS(2360),
    [anon_sym_readonly] = ACTIONS(2360),
    [anon_sym_writeonly] = ACTIONS(2360),
    [anon_sym_precision] = ACTIONS(2360),
    [anon_sym_highp] = ACTIONS(2360),
    [anon_sym_mediump] = ACTIONS(2360),
    [anon_sym_lowp] = ACTIONS(2360),
    [anon_sym_centroid] = ACTIONS(2360),
    [anon_sym_sample] = ACTIONS(2360),
    [anon_sym_patch] = ACTIONS(2360),
    [anon_sym_smooth] = ACTIONS(2360),
    [anon_sym_flat] = ACTIONS(2360),
    [anon_sym_noperspective] = ACTIONS(2360),
    [anon_sym___extension__] = ACTIONS(2360),
    [anon_sym_extern] = ACTIONS(2360),
    [anon_sym___attribute__] = ACTIONS(2360),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2662),
    [anon_sym___declspec] = ACTIONS(2360),
    [anon_sym_signed] = ACTIONS(2360),
    [anon_sym_unsigned] = ACTIONS(2360),
    [anon_sym_long] = ACTIONS(2360),
    [anon_sym_short] = ACTIONS(2360),
    [anon_sym_static] = ACTIONS(2360),
    [anon_sym_auto] = ACTIONS(2360),
    [anon_sym_register] = ACTIONS(2360),
    [anon_sym_inline] = ACTIONS(2360),
    [anon_sym___inline] = ACTIONS(2360),
    [anon_sym___inline__] = ACTIONS(2360),
    [anon_sym___forceinline] = ACTIONS(2360),
    [anon_sym_thread_local] = ACTIONS(2360),
    [anon_sym___thread] = ACTIONS(2360),
    [anon_sym_const] = ACTIONS(2360),
    [anon_sym_constexpr] = ACTIONS(2360),
    [anon_sym_volatile] = ACTIONS(2360),
    [anon_sym_restrict] = ACTIONS(2360),
    [anon_sym___restrict__] = ACTIONS(2360),
    [anon_sym__Atomic] = ACTIONS(2360),
    [anon_sym__Noreturn] = ACTIONS(2360),
    [anon_sym_noreturn] = ACTIONS(2360),
    [sym_primitive_type] = ACTIONS(2360),
    [anon_sym_enum] = ACTIONS(2360),
    [anon_sym_struct] = ACTIONS(2360),
    [anon_sym_union] = ACTIONS(2360),
    [sym_comment] = ACTIONS(3),
    [anon_sym_rayPayloadEXT] = ACTIONS(2360),
    [anon_sym_rayPayloadInEXT] = ACTIONS(2360),
    [anon_sym_hitAttributeEXT] = ACTIONS(2360),
    [anon_sym_callableDataEXT] = ACTIONS(2360),
    [anon_sym_callableDataInEXT] = ACTIONS(2360),
    [anon_sym_shaderRecordEXT] = ACTIONS(2360),
    [anon_sym_rayPayloadNV] = ACTIONS(2360),
    [anon_sym_rayPayloadInNV] = ACTIONS(2360),
    [anon_sym_hitAttributeNV] = ACTIONS(2360),
    [anon_sym_callableDataNV] = ACTIONS(2360),
    [anon_sym_callableDataInNV] = ACTIONS(2360),
    [anon_sym_shaderRecordNV] = ACTIONS(2360),
    [anon_sym_layout] = ACTIONS(2360),
  },
  [868] = {
    [sym__declaration_modifiers] = STATE(1192),
    [sym__declaration_specifiers] = STATE(1622),
    [sym_attribute_specifier] = STATE(1192),
    [sym_attribute_declaration] = STATE(1192),
    [sym_ms_declspec_modifier] = STATE(1192),
    [sym_storage_class_specifier] = STATE(1192),
    [sym_type_qualifier] = STATE(1192),
    [sym__type_specifier] = STATE(1216),
    [sym_sized_type_specifier] = STATE(1281),
    [sym_enum_specifier] = STATE(1281),
    [sym_struct_specifier] = STATE(1281),
    [sym_union_specifier] = STATE(1281),
    [sym_macro_type_specifier] = STATE(1281),
    [sym_layout_specification] = STATE(1103),
    [aux_sym__declaration_specifiers_repeat1] = STATE(1192),
    [aux_sym_sized_type_specifier_repeat1] = STATE(1295),
    [aux_sym_parameter_declaration_repeat1] = STATE(1103),
    [sym_identifier] = ACTIONS(1739),
    [anon_sym_precise] = ACTIONS(2695),
    [anon_sym_in] = ACTIONS(2695),
    [anon_sym_out] = ACTIONS(2695),
    [anon_sym_inout] = ACTIONS(2695),
    [anon_sym_uniform] = ACTIONS(2695),
    [anon_sym_shared] = ACTIONS(2695),
    [anon_sym_attribute] = ACTIONS(2695),
    [anon_sym_varying] = ACTIONS(2695),
    [anon_sym_buffer] = ACTIONS(2695),
    [anon_sym_coherent] = ACTIONS(2695),
    [anon_sym_readonly] = ACTIONS(2695),
    [anon_sym_writeonly] = ACTIONS(2695),
    [anon_sym_centroid] = ACTIONS(2695),
    [anon_sym_sample] = ACTIONS(2695),
    [anon_sym_patch] = ACTIONS(2695),
    [anon_sym_smooth] = ACTIONS(2695),
    [anon_sym_flat] = ACTIONS(2695),
    [anon_sym_noperspective] = ACTIONS(2695),
    [anon_sym___extension__] = ACTIONS(53),
    [anon_sym_extern] = ACTIONS(51),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1421),
    [anon_sym___declspec] = ACTIONS(43),
    [anon_sym_signed] = ACTIONS(49),
    [anon_sym_unsigned] = ACTIONS(49),
    [anon_sym_long] = ACTIONS(49),
    [anon_sym_short] = ACTIONS(49),
    [anon_sym_static] = ACTIONS(51),
    [anon_sym_auto] = ACTIONS(51),
    [anon_sym_register] = ACTIONS(51),
    [anon_sym_inline] = ACTIONS(51),
    [anon_sym___inline] = ACTIONS(51),
    [anon_sym___inline__] = ACTIONS(51),
    [anon_sym___forceinline] = ACTIONS(51),
    [anon_sym_thread_local] = ACTIONS(51),
    [anon_sym___thread] = ACTIONS(51),
    [anon_sym_const] = ACTIONS(53),
    [anon_sym_constexpr] = ACTIONS(53),
    [anon_sym_volatile] = ACTIONS(53),
    [anon_sym_restrict] = ACTIONS(53),
    [anon_sym___restrict__] = ACTIONS(53),
    [anon_sym__Atomic] = ACTIONS(53),
    [anon_sym__Noreturn] = ACTIONS(53),
    [anon_sym_noreturn] = ACTIONS(53),
    [sym_primitive_type] = ACTIONS(55),
    [anon_sym_enum] = ACTIONS(57),
    [anon_sym_struct] = ACTIONS(59),
    [anon_sym_union] = ACTIONS(61),
    [sym_comment] = ACTIONS(3),
    [anon_sym_layout] = ACTIONS(1994),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(47), 1,
      anon_sym_LBRACE,
    ACTIONS(87), 1,
      anon_sym_sizeof,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2438), 1,
      sym_identifier,
    ACTIONS(2697), 1,
      anon_sym_RPAREN,
    ACTIONS(2699), 1,
      anon_sym___extension__,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1470), 1,
      sym__expression,
    STATE(2296), 1,
      sym_compound_statement,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1283), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [115] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(47), 1,
      anon_sym_LBRACE,
    ACTIONS(87), 1,
      anon_sym_sizeof,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2438), 1,
      sym_identifier,
    ACTIONS(2701), 1,
      anon_sym_RPAREN,
    ACTIONS(2703), 1,
      anon_sym___extension__,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1462), 1,
      sym__expression,
    STATE(2378), 1,
      sym_compound_statement,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1283), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [230] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(47), 1,
      anon_sym_LBRACE,
    ACTIONS(87), 1,
      anon_sym_sizeof,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2438), 1,
      sym_identifier,
    ACTIONS(2705), 1,
      anon_sym___extension__,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1504), 1,
      sym__expression,
    STATE(2516), 1,
      sym_compound_statement,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1283), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [342] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(87), 1,
      anon_sym_sizeof,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2438), 1,
      sym_identifier,
    ACTIONS(2707), 1,
      anon_sym_COLON,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1497), 1,
      sym__expression,
    STATE(2833), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1283), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [451] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(1958), 1,
      sym_identifier,
    ACTIONS(1968), 1,
      anon_sym_LBRACE,
    ACTIONS(1970), 1,
      anon_sym_sizeof,
    ACTIONS(2709), 1,
      anon_sym_LPAREN2,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1114), 1,
      sym_initializer_list,
    STATE(1133), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(1962), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1964), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2711), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1115), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [558] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(87), 1,
      anon_sym_sizeof,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2438), 1,
      sym_identifier,
    ACTIONS(2713), 1,
      anon_sym_SEMI,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1514), 1,
      sym__expression,
    STATE(2809), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1283), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [667] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(87), 1,
      anon_sym_sizeof,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(1968), 1,
      anon_sym_LBRACE,
    ACTIONS(2438), 1,
      sym_identifier,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1499), 1,
      sym__expression,
    STATE(2550), 1,
      sym_initializer_list,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1283), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [776] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(87), 1,
      anon_sym_sizeof,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2438), 1,
      sym_identifier,
    ACTIONS(2715), 1,
      anon_sym_SEMI,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1531), 1,
      sym__expression,
    STATE(2841), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1283), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [885] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(87), 1,
      anon_sym_sizeof,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2438), 1,
      sym_identifier,
    ACTIONS(2717), 1,
      anon_sym_RPAREN,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1529), 1,
      sym__expression,
    STATE(2791), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1283), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [994] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(87), 1,
      anon_sym_sizeof,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(1968), 1,
      anon_sym_LBRACE,
    ACTIONS(2438), 1,
      sym_identifier,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1114), 1,
      sym_initializer_list,
    STATE(1133), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1283), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1103] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(87), 1,
      anon_sym_sizeof,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2438), 1,
      sym_identifier,
    ACTIONS(2719), 1,
      anon_sym_RPAREN,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1535), 1,
      sym__expression,
    STATE(2736), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1283), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1212] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(1968), 1,
      anon_sym_LBRACE,
    ACTIONS(2484), 1,
      sym_identifier,
    ACTIONS(2490), 1,
      anon_sym_sizeof,
    ACTIONS(2576), 1,
      anon_sym_LPAREN2,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1114), 1,
      sym_initializer_list,
    STATE(1359), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(2486), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2488), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2580), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2586), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1363), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1321] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(87), 1,
      anon_sym_sizeof,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2438), 1,
      sym_identifier,
    ACTIONS(2721), 1,
      anon_sym_SEMI,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1515), 1,
      sym__expression,
    STATE(2614), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1283), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1430] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2327), 1,
      anon_sym_LBRACE,
    ACTIONS(2329), 1,
      anon_sym_sizeof,
    ACTIONS(2333), 1,
      anon_sym_offsetof,
    ACTIONS(2335), 1,
      anon_sym__Generic,
    ACTIONS(2339), 1,
      sym_number_literal,
    ACTIONS(2723), 1,
      sym_identifier,
    ACTIONS(2725), 1,
      anon_sym_LPAREN2,
    STATE(1149), 1,
      sym_string_literal,
    STATE(1290), 1,
      sym__expression,
    STATE(1301), 1,
      sym_initializer_list,
    ACTIONS(2323), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2325), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2337), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(2345), 2,
      sym_true,
      sym_false,
    ACTIONS(2347), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(2727), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2729), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2331), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(2341), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2343), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1322), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1537] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(87), 1,
      anon_sym_sizeof,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2438), 1,
      sym_identifier,
    ACTIONS(2731), 1,
      anon_sym_SEMI,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1483), 1,
      sym__expression,
    STATE(2901), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1283), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1646] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(87), 1,
      anon_sym_sizeof,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2438), 1,
      sym_identifier,
    ACTIONS(2733), 1,
      anon_sym_COLON,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1491), 1,
      sym__expression,
    STATE(2593), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1283), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1755] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(87), 1,
      anon_sym_sizeof,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2438), 1,
      sym_identifier,
    ACTIONS(2735), 1,
      anon_sym_RPAREN,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1528), 1,
      sym__expression,
    STATE(2790), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1283), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1864] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(87), 1,
      anon_sym_sizeof,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2438), 1,
      sym_identifier,
    ACTIONS(2737), 1,
      anon_sym_COLON,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1473), 1,
      sym__expression,
    STATE(2874), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1283), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [1973] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(87), 1,
      anon_sym_sizeof,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2438), 1,
      sym_identifier,
    ACTIONS(2739), 1,
      anon_sym_SEMI,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1526), 1,
      sym__expression,
    STATE(2772), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1283), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2082] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(87), 1,
      anon_sym_sizeof,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2438), 1,
      sym_identifier,
    ACTIONS(2741), 1,
      anon_sym_SEMI,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1505), 1,
      sym__expression,
    STATE(2842), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1283), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2191] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(1958), 1,
      sym_identifier,
    ACTIONS(1968), 1,
      anon_sym_LBRACE,
    ACTIONS(2353), 1,
      anon_sym_sizeof,
    ACTIONS(2743), 1,
      anon_sym_LPAREN2,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1114), 1,
      sym_initializer_list,
    STATE(1359), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(2349), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2351), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2580), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2745), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1115), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2298] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(87), 1,
      anon_sym_sizeof,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2438), 1,
      sym_identifier,
    ACTIONS(2747), 1,
      anon_sym_COLON,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1538), 1,
      sym__expression,
    STATE(2875), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1283), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2407] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(87), 1,
      anon_sym_sizeof,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2438), 1,
      sym_identifier,
    ACTIONS(2749), 1,
      anon_sym_COLON,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1493), 1,
      sym__expression,
    STATE(2816), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1283), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2516] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(87), 1,
      anon_sym_sizeof,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2438), 1,
      sym_identifier,
    ACTIONS(2751), 1,
      anon_sym_RPAREN,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1534), 1,
      sym__expression,
    STATE(2739), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1283), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2625] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2327), 1,
      anon_sym_LBRACE,
    ACTIONS(2333), 1,
      anon_sym_offsetof,
    ACTIONS(2335), 1,
      anon_sym__Generic,
    ACTIONS(2339), 1,
      sym_number_literal,
    ACTIONS(2444), 1,
      anon_sym_sizeof,
    ACTIONS(2753), 1,
      sym_identifier,
    ACTIONS(2755), 1,
      anon_sym_LPAREN2,
    STATE(1149), 1,
      sym_string_literal,
    STATE(1290), 1,
      sym__expression,
    STATE(1301), 1,
      sym_initializer_list,
    ACTIONS(2337), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(2345), 2,
      sym_true,
      sym_false,
    ACTIONS(2347), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(2440), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2442), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2727), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2757), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2331), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(2341), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2343), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1313), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1322), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2734] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(87), 1,
      anon_sym_sizeof,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2438), 1,
      sym_identifier,
    ACTIONS(2759), 1,
      anon_sym_SEMI,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1523), 1,
      sym__expression,
    STATE(2789), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1283), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2843] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(87), 1,
      anon_sym_sizeof,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2438), 1,
      sym_identifier,
    ACTIONS(2761), 1,
      anon_sym_COLON,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1511), 1,
      sym__expression,
    STATE(2631), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1283), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [2952] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(87), 1,
      anon_sym_sizeof,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(1968), 1,
      anon_sym_LBRACE,
    ACTIONS(2438), 1,
      sym_identifier,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1539), 1,
      sym__expression,
    STATE(2497), 1,
      sym_initializer_list,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1283), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3061] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(87), 1,
      anon_sym_sizeof,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2438), 1,
      sym_identifier,
    ACTIONS(2763), 1,
      anon_sym_COLON,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1474), 1,
      sym__expression,
    STATE(2642), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1283), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3170] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(87), 1,
      anon_sym_sizeof,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2438), 1,
      sym_identifier,
    ACTIONS(2765), 1,
      anon_sym_SEMI,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1513), 1,
      sym__expression,
    STATE(2589), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1283), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3279] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(87), 1,
      anon_sym_sizeof,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(1968), 1,
      anon_sym_LBRACE,
    ACTIONS(2438), 1,
      sym_identifier,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1537), 1,
      sym__expression,
    STATE(2491), 1,
      sym_initializer_list,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1283), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3388] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(87), 1,
      anon_sym_sizeof,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2438), 1,
      sym_identifier,
    ACTIONS(2767), 1,
      anon_sym_RPAREN,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1501), 1,
      sym__expression,
    STATE(2706), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1283), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3497] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(87), 1,
      anon_sym_sizeof,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2438), 1,
      sym_identifier,
    ACTIONS(2769), 1,
      anon_sym_COLON,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1512), 1,
      sym__expression,
    STATE(2755), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1283), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3606] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(1968), 1,
      anon_sym_LBRACE,
    ACTIONS(2432), 1,
      anon_sym_sizeof,
    ACTIONS(2771), 1,
      sym_identifier,
    ACTIONS(2773), 1,
      anon_sym_LPAREN2,
    STATE(1114), 1,
      sym_initializer_list,
    STATE(1133), 1,
      sym__expression,
    STATE(1136), 1,
      sym_string_literal,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(2428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2430), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2775), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2777), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1218), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3715] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(1958), 1,
      sym_identifier,
    ACTIONS(1968), 1,
      anon_sym_LBRACE,
    ACTIONS(1976), 1,
      anon_sym_sizeof,
    ACTIONS(2779), 1,
      anon_sym_LPAREN2,
    STATE(1114), 1,
      sym_initializer_list,
    STATE(1133), 1,
      sym__expression,
    STATE(1136), 1,
      sym_string_literal,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(1972), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1974), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2775), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2781), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1115), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3822] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(87), 1,
      anon_sym_sizeof,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2438), 1,
      sym_identifier,
    ACTIONS(2783), 1,
      anon_sym_RPAREN,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1536), 1,
      sym__expression,
    STATE(2735), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1283), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [3931] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(1958), 1,
      sym_identifier,
    ACTIONS(2353), 1,
      anon_sym_sizeof,
    ACTIONS(2743), 1,
      anon_sym_LPAREN2,
    ACTIONS(2785), 1,
      anon_sym_RBRACK,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1360), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(2349), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2351), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2580), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2745), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1115), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4035] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(87), 1,
      anon_sym_sizeof,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2438), 1,
      sym_identifier,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1453), 1,
      sym__expression,
    STATE(2355), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1283), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4141] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(1958), 1,
      sym_identifier,
    ACTIONS(2353), 1,
      anon_sym_sizeof,
    ACTIONS(2743), 1,
      anon_sym_LPAREN2,
    ACTIONS(2787), 1,
      anon_sym_RBRACK,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1360), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(2349), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2351), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2580), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2745), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1115), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4245] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(87), 1,
      anon_sym_sizeof,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2438), 1,
      sym_identifier,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1521), 1,
      sym__expression,
    STATE(2604), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1283), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4351] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(1958), 1,
      sym_identifier,
    ACTIONS(2353), 1,
      anon_sym_sizeof,
    ACTIONS(2743), 1,
      anon_sym_LPAREN2,
    ACTIONS(2789), 1,
      anon_sym_RBRACK,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1360), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(2349), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2351), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2580), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2745), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1115), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4455] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(1958), 1,
      sym_identifier,
    ACTIONS(2353), 1,
      anon_sym_sizeof,
    ACTIONS(2743), 1,
      anon_sym_LPAREN2,
    ACTIONS(2791), 1,
      anon_sym_RBRACK,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1360), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(2349), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2351), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2580), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2745), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1115), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4559] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(1958), 1,
      sym_identifier,
    ACTIONS(2353), 1,
      anon_sym_sizeof,
    ACTIONS(2743), 1,
      anon_sym_LPAREN2,
    ACTIONS(2793), 1,
      anon_sym_RBRACK,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1360), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(2349), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2351), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2580), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2745), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1115), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4663] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(1958), 1,
      sym_identifier,
    ACTIONS(2353), 1,
      anon_sym_sizeof,
    ACTIONS(2743), 1,
      anon_sym_LPAREN2,
    ACTIONS(2795), 1,
      anon_sym_RBRACK,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1360), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(2349), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2351), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2580), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2745), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1115), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4767] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(1958), 1,
      sym_identifier,
    ACTIONS(2353), 1,
      anon_sym_sizeof,
    ACTIONS(2743), 1,
      anon_sym_LPAREN2,
    ACTIONS(2797), 1,
      anon_sym_RBRACK,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1360), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(2349), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2351), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2580), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2745), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1115), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4871] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(87), 1,
      anon_sym_sizeof,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2438), 1,
      sym_identifier,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1509), 1,
      sym__expression,
    STATE(2596), 1,
      sym_comma_expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1283), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [4977] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(1958), 1,
      sym_identifier,
    ACTIONS(2353), 1,
      anon_sym_sizeof,
    ACTIONS(2743), 1,
      anon_sym_LPAREN2,
    ACTIONS(2799), 1,
      anon_sym_RBRACK,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1360), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(2349), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2351), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2580), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2745), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1115), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5081] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(1958), 1,
      sym_identifier,
    ACTIONS(2353), 1,
      anon_sym_sizeof,
    ACTIONS(2743), 1,
      anon_sym_LPAREN2,
    ACTIONS(2801), 1,
      anon_sym_RBRACK,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1360), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(2349), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2351), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2580), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2745), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1115), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5185] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(1958), 1,
      sym_identifier,
    ACTIONS(2353), 1,
      anon_sym_sizeof,
    ACTIONS(2743), 1,
      anon_sym_LPAREN2,
    ACTIONS(2803), 1,
      anon_sym_RBRACK,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1360), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(2349), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2351), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2580), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2745), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1115), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5289] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(87), 1,
      anon_sym_sizeof,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2438), 1,
      sym_identifier,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1561), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1283), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5392] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(87), 1,
      anon_sym_sizeof,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2438), 1,
      sym_identifier,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1465), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1283), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5495] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(87), 1,
      anon_sym_sizeof,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2438), 1,
      sym_identifier,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1544), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1283), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5598] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(87), 1,
      anon_sym_sizeof,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2438), 1,
      sym_identifier,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1425), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1283), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5701] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2484), 1,
      sym_identifier,
    ACTIONS(2490), 1,
      anon_sym_sizeof,
    ACTIONS(2576), 1,
      anon_sym_LPAREN2,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1358), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(2486), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2488), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2580), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2586), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1363), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5804] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(1958), 1,
      sym_identifier,
    ACTIONS(2353), 1,
      anon_sym_sizeof,
    ACTIONS(2743), 1,
      anon_sym_LPAREN2,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1337), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(2349), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2351), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2580), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2745), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1115), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [5905] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_offsetof,
    ACTIONS(2335), 1,
      anon_sym__Generic,
    ACTIONS(2339), 1,
      sym_number_literal,
    ACTIONS(2444), 1,
      anon_sym_sizeof,
    ACTIONS(2753), 1,
      sym_identifier,
    ACTIONS(2755), 1,
      anon_sym_LPAREN2,
    STATE(1149), 1,
      sym_string_literal,
    STATE(1437), 1,
      sym__expression,
    ACTIONS(2337), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(2345), 2,
      sym_true,
      sym_false,
    ACTIONS(2347), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(2440), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2442), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2727), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2757), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2331), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(2341), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2343), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1313), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1322), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6008] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(1958), 1,
      sym_identifier,
    ACTIONS(1976), 1,
      anon_sym_sizeof,
    ACTIONS(2779), 1,
      anon_sym_LPAREN2,
    STATE(1136), 1,
      sym_string_literal,
    STATE(1205), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(1972), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1974), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2775), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2781), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1115), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6109] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2329), 1,
      anon_sym_sizeof,
    ACTIONS(2333), 1,
      anon_sym_offsetof,
    ACTIONS(2335), 1,
      anon_sym__Generic,
    ACTIONS(2339), 1,
      sym_number_literal,
    ACTIONS(2723), 1,
      sym_identifier,
    ACTIONS(2725), 1,
      anon_sym_LPAREN2,
    STATE(1149), 1,
      sym_string_literal,
    STATE(1289), 1,
      sym__expression,
    ACTIONS(2323), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2325), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2337), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(2345), 2,
      sym_true,
      sym_false,
    ACTIONS(2347), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(2727), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2729), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2331), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(2341), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2343), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1322), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6210] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(1958), 1,
      sym_identifier,
    ACTIONS(1970), 1,
      anon_sym_sizeof,
    ACTIONS(2709), 1,
      anon_sym_LPAREN2,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1209), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(1962), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1964), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2711), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1115), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6311] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(1958), 1,
      sym_identifier,
    ACTIONS(2353), 1,
      anon_sym_sizeof,
    ACTIONS(2743), 1,
      anon_sym_LPAREN2,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1358), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(2349), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2351), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2580), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2745), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1115), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6412] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(1958), 1,
      sym_identifier,
    ACTIONS(2353), 1,
      anon_sym_sizeof,
    ACTIONS(2743), 1,
      anon_sym_LPAREN2,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1360), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(2349), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2351), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2580), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2745), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1115), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6513] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2484), 1,
      sym_identifier,
    ACTIONS(2490), 1,
      anon_sym_sizeof,
    ACTIONS(2576), 1,
      anon_sym_LPAREN2,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1543), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(2486), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2488), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2580), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2586), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1363), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6616] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2329), 1,
      anon_sym_sizeof,
    ACTIONS(2333), 1,
      anon_sym_offsetof,
    ACTIONS(2335), 1,
      anon_sym__Generic,
    ACTIONS(2339), 1,
      sym_number_literal,
    ACTIONS(2723), 1,
      sym_identifier,
    ACTIONS(2725), 1,
      anon_sym_LPAREN2,
    STATE(1149), 1,
      sym_string_literal,
    STATE(1262), 1,
      sym__expression,
    ACTIONS(2323), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2325), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2337), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(2345), 2,
      sym_true,
      sym_false,
    ACTIONS(2347), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(2727), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2729), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2331), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(2341), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2343), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1322), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6717] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(1958), 1,
      sym_identifier,
    ACTIONS(1970), 1,
      anon_sym_sizeof,
    ACTIONS(2709), 1,
      anon_sym_LPAREN2,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1219), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(1962), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1964), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2711), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1115), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6818] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(1958), 1,
      sym_identifier,
    ACTIONS(1970), 1,
      anon_sym_sizeof,
    ACTIONS(2709), 1,
      anon_sym_LPAREN2,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1223), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(1962), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1964), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2711), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1115), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [6919] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(1958), 1,
      sym_identifier,
    ACTIONS(1970), 1,
      anon_sym_sizeof,
    ACTIONS(2709), 1,
      anon_sym_LPAREN2,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1225), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(1962), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1964), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2711), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1115), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7020] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(1958), 1,
      sym_identifier,
    ACTIONS(1970), 1,
      anon_sym_sizeof,
    ACTIONS(2709), 1,
      anon_sym_LPAREN2,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1210), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(1962), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1964), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2711), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1115), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7121] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(1958), 1,
      sym_identifier,
    ACTIONS(2353), 1,
      anon_sym_sizeof,
    ACTIONS(2743), 1,
      anon_sym_LPAREN2,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1343), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(2349), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2351), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2580), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2745), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1115), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7222] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2329), 1,
      anon_sym_sizeof,
    ACTIONS(2333), 1,
      anon_sym_offsetof,
    ACTIONS(2335), 1,
      anon_sym__Generic,
    ACTIONS(2339), 1,
      sym_number_literal,
    ACTIONS(2723), 1,
      sym_identifier,
    ACTIONS(2725), 1,
      anon_sym_LPAREN2,
    STATE(1149), 1,
      sym_string_literal,
    STATE(1266), 1,
      sym__expression,
    ACTIONS(2323), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2325), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2337), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(2345), 2,
      sym_true,
      sym_false,
    ACTIONS(2347), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(2727), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2729), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2331), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(2341), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2343), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1322), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7323] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(87), 1,
      anon_sym_sizeof,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2438), 1,
      sym_identifier,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1519), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1283), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7426] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(1958), 1,
      sym_identifier,
    ACTIONS(1970), 1,
      anon_sym_sizeof,
    ACTIONS(2709), 1,
      anon_sym_LPAREN2,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1228), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(1962), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1964), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2711), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1115), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7527] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(1958), 1,
      sym_identifier,
    ACTIONS(2353), 1,
      anon_sym_sizeof,
    ACTIONS(2743), 1,
      anon_sym_LPAREN2,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1349), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(2349), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2351), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2580), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2745), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1115), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7628] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2329), 1,
      anon_sym_sizeof,
    ACTIONS(2333), 1,
      anon_sym_offsetof,
    ACTIONS(2335), 1,
      anon_sym__Generic,
    ACTIONS(2339), 1,
      sym_number_literal,
    ACTIONS(2723), 1,
      sym_identifier,
    ACTIONS(2725), 1,
      anon_sym_LPAREN2,
    STATE(1149), 1,
      sym_string_literal,
    STATE(1242), 1,
      sym__expression,
    ACTIONS(2323), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2325), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2337), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(2345), 2,
      sym_true,
      sym_false,
    ACTIONS(2347), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(2727), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2729), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2331), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(2341), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2343), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1322), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7729] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(1958), 1,
      sym_identifier,
    ACTIONS(1970), 1,
      anon_sym_sizeof,
    ACTIONS(2709), 1,
      anon_sym_LPAREN2,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1229), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(1962), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1964), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2711), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1115), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7830] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(1958), 1,
      sym_identifier,
    ACTIONS(1976), 1,
      anon_sym_sizeof,
    ACTIONS(2779), 1,
      anon_sym_LPAREN2,
    STATE(1134), 1,
      sym__expression,
    STATE(1136), 1,
      sym_string_literal,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(1972), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1974), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2775), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2781), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1115), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [7931] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(1958), 1,
      sym_identifier,
    ACTIONS(1976), 1,
      anon_sym_sizeof,
    ACTIONS(2779), 1,
      anon_sym_LPAREN2,
    STATE(1136), 1,
      sym_string_literal,
    STATE(1197), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(1972), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1974), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2775), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2781), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1115), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8032] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2484), 1,
      sym_identifier,
    ACTIONS(2490), 1,
      anon_sym_sizeof,
    ACTIONS(2576), 1,
      anon_sym_LPAREN2,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1343), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(2486), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2488), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2580), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2586), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1363), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8135] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(1958), 1,
      sym_identifier,
    ACTIONS(1970), 1,
      anon_sym_sizeof,
    ACTIONS(2709), 1,
      anon_sym_LPAREN2,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1231), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(1962), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1964), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2711), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1115), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8236] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(1958), 1,
      sym_identifier,
    ACTIONS(1976), 1,
      anon_sym_sizeof,
    ACTIONS(2779), 1,
      anon_sym_LPAREN2,
    STATE(1136), 1,
      sym_string_literal,
    STATE(1198), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(1972), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1974), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2775), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2781), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1115), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8337] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(1958), 1,
      sym_identifier,
    ACTIONS(1970), 1,
      anon_sym_sizeof,
    ACTIONS(2709), 1,
      anon_sym_LPAREN2,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1235), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(1962), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1964), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2711), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1115), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8438] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_offsetof,
    ACTIONS(2335), 1,
      anon_sym__Generic,
    ACTIONS(2339), 1,
      sym_number_literal,
    ACTIONS(2444), 1,
      anon_sym_sizeof,
    ACTIONS(2753), 1,
      sym_identifier,
    ACTIONS(2755), 1,
      anon_sym_LPAREN2,
    STATE(1149), 1,
      sym_string_literal,
    STATE(1289), 1,
      sym__expression,
    ACTIONS(2337), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(2345), 2,
      sym_true,
      sym_false,
    ACTIONS(2347), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(2440), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2442), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2727), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2757), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2331), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(2341), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2343), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1313), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1322), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8541] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(1958), 1,
      sym_identifier,
    ACTIONS(1970), 1,
      anon_sym_sizeof,
    ACTIONS(2709), 1,
      anon_sym_LPAREN2,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1134), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(1962), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1964), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2711), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1115), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8642] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(87), 1,
      anon_sym_sizeof,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2438), 1,
      sym_identifier,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1468), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1283), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8745] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(87), 1,
      anon_sym_sizeof,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2438), 1,
      sym_identifier,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1464), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1283), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8848] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(1958), 1,
      sym_identifier,
    ACTIONS(1976), 1,
      anon_sym_sizeof,
    ACTIONS(2779), 1,
      anon_sym_LPAREN2,
    STATE(1136), 1,
      sym_string_literal,
    STATE(1200), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(1972), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1974), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2775), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2781), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1115), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [8949] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(1958), 1,
      sym_identifier,
    ACTIONS(1976), 1,
      anon_sym_sizeof,
    ACTIONS(2779), 1,
      anon_sym_LPAREN2,
    STATE(1136), 1,
      sym_string_literal,
    STATE(1202), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(1972), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1974), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2775), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2781), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1115), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9050] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(1958), 1,
      sym_identifier,
    ACTIONS(1976), 1,
      anon_sym_sizeof,
    ACTIONS(2779), 1,
      anon_sym_LPAREN2,
    STATE(1136), 1,
      sym_string_literal,
    STATE(1203), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(1972), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1974), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2775), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2781), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1115), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9151] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(1958), 1,
      sym_identifier,
    ACTIONS(2353), 1,
      anon_sym_sizeof,
    ACTIONS(2805), 1,
      anon_sym_LPAREN2,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1361), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(2349), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2351), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2580), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2745), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1115), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9252] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(1958), 1,
      sym_identifier,
    ACTIONS(1976), 1,
      anon_sym_sizeof,
    ACTIONS(2779), 1,
      anon_sym_LPAREN2,
    STATE(1136), 1,
      sym_string_literal,
    STATE(1193), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(1972), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1974), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2775), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2781), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1115), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9353] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2484), 1,
      sym_identifier,
    ACTIONS(2490), 1,
      anon_sym_sizeof,
    ACTIONS(2807), 1,
      anon_sym_LPAREN2,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1361), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(2486), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2488), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2580), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2586), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1363), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9456] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(1958), 1,
      sym_identifier,
    ACTIONS(1970), 1,
      anon_sym_sizeof,
    ACTIONS(2709), 1,
      anon_sym_LPAREN2,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1237), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(1962), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1964), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2711), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1115), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9557] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2329), 1,
      anon_sym_sizeof,
    ACTIONS(2333), 1,
      anon_sym_offsetof,
    ACTIONS(2335), 1,
      anon_sym__Generic,
    ACTIONS(2339), 1,
      sym_number_literal,
    ACTIONS(2723), 1,
      sym_identifier,
    ACTIONS(2725), 1,
      anon_sym_LPAREN2,
    STATE(1149), 1,
      sym_string_literal,
    STATE(1261), 1,
      sym__expression,
    ACTIONS(2323), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2325), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2337), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(2345), 2,
      sym_true,
      sym_false,
    ACTIONS(2347), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(2727), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2729), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2331), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(2341), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2343), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1322), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9658] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_offsetof,
    ACTIONS(2335), 1,
      anon_sym__Generic,
    ACTIONS(2339), 1,
      sym_number_literal,
    ACTIONS(2444), 1,
      anon_sym_sizeof,
    ACTIONS(2753), 1,
      sym_identifier,
    ACTIONS(2755), 1,
      anon_sym_LPAREN2,
    STATE(1149), 1,
      sym_string_literal,
    STATE(1435), 1,
      sym__expression,
    ACTIONS(2337), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(2345), 2,
      sym_true,
      sym_false,
    ACTIONS(2347), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(2440), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2442), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2727), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2757), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2331), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(2341), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2343), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1313), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1322), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9761] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(87), 1,
      anon_sym_sizeof,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2438), 1,
      sym_identifier,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1423), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1283), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9864] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(1958), 1,
      sym_identifier,
    ACTIONS(1970), 1,
      anon_sym_sizeof,
    ACTIONS(2709), 1,
      anon_sym_LPAREN2,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1137), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(1962), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1964), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2711), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1115), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [9965] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(1958), 1,
      sym_identifier,
    ACTIONS(1976), 1,
      anon_sym_sizeof,
    ACTIONS(2779), 1,
      anon_sym_LPAREN2,
    STATE(1136), 1,
      sym_string_literal,
    STATE(1138), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(1972), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1974), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2775), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2781), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1115), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10066] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(87), 1,
      anon_sym_sizeof,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2438), 1,
      sym_identifier,
    ACTIONS(2809), 1,
      anon_sym_LPAREN2,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1130), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1283), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10169] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2329), 1,
      anon_sym_sizeof,
    ACTIONS(2333), 1,
      anon_sym_offsetof,
    ACTIONS(2335), 1,
      anon_sym__Generic,
    ACTIONS(2339), 1,
      sym_number_literal,
    ACTIONS(2723), 1,
      sym_identifier,
    ACTIONS(2725), 1,
      anon_sym_LPAREN2,
    STATE(1149), 1,
      sym_string_literal,
    STATE(1264), 1,
      sym__expression,
    ACTIONS(2323), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2325), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2337), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(2345), 2,
      sym_true,
      sym_false,
    ACTIONS(2347), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(2727), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2729), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2331), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(2341), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2343), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1322), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10270] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2329), 1,
      anon_sym_sizeof,
    ACTIONS(2333), 1,
      anon_sym_offsetof,
    ACTIONS(2335), 1,
      anon_sym__Generic,
    ACTIONS(2339), 1,
      sym_number_literal,
    ACTIONS(2723), 1,
      sym_identifier,
    ACTIONS(2725), 1,
      anon_sym_LPAREN2,
    STATE(1149), 1,
      sym_string_literal,
    STATE(1244), 1,
      sym__expression,
    ACTIONS(2323), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2325), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2337), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(2345), 2,
      sym_true,
      sym_false,
    ACTIONS(2347), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(2727), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2729), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2331), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(2341), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2343), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1322), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10371] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2329), 1,
      anon_sym_sizeof,
    ACTIONS(2333), 1,
      anon_sym_offsetof,
    ACTIONS(2335), 1,
      anon_sym__Generic,
    ACTIONS(2339), 1,
      sym_number_literal,
    ACTIONS(2723), 1,
      sym_identifier,
    ACTIONS(2725), 1,
      anon_sym_LPAREN2,
    STATE(1149), 1,
      sym_string_literal,
    STATE(1267), 1,
      sym__expression,
    ACTIONS(2323), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2325), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2337), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(2345), 2,
      sym_true,
      sym_false,
    ACTIONS(2347), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(2727), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2729), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2331), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(2341), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2343), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1322), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10472] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_offsetof,
    ACTIONS(2335), 1,
      anon_sym__Generic,
    ACTIONS(2339), 1,
      sym_number_literal,
    ACTIONS(2444), 1,
      anon_sym_sizeof,
    ACTIONS(2753), 1,
      sym_identifier,
    ACTIONS(2755), 1,
      anon_sym_LPAREN2,
    STATE(1149), 1,
      sym_string_literal,
    STATE(1271), 1,
      sym__expression,
    ACTIONS(2337), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(2345), 2,
      sym_true,
      sym_false,
    ACTIONS(2347), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(2440), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2442), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2727), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2757), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2331), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(2341), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2343), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1313), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1322), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10575] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(1958), 1,
      sym_identifier,
    ACTIONS(1976), 1,
      anon_sym_sizeof,
    ACTIONS(2779), 1,
      anon_sym_LPAREN2,
    STATE(1136), 1,
      sym_string_literal,
    STATE(1204), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(1972), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1974), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2775), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2781), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1115), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10676] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2329), 1,
      anon_sym_sizeof,
    ACTIONS(2333), 1,
      anon_sym_offsetof,
    ACTIONS(2335), 1,
      anon_sym__Generic,
    ACTIONS(2339), 1,
      sym_number_literal,
    ACTIONS(2723), 1,
      sym_identifier,
    ACTIONS(2725), 1,
      anon_sym_LPAREN2,
    STATE(1149), 1,
      sym_string_literal,
    STATE(1250), 1,
      sym__expression,
    ACTIONS(2323), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2325), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2337), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(2345), 2,
      sym_true,
      sym_false,
    ACTIONS(2347), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(2727), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2729), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2331), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(2341), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2343), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1322), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10777] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(1958), 1,
      sym_identifier,
    ACTIONS(1970), 1,
      anon_sym_sizeof,
    ACTIONS(2709), 1,
      anon_sym_LPAREN2,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1131), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(1962), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1964), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2711), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1115), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10878] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(1958), 1,
      sym_identifier,
    ACTIONS(1970), 1,
      anon_sym_sizeof,
    ACTIONS(2811), 1,
      anon_sym_LPAREN2,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1130), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(1962), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1964), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2711), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1115), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [10979] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2432), 1,
      anon_sym_sizeof,
    ACTIONS(2771), 1,
      sym_identifier,
    ACTIONS(2773), 1,
      anon_sym_LPAREN2,
    STATE(1136), 1,
      sym_string_literal,
    STATE(1137), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(2428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2430), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2775), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2777), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1218), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11082] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2329), 1,
      anon_sym_sizeof,
    ACTIONS(2333), 1,
      anon_sym_offsetof,
    ACTIONS(2335), 1,
      anon_sym__Generic,
    ACTIONS(2339), 1,
      sym_number_literal,
    ACTIONS(2723), 1,
      sym_identifier,
    ACTIONS(2725), 1,
      anon_sym_LPAREN2,
    STATE(1149), 1,
      sym_string_literal,
    STATE(1286), 1,
      sym__expression,
    ACTIONS(2323), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2325), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2337), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(2345), 2,
      sym_true,
      sym_false,
    ACTIONS(2347), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(2727), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2729), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2331), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(2341), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2343), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1322), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11183] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2329), 1,
      anon_sym_sizeof,
    ACTIONS(2333), 1,
      anon_sym_offsetof,
    ACTIONS(2335), 1,
      anon_sym__Generic,
    ACTIONS(2339), 1,
      sym_number_literal,
    ACTIONS(2723), 1,
      sym_identifier,
    ACTIONS(2725), 1,
      anon_sym_LPAREN2,
    STATE(1149), 1,
      sym_string_literal,
    STATE(1241), 1,
      sym__expression,
    ACTIONS(2323), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2325), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2337), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(2345), 2,
      sym_true,
      sym_false,
    ACTIONS(2347), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(2727), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2729), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2331), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(2341), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2343), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1322), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11284] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(87), 1,
      anon_sym_sizeof,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2438), 1,
      sym_identifier,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1564), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1283), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11387] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(87), 1,
      anon_sym_sizeof,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2438), 1,
      sym_identifier,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1418), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1283), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11490] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_offsetof,
    ACTIONS(2335), 1,
      anon_sym__Generic,
    ACTIONS(2339), 1,
      sym_number_literal,
    ACTIONS(2444), 1,
      anon_sym_sizeof,
    ACTIONS(2753), 1,
      sym_identifier,
    ACTIONS(2755), 1,
      anon_sym_LPAREN2,
    STATE(1149), 1,
      sym_string_literal,
    STATE(1432), 1,
      sym__expression,
    ACTIONS(2337), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(2345), 2,
      sym_true,
      sym_false,
    ACTIONS(2347), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(2440), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2442), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2727), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2757), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2331), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(2341), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2343), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1313), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1322), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11593] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_offsetof,
    ACTIONS(2335), 1,
      anon_sym__Generic,
    ACTIONS(2339), 1,
      sym_number_literal,
    ACTIONS(2444), 1,
      anon_sym_sizeof,
    ACTIONS(2753), 1,
      sym_identifier,
    ACTIONS(2755), 1,
      anon_sym_LPAREN2,
    STATE(1149), 1,
      sym_string_literal,
    STATE(1436), 1,
      sym__expression,
    ACTIONS(2337), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(2345), 2,
      sym_true,
      sym_false,
    ACTIONS(2347), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(2440), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2442), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2727), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2757), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2331), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(2341), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2343), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1313), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1322), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11696] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2329), 1,
      anon_sym_sizeof,
    ACTIONS(2333), 1,
      anon_sym_offsetof,
    ACTIONS(2335), 1,
      anon_sym__Generic,
    ACTIONS(2339), 1,
      sym_number_literal,
    ACTIONS(2723), 1,
      sym_identifier,
    ACTIONS(2725), 1,
      anon_sym_LPAREN2,
    STATE(1149), 1,
      sym_string_literal,
    STATE(1277), 1,
      sym__expression,
    ACTIONS(2323), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2325), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2337), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(2345), 2,
      sym_true,
      sym_false,
    ACTIONS(2347), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(2727), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2729), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2331), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(2341), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2343), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1322), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11797] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(1958), 1,
      sym_identifier,
    ACTIONS(2353), 1,
      anon_sym_sizeof,
    ACTIONS(2743), 1,
      anon_sym_LPAREN2,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1334), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(2349), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2351), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2580), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2745), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1115), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11898] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(1958), 1,
      sym_identifier,
    ACTIONS(1976), 1,
      anon_sym_sizeof,
    ACTIONS(2779), 1,
      anon_sym_LPAREN2,
    STATE(1136), 1,
      sym_string_literal,
    STATE(1206), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(1972), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1974), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2775), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2781), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1115), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [11999] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(1958), 1,
      sym_identifier,
    ACTIONS(2353), 1,
      anon_sym_sizeof,
    ACTIONS(2743), 1,
      anon_sym_LPAREN2,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1347), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(2349), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2351), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2580), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2745), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1115), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12100] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(1958), 1,
      sym_identifier,
    ACTIONS(1976), 1,
      anon_sym_sizeof,
    ACTIONS(2779), 1,
      anon_sym_LPAREN2,
    STATE(1136), 1,
      sym_string_literal,
    STATE(1201), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(1972), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1974), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2775), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2781), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1115), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12201] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(87), 1,
      anon_sym_sizeof,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2438), 1,
      sym_identifier,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1430), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1283), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12304] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(87), 1,
      anon_sym_sizeof,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2438), 1,
      sym_identifier,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1131), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1283), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12407] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(87), 1,
      anon_sym_sizeof,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2438), 1,
      sym_identifier,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1552), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1283), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12510] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2484), 1,
      sym_identifier,
    ACTIONS(2490), 1,
      anon_sym_sizeof,
    ACTIONS(2576), 1,
      anon_sym_LPAREN2,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1548), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(2486), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2488), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2580), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2586), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1363), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12613] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2432), 1,
      anon_sym_sizeof,
    ACTIONS(2771), 1,
      sym_identifier,
    ACTIONS(2773), 1,
      anon_sym_LPAREN2,
    STATE(1131), 1,
      sym__expression,
    STATE(1136), 1,
      sym_string_literal,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(2428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2430), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2775), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2777), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1218), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12716] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_offsetof,
    ACTIONS(2335), 1,
      anon_sym__Generic,
    ACTIONS(2339), 1,
      sym_number_literal,
    ACTIONS(2444), 1,
      anon_sym_sizeof,
    ACTIONS(2753), 1,
      sym_identifier,
    ACTIONS(2813), 1,
      anon_sym_LPAREN2,
    STATE(1149), 1,
      sym_string_literal,
    STATE(1272), 1,
      sym__expression,
    ACTIONS(2337), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(2345), 2,
      sym_true,
      sym_false,
    ACTIONS(2347), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(2440), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2442), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2727), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2757), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2331), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(2341), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2343), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1313), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1322), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12819] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2432), 1,
      anon_sym_sizeof,
    ACTIONS(2771), 1,
      sym_identifier,
    ACTIONS(2815), 1,
      anon_sym_LPAREN2,
    STATE(1130), 1,
      sym__expression,
    STATE(1136), 1,
      sym_string_literal,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(2428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2430), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2775), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2777), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1218), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [12922] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_offsetof,
    ACTIONS(2335), 1,
      anon_sym__Generic,
    ACTIONS(2339), 1,
      sym_number_literal,
    ACTIONS(2444), 1,
      anon_sym_sizeof,
    ACTIONS(2753), 1,
      sym_identifier,
    ACTIONS(2755), 1,
      anon_sym_LPAREN2,
    STATE(1149), 1,
      sym_string_literal,
    STATE(1438), 1,
      sym__expression,
    ACTIONS(2337), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(2345), 2,
      sym_true,
      sym_false,
    ACTIONS(2347), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(2440), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2442), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2727), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2757), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2331), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(2341), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2343), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1313), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1322), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13025] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_offsetof,
    ACTIONS(2335), 1,
      anon_sym__Generic,
    ACTIONS(2339), 1,
      sym_number_literal,
    ACTIONS(2444), 1,
      anon_sym_sizeof,
    ACTIONS(2753), 1,
      sym_identifier,
    ACTIONS(2755), 1,
      anon_sym_LPAREN2,
    STATE(1149), 1,
      sym_string_literal,
    STATE(1267), 1,
      sym__expression,
    ACTIONS(2337), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(2345), 2,
      sym_true,
      sym_false,
    ACTIONS(2347), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(2440), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2442), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2727), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2757), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2331), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(2341), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2343), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1313), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1322), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13128] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2484), 1,
      sym_identifier,
    ACTIONS(2490), 1,
      anon_sym_sizeof,
    ACTIONS(2576), 1,
      anon_sym_LPAREN2,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1481), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(2486), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2488), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2580), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2586), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1363), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13231] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2484), 1,
      sym_identifier,
    ACTIONS(2490), 1,
      anon_sym_sizeof,
    ACTIONS(2576), 1,
      anon_sym_LPAREN2,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1482), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(2486), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2488), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2580), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2586), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1363), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13334] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2484), 1,
      sym_identifier,
    ACTIONS(2490), 1,
      anon_sym_sizeof,
    ACTIONS(2576), 1,
      anon_sym_LPAREN2,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1508), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(2486), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2488), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2580), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2586), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1363), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13437] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(87), 1,
      anon_sym_sizeof,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2438), 1,
      sym_identifier,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1546), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1283), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13540] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_offsetof,
    ACTIONS(2335), 1,
      anon_sym__Generic,
    ACTIONS(2339), 1,
      sym_number_literal,
    ACTIONS(2444), 1,
      anon_sym_sizeof,
    ACTIONS(2753), 1,
      sym_identifier,
    ACTIONS(2755), 1,
      anon_sym_LPAREN2,
    STATE(1149), 1,
      sym_string_literal,
    STATE(1440), 1,
      sym__expression,
    ACTIONS(2337), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(2345), 2,
      sym_true,
      sym_false,
    ACTIONS(2347), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(2440), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2442), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2727), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2757), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2331), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(2341), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2343), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1313), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1322), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13643] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(87), 1,
      anon_sym_sizeof,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2438), 1,
      sym_identifier,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1540), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1283), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13746] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2484), 1,
      sym_identifier,
    ACTIONS(2490), 1,
      anon_sym_sizeof,
    ACTIONS(2576), 1,
      anon_sym_LPAREN2,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1484), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(2486), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2488), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2580), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2586), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1363), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13849] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_offsetof,
    ACTIONS(2335), 1,
      anon_sym__Generic,
    ACTIONS(2339), 1,
      sym_number_literal,
    ACTIONS(2444), 1,
      anon_sym_sizeof,
    ACTIONS(2753), 1,
      sym_identifier,
    ACTIONS(2755), 1,
      anon_sym_LPAREN2,
    STATE(1149), 1,
      sym_string_literal,
    STATE(1431), 1,
      sym__expression,
    ACTIONS(2337), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(2345), 2,
      sym_true,
      sym_false,
    ACTIONS(2347), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(2440), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2442), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2727), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2757), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2331), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(2341), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2343), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1313), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1322), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [13952] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2329), 1,
      anon_sym_sizeof,
    ACTIONS(2333), 1,
      anon_sym_offsetof,
    ACTIONS(2335), 1,
      anon_sym__Generic,
    ACTIONS(2339), 1,
      sym_number_literal,
    ACTIONS(2723), 1,
      sym_identifier,
    ACTIONS(2725), 1,
      anon_sym_LPAREN2,
    STATE(1149), 1,
      sym_string_literal,
    STATE(1271), 1,
      sym__expression,
    ACTIONS(2323), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2325), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2337), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(2345), 2,
      sym_true,
      sym_false,
    ACTIONS(2347), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(2727), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2729), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2331), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(2341), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2343), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1322), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14053] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_offsetof,
    ACTIONS(2335), 1,
      anon_sym__Generic,
    ACTIONS(2339), 1,
      sym_number_literal,
    ACTIONS(2444), 1,
      anon_sym_sizeof,
    ACTIONS(2753), 1,
      sym_identifier,
    ACTIONS(2755), 1,
      anon_sym_LPAREN2,
    STATE(1149), 1,
      sym_string_literal,
    STATE(1441), 1,
      sym__expression,
    ACTIONS(2337), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(2345), 2,
      sym_true,
      sym_false,
    ACTIONS(2347), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(2440), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2442), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2727), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2757), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2331), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(2341), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2343), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1313), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1322), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14156] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(1958), 1,
      sym_identifier,
    ACTIONS(1976), 1,
      anon_sym_sizeof,
    ACTIONS(2817), 1,
      anon_sym_LPAREN2,
    STATE(1130), 1,
      sym__expression,
    STATE(1136), 1,
      sym_string_literal,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(1972), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1974), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2775), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2781), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1115), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14257] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_offsetof,
    ACTIONS(2335), 1,
      anon_sym__Generic,
    ACTIONS(2339), 1,
      sym_number_literal,
    ACTIONS(2444), 1,
      anon_sym_sizeof,
    ACTIONS(2753), 1,
      sym_identifier,
    ACTIONS(2755), 1,
      anon_sym_LPAREN2,
    STATE(1149), 1,
      sym_string_literal,
    STATE(1442), 1,
      sym__expression,
    ACTIONS(2337), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(2345), 2,
      sym_true,
      sym_false,
    ACTIONS(2347), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(2440), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2442), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2727), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2757), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2331), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(2341), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2343), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1313), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1322), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14360] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(1958), 1,
      sym_identifier,
    ACTIONS(1976), 1,
      anon_sym_sizeof,
    ACTIONS(2779), 1,
      anon_sym_LPAREN2,
    STATE(1131), 1,
      sym__expression,
    STATE(1136), 1,
      sym_string_literal,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(1972), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1974), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2775), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2781), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1115), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14461] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2484), 1,
      sym_identifier,
    ACTIONS(2490), 1,
      anon_sym_sizeof,
    ACTIONS(2576), 1,
      anon_sym_LPAREN2,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1485), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(2486), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2488), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2580), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2586), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1363), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14564] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(1958), 1,
      sym_identifier,
    ACTIONS(1976), 1,
      anon_sym_sizeof,
    ACTIONS(2779), 1,
      anon_sym_LPAREN2,
    STATE(1136), 1,
      sym_string_literal,
    STATE(1196), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(1972), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1974), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2775), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2781), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1115), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14665] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2329), 1,
      anon_sym_sizeof,
    ACTIONS(2333), 1,
      anon_sym_offsetof,
    ACTIONS(2335), 1,
      anon_sym__Generic,
    ACTIONS(2339), 1,
      sym_number_literal,
    ACTIONS(2723), 1,
      sym_identifier,
    ACTIONS(2819), 1,
      anon_sym_LPAREN2,
    STATE(1149), 1,
      sym_string_literal,
    STATE(1272), 1,
      sym__expression,
    ACTIONS(2323), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2325), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2337), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(2345), 2,
      sym_true,
      sym_false,
    ACTIONS(2347), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(2727), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2729), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2331), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(2341), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2343), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1322), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14766] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_offsetof,
    ACTIONS(2335), 1,
      anon_sym__Generic,
    ACTIONS(2339), 1,
      sym_number_literal,
    ACTIONS(2444), 1,
      anon_sym_sizeof,
    ACTIONS(2753), 1,
      sym_identifier,
    ACTIONS(2755), 1,
      anon_sym_LPAREN2,
    STATE(1149), 1,
      sym_string_literal,
    STATE(1443), 1,
      sym__expression,
    ACTIONS(2337), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(2345), 2,
      sym_true,
      sym_false,
    ACTIONS(2347), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(2440), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2442), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2727), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2757), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2331), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(2341), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2343), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1313), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1322), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14869] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2484), 1,
      sym_identifier,
    ACTIONS(2490), 1,
      anon_sym_sizeof,
    ACTIONS(2576), 1,
      anon_sym_LPAREN2,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1486), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(2486), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2488), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2580), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2586), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1363), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [14972] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2432), 1,
      anon_sym_sizeof,
    ACTIONS(2771), 1,
      sym_identifier,
    ACTIONS(2773), 1,
      anon_sym_LPAREN2,
    STATE(1136), 1,
      sym_string_literal,
    STATE(1402), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(2428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2430), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2775), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2777), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1218), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15075] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(1958), 1,
      sym_identifier,
    ACTIONS(1976), 1,
      anon_sym_sizeof,
    ACTIONS(2779), 1,
      anon_sym_LPAREN2,
    STATE(1136), 1,
      sym_string_literal,
    STATE(1137), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(1972), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1974), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2775), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2781), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1115), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15176] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(87), 1,
      anon_sym_sizeof,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2438), 1,
      sym_identifier,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1560), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1283), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15279] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2484), 1,
      sym_identifier,
    ACTIONS(2490), 1,
      anon_sym_sizeof,
    ACTIONS(2576), 1,
      anon_sym_LPAREN2,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1495), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(2486), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2488), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2580), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2586), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1363), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15382] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(1958), 1,
      sym_identifier,
    ACTIONS(2353), 1,
      anon_sym_sizeof,
    ACTIONS(2743), 1,
      anon_sym_LPAREN2,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1336), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(2349), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2351), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2580), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2745), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1115), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15483] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(87), 1,
      anon_sym_sizeof,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2438), 1,
      sym_identifier,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1558), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1283), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15586] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2484), 1,
      sym_identifier,
    ACTIONS(2490), 1,
      anon_sym_sizeof,
    ACTIONS(2576), 1,
      anon_sym_LPAREN2,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1487), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(2486), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2488), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2580), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2586), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1363), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15689] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2484), 1,
      sym_identifier,
    ACTIONS(2490), 1,
      anon_sym_sizeof,
    ACTIONS(2576), 1,
      anon_sym_LPAREN2,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1488), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(2486), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2488), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2580), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2586), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1363), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15792] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_offsetof,
    ACTIONS(2335), 1,
      anon_sym__Generic,
    ACTIONS(2339), 1,
      sym_number_literal,
    ACTIONS(2444), 1,
      anon_sym_sizeof,
    ACTIONS(2753), 1,
      sym_identifier,
    ACTIONS(2755), 1,
      anon_sym_LPAREN2,
    STATE(1149), 1,
      sym_string_literal,
    STATE(1444), 1,
      sym__expression,
    ACTIONS(2337), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(2345), 2,
      sym_true,
      sym_false,
    ACTIONS(2347), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(2440), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2442), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2727), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2757), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2331), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(2341), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2343), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1313), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1322), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15895] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2484), 1,
      sym_identifier,
    ACTIONS(2490), 1,
      anon_sym_sizeof,
    ACTIONS(2576), 1,
      anon_sym_LPAREN2,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1489), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(2486), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2488), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2580), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2586), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1363), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [15998] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_offsetof,
    ACTIONS(2335), 1,
      anon_sym__Generic,
    ACTIONS(2339), 1,
      sym_number_literal,
    ACTIONS(2444), 1,
      anon_sym_sizeof,
    ACTIONS(2753), 1,
      sym_identifier,
    ACTIONS(2755), 1,
      anon_sym_LPAREN2,
    STATE(1149), 1,
      sym_string_literal,
    STATE(1446), 1,
      sym__expression,
    ACTIONS(2337), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(2345), 2,
      sym_true,
      sym_false,
    ACTIONS(2347), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(2440), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2442), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2727), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2757), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2331), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(2341), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2343), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1313), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1322), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16101] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2484), 1,
      sym_identifier,
    ACTIONS(2490), 1,
      anon_sym_sizeof,
    ACTIONS(2576), 1,
      anon_sym_LPAREN2,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1570), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(2486), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2488), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2580), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2586), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1363), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16204] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(87), 1,
      anon_sym_sizeof,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2438), 1,
      sym_identifier,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1427), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1283), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16307] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2333), 1,
      anon_sym_offsetof,
    ACTIONS(2335), 1,
      anon_sym__Generic,
    ACTIONS(2339), 1,
      sym_number_literal,
    ACTIONS(2444), 1,
      anon_sym_sizeof,
    ACTIONS(2753), 1,
      sym_identifier,
    ACTIONS(2755), 1,
      anon_sym_LPAREN2,
    STATE(1149), 1,
      sym_string_literal,
    STATE(1447), 1,
      sym__expression,
    ACTIONS(2337), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(2345), 2,
      sym_true,
      sym_false,
    ACTIONS(2347), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(2440), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2442), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2727), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2757), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2331), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(2341), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2343), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1313), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1322), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16410] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(87), 1,
      anon_sym_sizeof,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2438), 1,
      sym_identifier,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1545), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1283), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16513] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2484), 1,
      sym_identifier,
    ACTIONS(2490), 1,
      anon_sym_sizeof,
    ACTIONS(2576), 1,
      anon_sym_LPAREN2,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1347), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(2486), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2488), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2580), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2586), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1363), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16616] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(1958), 1,
      sym_identifier,
    ACTIONS(1970), 1,
      anon_sym_sizeof,
    ACTIONS(2709), 1,
      anon_sym_LPAREN2,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1138), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(1962), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1964), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2711), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1115), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16717] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2484), 1,
      sym_identifier,
    ACTIONS(2490), 1,
      anon_sym_sizeof,
    ACTIONS(2576), 1,
      anon_sym_LPAREN2,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1500), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(2486), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2488), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2580), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2586), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1363), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16820] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(1958), 1,
      sym_identifier,
    ACTIONS(2353), 1,
      anon_sym_sizeof,
    ACTIONS(2743), 1,
      anon_sym_LPAREN2,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1351), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(2349), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2351), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2580), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2745), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1115), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [16921] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(87), 1,
      anon_sym_sizeof,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2438), 1,
      sym_identifier,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1137), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1283), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17024] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(87), 1,
      anon_sym_sizeof,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2438), 1,
      sym_identifier,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1469), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1283), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17127] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(1958), 1,
      sym_identifier,
    ACTIONS(2353), 1,
      anon_sym_sizeof,
    ACTIONS(2743), 1,
      anon_sym_LPAREN2,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1335), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(2349), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2351), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2580), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2745), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1115), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17228] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2484), 1,
      sym_identifier,
    ACTIONS(2490), 1,
      anon_sym_sizeof,
    ACTIONS(2576), 1,
      anon_sym_LPAREN2,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1490), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(2486), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2488), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2580), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2586), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1363), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17331] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(87), 1,
      anon_sym_sizeof,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2438), 1,
      sym_identifier,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1429), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1283), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17434] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2432), 1,
      anon_sym_sizeof,
    ACTIONS(2771), 1,
      sym_identifier,
    ACTIONS(2773), 1,
      anon_sym_LPAREN2,
    STATE(1136), 1,
      sym_string_literal,
    STATE(1403), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(2428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2430), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2775), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2777), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1218), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17537] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(87), 1,
      anon_sym_sizeof,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2438), 1,
      sym_identifier,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1472), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1283), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17640] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2432), 1,
      anon_sym_sizeof,
    ACTIONS(2771), 1,
      sym_identifier,
    ACTIONS(2773), 1,
      anon_sym_LPAREN2,
    STATE(1136), 1,
      sym_string_literal,
    STATE(1409), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(2428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2430), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2775), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2777), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1218), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17743] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(87), 1,
      anon_sym_sizeof,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2438), 1,
      sym_identifier,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1426), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1283), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17846] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(1958), 1,
      sym_identifier,
    ACTIONS(2353), 1,
      anon_sym_sizeof,
    ACTIONS(2743), 1,
      anon_sym_LPAREN2,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1340), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(2349), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2351), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2580), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2745), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1115), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [17947] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2329), 1,
      anon_sym_sizeof,
    ACTIONS(2333), 1,
      anon_sym_offsetof,
    ACTIONS(2335), 1,
      anon_sym__Generic,
    ACTIONS(2339), 1,
      sym_number_literal,
    ACTIONS(2723), 1,
      sym_identifier,
    ACTIONS(2725), 1,
      anon_sym_LPAREN2,
    STATE(1149), 1,
      sym_string_literal,
    STATE(1275), 1,
      sym__expression,
    ACTIONS(2323), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2325), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2337), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(2345), 2,
      sym_true,
      sym_false,
    ACTIONS(2347), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(2727), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2729), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2331), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(2341), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2343), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1322), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [18048] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(1958), 1,
      sym_identifier,
    ACTIONS(1970), 1,
      anon_sym_sizeof,
    ACTIONS(2709), 1,
      anon_sym_LPAREN2,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1234), 1,
      sym__expression,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(1962), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(1964), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2711), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1115), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [18149] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(1958), 1,
      sym_identifier,
    ACTIONS(2353), 1,
      anon_sym_sizeof,
    ACTIONS(2743), 1,
      anon_sym_LPAREN2,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1339), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(2349), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2351), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2580), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2745), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1115), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [18250] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2432), 1,
      anon_sym_sizeof,
    ACTIONS(2771), 1,
      sym_identifier,
    ACTIONS(2773), 1,
      anon_sym_LPAREN2,
    STATE(1136), 1,
      sym_string_literal,
    STATE(1404), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(2428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2430), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2775), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2777), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1218), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [18353] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(87), 1,
      anon_sym_sizeof,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2438), 1,
      sym_identifier,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1422), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1283), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [18456] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(87), 1,
      anon_sym_sizeof,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2438), 1,
      sym_identifier,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1569), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1283), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [18559] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2329), 1,
      anon_sym_sizeof,
    ACTIONS(2333), 1,
      anon_sym_offsetof,
    ACTIONS(2335), 1,
      anon_sym__Generic,
    ACTIONS(2339), 1,
      sym_number_literal,
    ACTIONS(2723), 1,
      sym_identifier,
    ACTIONS(2725), 1,
      anon_sym_LPAREN2,
    STATE(1149), 1,
      sym_string_literal,
    STATE(1268), 1,
      sym__expression,
    ACTIONS(2323), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2325), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2337), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(2345), 2,
      sym_true,
      sym_false,
    ACTIONS(2347), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(2727), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2729), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2331), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(2341), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(2343), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1322), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [18660] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2432), 1,
      anon_sym_sizeof,
    ACTIONS(2771), 1,
      sym_identifier,
    ACTIONS(2773), 1,
      anon_sym_LPAREN2,
    STATE(1134), 1,
      sym__expression,
    STATE(1136), 1,
      sym_string_literal,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(2428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2430), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2775), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2777), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1218), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [18763] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2432), 1,
      anon_sym_sizeof,
    ACTIONS(2771), 1,
      sym_identifier,
    ACTIONS(2773), 1,
      anon_sym_LPAREN2,
    STATE(1136), 1,
      sym_string_literal,
    STATE(1405), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(2428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2430), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2775), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2777), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1218), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [18866] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2432), 1,
      anon_sym_sizeof,
    ACTIONS(2771), 1,
      sym_identifier,
    ACTIONS(2773), 1,
      anon_sym_LPAREN2,
    STATE(1136), 1,
      sym_string_literal,
    STATE(1407), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(2428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2430), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2775), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2777), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1218), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [18969] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2432), 1,
      anon_sym_sizeof,
    ACTIONS(2771), 1,
      sym_identifier,
    ACTIONS(2773), 1,
      anon_sym_LPAREN2,
    STATE(1136), 1,
      sym_string_literal,
    STATE(1413), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(2428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2430), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2775), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2777), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1218), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [19072] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2432), 1,
      anon_sym_sizeof,
    ACTIONS(2771), 1,
      sym_identifier,
    ACTIONS(2773), 1,
      anon_sym_LPAREN2,
    STATE(1136), 1,
      sym_string_literal,
    STATE(1410), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(2428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2430), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2775), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2777), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1218), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [19175] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2432), 1,
      anon_sym_sizeof,
    ACTIONS(2771), 1,
      sym_identifier,
    ACTIONS(2773), 1,
      anon_sym_LPAREN2,
    STATE(1136), 1,
      sym_string_literal,
    STATE(1411), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(2428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2430), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2775), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2777), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1218), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [19278] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(87), 1,
      anon_sym_sizeof,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2438), 1,
      sym_identifier,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1420), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1283), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [19381] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(87), 1,
      anon_sym_sizeof,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2438), 1,
      sym_identifier,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1417), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1283), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [19484] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2432), 1,
      anon_sym_sizeof,
    ACTIONS(2771), 1,
      sym_identifier,
    ACTIONS(2773), 1,
      anon_sym_LPAREN2,
    STATE(1136), 1,
      sym_string_literal,
    STATE(1408), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(2428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2430), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2775), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2777), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1218), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [19587] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(87), 1,
      anon_sym_sizeof,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2438), 1,
      sym_identifier,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1134), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1283), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [19690] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2432), 1,
      anon_sym_sizeof,
    ACTIONS(2771), 1,
      sym_identifier,
    ACTIONS(2773), 1,
      anon_sym_LPAREN2,
    STATE(1136), 1,
      sym_string_literal,
    STATE(1406), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(2428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2430), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2775), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2777), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1218), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [19793] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2432), 1,
      anon_sym_sizeof,
    ACTIONS(2771), 1,
      sym_identifier,
    ACTIONS(2773), 1,
      anon_sym_LPAREN2,
    STATE(1136), 1,
      sym_string_literal,
    STATE(1412), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(2428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2430), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2775), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2777), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1218), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [19896] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(87), 1,
      anon_sym_sizeof,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2438), 1,
      sym_identifier,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1467), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1283), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [19999] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2484), 1,
      sym_identifier,
    ACTIONS(2490), 1,
      anon_sym_sizeof,
    ACTIONS(2576), 1,
      anon_sym_LPAREN2,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1494), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(2486), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2488), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2580), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2586), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1363), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [20102] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(1958), 1,
      sym_identifier,
    ACTIONS(2353), 1,
      anon_sym_sizeof,
    ACTIONS(2743), 1,
      anon_sym_LPAREN2,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1338), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(2349), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2351), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2580), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2745), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1115), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [20203] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2432), 1,
      anon_sym_sizeof,
    ACTIONS(2771), 1,
      sym_identifier,
    ACTIONS(2773), 1,
      anon_sym_LPAREN2,
    STATE(1136), 1,
      sym_string_literal,
    STATE(1401), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(2428), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2430), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2775), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2777), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1218), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [20306] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(87), 1,
      anon_sym_sizeof,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2438), 1,
      sym_identifier,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1428), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1283), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [20409] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(1958), 1,
      sym_identifier,
    ACTIONS(2353), 1,
      anon_sym_sizeof,
    ACTIONS(2743), 1,
      anon_sym_LPAREN2,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1354), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(2349), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2351), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2580), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2745), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1115), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [20510] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(1958), 1,
      sym_identifier,
    ACTIONS(2353), 1,
      anon_sym_sizeof,
    ACTIONS(2743), 1,
      anon_sym_LPAREN2,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1333), 1,
      sym__expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(2349), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(2351), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(2580), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(2745), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1115), 22,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_pointer_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_gnu_asm_expression,
      sym_field_expression,
      sym_compound_literal_expression,
      sym_parenthesized_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [20611] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(87), 1,
      anon_sym_sizeof,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2438), 1,
      sym_identifier,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1424), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1283), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [20714] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(87), 1,
      anon_sym_sizeof,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2438), 1,
      sym_identifier,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1477), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1283), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [20817] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(19), 1,
      anon_sym_LPAREN2,
    ACTIONS(87), 1,
      anon_sym_sizeof,
    ACTIONS(91), 1,
      anon_sym_offsetof,
    ACTIONS(93), 1,
      anon_sym__Generic,
    ACTIONS(173), 1,
      sym_number_literal,
    ACTIONS(2438), 1,
      sym_identifier,
    STATE(1108), 1,
      sym_string_literal,
    STATE(1551), 1,
      sym__expression,
    ACTIONS(21), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(23), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(25), 2,
      anon_sym_STAR,
      anon_sym_AMP,
    ACTIONS(85), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(105), 2,
      anon_sym_NULL,
      anon_sym_nullptr,
    ACTIONS(175), 2,
      sym_true,
      sym_false,
    ACTIONS(89), 5,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
    ACTIONS(99), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    STATE(1283), 5,
      sym_pointer_expression,
      sym_subscript_expression,
      sym_call_expression,
      sym_field_expression,
      sym_parenthesized_expression,
    STATE(1115), 17,
      sym__expression_not_binary,
      sym__string,
      sym_conditional_expression,
      sym_assignment_expression,
      sym_unary_expression,
      sym_binary_expression,
      sym_update_expression,
      sym_cast_expression,
      sym_sizeof_expression,
      sym_alignof_expression,
      sym_offsetof_expression,
      sym_generic_expression,
      sym_gnu_asm_expression,
      sym_compound_literal_expression,
      sym_char_literal,
      sym_concatenated_string,
      sym_null,
  [20920] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2446), 1,
      anon_sym_const,
    ACTIONS(2450), 1,
      anon_sym_LPAREN2,
    ACTIONS(2456), 1,
      anon_sym_STAR,
    ACTIONS(2468), 1,
      anon_sym_EQ,
    STATE(1073), 1,
      sym_string_literal,
    STATE(1269), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2459), 2,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
    ACTIONS(2821), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2462), 8,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(2472), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(2454), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 12,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [21008] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2823), 1,
      sym_identifier,
    STATE(1072), 2,
      sym_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2830), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2828), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2826), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [21079] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2833), 1,
      sym_identifier,
    STATE(1074), 2,
      sym_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2837), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2835), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [21150] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2839), 1,
      sym_identifier,
    STATE(1072), 2,
      sym_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2843), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2841), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [21221] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1073), 1,
      sym_string_literal,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2454), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2448), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [21289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2568), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2570), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [21352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2572), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2574), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [21415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2845), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2847), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [21477] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2849), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2851), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [21539] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2853), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2855), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [21601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2857), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2859), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [21663] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2861), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2863), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [21725] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2865), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2867), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [21787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2869), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2871), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [21849] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2873), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2875), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [21911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2877), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2879), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [21973] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2881), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2883), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [22035] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(55), 1,
      sym_primitive_type,
    ACTIONS(57), 1,
      anon_sym_enum,
    ACTIONS(59), 1,
      anon_sym_struct,
    ACTIONS(61), 1,
      anon_sym_union,
    ACTIONS(1421), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1739), 1,
      sym_identifier,
    STATE(1163), 1,
      sym_ms_call_modifier,
    STATE(1216), 1,
      sym__type_specifier,
    STATE(1295), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1744), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1281), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(1192), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(51), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [22128] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(55), 1,
      sym_primitive_type,
    ACTIONS(57), 1,
      anon_sym_enum,
    ACTIONS(59), 1,
      anon_sym_struct,
    ACTIONS(61), 1,
      anon_sym_union,
    ACTIONS(1421), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1739), 1,
      sym_identifier,
    STATE(1160), 1,
      sym_ms_call_modifier,
    STATE(1216), 1,
      sym__type_specifier,
    STATE(1295), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1745), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1281), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(1192), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(51), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [22221] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(55), 1,
      sym_primitive_type,
    ACTIONS(57), 1,
      anon_sym_enum,
    ACTIONS(59), 1,
      anon_sym_struct,
    ACTIONS(61), 1,
      anon_sym_union,
    ACTIONS(1421), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1739), 1,
      sym_identifier,
    STATE(1150), 1,
      sym_ms_call_modifier,
    STATE(1216), 1,
      sym__type_specifier,
    STATE(1295), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1778), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1281), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(1192), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(51), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [22314] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(55), 1,
      sym_primitive_type,
    ACTIONS(57), 1,
      anon_sym_enum,
    ACTIONS(59), 1,
      anon_sym_struct,
    ACTIONS(61), 1,
      anon_sym_union,
    ACTIONS(1421), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1739), 1,
      sym_identifier,
    STATE(1175), 1,
      sym_ms_call_modifier,
    STATE(1216), 1,
      sym__type_specifier,
    STATE(1295), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1737), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1281), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(1192), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(51), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [22407] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(55), 1,
      sym_primitive_type,
    ACTIONS(57), 1,
      anon_sym_enum,
    ACTIONS(59), 1,
      anon_sym_struct,
    ACTIONS(61), 1,
      anon_sym_union,
    ACTIONS(1421), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1739), 1,
      sym_identifier,
    STATE(1152), 1,
      sym_ms_call_modifier,
    STATE(1216), 1,
      sym__type_specifier,
    STATE(1295), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1771), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1281), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(1192), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(51), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [22500] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(55), 1,
      sym_primitive_type,
    ACTIONS(57), 1,
      anon_sym_enum,
    ACTIONS(59), 1,
      anon_sym_struct,
    ACTIONS(61), 1,
      anon_sym_union,
    ACTIONS(1421), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1739), 1,
      sym_identifier,
    STATE(1169), 1,
      sym_ms_call_modifier,
    STATE(1216), 1,
      sym__type_specifier,
    STATE(1295), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1740), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1281), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(1192), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(51), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [22593] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(55), 1,
      sym_primitive_type,
    ACTIONS(57), 1,
      anon_sym_enum,
    ACTIONS(59), 1,
      anon_sym_struct,
    ACTIONS(61), 1,
      anon_sym_union,
    ACTIONS(1421), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1739), 1,
      sym_identifier,
    STATE(1170), 1,
      sym_ms_call_modifier,
    STATE(1216), 1,
      sym__type_specifier,
    STATE(1295), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1768), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1281), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(1192), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(51), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [22686] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(55), 1,
      sym_primitive_type,
    ACTIONS(57), 1,
      anon_sym_enum,
    ACTIONS(59), 1,
      anon_sym_struct,
    ACTIONS(61), 1,
      anon_sym_union,
    ACTIONS(1421), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1739), 1,
      sym_identifier,
    STATE(1171), 1,
      sym_ms_call_modifier,
    STATE(1216), 1,
      sym__type_specifier,
    STATE(1295), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1760), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1281), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(1192), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(51), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [22779] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(55), 1,
      sym_primitive_type,
    ACTIONS(57), 1,
      anon_sym_enum,
    ACTIONS(59), 1,
      anon_sym_struct,
    ACTIONS(61), 1,
      anon_sym_union,
    ACTIONS(1421), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1739), 1,
      sym_identifier,
    STATE(1158), 1,
      sym_ms_call_modifier,
    STATE(1216), 1,
      sym__type_specifier,
    STATE(1295), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1767), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1281), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(1192), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(51), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [22872] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(55), 1,
      sym_primitive_type,
    ACTIONS(57), 1,
      anon_sym_enum,
    ACTIONS(59), 1,
      anon_sym_struct,
    ACTIONS(61), 1,
      anon_sym_union,
    ACTIONS(1421), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1739), 1,
      sym_identifier,
    STATE(1165), 1,
      sym_ms_call_modifier,
    STATE(1216), 1,
      sym__type_specifier,
    STATE(1295), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1765), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1281), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(1192), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(51), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [22965] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(55), 1,
      sym_primitive_type,
    ACTIONS(57), 1,
      anon_sym_enum,
    ACTIONS(59), 1,
      anon_sym_struct,
    ACTIONS(61), 1,
      anon_sym_union,
    ACTIONS(1421), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1739), 1,
      sym_identifier,
    STATE(1166), 1,
      sym_ms_call_modifier,
    STATE(1216), 1,
      sym__type_specifier,
    STATE(1295), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1777), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1281), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(1192), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(51), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [23058] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(55), 1,
      sym_primitive_type,
    ACTIONS(57), 1,
      anon_sym_enum,
    ACTIONS(59), 1,
      anon_sym_struct,
    ACTIONS(61), 1,
      anon_sym_union,
    ACTIONS(1421), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1739), 1,
      sym_identifier,
    STATE(1164), 1,
      sym_ms_call_modifier,
    STATE(1216), 1,
      sym__type_specifier,
    STATE(1295), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1779), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1281), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(1192), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(51), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [23151] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(55), 1,
      sym_primitive_type,
    ACTIONS(57), 1,
      anon_sym_enum,
    ACTIONS(59), 1,
      anon_sym_struct,
    ACTIONS(61), 1,
      anon_sym_union,
    ACTIONS(1421), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1739), 1,
      sym_identifier,
    STATE(1155), 1,
      sym_ms_call_modifier,
    STATE(1216), 1,
      sym__type_specifier,
    STATE(1295), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1763), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1281), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(1192), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(51), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [23244] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(55), 1,
      sym_primitive_type,
    ACTIONS(57), 1,
      anon_sym_enum,
    ACTIONS(59), 1,
      anon_sym_struct,
    ACTIONS(61), 1,
      anon_sym_union,
    ACTIONS(1421), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1739), 1,
      sym_identifier,
    STATE(1167), 1,
      sym_ms_call_modifier,
    STATE(1216), 1,
      sym__type_specifier,
    STATE(1295), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1736), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1281), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(1192), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(51), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [23337] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(55), 1,
      sym_primitive_type,
    ACTIONS(57), 1,
      anon_sym_enum,
    ACTIONS(59), 1,
      anon_sym_struct,
    ACTIONS(61), 1,
      anon_sym_union,
    ACTIONS(1421), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1739), 1,
      sym_identifier,
    STATE(1159), 1,
      sym_ms_call_modifier,
    STATE(1216), 1,
      sym__type_specifier,
    STATE(1295), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1742), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1281), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
    STATE(1192), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(51), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [23430] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2890), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2892), 1,
      anon_sym_layout,
    STATE(1103), 2,
      sym_layout_specification,
      aux_sym_parameter_declaration_repeat1,
    ACTIONS(2887), 18,
      anon_sym_precise,
      anon_sym_in,
      anon_sym_out,
      anon_sym_inout,
      anon_sym_uniform,
      anon_sym_shared,
      anon_sym_attribute,
      anon_sym_varying,
      anon_sym_buffer,
      anon_sym_coherent,
      anon_sym_readonly,
      anon_sym_writeonly,
      anon_sym_centroid,
      anon_sym_sample,
      anon_sym_patch,
      anon_sym_smooth,
      anon_sym_flat,
      anon_sym_noperspective,
    ACTIONS(2885), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [23496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2436), 21,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2434), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_default,
      anon_sym_while,
      anon_sym_do,
      anon_sym_for,
      anon_sym_return,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym___try,
      anon_sym___leave,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
  [23555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2897), 21,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2895), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_default,
      anon_sym_while,
      anon_sym_do,
      anon_sym_for,
      anon_sym_return,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym___try,
      anon_sym___leave,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
  [23614] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2895), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2897), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [23673] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2426), 21,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2424), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_if,
      anon_sym_switch,
      anon_sym_case,
      anon_sym_default,
      anon_sym_while,
      anon_sym_do,
      anon_sym_for,
      anon_sym_return,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_goto,
      anon_sym___try,
      anon_sym___leave,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
  [23732] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2899), 1,
      sym_identifier,
    STATE(1073), 1,
      sym_string_literal,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2903), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(2901), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [23797] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2915), 1,
      anon_sym___attribute__,
    ACTIONS(2918), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2921), 1,
      anon_sym___declspec,
    ACTIONS(2907), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
    STATE(1109), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(2909), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(2912), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    ACTIONS(2905), 17,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [23868] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2666), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2664), 49,
      anon_sym_precise,
      anon_sym_in,
      anon_sym_out,
      anon_sym_inout,
      anon_sym_uniform,
      anon_sym_shared,
      anon_sym_attribute,
      anon_sym_varying,
      anon_sym_buffer,
      anon_sym_coherent,
      anon_sym_readonly,
      anon_sym_writeonly,
      anon_sym_centroid,
      anon_sym_sample,
      anon_sym_patch,
      anon_sym_smooth,
      anon_sym_flat,
      anon_sym_noperspective,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      anon_sym_layout,
  [23926] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2924), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2926), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [23984] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2928), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2930), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [24042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2932), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2934), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [24100] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2936), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2938), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [24158] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2940), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2942), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [24216] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2944), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2946), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [24274] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2948), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2950), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [24332] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2952), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2954), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [24390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2956), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2958), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [24448] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2960), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2962), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [24506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2964), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2966), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [24564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2968), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2970), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [24622] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2972), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2974), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [24680] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2976), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2978), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [24738] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2980), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2982), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [24796] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2984), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2986), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [24854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2670), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2668), 49,
      anon_sym_precise,
      anon_sym_in,
      anon_sym_out,
      anon_sym_inout,
      anon_sym_uniform,
      anon_sym_shared,
      anon_sym_attribute,
      anon_sym_varying,
      anon_sym_buffer,
      anon_sym_coherent,
      anon_sym_readonly,
      anon_sym_writeonly,
      anon_sym_centroid,
      anon_sym_sample,
      anon_sym_patch,
      anon_sym_smooth,
      anon_sym_flat,
      anon_sym_noperspective,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      anon_sym_layout,
  [24912] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2681), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2679), 49,
      anon_sym_precise,
      anon_sym_in,
      anon_sym_out,
      anon_sym_inout,
      anon_sym_uniform,
      anon_sym_shared,
      anon_sym_attribute,
      anon_sym_varying,
      anon_sym_buffer,
      anon_sym_coherent,
      anon_sym_readonly,
      anon_sym_writeonly,
      anon_sym_centroid,
      anon_sym_sample,
      anon_sym_patch,
      anon_sym_smooth,
      anon_sym_flat,
      anon_sym_noperspective,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      anon_sym_layout,
  [24970] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2988), 1,
      anon_sym_EQ,
    STATE(1073), 1,
      sym_string_literal,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2990), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(2454), 14,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(2448), 18,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [25035] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2992), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2994), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [25102] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3004), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(3006), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [25169] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3008), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(3010), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [25226] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3012), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(3014), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [25293] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3016), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(3018), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [25360] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3020), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(3022), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [25417] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1073), 1,
      sym_string_literal,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2903), 15,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2901), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [25478] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3024), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(3026), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [25543] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3028), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(3030), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [25610] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3032), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(3034), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [25667] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3036), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(3038), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACK_RBRACK,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [25724] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3042), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(3040), 40,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
  [25781] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3044), 1,
      sym_identifier,
    STATE(1144), 2,
      sym_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2343), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2843), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2841), 27,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [25843] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2468), 1,
      anon_sym_EQ,
    STATE(1073), 1,
      sym_string_literal,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2472), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(2454), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [25907] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3046), 1,
      sym_identifier,
    STATE(1144), 2,
      sym_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(3049), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2828), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2826), 27,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [25969] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3052), 1,
      sym_identifier,
    STATE(1142), 2,
      sym_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(2343), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2837), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2835), 27,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [26031] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1145), 1,
      sym_string_literal,
    ACTIONS(2343), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2454), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2448), 27,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [26090] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3054), 1,
      anon_sym_EQ,
    STATE(1145), 1,
      sym_string_literal,
    ACTIONS(2343), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3056), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(2454), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      sym_identifier,
    ACTIONS(2448), 17,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [26153] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1148), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3062), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(3058), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(3060), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [26212] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1145), 1,
      sym_string_literal,
    ACTIONS(2343), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2903), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2901), 27,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [26271] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(55), 1,
      sym_primitive_type,
    ACTIONS(57), 1,
      anon_sym_enum,
    ACTIONS(59), 1,
      anon_sym_struct,
    ACTIONS(61), 1,
      anon_sym_union,
    ACTIONS(1421), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1739), 1,
      sym_identifier,
    STATE(1216), 1,
      sym__type_specifier,
    STATE(1295), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1747), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1281), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(1192), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(51), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [26353] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(55), 1,
      sym_primitive_type,
    ACTIONS(57), 1,
      anon_sym_enum,
    ACTIONS(59), 1,
      anon_sym_struct,
    ACTIONS(61), 1,
      anon_sym_union,
    ACTIONS(1421), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1739), 1,
      sym_identifier,
    STATE(1216), 1,
      sym__type_specifier,
    STATE(1295), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1746), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1281), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(1192), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(51), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [26435] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(55), 1,
      sym_primitive_type,
    ACTIONS(57), 1,
      anon_sym_enum,
    ACTIONS(59), 1,
      anon_sym_struct,
    ACTIONS(61), 1,
      anon_sym_union,
    ACTIONS(1421), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1739), 1,
      sym_identifier,
    STATE(1216), 1,
      sym__type_specifier,
    STATE(1295), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1761), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1281), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(1192), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(51), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [26517] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(55), 1,
      sym_primitive_type,
    ACTIONS(57), 1,
      anon_sym_enum,
    ACTIONS(59), 1,
      anon_sym_struct,
    ACTIONS(61), 1,
      anon_sym_union,
    ACTIONS(1421), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1739), 1,
      sym_identifier,
    STATE(1216), 1,
      sym__type_specifier,
    STATE(1295), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1759), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1281), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(1192), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(51), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [26599] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(55), 1,
      sym_primitive_type,
    ACTIONS(57), 1,
      anon_sym_enum,
    ACTIONS(59), 1,
      anon_sym_struct,
    ACTIONS(61), 1,
      anon_sym_union,
    ACTIONS(1421), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1739), 1,
      sym_identifier,
    STATE(1216), 1,
      sym__type_specifier,
    STATE(1295), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1766), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1281), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(1192), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(51), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [26681] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(55), 1,
      sym_primitive_type,
    ACTIONS(57), 1,
      anon_sym_enum,
    ACTIONS(59), 1,
      anon_sym_struct,
    ACTIONS(61), 1,
      anon_sym_union,
    ACTIONS(1421), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1739), 1,
      sym_identifier,
    STATE(1216), 1,
      sym__type_specifier,
    STATE(1295), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1762), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1281), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(1192), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(51), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [26763] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(55), 1,
      sym_primitive_type,
    ACTIONS(57), 1,
      anon_sym_enum,
    ACTIONS(59), 1,
      anon_sym_struct,
    ACTIONS(61), 1,
      anon_sym_union,
    ACTIONS(1421), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1739), 1,
      sym_identifier,
    STATE(1216), 1,
      sym__type_specifier,
    STATE(1295), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1757), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1281), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(1192), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(51), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [26845] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(55), 1,
      sym_primitive_type,
    ACTIONS(57), 1,
      anon_sym_enum,
    ACTIONS(59), 1,
      anon_sym_struct,
    ACTIONS(61), 1,
      anon_sym_union,
    ACTIONS(1421), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1739), 1,
      sym_identifier,
    STATE(1216), 1,
      sym__type_specifier,
    STATE(1295), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1732), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1281), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(1192), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(51), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [26927] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(55), 1,
      sym_primitive_type,
    ACTIONS(57), 1,
      anon_sym_enum,
    ACTIONS(59), 1,
      anon_sym_struct,
    ACTIONS(61), 1,
      anon_sym_union,
    ACTIONS(1421), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1739), 1,
      sym_identifier,
    STATE(1216), 1,
      sym__type_specifier,
    STATE(1295), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1734), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1281), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(1192), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(51), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [27009] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(55), 1,
      sym_primitive_type,
    ACTIONS(57), 1,
      anon_sym_enum,
    ACTIONS(59), 1,
      anon_sym_struct,
    ACTIONS(61), 1,
      anon_sym_union,
    ACTIONS(1421), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1739), 1,
      sym_identifier,
    STATE(1216), 1,
      sym__type_specifier,
    STATE(1295), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1769), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1281), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(1192), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(51), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [27091] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(55), 1,
      sym_primitive_type,
    ACTIONS(57), 1,
      anon_sym_enum,
    ACTIONS(59), 1,
      anon_sym_struct,
    ACTIONS(61), 1,
      anon_sym_union,
    ACTIONS(1421), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1739), 1,
      sym_identifier,
    STATE(1216), 1,
      sym__type_specifier,
    STATE(1295), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1753), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1281), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(1192), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(51), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [27173] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2568), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2570), 32,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [27227] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(55), 1,
      sym_primitive_type,
    ACTIONS(57), 1,
      anon_sym_enum,
    ACTIONS(59), 1,
      anon_sym_struct,
    ACTIONS(61), 1,
      anon_sym_union,
    ACTIONS(1421), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1739), 1,
      sym_identifier,
    STATE(1216), 1,
      sym__type_specifier,
    STATE(1295), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1758), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1281), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(1192), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(51), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [27309] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(55), 1,
      sym_primitive_type,
    ACTIONS(57), 1,
      anon_sym_enum,
    ACTIONS(59), 1,
      anon_sym_struct,
    ACTIONS(61), 1,
      anon_sym_union,
    ACTIONS(1421), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1739), 1,
      sym_identifier,
    STATE(1216), 1,
      sym__type_specifier,
    STATE(1295), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1733), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1281), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(1192), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(51), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [27391] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(55), 1,
      sym_primitive_type,
    ACTIONS(57), 1,
      anon_sym_enum,
    ACTIONS(59), 1,
      anon_sym_struct,
    ACTIONS(61), 1,
      anon_sym_union,
    ACTIONS(1421), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1739), 1,
      sym_identifier,
    STATE(1216), 1,
      sym__type_specifier,
    STATE(1295), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1735), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1281), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(1192), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(51), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [27473] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(55), 1,
      sym_primitive_type,
    ACTIONS(57), 1,
      anon_sym_enum,
    ACTIONS(59), 1,
      anon_sym_struct,
    ACTIONS(61), 1,
      anon_sym_union,
    ACTIONS(1421), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1739), 1,
      sym_identifier,
    STATE(1216), 1,
      sym__type_specifier,
    STATE(1295), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1775), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1281), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(1192), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(51), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [27555] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(55), 1,
      sym_primitive_type,
    ACTIONS(57), 1,
      anon_sym_enum,
    ACTIONS(59), 1,
      anon_sym_struct,
    ACTIONS(61), 1,
      anon_sym_union,
    ACTIONS(1421), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1739), 1,
      sym_identifier,
    STATE(1216), 1,
      sym__type_specifier,
    STATE(1295), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1764), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1281), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(1192), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(51), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [27637] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(55), 1,
      sym_primitive_type,
    ACTIONS(57), 1,
      anon_sym_enum,
    ACTIONS(59), 1,
      anon_sym_struct,
    ACTIONS(61), 1,
      anon_sym_union,
    ACTIONS(1421), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1739), 1,
      sym_identifier,
    STATE(1216), 1,
      sym__type_specifier,
    STATE(1295), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1741), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1281), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(1192), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(51), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [27719] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2572), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      sym_identifier,
    ACTIONS(2574), 32,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [27773] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(55), 1,
      sym_primitive_type,
    ACTIONS(57), 1,
      anon_sym_enum,
    ACTIONS(59), 1,
      anon_sym_struct,
    ACTIONS(61), 1,
      anon_sym_union,
    ACTIONS(1421), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1739), 1,
      sym_identifier,
    STATE(1216), 1,
      sym__type_specifier,
    STATE(1295), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1770), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1281), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(1192), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(51), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [27855] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(55), 1,
      sym_primitive_type,
    ACTIONS(57), 1,
      anon_sym_enum,
    ACTIONS(59), 1,
      anon_sym_struct,
    ACTIONS(61), 1,
      anon_sym_union,
    ACTIONS(1421), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1739), 1,
      sym_identifier,
    STATE(1216), 1,
      sym__type_specifier,
    STATE(1295), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1749), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1281), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(1192), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(51), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [27937] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(55), 1,
      sym_primitive_type,
    ACTIONS(57), 1,
      anon_sym_enum,
    ACTIONS(59), 1,
      anon_sym_struct,
    ACTIONS(61), 1,
      anon_sym_union,
    ACTIONS(1421), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1739), 1,
      sym_identifier,
    STATE(1216), 1,
      sym__type_specifier,
    STATE(1295), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1748), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1281), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(1192), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(51), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [28019] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(55), 1,
      sym_primitive_type,
    ACTIONS(57), 1,
      anon_sym_enum,
    ACTIONS(59), 1,
      anon_sym_struct,
    ACTIONS(61), 1,
      anon_sym_union,
    ACTIONS(1421), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1739), 1,
      sym_identifier,
    STATE(1216), 1,
      sym__type_specifier,
    STATE(1295), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1752), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1281), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(1192), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(51), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [28101] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(55), 1,
      sym_primitive_type,
    ACTIONS(57), 1,
      anon_sym_enum,
    ACTIONS(59), 1,
      anon_sym_struct,
    ACTIONS(61), 1,
      anon_sym_union,
    ACTIONS(1421), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1739), 1,
      sym_identifier,
    STATE(1216), 1,
      sym__type_specifier,
    STATE(1295), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1750), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1281), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(1192), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(51), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [28183] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(55), 1,
      sym_primitive_type,
    ACTIONS(57), 1,
      anon_sym_enum,
    ACTIONS(59), 1,
      anon_sym_struct,
    ACTIONS(61), 1,
      anon_sym_union,
    ACTIONS(1421), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1739), 1,
      sym_identifier,
    STATE(1216), 1,
      sym__type_specifier,
    STATE(1295), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1743), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1281), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(1192), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(51), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [28265] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(55), 1,
      sym_primitive_type,
    ACTIONS(57), 1,
      anon_sym_enum,
    ACTIONS(59), 1,
      anon_sym_struct,
    ACTIONS(61), 1,
      anon_sym_union,
    ACTIONS(1421), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1739), 1,
      sym_identifier,
    STATE(1216), 1,
      sym__type_specifier,
    STATE(1295), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1772), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1281), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(1192), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(51), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [28347] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(55), 1,
      sym_primitive_type,
    ACTIONS(57), 1,
      anon_sym_enum,
    ACTIONS(59), 1,
      anon_sym_struct,
    ACTIONS(61), 1,
      anon_sym_union,
    ACTIONS(1421), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1739), 1,
      sym_identifier,
    STATE(1216), 1,
      sym__type_specifier,
    STATE(1295), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1776), 1,
      sym__declaration_specifiers,
    ACTIONS(49), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1281), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(1192), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(51), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [28429] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2468), 1,
      anon_sym_EQ,
    ACTIONS(2470), 1,
      anon_sym_COLON,
    STATE(1073), 1,
      sym_string_literal,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2472), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(2454), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [28492] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3067), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3065), 38,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [28545] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2468), 1,
      anon_sym_EQ,
    ACTIONS(2474), 1,
      anon_sym_COLON,
    STATE(1073), 1,
      sym_string_literal,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2472), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(2454), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [28608] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3071), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(3069), 38,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [28661] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2468), 1,
      anon_sym_EQ,
    ACTIONS(2478), 1,
      anon_sym_COLON,
    STATE(1073), 1,
      sym_string_literal,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2472), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(2454), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [28724] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2468), 1,
      anon_sym_EQ,
    ACTIONS(2480), 1,
      anon_sym_COLON,
    STATE(1073), 1,
      sym_string_literal,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2472), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(2454), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [28787] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(2464), 1,
      anon_sym_LBRACE,
    STATE(1222), 1,
      sym_field_declaration_list,
    STATE(1276), 1,
      sym_attribute_specifier,
    ACTIONS(3075), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3073), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [28848] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3067), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_RBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3065), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
  [28901] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(2464), 1,
      anon_sym_LBRACE,
    STATE(1221), 1,
      sym_field_declaration_list,
    STATE(1287), 1,
      sym_attribute_specifier,
    ACTIONS(3079), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3077), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [28962] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2468), 1,
      anon_sym_EQ,
    ACTIONS(2482), 1,
      anon_sym_COLON,
    STATE(1073), 1,
      sym_string_literal,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2472), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(2454), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [29025] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(2464), 1,
      anon_sym_LBRACE,
    STATE(1240), 1,
      sym_field_declaration_list,
    STATE(1248), 1,
      sym_attribute_specifier,
    ACTIONS(3083), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3081), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [29086] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(2464), 1,
      anon_sym_LBRACE,
    STATE(1230), 1,
      sym_field_declaration_list,
    STATE(1273), 1,
      sym_attribute_specifier,
    ACTIONS(3087), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3085), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [29147] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(2464), 1,
      anon_sym_LBRACE,
    STATE(1233), 1,
      sym_field_declaration_list,
    STATE(1291), 1,
      sym_attribute_specifier,
    ACTIONS(3091), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3089), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [29208] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2468), 1,
      anon_sym_EQ,
    ACTIONS(3093), 1,
      anon_sym_COLON,
    STATE(1073), 1,
      sym_string_literal,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2472), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(2454), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [29271] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2468), 1,
      anon_sym_EQ,
    ACTIONS(2476), 1,
      anon_sym_COLON,
    STATE(1073), 1,
      sym_string_literal,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(2472), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(2454), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [29334] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(55), 1,
      sym_primitive_type,
    ACTIONS(57), 1,
      anon_sym_enum,
    ACTIONS(59), 1,
      anon_sym_struct,
    ACTIONS(61), 1,
      anon_sym_union,
    ACTIONS(1421), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1739), 1,
      sym_identifier,
    STATE(1212), 1,
      sym__type_specifier,
    STATE(1295), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(49), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1281), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    STATE(1109), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(51), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [29413] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3103), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3105), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3107), 1,
      anon_sym_PIPE,
    ACTIONS(3109), 1,
      anon_sym_CARET,
    ACTIONS(3111), 1,
      anon_sym_AMP,
    ACTIONS(3121), 1,
      anon_sym_QMARK,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3097), 2,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
    ACTIONS(3099), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3113), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3115), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3117), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3119), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3101), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3095), 16,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [29499] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3103), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3105), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3107), 1,
      anon_sym_PIPE,
    ACTIONS(3109), 1,
      anon_sym_CARET,
    ACTIONS(3111), 1,
      anon_sym_AMP,
    ACTIONS(3121), 1,
      anon_sym_QMARK,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3099), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3113), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3115), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3117), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3119), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3125), 2,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
    ACTIONS(3101), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3123), 16,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [29585] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2426), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2424), 38,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [29637] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3103), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3105), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3107), 1,
      anon_sym_PIPE,
    ACTIONS(3109), 1,
      anon_sym_CARET,
    ACTIONS(3111), 1,
      anon_sym_AMP,
    ACTIONS(3121), 1,
      anon_sym_QMARK,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3099), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3113), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3115), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3117), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3119), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3129), 2,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
    ACTIONS(3101), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3127), 16,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [29723] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3099), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3101), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3016), 9,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(3018), 23,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [29789] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3099), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3119), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3101), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3016), 7,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(3018), 23,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [29857] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3131), 1,
      anon_sym_EQ,
    STATE(1073), 1,
      sym_string_literal,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3133), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(2454), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(2448), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [29917] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3099), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3115), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3117), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3119), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3101), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3016), 5,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(3018), 21,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [29989] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3101), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3016), 11,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(3018), 23,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [30053] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3099), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3113), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3115), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3117), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3119), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3101), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3016), 5,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(3018), 19,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [30127] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3111), 1,
      anon_sym_AMP,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3099), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3113), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3115), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3117), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3119), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3101), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3016), 4,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
    ACTIONS(3018), 19,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [30203] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3109), 1,
      anon_sym_CARET,
    ACTIONS(3111), 1,
      anon_sym_AMP,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3099), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3113), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3115), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3117), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3119), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3016), 3,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_EQ,
    ACTIONS(3101), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3018), 19,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [30281] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3107), 1,
      anon_sym_PIPE,
    ACTIONS(3109), 1,
      anon_sym_CARET,
    ACTIONS(3111), 1,
      anon_sym_AMP,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3016), 2,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
    ACTIONS(3099), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3113), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3115), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3117), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3119), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3101), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3018), 19,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [30361] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3105), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3107), 1,
      anon_sym_PIPE,
    ACTIONS(3109), 1,
      anon_sym_CARET,
    ACTIONS(3111), 1,
      anon_sym_AMP,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3016), 2,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
    ACTIONS(3099), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3113), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3115), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3117), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3119), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3101), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3018), 18,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [30443] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3137), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3135), 38,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2436), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2434), 38,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [30547] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3139), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3141), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3016), 8,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(3018), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [30612] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3097), 1,
      anon_sym_EQ,
    ACTIONS(3143), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3147), 1,
      anon_sym_PIPE,
    ACTIONS(3149), 1,
      anon_sym_CARET,
    ACTIONS(3151), 1,
      anon_sym_AMP,
    ACTIONS(3161), 1,
      anon_sym_QMARK,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3139), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3153), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3155), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3157), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3141), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3095), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [30697] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3125), 1,
      anon_sym_EQ,
    ACTIONS(3143), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3147), 1,
      anon_sym_PIPE,
    ACTIONS(3149), 1,
      anon_sym_CARET,
    ACTIONS(3151), 1,
      anon_sym_AMP,
    ACTIONS(3161), 1,
      anon_sym_QMARK,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3139), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3153), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3155), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3157), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3141), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3123), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [30782] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(1421), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3165), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
    STATE(1214), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(3163), 9,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
    ACTIONS(51), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [30845] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(1246), 1,
      sym_attribute_specifier,
    ACTIONS(3169), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3167), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [30900] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(1421), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3173), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
    STATE(1109), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(3171), 9,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
    ACTIONS(51), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [30963] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(1252), 1,
      sym_attribute_specifier,
    ACTIONS(3177), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3175), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [31018] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(1421), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3181), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
    STATE(1227), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(3179), 9,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
    ACTIONS(51), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [31081] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3020), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(3022), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      sym_identifier,
  [31132] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2988), 1,
      anon_sym_EQ,
    ACTIONS(2990), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(2454), 13,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 19,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [31187] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3139), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3141), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3016), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(3018), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31254] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1220), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3187), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3185), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3183), 31,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [31309] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(1265), 1,
      sym_attribute_specifier,
    ACTIONS(3192), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3190), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [31364] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(1251), 1,
      sym_attribute_specifier,
    ACTIONS(3196), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3194), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [31419] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3139), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3155), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3157), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3141), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3016), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(3018), 21,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31490] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(1254), 1,
      sym_attribute_specifier,
    ACTIONS(3200), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3198), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [31545] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3139), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3153), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3155), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3157), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3141), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3016), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(3018), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31618] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(1278), 1,
      sym_attribute_specifier,
    ACTIONS(3204), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3202), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [31673] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(1421), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3208), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
    STATE(1109), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(3206), 9,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      sym_identifier,
    ACTIONS(51), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [31736] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3151), 1,
      anon_sym_AMP,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3139), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3153), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3155), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3157), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3016), 3,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
    ACTIONS(3141), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3018), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31811] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3149), 1,
      anon_sym_CARET,
    ACTIONS(3151), 1,
      anon_sym_AMP,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3016), 2,
      anon_sym_PIPE,
      anon_sym_EQ,
    ACTIONS(3139), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3153), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3155), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3157), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3141), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3018), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [31888] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(1249), 1,
      sym_attribute_specifier,
    ACTIONS(3212), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3210), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [31943] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3016), 1,
      anon_sym_EQ,
    ACTIONS(3147), 1,
      anon_sym_PIPE,
    ACTIONS(3149), 1,
      anon_sym_CARET,
    ACTIONS(3151), 1,
      anon_sym_AMP,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3139), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3153), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3155), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3157), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3141), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3018), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32022] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3036), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(3038), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      sym_identifier,
  [32073] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(1288), 1,
      sym_attribute_specifier,
    ACTIONS(3216), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3214), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [32128] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3129), 1,
      anon_sym_EQ,
    ACTIONS(3143), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3147), 1,
      anon_sym_PIPE,
    ACTIONS(3149), 1,
      anon_sym_CARET,
    ACTIONS(3151), 1,
      anon_sym_AMP,
    ACTIONS(3161), 1,
      anon_sym_QMARK,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3139), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3153), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3155), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3157), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3141), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3127), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32213] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3016), 1,
      anon_sym_EQ,
    ACTIONS(3145), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3147), 1,
      anon_sym_PIPE,
    ACTIONS(3149), 1,
      anon_sym_CARET,
    ACTIONS(3151), 1,
      anon_sym_AMP,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3139), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3153), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3155), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3157), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3159), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3141), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3018), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32294] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3032), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(3034), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      sym_identifier,
  [32345] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3141), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3016), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(3018), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [32408] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(1247), 1,
      sym_attribute_specifier,
    ACTIONS(3220), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3218), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [32463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3008), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(3010), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
      sym_identifier,
  [32514] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(1256), 1,
      sym_attribute_specifier,
    ACTIONS(3224), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3222), 34,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [32569] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3232), 1,
      anon_sym_LBRACK,
    STATE(1303), 1,
      sym_argument_list,
    ACTIONS(3228), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3234), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3236), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3230), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3016), 8,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(3018), 22,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [32633] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3232), 1,
      anon_sym_LBRACK,
    STATE(1303), 1,
      sym_argument_list,
    ACTIONS(3228), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3234), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3236), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3238), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3240), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3230), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3016), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(3018), 20,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [32703] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3244), 1,
      anon_sym_LPAREN2,
    STATE(1269), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2466), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2462), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(2446), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [32759] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3016), 1,
      anon_sym_EQ,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3232), 1,
      anon_sym_LBRACK,
    ACTIONS(3247), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3249), 1,
      anon_sym_PIPE,
    ACTIONS(3251), 1,
      anon_sym_CARET,
    ACTIONS(3253), 1,
      anon_sym_AMP,
    STATE(1303), 1,
      sym_argument_list,
    ACTIONS(3228), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3234), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3236), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3238), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3240), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3230), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3018), 17,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [32839] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3183), 1,
      sym_primitive_type,
    STATE(1220), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3187), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3260), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3257), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [32895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3265), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3263), 35,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [32945] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3269), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3267), 35,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [32995] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3273), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3271), 35,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [33045] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3277), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3275), 35,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [33095] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3232), 1,
      anon_sym_LBRACK,
    STATE(1303), 1,
      sym_argument_list,
    ACTIONS(3234), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3236), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3230), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3016), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(3018), 22,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [33157] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3281), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3279), 35,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [33207] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3285), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3283), 35,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [33257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3289), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3287), 35,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [33307] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3293), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3291), 35,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [33357] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1258), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3299), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3297), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3295), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [33411] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3303), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3301), 35,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [33461] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3307), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3305), 35,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [33511] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1220), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3313), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3311), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3309), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [33565] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1282), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3319), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3317), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3315), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [33619] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3323), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3321), 35,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [33669] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3232), 1,
      anon_sym_LBRACK,
    ACTIONS(3251), 1,
      anon_sym_CARET,
    ACTIONS(3253), 1,
      anon_sym_AMP,
    STATE(1303), 1,
      sym_argument_list,
    ACTIONS(3016), 2,
      anon_sym_PIPE,
      anon_sym_EQ,
    ACTIONS(3228), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3234), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3236), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3238), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3240), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3230), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3018), 18,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [33745] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3232), 1,
      anon_sym_LBRACK,
    ACTIONS(3253), 1,
      anon_sym_AMP,
    STATE(1303), 1,
      sym_argument_list,
    ACTIONS(3228), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3234), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3236), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3238), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3240), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3016), 3,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
    ACTIONS(3230), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3018), 18,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [33819] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3125), 1,
      anon_sym_EQ,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3232), 1,
      anon_sym_LBRACK,
    ACTIONS(3247), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3249), 1,
      anon_sym_PIPE,
    ACTIONS(3251), 1,
      anon_sym_CARET,
    ACTIONS(3253), 1,
      anon_sym_AMP,
    ACTIONS(3325), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3327), 1,
      anon_sym_QMARK,
    STATE(1303), 1,
      sym_argument_list,
    ACTIONS(3228), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3234), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3236), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3238), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3240), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3230), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3123), 15,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [33903] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3016), 1,
      anon_sym_EQ,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3232), 1,
      anon_sym_LBRACK,
    ACTIONS(3249), 1,
      anon_sym_PIPE,
    ACTIONS(3251), 1,
      anon_sym_CARET,
    ACTIONS(3253), 1,
      anon_sym_AMP,
    STATE(1303), 1,
      sym_argument_list,
    ACTIONS(3228), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3234), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3236), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3238), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3240), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3230), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3018), 18,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [33981] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3331), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3329), 35,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [34031] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3232), 1,
      anon_sym_LBRACK,
    STATE(1303), 1,
      sym_argument_list,
    ACTIONS(3228), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3234), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3236), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3238), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3240), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3230), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3016), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(3018), 18,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [34103] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3232), 1,
      anon_sym_LBRACK,
    STATE(1303), 1,
      sym_argument_list,
    ACTIONS(3234), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3236), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3016), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(3018), 22,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [34163] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3097), 1,
      anon_sym_EQ,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3232), 1,
      anon_sym_LBRACK,
    ACTIONS(3247), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3249), 1,
      anon_sym_PIPE,
    ACTIONS(3251), 1,
      anon_sym_CARET,
    ACTIONS(3253), 1,
      anon_sym_AMP,
    ACTIONS(3325), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3327), 1,
      anon_sym_QMARK,
    STATE(1303), 1,
      sym_argument_list,
    ACTIONS(3228), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3234), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3236), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3238), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3240), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3230), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3095), 15,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [34247] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1220), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3313), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3335), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3333), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [34301] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3339), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3337), 35,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [34351] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3232), 1,
      anon_sym_LBRACK,
    STATE(1303), 1,
      sym_argument_list,
    ACTIONS(3234), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3236), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3004), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(3006), 22,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [34411] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3232), 1,
      anon_sym_LBRACK,
    STATE(1303), 1,
      sym_argument_list,
    ACTIONS(3234), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3236), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2992), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2994), 22,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [34471] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3343), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3341), 35,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [34521] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3347), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3345), 35,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [34571] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3232), 1,
      anon_sym_LBRACK,
    STATE(1303), 1,
      sym_argument_list,
    ACTIONS(3228), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3234), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3236), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3230), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3016), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(3018), 22,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [34637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3351), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3349), 35,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [34687] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3129), 1,
      anon_sym_EQ,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3232), 1,
      anon_sym_LBRACK,
    ACTIONS(3247), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3249), 1,
      anon_sym_PIPE,
    ACTIONS(3251), 1,
      anon_sym_CARET,
    ACTIONS(3253), 1,
      anon_sym_AMP,
    ACTIONS(3325), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3327), 1,
      anon_sym_QMARK,
    STATE(1303), 1,
      sym_argument_list,
    ACTIONS(3228), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3234), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3236), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3238), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3240), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3242), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3230), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3127), 15,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [34771] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3355), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3353), 35,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [34821] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3359), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3357), 35,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [34871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3363), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3361), 35,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [34921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3317), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3315), 35,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [34971] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1220), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3313), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3367), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3365), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [35025] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2468), 1,
      anon_sym_EQ,
    ACTIONS(2472), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(2454), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [35079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3371), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3369), 35,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [35129] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1292), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3377), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3375), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3373), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [35183] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3232), 1,
      anon_sym_LBRACK,
    STATE(1303), 1,
      sym_argument_list,
    ACTIONS(3234), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3236), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3028), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(3030), 22,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [35243] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3381), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3379), 35,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [35293] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3385), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3383), 35,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [35343] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3232), 1,
      anon_sym_LBRACK,
    STATE(1303), 1,
      sym_argument_list,
    ACTIONS(3236), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3024), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(3026), 24,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_identifier,
  [35401] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3232), 1,
      anon_sym_LBRACK,
    STATE(1303), 1,
      sym_argument_list,
    ACTIONS(3234), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3236), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3012), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(3014), 22,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      sym_identifier,
  [35461] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3389), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3387), 35,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [35511] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1220), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3313), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3393), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3391), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [35565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3397), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3395), 35,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [35615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3401), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3399), 35,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [35665] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3403), 1,
      sym_identifier,
    ACTIONS(3412), 1,
      sym_primitive_type,
    STATE(1245), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3410), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3406), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3408), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [35723] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3416), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
    ACTIONS(3414), 35,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [35773] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2972), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2974), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [35822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2865), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2867), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [35871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2944), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2946), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [35920] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2849), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2851), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [35969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2936), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2938), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [36018] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2948), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2950), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [36067] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2980), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2982), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [36116] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2964), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2966), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [36165] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2956), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2958), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [36214] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2968), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2970), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [36263] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2928), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2930), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [36312] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2932), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2934), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [36361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2857), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2859), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [36410] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2853), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2855), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [36459] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2869), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2871), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [36508] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2960), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2962), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [36557] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3054), 1,
      anon_sym_EQ,
    ACTIONS(3056), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(2454), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(2448), 18,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [36610] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2976), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2978), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [36659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2984), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2986), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [36708] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2924), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2926), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [36757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2881), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2883), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [36806] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2861), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2863), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [36855] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2845), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2847), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [36904] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2873), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2875), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [36953] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2895), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2897), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [37002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2940), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2942), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [37051] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2952), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2954), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [37100] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2877), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2879), 28,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
  [37149] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(1421), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3418), 1,
      anon_sym_SEMI,
    ACTIONS(3181), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(1227), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(3179), 8,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      sym_identifier,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(51), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [37211] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3424), 1,
      anon_sym___attribute__,
    ACTIONS(3427), 1,
      anon_sym_LBRACE,
    ACTIONS(3429), 1,
      anon_sym_COLON,
    STATE(1279), 1,
      sym_attribute_specifier,
    STATE(1369), 1,
      sym_enumerator_list,
    ACTIONS(3422), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3420), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [37269] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(1421), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3431), 1,
      anon_sym_SEMI,
    ACTIONS(3181), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(1227), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(3179), 8,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      sym_identifier,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(51), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [37331] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(1421), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3433), 1,
      anon_sym_SEMI,
    ACTIONS(3181), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(1227), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(3179), 8,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      sym_identifier,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(51), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [37393] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(1421), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3435), 1,
      anon_sym_SEMI,
    ACTIONS(3181), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(1227), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(3179), 8,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      sym_identifier,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(51), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [37455] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(1421), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3437), 1,
      anon_sym_SEMI,
    ACTIONS(3181), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(1227), 7,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(3179), 8,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      sym_identifier,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(51), 10,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
  [37517] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1984), 1,
      anon_sym_LPAREN2,
    ACTIONS(1986), 1,
      anon_sym_STAR,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3447), 1,
      anon_sym_LBRACK,
    STATE(1573), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1819), 1,
      sym__declarator,
    STATE(2095), 1,
      sym__abstract_declarator,
    STATE(2155), 1,
      sym_parameter_list,
    STATE(2616), 1,
      sym_ms_based_modifier,
    ACTIONS(3441), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(3445), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1433), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1451), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3443), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(2176), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [37596] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2464), 1,
      anon_sym_LBRACE,
    ACTIONS(3244), 1,
      anon_sym_LPAREN2,
    STATE(1269), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1851), 1,
      sym_field_declaration_list,
    ACTIONS(2462), 2,
      anon_sym_STAR,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2466), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2446), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [37653] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3002), 1,
      anon_sym_DASH_GT,
    ACTIONS(3016), 1,
      anon_sym_EQ,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3453), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3455), 1,
      anon_sym_PIPE,
    ACTIONS(3457), 1,
      anon_sym_CARET,
    ACTIONS(3459), 1,
      anon_sym_AMP,
    ACTIONS(3469), 1,
      anon_sym_DOT,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3449), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3463), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3465), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3467), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3451), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3018), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [37732] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3002), 1,
      anon_sym_DASH_GT,
    ACTIONS(3016), 1,
      anon_sym_EQ,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3455), 1,
      anon_sym_PIPE,
    ACTIONS(3457), 1,
      anon_sym_CARET,
    ACTIONS(3459), 1,
      anon_sym_AMP,
    ACTIONS(3469), 1,
      anon_sym_DOT,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3449), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3463), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3465), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3467), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3451), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3018), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [37809] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3002), 1,
      anon_sym_DASH_GT,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3457), 1,
      anon_sym_CARET,
    ACTIONS(3459), 1,
      anon_sym_AMP,
    ACTIONS(3469), 1,
      anon_sym_DOT,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3016), 2,
      anon_sym_PIPE,
      anon_sym_EQ,
    ACTIONS(3449), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3463), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3465), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3467), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3451), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3018), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [37884] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3002), 1,
      anon_sym_DASH_GT,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3459), 1,
      anon_sym_AMP,
    ACTIONS(3469), 1,
      anon_sym_DOT,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3449), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3463), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3465), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3467), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3016), 3,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
    ACTIONS(3451), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3018), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [37957] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3002), 1,
      anon_sym_DASH_GT,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3469), 1,
      anon_sym_DOT,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3449), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3463), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3465), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3467), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3451), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3016), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(3018), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [38028] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3002), 1,
      anon_sym_DASH_GT,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3469), 1,
      anon_sym_DOT,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3449), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3463), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3465), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3467), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3451), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3016), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(3018), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [38097] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3002), 1,
      anon_sym_DASH_GT,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3469), 1,
      anon_sym_DOT,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3449), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3467), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3451), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3016), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(3018), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [38162] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3002), 1,
      anon_sym_DASH_GT,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3469), 1,
      anon_sym_DOT,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3449), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3451), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3016), 8,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(3018), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [38225] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3427), 1,
      anon_sym_LBRACE,
    ACTIONS(3475), 1,
      anon_sym___attribute__,
    STATE(1280), 1,
      sym_attribute_specifier,
    STATE(1367), 1,
      sym_enumerator_list,
    ACTIONS(3473), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3471), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [38280] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2464), 1,
      anon_sym_LBRACE,
    ACTIONS(3244), 1,
      anon_sym_LPAREN2,
    STATE(1269), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1838), 1,
      sym_field_declaration_list,
    ACTIONS(2462), 2,
      anon_sym_STAR,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2466), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2446), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [38337] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3002), 1,
      anon_sym_DASH_GT,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3469), 1,
      anon_sym_DOT,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3004), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(3006), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [38396] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3002), 1,
      anon_sym_DASH_GT,
    ACTIONS(3125), 1,
      anon_sym_EQ,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3453), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3455), 1,
      anon_sym_PIPE,
    ACTIONS(3457), 1,
      anon_sym_CARET,
    ACTIONS(3459), 1,
      anon_sym_AMP,
    ACTIONS(3469), 1,
      anon_sym_DOT,
    ACTIONS(3478), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3480), 1,
      anon_sym_QMARK,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3449), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3463), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3465), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3467), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3451), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3123), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [38479] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2464), 1,
      anon_sym_LBRACE,
    ACTIONS(3244), 1,
      anon_sym_LPAREN2,
    STATE(1269), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1846), 1,
      sym_field_declaration_list,
    ACTIONS(2462), 2,
      anon_sym_STAR,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2466), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2446), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [38536] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2464), 1,
      anon_sym_LBRACE,
    ACTIONS(3244), 1,
      anon_sym_LPAREN2,
    STATE(1269), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1839), 1,
      sym_field_declaration_list,
    ACTIONS(2462), 2,
      anon_sym_STAR,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2466), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2446), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [38593] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3002), 1,
      anon_sym_DASH_GT,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3469), 1,
      anon_sym_DOT,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3016), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(3018), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [38652] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2464), 1,
      anon_sym_LBRACE,
    ACTIONS(3244), 1,
      anon_sym_LPAREN2,
    STATE(1269), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1849), 1,
      sym_field_declaration_list,
    ACTIONS(2462), 2,
      anon_sym_STAR,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2466), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2446), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [38709] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3002), 1,
      anon_sym_DASH_GT,
    ACTIONS(3097), 1,
      anon_sym_EQ,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3453), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3455), 1,
      anon_sym_PIPE,
    ACTIONS(3457), 1,
      anon_sym_CARET,
    ACTIONS(3459), 1,
      anon_sym_AMP,
    ACTIONS(3469), 1,
      anon_sym_DOT,
    ACTIONS(3478), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3480), 1,
      anon_sym_QMARK,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3449), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3463), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3465), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3467), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3451), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3095), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [38792] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2464), 1,
      anon_sym_LBRACE,
    ACTIONS(3244), 1,
      anon_sym_LPAREN2,
    STATE(1269), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1842), 1,
      sym_field_declaration_list,
    ACTIONS(2462), 2,
      anon_sym_STAR,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2466), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2446), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [38849] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3002), 1,
      anon_sym_DASH_GT,
    ACTIONS(3129), 1,
      anon_sym_EQ,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3453), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3455), 1,
      anon_sym_PIPE,
    ACTIONS(3457), 1,
      anon_sym_CARET,
    ACTIONS(3459), 1,
      anon_sym_AMP,
    ACTIONS(3469), 1,
      anon_sym_DOT,
    ACTIONS(3478), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3480), 1,
      anon_sym_QMARK,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3449), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3461), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3463), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3465), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3467), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3451), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3127), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [38932] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2464), 1,
      anon_sym_LBRACE,
    ACTIONS(3244), 1,
      anon_sym_LPAREN2,
    STATE(1269), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1850), 1,
      sym_field_declaration_list,
    ACTIONS(2462), 2,
      anon_sym_STAR,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2466), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2446), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [38989] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2464), 1,
      anon_sym_LBRACE,
    ACTIONS(3244), 1,
      anon_sym_LPAREN2,
    STATE(1269), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1843), 1,
      sym_field_declaration_list,
    ACTIONS(2462), 2,
      anon_sym_STAR,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2466), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2446), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [39046] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3002), 1,
      anon_sym_DASH_GT,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3469), 1,
      anon_sym_DOT,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3451), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3016), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(3018), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [39107] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2464), 1,
      anon_sym_LBRACE,
    ACTIONS(3244), 1,
      anon_sym_LPAREN2,
    STATE(1269), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1844), 1,
      sym_field_declaration_list,
    ACTIONS(2462), 2,
      anon_sym_STAR,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2466), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2446), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [39164] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2464), 1,
      anon_sym_LBRACE,
    ACTIONS(3244), 1,
      anon_sym_LPAREN2,
    STATE(1269), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1840), 1,
      sym_field_declaration_list,
    ACTIONS(2462), 2,
      anon_sym_STAR,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2466), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2446), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [39221] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1984), 1,
      anon_sym_LPAREN2,
    ACTIONS(1986), 1,
      anon_sym_STAR,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3447), 1,
      anon_sym_LBRACK,
    STATE(1573), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1825), 1,
      sym__declarator,
    STATE(2113), 1,
      sym__abstract_declarator,
    STATE(2155), 1,
      sym_parameter_list,
    STATE(2616), 1,
      sym_ms_based_modifier,
    ACTIONS(3445), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(3482), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(1331), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1434), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3443), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(2176), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [39300] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3002), 1,
      anon_sym_DASH_GT,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3469), 1,
      anon_sym_DOT,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3024), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(3026), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [39357] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3002), 1,
      anon_sym_DASH_GT,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3469), 1,
      anon_sym_DOT,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3012), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(3014), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [39416] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3002), 1,
      anon_sym_DASH_GT,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3469), 1,
      anon_sym_DOT,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3028), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(3030), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [39475] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3002), 1,
      anon_sym_DASH_GT,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3469), 1,
      anon_sym_DOT,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(2992), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(2994), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [39534] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2464), 1,
      anon_sym_LBRACE,
    ACTIONS(3244), 1,
      anon_sym_LPAREN2,
    STATE(1269), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1848), 1,
      sym_field_declaration_list,
    ACTIONS(2462), 2,
      anon_sym_STAR,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2466), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2446), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [39591] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3131), 1,
      anon_sym_EQ,
    ACTIONS(3133), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(2454), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(2448), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT,
  [39641] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3137), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(644), 1,
      sym_string_literal,
    ACTIONS(3484), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3135), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [39690] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3137), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(642), 1,
      sym_string_literal,
    ACTIONS(3484), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3135), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [39739] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3137), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(643), 1,
      sym_string_literal,
    ACTIONS(3484), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3135), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [39788] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3490), 1,
      anon_sym___attribute__,
    STATE(1257), 1,
      sym_attribute_specifier,
    ACTIONS(3488), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3486), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [39837] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3137), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(641), 1,
      sym_string_literal,
    ACTIONS(3484), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3135), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [39886] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3497), 1,
      anon_sym___attribute__,
    STATE(1274), 1,
      sym_attribute_specifier,
    ACTIONS(3495), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3493), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [39935] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3504), 1,
      anon_sym___attribute__,
    STATE(1284), 1,
      sym_attribute_specifier,
    ACTIONS(3502), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3500), 29,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [39984] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3137), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(640), 1,
      sym_string_literal,
    ACTIONS(3484), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3135), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [40033] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1537), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1539), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [40077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1579), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [40121] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1541), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1543), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [40165] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1477), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1479), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [40209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1533), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1535), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [40253] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1429), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1431), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [40297] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1477), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1479), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [40341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1549), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1551), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [40385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1469), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1471), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [40429] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1469), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1471), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [40473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1465), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1467), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [40517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1549), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1551), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [40561] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1547), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [40605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1449), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1451), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [40649] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1481), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1483), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [40693] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1585), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1587), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [40737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1581), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1583), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [40781] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1547), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [40825] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1481), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1483), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [40869] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1537), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1539), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [40913] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1581), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1583), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [40957] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1573), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1575), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [41001] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1449), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
    ACTIONS(1451), 19,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [41045] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3509), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3507), 32,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [41088] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3511), 1,
      sym_identifier,
    ACTIONS(3513), 1,
      anon_sym_LPAREN2,
    ACTIONS(3515), 1,
      anon_sym_STAR,
    ACTIONS(3519), 1,
      sym_primitive_type,
    STATE(1573), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1922), 1,
      sym__type_declarator,
    STATE(2628), 1,
      sym_ms_based_modifier,
    ACTIONS(3445), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1397), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1562), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3443), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(3517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2088), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [41157] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3511), 1,
      sym_identifier,
    ACTIONS(3513), 1,
      anon_sym_LPAREN2,
    ACTIONS(3515), 1,
      anon_sym_STAR,
    ACTIONS(3519), 1,
      sym_primitive_type,
    STATE(1573), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1925), 1,
      sym__type_declarator,
    STATE(2628), 1,
      sym_ms_based_modifier,
    ACTIONS(3445), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1451), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1554), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3443), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(3517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2088), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [41226] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3511), 1,
      sym_identifier,
    ACTIONS(3513), 1,
      anon_sym_LPAREN2,
    ACTIONS(3515), 1,
      anon_sym_STAR,
    ACTIONS(3519), 1,
      sym_primitive_type,
    STATE(1573), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1922), 1,
      sym__type_declarator,
    STATE(2628), 1,
      sym_ms_based_modifier,
    ACTIONS(3445), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1451), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1562), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3443), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(3517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2088), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [41295] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3511), 1,
      sym_identifier,
    ACTIONS(3513), 1,
      anon_sym_LPAREN2,
    ACTIONS(3515), 1,
      anon_sym_STAR,
    ACTIONS(3519), 1,
      sym_primitive_type,
    STATE(1573), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1927), 1,
      sym__type_declarator,
    STATE(2628), 1,
      sym_ms_based_modifier,
    ACTIONS(3445), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1398), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1571), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3443), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(3517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2088), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [41364] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3524), 1,
      anon_sym_LPAREN2,
    ACTIONS(3528), 1,
      anon_sym_LBRACK,
    STATE(1269), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(2462), 2,
      anon_sym_COMMA,
      anon_sym_STAR,
    ACTIONS(3521), 2,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2466), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2446), 23,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_identifier,
  [41416] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3129), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3535), 1,
      anon_sym_SLASH,
    ACTIONS(3537), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3539), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3541), 1,
      anon_sym_PIPE,
    ACTIONS(3543), 1,
      anon_sym_CARET,
    ACTIONS(3545), 1,
      anon_sym_AMP,
    ACTIONS(3555), 1,
      anon_sym_QMARK,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3531), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3533), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3547), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3549), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3551), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3553), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3127), 6,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [41493] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3097), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3535), 1,
      anon_sym_SLASH,
    ACTIONS(3537), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3539), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3541), 1,
      anon_sym_PIPE,
    ACTIONS(3543), 1,
      anon_sym_CARET,
    ACTIONS(3545), 1,
      anon_sym_AMP,
    ACTIONS(3555), 1,
      anon_sym_QMARK,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3531), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3533), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3547), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3549), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3551), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3553), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3095), 6,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [41570] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3125), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3535), 1,
      anon_sym_SLASH,
    ACTIONS(3537), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3539), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3541), 1,
      anon_sym_PIPE,
    ACTIONS(3543), 1,
      anon_sym_CARET,
    ACTIONS(3545), 1,
      anon_sym_AMP,
    ACTIONS(3555), 1,
      anon_sym_QMARK,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3531), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3533), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3547), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3549), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3551), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3553), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3123), 6,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [41647] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3535), 1,
      anon_sym_SLASH,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3533), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3016), 7,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3018), 16,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      sym_identifier,
  [41702] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3016), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3535), 1,
      anon_sym_SLASH,
    ACTIONS(3539), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3541), 1,
      anon_sym_PIPE,
    ACTIONS(3543), 1,
      anon_sym_CARET,
    ACTIONS(3545), 1,
      anon_sym_AMP,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3531), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3533), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3547), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3549), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3551), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3553), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3018), 8,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      sym_identifier,
  [41775] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3535), 1,
      anon_sym_SLASH,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3531), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3533), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3553), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3016), 5,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3018), 14,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      sym_identifier,
  [41834] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3016), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(3535), 1,
      anon_sym_SLASH,
    ACTIONS(3541), 1,
      anon_sym_PIPE,
    ACTIONS(3543), 1,
      anon_sym_CARET,
    ACTIONS(3545), 1,
      anon_sym_AMP,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3531), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3533), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3547), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3549), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3551), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3553), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3018), 9,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      sym_identifier,
  [41905] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3535), 1,
      anon_sym_SLASH,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3531), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3533), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3549), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3551), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3553), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3016), 3,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3018), 12,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      sym_identifier,
  [41968] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3535), 1,
      anon_sym_SLASH,
    ACTIONS(3537), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3539), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3541), 1,
      anon_sym_PIPE,
    ACTIONS(3543), 1,
      anon_sym_CARET,
    ACTIONS(3545), 1,
      anon_sym_AMP,
    ACTIONS(3555), 1,
      anon_sym_QMARK,
    ACTIONS(3559), 1,
      aux_sym_preproc_elif_token1,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3531), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3533), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3547), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3549), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3551), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3553), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3557), 6,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [42045] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3535), 1,
      anon_sym_SLASH,
    ACTIONS(3545), 1,
      anon_sym_AMP,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3016), 2,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
    ACTIONS(3531), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3533), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3547), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3549), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3551), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3553), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3018), 10,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
      sym_identifier,
  [42112] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3535), 1,
      anon_sym_SLASH,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3531), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3533), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3547), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3549), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3551), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3553), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3016), 3,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3018), 10,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
      sym_identifier,
  [42177] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3535), 1,
      anon_sym_SLASH,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3531), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3533), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3016), 5,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3018), 16,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      sym_identifier,
  [42234] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3535), 1,
      anon_sym_SLASH,
    ACTIONS(3543), 1,
      anon_sym_CARET,
    ACTIONS(3545), 1,
      anon_sym_AMP,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3016), 2,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
    ACTIONS(3531), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3533), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3547), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3549), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3551), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3553), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3018), 9,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      sym_identifier,
  [42303] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3067), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3561), 1,
      anon_sym_typedef,
    ACTIONS(3065), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [42345] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3067), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3563), 1,
      anon_sym_typedef,
    ACTIONS(3065), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [42387] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3067), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3565), 1,
      anon_sym_typedef,
    ACTIONS(3065), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [42429] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    ACTIONS(3573), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3575), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3577), 1,
      anon_sym_PIPE,
    ACTIONS(3579), 1,
      anon_sym_CARET,
    ACTIONS(3581), 1,
      anon_sym_AMP,
    ACTIONS(3591), 1,
      anon_sym_QMARK,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3583), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3123), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [42503] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    ACTIONS(3573), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3575), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3577), 1,
      anon_sym_PIPE,
    ACTIONS(3579), 1,
      anon_sym_CARET,
    ACTIONS(3581), 1,
      anon_sym_AMP,
    ACTIONS(3591), 1,
      anon_sym_QMARK,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3583), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3095), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [42577] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3067), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3593), 1,
      anon_sym_typedef,
    ACTIONS(3065), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [42619] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3016), 6,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3018), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [42673] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3067), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3595), 1,
      anon_sym_typedef,
    ACTIONS(3065), 30,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_auto,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [42715] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    ACTIONS(3573), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3575), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3577), 1,
      anon_sym_PIPE,
    ACTIONS(3579), 1,
      anon_sym_CARET,
    ACTIONS(3581), 1,
      anon_sym_AMP,
    ACTIONS(3591), 1,
      anon_sym_QMARK,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3583), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3127), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
  [42789] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3016), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3583), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3018), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [42853] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    ACTIONS(3575), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3577), 1,
      anon_sym_PIPE,
    ACTIONS(3579), 1,
      anon_sym_CARET,
    ACTIONS(3581), 1,
      anon_sym_AMP,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3583), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3018), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [42923] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3016), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3018), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [42985] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3016), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3018), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [43043] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3016), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3018), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [43099] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    ACTIONS(3577), 1,
      anon_sym_PIPE,
    ACTIONS(3579), 1,
      anon_sym_CARET,
    ACTIONS(3581), 1,
      anon_sym_AMP,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3583), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3018), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [43167] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3016), 1,
      anon_sym_PIPE,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    ACTIONS(3579), 1,
      anon_sym_CARET,
    ACTIONS(3581), 1,
      anon_sym_AMP,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3583), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3018), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [43235] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3016), 1,
      anon_sym_PIPE,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    ACTIONS(3581), 1,
      anon_sym_AMP,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3583), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3018), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
  [43301] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3232), 1,
      anon_sym_LBRACK,
    ACTIONS(3601), 1,
      anon_sym_SLASH,
    ACTIONS(3603), 1,
      anon_sym_PIPE,
    ACTIONS(3605), 1,
      anon_sym_CARET,
    ACTIONS(3607), 1,
      anon_sym_AMP,
    STATE(1303), 1,
      sym_argument_list,
    ACTIONS(3234), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3236), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3597), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3599), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3609), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3611), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3613), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3615), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3018), 8,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      sym_identifier,
  [43368] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3232), 1,
      anon_sym_LBRACK,
    ACTIONS(3601), 1,
      anon_sym_SLASH,
    ACTIONS(3603), 1,
      anon_sym_PIPE,
    ACTIONS(3605), 1,
      anon_sym_CARET,
    ACTIONS(3607), 1,
      anon_sym_AMP,
    ACTIONS(3617), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3621), 1,
      anon_sym_QMARK,
    STATE(1303), 1,
      sym_argument_list,
    ACTIONS(3234), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3236), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3597), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3599), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3609), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3611), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3613), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3615), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3123), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_identifier,
  [43441] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1984), 1,
      anon_sym_LPAREN2,
    ACTIONS(1986), 1,
      anon_sym_STAR,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3447), 1,
      anon_sym_LBRACK,
    STATE(1812), 1,
      sym__declarator,
    STATE(2132), 1,
      sym__abstract_declarator,
    STATE(2155), 1,
      sym_parameter_list,
    STATE(2616), 1,
      sym_ms_based_modifier,
    ACTIONS(3623), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(1549), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(2176), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [43504] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1984), 1,
      anon_sym_LPAREN2,
    ACTIONS(1986), 1,
      anon_sym_STAR,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3447), 1,
      anon_sym_LBRACK,
    STATE(1819), 1,
      sym__declarator,
    STATE(2095), 1,
      sym__abstract_declarator,
    STATE(2155), 1,
      sym_parameter_list,
    STATE(2616), 1,
      sym_ms_based_modifier,
    ACTIONS(3441), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(1549), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(2176), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [43567] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3232), 1,
      anon_sym_LBRACK,
    ACTIONS(3601), 1,
      anon_sym_SLASH,
    ACTIONS(3603), 1,
      anon_sym_PIPE,
    ACTIONS(3605), 1,
      anon_sym_CARET,
    ACTIONS(3607), 1,
      anon_sym_AMP,
    ACTIONS(3617), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3621), 1,
      anon_sym_QMARK,
    STATE(1303), 1,
      sym_argument_list,
    ACTIONS(3234), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3236), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3597), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3599), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3609), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3611), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3613), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3615), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3127), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_identifier,
  [43640] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3232), 1,
      anon_sym_LBRACK,
    ACTIONS(3601), 1,
      anon_sym_SLASH,
    ACTIONS(3603), 1,
      anon_sym_PIPE,
    ACTIONS(3605), 1,
      anon_sym_CARET,
    ACTIONS(3607), 1,
      anon_sym_AMP,
    ACTIONS(3617), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3621), 1,
      anon_sym_QMARK,
    STATE(1303), 1,
      sym_argument_list,
    ACTIONS(3234), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3236), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3597), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3599), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3609), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3611), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3613), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3615), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3557), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_identifier,
  [43713] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3232), 1,
      anon_sym_LBRACK,
    ACTIONS(3601), 1,
      anon_sym_SLASH,
    ACTIONS(3603), 1,
      anon_sym_PIPE,
    ACTIONS(3605), 1,
      anon_sym_CARET,
    ACTIONS(3607), 1,
      anon_sym_AMP,
    ACTIONS(3617), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3619), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3621), 1,
      anon_sym_QMARK,
    STATE(1303), 1,
      sym_argument_list,
    ACTIONS(3234), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3236), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3597), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3599), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3609), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3611), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3613), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3615), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3095), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_identifier,
  [43786] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3232), 1,
      anon_sym_LBRACK,
    ACTIONS(3601), 1,
      anon_sym_SLASH,
    STATE(1303), 1,
      sym_argument_list,
    ACTIONS(3234), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3236), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3599), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3016), 6,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3018), 15,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      sym_identifier,
  [43839] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_const,
    ACTIONS(2406), 1,
      anon_sym_LPAREN2,
    ACTIONS(2408), 1,
      anon_sym_STAR,
    ACTIONS(3443), 1,
      sym_ms_restrict_modifier,
    ACTIONS(3447), 1,
      anon_sym_LBRACK,
    STATE(1573), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(2113), 1,
      sym__abstract_declarator,
    STATE(2155), 1,
      sym_parameter_list,
    ACTIONS(3627), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(3629), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1445), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1581), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3482), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(2176), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(3625), 8,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [43904] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3232), 1,
      anon_sym_LBRACK,
    ACTIONS(3601), 1,
      anon_sym_SLASH,
    ACTIONS(3603), 1,
      anon_sym_PIPE,
    ACTIONS(3605), 1,
      anon_sym_CARET,
    ACTIONS(3607), 1,
      anon_sym_AMP,
    ACTIONS(3619), 1,
      anon_sym_AMP_AMP,
    STATE(1303), 1,
      sym_argument_list,
    ACTIONS(3234), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3236), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3597), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3599), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3609), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3611), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3613), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3615), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3018), 7,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      sym_identifier,
  [43973] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3016), 1,
      anon_sym_PIPE,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3232), 1,
      anon_sym_LBRACK,
    ACTIONS(3601), 1,
      anon_sym_SLASH,
    ACTIONS(3605), 1,
      anon_sym_CARET,
    ACTIONS(3607), 1,
      anon_sym_AMP,
    STATE(1303), 1,
      sym_argument_list,
    ACTIONS(3234), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3236), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3597), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3599), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3609), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3611), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3613), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3615), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3018), 8,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      sym_identifier,
  [44040] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3016), 1,
      anon_sym_PIPE,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3232), 1,
      anon_sym_LBRACK,
    ACTIONS(3601), 1,
      anon_sym_SLASH,
    ACTIONS(3607), 1,
      anon_sym_AMP,
    STATE(1303), 1,
      sym_argument_list,
    ACTIONS(3234), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3236), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3597), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3599), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3609), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3611), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3613), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3615), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3018), 9,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
      sym_identifier,
  [44105] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3232), 1,
      anon_sym_LBRACK,
    ACTIONS(3601), 1,
      anon_sym_SLASH,
    STATE(1303), 1,
      sym_argument_list,
    ACTIONS(3016), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3234), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3236), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3597), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3599), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3609), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3611), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3613), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3615), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3018), 9,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
      sym_identifier,
  [44168] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3232), 1,
      anon_sym_LBRACK,
    ACTIONS(3601), 1,
      anon_sym_SLASH,
    STATE(1303), 1,
      sym_argument_list,
    ACTIONS(3016), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3234), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3236), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3597), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3599), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3611), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3613), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3615), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3018), 11,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      sym_identifier,
  [44229] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_const,
    ACTIONS(2406), 1,
      anon_sym_LPAREN2,
    ACTIONS(2408), 1,
      anon_sym_STAR,
    ACTIONS(3443), 1,
      sym_ms_restrict_modifier,
    ACTIONS(3447), 1,
      anon_sym_LBRACK,
    STATE(1573), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(2095), 1,
      sym__abstract_declarator,
    STATE(2155), 1,
      sym_parameter_list,
    ACTIONS(3627), 2,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(3629), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1451), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1585), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3441), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(2176), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(3625), 8,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [44294] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3232), 1,
      anon_sym_LBRACK,
    ACTIONS(3601), 1,
      anon_sym_SLASH,
    STATE(1303), 1,
      sym_argument_list,
    ACTIONS(3234), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3236), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3597), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3599), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3615), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3016), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3018), 13,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_QMARK,
      sym_identifier,
  [44351] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3232), 1,
      anon_sym_LBRACK,
    ACTIONS(3601), 1,
      anon_sym_SLASH,
    STATE(1303), 1,
      sym_argument_list,
    ACTIONS(3234), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3236), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3597), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3599), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3016), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3018), 15,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      sym_identifier,
  [44406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3631), 11,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
    ACTIONS(3633), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
  [44444] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_LPAREN2,
    ACTIONS(3639), 1,
      anon_sym_STAR,
    STATE(1573), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1861), 1,
      sym__field_declarator,
    STATE(2845), 1,
      sym_ms_based_modifier,
    ACTIONS(3445), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1451), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1590), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3443), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1952), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [44504] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_LPAREN2,
    ACTIONS(3639), 1,
      anon_sym_STAR,
    STATE(1573), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1866), 1,
      sym__field_declarator,
    STATE(2845), 1,
      sym_ms_based_modifier,
    ACTIONS(3445), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1451), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1592), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3443), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1952), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [44564] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1573), 1,
      sym_ms_unaligned_ptr_modifier,
    ACTIONS(3648), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1451), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3645), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(3643), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(3641), 16,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [44610] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3651), 11,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
    ACTIONS(3653), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
  [44648] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    ACTIONS(3573), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3575), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3577), 1,
      anon_sym_PIPE,
    ACTIONS(3579), 1,
      anon_sym_CARET,
    ACTIONS(3581), 1,
      anon_sym_AMP,
    ACTIONS(3591), 1,
      anon_sym_QMARK,
    ACTIONS(3655), 1,
      anon_sym_COMMA,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3583), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3657), 3,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
  [44722] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_LPAREN2,
    ACTIONS(3639), 1,
      anon_sym_STAR,
    STATE(1573), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1902), 1,
      sym__field_declarator,
    STATE(2845), 1,
      sym_ms_based_modifier,
    ACTIONS(3445), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1450), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1591), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3443), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1952), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [44782] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1573), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1825), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    ACTIONS(3445), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1457), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1588), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3443), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [44842] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3663), 11,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
    ACTIONS(3665), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
  [44880] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1573), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1819), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    ACTIONS(3445), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1451), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1594), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3443), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [44940] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_LPAREN2,
    ACTIONS(3639), 1,
      anon_sym_STAR,
    STATE(1573), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1866), 1,
      sym__field_declarator,
    STATE(2845), 1,
      sym_ms_based_modifier,
    ACTIONS(3445), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1449), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1592), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3443), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1952), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [45000] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1573), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1819), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    ACTIONS(3445), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1460), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1594), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3443), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [45060] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1573), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(1812), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    ACTIONS(3445), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(1451), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(1596), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3443), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [45120] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3667), 11,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
    ACTIONS(3669), 19,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
  [45158] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    ACTIONS(3573), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3575), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3577), 1,
      anon_sym_PIPE,
    ACTIONS(3579), 1,
      anon_sym_CARET,
    ACTIONS(3581), 1,
      anon_sym_AMP,
    ACTIONS(3591), 1,
      anon_sym_QMARK,
    ACTIONS(3671), 1,
      anon_sym_COMMA,
    ACTIONS(3673), 1,
      anon_sym_RPAREN,
    STATE(1125), 1,
      sym_argument_list,
    STATE(2477), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3583), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45233] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    ACTIONS(3573), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3575), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3577), 1,
      anon_sym_PIPE,
    ACTIONS(3579), 1,
      anon_sym_CARET,
    ACTIONS(3581), 1,
      anon_sym_AMP,
    ACTIONS(3591), 1,
      anon_sym_QMARK,
    ACTIONS(3675), 1,
      anon_sym_COMMA,
    ACTIONS(3677), 1,
      anon_sym_RBRACE,
    STATE(1125), 1,
      sym_argument_list,
    STATE(2420), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3583), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45308] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    ACTIONS(3573), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3575), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3577), 1,
      anon_sym_PIPE,
    ACTIONS(3579), 1,
      anon_sym_CARET,
    ACTIONS(3581), 1,
      anon_sym_AMP,
    ACTIONS(3591), 1,
      anon_sym_QMARK,
    ACTIONS(3679), 1,
      anon_sym_COMMA,
    ACTIONS(3681), 1,
      anon_sym_RPAREN,
    STATE(1125), 1,
      sym_argument_list,
    STATE(2481), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3583), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45383] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    ACTIONS(3573), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3575), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3577), 1,
      anon_sym_PIPE,
    ACTIONS(3579), 1,
      anon_sym_CARET,
    ACTIONS(3581), 1,
      anon_sym_AMP,
    ACTIONS(3591), 1,
      anon_sym_QMARK,
    ACTIONS(3671), 1,
      anon_sym_COMMA,
    ACTIONS(3683), 1,
      anon_sym_RPAREN,
    STATE(1125), 1,
      sym_argument_list,
    STATE(2450), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3583), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45458] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    ACTIONS(3573), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3575), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3577), 1,
      anon_sym_PIPE,
    ACTIONS(3579), 1,
      anon_sym_CARET,
    ACTIONS(3581), 1,
      anon_sym_AMP,
    ACTIONS(3591), 1,
      anon_sym_QMARK,
    ACTIONS(3685), 1,
      anon_sym_COMMA,
    ACTIONS(3687), 1,
      anon_sym_RBRACE,
    STATE(1125), 1,
      sym_argument_list,
    STATE(2442), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3583), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45533] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    ACTIONS(3573), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3575), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3577), 1,
      anon_sym_PIPE,
    ACTIONS(3579), 1,
      anon_sym_CARET,
    ACTIONS(3581), 1,
      anon_sym_AMP,
    ACTIONS(3591), 1,
      anon_sym_QMARK,
    ACTIONS(3679), 1,
      anon_sym_COMMA,
    ACTIONS(3689), 1,
      anon_sym_RPAREN,
    STATE(1125), 1,
      sym_argument_list,
    STATE(2421), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3583), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45608] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    ACTIONS(3573), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3575), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3577), 1,
      anon_sym_PIPE,
    ACTIONS(3579), 1,
      anon_sym_CARET,
    ACTIONS(3581), 1,
      anon_sym_AMP,
    ACTIONS(3591), 1,
      anon_sym_QMARK,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3583), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3691), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [45679] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    ACTIONS(3573), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3575), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3577), 1,
      anon_sym_PIPE,
    ACTIONS(3579), 1,
      anon_sym_CARET,
    ACTIONS(3581), 1,
      anon_sym_AMP,
    ACTIONS(3591), 1,
      anon_sym_QMARK,
    ACTIONS(3671), 1,
      anon_sym_COMMA,
    ACTIONS(3693), 1,
      anon_sym_RPAREN,
    STATE(1125), 1,
      sym_argument_list,
    STATE(2392), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3583), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45754] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    ACTIONS(3573), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3575), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3577), 1,
      anon_sym_PIPE,
    ACTIONS(3579), 1,
      anon_sym_CARET,
    ACTIONS(3581), 1,
      anon_sym_AMP,
    ACTIONS(3591), 1,
      anon_sym_QMARK,
    ACTIONS(3671), 1,
      anon_sym_COMMA,
    ACTIONS(3695), 1,
      anon_sym_RPAREN,
    STATE(1125), 1,
      sym_argument_list,
    STATE(2362), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3583), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [45829] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    ACTIONS(3573), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3575), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3577), 1,
      anon_sym_PIPE,
    ACTIONS(3579), 1,
      anon_sym_CARET,
    ACTIONS(3581), 1,
      anon_sym_AMP,
    ACTIONS(3591), 1,
      anon_sym_QMARK,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3583), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3697), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [45899] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    ACTIONS(3573), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3575), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3577), 1,
      anon_sym_PIPE,
    ACTIONS(3579), 1,
      anon_sym_CARET,
    ACTIONS(3581), 1,
      anon_sym_AMP,
    ACTIONS(3591), 1,
      anon_sym_QMARK,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3583), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3699), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [45969] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    ACTIONS(3573), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3575), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3577), 1,
      anon_sym_PIPE,
    ACTIONS(3579), 1,
      anon_sym_CARET,
    ACTIONS(3581), 1,
      anon_sym_AMP,
    ACTIONS(3591), 1,
      anon_sym_QMARK,
    ACTIONS(3655), 1,
      anon_sym_COMMA,
    ACTIONS(3701), 1,
      anon_sym_COLON,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3583), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [46041] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    ACTIONS(3573), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3575), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3577), 1,
      anon_sym_PIPE,
    ACTIONS(3579), 1,
      anon_sym_CARET,
    ACTIONS(3581), 1,
      anon_sym_AMP,
    ACTIONS(3591), 1,
      anon_sym_QMARK,
    ACTIONS(3655), 1,
      anon_sym_COMMA,
    ACTIONS(3703), 1,
      anon_sym_COLON,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3583), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [46113] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(59), 1,
      anon_sym_struct,
    ACTIONS(61), 1,
      anon_sym_union,
    ACTIONS(2404), 1,
      anon_sym_enum,
    ACTIONS(3705), 1,
      sym_identifier,
    ACTIONS(3709), 1,
      sym_primitive_type,
    STATE(1642), 1,
      sym__type_specifier,
    STATE(1686), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1783), 1,
      sym__type_definition_type,
    STATE(1555), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3707), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1281), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [46169] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(59), 1,
      anon_sym_struct,
    ACTIONS(61), 1,
      anon_sym_union,
    ACTIONS(2404), 1,
      anon_sym_enum,
    ACTIONS(3705), 1,
      sym_identifier,
    ACTIONS(3709), 1,
      sym_primitive_type,
    STATE(1642), 1,
      sym__type_specifier,
    STATE(1686), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1784), 1,
      sym__type_definition_type,
    STATE(1555), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3707), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1281), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [46225] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    ACTIONS(3573), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3575), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3577), 1,
      anon_sym_PIPE,
    ACTIONS(3579), 1,
      anon_sym_CARET,
    ACTIONS(3581), 1,
      anon_sym_AMP,
    ACTIONS(3591), 1,
      anon_sym_QMARK,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3583), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3711), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [46295] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(59), 1,
      anon_sym_struct,
    ACTIONS(61), 1,
      anon_sym_union,
    ACTIONS(2404), 1,
      anon_sym_enum,
    ACTIONS(3705), 1,
      sym_identifier,
    ACTIONS(3709), 1,
      sym_primitive_type,
    STATE(1642), 1,
      sym__type_specifier,
    STATE(1686), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1782), 1,
      sym__type_definition_type,
    STATE(1555), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3707), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1281), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [46351] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    ACTIONS(3573), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3575), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3577), 1,
      anon_sym_PIPE,
    ACTIONS(3579), 1,
      anon_sym_CARET,
    ACTIONS(3581), 1,
      anon_sym_AMP,
    ACTIONS(3591), 1,
      anon_sym_QMARK,
    ACTIONS(3655), 1,
      anon_sym_COMMA,
    ACTIONS(3713), 1,
      anon_sym_SEMI,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3583), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [46423] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    ACTIONS(3573), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3575), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3577), 1,
      anon_sym_PIPE,
    ACTIONS(3579), 1,
      anon_sym_CARET,
    ACTIONS(3581), 1,
      anon_sym_AMP,
    ACTIONS(3591), 1,
      anon_sym_QMARK,
    ACTIONS(3655), 1,
      anon_sym_COMMA,
    ACTIONS(3715), 1,
      anon_sym_SEMI,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3583), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [46495] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3002), 1,
      anon_sym_DASH_GT,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3469), 1,
      anon_sym_DOT,
    ACTIONS(3721), 1,
      anon_sym_SLASH,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3717), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3719), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3016), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3018), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [46549] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3002), 1,
      anon_sym_DASH_GT,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3469), 1,
      anon_sym_DOT,
    ACTIONS(3721), 1,
      anon_sym_SLASH,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3717), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3719), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3723), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3016), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3018), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [46605] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    ACTIONS(3573), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3575), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3577), 1,
      anon_sym_PIPE,
    ACTIONS(3579), 1,
      anon_sym_CARET,
    ACTIONS(3581), 1,
      anon_sym_AMP,
    ACTIONS(3591), 1,
      anon_sym_QMARK,
    ACTIONS(3655), 1,
      anon_sym_COMMA,
    ACTIONS(3725), 1,
      anon_sym_SEMI,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3583), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [46677] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3002), 1,
      anon_sym_DASH_GT,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3469), 1,
      anon_sym_DOT,
    ACTIONS(3721), 1,
      anon_sym_SLASH,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3016), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3717), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3719), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3723), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3727), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3729), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3018), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [46737] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3002), 1,
      anon_sym_DASH_GT,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3469), 1,
      anon_sym_DOT,
    ACTIONS(3721), 1,
      anon_sym_SLASH,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3016), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3717), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3719), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3723), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3727), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3729), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3731), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3018), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [46799] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3002), 1,
      anon_sym_DASH_GT,
    ACTIONS(3016), 1,
      anon_sym_PIPE,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3469), 1,
      anon_sym_DOT,
    ACTIONS(3721), 1,
      anon_sym_SLASH,
    ACTIONS(3733), 1,
      anon_sym_AMP,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3717), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3719), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3723), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3727), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3729), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3731), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3018), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [46863] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3002), 1,
      anon_sym_DASH_GT,
    ACTIONS(3016), 1,
      anon_sym_PIPE,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3469), 1,
      anon_sym_DOT,
    ACTIONS(3721), 1,
      anon_sym_SLASH,
    ACTIONS(3733), 1,
      anon_sym_AMP,
    ACTIONS(3735), 1,
      anon_sym_CARET,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3717), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3719), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3723), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3727), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3729), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3731), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3018), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [46929] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3002), 1,
      anon_sym_DASH_GT,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3469), 1,
      anon_sym_DOT,
    ACTIONS(3721), 1,
      anon_sym_SLASH,
    ACTIONS(3733), 1,
      anon_sym_AMP,
    ACTIONS(3735), 1,
      anon_sym_CARET,
    ACTIONS(3737), 1,
      anon_sym_PIPE,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3717), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3719), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3723), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3727), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3729), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3731), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3018), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [46995] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3002), 1,
      anon_sym_DASH_GT,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3469), 1,
      anon_sym_DOT,
    ACTIONS(3721), 1,
      anon_sym_SLASH,
    ACTIONS(3733), 1,
      anon_sym_AMP,
    ACTIONS(3735), 1,
      anon_sym_CARET,
    ACTIONS(3737), 1,
      anon_sym_PIPE,
    ACTIONS(3739), 1,
      anon_sym_AMP_AMP,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3717), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3719), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3723), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3727), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3729), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3731), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3018), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [47063] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3002), 1,
      anon_sym_DASH_GT,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3469), 1,
      anon_sym_DOT,
    ACTIONS(3721), 1,
      anon_sym_SLASH,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3719), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3016), 6,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3018), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [47115] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    ACTIONS(3573), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3575), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3577), 1,
      anon_sym_PIPE,
    ACTIONS(3579), 1,
      anon_sym_CARET,
    ACTIONS(3581), 1,
      anon_sym_AMP,
    ACTIONS(3591), 1,
      anon_sym_QMARK,
    ACTIONS(3655), 1,
      anon_sym_COMMA,
    ACTIONS(3741), 1,
      anon_sym_COLON,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3583), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [47187] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      sym_primitive_type,
    ACTIONS(59), 1,
      anon_sym_struct,
    ACTIONS(61), 1,
      anon_sym_union,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(3743), 1,
      anon_sym_enum,
    STATE(1586), 1,
      sym__type_specifier,
    STATE(1589), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2674), 1,
      sym_type_descriptor,
    STATE(1566), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2402), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1281), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [47243] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    ACTIONS(3573), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3575), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3577), 1,
      anon_sym_PIPE,
    ACTIONS(3579), 1,
      anon_sym_CARET,
    ACTIONS(3581), 1,
      anon_sym_AMP,
    ACTIONS(3591), 1,
      anon_sym_QMARK,
    ACTIONS(3655), 1,
      anon_sym_COMMA,
    ACTIONS(3745), 1,
      anon_sym_COLON,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3583), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [47315] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3002), 1,
      anon_sym_DASH_GT,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3469), 1,
      anon_sym_DOT,
    ACTIONS(3721), 1,
      anon_sym_SLASH,
    ACTIONS(3733), 1,
      anon_sym_AMP,
    ACTIONS(3735), 1,
      anon_sym_CARET,
    ACTIONS(3737), 1,
      anon_sym_PIPE,
    ACTIONS(3739), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3747), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3749), 1,
      anon_sym_QMARK,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3123), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
    ACTIONS(3717), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3719), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3723), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3727), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3729), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3731), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [47387] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3002), 1,
      anon_sym_DASH_GT,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3469), 1,
      anon_sym_DOT,
    ACTIONS(3721), 1,
      anon_sym_SLASH,
    ACTIONS(3733), 1,
      anon_sym_AMP,
    ACTIONS(3735), 1,
      anon_sym_CARET,
    ACTIONS(3737), 1,
      anon_sym_PIPE,
    ACTIONS(3739), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3747), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3749), 1,
      anon_sym_QMARK,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3127), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
    ACTIONS(3717), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3719), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3723), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3727), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3729), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3731), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [47459] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(59), 1,
      anon_sym_struct,
    ACTIONS(61), 1,
      anon_sym_union,
    ACTIONS(2404), 1,
      anon_sym_enum,
    ACTIONS(3705), 1,
      sym_identifier,
    ACTIONS(3709), 1,
      sym_primitive_type,
    STATE(1642), 1,
      sym__type_specifier,
    STATE(1686), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1780), 1,
      sym__type_definition_type,
    STATE(1555), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3707), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1281), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [47515] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    ACTIONS(3573), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3575), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3577), 1,
      anon_sym_PIPE,
    ACTIONS(3579), 1,
      anon_sym_CARET,
    ACTIONS(3581), 1,
      anon_sym_AMP,
    ACTIONS(3591), 1,
      anon_sym_QMARK,
    ACTIONS(3655), 1,
      anon_sym_COMMA,
    ACTIONS(3751), 1,
      anon_sym_COLON,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3583), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [47587] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      sym_primitive_type,
    ACTIONS(59), 1,
      anon_sym_struct,
    ACTIONS(61), 1,
      anon_sym_union,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(2404), 1,
      anon_sym_enum,
    STATE(1586), 1,
      sym__type_specifier,
    STATE(1589), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2814), 1,
      sym_type_descriptor,
    STATE(1547), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2402), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1281), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [47643] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    ACTIONS(3573), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3575), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3577), 1,
      anon_sym_PIPE,
    ACTIONS(3579), 1,
      anon_sym_CARET,
    ACTIONS(3581), 1,
      anon_sym_AMP,
    ACTIONS(3591), 1,
      anon_sym_QMARK,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3583), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3753), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [47713] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3002), 1,
      anon_sym_DASH_GT,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3469), 1,
      anon_sym_DOT,
    ACTIONS(3721), 1,
      anon_sym_SLASH,
    ACTIONS(3733), 1,
      anon_sym_AMP,
    ACTIONS(3735), 1,
      anon_sym_CARET,
    ACTIONS(3737), 1,
      anon_sym_PIPE,
    ACTIONS(3739), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3747), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3749), 1,
      anon_sym_QMARK,
    ACTIONS(3755), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(3757), 1,
      anon_sym_RBRACK,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3717), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3719), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3723), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3727), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3729), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3731), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [47787] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    ACTIONS(3573), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3575), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3577), 1,
      anon_sym_PIPE,
    ACTIONS(3579), 1,
      anon_sym_CARET,
    ACTIONS(3581), 1,
      anon_sym_AMP,
    ACTIONS(3591), 1,
      anon_sym_QMARK,
    ACTIONS(3655), 1,
      anon_sym_COMMA,
    ACTIONS(3759), 1,
      anon_sym_RPAREN,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3583), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [47859] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(59), 1,
      anon_sym_struct,
    ACTIONS(61), 1,
      anon_sym_union,
    ACTIONS(2404), 1,
      anon_sym_enum,
    ACTIONS(3705), 1,
      sym_identifier,
    ACTIONS(3709), 1,
      sym_primitive_type,
    STATE(1642), 1,
      sym__type_specifier,
    STATE(1686), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1785), 1,
      sym__type_definition_type,
    STATE(1555), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3707), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1281), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [47915] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      sym_primitive_type,
    ACTIONS(59), 1,
      anon_sym_struct,
    ACTIONS(61), 1,
      anon_sym_union,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(3743), 1,
      anon_sym_enum,
    STATE(1586), 1,
      sym__type_specifier,
    STATE(1589), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2821), 1,
      sym_type_descriptor,
    STATE(1566), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2402), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1281), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [47971] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    ACTIONS(3573), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3575), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3577), 1,
      anon_sym_PIPE,
    ACTIONS(3579), 1,
      anon_sym_CARET,
    ACTIONS(3581), 1,
      anon_sym_AMP,
    ACTIONS(3591), 1,
      anon_sym_QMARK,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3583), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3761), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [48041] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    ACTIONS(3573), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3575), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3577), 1,
      anon_sym_PIPE,
    ACTIONS(3579), 1,
      anon_sym_CARET,
    ACTIONS(3581), 1,
      anon_sym_AMP,
    ACTIONS(3591), 1,
      anon_sym_QMARK,
    ACTIONS(3655), 1,
      anon_sym_COMMA,
    ACTIONS(3763), 1,
      anon_sym_SEMI,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3583), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [48113] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      sym_primitive_type,
    ACTIONS(59), 1,
      anon_sym_struct,
    ACTIONS(61), 1,
      anon_sym_union,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(2404), 1,
      anon_sym_enum,
    STATE(1586), 1,
      sym__type_specifier,
    STATE(1589), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2640), 1,
      sym_type_descriptor,
    STATE(1547), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2402), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1281), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [48169] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      sym_primitive_type,
    ACTIONS(59), 1,
      anon_sym_struct,
    ACTIONS(61), 1,
      anon_sym_union,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(2404), 1,
      anon_sym_enum,
    STATE(1586), 1,
      sym__type_specifier,
    STATE(1589), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2899), 1,
      sym_type_descriptor,
    STATE(1547), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2402), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1281), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [48225] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3002), 1,
      anon_sym_DASH_GT,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3469), 1,
      anon_sym_DOT,
    ACTIONS(3721), 1,
      anon_sym_SLASH,
    ACTIONS(3733), 1,
      anon_sym_AMP,
    ACTIONS(3735), 1,
      anon_sym_CARET,
    ACTIONS(3737), 1,
      anon_sym_PIPE,
    ACTIONS(3739), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3747), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3749), 1,
      anon_sym_QMARK,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3095), 2,
      anon_sym_DOT_DOT_DOT,
      anon_sym_RBRACK,
    ACTIONS(3717), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3719), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3723), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3727), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3729), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3731), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [48297] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    ACTIONS(3573), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3575), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3577), 1,
      anon_sym_PIPE,
    ACTIONS(3579), 1,
      anon_sym_CARET,
    ACTIONS(3581), 1,
      anon_sym_AMP,
    ACTIONS(3591), 1,
      anon_sym_QMARK,
    ACTIONS(3655), 1,
      anon_sym_COMMA,
    ACTIONS(3765), 1,
      anon_sym_RPAREN,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3583), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [48369] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      sym_primitive_type,
    ACTIONS(59), 1,
      anon_sym_struct,
    ACTIONS(61), 1,
      anon_sym_union,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(2404), 1,
      anon_sym_enum,
    STATE(1586), 1,
      sym__type_specifier,
    STATE(1589), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2898), 1,
      sym_type_descriptor,
    STATE(1547), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2402), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1281), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [48425] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    ACTIONS(3573), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3575), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3577), 1,
      anon_sym_PIPE,
    ACTIONS(3579), 1,
      anon_sym_CARET,
    ACTIONS(3581), 1,
      anon_sym_AMP,
    ACTIONS(3591), 1,
      anon_sym_QMARK,
    ACTIONS(3655), 1,
      anon_sym_COMMA,
    ACTIONS(3767), 1,
      anon_sym_COLON,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3583), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [48497] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    ACTIONS(3573), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3575), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3577), 1,
      anon_sym_PIPE,
    ACTIONS(3579), 1,
      anon_sym_CARET,
    ACTIONS(3581), 1,
      anon_sym_AMP,
    ACTIONS(3591), 1,
      anon_sym_QMARK,
    ACTIONS(3655), 1,
      anon_sym_COMMA,
    ACTIONS(3769), 1,
      anon_sym_COLON,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3583), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [48569] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    ACTIONS(3573), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3575), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3577), 1,
      anon_sym_PIPE,
    ACTIONS(3579), 1,
      anon_sym_CARET,
    ACTIONS(3581), 1,
      anon_sym_AMP,
    ACTIONS(3591), 1,
      anon_sym_QMARK,
    ACTIONS(3655), 1,
      anon_sym_COMMA,
    ACTIONS(3771), 1,
      anon_sym_SEMI,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3583), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [48641] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    ACTIONS(3573), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3575), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3577), 1,
      anon_sym_PIPE,
    ACTIONS(3579), 1,
      anon_sym_CARET,
    ACTIONS(3581), 1,
      anon_sym_AMP,
    ACTIONS(3591), 1,
      anon_sym_QMARK,
    ACTIONS(3655), 1,
      anon_sym_COMMA,
    ACTIONS(3773), 1,
      anon_sym_SEMI,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3583), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [48713] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    ACTIONS(3573), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3575), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3577), 1,
      anon_sym_PIPE,
    ACTIONS(3579), 1,
      anon_sym_CARET,
    ACTIONS(3581), 1,
      anon_sym_AMP,
    ACTIONS(3591), 1,
      anon_sym_QMARK,
    ACTIONS(3655), 1,
      anon_sym_COMMA,
    ACTIONS(3775), 1,
      anon_sym_SEMI,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3583), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [48785] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(59), 1,
      anon_sym_struct,
    ACTIONS(61), 1,
      anon_sym_union,
    ACTIONS(2404), 1,
      anon_sym_enum,
    ACTIONS(3705), 1,
      sym_identifier,
    ACTIONS(3709), 1,
      sym_primitive_type,
    STATE(1642), 1,
      sym__type_specifier,
    STATE(1686), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1788), 1,
      sym__type_definition_type,
    STATE(1555), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3707), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1281), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [48841] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    ACTIONS(3573), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3575), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3577), 1,
      anon_sym_PIPE,
    ACTIONS(3579), 1,
      anon_sym_CARET,
    ACTIONS(3581), 1,
      anon_sym_AMP,
    ACTIONS(3591), 1,
      anon_sym_QMARK,
    ACTIONS(3655), 1,
      anon_sym_COMMA,
    ACTIONS(3777), 1,
      anon_sym_SEMI,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3583), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [48913] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    ACTIONS(3573), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3575), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3577), 1,
      anon_sym_PIPE,
    ACTIONS(3579), 1,
      anon_sym_CARET,
    ACTIONS(3581), 1,
      anon_sym_AMP,
    ACTIONS(3591), 1,
      anon_sym_QMARK,
    ACTIONS(3655), 1,
      anon_sym_COMMA,
    ACTIONS(3779), 1,
      anon_sym_SEMI,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3583), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [48985] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    ACTIONS(3573), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3575), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3577), 1,
      anon_sym_PIPE,
    ACTIONS(3579), 1,
      anon_sym_CARET,
    ACTIONS(3581), 1,
      anon_sym_AMP,
    ACTIONS(3591), 1,
      anon_sym_QMARK,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3583), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3781), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [49055] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(59), 1,
      anon_sym_struct,
    ACTIONS(61), 1,
      anon_sym_union,
    ACTIONS(2404), 1,
      anon_sym_enum,
    ACTIONS(3705), 1,
      sym_identifier,
    ACTIONS(3709), 1,
      sym_primitive_type,
    STATE(1642), 1,
      sym__type_specifier,
    STATE(1686), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1790), 1,
      sym__type_definition_type,
    STATE(1555), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3707), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1281), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [49111] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    ACTIONS(3573), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3575), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3577), 1,
      anon_sym_PIPE,
    ACTIONS(3579), 1,
      anon_sym_CARET,
    ACTIONS(3581), 1,
      anon_sym_AMP,
    ACTIONS(3591), 1,
      anon_sym_QMARK,
    ACTIONS(3655), 1,
      anon_sym_COMMA,
    ACTIONS(3783), 1,
      anon_sym_RPAREN,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3583), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [49183] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    ACTIONS(3573), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3575), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3577), 1,
      anon_sym_PIPE,
    ACTIONS(3579), 1,
      anon_sym_CARET,
    ACTIONS(3581), 1,
      anon_sym_AMP,
    ACTIONS(3591), 1,
      anon_sym_QMARK,
    ACTIONS(3655), 1,
      anon_sym_COMMA,
    ACTIONS(3785), 1,
      anon_sym_SEMI,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3583), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [49255] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    ACTIONS(3573), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3575), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3577), 1,
      anon_sym_PIPE,
    ACTIONS(3579), 1,
      anon_sym_CARET,
    ACTIONS(3581), 1,
      anon_sym_AMP,
    ACTIONS(3591), 1,
      anon_sym_QMARK,
    ACTIONS(3655), 1,
      anon_sym_COMMA,
    ACTIONS(3787), 1,
      anon_sym_SEMI,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3583), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [49327] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(59), 1,
      anon_sym_struct,
    ACTIONS(61), 1,
      anon_sym_union,
    ACTIONS(2404), 1,
      anon_sym_enum,
    ACTIONS(3705), 1,
      sym_identifier,
    ACTIONS(3709), 1,
      sym_primitive_type,
    STATE(1642), 1,
      sym__type_specifier,
    STATE(1686), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1781), 1,
      sym__type_definition_type,
    STATE(1555), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3707), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1281), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [49383] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    ACTIONS(3573), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3575), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3577), 1,
      anon_sym_PIPE,
    ACTIONS(3579), 1,
      anon_sym_CARET,
    ACTIONS(3581), 1,
      anon_sym_AMP,
    ACTIONS(3591), 1,
      anon_sym_QMARK,
    ACTIONS(3655), 1,
      anon_sym_COMMA,
    ACTIONS(3789), 1,
      anon_sym_RPAREN,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3583), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [49455] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    ACTIONS(3573), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3575), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3577), 1,
      anon_sym_PIPE,
    ACTIONS(3579), 1,
      anon_sym_CARET,
    ACTIONS(3581), 1,
      anon_sym_AMP,
    ACTIONS(3591), 1,
      anon_sym_QMARK,
    ACTIONS(3655), 1,
      anon_sym_COMMA,
    ACTIONS(3791), 1,
      anon_sym_SEMI,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3583), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [49527] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      sym_primitive_type,
    ACTIONS(59), 1,
      anon_sym_struct,
    ACTIONS(61), 1,
      anon_sym_union,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(2404), 1,
      anon_sym_enum,
    STATE(1586), 1,
      sym__type_specifier,
    STATE(1589), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2892), 1,
      sym_type_descriptor,
    STATE(1547), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2402), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1281), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [49583] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    ACTIONS(3573), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3575), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3577), 1,
      anon_sym_PIPE,
    ACTIONS(3579), 1,
      anon_sym_CARET,
    ACTIONS(3581), 1,
      anon_sym_AMP,
    ACTIONS(3591), 1,
      anon_sym_QMARK,
    ACTIONS(3655), 1,
      anon_sym_COMMA,
    ACTIONS(3793), 1,
      anon_sym_RPAREN,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3583), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [49655] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    ACTIONS(3573), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3575), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3577), 1,
      anon_sym_PIPE,
    ACTIONS(3579), 1,
      anon_sym_CARET,
    ACTIONS(3581), 1,
      anon_sym_AMP,
    ACTIONS(3591), 1,
      anon_sym_QMARK,
    ACTIONS(3655), 1,
      anon_sym_COMMA,
    ACTIONS(3795), 1,
      anon_sym_RPAREN,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3583), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [49727] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(59), 1,
      anon_sym_struct,
    ACTIONS(61), 1,
      anon_sym_union,
    ACTIONS(2404), 1,
      anon_sym_enum,
    ACTIONS(3705), 1,
      sym_identifier,
    ACTIONS(3709), 1,
      sym_primitive_type,
    STATE(1642), 1,
      sym__type_specifier,
    STATE(1686), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1786), 1,
      sym__type_definition_type,
    STATE(1555), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3707), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1281), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [49783] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    ACTIONS(3573), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3575), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3577), 1,
      anon_sym_PIPE,
    ACTIONS(3579), 1,
      anon_sym_CARET,
    ACTIONS(3581), 1,
      anon_sym_AMP,
    ACTIONS(3591), 1,
      anon_sym_QMARK,
    ACTIONS(3655), 1,
      anon_sym_COMMA,
    ACTIONS(3797), 1,
      anon_sym_SEMI,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3583), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [49855] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      sym_primitive_type,
    ACTIONS(59), 1,
      anon_sym_struct,
    ACTIONS(61), 1,
      anon_sym_union,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(3743), 1,
      anon_sym_enum,
    STATE(1586), 1,
      sym__type_specifier,
    STATE(1589), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2787), 1,
      sym_type_descriptor,
    STATE(1566), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2402), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1281), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [49911] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(59), 1,
      anon_sym_struct,
    ACTIONS(61), 1,
      anon_sym_union,
    ACTIONS(2404), 1,
      anon_sym_enum,
    ACTIONS(3705), 1,
      sym_identifier,
    ACTIONS(3709), 1,
      sym_primitive_type,
    STATE(1642), 1,
      sym__type_specifier,
    STATE(1686), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1789), 1,
      sym__type_definition_type,
    STATE(1555), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3707), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1281), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [49967] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    ACTIONS(3573), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3575), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3577), 1,
      anon_sym_PIPE,
    ACTIONS(3579), 1,
      anon_sym_CARET,
    ACTIONS(3581), 1,
      anon_sym_AMP,
    ACTIONS(3591), 1,
      anon_sym_QMARK,
    ACTIONS(3655), 1,
      anon_sym_COMMA,
    ACTIONS(3799), 1,
      anon_sym_RPAREN,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3583), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [50039] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    ACTIONS(3573), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3575), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3577), 1,
      anon_sym_PIPE,
    ACTIONS(3579), 1,
      anon_sym_CARET,
    ACTIONS(3581), 1,
      anon_sym_AMP,
    ACTIONS(3591), 1,
      anon_sym_QMARK,
    ACTIONS(3655), 1,
      anon_sym_COMMA,
    ACTIONS(3801), 1,
      anon_sym_RPAREN,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3583), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [50111] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    ACTIONS(3573), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3575), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3577), 1,
      anon_sym_PIPE,
    ACTIONS(3579), 1,
      anon_sym_CARET,
    ACTIONS(3581), 1,
      anon_sym_AMP,
    ACTIONS(3591), 1,
      anon_sym_QMARK,
    ACTIONS(3655), 1,
      anon_sym_COMMA,
    ACTIONS(3803), 1,
      anon_sym_RPAREN,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3583), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [50183] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    ACTIONS(3573), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3575), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3577), 1,
      anon_sym_PIPE,
    ACTIONS(3579), 1,
      anon_sym_CARET,
    ACTIONS(3581), 1,
      anon_sym_AMP,
    ACTIONS(3591), 1,
      anon_sym_QMARK,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3583), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3805), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [50253] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    ACTIONS(3573), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3575), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3577), 1,
      anon_sym_PIPE,
    ACTIONS(3579), 1,
      anon_sym_CARET,
    ACTIONS(3581), 1,
      anon_sym_AMP,
    ACTIONS(3591), 1,
      anon_sym_QMARK,
    ACTIONS(3655), 1,
      anon_sym_COMMA,
    ACTIONS(3807), 1,
      anon_sym_COLON,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3583), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [50325] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    ACTIONS(3573), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3575), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3577), 1,
      anon_sym_PIPE,
    ACTIONS(3579), 1,
      anon_sym_CARET,
    ACTIONS(3581), 1,
      anon_sym_AMP,
    ACTIONS(3591), 1,
      anon_sym_QMARK,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3583), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3809), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [50395] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    ACTIONS(3573), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3575), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3577), 1,
      anon_sym_PIPE,
    ACTIONS(3579), 1,
      anon_sym_CARET,
    ACTIONS(3581), 1,
      anon_sym_AMP,
    ACTIONS(3591), 1,
      anon_sym_QMARK,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3557), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3583), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [50465] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    ACTIONS(3573), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3575), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3577), 1,
      anon_sym_PIPE,
    ACTIONS(3579), 1,
      anon_sym_CARET,
    ACTIONS(3581), 1,
      anon_sym_AMP,
    ACTIONS(3591), 1,
      anon_sym_QMARK,
    ACTIONS(3655), 1,
      anon_sym_COMMA,
    ACTIONS(3811), 1,
      anon_sym_SEMI,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3583), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [50537] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2791), 1,
      anon_sym_RBRACK,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3721), 1,
      anon_sym_SLASH,
    ACTIONS(3733), 1,
      anon_sym_AMP,
    ACTIONS(3735), 1,
      anon_sym_CARET,
    ACTIONS(3737), 1,
      anon_sym_PIPE,
    ACTIONS(3739), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3747), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3749), 1,
      anon_sym_QMARK,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3717), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3719), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3723), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3727), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3729), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3731), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [50606] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3721), 1,
      anon_sym_SLASH,
    ACTIONS(3733), 1,
      anon_sym_AMP,
    ACTIONS(3735), 1,
      anon_sym_CARET,
    ACTIONS(3737), 1,
      anon_sym_PIPE,
    ACTIONS(3739), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3747), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3749), 1,
      anon_sym_QMARK,
    ACTIONS(3813), 1,
      anon_sym_RBRACK,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3717), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3719), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3723), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3727), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3729), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3731), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [50675] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    ACTIONS(3573), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3575), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3577), 1,
      anon_sym_PIPE,
    ACTIONS(3579), 1,
      anon_sym_CARET,
    ACTIONS(3581), 1,
      anon_sym_AMP,
    ACTIONS(3591), 1,
      anon_sym_QMARK,
    ACTIONS(3815), 1,
      anon_sym_COMMA,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3583), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [50744] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    ACTIONS(3573), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3575), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3577), 1,
      anon_sym_PIPE,
    ACTIONS(3579), 1,
      anon_sym_CARET,
    ACTIONS(3581), 1,
      anon_sym_AMP,
    ACTIONS(3591), 1,
      anon_sym_QMARK,
    ACTIONS(3817), 1,
      anon_sym_COMMA,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3583), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [50813] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    ACTIONS(3573), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3575), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3577), 1,
      anon_sym_PIPE,
    ACTIONS(3579), 1,
      anon_sym_CARET,
    ACTIONS(3581), 1,
      anon_sym_AMP,
    ACTIONS(3591), 1,
      anon_sym_QMARK,
    ACTIONS(3819), 1,
      anon_sym_RPAREN,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3583), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [50882] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      sym_primitive_type,
    ACTIONS(59), 1,
      anon_sym_struct,
    ACTIONS(61), 1,
      anon_sym_union,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(2404), 1,
      anon_sym_enum,
    STATE(1582), 1,
      sym__type_specifier,
    STATE(1589), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1549), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2402), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1281), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [50935] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3721), 1,
      anon_sym_SLASH,
    ACTIONS(3733), 1,
      anon_sym_AMP,
    ACTIONS(3735), 1,
      anon_sym_CARET,
    ACTIONS(3737), 1,
      anon_sym_PIPE,
    ACTIONS(3739), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3747), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3749), 1,
      anon_sym_QMARK,
    ACTIONS(3821), 1,
      anon_sym_RBRACK,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3717), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3719), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3723), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3727), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3729), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3731), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [51004] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1549), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3060), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(3823), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
    ACTIONS(3058), 10,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
  [51043] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2785), 1,
      anon_sym_RBRACK,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3721), 1,
      anon_sym_SLASH,
    ACTIONS(3733), 1,
      anon_sym_AMP,
    ACTIONS(3735), 1,
      anon_sym_CARET,
    ACTIONS(3737), 1,
      anon_sym_PIPE,
    ACTIONS(3739), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3747), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3749), 1,
      anon_sym_QMARK,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3717), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3719), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3723), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3727), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3729), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3731), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [51112] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    ACTIONS(3573), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3575), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3577), 1,
      anon_sym_PIPE,
    ACTIONS(3579), 1,
      anon_sym_CARET,
    ACTIONS(3581), 1,
      anon_sym_AMP,
    ACTIONS(3591), 1,
      anon_sym_QMARK,
    ACTIONS(3826), 1,
      anon_sym_RPAREN,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3583), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51181] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    ACTIONS(3573), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3575), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3577), 1,
      anon_sym_PIPE,
    ACTIONS(3579), 1,
      anon_sym_CARET,
    ACTIONS(3581), 1,
      anon_sym_AMP,
    ACTIONS(3591), 1,
      anon_sym_QMARK,
    ACTIONS(3828), 1,
      anon_sym_COLON,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3583), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51250] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2787), 1,
      anon_sym_RBRACK,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3721), 1,
      anon_sym_SLASH,
    ACTIONS(3733), 1,
      anon_sym_AMP,
    ACTIONS(3735), 1,
      anon_sym_CARET,
    ACTIONS(3737), 1,
      anon_sym_PIPE,
    ACTIONS(3739), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3747), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3749), 1,
      anon_sym_QMARK,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3717), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3719), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3723), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3727), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3729), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3731), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [51319] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3511), 1,
      sym_identifier,
    ACTIONS(3513), 1,
      anon_sym_LPAREN2,
    ACTIONS(3515), 1,
      anon_sym_STAR,
    ACTIONS(3519), 1,
      sym_primitive_type,
    STATE(1920), 1,
      sym__type_declarator,
    STATE(2628), 1,
      sym_ms_based_modifier,
    STATE(1549), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2088), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [51372] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(59), 1,
      anon_sym_struct,
    ACTIONS(61), 1,
      anon_sym_union,
    ACTIONS(2404), 1,
      anon_sym_enum,
    ACTIONS(3705), 1,
      sym_identifier,
    ACTIONS(3709), 1,
      sym_primitive_type,
    STATE(1660), 1,
      sym__type_specifier,
    STATE(1686), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1549), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3707), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1281), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [51425] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2797), 1,
      anon_sym_RBRACK,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3721), 1,
      anon_sym_SLASH,
    ACTIONS(3733), 1,
      anon_sym_AMP,
    ACTIONS(3735), 1,
      anon_sym_CARET,
    ACTIONS(3737), 1,
      anon_sym_PIPE,
    ACTIONS(3739), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3747), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3749), 1,
      anon_sym_QMARK,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3717), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3719), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3723), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3727), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3729), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3731), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [51494] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2803), 1,
      anon_sym_RBRACK,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3721), 1,
      anon_sym_SLASH,
    ACTIONS(3733), 1,
      anon_sym_AMP,
    ACTIONS(3735), 1,
      anon_sym_CARET,
    ACTIONS(3737), 1,
      anon_sym_PIPE,
    ACTIONS(3739), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3747), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3749), 1,
      anon_sym_QMARK,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3717), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3719), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3723), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3727), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3729), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3731), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [51563] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    ACTIONS(3573), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3575), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3577), 1,
      anon_sym_PIPE,
    ACTIONS(3579), 1,
      anon_sym_CARET,
    ACTIONS(3581), 1,
      anon_sym_AMP,
    ACTIONS(3591), 1,
      anon_sym_QMARK,
    ACTIONS(3830), 1,
      anon_sym_COLON,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3583), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51632] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2789), 1,
      anon_sym_RBRACK,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3721), 1,
      anon_sym_SLASH,
    ACTIONS(3733), 1,
      anon_sym_AMP,
    ACTIONS(3735), 1,
      anon_sym_CARET,
    ACTIONS(3737), 1,
      anon_sym_PIPE,
    ACTIONS(3739), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3747), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3749), 1,
      anon_sym_QMARK,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3717), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3719), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3723), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3727), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3729), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3731), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [51701] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    ACTIONS(3573), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3575), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3577), 1,
      anon_sym_PIPE,
    ACTIONS(3579), 1,
      anon_sym_CARET,
    ACTIONS(3581), 1,
      anon_sym_AMP,
    ACTIONS(3591), 1,
      anon_sym_QMARK,
    ACTIONS(3832), 1,
      anon_sym_COLON,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3583), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51770] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    ACTIONS(3573), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3575), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3577), 1,
      anon_sym_PIPE,
    ACTIONS(3579), 1,
      anon_sym_CARET,
    ACTIONS(3581), 1,
      anon_sym_AMP,
    ACTIONS(3591), 1,
      anon_sym_QMARK,
    ACTIONS(3834), 1,
      anon_sym_COLON,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3583), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [51839] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3511), 1,
      sym_identifier,
    ACTIONS(3513), 1,
      anon_sym_LPAREN2,
    ACTIONS(3515), 1,
      anon_sym_STAR,
    ACTIONS(3519), 1,
      sym_primitive_type,
    STATE(1925), 1,
      sym__type_declarator,
    STATE(2628), 1,
      sym_ms_based_modifier,
    STATE(1549), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2088), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [51892] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2795), 1,
      anon_sym_RBRACK,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3721), 1,
      anon_sym_SLASH,
    ACTIONS(3733), 1,
      anon_sym_AMP,
    ACTIONS(3735), 1,
      anon_sym_CARET,
    ACTIONS(3737), 1,
      anon_sym_PIPE,
    ACTIONS(3739), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3747), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3749), 1,
      anon_sym_QMARK,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3717), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3719), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3723), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3727), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3729), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3731), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [51961] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    ACTIONS(3573), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3575), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3577), 1,
      anon_sym_PIPE,
    ACTIONS(3579), 1,
      anon_sym_CARET,
    ACTIONS(3581), 1,
      anon_sym_AMP,
    ACTIONS(3591), 1,
      anon_sym_QMARK,
    ACTIONS(3836), 1,
      anon_sym_COLON,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3583), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [52030] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2801), 1,
      anon_sym_RBRACK,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3721), 1,
      anon_sym_SLASH,
    ACTIONS(3733), 1,
      anon_sym_AMP,
    ACTIONS(3735), 1,
      anon_sym_CARET,
    ACTIONS(3737), 1,
      anon_sym_PIPE,
    ACTIONS(3739), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3747), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3749), 1,
      anon_sym_QMARK,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3717), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3719), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3723), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3727), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3729), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3731), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [52099] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(55), 1,
      sym_primitive_type,
    ACTIONS(59), 1,
      anon_sym_struct,
    ACTIONS(61), 1,
      anon_sym_union,
    ACTIONS(1739), 1,
      sym_identifier,
    ACTIONS(3743), 1,
      anon_sym_enum,
    STATE(1582), 1,
      sym__type_specifier,
    STATE(1589), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(1549), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2402), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(1281), 5,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_macro_type_specifier,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [52152] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2793), 1,
      anon_sym_RBRACK,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3721), 1,
      anon_sym_SLASH,
    ACTIONS(3733), 1,
      anon_sym_AMP,
    ACTIONS(3735), 1,
      anon_sym_CARET,
    ACTIONS(3737), 1,
      anon_sym_PIPE,
    ACTIONS(3739), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3747), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3749), 1,
      anon_sym_QMARK,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3717), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3719), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3723), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3727), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3729), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3731), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [52221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3840), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(3838), 21,
      anon_sym___extension__,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [52256] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    ACTIONS(3573), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3575), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3577), 1,
      anon_sym_PIPE,
    ACTIONS(3579), 1,
      anon_sym_CARET,
    ACTIONS(3581), 1,
      anon_sym_AMP,
    ACTIONS(3591), 1,
      anon_sym_QMARK,
    ACTIONS(3842), 1,
      anon_sym_COLON,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3583), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [52325] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3721), 1,
      anon_sym_SLASH,
    ACTIONS(3733), 1,
      anon_sym_AMP,
    ACTIONS(3735), 1,
      anon_sym_CARET,
    ACTIONS(3737), 1,
      anon_sym_PIPE,
    ACTIONS(3739), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3747), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3749), 1,
      anon_sym_QMARK,
    ACTIONS(3844), 1,
      anon_sym_RBRACK,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3717), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3719), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3723), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3727), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3729), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3731), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [52394] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3511), 1,
      sym_identifier,
    ACTIONS(3513), 1,
      anon_sym_LPAREN2,
    ACTIONS(3515), 1,
      anon_sym_STAR,
    ACTIONS(3519), 1,
      sym_primitive_type,
    STATE(1922), 1,
      sym__type_declarator,
    STATE(2628), 1,
      sym_ms_based_modifier,
    STATE(1549), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2088), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [52447] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2799), 1,
      anon_sym_RBRACK,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3226), 1,
      anon_sym_LPAREN2,
    ACTIONS(3721), 1,
      anon_sym_SLASH,
    ACTIONS(3733), 1,
      anon_sym_AMP,
    ACTIONS(3735), 1,
      anon_sym_CARET,
    ACTIONS(3737), 1,
      anon_sym_PIPE,
    ACTIONS(3739), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3747), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3749), 1,
      anon_sym_QMARK,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3717), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3719), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3723), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3727), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3729), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3731), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [52516] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3848), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(3846), 21,
      anon_sym___extension__,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [52551] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(3427), 1,
      anon_sym_LBRACE,
    STATE(1280), 1,
      sym_attribute_specifier,
    STATE(1579), 1,
      sym_enumerator_list,
    ACTIONS(3473), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(3471), 16,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [52593] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3850), 1,
      anon_sym_SEMI,
    ACTIONS(2940), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2942), 18,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT,
      anon_sym_DASH_GT,
  [52629] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(2998), 1,
      anon_sym_LBRACK,
    ACTIONS(3571), 1,
      anon_sym_SLASH,
    ACTIONS(3573), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3575), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3577), 1,
      anon_sym_PIPE,
    ACTIONS(3579), 1,
      anon_sym_CARET,
    ACTIONS(3581), 1,
      anon_sym_AMP,
    ACTIONS(3591), 1,
      anon_sym_QMARK,
    STATE(1125), 1,
      sym_argument_list,
    ACTIONS(3000), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(3002), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3567), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3569), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3583), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3585), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3587), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3589), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [52695] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(3427), 1,
      anon_sym_LBRACE,
    ACTIONS(3852), 1,
      anon_sym_COLON,
    STATE(1279), 1,
      sym_attribute_specifier,
    STATE(1578), 1,
      sym_enumerator_list,
    ACTIONS(3422), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
    ACTIONS(3420), 16,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [52739] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(1274), 1,
      sym_attribute_specifier,
    ACTIONS(3495), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(3493), 16,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [52775] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(1257), 1,
      sym_attribute_specifier,
    ACTIONS(3488), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(3486), 16,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [52811] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(1284), 1,
      sym_attribute_specifier,
    ACTIONS(3502), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(3500), 16,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [52847] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_const,
    ACTIONS(2406), 1,
      anon_sym_LPAREN2,
    ACTIONS(2408), 1,
      anon_sym_STAR,
    ACTIONS(3447), 1,
      anon_sym_LBRACK,
    STATE(2095), 1,
      sym__abstract_declarator,
    STATE(2155), 1,
      sym_parameter_list,
    STATE(1549), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3441), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(2176), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(3625), 8,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [52894] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_const,
    ACTIONS(2406), 1,
      anon_sym_LPAREN2,
    ACTIONS(2408), 1,
      anon_sym_STAR,
    ACTIONS(3447), 1,
      anon_sym_LBRACK,
    STATE(2094), 1,
      sym__abstract_declarator,
    STATE(2155), 1,
      sym_parameter_list,
    STATE(1584), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3854), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(2176), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(3625), 8,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [52941] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_const,
    ACTIONS(2406), 1,
      anon_sym_LPAREN2,
    ACTIONS(2408), 1,
      anon_sym_STAR,
    ACTIONS(3447), 1,
      anon_sym_LBRACK,
    STATE(2120), 1,
      sym__abstract_declarator,
    STATE(2155), 1,
      sym_parameter_list,
    STATE(1549), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3856), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(2176), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(3625), 8,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [52988] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_const,
    ACTIONS(2406), 1,
      anon_sym_LPAREN2,
    ACTIONS(2408), 1,
      anon_sym_STAR,
    ACTIONS(3447), 1,
      anon_sym_LBRACK,
    STATE(2135), 1,
      sym__abstract_declarator,
    STATE(2155), 1,
      sym_parameter_list,
    STATE(1549), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3858), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(2176), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(3625), 8,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [53035] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_const,
    ACTIONS(2406), 1,
      anon_sym_LPAREN2,
    ACTIONS(2408), 1,
      anon_sym_STAR,
    ACTIONS(3447), 1,
      anon_sym_LBRACK,
    STATE(2132), 1,
      sym__abstract_declarator,
    STATE(2155), 1,
      sym_parameter_list,
    STATE(1549), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3623), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(2176), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(3625), 8,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [53082] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_const,
    ACTIONS(2406), 1,
      anon_sym_LPAREN2,
    ACTIONS(2408), 1,
      anon_sym_STAR,
    ACTIONS(3447), 1,
      anon_sym_LBRACK,
    STATE(2115), 1,
      sym__abstract_declarator,
    STATE(2155), 1,
      sym_parameter_list,
    STATE(1583), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3860), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(2176), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    ACTIONS(3625), 8,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [53129] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3511), 1,
      sym_identifier,
    ACTIONS(3513), 1,
      anon_sym_LPAREN2,
    ACTIONS(3515), 1,
      anon_sym_STAR,
    ACTIONS(3519), 1,
      sym_primitive_type,
    STATE(1791), 1,
      sym_ms_call_modifier,
    STATE(2075), 1,
      sym__type_declarator,
    STATE(2628), 1,
      sym_ms_based_modifier,
    ACTIONS(3517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2088), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [53178] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1819), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1549), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [53222] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3412), 1,
      sym_primitive_type,
    ACTIONS(3862), 1,
      sym_identifier,
    STATE(1595), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3864), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3406), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(3408), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [53260] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_LPAREN2,
    ACTIONS(3639), 1,
      anon_sym_STAR,
    STATE(1906), 1,
      sym__field_declarator,
    STATE(2845), 1,
      sym_ms_based_modifier,
    STATE(1549), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1952), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [53304] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_LPAREN2,
    ACTIONS(3639), 1,
      anon_sym_STAR,
    STATE(1866), 1,
      sym__field_declarator,
    STATE(2845), 1,
      sym_ms_based_modifier,
    STATE(1549), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1952), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [53348] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_LPAREN2,
    ACTIONS(3639), 1,
      anon_sym_STAR,
    STATE(1861), 1,
      sym__field_declarator,
    STATE(2845), 1,
      sym_ms_based_modifier,
    STATE(1549), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1952), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [53392] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3868), 1,
      anon_sym_LPAREN2,
    STATE(1461), 1,
      sym_preproc_argument_list,
    ACTIONS(3870), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3866), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [53426] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1812), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1549), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [53470] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1220), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3183), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(3187), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3260), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(3257), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [53506] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1813), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1549), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [53550] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    ACTIONS(3872), 1,
      sym_identifier,
    STATE(1820), 1,
      sym_ms_call_modifier,
    STATE(1917), 1,
      sym_function_declarator,
    STATE(2092), 1,
      sym__declarator,
    STATE(2164), 1,
      sym__declaration_declarator,
    STATE(2252), 1,
      sym__function_declaration_declarator,
    STATE(2527), 1,
      sym_init_declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1930), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [53601] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    ACTIONS(3872), 1,
      sym_identifier,
    STATE(1830), 1,
      sym_ms_call_modifier,
    STATE(1917), 1,
      sym_function_declarator,
    STATE(2092), 1,
      sym__declarator,
    STATE(2104), 1,
      sym__declaration_declarator,
    STATE(2252), 1,
      sym__function_declaration_declarator,
    STATE(2304), 1,
      sym_init_declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1930), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [53652] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    ACTIONS(3872), 1,
      sym_identifier,
    STATE(1815), 1,
      sym_ms_call_modifier,
    STATE(1917), 1,
      sym_function_declarator,
    STATE(2092), 1,
      sym__declarator,
    STATE(2149), 1,
      sym__declaration_declarator,
    STATE(2252), 1,
      sym__function_declaration_declarator,
    STATE(2308), 1,
      sym_init_declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1930), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [53703] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3874), 1,
      sym_identifier,
    ACTIONS(3876), 1,
      anon_sym_RPAREN,
    ACTIONS(3878), 1,
      anon_sym_LPAREN2,
    ACTIONS(3880), 1,
      anon_sym_defined,
    ACTIONS(3886), 1,
      sym_number_literal,
    ACTIONS(3882), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3884), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3888), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1613), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [53746] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    ACTIONS(3872), 1,
      sym_identifier,
    STATE(1835), 1,
      sym_ms_call_modifier,
    STATE(1917), 1,
      sym_function_declarator,
    STATE(2092), 1,
      sym__declarator,
    STATE(2103), 1,
      sym__declaration_declarator,
    STATE(2252), 1,
      sym__function_declaration_declarator,
    STATE(2336), 1,
      sym_init_declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1930), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [53797] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    ACTIONS(3872), 1,
      sym_identifier,
    STATE(1823), 1,
      sym_ms_call_modifier,
    STATE(1917), 1,
      sym_function_declarator,
    STATE(2092), 1,
      sym__declarator,
    STATE(2144), 1,
      sym__declaration_declarator,
    STATE(2252), 1,
      sym__function_declaration_declarator,
    STATE(2460), 1,
      sym_init_declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1930), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [53848] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    ACTIONS(3872), 1,
      sym_identifier,
    STATE(1822), 1,
      sym_ms_call_modifier,
    STATE(1917), 1,
      sym_function_declarator,
    STATE(1932), 1,
      sym__declarator,
    STATE(2134), 1,
      sym__declaration_declarator,
    STATE(2252), 1,
      sym__function_declaration_declarator,
    STATE(2321), 1,
      sym_init_declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1930), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [53899] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    ACTIONS(3872), 1,
      sym_identifier,
    STATE(1821), 1,
      sym_ms_call_modifier,
    STATE(1917), 1,
      sym_function_declarator,
    STATE(1933), 1,
      sym__declarator,
    STATE(2126), 1,
      sym__declaration_declarator,
    STATE(2252), 1,
      sym__function_declaration_declarator,
    STATE(2480), 1,
      sym_init_declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1930), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [53950] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    ACTIONS(3872), 1,
      sym_identifier,
    STATE(1824), 1,
      sym_ms_call_modifier,
    STATE(1917), 1,
      sym_function_declarator,
    STATE(2092), 1,
      sym__declarator,
    STATE(2100), 1,
      sym__declaration_declarator,
    STATE(2252), 1,
      sym__function_declaration_declarator,
    STATE(2402), 1,
      sym_init_declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1930), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [54001] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    ACTIONS(3872), 1,
      sym_identifier,
    STATE(1814), 1,
      sym_ms_call_modifier,
    STATE(1917), 1,
      sym_function_declarator,
    STATE(1935), 1,
      sym__declarator,
    STATE(2100), 1,
      sym__declaration_declarator,
    STATE(2252), 1,
      sym__function_declaration_declarator,
    STATE(2402), 1,
      sym_init_declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1930), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [54052] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3890), 1,
      anon_sym_COMMA,
    ACTIONS(3892), 1,
      anon_sym_RPAREN,
    ACTIONS(3898), 1,
      anon_sym_SLASH,
    ACTIONS(3900), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3902), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3904), 1,
      anon_sym_PIPE,
    ACTIONS(3906), 1,
      anon_sym_CARET,
    ACTIONS(3908), 1,
      anon_sym_AMP,
    STATE(2316), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(3894), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3896), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3910), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3912), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3914), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3916), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [54107] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    ACTIONS(3872), 1,
      sym_identifier,
    STATE(1831), 1,
      sym_ms_call_modifier,
    STATE(1917), 1,
      sym_function_declarator,
    STATE(2092), 1,
      sym__declarator,
    STATE(2134), 1,
      sym__declaration_declarator,
    STATE(2252), 1,
      sym__function_declaration_declarator,
    STATE(2321), 1,
      sym_init_declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1930), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [54158] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    ACTIONS(3872), 1,
      sym_identifier,
    STATE(1833), 1,
      sym_ms_call_modifier,
    STATE(1917), 1,
      sym_function_declarator,
    STATE(2092), 1,
      sym__declarator,
    STATE(2106), 1,
      sym__declaration_declarator,
    STATE(2252), 1,
      sym__function_declaration_declarator,
    STATE(2282), 1,
      sym_init_declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1930), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [54209] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    ACTIONS(3872), 1,
      sym_identifier,
    STATE(1827), 1,
      sym_ms_call_modifier,
    STATE(1917), 1,
      sym_function_declarator,
    STATE(2092), 1,
      sym__declarator,
    STATE(2136), 1,
      sym__declaration_declarator,
    STATE(2252), 1,
      sym__function_declaration_declarator,
    STATE(2379), 1,
      sym_init_declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1930), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [54260] = 5,
    ACTIONS(3866), 1,
      anon_sym_LF,
    ACTIONS(3918), 1,
      anon_sym_LPAREN2,
    ACTIONS(3920), 1,
      sym_comment,
    STATE(1713), 1,
      sym_preproc_argument_list,
    ACTIONS(3870), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [54293] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3874), 1,
      sym_identifier,
    ACTIONS(3878), 1,
      anon_sym_LPAREN2,
    ACTIONS(3880), 1,
      anon_sym_defined,
    ACTIONS(3922), 1,
      anon_sym_RPAREN,
    ACTIONS(3924), 1,
      sym_number_literal,
    ACTIONS(3882), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3884), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3888), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1621), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [54336] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3890), 1,
      anon_sym_COMMA,
    ACTIONS(3898), 1,
      anon_sym_SLASH,
    ACTIONS(3900), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3902), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3904), 1,
      anon_sym_PIPE,
    ACTIONS(3906), 1,
      anon_sym_CARET,
    ACTIONS(3908), 1,
      anon_sym_AMP,
    ACTIONS(3926), 1,
      anon_sym_RPAREN,
    STATE(2470), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(3894), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3896), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3910), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3912), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3914), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3916), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [54391] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    ACTIONS(3872), 1,
      sym_identifier,
    STATE(1828), 1,
      sym_ms_call_modifier,
    STATE(1917), 1,
      sym_function_declarator,
    STATE(1943), 1,
      sym__declarator,
    STATE(2103), 1,
      sym__declaration_declarator,
    STATE(2252), 1,
      sym__function_declaration_declarator,
    STATE(2336), 1,
      sym_init_declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1930), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [54442] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    ACTIONS(3872), 1,
      sym_identifier,
    STATE(1829), 1,
      sym_ms_call_modifier,
    STATE(1917), 1,
      sym_function_declarator,
    STATE(2092), 1,
      sym__declarator,
    STATE(2124), 1,
      sym__declaration_declarator,
    STATE(2252), 1,
      sym__function_declaration_declarator,
    STATE(2353), 1,
      sym_init_declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1930), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [54493] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    ACTIONS(3872), 1,
      sym_identifier,
    STATE(1836), 1,
      sym_ms_call_modifier,
    STATE(1917), 1,
      sym_function_declarator,
    STATE(2092), 1,
      sym__declarator,
    STATE(2127), 1,
      sym__declaration_declarator,
    STATE(2252), 1,
      sym__function_declaration_declarator,
    STATE(2425), 1,
      sym_init_declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1930), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [54544] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3874), 1,
      sym_identifier,
    ACTIONS(3878), 1,
      anon_sym_LPAREN2,
    ACTIONS(3880), 1,
      anon_sym_defined,
    ACTIONS(3928), 1,
      anon_sym_RPAREN,
    ACTIONS(3930), 1,
      sym_number_literal,
    ACTIONS(3882), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3884), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3888), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1607), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [54587] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    ACTIONS(3872), 1,
      sym_identifier,
    STATE(1811), 1,
      sym_ms_call_modifier,
    STATE(1917), 1,
      sym_function_declarator,
    STATE(1945), 1,
      sym__declarator,
    STATE(2122), 1,
      sym__declaration_declarator,
    STATE(2252), 1,
      sym__function_declaration_declarator,
    STATE(2374), 1,
      sym_init_declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1930), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [54638] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    ACTIONS(3872), 1,
      sym_identifier,
    STATE(1810), 1,
      sym_ms_call_modifier,
    STATE(1917), 1,
      sym_function_declarator,
    STATE(2092), 1,
      sym__declarator,
    STATE(2126), 1,
      sym__declaration_declarator,
    STATE(2252), 1,
      sym__function_declaration_declarator,
    STATE(2480), 1,
      sym_init_declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1930), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [54689] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    ACTIONS(3872), 1,
      sym_identifier,
    STATE(1818), 1,
      sym_ms_call_modifier,
    STATE(1917), 1,
      sym_function_declarator,
    STATE(2092), 1,
      sym__declarator,
    STATE(2122), 1,
      sym__declaration_declarator,
    STATE(2252), 1,
      sym__function_declaration_declarator,
    STATE(2374), 1,
      sym_init_declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1930), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [54740] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3890), 1,
      anon_sym_COMMA,
    ACTIONS(3898), 1,
      anon_sym_SLASH,
    ACTIONS(3900), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3902), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3904), 1,
      anon_sym_PIPE,
    ACTIONS(3906), 1,
      anon_sym_CARET,
    ACTIONS(3908), 1,
      anon_sym_AMP,
    ACTIONS(3932), 1,
      anon_sym_RPAREN,
    STATE(2368), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(3894), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3896), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3910), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3912), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3914), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3916), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [54795] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1984), 1,
      anon_sym_LPAREN2,
    ACTIONS(1986), 1,
      anon_sym_STAR,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3447), 1,
      anon_sym_LBRACK,
    STATE(1963), 1,
      sym__declarator,
    STATE(2155), 1,
      sym_parameter_list,
    STATE(2157), 1,
      sym__abstract_declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    ACTIONS(3934), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(2176), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [54843] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      sym_identifier,
    ACTIONS(3938), 1,
      anon_sym_LPAREN2,
    ACTIONS(3940), 1,
      anon_sym_defined,
    ACTIONS(3946), 1,
      sym_number_literal,
    ACTIONS(3942), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3944), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3948), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1688), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [54883] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3898), 1,
      anon_sym_SLASH,
    ACTIONS(3904), 1,
      anon_sym_PIPE,
    ACTIONS(3906), 1,
      anon_sym_CARET,
    ACTIONS(3908), 1,
      anon_sym_AMP,
    ACTIONS(3894), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3896), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3910), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3912), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3914), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3916), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3950), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [54929] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      sym_identifier,
    ACTIONS(3938), 1,
      anon_sym_LPAREN2,
    ACTIONS(3940), 1,
      anon_sym_defined,
    ACTIONS(3952), 1,
      sym_number_literal,
    ACTIONS(3942), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3944), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3948), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1718), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [54969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3956), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3954), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [54997] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      sym_identifier,
    ACTIONS(3938), 1,
      anon_sym_LPAREN2,
    ACTIONS(3940), 1,
      anon_sym_defined,
    ACTIONS(3958), 1,
      sym_number_literal,
    ACTIONS(3942), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3944), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3948), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1707), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [55037] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      sym_identifier,
    ACTIONS(3938), 1,
      anon_sym_LPAREN2,
    ACTIONS(3940), 1,
      anon_sym_defined,
    ACTIONS(3960), 1,
      sym_number_literal,
    ACTIONS(3942), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3944), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3948), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1706), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [55077] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      sym_identifier,
    ACTIONS(3938), 1,
      anon_sym_LPAREN2,
    ACTIONS(3940), 1,
      anon_sym_defined,
    ACTIONS(3962), 1,
      sym_number_literal,
    ACTIONS(3942), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3944), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3948), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1704), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [55117] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3898), 1,
      anon_sym_SLASH,
    ACTIONS(3908), 1,
      anon_sym_AMP,
    ACTIONS(3964), 1,
      anon_sym_PIPE,
    ACTIONS(3894), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3896), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3910), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3912), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3914), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3916), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3950), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [55161] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      sym_identifier,
    ACTIONS(3938), 1,
      anon_sym_LPAREN2,
    ACTIONS(3940), 1,
      anon_sym_defined,
    ACTIONS(3966), 1,
      sym_number_literal,
    ACTIONS(3942), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3944), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3948), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1703), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [55201] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3898), 1,
      anon_sym_SLASH,
    ACTIONS(3894), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3896), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3964), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3950), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [55235] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3898), 1,
      anon_sym_SLASH,
    ACTIONS(3894), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3896), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3916), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3964), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3950), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [55271] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      sym_identifier,
    ACTIONS(3938), 1,
      anon_sym_LPAREN2,
    ACTIONS(3940), 1,
      anon_sym_defined,
    ACTIONS(3968), 1,
      sym_number_literal,
    ACTIONS(3942), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3944), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3948), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1699), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [55311] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      sym_identifier,
    ACTIONS(3938), 1,
      anon_sym_LPAREN2,
    ACTIONS(3940), 1,
      anon_sym_defined,
    ACTIONS(3970), 1,
      sym_number_literal,
    ACTIONS(3942), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3944), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3948), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1696), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [55351] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      sym_identifier,
    ACTIONS(3938), 1,
      anon_sym_LPAREN2,
    ACTIONS(3940), 1,
      anon_sym_defined,
    ACTIONS(3972), 1,
      sym_number_literal,
    ACTIONS(3942), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3944), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3948), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1692), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [55391] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      sym_identifier,
    ACTIONS(3938), 1,
      anon_sym_LPAREN2,
    ACTIONS(3940), 1,
      anon_sym_defined,
    ACTIONS(3974), 1,
      sym_number_literal,
    ACTIONS(3942), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3944), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3948), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1700), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [55431] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      sym_identifier,
    ACTIONS(3938), 1,
      anon_sym_LPAREN2,
    ACTIONS(3940), 1,
      anon_sym_defined,
    ACTIONS(3976), 1,
      sym_number_literal,
    ACTIONS(3942), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3944), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3948), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1690), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [55471] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3874), 1,
      sym_identifier,
    ACTIONS(3878), 1,
      anon_sym_LPAREN2,
    ACTIONS(3880), 1,
      anon_sym_defined,
    ACTIONS(3978), 1,
      sym_number_literal,
    ACTIONS(3882), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3884), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3888), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1632), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [55511] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3874), 1,
      sym_identifier,
    ACTIONS(3878), 1,
      anon_sym_LPAREN2,
    ACTIONS(3880), 1,
      anon_sym_defined,
    ACTIONS(3980), 1,
      sym_number_literal,
    ACTIONS(3882), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3884), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3888), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1651), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [55551] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3874), 1,
      sym_identifier,
    ACTIONS(3878), 1,
      anon_sym_LPAREN2,
    ACTIONS(3880), 1,
      anon_sym_defined,
    ACTIONS(3982), 1,
      sym_number_literal,
    ACTIONS(3882), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3884), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3888), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1649), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [55591] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3986), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(1663), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3984), 7,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [55623] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3898), 1,
      anon_sym_SLASH,
    ACTIONS(3902), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3904), 1,
      anon_sym_PIPE,
    ACTIONS(3906), 1,
      anon_sym_CARET,
    ACTIONS(3908), 1,
      anon_sym_AMP,
    ACTIONS(3894), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3896), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3910), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3912), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3914), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3916), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3950), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
  [55671] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      sym_identifier,
    ACTIONS(3938), 1,
      anon_sym_LPAREN2,
    ACTIONS(3940), 1,
      anon_sym_defined,
    ACTIONS(3988), 1,
      sym_number_literal,
    ACTIONS(3942), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3944), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3948), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1709), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [55711] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      sym_identifier,
    ACTIONS(3938), 1,
      anon_sym_LPAREN2,
    ACTIONS(3940), 1,
      anon_sym_defined,
    ACTIONS(3990), 1,
      sym_number_literal,
    ACTIONS(3942), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3944), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3948), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1689), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [55751] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      sym_identifier,
    ACTIONS(3938), 1,
      anon_sym_LPAREN2,
    ACTIONS(3940), 1,
      anon_sym_defined,
    ACTIONS(3992), 1,
      sym_number_literal,
    ACTIONS(3942), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3944), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3948), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1698), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [55791] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3874), 1,
      sym_identifier,
    ACTIONS(3878), 1,
      anon_sym_LPAREN2,
    ACTIONS(3880), 1,
      anon_sym_defined,
    ACTIONS(3994), 1,
      sym_number_literal,
    ACTIONS(3882), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3884), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3888), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1630), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [55831] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3874), 1,
      sym_identifier,
    ACTIONS(3878), 1,
      anon_sym_LPAREN2,
    ACTIONS(3880), 1,
      anon_sym_defined,
    ACTIONS(3996), 1,
      sym_number_literal,
    ACTIONS(3882), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3884), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3888), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1655), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [55871] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3898), 1,
      anon_sym_SLASH,
    ACTIONS(3894), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3896), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3910), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3912), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3914), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3916), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3964), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3950), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [55913] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3874), 1,
      sym_identifier,
    ACTIONS(3878), 1,
      anon_sym_LPAREN2,
    ACTIONS(3880), 1,
      anon_sym_defined,
    ACTIONS(3998), 1,
      sym_number_literal,
    ACTIONS(3882), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3884), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3888), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1720), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [55953] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3898), 1,
      anon_sym_SLASH,
    ACTIONS(3894), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3896), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3912), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3914), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3916), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3964), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(3950), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [55993] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3874), 1,
      sym_identifier,
    ACTIONS(3878), 1,
      anon_sym_LPAREN2,
    ACTIONS(3880), 1,
      anon_sym_defined,
    ACTIONS(4000), 1,
      sym_number_literal,
    ACTIONS(3882), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3884), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3888), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1624), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [56033] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      sym_identifier,
    ACTIONS(3938), 1,
      anon_sym_LPAREN2,
    ACTIONS(3940), 1,
      anon_sym_defined,
    ACTIONS(4002), 1,
      sym_number_literal,
    ACTIONS(3942), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3944), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3948), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1701), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [56073] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3874), 1,
      sym_identifier,
    ACTIONS(3878), 1,
      anon_sym_LPAREN2,
    ACTIONS(3880), 1,
      anon_sym_defined,
    ACTIONS(4004), 1,
      sym_number_literal,
    ACTIONS(3882), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3884), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3888), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1643), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [56113] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3898), 1,
      anon_sym_SLASH,
    ACTIONS(3906), 1,
      anon_sym_CARET,
    ACTIONS(3908), 1,
      anon_sym_AMP,
    ACTIONS(3964), 1,
      anon_sym_PIPE,
    ACTIONS(3894), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3896), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3910), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3912), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3914), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3916), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3950), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [56159] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3874), 1,
      sym_identifier,
    ACTIONS(3878), 1,
      anon_sym_LPAREN2,
    ACTIONS(3880), 1,
      anon_sym_defined,
    ACTIONS(4006), 1,
      sym_number_literal,
    ACTIONS(3882), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3884), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3888), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1658), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [56199] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1984), 1,
      anon_sym_LPAREN2,
    ACTIONS(1986), 1,
      anon_sym_STAR,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3447), 1,
      anon_sym_LBRACK,
    STATE(1996), 1,
      sym__declarator,
    STATE(2155), 1,
      sym_parameter_list,
    STATE(2172), 1,
      sym__abstract_declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    ACTIONS(4008), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(2176), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [56247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3964), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3950), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [56275] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3898), 1,
      anon_sym_SLASH,
    ACTIONS(3896), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3964), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3950), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [56307] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4012), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(1680), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4010), 7,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [56339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4016), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4014), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [56367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2928), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(2930), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [56395] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4020), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(1549), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4018), 7,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [56427] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4024), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4022), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [56455] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3874), 1,
      sym_identifier,
    ACTIONS(3878), 1,
      anon_sym_LPAREN2,
    ACTIONS(3880), 1,
      anon_sym_defined,
    ACTIONS(4026), 1,
      sym_number_literal,
    ACTIONS(3882), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3884), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3888), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1633), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [56495] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3898), 1,
      anon_sym_SLASH,
    ACTIONS(3900), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3902), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3904), 1,
      anon_sym_PIPE,
    ACTIONS(3906), 1,
      anon_sym_CARET,
    ACTIONS(3908), 1,
      anon_sym_AMP,
    ACTIONS(3894), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3896), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3910), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3912), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3914), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3916), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4028), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [56545] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3874), 1,
      sym_identifier,
    ACTIONS(3878), 1,
      anon_sym_LPAREN2,
    ACTIONS(3880), 1,
      anon_sym_defined,
    ACTIONS(4030), 1,
      sym_number_literal,
    ACTIONS(3882), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3884), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3888), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1721), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [56585] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3874), 1,
      sym_identifier,
    ACTIONS(3878), 1,
      anon_sym_LPAREN2,
    ACTIONS(3880), 1,
      anon_sym_defined,
    ACTIONS(4032), 1,
      sym_number_literal,
    ACTIONS(3882), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3884), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3888), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1659), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [56625] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      sym_identifier,
    ACTIONS(3938), 1,
      anon_sym_LPAREN2,
    ACTIONS(3940), 1,
      anon_sym_defined,
    ACTIONS(4034), 1,
      sym_number_literal,
    ACTIONS(3942), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3944), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3948), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1719), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [56665] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      sym_identifier,
    ACTIONS(3938), 1,
      anon_sym_LPAREN2,
    ACTIONS(3940), 1,
      anon_sym_defined,
    ACTIONS(4036), 1,
      sym_number_literal,
    ACTIONS(3942), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3944), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3948), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1712), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [56705] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      sym_identifier,
    ACTIONS(3938), 1,
      anon_sym_LPAREN2,
    ACTIONS(3940), 1,
      anon_sym_defined,
    ACTIONS(4038), 1,
      sym_number_literal,
    ACTIONS(3942), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3944), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3948), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1710), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [56745] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      sym_identifier,
    ACTIONS(3938), 1,
      anon_sym_LPAREN2,
    ACTIONS(3940), 1,
      anon_sym_defined,
    ACTIONS(4040), 1,
      sym_number_literal,
    ACTIONS(3942), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3944), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3948), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1722), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [56785] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      sym_identifier,
    ACTIONS(3938), 1,
      anon_sym_LPAREN2,
    ACTIONS(3940), 1,
      anon_sym_defined,
    ACTIONS(4042), 1,
      sym_number_literal,
    ACTIONS(3942), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3944), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3948), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1717), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [56825] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3874), 1,
      sym_identifier,
    ACTIONS(3878), 1,
      anon_sym_LPAREN2,
    ACTIONS(3880), 1,
      anon_sym_defined,
    ACTIONS(4044), 1,
      sym_number_literal,
    ACTIONS(3882), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3884), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3888), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1679), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [56865] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      sym_identifier,
    ACTIONS(3938), 1,
      anon_sym_LPAREN2,
    ACTIONS(3940), 1,
      anon_sym_defined,
    ACTIONS(4046), 1,
      sym_number_literal,
    ACTIONS(3942), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3944), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3948), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1725), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [56905] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      sym_identifier,
    ACTIONS(3938), 1,
      anon_sym_LPAREN2,
    ACTIONS(3940), 1,
      anon_sym_defined,
    ACTIONS(4048), 1,
      sym_number_literal,
    ACTIONS(3942), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3944), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3948), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1726), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [56945] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      sym_identifier,
    ACTIONS(3938), 1,
      anon_sym_LPAREN2,
    ACTIONS(3940), 1,
      anon_sym_defined,
    ACTIONS(4050), 1,
      sym_number_literal,
    ACTIONS(3942), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3944), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3948), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1724), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [56985] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      sym_identifier,
    ACTIONS(3938), 1,
      anon_sym_LPAREN2,
    ACTIONS(3940), 1,
      anon_sym_defined,
    ACTIONS(4052), 1,
      sym_number_literal,
    ACTIONS(3942), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3944), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3948), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1695), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [57025] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4056), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(4054), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [57053] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4060), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(1549), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(4058), 7,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(53), 9,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [57085] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3874), 1,
      sym_identifier,
    ACTIONS(3878), 1,
      anon_sym_LPAREN2,
    ACTIONS(3880), 1,
      anon_sym_defined,
    ACTIONS(4062), 1,
      sym_number_literal,
    ACTIONS(3882), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3884), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3888), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1666), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [57125] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      sym_identifier,
    ACTIONS(3938), 1,
      anon_sym_LPAREN2,
    ACTIONS(3940), 1,
      anon_sym_defined,
    ACTIONS(4064), 1,
      sym_number_literal,
    ACTIONS(3942), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3944), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3948), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1697), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [57165] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      sym_identifier,
    ACTIONS(3938), 1,
      anon_sym_LPAREN2,
    ACTIONS(3940), 1,
      anon_sym_defined,
    ACTIONS(4066), 1,
      sym_number_literal,
    ACTIONS(3942), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3944), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3948), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1711), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [57205] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3936), 1,
      sym_identifier,
    ACTIONS(3938), 1,
      anon_sym_LPAREN2,
    ACTIONS(3940), 1,
      anon_sym_defined,
    ACTIONS(4068), 1,
      sym_number_literal,
    ACTIONS(3942), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(3944), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3948), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(1693), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [57245] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1728), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3317), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(4070), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3315), 12,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [57276] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4073), 1,
      sym_identifier,
    ACTIONS(4079), 1,
      sym_primitive_type,
    STATE(1702), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3406), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(4076), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3408), 10,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [57311] = 3,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(4014), 1,
      anon_sym_LF,
    ACTIONS(4016), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [57338] = 4,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(3950), 1,
      anon_sym_LF,
    ACTIONS(4082), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3964), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [57367] = 3,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(3950), 1,
      anon_sym_LF,
    ACTIONS(3964), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [57394] = 12,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(3950), 1,
      anon_sym_LF,
    ACTIONS(3964), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4086), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4088), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_CARET,
    ACTIONS(4092), 1,
      anon_sym_AMP,
    ACTIONS(4084), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(4094), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4098), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4082), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4096), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [57439] = 3,
    ACTIONS(3665), 1,
      anon_sym_LF,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(3663), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [57466] = 11,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(3950), 1,
      anon_sym_LF,
    ACTIONS(4088), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_CARET,
    ACTIONS(4092), 1,
      anon_sym_AMP,
    ACTIONS(3964), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(4084), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(4094), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4098), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4082), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4096), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [57509] = 12,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(4086), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4088), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_CARET,
    ACTIONS(4092), 1,
      anon_sym_AMP,
    ACTIONS(4100), 1,
      anon_sym_LF,
    ACTIONS(4102), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4084), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(4094), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4098), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4082), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4096), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [57554] = 3,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(4022), 1,
      anon_sym_LF,
    ACTIONS(4024), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [57581] = 12,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(4086), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4088), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_CARET,
    ACTIONS(4092), 1,
      anon_sym_AMP,
    ACTIONS(4102), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4104), 1,
      anon_sym_LF,
    ACTIONS(4084), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(4094), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4098), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4082), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4096), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [57626] = 10,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(3950), 1,
      anon_sym_LF,
    ACTIONS(4090), 1,
      anon_sym_CARET,
    ACTIONS(4092), 1,
      anon_sym_AMP,
    ACTIONS(4084), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(4094), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4098), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(3964), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
    ACTIONS(4082), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4096), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [57667] = 12,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(4086), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4088), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_CARET,
    ACTIONS(4092), 1,
      anon_sym_AMP,
    ACTIONS(4102), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4106), 1,
      anon_sym_LF,
    ACTIONS(4084), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(4094), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4098), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4082), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4096), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [57712] = 12,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(4086), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4088), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_CARET,
    ACTIONS(4092), 1,
      anon_sym_AMP,
    ACTIONS(4102), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4108), 1,
      anon_sym_LF,
    ACTIONS(4084), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(4094), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4098), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4082), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4096), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [57757] = 9,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(3950), 1,
      anon_sym_LF,
    ACTIONS(4092), 1,
      anon_sym_AMP,
    ACTIONS(4084), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(4094), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4098), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4082), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3964), 4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(4096), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [57796] = 12,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(4086), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4088), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_CARET,
    ACTIONS(4092), 1,
      anon_sym_AMP,
    ACTIONS(4102), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4110), 1,
      anon_sym_LF,
    ACTIONS(4084), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(4094), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4098), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4082), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4096), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [57841] = 12,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(4086), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4088), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_CARET,
    ACTIONS(4092), 1,
      anon_sym_AMP,
    ACTIONS(4102), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4112), 1,
      anon_sym_LF,
    ACTIONS(4084), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(4094), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4098), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4082), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4096), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [57886] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1220), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3260), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(4114), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3257), 12,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [57917] = 8,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(3950), 1,
      anon_sym_LF,
    ACTIONS(4084), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(4094), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4098), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4082), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4096), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(3964), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
  [57954] = 7,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(3950), 1,
      anon_sym_LF,
    ACTIONS(4084), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(4098), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4082), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4096), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(3964), 7,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [57989] = 3,
    ACTIONS(2930), 1,
      anon_sym_LF,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(2928), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [58016] = 6,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(3950), 1,
      anon_sym_LF,
    ACTIONS(4084), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(4098), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4082), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3964), 11,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [58049] = 5,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(3950), 1,
      anon_sym_LF,
    ACTIONS(4084), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(4082), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3964), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [58080] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1220), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3393), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(4118), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3391), 12,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [58111] = 12,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(4086), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4088), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_CARET,
    ACTIONS(4092), 1,
      anon_sym_AMP,
    ACTIONS(4102), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4121), 1,
      anon_sym_LF,
    ACTIONS(4084), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(4094), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4098), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4082), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4096), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [58156] = 12,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(4086), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4088), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_CARET,
    ACTIONS(4092), 1,
      anon_sym_AMP,
    ACTIONS(4102), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4123), 1,
      anon_sym_LF,
    ACTIONS(4084), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(4094), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4098), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4082), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4096), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [58201] = 12,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(4086), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4088), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_CARET,
    ACTIONS(4092), 1,
      anon_sym_AMP,
    ACTIONS(4102), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4125), 1,
      anon_sym_LF,
    ACTIONS(4084), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(4094), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4098), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4082), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4096), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [58246] = 12,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(4086), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4088), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_CARET,
    ACTIONS(4092), 1,
      anon_sym_AMP,
    ACTIONS(4102), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4127), 1,
      anon_sym_LF,
    ACTIONS(4084), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(4094), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4098), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4082), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4096), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [58291] = 3,
    ACTIONS(3669), 1,
      anon_sym_LF,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(3667), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [58318] = 3,
    ACTIONS(3633), 1,
      anon_sym_LF,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(3631), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [58345] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1220), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3311), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(4129), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3309), 12,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [58376] = 3,
    ACTIONS(3653), 1,
      anon_sym_LF,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(3651), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [58403] = 12,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(4086), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4088), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_CARET,
    ACTIONS(4092), 1,
      anon_sym_AMP,
    ACTIONS(4102), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4132), 1,
      anon_sym_LF,
    ACTIONS(4084), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(4094), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4098), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4082), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4096), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [58448] = 12,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(4086), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4088), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_CARET,
    ACTIONS(4092), 1,
      anon_sym_AMP,
    ACTIONS(4102), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4134), 1,
      anon_sym_LF,
    ACTIONS(4084), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(4094), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4098), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4082), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4096), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [58493] = 12,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(4086), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4088), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_CARET,
    ACTIONS(4092), 1,
      anon_sym_AMP,
    ACTIONS(4102), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4136), 1,
      anon_sym_LF,
    ACTIONS(4084), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(4094), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4098), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4082), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4096), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [58538] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3898), 1,
      anon_sym_SLASH,
    ACTIONS(3900), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3902), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3904), 1,
      anon_sym_PIPE,
    ACTIONS(3906), 1,
      anon_sym_CARET,
    ACTIONS(3908), 1,
      anon_sym_AMP,
    ACTIONS(4138), 1,
      anon_sym_RPAREN,
    ACTIONS(3894), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3896), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3910), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3912), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3914), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3916), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [58587] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3898), 1,
      anon_sym_SLASH,
    ACTIONS(3900), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3902), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3904), 1,
      anon_sym_PIPE,
    ACTIONS(3906), 1,
      anon_sym_CARET,
    ACTIONS(3908), 1,
      anon_sym_AMP,
    ACTIONS(4140), 1,
      anon_sym_RPAREN,
    ACTIONS(3894), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(3896), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(3910), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3912), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(3914), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3916), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [58636] = 12,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(4086), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4088), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_CARET,
    ACTIONS(4092), 1,
      anon_sym_AMP,
    ACTIONS(4102), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4142), 1,
      anon_sym_LF,
    ACTIONS(4084), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(4094), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4098), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4082), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4096), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [58681] = 3,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(3954), 1,
      anon_sym_LF,
    ACTIONS(3956), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [58708] = 3,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(4054), 1,
      anon_sym_LF,
    ACTIONS(4056), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [58735] = 12,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(4086), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4088), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_CARET,
    ACTIONS(4092), 1,
      anon_sym_AMP,
    ACTIONS(4102), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4144), 1,
      anon_sym_LF,
    ACTIONS(4084), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(4094), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4098), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4082), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4096), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [58780] = 12,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(4086), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4088), 1,
      anon_sym_PIPE,
    ACTIONS(4090), 1,
      anon_sym_CARET,
    ACTIONS(4092), 1,
      anon_sym_AMP,
    ACTIONS(4102), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(4146), 1,
      anon_sym_LF,
    ACTIONS(4084), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(4094), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(4098), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(4082), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(4096), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [58825] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2462), 1,
      anon_sym_STAR,
    ACTIONS(3244), 1,
      anon_sym_LPAREN2,
    STATE(1729), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4148), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(2446), 12,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [58858] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1220), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3367), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(4151), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3365), 12,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [58889] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1220), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3335), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(4154), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3333), 12,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [58920] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1708), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3375), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(4157), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3373), 12,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [58951] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1715), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(3297), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(4160), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(3295), 12,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      sym_primitive_type,
      sym_identifier,
  [58982] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1905), 1,
      sym_ms_call_modifier,
    STATE(1983), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [59022] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1896), 1,
      sym_ms_call_modifier,
    STATE(1955), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [59062] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1854), 1,
      sym_ms_call_modifier,
    STATE(2032), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [59102] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1898), 1,
      sym_ms_call_modifier,
    STATE(2005), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [59142] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1855), 1,
      sym_ms_call_modifier,
    STATE(1967), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [59182] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1895), 1,
      sym_ms_call_modifier,
    STATE(2021), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [59222] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1871), 1,
      sym_ms_call_modifier,
    STATE(2069), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [59262] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1984), 1,
      anon_sym_LPAREN2,
    ACTIONS(1986), 1,
      anon_sym_STAR,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3447), 1,
      anon_sym_LBRACK,
    STATE(2089), 1,
      sym__declarator,
    STATE(2155), 1,
      sym_parameter_list,
    STATE(2190), 1,
      sym__abstract_declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(2176), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [59306] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1891), 1,
      sym_ms_call_modifier,
    STATE(2009), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [59346] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1868), 1,
      sym_ms_call_modifier,
    STATE(1960), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [59386] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1856), 1,
      sym_ms_call_modifier,
    STATE(2013), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [59426] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1885), 1,
      sym_ms_call_modifier,
    STATE(1973), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [59466] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1873), 1,
      sym_ms_call_modifier,
    STATE(1959), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [59506] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1876), 1,
      sym_ms_call_modifier,
    STATE(1989), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [59546] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1897), 1,
      sym_ms_call_modifier,
    STATE(2018), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [59586] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1886), 1,
      sym_ms_call_modifier,
    STATE(1997), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [59626] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1877), 1,
      sym_ms_call_modifier,
    STATE(1970), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [59666] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1859), 1,
      sym_ms_call_modifier,
    STATE(1986), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [59706] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1875), 1,
      sym_ms_call_modifier,
    STATE(1961), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [59746] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_LPAREN2,
    ACTIONS(3639), 1,
      anon_sym_STAR,
    STATE(1904), 1,
      sym_ms_call_modifier,
    STATE(2073), 1,
      sym__field_declarator,
    STATE(2845), 1,
      sym_ms_based_modifier,
    STATE(1952), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [59786] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1862), 1,
      sym_ms_call_modifier,
    STATE(1969), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [59826] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1880), 1,
      sym_ms_call_modifier,
    STATE(2012), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [59866] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1864), 1,
      sym_ms_call_modifier,
    STATE(1953), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [59906] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1853), 1,
      sym_ms_call_modifier,
    STATE(1965), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [59946] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1883), 1,
      sym_ms_call_modifier,
    STATE(2046), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [59986] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1901), 1,
      sym_ms_call_modifier,
    STATE(2033), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [60026] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1908), 1,
      sym_ms_call_modifier,
    STATE(2034), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [60066] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1900), 1,
      sym_ms_call_modifier,
    STATE(1980), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [60106] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1870), 1,
      sym_ms_call_modifier,
    STATE(1976), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [60146] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1881), 1,
      sym_ms_call_modifier,
    STATE(2047), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [60186] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1903), 1,
      sym_ms_call_modifier,
    STATE(2020), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [60226] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1909), 1,
      sym_ms_call_modifier,
    STATE(2007), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [60266] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1893), 1,
      sym_ms_call_modifier,
    STATE(2001), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [60306] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1913), 1,
      sym_ms_call_modifier,
    STATE(2063), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [60346] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1852), 1,
      sym_ms_call_modifier,
    STATE(1978), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [60386] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1899), 1,
      sym_ms_call_modifier,
    STATE(2025), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [60426] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1882), 1,
      sym_ms_call_modifier,
    STATE(1995), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [60466] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1867), 1,
      sym_ms_call_modifier,
    STATE(2024), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [60506] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1911), 1,
      sym_ms_call_modifier,
    STATE(2065), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [60546] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1888), 1,
      sym_ms_call_modifier,
    STATE(2041), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [60586] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1889), 1,
      sym_ms_call_modifier,
    STATE(2040), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [60626] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1872), 1,
      sym_ms_call_modifier,
    STATE(1950), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [60666] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1860), 1,
      sym_ms_call_modifier,
    STATE(2082), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [60706] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1878), 1,
      sym_ms_call_modifier,
    STATE(2026), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [60746] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1890), 1,
      sym_ms_call_modifier,
    STATE(2008), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [60786] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1894), 1,
      sym_ms_call_modifier,
    STATE(2006), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [60826] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1858), 1,
      sym_ms_call_modifier,
    STATE(2000), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [60866] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1863), 1,
      sym_ms_call_modifier,
    STATE(2050), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
    ACTIONS(45), 6,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
  [60906] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3511), 1,
      sym_identifier,
    ACTIONS(3513), 1,
      anon_sym_LPAREN2,
    ACTIONS(3515), 1,
      anon_sym_STAR,
    ACTIONS(3519), 1,
      sym_primitive_type,
    STATE(1919), 1,
      sym__type_declarator,
    STATE(2182), 1,
      sym__type_definition_declarators,
    STATE(2628), 1,
      sym_ms_based_modifier,
    ACTIONS(3517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2088), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [60947] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3511), 1,
      sym_identifier,
    ACTIONS(3513), 1,
      anon_sym_LPAREN2,
    ACTIONS(3515), 1,
      anon_sym_STAR,
    ACTIONS(3519), 1,
      sym_primitive_type,
    STATE(1919), 1,
      sym__type_declarator,
    STATE(2254), 1,
      sym__type_definition_declarators,
    STATE(2628), 1,
      sym_ms_based_modifier,
    ACTIONS(3517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2088), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [60988] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3511), 1,
      sym_identifier,
    ACTIONS(3513), 1,
      anon_sym_LPAREN2,
    ACTIONS(3515), 1,
      anon_sym_STAR,
    ACTIONS(3519), 1,
      sym_primitive_type,
    STATE(1919), 1,
      sym__type_declarator,
    STATE(2193), 1,
      sym__type_definition_declarators,
    STATE(2628), 1,
      sym_ms_based_modifier,
    ACTIONS(3517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2088), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [61029] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3511), 1,
      sym_identifier,
    ACTIONS(3513), 1,
      anon_sym_LPAREN2,
    ACTIONS(3515), 1,
      anon_sym_STAR,
    ACTIONS(3519), 1,
      sym_primitive_type,
    STATE(1919), 1,
      sym__type_declarator,
    STATE(2222), 1,
      sym__type_definition_declarators,
    STATE(2628), 1,
      sym_ms_based_modifier,
    ACTIONS(3517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2088), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [61070] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3511), 1,
      sym_identifier,
    ACTIONS(3513), 1,
      anon_sym_LPAREN2,
    ACTIONS(3515), 1,
      anon_sym_STAR,
    ACTIONS(3519), 1,
      sym_primitive_type,
    STATE(1919), 1,
      sym__type_declarator,
    STATE(2251), 1,
      sym__type_definition_declarators,
    STATE(2628), 1,
      sym_ms_based_modifier,
    ACTIONS(3517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2088), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [61111] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3511), 1,
      sym_identifier,
    ACTIONS(3513), 1,
      anon_sym_LPAREN2,
    ACTIONS(3515), 1,
      anon_sym_STAR,
    ACTIONS(3519), 1,
      sym_primitive_type,
    STATE(1919), 1,
      sym__type_declarator,
    STATE(2217), 1,
      sym__type_definition_declarators,
    STATE(2628), 1,
      sym_ms_based_modifier,
    ACTIONS(3517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2088), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [61152] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3511), 1,
      sym_identifier,
    ACTIONS(3513), 1,
      anon_sym_LPAREN2,
    ACTIONS(3515), 1,
      anon_sym_STAR,
    ACTIONS(3519), 1,
      sym_primitive_type,
    STATE(1919), 1,
      sym__type_declarator,
    STATE(2213), 1,
      sym__type_definition_declarators,
    STATE(2628), 1,
      sym_ms_based_modifier,
    ACTIONS(3517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2088), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [61193] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3420), 1,
      anon_sym_const,
    ACTIONS(3427), 1,
      anon_sym_LBRACE,
    ACTIONS(4163), 1,
      anon_sym___attribute__,
    ACTIONS(4165), 1,
      anon_sym_COLON,
    STATE(1279), 1,
      sym_attribute_specifier,
    STATE(1578), 1,
      sym_enumerator_list,
    ACTIONS(3422), 11,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
  [61228] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3511), 1,
      sym_identifier,
    ACTIONS(3513), 1,
      anon_sym_LPAREN2,
    ACTIONS(3515), 1,
      anon_sym_STAR,
    ACTIONS(3519), 1,
      sym_primitive_type,
    STATE(1919), 1,
      sym__type_declarator,
    STATE(2265), 1,
      sym__type_definition_declarators,
    STATE(2628), 1,
      sym_ms_based_modifier,
    ACTIONS(3517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2088), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [61269] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3511), 1,
      sym_identifier,
    ACTIONS(3513), 1,
      anon_sym_LPAREN2,
    ACTIONS(3515), 1,
      anon_sym_STAR,
    ACTIONS(3519), 1,
      sym_primitive_type,
    STATE(1919), 1,
      sym__type_declarator,
    STATE(2221), 1,
      sym__type_definition_declarators,
    STATE(2628), 1,
      sym_ms_based_modifier,
    ACTIONS(3517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2088), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [61310] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3511), 1,
      sym_identifier,
    ACTIONS(3513), 1,
      anon_sym_LPAREN2,
    ACTIONS(3515), 1,
      anon_sym_STAR,
    ACTIONS(3519), 1,
      sym_primitive_type,
    STATE(1919), 1,
      sym__type_declarator,
    STATE(2195), 1,
      sym__type_definition_declarators,
    STATE(2628), 1,
      sym_ms_based_modifier,
    ACTIONS(3517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2088), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [61351] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3511), 1,
      sym_identifier,
    ACTIONS(3513), 1,
      anon_sym_LPAREN2,
    ACTIONS(3515), 1,
      anon_sym_STAR,
    ACTIONS(3519), 1,
      sym_primitive_type,
    STATE(2086), 1,
      sym__type_declarator,
    STATE(2628), 1,
      sym_ms_based_modifier,
    ACTIONS(3517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2088), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [61389] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(4168), 1,
      sym_identifier,
    ACTIONS(4174), 1,
      anon_sym_LBRACK,
    STATE(1805), 1,
      sym_gnu_asm_expression,
    STATE(1874), 1,
      sym_attribute_specifier,
    STATE(2091), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(4170), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(1795), 2,
      sym_preproc_call_expression,
      aux_sym_function_declarator_repeat1,
    ACTIONS(4172), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [61429] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3511), 1,
      sym_identifier,
    ACTIONS(3513), 1,
      anon_sym_LPAREN2,
    ACTIONS(3515), 1,
      anon_sym_STAR,
    ACTIONS(3519), 1,
      sym_primitive_type,
    STATE(1934), 1,
      sym__type_declarator,
    STATE(2628), 1,
      sym_ms_based_modifier,
    ACTIONS(3517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2088), 5,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_pointer_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [61467] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(4168), 1,
      sym_identifier,
    ACTIONS(4174), 1,
      anon_sym_LBRACK,
    STATE(1797), 1,
      sym_gnu_asm_expression,
    ACTIONS(95), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(1795), 3,
      sym_preproc_call_expression,
      sym_attribute_specifier,
      aux_sym_function_declarator_repeat1,
    ACTIONS(4172), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [61501] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(4168), 1,
      sym_identifier,
    ACTIONS(4178), 3,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(1807), 3,
      sym_preproc_call_expression,
      sym_attribute_specifier,
      aux_sym_function_declarator_repeat1,
    ACTIONS(4176), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [61530] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_LPAREN2,
    ACTIONS(3639), 1,
      anon_sym_STAR,
    ACTIONS(4180), 1,
      anon_sym_SEMI,
    STATE(1841), 1,
      sym__field_declarator,
    STATE(2384), 1,
      sym__field_declaration_declarator,
    STATE(2794), 1,
      sym_attribute_specifier,
    STATE(2845), 1,
      sym_ms_based_modifier,
    STATE(1952), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
  [61571] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(4168), 1,
      sym_identifier,
    ACTIONS(4178), 3,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(1804), 3,
      sym_preproc_call_expression,
      sym_attribute_specifier,
      aux_sym_function_declarator_repeat1,
    ACTIONS(4176), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [61600] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4182), 1,
      sym_identifier,
    ACTIONS(4184), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(4186), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4188), 1,
      aux_sym_preproc_elif_token1,
    STATE(1907), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(1910), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(2083), 1,
      sym_enumerator,
    ACTIONS(4190), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(2803), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
    STATE(2804), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [61639] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_LPAREN2,
    ACTIONS(3639), 1,
      anon_sym_STAR,
    ACTIONS(4192), 1,
      anon_sym_SEMI,
    STATE(1841), 1,
      sym__field_declarator,
    STATE(2339), 1,
      sym__field_declaration_declarator,
    STATE(2845), 1,
      sym_ms_based_modifier,
    STATE(2847), 1,
      sym_attribute_specifier,
    STATE(1952), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
  [61680] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_LPAREN2,
    ACTIONS(3639), 1,
      anon_sym_STAR,
    ACTIONS(4194), 1,
      anon_sym_SEMI,
    STATE(1841), 1,
      sym__field_declarator,
    STATE(2429), 1,
      sym__field_declaration_declarator,
    STATE(2680), 1,
      sym_attribute_specifier,
    STATE(2845), 1,
      sym_ms_based_modifier,
    STATE(1952), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
  [61721] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_LPAREN2,
    ACTIONS(3639), 1,
      anon_sym_STAR,
    ACTIONS(4196), 1,
      anon_sym_SEMI,
    STATE(1841), 1,
      sym__field_declarator,
    STATE(2346), 1,
      sym__field_declaration_declarator,
    STATE(2837), 1,
      sym_attribute_specifier,
    STATE(2845), 1,
      sym_ms_based_modifier,
    STATE(1952), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
  [61762] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_LPAREN2,
    ACTIONS(3639), 1,
      anon_sym_STAR,
    ACTIONS(4198), 1,
      anon_sym_SEMI,
    STATE(1841), 1,
      sym__field_declarator,
    STATE(2332), 1,
      sym__field_declaration_declarator,
    STATE(2845), 1,
      sym_ms_based_modifier,
    STATE(2852), 1,
      sym_attribute_specifier,
    STATE(1952), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
  [61803] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_LPAREN2,
    ACTIONS(3639), 1,
      anon_sym_STAR,
    ACTIONS(4200), 1,
      anon_sym_SEMI,
    STATE(1841), 1,
      sym__field_declarator,
    STATE(2322), 1,
      sym__field_declaration_declarator,
    STATE(2845), 1,
      sym_ms_based_modifier,
    STATE(2856), 1,
      sym_attribute_specifier,
    STATE(1952), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
  [61844] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(4168), 1,
      sym_identifier,
    ACTIONS(4204), 3,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(1807), 3,
      sym_preproc_call_expression,
      sym_attribute_specifier,
      aux_sym_function_declarator_repeat1,
    ACTIONS(4202), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [61873] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(4168), 1,
      sym_identifier,
    ACTIONS(4178), 1,
      anon_sym_LBRACK,
    STATE(1874), 1,
      sym_attribute_specifier,
    STATE(2077), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(4206), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(4208), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(1804), 2,
      sym_preproc_call_expression,
      aux_sym_function_declarator_repeat1,
    ACTIONS(4176), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [61910] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_LPAREN2,
    ACTIONS(3639), 1,
      anon_sym_STAR,
    ACTIONS(4210), 1,
      anon_sym_SEMI,
    STATE(1841), 1,
      sym__field_declarator,
    STATE(2303), 1,
      sym__field_declaration_declarator,
    STATE(2845), 1,
      sym_ms_based_modifier,
    STATE(2876), 1,
      sym_attribute_specifier,
    STATE(1952), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
  [61951] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4212), 1,
      sym_identifier,
    ACTIONS(4217), 1,
      anon_sym___attribute__,
    ACTIONS(4220), 3,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(1807), 3,
      sym_preproc_call_expression,
      sym_attribute_specifier,
      aux_sym_function_declarator_repeat1,
    ACTIONS(4215), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [61980] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_LPAREN2,
    ACTIONS(3639), 1,
      anon_sym_STAR,
    ACTIONS(4222), 1,
      anon_sym_SEMI,
    STATE(1841), 1,
      sym__field_declarator,
    STATE(2461), 1,
      sym__field_declaration_declarator,
    STATE(2720), 1,
      sym_attribute_specifier,
    STATE(2845), 1,
      sym_ms_based_modifier,
    STATE(1952), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
  [62021] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4226), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4229), 1,
      anon_sym_LBRACK,
    STATE(1809), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(4224), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [62047] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    ACTIONS(3872), 1,
      sym_identifier,
    STATE(1917), 1,
      sym_function_declarator,
    STATE(2130), 1,
      sym__declaration_declarator,
    STATE(2138), 1,
      sym__declarator,
    STATE(2252), 1,
      sym__function_declaration_declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1930), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [62084] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    ACTIONS(3872), 1,
      sym_identifier,
    STATE(1917), 1,
      sym_function_declarator,
    STATE(2039), 1,
      sym__declarator,
    STATE(2145), 1,
      sym__declaration_declarator,
    STATE(2252), 1,
      sym__function_declaration_declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1930), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [62121] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(4231), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [62150] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(4237), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [62179] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    ACTIONS(3872), 1,
      sym_identifier,
    STATE(1917), 1,
      sym_function_declarator,
    STATE(1972), 1,
      sym__declarator,
    STATE(2137), 1,
      sym__declaration_declarator,
    STATE(2252), 1,
      sym__function_declaration_declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1930), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [62216] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    ACTIONS(3872), 1,
      sym_identifier,
    STATE(1917), 1,
      sym_function_declarator,
    STATE(2111), 1,
      sym__declaration_declarator,
    STATE(2138), 1,
      sym__declarator,
    STATE(2252), 1,
      sym__function_declaration_declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1930), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [62253] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3868), 1,
      anon_sym_LPAREN2,
    STATE(1461), 1,
      sym_preproc_argument_list,
    ACTIONS(4239), 5,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
    ACTIONS(4241), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [62278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4243), 5,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
    ACTIONS(4245), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [62299] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    ACTIONS(3872), 1,
      sym_identifier,
    STATE(1917), 1,
      sym_function_declarator,
    STATE(2138), 1,
      sym__declarator,
    STATE(2145), 1,
      sym__declaration_declarator,
    STATE(2252), 1,
      sym__function_declaration_declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1930), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [62336] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(4247), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [62365] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    ACTIONS(3872), 1,
      sym_identifier,
    STATE(1917), 1,
      sym_function_declarator,
    STATE(2138), 1,
      sym__declarator,
    STATE(2161), 1,
      sym__declaration_declarator,
    STATE(2252), 1,
      sym__function_declaration_declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1930), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [62402] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    ACTIONS(3872), 1,
      sym_identifier,
    STATE(1917), 1,
      sym_function_declarator,
    STATE(2053), 1,
      sym__declarator,
    STATE(2130), 1,
      sym__declaration_declarator,
    STATE(2252), 1,
      sym__function_declaration_declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1930), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [62439] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    ACTIONS(3872), 1,
      sym_identifier,
    STATE(1917), 1,
      sym_function_declarator,
    STATE(1958), 1,
      sym__declarator,
    STATE(2129), 1,
      sym__declaration_declarator,
    STATE(2252), 1,
      sym__function_declaration_declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1930), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [62476] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    ACTIONS(3872), 1,
      sym_identifier,
    STATE(1917), 1,
      sym_function_declarator,
    STATE(2138), 1,
      sym__declarator,
    STATE(2141), 1,
      sym__declaration_declarator,
    STATE(2252), 1,
      sym__function_declaration_declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1930), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [62513] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    ACTIONS(3872), 1,
      sym_identifier,
    STATE(1917), 1,
      sym_function_declarator,
    STATE(2137), 1,
      sym__declaration_declarator,
    STATE(2138), 1,
      sym__declarator,
    STATE(2252), 1,
      sym__function_declaration_declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1930), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [62550] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(4249), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [62579] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4251), 1,
      sym_identifier,
    ACTIONS(4253), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4257), 1,
      sym_preproc_directive,
    ACTIONS(4259), 1,
      anon_sym_RBRACE,
    ACTIONS(4255), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(2555), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(2848), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(1879), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [62612] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    ACTIONS(3872), 1,
      sym_identifier,
    STATE(1917), 1,
      sym_function_declarator,
    STATE(2116), 1,
      sym__declaration_declarator,
    STATE(2138), 1,
      sym__declarator,
    STATE(2252), 1,
      sym__function_declaration_declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1930), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [62649] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    ACTIONS(3872), 1,
      sym_identifier,
    STATE(1917), 1,
      sym_function_declarator,
    STATE(2052), 1,
      sym__declarator,
    STATE(2125), 1,
      sym__declaration_declarator,
    STATE(2252), 1,
      sym__function_declaration_declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1930), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [62686] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    ACTIONS(3872), 1,
      sym_identifier,
    STATE(1917), 1,
      sym_function_declarator,
    STATE(2119), 1,
      sym__declaration_declarator,
    STATE(2138), 1,
      sym__declarator,
    STATE(2252), 1,
      sym__function_declaration_declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1930), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [62723] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    ACTIONS(3872), 1,
      sym_identifier,
    STATE(1917), 1,
      sym_function_declarator,
    STATE(2138), 1,
      sym__declarator,
    STATE(2146), 1,
      sym__declaration_declarator,
    STATE(2252), 1,
      sym__function_declaration_declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1930), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [62760] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    ACTIONS(3872), 1,
      sym_identifier,
    STATE(1917), 1,
      sym_function_declarator,
    STATE(2129), 1,
      sym__declaration_declarator,
    STATE(2138), 1,
      sym__declarator,
    STATE(2252), 1,
      sym__function_declaration_declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1930), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [62797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4261), 5,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
    ACTIONS(4263), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [62818] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    ACTIONS(3872), 1,
      sym_identifier,
    STATE(1917), 1,
      sym_function_declarator,
    STATE(2138), 1,
      sym__declarator,
    STATE(2143), 1,
      sym__declaration_declarator,
    STATE(2252), 1,
      sym__function_declaration_declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1930), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [62855] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4265), 5,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
    ACTIONS(4267), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [62876] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    ACTIONS(3872), 1,
      sym_identifier,
    STATE(1917), 1,
      sym_function_declarator,
    STATE(2125), 1,
      sym__declaration_declarator,
    STATE(2138), 1,
      sym__declarator,
    STATE(2252), 1,
      sym__function_declaration_declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1930), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [62913] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    ACTIONS(3872), 1,
      sym_identifier,
    STATE(1917), 1,
      sym_function_declarator,
    STATE(2101), 1,
      sym__declaration_declarator,
    STATE(2138), 1,
      sym__declarator,
    STATE(2252), 1,
      sym__function_declaration_declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1930), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_array_declarator,
  [62950] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4251), 1,
      sym_identifier,
    ACTIONS(4253), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4257), 1,
      sym_preproc_directive,
    ACTIONS(4269), 1,
      anon_sym_RBRACE,
    ACTIONS(4255), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(2526), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(2649), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(1826), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [62983] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    ACTIONS(4271), 1,
      sym_identifier,
    ACTIONS(4273), 1,
      anon_sym_SEMI,
    STATE(2109), 1,
      sym__declarator,
    STATE(2214), 1,
      sym_array_declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
  [63017] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    ACTIONS(4275), 1,
      sym_identifier,
    ACTIONS(4277), 1,
      anon_sym_SEMI,
    STATE(2109), 1,
      sym__declarator,
    STATE(2262), 1,
      sym_array_declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
  [63051] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    ACTIONS(4279), 1,
      sym_identifier,
    ACTIONS(4281), 1,
      anon_sym_SEMI,
    STATE(2109), 1,
      sym__declarator,
    STATE(2187), 1,
      sym_array_declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
  [63085] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4283), 1,
      anon_sym_COMMA,
    ACTIONS(4287), 1,
      anon_sym_LBRACK,
    ACTIONS(4289), 1,
      anon_sym_COLON,
    STATE(1948), 1,
      sym_parameter_list,
    STATE(2250), 1,
      aux_sym__field_declaration_declarator_repeat1,
    STATE(2261), 1,
      sym_bitfield_clause,
    ACTIONS(4285), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
    STATE(1914), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [63121] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    ACTIONS(4291), 1,
      sym_identifier,
    ACTIONS(4293), 1,
      anon_sym_SEMI,
    STATE(2109), 1,
      sym__declarator,
    STATE(2181), 1,
      sym_array_declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
  [63155] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    ACTIONS(4295), 1,
      sym_identifier,
    ACTIONS(4297), 1,
      anon_sym_SEMI,
    STATE(2109), 1,
      sym__declarator,
    STATE(2206), 1,
      sym_array_declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
  [63189] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    ACTIONS(4299), 1,
      sym_identifier,
    ACTIONS(4301), 1,
      anon_sym_SEMI,
    STATE(2109), 1,
      sym__declarator,
    STATE(2225), 1,
      sym_array_declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
  [63223] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4305), 1,
      anon_sym_LBRACK,
    STATE(1809), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(4303), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [63247] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    ACTIONS(4307), 1,
      sym_identifier,
    ACTIONS(4309), 1,
      anon_sym_SEMI,
    STATE(2109), 1,
      sym__declarator,
    STATE(2178), 1,
      sym_array_declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
  [63281] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    ACTIONS(4311), 1,
      sym_identifier,
    ACTIONS(4313), 1,
      anon_sym_SEMI,
    STATE(2109), 1,
      sym__declarator,
    STATE(2208), 1,
      sym_array_declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
  [63315] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    ACTIONS(4315), 1,
      sym_identifier,
    ACTIONS(4317), 1,
      anon_sym_SEMI,
    STATE(2109), 1,
      sym__declarator,
    STATE(2189), 1,
      sym_array_declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
  [63349] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    ACTIONS(4319), 1,
      sym_identifier,
    ACTIONS(4321), 1,
      anon_sym_SEMI,
    STATE(2109), 1,
      sym__declarator,
    STATE(2204), 1,
      sym_array_declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
  [63383] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    ACTIONS(4323), 1,
      sym_identifier,
    ACTIONS(4325), 1,
      anon_sym_SEMI,
    STATE(2109), 1,
      sym__declarator,
    STATE(2196), 1,
      sym_array_declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
  [63417] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    ACTIONS(4327), 1,
      sym_identifier,
    ACTIONS(4329), 1,
      anon_sym_SEMI,
    STATE(2109), 1,
      sym__declarator,
    STATE(2230), 1,
      sym_array_declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 4,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
  [63451] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(2015), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [63480] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1977), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [63509] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(2035), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [63538] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1962), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [63567] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(2023), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [63596] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4251), 1,
      sym_identifier,
    ACTIONS(4331), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(4333), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4335), 1,
      aux_sym_preproc_elif_token1,
    STATE(1910), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(2748), 1,
      sym_enumerator,
    ACTIONS(4337), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(2804), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [63627] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1998), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [63656] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1985), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [63685] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(2089), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [63714] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4287), 1,
      anon_sym_LBRACK,
    STATE(1948), 1,
      sym_parameter_list,
    STATE(1914), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(4339), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON,
  [63741] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1990), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [63770] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1994), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [63799] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1984), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [63828] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4186), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4341), 1,
      sym_identifier,
    ACTIONS(4343), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(4345), 1,
      aux_sym_preproc_elif_token1,
    STATE(2061), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(2062), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(2170), 1,
      sym_enumerator,
    STATE(2711), 2,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
    STATE(2712), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
  [63861] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4287), 1,
      anon_sym_LBRACK,
    STATE(1948), 1,
      sym_parameter_list,
    STATE(1914), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(4347), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON,
  [63888] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(2030), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [63917] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1957), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [63946] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4287), 1,
      anon_sym_LBRACK,
    ACTIONS(4289), 1,
      anon_sym_COLON,
    STATE(1948), 1,
      sym_parameter_list,
    STATE(2463), 1,
      sym_bitfield_clause,
    STATE(1914), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(4349), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [63977] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1971), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [64006] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(2019), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [64035] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1968), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [64064] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1956), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [64093] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4353), 1,
      anon_sym___attribute__,
    ACTIONS(4239), 2,
      anon_sym_LBRACK,
      sym_identifier,
    ACTIONS(4351), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(4356), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(4241), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
  [64118] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1979), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [64147] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(2011), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [64176] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1964), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [64205] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1974), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [64234] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4358), 1,
      sym_identifier,
    ACTIONS(4361), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(4367), 1,
      sym_preproc_directive,
    ACTIONS(4370), 1,
      anon_sym_RBRACE,
    ACTIONS(4364), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(2799), 2,
      sym_preproc_call,
      sym_enumerator,
    STATE(1879), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [64263] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(2022), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [64292] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(2049), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [64321] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1988), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [64350] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(2014), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [64379] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4186), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4341), 1,
      sym_identifier,
    ACTIONS(4345), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4372), 1,
      aux_sym_preproc_if_token2,
    STATE(2003), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(2017), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(2170), 1,
      sym_enumerator,
    STATE(2691), 2,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
    STATE(2694), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
  [64412] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1991), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [64441] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1992), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [64470] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_LPAREN2,
    ACTIONS(3639), 1,
      anon_sym_STAR,
    STATE(1869), 1,
      sym__field_declarator,
    STATE(2845), 1,
      sym_ms_based_modifier,
    STATE(1952), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
  [64499] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(2044), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [64528] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(2043), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [64557] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1975), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [64586] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(2066), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [64615] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4374), 1,
      sym_identifier,
    STATE(1108), 1,
      sym_string_literal,
    ACTIONS(4376), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(2200), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [64640] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1999), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [64669] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(2002), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [64698] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(2038), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [64727] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1954), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [64756] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(2004), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [64785] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(2068), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [64814] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(2031), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [64843] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(2054), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [64872] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(2010), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [64901] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4287), 1,
      anon_sym_LBRACK,
    STATE(1948), 1,
      sym_parameter_list,
    STATE(1914), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(4378), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON,
  [64928] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(2036), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [64957] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3635), 1,
      sym_identifier,
    ACTIONS(3637), 1,
      anon_sym_LPAREN2,
    ACTIONS(3639), 1,
      anon_sym_STAR,
    STATE(2085), 1,
      sym__field_declarator,
    STATE(2845), 1,
      sym_ms_based_modifier,
    STATE(1952), 5,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
  [64986] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1966), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [65015] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4287), 1,
      anon_sym_LBRACK,
    STATE(1948), 1,
      sym_parameter_list,
    STATE(1914), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(4380), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON,
  [65042] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4182), 1,
      sym_identifier,
    ACTIONS(4382), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(4384), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4386), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4388), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(2056), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(2745), 3,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
      sym_preproc_elifdef_in_enumerator_list_no_comma,
  [65071] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(1981), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [65100] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(2016), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [65129] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4251), 1,
      sym_identifier,
    ACTIONS(4333), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4335), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4390), 1,
      aux_sym_preproc_if_token2,
    STATE(2048), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(2748), 1,
      sym_enumerator,
    ACTIONS(4337), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(2750), 3,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
      sym_preproc_elifdef_in_enumerator_list,
  [65160] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(2028), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [65189] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4186), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4341), 1,
      sym_identifier,
    ACTIONS(4345), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4392), 1,
      aux_sym_preproc_if_token2,
    STATE(2029), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(2037), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(2170), 1,
      sym_enumerator,
    STATE(2719), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
    STATE(2753), 2,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
  [65222] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1990), 1,
      anon_sym___based,
    ACTIONS(3439), 1,
      sym_identifier,
    ACTIONS(3659), 1,
      anon_sym_LPAREN2,
    ACTIONS(3661), 1,
      anon_sym_STAR,
    STATE(2027), 1,
      sym__declarator,
    STATE(2616), 1,
      sym_ms_based_modifier,
    STATE(1917), 5,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
  [65251] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4396), 1,
      anon_sym_LBRACK,
    STATE(1809), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(4394), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON,
  [65273] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4400), 1,
      anon_sym_LBRACK,
    STATE(2185), 1,
      sym_gnu_asm_input_operand,
    STATE(2731), 1,
      sym_string_literal,
    ACTIONS(4398), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [65297] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4404), 1,
      anon_sym_LBRACK,
    ACTIONS(4402), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [65315] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4408), 1,
      anon_sym_LBRACK,
    ACTIONS(4406), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [65333] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4412), 1,
      anon_sym_LBRACK,
    ACTIONS(4410), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [65351] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4414), 1,
      anon_sym_COMMA,
    ACTIONS(4418), 1,
      anon_sym_LBRACK,
    STATE(2071), 1,
      sym_parameter_list,
    STATE(2236), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(4416), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
    STATE(1942), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [65381] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4418), 1,
      anon_sym_LBRACK,
    STATE(2071), 1,
      sym_parameter_list,
    STATE(1942), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(4420), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [65407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4424), 1,
      anon_sym_LBRACK,
    ACTIONS(4422), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [65425] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4418), 1,
      anon_sym_LBRACK,
    STATE(2071), 1,
      sym_parameter_list,
    STATE(1942), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(4426), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [65451] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4430), 1,
      anon_sym_LBRACK,
    ACTIONS(4428), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [65469] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4434), 1,
      anon_sym_LBRACK,
    ACTIONS(4432), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [65487] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4418), 1,
      anon_sym_LBRACK,
    STATE(2071), 1,
      sym_parameter_list,
    STATE(1942), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(4436), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [65513] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4440), 1,
      anon_sym_LBRACK,
    ACTIONS(4438), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
  [65531] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4418), 1,
      anon_sym_LBRACK,
    STATE(2071), 1,
      sym_parameter_list,
    STATE(1942), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(4442), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [65557] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4446), 1,
      anon_sym_LBRACK,
    STATE(2223), 1,
      sym_gnu_asm_output_operand,
    STATE(2781), 1,
      sym_string_literal,
    ACTIONS(4444), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [65581] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4374), 1,
      sym_identifier,
    STATE(1108), 1,
      sym_string_literal,
    STATE(2369), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [65602] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4408), 1,
      anon_sym_LBRACK,
    ACTIONS(4406), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
    ACTIONS(4448), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_asm,
      anon_sym___asm__,
  [65621] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4450), 1,
      sym_identifier,
    ACTIONS(4454), 1,
      sym_system_lib_string,
    STATE(2808), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(4452), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [65642] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(551), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    ACTIONS(4456), 1,
      anon_sym_EQ,
    STATE(499), 1,
      sym_compound_statement,
    STATE(1792), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [65671] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(625), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    ACTIONS(4456), 1,
      anon_sym_EQ,
    STATE(506), 1,
      sym_compound_statement,
    STATE(1792), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [65700] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4418), 1,
      anon_sym_LBRACK,
    STATE(2071), 1,
      sym_parameter_list,
    STATE(1942), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(4458), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [65725] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(223), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    ACTIONS(4456), 1,
      anon_sym_EQ,
    STATE(299), 1,
      sym_compound_statement,
    STATE(1792), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [65754] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2406), 1,
      anon_sym_LPAREN2,
    ACTIONS(2408), 1,
      anon_sym_STAR,
    ACTIONS(3447), 1,
      anon_sym_LBRACK,
    STATE(2155), 1,
      sym_parameter_list,
    STATE(2190), 1,
      sym__abstract_declarator,
    STATE(2176), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
  [65779] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4460), 1,
      sym_identifier,
    ACTIONS(4462), 1,
      sym_system_lib_string,
    STATE(2648), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(4452), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [65800] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4374), 1,
      sym_identifier,
    STATE(1108), 1,
      sym_string_literal,
    STATE(2465), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [65821] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4374), 1,
      sym_identifier,
    STATE(1108), 1,
      sym_string_literal,
    STATE(2342), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [65842] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4464), 1,
      sym_identifier,
    ACTIONS(4466), 1,
      sym_system_lib_string,
    STATE(2590), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(4452), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [65863] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4374), 1,
      sym_identifier,
    STATE(1108), 1,
      sym_string_literal,
    STATE(2277), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [65884] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4470), 1,
      anon_sym_LBRACK,
    STATE(1809), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(4468), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [65905] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    ACTIONS(4456), 1,
      anon_sym_EQ,
    STATE(587), 1,
      sym_compound_statement,
    STATE(1792), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [65934] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4472), 1,
      sym_identifier,
    ACTIONS(4474), 1,
      sym_system_lib_string,
    STATE(2894), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(4452), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [65955] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(145), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    ACTIONS(4456), 1,
      anon_sym_EQ,
    STATE(164), 1,
      sym_compound_statement,
    STATE(1792), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [65984] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4374), 1,
      sym_identifier,
    STATE(1108), 1,
      sym_string_literal,
    STATE(2403), 2,
      sym__string,
      sym_concatenated_string,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [66005] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4476), 1,
      sym_identifier,
    ACTIONS(4478), 1,
      sym_system_lib_string,
    STATE(2597), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(4452), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [66026] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4482), 1,
      anon_sym_LBRACK,
    ACTIONS(4480), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [66042] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4446), 1,
      anon_sym_LBRACK,
    STATE(2464), 1,
      sym_gnu_asm_output_operand,
    STATE(2781), 1,
      sym_string_literal,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [66062] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(551), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(515), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [66088] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4486), 1,
      anon_sym_LBRACK,
    ACTIONS(4484), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [66104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4490), 1,
      anon_sym_LBRACK,
    ACTIONS(4488), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [66120] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(582), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [66146] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(145), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(167), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [66172] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(145), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(168), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [66198] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(145), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(169), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [66224] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(145), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(170), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [66250] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(551), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(541), 1,
      sym_compound_statement,
    STATE(1792), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [66276] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(145), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(171), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [66302] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(145), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(172), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [66328] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(551), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(542), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [66354] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(145), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(173), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [66380] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(1794), 1,
      sym_parameter_list,
    ACTIONS(4492), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [66404] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(145), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(174), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [66430] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(223), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(295), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [66456] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(588), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [66482] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(145), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(176), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [66508] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(551), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(551), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [66534] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(551), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(552), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [66560] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(145), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(177), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [66586] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(145), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(178), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [66612] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(223), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(293), 1,
      sym_compound_statement,
    STATE(1792), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [66638] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(223), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(292), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [66664] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(596), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [66690] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(145), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(185), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [66716] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(145), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(187), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [66742] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(223), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(285), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [66768] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(223), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(284), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [66794] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(551), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(554), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [66820] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(573), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [66846] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(145), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(194), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [66872] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4496), 1,
      anon_sym_LBRACK,
    ACTIONS(4494), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [66888] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(576), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [66914] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(604), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [66940] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(625), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(537), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [66966] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(625), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(490), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [66992] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4341), 1,
      sym_identifier,
    ACTIONS(4384), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4498), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(4500), 1,
      aux_sym_preproc_elif_token1,
    STATE(2003), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(2691), 2,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
  [67016] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(625), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(536), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [67042] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(551), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(556), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [67068] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(551), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(557), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [67094] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(223), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(270), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [67120] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(625), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(535), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [67146] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4251), 1,
      sym_identifier,
    ACTIONS(4333), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4372), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(4502), 1,
      aux_sym_preproc_elif_token1,
    STATE(2017), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(2650), 1,
      sym_enumerator,
    STATE(2694), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
  [67172] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(605), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [67198] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(625), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(534), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [67224] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(1794), 1,
      sym_parameter_list,
    ACTIONS(4504), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [67248] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(625), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(533), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [67274] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(625), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(532), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [67300] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(625), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(491), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [67326] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(625), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(531), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [67352] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(625), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(530), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [67378] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(625), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(529), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [67404] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4341), 1,
      sym_identifier,
    ACTIONS(4384), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4500), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4506), 1,
      aux_sym_preproc_if_token2,
    STATE(2105), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(2676), 2,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
  [67428] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(625), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(528), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [67454] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(608), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [67480] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(625), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(527), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [67506] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(223), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(272), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [67532] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(145), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(195), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [67558] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(589), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [67584] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(625), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(525), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [67610] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(551), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(558), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [67636] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(551), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(559), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [67662] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(551), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(560), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [67688] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(145), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(193), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [67714] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(223), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(267), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [67740] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(223), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(273), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [67766] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4251), 1,
      sym_identifier,
    ACTIONS(4333), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4502), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4508), 1,
      aux_sym_preproc_if_token2,
    STATE(2110), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(2650), 1,
      sym_enumerator,
    STATE(2677), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
  [67792] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(625), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(523), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [67818] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(625), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(521), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [67844] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(223), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(274), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [67870] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(223), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(276), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [67896] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(551), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(561), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [67922] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(551), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(562), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [67948] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(551), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(563), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [67974] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(551), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(564), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [68000] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(592), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [68026] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(595), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [68052] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(594), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [68078] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4251), 1,
      sym_identifier,
    ACTIONS(4333), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4502), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4510), 1,
      aux_sym_preproc_if_token2,
    STATE(2110), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(2650), 1,
      sym_enumerator,
    STATE(2718), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
  [68104] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(551), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(565), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [68130] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(551), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(566), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [68156] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(551), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(567), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [68182] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(625), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(516), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [68208] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(145), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(184), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [68234] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(551), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(568), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [68260] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(223), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(277), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [68286] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4341), 1,
      sym_identifier,
    ACTIONS(4384), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4500), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4512), 1,
      aux_sym_preproc_if_token2,
    STATE(2105), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(2714), 2,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
  [68310] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(223), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(278), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [68336] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(145), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(183), 1,
      sym_compound_statement,
    STATE(1792), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [68362] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(223), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(281), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [68388] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(223), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(261), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [68414] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4400), 1,
      anon_sym_LBRACK,
    STATE(2451), 1,
      sym_gnu_asm_input_operand,
    STATE(2731), 1,
      sym_string_literal,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [68434] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(223), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(262), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [68460] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(223), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(263), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [68486] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4516), 1,
      anon_sym_LBRACK,
    ACTIONS(4514), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [68502] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(145), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(181), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [68528] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(223), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(264), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [68554] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4518), 1,
      sym_identifier,
    ACTIONS(4523), 1,
      aux_sym_preproc_elif_token1,
    STATE(2048), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(2748), 1,
      sym_enumerator,
    ACTIONS(4521), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [68576] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(223), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(265), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [68602] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(574), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [68628] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4527), 1,
      anon_sym_LBRACK,
    ACTIONS(4525), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [68644] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(602), 1,
      sym_compound_statement,
    STATE(1792), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [68670] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(625), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(512), 1,
      sym_compound_statement,
    STATE(1792), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [68696] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(580), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [68722] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4531), 1,
      anon_sym_LBRACK,
    ACTIONS(4529), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [68738] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4533), 1,
      sym_identifier,
    ACTIONS(4538), 1,
      aux_sym_preproc_elif_token1,
    STATE(2056), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    ACTIONS(4536), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [68758] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4251), 1,
      sym_identifier,
    ACTIONS(4333), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4502), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4540), 1,
      aux_sym_preproc_if_token2,
    STATE(2029), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(2650), 1,
      sym_enumerator,
    STATE(2719), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
  [68784] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4341), 1,
      sym_identifier,
    ACTIONS(4384), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4500), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4542), 1,
      aux_sym_preproc_if_token2,
    STATE(2061), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(2711), 2,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
  [68808] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4251), 1,
      sym_identifier,
    ACTIONS(4333), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4343), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(4502), 1,
      aux_sym_preproc_elif_token1,
    STATE(2062), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(2650), 1,
      sym_enumerator,
    STATE(2712), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
  [68834] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4546), 1,
      anon_sym_LBRACK,
    ACTIONS(4544), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [68850] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4341), 1,
      sym_identifier,
    ACTIONS(4384), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4500), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4548), 1,
      aux_sym_preproc_if_token2,
    STATE(2105), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(2689), 2,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
  [68874] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4251), 1,
      sym_identifier,
    ACTIONS(4333), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(4502), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4550), 1,
      aux_sym_preproc_if_token2,
    STATE(2110), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(2650), 1,
      sym_enumerator,
    STATE(2690), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
  [68900] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(584), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [68926] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4554), 1,
      anon_sym_LBRACK,
    ACTIONS(4552), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [68942] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(583), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [68968] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(581), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [68994] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4558), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4560), 1,
      anon_sym_EQ,
    ACTIONS(4556), 6,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [69012] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(47), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(575), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [69038] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(625), 1,
      anon_sym_LBRACE,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(510), 1,
      sym_compound_statement,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [69064] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4564), 1,
      anon_sym___attribute__,
    STATE(2070), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(4562), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_asm,
      anon_sym___asm__,
  [69081] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4569), 1,
      anon_sym_LBRACK,
    ACTIONS(4567), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [69096] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4573), 1,
      anon_sym_LBRACK,
    ACTIONS(4571), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [69111] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4287), 1,
      anon_sym_LBRACK,
    ACTIONS(4575), 1,
      anon_sym_RPAREN,
    STATE(1948), 1,
      sym_parameter_list,
    STATE(1914), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [69134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4579), 1,
      anon_sym_LBRACK,
    ACTIONS(4577), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [69149] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4418), 1,
      anon_sym_LBRACK,
    ACTIONS(4581), 1,
      anon_sym_RPAREN,
    STATE(2071), 1,
      sym_parameter_list,
    STATE(1942), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [69172] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4585), 1,
      anon_sym_LBRACK,
    ACTIONS(4583), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [69187] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4163), 1,
      anon_sym___attribute__,
    STATE(2070), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(4587), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_asm,
      anon_sym___asm__,
  [69204] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2643), 1,
      anon_sym_LBRACK,
    ACTIONS(4589), 1,
      anon_sym_EQ,
    ACTIONS(4591), 1,
      anon_sym_DOT,
    STATE(2084), 4,
      sym_subscript_designator,
      sym_subscript_range_designator,
      sym_field_designator,
      aux_sym_initializer_pair_repeat1,
  [69223] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4595), 1,
      anon_sym_LBRACK,
    ACTIONS(4593), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [69238] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4599), 1,
      anon_sym_LBRACK,
    ACTIONS(4597), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [69253] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(2464), 1,
      anon_sym_LBRACE,
    ACTIONS(4601), 1,
      sym_identifier,
    STATE(1224), 1,
      sym_field_declaration_list,
    STATE(2174), 1,
      sym_attribute_specifier,
    STATE(2307), 1,
      sym_ms_declspec_modifier,
  [69278] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    ACTIONS(4603), 1,
      anon_sym_RPAREN,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [69301] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4607), 1,
      anon_sym_COMMA,
    ACTIONS(4609), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4605), 5,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [69318] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4611), 1,
      anon_sym_LBRACK,
    ACTIONS(4614), 1,
      anon_sym_EQ,
    ACTIONS(4616), 1,
      anon_sym_DOT,
    STATE(2084), 4,
      sym_subscript_designator,
      sym_subscript_range_designator,
      sym_field_designator,
      aux_sym_initializer_pair_repeat1,
  [69337] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4287), 1,
      anon_sym_LBRACK,
    ACTIONS(4619), 1,
      anon_sym_RPAREN,
    STATE(1948), 1,
      sym_parameter_list,
    STATE(1914), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [69360] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4418), 1,
      anon_sym_LBRACK,
    ACTIONS(4621), 1,
      anon_sym_RPAREN,
    STATE(2071), 1,
      sym_parameter_list,
    STATE(1942), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [69383] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4625), 1,
      anon_sym_LBRACK,
    ACTIONS(4623), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [69398] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4629), 1,
      anon_sym_LBRACK,
    ACTIONS(4627), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [69413] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    ACTIONS(4631), 1,
      anon_sym_RPAREN,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [69436] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4635), 1,
      anon_sym_LBRACK,
    ACTIONS(4633), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [69451] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4163), 1,
      anon_sym___attribute__,
    STATE(2070), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(4206), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_asm,
      anon_sym___asm__,
  [69468] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    ACTIONS(4456), 1,
      anon_sym_EQ,
    STATE(1792), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [69491] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4639), 1,
      anon_sym_LBRACK,
    ACTIONS(4637), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [69506] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4643), 1,
      anon_sym_LBRACK,
    STATE(2167), 1,
      sym_parameter_list,
    ACTIONS(4641), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [69524] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4643), 1,
      anon_sym_LBRACK,
    STATE(2167), 1,
      sym_parameter_list,
    ACTIONS(4645), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [69542] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4647), 1,
      anon_sym_LPAREN2,
    STATE(2096), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(4649), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [69558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4652), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(4654), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [69572] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4656), 1,
      anon_sym_LPAREN2,
    STATE(2099), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(4658), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [69588] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4660), 1,
      anon_sym_LPAREN2,
    STATE(2096), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(4658), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [69604] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(4664), 1,
      anon_sym_SEMI,
    STATE(2417), 1,
      sym_gnu_asm_expression,
    STATE(2418), 1,
      aux_sym_declaration_repeat2,
    ACTIONS(4666), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [69624] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(4668), 1,
      anon_sym_SEMI,
    STATE(2453), 1,
      sym_gnu_asm_expression,
    STATE(2454), 1,
      aux_sym_declaration_repeat2,
    ACTIONS(4666), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [69644] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4670), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(4672), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [69658] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(4674), 1,
      anon_sym_SEMI,
    STATE(2288), 1,
      sym_gnu_asm_expression,
    STATE(2293), 1,
      aux_sym_declaration_repeat2,
    ACTIONS(4666), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [69678] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(4676), 1,
      anon_sym_SEMI,
    STATE(2363), 1,
      sym_gnu_asm_expression,
    STATE(2364), 1,
      aux_sym_declaration_repeat2,
    ACTIONS(4666), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [69698] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4678), 1,
      sym_identifier,
    STATE(2105), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    ACTIONS(4536), 3,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [69714] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(4681), 1,
      anon_sym_SEMI,
    STATE(2300), 1,
      sym_gnu_asm_expression,
    STATE(2301), 1,
      aux_sym_declaration_repeat2,
    ACTIONS(4666), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [69734] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4683), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(4685), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [69748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4687), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(4689), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [69762] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(1794), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [69782] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4518), 1,
      sym_identifier,
    STATE(2110), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(2650), 1,
      sym_enumerator,
    ACTIONS(4521), 3,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [69800] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(4691), 1,
      anon_sym_SEMI,
    STATE(2348), 1,
      sym_gnu_asm_expression,
    STATE(2349), 1,
      aux_sym_declaration_repeat2,
    ACTIONS(4666), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [69820] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4693), 1,
      anon_sym_LPAREN2,
    STATE(2148), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(4658), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [69836] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4643), 1,
      anon_sym_LBRACK,
    STATE(2167), 1,
      sym_parameter_list,
    ACTIONS(4695), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [69854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4697), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(4699), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [69868] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4643), 1,
      anon_sym_LBRACK,
    STATE(2167), 1,
      sym_parameter_list,
    ACTIONS(4701), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [69886] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(4703), 1,
      anon_sym_SEMI,
    STATE(2448), 1,
      aux_sym_declaration_repeat2,
    STATE(2449), 1,
      sym_gnu_asm_expression,
    ACTIONS(4666), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [69906] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2670), 1,
      sym_string_literal,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [69920] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4670), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(4672), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [69934] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(4705), 1,
      anon_sym_SEMI,
    STATE(2297), 1,
      aux_sym_declaration_repeat2,
    STATE(2298), 1,
      sym_gnu_asm_expression,
    ACTIONS(4666), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [69954] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4643), 1,
      anon_sym_LBRACK,
    STATE(2167), 1,
      sym_parameter_list,
    ACTIONS(4707), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [69972] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1073), 1,
      sym_string_literal,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [69986] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(4709), 1,
      anon_sym_SEMI,
    STATE(2360), 1,
      aux_sym_declaration_repeat2,
    STATE(2361), 1,
      sym_gnu_asm_expression,
    ACTIONS(4666), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [70006] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4711), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(4713), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [70020] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(4715), 1,
      anon_sym_SEMI,
    STATE(2320), 1,
      aux_sym_declaration_repeat2,
    STATE(2323), 1,
      sym_gnu_asm_expression,
    ACTIONS(4666), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [70040] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(4717), 1,
      anon_sym_SEMI,
    STATE(2351), 1,
      sym_gnu_asm_expression,
    STATE(2352), 1,
      aux_sym_declaration_repeat2,
    ACTIONS(4666), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [70060] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(4719), 1,
      anon_sym_SEMI,
    STATE(2468), 1,
      aux_sym_declaration_repeat2,
    STATE(2475), 1,
      sym_gnu_asm_expression,
    ACTIONS(4666), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [70080] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(4721), 1,
      anon_sym_SEMI,
    STATE(2444), 1,
      sym_gnu_asm_expression,
    STATE(2445), 1,
      aux_sym_declaration_repeat2,
    ACTIONS(4666), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [70100] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4723), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(4725), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [70114] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(4727), 1,
      anon_sym_SEMI,
    STATE(2478), 1,
      sym_gnu_asm_expression,
    STATE(2479), 1,
      aux_sym_declaration_repeat2,
    ACTIONS(4666), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [70134] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(4729), 1,
      anon_sym_SEMI,
    STATE(2437), 1,
      aux_sym_declaration_repeat2,
    STATE(2447), 1,
      sym_gnu_asm_expression,
    ACTIONS(4666), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [70154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2683), 1,
      sym_string_literal,
    ACTIONS(101), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [70168] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4643), 1,
      anon_sym_LBRACK,
    STATE(2167), 1,
      sym_parameter_list,
    ACTIONS(4731), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [70186] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4711), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(4713), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [70200] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(4733), 1,
      anon_sym_SEMI,
    STATE(2372), 1,
      sym_gnu_asm_expression,
    STATE(2373), 1,
      aux_sym_declaration_repeat2,
    ACTIONS(4666), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [70220] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4643), 1,
      anon_sym_LBRACK,
    STATE(2167), 1,
      sym_parameter_list,
    ACTIONS(4735), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [70238] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(4737), 1,
      anon_sym_SEMI,
    STATE(2472), 1,
      aux_sym_declaration_repeat2,
    STATE(2473), 1,
      sym_gnu_asm_expression,
    ACTIONS(4666), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [70258] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(4739), 1,
      anon_sym_SEMI,
    STATE(2438), 1,
      sym_gnu_asm_expression,
    STATE(2439), 1,
      aux_sym_declaration_repeat2,
    ACTIONS(4666), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [70278] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(41), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4235), 1,
      anon_sym_LBRACK,
    STATE(1792), 1,
      sym_parameter_list,
    STATE(1845), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [70298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4523), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(4521), 5,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [70312] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4741), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(4743), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [70326] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(4745), 1,
      anon_sym_SEMI,
    STATE(2269), 1,
      sym_gnu_asm_expression,
    STATE(2412), 1,
      aux_sym_declaration_repeat2,
    ACTIONS(4666), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [70346] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4747), 1,
      anon_sym_EQ,
    ACTIONS(4556), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_identifier,
  [70360] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(4749), 1,
      anon_sym_SEMI,
    STATE(2327), 1,
      sym_gnu_asm_expression,
    STATE(2328), 1,
      aux_sym_declaration_repeat2,
    ACTIONS(4666), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [70380] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(4751), 1,
      anon_sym_SEMI,
    STATE(2424), 1,
      aux_sym_declaration_repeat2,
    STATE(2426), 1,
      sym_gnu_asm_expression,
    ACTIONS(4666), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [70400] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(4753), 1,
      anon_sym_SEMI,
    STATE(2326), 1,
      aux_sym_declaration_repeat2,
    STATE(2330), 1,
      sym_gnu_asm_expression,
    ACTIONS(4666), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [70420] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(4755), 1,
      anon_sym_SEMI,
    STATE(2398), 1,
      sym_gnu_asm_expression,
    STATE(2399), 1,
      aux_sym_declaration_repeat2,
    ACTIONS(4666), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [70440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4370), 2,
      anon_sym_RBRACE,
      sym_identifier,
    ACTIONS(4757), 4,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
  [70454] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4759), 1,
      anon_sym_LPAREN2,
    STATE(2096), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(4658), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [70470] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(4761), 1,
      anon_sym_SEMI,
    STATE(2333), 1,
      sym_gnu_asm_expression,
    STATE(2334), 1,
      aux_sym_declaration_repeat2,
    ACTIONS(4666), 2,
      anon_sym_asm,
      anon_sym___asm__,
  [70490] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    ACTIONS(4765), 1,
      anon_sym_COLON_COLON,
    STATE(2548), 1,
      sym_argument_list,
    ACTIONS(4763), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [70507] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4182), 1,
      sym_identifier,
    ACTIONS(4767), 1,
      aux_sym_preproc_if_token2,
    STATE(2083), 1,
      sym_enumerator,
    STATE(2205), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(2207), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [70526] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4769), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [70537] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4771), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [70548] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4773), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [70559] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4775), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [70570] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4777), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [70581] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4643), 1,
      anon_sym_LBRACK,
    STATE(2167), 1,
      sym_parameter_list,
    ACTIONS(4492), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [70598] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2851), 1,
      sym_extension_behavior,
    ACTIONS(4779), 4,
      anon_sym_require,
      anon_sym_enable,
      anon_sym_warn,
      anon_sym_disable,
  [70611] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4781), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [70622] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4783), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [70633] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2498), 1,
      sym_gnu_asm_expression,
    ACTIONS(4666), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(4785), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [70648] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4787), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [70659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2864), 1,
      sym_extension_behavior,
    ACTIONS(4779), 4,
      anon_sym_require,
      anon_sym_enable,
      anon_sym_warn,
      anon_sym_disable,
  [70672] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2520), 1,
      sym_gnu_asm_expression,
    ACTIONS(4666), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(4789), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [70687] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4791), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [70698] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4793), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [70709] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4795), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [70720] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2858), 1,
      sym_extension_behavior,
    ACTIONS(4779), 4,
      anon_sym_require,
      anon_sym_enable,
      anon_sym_warn,
      anon_sym_disable,
  [70733] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4797), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [70744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4799), 1,
      anon_sym_COMMA,
    ACTIONS(4605), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_identifier,
  [70757] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(2464), 1,
      anon_sym_LBRACE,
    ACTIONS(4801), 1,
      sym_identifier,
    STATE(1226), 1,
      sym_field_declaration_list,
    STATE(2311), 1,
      sym_ms_declspec_modifier,
  [70776] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4643), 1,
      anon_sym_LBRACK,
    STATE(2167), 1,
      sym_parameter_list,
    ACTIONS(4504), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [70793] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2661), 1,
      sym_extension_behavior,
    ACTIONS(4779), 4,
      anon_sym_require,
      anon_sym_enable,
      anon_sym_warn,
      anon_sym_disable,
  [70806] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym___declspec,
    ACTIONS(2464), 1,
      anon_sym_LBRACE,
    ACTIONS(4803), 1,
      sym_identifier,
    STATE(1215), 1,
      sym_field_declaration_list,
    STATE(2315), 1,
      sym_ms_declspec_modifier,
  [70825] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2728), 1,
      sym_extension_behavior,
    ACTIONS(4779), 4,
      anon_sym_require,
      anon_sym_enable,
      anon_sym_warn,
      anon_sym_disable,
  [70838] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4805), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [70849] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4163), 1,
      anon_sym___attribute__,
    ACTIONS(4807), 1,
      anon_sym_SEMI,
    STATE(2070), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [70863] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4408), 1,
      anon_sym_LBRACK,
    ACTIONS(4809), 1,
      anon_sym_SEMI,
    ACTIONS(4406), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [70877] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4251), 1,
      sym_identifier,
    ACTIONS(4767), 1,
      aux_sym_preproc_if_token2,
    STATE(2205), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(2748), 1,
      sym_enumerator,
  [70893] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4163), 1,
      anon_sym___attribute__,
    ACTIONS(4811), 1,
      anon_sym_SEMI,
    STATE(2070), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [70907] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4408), 1,
      anon_sym_LBRACK,
    ACTIONS(4813), 1,
      anon_sym_SEMI,
    ACTIONS(4406), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [70921] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4163), 1,
      anon_sym___attribute__,
    ACTIONS(4815), 1,
      anon_sym_SEMI,
    STATE(2198), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [70935] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4163), 1,
      anon_sym___attribute__,
    ACTIONS(4817), 1,
      anon_sym_SEMI,
    STATE(2070), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [70949] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4163), 1,
      anon_sym___attribute__,
    ACTIONS(4819), 1,
      anon_sym_SEMI,
    STATE(2070), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [70963] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4821), 1,
      anon_sym_COMMA,
    STATE(2228), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(4823), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [70977] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4163), 1,
      anon_sym___attribute__,
    ACTIONS(4825), 1,
      anon_sym_SEMI,
    STATE(2070), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [70991] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4408), 1,
      anon_sym_LBRACK,
    ACTIONS(4827), 1,
      anon_sym_SEMI,
    ACTIONS(4406), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [71005] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4829), 1,
      anon_sym_COMMA,
    STATE(2219), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(4831), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [71019] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4408), 1,
      anon_sym_LBRACK,
    ACTIONS(4833), 1,
      anon_sym_SEMI,
    ACTIONS(4406), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [71033] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4643), 1,
      anon_sym_LBRACK,
    ACTIONS(4835), 1,
      anon_sym_RPAREN,
    STATE(2167), 1,
      sym_parameter_list,
  [71049] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4837), 1,
      anon_sym_COMMA,
    STATE(2191), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(4840), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [71063] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4163), 1,
      anon_sym___attribute__,
    ACTIONS(4842), 1,
      anon_sym_SEMI,
    STATE(2070), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [71077] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4163), 1,
      anon_sym___attribute__,
    ACTIONS(4844), 1,
      anon_sym_SEMI,
    STATE(2177), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [71091] = 5,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(4846), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4848), 1,
      anon_sym_LPAREN,
    ACTIONS(4850), 1,
      sym_preproc_arg,
    STATE(2483), 1,
      sym_preproc_params,
  [71107] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4163), 1,
      anon_sym___attribute__,
    ACTIONS(4852), 1,
      anon_sym_SEMI,
    STATE(2180), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [71121] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4321), 1,
      anon_sym_SEMI,
    ACTIONS(4408), 1,
      anon_sym_LBRACK,
    ACTIONS(4406), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [71135] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4854), 1,
      sym_identifier,
    ACTIONS(4856), 1,
      anon_sym_COMMA,
    ACTIONS(4858), 1,
      anon_sym_RPAREN,
    STATE(2290), 1,
      aux_sym_function_definition_repeat1,
  [71151] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4163), 1,
      anon_sym___attribute__,
    ACTIONS(4860), 1,
      anon_sym_SEMI,
    STATE(2070), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [71165] = 5,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(4848), 1,
      anon_sym_LPAREN,
    ACTIONS(4862), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4864), 1,
      sym_preproc_arg,
    STATE(2554), 1,
      sym_preproc_params,
  [71181] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4866), 1,
      anon_sym_COMMA,
    STATE(2201), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(4868), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [71195] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4866), 1,
      anon_sym_COMMA,
    STATE(2215), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(4870), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [71209] = 5,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(4872), 1,
      anon_sym_DQUOTE,
    ACTIONS(4874), 1,
      aux_sym_string_literal_token1,
    ACTIONS(4876), 1,
      sym_escape_sequence,
    STATE(2263), 1,
      aux_sym_string_literal_repeat1,
  [71225] = 4,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(4878), 1,
      anon_sym_SQUOTE,
    STATE(2264), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(4880), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [71239] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4408), 1,
      anon_sym_LBRACK,
    ACTIONS(4882), 1,
      anon_sym_SEMI,
    ACTIONS(4406), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [71253] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4251), 1,
      sym_identifier,
    ACTIONS(4884), 1,
      aux_sym_preproc_if_token2,
    STATE(2048), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(2748), 1,
      sym_enumerator,
  [71269] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4317), 1,
      anon_sym_SEMI,
    ACTIONS(4408), 1,
      anon_sym_LBRACK,
    ACTIONS(4406), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [71283] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4182), 1,
      sym_identifier,
    ACTIONS(4886), 1,
      aux_sym_preproc_if_token2,
    STATE(2056), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [71297] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4309), 1,
      anon_sym_SEMI,
    ACTIONS(4408), 1,
      anon_sym_LBRACK,
    ACTIONS(4406), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [71311] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4856), 1,
      anon_sym_COMMA,
    ACTIONS(4888), 1,
      sym_identifier,
    ACTIONS(4890), 1,
      anon_sym_RPAREN,
    STATE(2354), 1,
      aux_sym_function_definition_repeat1,
  [71327] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4892), 1,
      anon_sym___except,
    ACTIONS(4894), 1,
      anon_sym___finally,
    STATE(199), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [71341] = 5,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(4848), 1,
      anon_sym_LPAREN,
    ACTIONS(4896), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4898), 1,
      sym_preproc_arg,
    STATE(2511), 1,
      sym_preproc_params,
  [71357] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4163), 1,
      anon_sym___attribute__,
    ACTIONS(4900), 1,
      anon_sym_SEMI,
    STATE(2070), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [71371] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4163), 1,
      anon_sym___attribute__,
    ACTIONS(4902), 1,
      anon_sym_SEMI,
    STATE(2183), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [71385] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4408), 1,
      anon_sym_LBRACK,
    ACTIONS(4904), 1,
      anon_sym_SEMI,
    ACTIONS(4406), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [71399] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4906), 1,
      anon_sym_COMMA,
    STATE(2215), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(4909), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [71413] = 5,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(4848), 1,
      anon_sym_LPAREN,
    ACTIONS(4911), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4913), 1,
      sym_preproc_arg,
    STATE(2517), 1,
      sym_preproc_params,
  [71429] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4163), 1,
      anon_sym___attribute__,
    ACTIONS(4915), 1,
      anon_sym_SEMI,
    STATE(2192), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [71443] = 5,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(4848), 1,
      anon_sym_LPAREN,
    ACTIONS(4917), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4919), 1,
      sym_preproc_arg,
    STATE(2522), 1,
      sym_preproc_params,
  [71459] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4921), 1,
      anon_sym_COMMA,
    STATE(2219), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(4924), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [71473] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4926), 1,
      anon_sym___except,
    ACTIONS(4928), 1,
      anon_sym___finally,
    STATE(99), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [71487] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4163), 1,
      anon_sym___attribute__,
    ACTIONS(4930), 1,
      anon_sym_SEMI,
    STATE(2212), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [71501] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4163), 1,
      anon_sym___attribute__,
    ACTIONS(4932), 1,
      anon_sym_SEMI,
    STATE(2184), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [71515] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4829), 1,
      anon_sym_COMMA,
    STATE(2188), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(4934), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [71529] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4182), 1,
      sym_identifier,
    ACTIONS(4936), 1,
      aux_sym_preproc_if_token2,
    STATE(2207), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [71543] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4281), 1,
      anon_sym_SEMI,
    ACTIONS(4408), 1,
      anon_sym_LBRACK,
    ACTIONS(4406), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [71557] = 5,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(4938), 1,
      anon_sym_DQUOTE,
    ACTIONS(4940), 1,
      aux_sym_string_literal_token1,
    ACTIONS(4942), 1,
      sym_escape_sequence,
    STATE(2244), 1,
      aux_sym_string_literal_repeat1,
  [71573] = 5,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(4848), 1,
      anon_sym_LPAREN,
    ACTIONS(4944), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4946), 1,
      sym_preproc_arg,
    STATE(2556), 1,
      sym_preproc_params,
  [71589] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4821), 1,
      anon_sym_COMMA,
    STATE(2191), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(4948), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [71603] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4163), 1,
      anon_sym___attribute__,
    ACTIONS(4950), 1,
      anon_sym_SEMI,
    STATE(2070), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [71617] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4293), 1,
      anon_sym_SEMI,
    ACTIONS(4408), 1,
      anon_sym_LBRACK,
    ACTIONS(4406), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [71631] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4952), 1,
      anon_sym___except,
    ACTIONS(4954), 1,
      anon_sym___finally,
    STATE(358), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [71645] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4856), 1,
      anon_sym_COMMA,
    ACTIONS(4956), 1,
      sym_identifier,
    ACTIONS(4958), 1,
      anon_sym_RPAREN,
    STATE(2281), 1,
      aux_sym_function_definition_repeat1,
  [71661] = 5,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(4874), 1,
      aux_sym_string_literal_token1,
    ACTIONS(4876), 1,
      sym_escape_sequence,
    ACTIONS(4960), 1,
      anon_sym_DQUOTE,
    STATE(2263), 1,
      aux_sym_string_literal_repeat1,
  [71677] = 4,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(4962), 1,
      anon_sym_SQUOTE,
    STATE(2264), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(4880), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [71691] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4163), 1,
      anon_sym___attribute__,
    ACTIONS(4964), 1,
      anon_sym_SEMI,
    STATE(2070), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [71705] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4414), 1,
      anon_sym_COMMA,
    STATE(2246), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(4966), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [71719] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4968), 1,
      anon_sym___except,
    ACTIONS(4970), 1,
      anon_sym___finally,
    STATE(481), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [71733] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4972), 4,
      anon_sym_LPAREN2,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [71743] = 5,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(4974), 1,
      anon_sym_DQUOTE,
    ACTIONS(4976), 1,
      aux_sym_string_literal_token1,
    ACTIONS(4978), 1,
      sym_escape_sequence,
    STATE(2202), 1,
      aux_sym_string_literal_repeat1,
  [71759] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4233), 1,
      anon_sym_LPAREN2,
    ACTIONS(4643), 1,
      anon_sym_LBRACK,
    ACTIONS(4980), 1,
      anon_sym_RPAREN,
    STATE(2167), 1,
      sym_parameter_list,
  [71775] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    STATE(2540), 1,
      sym_argument_list,
    ACTIONS(4982), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [71789] = 4,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(4984), 1,
      anon_sym_SQUOTE,
    STATE(2264), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(4880), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [71803] = 5,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(4848), 1,
      anon_sym_LPAREN,
    ACTIONS(4986), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(4988), 1,
      sym_preproc_arg,
    STATE(2509), 1,
      sym_preproc_params,
  [71819] = 5,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(4874), 1,
      aux_sym_string_literal_token1,
    ACTIONS(4876), 1,
      sym_escape_sequence,
    ACTIONS(4990), 1,
      anon_sym_DQUOTE,
    STATE(2263), 1,
      aux_sym_string_literal_repeat1,
  [71835] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4521), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_identifier,
  [71845] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4992), 1,
      anon_sym_COMMA,
    STATE(2246), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(4995), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [71859] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4997), 1,
      anon_sym___except,
    ACTIONS(4999), 1,
      anon_sym___finally,
    STATE(481), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [71873] = 5,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(4848), 1,
      anon_sym_LPAREN,
    ACTIONS(5001), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(5003), 1,
      sym_preproc_arg,
    STATE(2544), 1,
      sym_preproc_params,
  [71889] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4283), 1,
      anon_sym_COMMA,
    STATE(2256), 1,
      aux_sym__field_declaration_declarator_repeat1,
    ACTIONS(5005), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [71903] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4283), 1,
      anon_sym_COMMA,
    STATE(2256), 1,
      aux_sym__field_declaration_declarator_repeat1,
    ACTIONS(5007), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [71917] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4163), 1,
      anon_sym___attribute__,
    ACTIONS(5009), 1,
      anon_sym_SEMI,
    STATE(2235), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [71931] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5011), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_asm,
      anon_sym___asm__,
  [71941] = 5,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(5013), 1,
      anon_sym_DQUOTE,
    ACTIONS(5015), 1,
      aux_sym_string_literal_token1,
    ACTIONS(5017), 1,
      sym_escape_sequence,
    STATE(2259), 1,
      aux_sym_string_literal_repeat1,
  [71957] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4163), 1,
      anon_sym___attribute__,
    ACTIONS(5019), 1,
      anon_sym_SEMI,
    STATE(2229), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [71971] = 5,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(5021), 1,
      anon_sym_DQUOTE,
    ACTIONS(5023), 1,
      aux_sym_string_literal_token1,
    ACTIONS(5025), 1,
      sym_escape_sequence,
    STATE(2233), 1,
      aux_sym_string_literal_repeat1,
  [71987] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5027), 1,
      anon_sym_COMMA,
    STATE(2256), 1,
      aux_sym__field_declaration_declarator_repeat1,
    ACTIONS(5030), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [72001] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5032), 1,
      anon_sym___except,
    ACTIONS(5034), 1,
      anon_sym___finally,
    STATE(427), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [72015] = 5,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(4848), 1,
      anon_sym_LPAREN,
    ACTIONS(5036), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(5038), 1,
      sym_preproc_arg,
    STATE(2575), 1,
      sym_preproc_params,
  [72031] = 5,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(4874), 1,
      aux_sym_string_literal_token1,
    ACTIONS(4876), 1,
      sym_escape_sequence,
    ACTIONS(5040), 1,
      anon_sym_DQUOTE,
    STATE(2263), 1,
      aux_sym_string_literal_repeat1,
  [72047] = 4,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(5042), 1,
      anon_sym_SQUOTE,
    STATE(2264), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(4880), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [72061] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4283), 1,
      anon_sym_COMMA,
    STATE(2249), 1,
      aux_sym__field_declaration_declarator_repeat1,
    ACTIONS(5044), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [72075] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4273), 1,
      anon_sym_SEMI,
    ACTIONS(4408), 1,
      anon_sym_LBRACK,
    ACTIONS(4406), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [72089] = 5,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_DQUOTE,
    ACTIONS(5048), 1,
      aux_sym_string_literal_token1,
    ACTIONS(5051), 1,
      sym_escape_sequence,
    STATE(2263), 1,
      aux_sym_string_literal_repeat1,
  [72105] = 4,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(5054), 1,
      anon_sym_SQUOTE,
    STATE(2264), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(5056), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [72119] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4163), 1,
      anon_sym___attribute__,
    ACTIONS(5059), 1,
      anon_sym_SEMI,
    STATE(2186), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [72133] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4856), 1,
      anon_sym_COMMA,
    ACTIONS(5061), 1,
      sym_identifier,
    ACTIONS(5063), 1,
      anon_sym_RPAREN,
    STATE(2275), 1,
      aux_sym_function_definition_repeat1,
  [72149] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4856), 1,
      anon_sym_COMMA,
    ACTIONS(5065), 1,
      sym_identifier,
    ACTIONS(5067), 1,
      anon_sym_RPAREN,
    STATE(2272), 1,
      aux_sym_function_definition_repeat1,
  [72165] = 4,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(5069), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(5071), 1,
      anon_sym_LPAREN2,
    STATE(2619), 1,
      sym_preproc_argument_list,
  [72178] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5073), 1,
      anon_sym_SEMI,
    STATE(2407), 1,
      aux_sym_declaration_repeat2,
  [72191] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3427), 1,
      anon_sym_LBRACE,
    ACTIONS(5075), 1,
      sym_identifier,
    STATE(1580), 1,
      sym_enumerator_list,
  [72204] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4856), 1,
      anon_sym_COMMA,
    ACTIONS(5077), 1,
      anon_sym_RPAREN,
    STATE(2313), 1,
      aux_sym_function_definition_repeat1,
  [72217] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4856), 1,
      anon_sym_COMMA,
    ACTIONS(5079), 1,
      anon_sym_RPAREN,
    STATE(2313), 1,
      aux_sym_function_definition_repeat1,
  [72230] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4856), 1,
      anon_sym_COMMA,
    ACTIONS(5079), 1,
      anon_sym_RPAREN,
    STATE(2271), 1,
      aux_sym_function_definition_repeat1,
  [72243] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4856), 1,
      anon_sym_COMMA,
    ACTIONS(5081), 1,
      anon_sym_RPAREN,
    STATE(2313), 1,
      aux_sym_function_definition_repeat1,
  [72256] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4856), 1,
      anon_sym_COMMA,
    ACTIONS(5083), 1,
      anon_sym_RPAREN,
    STATE(2313), 1,
      aux_sym_function_definition_repeat1,
  [72269] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4856), 1,
      anon_sym_COMMA,
    ACTIONS(5083), 1,
      anon_sym_RPAREN,
    STATE(2274), 1,
      aux_sym_function_definition_repeat1,
  [72282] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5085), 1,
      anon_sym_RPAREN,
    ACTIONS(5087), 1,
      anon_sym_COLON,
    STATE(2341), 1,
      sym_gnu_asm_output_operand_list,
  [72295] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3427), 1,
      anon_sym_LBRACE,
    ACTIONS(5089), 1,
      sym_identifier,
    STATE(1370), 1,
      sym_enumerator_list,
  [72308] = 4,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(5091), 1,
      sym_identifier,
    ACTIONS(5093), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(5095), 1,
      sym_preproc_arg,
  [72321] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4856), 1,
      anon_sym_COMMA,
    ACTIONS(5097), 1,
      anon_sym_RPAREN,
    STATE(2313), 1,
      aux_sym_function_definition_repeat1,
  [72334] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4856), 1,
      anon_sym_COMMA,
    ACTIONS(5099), 1,
      anon_sym_RPAREN,
    STATE(2313), 1,
      aux_sym_function_definition_repeat1,
  [72347] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5101), 1,
      anon_sym_SEMI,
    STATE(2302), 1,
      aux_sym_declaration_repeat2,
  [72360] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4856), 1,
      anon_sym_COMMA,
    ACTIONS(5099), 1,
      anon_sym_RPAREN,
    STATE(2280), 1,
      aux_sym_function_definition_repeat1,
  [72373] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5105), 1,
      anon_sym_EQ,
    ACTIONS(5103), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [72384] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5107), 1,
      anon_sym_COMMA,
    ACTIONS(5109), 1,
      anon_sym_RPAREN,
    STATE(2345), 1,
      aux_sym_layout_qualifiers_repeat1,
  [72397] = 4,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(5071), 1,
      anon_sym_LPAREN2,
    ACTIONS(5111), 1,
      aux_sym_preproc_include_token2,
    STATE(2619), 1,
      sym_preproc_argument_list,
  [72410] = 4,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(5113), 1,
      sym_identifier,
    ACTIONS(5115), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(5117), 1,
      sym_preproc_arg,
  [72423] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5119), 1,
      anon_sym_SEMI,
    STATE(2356), 1,
      aux_sym_declaration_repeat2,
  [72436] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4856), 1,
      anon_sym_COMMA,
    ACTIONS(5121), 1,
      anon_sym_RPAREN,
    STATE(2313), 1,
      aux_sym_function_definition_repeat1,
  [72449] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4856), 1,
      anon_sym_COMMA,
    ACTIONS(5123), 1,
      anon_sym_RPAREN,
    STATE(2313), 1,
      aux_sym_function_definition_repeat1,
  [72462] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5125), 1,
      anon_sym_SEMI,
    STATE(2357), 1,
      aux_sym_declaration_repeat2,
  [72475] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4856), 1,
      anon_sym_COMMA,
    ACTIONS(5123), 1,
      anon_sym_RPAREN,
    STATE(2289), 1,
      aux_sym_function_definition_repeat1,
  [72488] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5127), 1,
      anon_sym_SEMI,
    STATE(2357), 1,
      aux_sym_declaration_repeat2,
  [72501] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5129), 1,
      anon_sym_SEMI,
    STATE(2357), 1,
      aux_sym_declaration_repeat2,
  [72514] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5131), 1,
      anon_sym_SEMI,
    STATE(2357), 1,
      aux_sym_declaration_repeat2,
  [72527] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3671), 1,
      anon_sym_COMMA,
    ACTIONS(3695), 1,
      anon_sym_RPAREN,
    STATE(2362), 1,
      aux_sym_argument_list_repeat1,
  [72540] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5133), 1,
      anon_sym_SEMI,
    STATE(2357), 1,
      aux_sym_declaration_repeat2,
  [72553] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5135), 1,
      anon_sym_SEMI,
    STATE(2291), 1,
      aux_sym_declaration_repeat2,
  [72566] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5137), 1,
      anon_sym_SEMI,
    STATE(2357), 1,
      aux_sym_declaration_repeat2,
  [72579] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5139), 1,
      anon_sym_SEMI,
    STATE(2329), 1,
      aux_sym_declaration_repeat2,
  [72592] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5141), 1,
      anon_sym_SEMI,
    STATE(2357), 1,
      aux_sym_declaration_repeat2,
  [72605] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5143), 1,
      anon_sym_SEMI,
    STATE(2357), 1,
      aux_sym_declaration_repeat2,
  [72618] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4163), 1,
      anon_sym___attribute__,
    ACTIONS(5145), 1,
      anon_sym_SEMI,
    STATE(2881), 1,
      sym_attribute_specifier,
  [72631] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5147), 1,
      anon_sym_SEMI,
    STATE(2367), 1,
      aux_sym_declaration_repeat2,
  [72644] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5149), 1,
      anon_sym_COMMA,
    ACTIONS(5151), 1,
      anon_sym_RPAREN,
    STATE(2375), 1,
      aux_sym_preproc_params_repeat1,
  [72657] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5153), 1,
      anon_sym_COMMA,
    ACTIONS(5155), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(2366), 1,
      aux_sym_attribute_declaration_repeat1,
  [72670] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2464), 1,
      anon_sym_LBRACE,
    ACTIONS(5157), 1,
      sym_identifier,
    STATE(1215), 1,
      sym_field_declaration_list,
  [72683] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5159), 1,
      anon_sym_SEMI,
    STATE(2335), 1,
      aux_sym_declaration_repeat2,
  [72696] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5161), 1,
      anon_sym_COMMA,
    ACTIONS(5163), 1,
      anon_sym_RPAREN,
    STATE(2314), 1,
      aux_sym_parameter_list_repeat1,
  [72709] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5153), 1,
      anon_sym_COMMA,
    ACTIONS(5165), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(2340), 1,
      aux_sym_attribute_declaration_repeat1,
  [72722] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2464), 1,
      anon_sym_LBRACE,
    ACTIONS(5167), 1,
      sym_identifier,
    STATE(1213), 1,
      sym_field_declaration_list,
  [72735] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4856), 1,
      anon_sym_COMMA,
    ACTIONS(5169), 1,
      anon_sym_RPAREN,
    STATE(2313), 1,
      aux_sym_function_definition_repeat1,
  [72748] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5171), 1,
      anon_sym_COMMA,
    ACTIONS(5174), 1,
      anon_sym_RPAREN,
    STATE(2313), 1,
      aux_sym_function_definition_repeat1,
  [72761] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5161), 1,
      anon_sym_COMMA,
    ACTIONS(5176), 1,
      anon_sym_RPAREN,
    STATE(2414), 1,
      aux_sym_parameter_list_repeat1,
  [72774] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2464), 1,
      anon_sym_LBRACE,
    ACTIONS(5178), 1,
      sym_identifier,
    STATE(1238), 1,
      sym_field_declaration_list,
  [72787] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3890), 1,
      anon_sym_COMMA,
    ACTIONS(5180), 1,
      anon_sym_RPAREN,
    STATE(2401), 1,
      aux_sym_preproc_argument_list_repeat1,
  [72800] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5182), 1,
      anon_sym_SEMI,
    STATE(2357), 1,
      aux_sym_declaration_repeat2,
  [72813] = 3,
    ACTIONS(3920), 1,
      sym_comment,
    STATE(2242), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(5184), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [72824] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5186), 1,
      sym_identifier,
    ACTIONS(5188), 1,
      anon_sym_shared,
    STATE(2285), 1,
      sym_qualifier,
  [72837] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5190), 1,
      anon_sym_SEMI,
    STATE(2357), 1,
      aux_sym_declaration_repeat2,
  [72850] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5192), 1,
      anon_sym_SEMI,
    STATE(2377), 1,
      aux_sym_declaration_repeat2,
  [72863] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4163), 1,
      anon_sym___attribute__,
    ACTIONS(5194), 1,
      anon_sym_SEMI,
    STATE(2838), 1,
      sym_attribute_specifier,
  [72876] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5196), 1,
      anon_sym_SEMI,
    STATE(2295), 1,
      aux_sym_declaration_repeat2,
  [72889] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5198), 1,
      anon_sym_SEMI,
    STATE(2357), 1,
      aux_sym_declaration_repeat2,
  [72902] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5200), 1,
      anon_sym_COMMA,
    ACTIONS(5203), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(2325), 1,
      aux_sym_attribute_declaration_repeat1,
  [72915] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5205), 1,
      anon_sym_SEMI,
    STATE(2357), 1,
      aux_sym_declaration_repeat2,
  [72928] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5207), 1,
      anon_sym_SEMI,
    STATE(2347), 1,
      aux_sym_declaration_repeat2,
  [72941] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5209), 1,
      anon_sym_SEMI,
    STATE(2357), 1,
      aux_sym_declaration_repeat2,
  [72954] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5211), 1,
      anon_sym_SEMI,
    STATE(2357), 1,
      aux_sym_declaration_repeat2,
  [72967] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5213), 1,
      anon_sym_SEMI,
    STATE(2299), 1,
      aux_sym_declaration_repeat2,
  [72980] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5186), 1,
      sym_identifier,
    ACTIONS(5188), 1,
      anon_sym_shared,
    STATE(2371), 1,
      sym_qualifier,
  [72993] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4163), 1,
      anon_sym___attribute__,
    ACTIONS(5215), 1,
      anon_sym_SEMI,
    STATE(2872), 1,
      sym_attribute_specifier,
  [73006] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5217), 1,
      anon_sym_SEMI,
    STATE(2350), 1,
      aux_sym_declaration_repeat2,
  [73019] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5219), 1,
      anon_sym_SEMI,
    STATE(2357), 1,
      aux_sym_declaration_repeat2,
  [73032] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5221), 1,
      anon_sym_SEMI,
    STATE(2357), 1,
      aux_sym_declaration_repeat2,
  [73045] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5223), 1,
      anon_sym_SEMI,
    STATE(2294), 1,
      aux_sym_declaration_repeat2,
  [73058] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5227), 1,
      anon_sym_RPAREN,
    ACTIONS(5225), 2,
      anon_sym_DOT_DOT_DOT,
      sym_identifier,
  [73069] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4856), 1,
      anon_sym_COMMA,
    ACTIONS(5229), 1,
      anon_sym_RPAREN,
    STATE(2312), 1,
      aux_sym_function_definition_repeat1,
  [73082] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4163), 1,
      anon_sym___attribute__,
    ACTIONS(5231), 1,
      anon_sym_SEMI,
    STATE(2779), 1,
      sym_attribute_specifier,
  [73095] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5153), 1,
      anon_sym_COMMA,
    ACTIONS(5233), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(2325), 1,
      aux_sym_attribute_declaration_repeat1,
  [73108] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5235), 1,
      anon_sym_RPAREN,
    ACTIONS(5237), 1,
      anon_sym_COLON,
    STATE(2386), 1,
      sym_gnu_asm_input_operand_list,
  [73121] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5087), 1,
      anon_sym_COLON,
    ACTIONS(5239), 1,
      anon_sym_RPAREN,
    STATE(2422), 1,
      sym_gnu_asm_output_operand_list,
  [73134] = 4,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(5241), 1,
      sym_identifier,
    ACTIONS(5243), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(5245), 1,
      sym_preproc_arg,
  [73147] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5186), 1,
      sym_identifier,
    ACTIONS(5188), 1,
      anon_sym_shared,
    STATE(2524), 1,
      sym_qualifier,
  [73160] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5107), 1,
      anon_sym_COMMA,
    ACTIONS(5247), 1,
      anon_sym_RPAREN,
    STATE(2389), 1,
      aux_sym_layout_qualifiers_repeat1,
  [73173] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4163), 1,
      anon_sym___attribute__,
    ACTIONS(5249), 1,
      anon_sym_SEMI,
    STATE(2830), 1,
      sym_attribute_specifier,
  [73186] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5251), 1,
      anon_sym_SEMI,
    STATE(2357), 1,
      aux_sym_declaration_repeat2,
  [73199] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5253), 1,
      anon_sym_SEMI,
    STATE(2358), 1,
      aux_sym_declaration_repeat2,
  [73212] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5255), 1,
      anon_sym_SEMI,
    STATE(2357), 1,
      aux_sym_declaration_repeat2,
  [73225] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5257), 1,
      anon_sym_SEMI,
    STATE(2357), 1,
      aux_sym_declaration_repeat2,
  [73238] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5259), 1,
      anon_sym_SEMI,
    STATE(2390), 1,
      aux_sym_declaration_repeat2,
  [73251] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5261), 1,
      anon_sym_SEMI,
    STATE(2357), 1,
      aux_sym_declaration_repeat2,
  [73264] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5263), 1,
      anon_sym_SEMI,
    STATE(2317), 1,
      aux_sym_declaration_repeat2,
  [73277] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4856), 1,
      anon_sym_COMMA,
    ACTIONS(5229), 1,
      anon_sym_RPAREN,
    STATE(2313), 1,
      aux_sym_function_definition_repeat1,
  [73290] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3657), 3,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_COLON,
  [73299] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5265), 1,
      anon_sym_SEMI,
    STATE(2357), 1,
      aux_sym_declaration_repeat2,
  [73312] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5267), 1,
      anon_sym_COMMA,
    ACTIONS(5270), 1,
      anon_sym_SEMI,
    STATE(2357), 1,
      aux_sym_declaration_repeat2,
  [73325] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5272), 1,
      anon_sym_SEMI,
    STATE(2357), 1,
      aux_sym_declaration_repeat2,
  [73338] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5274), 1,
      anon_sym_SEMI,
    STATE(2357), 1,
      aux_sym_declaration_repeat2,
  [73351] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5276), 1,
      anon_sym_SEMI,
    STATE(2357), 1,
      aux_sym_declaration_repeat2,
  [73364] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5278), 1,
      anon_sym_SEMI,
    STATE(2324), 1,
      aux_sym_declaration_repeat2,
  [73377] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3671), 1,
      anon_sym_COMMA,
    ACTIONS(3693), 1,
      anon_sym_RPAREN,
    STATE(2397), 1,
      aux_sym_argument_list_repeat1,
  [73390] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5280), 1,
      anon_sym_SEMI,
    STATE(2400), 1,
      aux_sym_declaration_repeat2,
  [73403] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5282), 1,
      anon_sym_SEMI,
    STATE(2357), 1,
      aux_sym_declaration_repeat2,
  [73416] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5153), 1,
      anon_sym_COMMA,
    ACTIONS(5284), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(2325), 1,
      aux_sym_attribute_declaration_repeat1,
  [73429] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5153), 1,
      anon_sym_COMMA,
    ACTIONS(5286), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(2325), 1,
      aux_sym_attribute_declaration_repeat1,
  [73442] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5288), 1,
      anon_sym_SEMI,
    STATE(2357), 1,
      aux_sym_declaration_repeat2,
  [73455] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3890), 1,
      anon_sym_COMMA,
    ACTIONS(5290), 1,
      anon_sym_RPAREN,
    STATE(2401), 1,
      aux_sym_preproc_argument_list_repeat1,
  [73468] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5087), 1,
      anon_sym_COLON,
    ACTIONS(5292), 1,
      anon_sym_RPAREN,
    STATE(2462), 1,
      sym_gnu_asm_output_operand_list,
  [73481] = 4,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(5294), 1,
      sym_identifier,
    ACTIONS(5296), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(5298), 1,
      sym_preproc_arg,
  [73494] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5107), 1,
      anon_sym_COMMA,
    ACTIONS(5300), 1,
      anon_sym_RPAREN,
    STATE(2476), 1,
      aux_sym_layout_qualifiers_repeat1,
  [73507] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5302), 1,
      anon_sym_SEMI,
    STATE(2395), 1,
      aux_sym_declaration_repeat2,
  [73520] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5304), 1,
      anon_sym_SEMI,
    STATE(2357), 1,
      aux_sym_declaration_repeat2,
  [73533] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5306), 1,
      anon_sym_SEMI,
    STATE(2359), 1,
      aux_sym_declaration_repeat2,
  [73546] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5149), 1,
      anon_sym_COMMA,
    ACTIONS(5308), 1,
      anon_sym_RPAREN,
    STATE(2410), 1,
      aux_sym_preproc_params_repeat1,
  [73559] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3675), 1,
      anon_sym_COMMA,
    ACTIONS(3677), 1,
      anon_sym_RBRACE,
    STATE(2420), 1,
      aux_sym_initializer_list_repeat1,
  [73572] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5310), 1,
      anon_sym_SEMI,
    STATE(2357), 1,
      aux_sym_declaration_repeat2,
  [73585] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3671), 1,
      anon_sym_COMMA,
    ACTIONS(3673), 1,
      anon_sym_RPAREN,
    STATE(2477), 1,
      aux_sym_argument_list_repeat1,
  [73598] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5312), 1,
      anon_sym_SEMI,
    STATE(2471), 1,
      aux_sym_declaration_repeat2,
  [73611] = 3,
    ACTIONS(3920), 1,
      sym_comment,
    STATE(2203), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(5314), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [73622] = 3,
    ACTIONS(3920), 1,
      sym_comment,
    STATE(2234), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(5316), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [73633] = 4,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(5071), 1,
      anon_sym_LPAREN2,
    ACTIONS(5318), 1,
      aux_sym_preproc_include_token2,
    STATE(2619), 1,
      sym_preproc_argument_list,
  [73646] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5320), 1,
      anon_sym_EQ,
    ACTIONS(4556), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [73657] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4163), 1,
      anon_sym___attribute__,
    ACTIONS(5322), 1,
      anon_sym_SEMI,
    STATE(2740), 1,
      sym_attribute_specifier,
  [73670] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5324), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [73679] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5326), 1,
      anon_sym_RPAREN,
    ACTIONS(5328), 1,
      anon_sym_COLON,
    STATE(2427), 1,
      sym_gnu_asm_clobber_list,
  [73692] = 4,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(5071), 1,
      anon_sym_LPAREN2,
    ACTIONS(5330), 1,
      aux_sym_preproc_include_token2,
    STATE(2619), 1,
      sym_preproc_argument_list,
  [73705] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5153), 1,
      anon_sym_COMMA,
    ACTIONS(5332), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(2365), 1,
      aux_sym_attribute_declaration_repeat1,
  [73718] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5334), 1,
      anon_sym_COMMA,
    ACTIONS(5337), 1,
      anon_sym_RPAREN,
    STATE(2389), 1,
      aux_sym_layout_qualifiers_repeat1,
  [73731] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5339), 1,
      anon_sym_SEMI,
    STATE(2357), 1,
      aux_sym_declaration_repeat2,
  [73744] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5341), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [73753] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3671), 1,
      anon_sym_COMMA,
    ACTIONS(5343), 1,
      anon_sym_RPAREN,
    STATE(2397), 1,
      aux_sym_argument_list_repeat1,
  [73766] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5345), 1,
      anon_sym_COMMA,
    ACTIONS(5348), 1,
      anon_sym_RPAREN,
    STATE(2393), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [73779] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5350), 1,
      anon_sym_COMMA,
    ACTIONS(5352), 1,
      anon_sym_RPAREN,
    STATE(2393), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [73792] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5354), 1,
      anon_sym_SEMI,
    STATE(2357), 1,
      aux_sym_declaration_repeat2,
  [73805] = 4,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(5071), 1,
      anon_sym_LPAREN2,
    ACTIONS(5356), 1,
      aux_sym_preproc_include_token2,
    STATE(2619), 1,
      sym_preproc_argument_list,
  [73818] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3761), 1,
      anon_sym_RPAREN,
    ACTIONS(5358), 1,
      anon_sym_COMMA,
    STATE(2397), 1,
      aux_sym_argument_list_repeat1,
  [73831] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5361), 1,
      anon_sym_SEMI,
    STATE(2430), 1,
      aux_sym_declaration_repeat2,
  [73844] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5363), 1,
      anon_sym_SEMI,
    STATE(2357), 1,
      aux_sym_declaration_repeat2,
  [73857] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5365), 1,
      anon_sym_SEMI,
    STATE(2357), 1,
      aux_sym_declaration_repeat2,
  [73870] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4028), 1,
      anon_sym_RPAREN,
    ACTIONS(5367), 1,
      anon_sym_COMMA,
    STATE(2401), 1,
      aux_sym_preproc_argument_list_repeat1,
  [73883] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5370), 1,
      anon_sym_SEMI,
    STATE(2419), 1,
      aux_sym_declaration_repeat2,
  [73896] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5372), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [73905] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5374), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [73914] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5376), 1,
      anon_sym_COMMA,
    ACTIONS(5379), 1,
      anon_sym_RPAREN,
    STATE(2405), 1,
      aux_sym_generic_expression_repeat1,
  [73927] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5381), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [73936] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5383), 1,
      anon_sym_SEMI,
    STATE(2357), 1,
      aux_sym_declaration_repeat2,
  [73949] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5385), 1,
      anon_sym_SEMI,
    STATE(2357), 1,
      aux_sym_declaration_repeat2,
  [73962] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3427), 1,
      anon_sym_LBRACE,
    ACTIONS(5387), 1,
      sym_identifier,
    STATE(1580), 1,
      sym_enumerator_list,
  [73975] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5389), 1,
      anon_sym_COMMA,
    ACTIONS(5392), 1,
      anon_sym_RPAREN,
    STATE(2410), 1,
      aux_sym_preproc_params_repeat1,
  [73988] = 4,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(5394), 1,
      sym_identifier,
    ACTIONS(5396), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(5398), 1,
      sym_preproc_arg,
  [74001] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5400), 1,
      anon_sym_SEMI,
    STATE(2357), 1,
      aux_sym_declaration_repeat2,
  [74014] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5402), 1,
      anon_sym_SEMI,
    STATE(2357), 1,
      aux_sym_declaration_repeat2,
  [74027] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5404), 1,
      anon_sym_COMMA,
    ACTIONS(5407), 1,
      anon_sym_RPAREN,
    STATE(2414), 1,
      aux_sym_parameter_list_repeat1,
  [74040] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5409), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [74049] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5411), 1,
      anon_sym_SEMI,
    STATE(2357), 1,
      aux_sym_declaration_repeat2,
  [74062] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5413), 1,
      anon_sym_SEMI,
    STATE(2440), 1,
      aux_sym_declaration_repeat2,
  [74075] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5415), 1,
      anon_sym_SEMI,
    STATE(2357), 1,
      aux_sym_declaration_repeat2,
  [74088] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5417), 1,
      anon_sym_SEMI,
    STATE(2357), 1,
      aux_sym_declaration_repeat2,
  [74101] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2653), 1,
      anon_sym_RBRACE,
    ACTIONS(5419), 1,
      anon_sym_COMMA,
    STATE(2441), 1,
      aux_sym_initializer_list_repeat1,
  [74114] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3679), 1,
      anon_sym_COMMA,
    ACTIONS(5421), 1,
      anon_sym_RPAREN,
    STATE(2405), 1,
      aux_sym_generic_expression_repeat1,
  [74127] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5237), 1,
      anon_sym_COLON,
    ACTIONS(5423), 1,
      anon_sym_RPAREN,
    STATE(2428), 1,
      sym_gnu_asm_input_operand_list,
  [74140] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5425), 1,
      anon_sym_RPAREN,
    ACTIONS(5427), 1,
      anon_sym_COLON,
    STATE(2756), 1,
      sym_gnu_asm_goto_list,
  [74153] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5429), 1,
      anon_sym_SEMI,
    STATE(2357), 1,
      aux_sym_declaration_repeat2,
  [74166] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5431), 1,
      anon_sym_SEMI,
    STATE(2446), 1,
      aux_sym_declaration_repeat2,
  [74179] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5433), 1,
      anon_sym_SEMI,
    STATE(2408), 1,
      aux_sym_declaration_repeat2,
  [74192] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5427), 1,
      anon_sym_COLON,
    ACTIONS(5435), 1,
      anon_sym_RPAREN,
    STATE(2700), 1,
      sym_gnu_asm_goto_list,
  [74205] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5328), 1,
      anon_sym_COLON,
    ACTIONS(5437), 1,
      anon_sym_RPAREN,
    STATE(2469), 1,
      sym_gnu_asm_clobber_list,
  [74218] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4163), 1,
      anon_sym___attribute__,
    ACTIONS(5439), 1,
      anon_sym_SEMI,
    STATE(2715), 1,
      sym_attribute_specifier,
  [74231] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5441), 1,
      anon_sym_SEMI,
    STATE(2357), 1,
      aux_sym_declaration_repeat2,
  [74244] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5443), 1,
      anon_sym_SEMI,
    STATE(2357), 1,
      aux_sym_declaration_repeat2,
  [74257] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5328), 1,
      anon_sym_COLON,
    ACTIONS(5445), 1,
      anon_sym_RPAREN,
    STATE(2423), 1,
      sym_gnu_asm_clobber_list,
  [74270] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5427), 1,
      anon_sym_COLON,
    ACTIONS(5447), 1,
      anon_sym_RPAREN,
    STATE(2754), 1,
      sym_gnu_asm_goto_list,
  [74283] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5449), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [74292] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5350), 1,
      anon_sym_COMMA,
    ACTIONS(5451), 1,
      anon_sym_RPAREN,
    STATE(2394), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [74305] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5453), 1,
      anon_sym_SEMI,
    STATE(2357), 1,
      aux_sym_declaration_repeat2,
  [74318] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5455), 1,
      anon_sym_SEMI,
    STATE(2357), 1,
      aux_sym_declaration_repeat2,
  [74331] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5457), 1,
      anon_sym_SEMI,
    STATE(2452), 1,
      aux_sym_declaration_repeat2,
  [74344] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5459), 1,
      anon_sym_SEMI,
    STATE(2357), 1,
      aux_sym_declaration_repeat2,
  [74357] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5461), 1,
      anon_sym_SEMI,
    STATE(2357), 1,
      aux_sym_declaration_repeat2,
  [74370] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3697), 1,
      anon_sym_RBRACE,
    ACTIONS(5463), 1,
      anon_sym_COMMA,
    STATE(2441), 1,
      aux_sym_initializer_list_repeat1,
  [74383] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2651), 1,
      anon_sym_RBRACE,
    ACTIONS(5466), 1,
      anon_sym_COMMA,
    STATE(2441), 1,
      aux_sym_initializer_list_repeat1,
  [74396] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5468), 1,
      anon_sym_SEMI,
    STATE(2357), 1,
      aux_sym_declaration_repeat2,
  [74409] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5470), 1,
      anon_sym_SEMI,
    STATE(2455), 1,
      aux_sym_declaration_repeat2,
  [74422] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5472), 1,
      anon_sym_SEMI,
    STATE(2357), 1,
      aux_sym_declaration_repeat2,
  [74435] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5474), 1,
      anon_sym_SEMI,
    STATE(2357), 1,
      aux_sym_declaration_repeat2,
  [74448] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5476), 1,
      anon_sym_SEMI,
    STATE(2413), 1,
      aux_sym_declaration_repeat2,
  [74461] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5478), 1,
      anon_sym_SEMI,
    STATE(2357), 1,
      aux_sym_declaration_repeat2,
  [74474] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5480), 1,
      anon_sym_SEMI,
    STATE(2431), 1,
      aux_sym_declaration_repeat2,
  [74487] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3671), 1,
      anon_sym_COMMA,
    ACTIONS(5482), 1,
      anon_sym_RPAREN,
    STATE(2397), 1,
      aux_sym_argument_list_repeat1,
  [74500] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5484), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [74509] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5486), 1,
      anon_sym_SEMI,
    STATE(2357), 1,
      aux_sym_declaration_repeat2,
  [74522] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5488), 1,
      anon_sym_SEMI,
    STATE(2459), 1,
      aux_sym_declaration_repeat2,
  [74535] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5490), 1,
      anon_sym_SEMI,
    STATE(2357), 1,
      aux_sym_declaration_repeat2,
  [74548] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5492), 1,
      anon_sym_SEMI,
    STATE(2357), 1,
      aux_sym_declaration_repeat2,
  [74561] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5494), 1,
      anon_sym_SEMI,
    STATE(2357), 1,
      aux_sym_declaration_repeat2,
  [74574] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5237), 1,
      anon_sym_COLON,
    ACTIONS(5496), 1,
      anon_sym_RPAREN,
    STATE(2432), 1,
      sym_gnu_asm_input_operand_list,
  [74587] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5328), 1,
      anon_sym_COLON,
    ACTIONS(5498), 1,
      anon_sym_RPAREN,
    STATE(2433), 1,
      sym_gnu_asm_clobber_list,
  [74600] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5500), 1,
      anon_sym_SEMI,
    STATE(2357), 1,
      aux_sym_declaration_repeat2,
  [74613] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5502), 1,
      anon_sym_SEMI,
    STATE(2416), 1,
      aux_sym_declaration_repeat2,
  [74626] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4163), 1,
      anon_sym___attribute__,
    ACTIONS(5504), 1,
      anon_sym_SEMI,
    STATE(2727), 1,
      sym_attribute_specifier,
  [74639] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5237), 1,
      anon_sym_COLON,
    ACTIONS(5506), 1,
      anon_sym_RPAREN,
    STATE(2458), 1,
      sym_gnu_asm_input_operand_list,
  [74652] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5508), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [74661] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5510), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [74670] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5087), 1,
      anon_sym_COLON,
    ACTIONS(5512), 1,
      anon_sym_RPAREN,
    STATE(2457), 1,
      sym_gnu_asm_output_operand_list,
  [74683] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3685), 1,
      anon_sym_COMMA,
    ACTIONS(3687), 1,
      anon_sym_RBRACE,
    STATE(2442), 1,
      aux_sym_initializer_list_repeat1,
  [74696] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5514), 1,
      anon_sym_SEMI,
    STATE(2357), 1,
      aux_sym_declaration_repeat2,
  [74709] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5516), 1,
      anon_sym_SEMI,
    STATE(2357), 1,
      aux_sym_declaration_repeat2,
  [74722] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5427), 1,
      anon_sym_COLON,
    ACTIONS(5518), 1,
      anon_sym_RPAREN,
    STATE(2679), 1,
      sym_gnu_asm_goto_list,
  [74735] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3890), 1,
      anon_sym_COMMA,
    ACTIONS(5520), 1,
      anon_sym_RPAREN,
    STATE(2401), 1,
      aux_sym_preproc_argument_list_repeat1,
  [74748] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5522), 1,
      anon_sym_SEMI,
    STATE(2357), 1,
      aux_sym_declaration_repeat2,
  [74761] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5524), 1,
      anon_sym_SEMI,
    STATE(2357), 1,
      aux_sym_declaration_repeat2,
  [74774] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5526), 1,
      anon_sym_SEMI,
    STATE(2443), 1,
      aux_sym_declaration_repeat2,
  [74787] = 3,
    ACTIONS(3920), 1,
      sym_comment,
    STATE(2260), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(5528), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [74798] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5530), 1,
      anon_sym_SEMI,
    STATE(2436), 1,
      aux_sym_declaration_repeat2,
  [74811] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5107), 1,
      anon_sym_COMMA,
    ACTIONS(5532), 1,
      anon_sym_RPAREN,
    STATE(2389), 1,
      aux_sym_layout_qualifiers_repeat1,
  [74824] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3671), 1,
      anon_sym_COMMA,
    ACTIONS(3683), 1,
      anon_sym_RPAREN,
    STATE(2397), 1,
      aux_sym_argument_list_repeat1,
  [74837] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5534), 1,
      anon_sym_SEMI,
    STATE(2456), 1,
      aux_sym_declaration_repeat2,
  [74850] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5536), 1,
      anon_sym_SEMI,
    STATE(2357), 1,
      aux_sym_declaration_repeat2,
  [74863] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4662), 1,
      anon_sym_COMMA,
    ACTIONS(5538), 1,
      anon_sym_SEMI,
    STATE(2467), 1,
      aux_sym_declaration_repeat2,
  [74876] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3679), 1,
      anon_sym_COMMA,
    ACTIONS(5540), 1,
      anon_sym_RPAREN,
    STATE(2405), 1,
      aux_sym_generic_expression_repeat1,
  [74889] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5542), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [74898] = 3,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(5544), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(5546), 1,
      sym_preproc_arg,
  [74908] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5548), 1,
      anon_sym_LPAREN2,
    STATE(688), 1,
      sym_parenthesized_expression,
  [74918] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5550), 1,
      anon_sym_LPAREN2,
    STATE(2504), 1,
      sym_parenthesized_expression,
  [74928] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5548), 1,
      anon_sym_LPAREN2,
    STATE(692), 1,
      sym_parenthesized_expression,
  [74938] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5552), 1,
      sym_identifier,
    ACTIONS(5554), 1,
      anon_sym_RPAREN,
  [74948] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACE,
    STATE(2210), 1,
      sym_compound_statement,
  [74958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACE,
    STATE(451), 1,
      sym_compound_statement,
  [74968] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5550), 1,
      anon_sym_LPAREN2,
    STATE(2855), 1,
      sym_parenthesized_expression,
  [74978] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3805), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [74986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(223), 1,
      anon_sym_LBRACE,
    STATE(250), 1,
      sym_compound_statement,
  [74996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(625), 1,
      anon_sym_LBRACE,
    STATE(353), 1,
      sym_compound_statement,
  [75006] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5550), 1,
      anon_sym_LPAREN2,
    STATE(2552), 1,
      sym_parenthesized_expression,
  [75016] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3697), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [75024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(223), 1,
      anon_sym_LBRACE,
    STATE(212), 1,
      sym_compound_statement,
  [75034] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3809), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [75042] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5556), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [75050] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5550), 1,
      anon_sym_LPAREN2,
    STATE(2519), 1,
      sym_parenthesized_expression,
  [75060] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACE,
    STATE(2231), 1,
      sym_compound_statement,
  [75070] = 3,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(5558), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(5560), 1,
      sym_preproc_arg,
  [75080] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(625), 1,
      anon_sym_LBRACE,
    STATE(333), 1,
      sym_compound_statement,
  [75090] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5407), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [75098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(223), 1,
      anon_sym_LBRACE,
    STATE(241), 1,
      sym_compound_statement,
  [75108] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5550), 1,
      anon_sym_LPAREN2,
    STATE(2724), 1,
      sym_parenthesized_expression,
  [75118] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5548), 1,
      anon_sym_LPAREN2,
    STATE(685), 1,
      sym_parenthesized_expression,
  [75128] = 3,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(5562), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(5564), 1,
      sym_preproc_arg,
  [75138] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5550), 1,
      anon_sym_LPAREN2,
    STATE(2492), 1,
      sym_parenthesized_expression,
  [75148] = 3,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(5566), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(5568), 1,
      sym_preproc_arg,
  [75158] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5550), 1,
      anon_sym_LPAREN2,
    STATE(2565), 1,
      sym_parenthesized_expression,
  [75168] = 3,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(5570), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(5572), 1,
      sym_preproc_arg,
  [75178] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5392), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [75186] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5548), 1,
      anon_sym_LPAREN2,
    STATE(682), 1,
      sym_parenthesized_expression,
  [75196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACE,
    STATE(479), 1,
      sym_compound_statement,
  [75206] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5550), 1,
      anon_sym_LPAREN2,
    STATE(2854), 1,
      sym_parenthesized_expression,
  [75216] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3761), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [75224] = 3,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(5574), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(5576), 1,
      sym_preproc_arg,
  [75234] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5578), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [75242] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(625), 1,
      anon_sym_LBRACE,
    STATE(365), 1,
      sym_compound_statement,
  [75252] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4785), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [75260] = 3,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(5580), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(5582), 1,
      sym_preproc_arg,
  [75270] = 3,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(5584), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(5586), 1,
      sym_preproc_arg,
  [75280] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACE,
    STATE(2220), 1,
      sym_compound_statement,
  [75290] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5337), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [75298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5550), 1,
      anon_sym_LPAREN2,
    STATE(2502), 1,
      sym_parenthesized_expression,
  [75308] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4259), 1,
      anon_sym_RBRACE,
    ACTIONS(5588), 1,
      anon_sym_COMMA,
  [75318] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4789), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [75326] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACE,
    STATE(2247), 1,
      sym_compound_statement,
  [75336] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5548), 1,
      anon_sym_LPAREN2,
    STATE(659), 1,
      sym_parenthesized_expression,
  [75346] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5590), 1,
      sym_identifier,
    STATE(2310), 1,
      sym_attribute,
  [75356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5548), 1,
      anon_sym_LPAREN2,
    STATE(649), 1,
      sym_parenthesized_expression,
  [75366] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5550), 1,
      anon_sym_LPAREN2,
    STATE(2563), 1,
      sym_parenthesized_expression,
  [75376] = 3,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(5243), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(5245), 1,
      sym_preproc_arg,
  [75386] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5548), 1,
      anon_sym_LPAREN2,
    STATE(695), 1,
      sym_parenthesized_expression,
  [75396] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5550), 1,
      anon_sym_LPAREN2,
    STATE(2537), 1,
      sym_parenthesized_expression,
  [75406] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5548), 1,
      anon_sym_LPAREN2,
    STATE(664), 1,
      sym_parenthesized_expression,
  [75416] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(145), 1,
      anon_sym_LBRACE,
    STATE(111), 1,
      sym_compound_statement,
  [75426] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5548), 1,
      anon_sym_LPAREN2,
    STATE(661), 1,
      sym_parenthesized_expression,
  [75436] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(551), 1,
      anon_sym_LBRACE,
    STATE(451), 1,
      sym_compound_statement,
  [75446] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5592), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [75454] = 3,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(5594), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(5596), 1,
      sym_preproc_arg,
  [75464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5590), 1,
      sym_identifier,
    STATE(2388), 1,
      sym_attribute,
  [75474] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5598), 2,
      anon_sym_DOT_DOT_DOT,
      sym_identifier,
  [75482] = 3,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(5600), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(5602), 1,
      sym_preproc_arg,
  [75492] = 3,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(5604), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(5606), 1,
      sym_preproc_arg,
  [75502] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5550), 1,
      anon_sym_LPAREN2,
    STATE(2562), 1,
      sym_parenthesized_expression,
  [75512] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5590), 1,
      sym_identifier,
    STATE(2560), 1,
      sym_attribute,
  [75522] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5608), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [75530] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACE,
    STATE(2257), 1,
      sym_compound_statement,
  [75540] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3753), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [75548] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5548), 1,
      anon_sym_LPAREN2,
    STATE(675), 1,
      sym_parenthesized_expression,
  [75558] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(145), 1,
      anon_sym_LBRACE,
    STATE(147), 1,
      sym_compound_statement,
  [75568] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACE,
    STATE(416), 1,
      sym_compound_statement,
  [75578] = 3,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(5610), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(5612), 1,
      sym_preproc_arg,
  [75588] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5588), 1,
      anon_sym_COMMA,
    ACTIONS(5614), 1,
      anon_sym_RBRACE,
  [75598] = 3,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(5616), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(5618), 1,
      sym_preproc_arg,
  [75608] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(551), 1,
      anon_sym_LBRACE,
    STATE(479), 1,
      sym_compound_statement,
  [75618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5550), 1,
      anon_sym_LPAREN2,
    STATE(2539), 1,
      sym_parenthesized_expression,
  [75628] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    STATE(2884), 1,
      sym_argument_list,
  [75638] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5203), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [75646] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(145), 1,
      anon_sym_LBRACE,
    STATE(113), 1,
      sym_compound_statement,
  [75656] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACE,
    STATE(306), 1,
      sym_compound_statement,
  [75666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(551), 1,
      anon_sym_LBRACE,
    STATE(435), 1,
      sym_compound_statement,
  [75676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5590), 1,
      sym_identifier,
    STATE(2306), 1,
      sym_attribute,
  [75686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACE,
    STATE(388), 1,
      sym_compound_statement,
  [75696] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5174), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [75704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5550), 1,
      anon_sym_LPAREN2,
    STATE(2843), 1,
      sym_parenthesized_expression,
  [75714] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5620), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [75722] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym_LBRACE,
    STATE(2237), 1,
      sym_compound_statement,
  [75732] = 3,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(5622), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(5624), 1,
      sym_preproc_arg,
  [75742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2996), 1,
      anon_sym_LPAREN2,
    STATE(2630), 1,
      sym_argument_list,
  [75752] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5626), 1,
      sym_identifier,
    ACTIONS(5628), 1,
      anon_sym_LPAREN2,
  [75762] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5550), 1,
      anon_sym_LPAREN2,
    STATE(2489), 1,
      sym_parenthesized_expression,
  [75772] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5630), 1,
      sym_identifier,
    ACTIONS(5632), 1,
      anon_sym_LPAREN2,
  [75782] = 3,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(5634), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(5636), 1,
      sym_preproc_arg,
  [75792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5638), 1,
      anon_sym_LPAREN2,
    STATE(1127), 1,
      sym_layout_qualifiers,
  [75802] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5640), 1,
      anon_sym_LPAREN2,
    STATE(860), 1,
      sym_layout_qualifiers,
  [75812] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5103), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [75820] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5548), 1,
      anon_sym_LPAREN2,
    STATE(673), 1,
      sym_parenthesized_expression,
  [75830] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5550), 1,
      anon_sym_LPAREN2,
    STATE(2681), 1,
      sym_parenthesized_expression,
  [75840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5548), 1,
      anon_sym_LPAREN2,
    STATE(648), 1,
      sym_parenthesized_expression,
  [75850] = 3,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(5642), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(5644), 1,
      sym_preproc_arg,
  [75860] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5646), 1,
      anon_sym_RPAREN,
  [75867] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5648), 1,
      sym_identifier,
  [75874] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5650), 1,
      anon_sym_COLON,
  [75881] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5652), 1,
      sym_identifier,
  [75888] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5654), 1,
      anon_sym_RPAREN,
  [75895] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5656), 1,
      anon_sym_LPAREN2,
  [75902] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3771), 1,
      anon_sym_SEMI,
  [75909] = 2,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(5111), 1,
      aux_sym_preproc_include_token2,
  [75916] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5658), 1,
      anon_sym_SEMI,
  [75923] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5660), 1,
      sym_identifier,
  [75930] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3741), 1,
      anon_sym_COLON,
  [75937] = 2,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(5662), 1,
      aux_sym_preproc_include_token2,
  [75944] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5664), 1,
      aux_sym_preproc_extension_token1,
  [75951] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3765), 1,
      anon_sym_RPAREN,
  [75958] = 2,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(5330), 1,
      aux_sym_preproc_include_token2,
  [75965] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5666), 1,
      anon_sym_RPAREN,
  [75972] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5668), 1,
      sym_identifier,
  [75979] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4277), 1,
      anon_sym_SEMI,
  [75986] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5670), 1,
      ts_builtin_sym_end,
  [75993] = 2,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(5672), 1,
      aux_sym_preproc_include_token2,
  [76000] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5674), 1,
      sym_identifier,
  [76007] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3783), 1,
      anon_sym_RPAREN,
  [76014] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5676), 1,
      anon_sym_SEMI,
  [76021] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3713), 1,
      anon_sym_SEMI,
  [76028] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5678), 1,
      anon_sym_RPAREN,
  [76035] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4301), 1,
      anon_sym_SEMI,
  [76042] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5680), 1,
      anon_sym_SEMI,
  [76049] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3779), 1,
      anon_sym_SEMI,
  [76056] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5682), 1,
      anon_sym_while,
  [76063] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5684), 1,
      sym_identifier,
  [76070] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5686), 1,
      anon_sym_SEMI,
  [76077] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3775), 1,
      anon_sym_SEMI,
  [76084] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5688), 1,
      anon_sym_SEMI,
  [76091] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5690), 1,
      anon_sym_STAR,
  [76098] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5692), 1,
      sym_identifier,
  [76105] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5694), 1,
      sym_identifier,
  [76112] = 2,
    ACTIONS(3669), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3920), 1,
      sym_comment,
  [76119] = 2,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(5696), 1,
      aux_sym_preproc_include_token2,
  [76126] = 2,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(5698), 1,
      aux_sym_preproc_include_token2,
  [76133] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5700), 1,
      aux_sym_preproc_if_token2,
  [76140] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5702), 1,
      sym_primitive_type,
  [76147] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5704), 1,
      sym_identifier,
  [76154] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5706), 1,
      sym_identifier,
  [76161] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5708), 1,
      anon_sym_LPAREN2,
  [76168] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5710), 1,
      anon_sym_LPAREN2,
  [76175] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5712), 1,
      anon_sym_STAR,
  [76182] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5714), 1,
      aux_sym_preproc_if_token2,
  [76189] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5716), 1,
      anon_sym_RPAREN,
  [76196] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3767), 1,
      anon_sym_COLON,
  [76203] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5718), 1,
      sym_identifier,
  [76210] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5720), 1,
      sym_primitive_type,
  [76217] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5722), 1,
      anon_sym_RPAREN,
  [76224] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5724), 1,
      sym_identifier,
  [76231] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5726), 1,
      sym_identifier,
  [76238] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5728), 1,
      anon_sym_RPAREN,
  [76245] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5730), 1,
      anon_sym_RPAREN,
  [76252] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5732), 1,
      sym_identifier,
  [76259] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5734), 1,
      anon_sym_RPAREN,
  [76266] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5736), 1,
      anon_sym_RPAREN,
  [76273] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3703), 1,
      anon_sym_COLON,
  [76280] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5738), 1,
      sym_identifier,
  [76287] = 2,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(5740), 1,
      aux_sym_preproc_include_token2,
  [76294] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5742), 1,
      sym_identifier,
  [76301] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5744), 1,
      anon_sym_RPAREN,
  [76308] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5746), 1,
      aux_sym_preproc_if_token2,
  [76315] = 2,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(5356), 1,
      aux_sym_preproc_include_token2,
  [76322] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4259), 1,
      anon_sym_RBRACE,
  [76329] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4799), 1,
      anon_sym_COMMA,
  [76336] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5748), 1,
      sym_identifier,
  [76343] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5750), 1,
      sym_identifier,
  [76350] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5752), 1,
      sym_identifier,
  [76357] = 2,
    ACTIONS(2570), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3920), 1,
      sym_comment,
  [76364] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5754), 1,
      sym_identifier,
  [76371] = 2,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(5756), 1,
      aux_sym_preproc_include_token2,
  [76378] = 2,
    ACTIONS(2574), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3920), 1,
      sym_comment,
  [76385] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5758), 1,
      anon_sym_RBRACE,
  [76392] = 2,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(5760), 1,
      aux_sym_preproc_include_token2,
  [76399] = 2,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(5762), 1,
      aux_sym_preproc_include_token2,
  [76406] = 2,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(5764), 1,
      aux_sym_preproc_include_token2,
  [76413] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5766), 1,
      anon_sym_RPAREN,
  [76420] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5768), 1,
      sym_identifier,
  [76427] = 2,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(5770), 1,
      aux_sym_preproc_include_token2,
  [76434] = 2,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(5772), 1,
      aux_sym_preproc_include_token2,
  [76441] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5774), 1,
      anon_sym_RPAREN,
  [76448] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5776), 1,
      sym_identifier,
  [76455] = 2,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(5778), 1,
      aux_sym_preproc_include_token2,
  [76462] = 2,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(5780), 1,
      aux_sym_preproc_include_token2,
  [76469] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5782), 1,
      anon_sym_LPAREN2,
  [76476] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5784), 1,
      anon_sym_RPAREN,
  [76483] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5786), 1,
      sym_identifier,
  [76490] = 2,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(5788), 1,
      aux_sym_preproc_include_token2,
  [76497] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5790), 1,
      anon_sym_COLON,
  [76504] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5792), 1,
      aux_sym_preproc_if_token2,
  [76511] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5794), 1,
      aux_sym_preproc_if_token2,
  [76518] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5796), 1,
      aux_sym_preproc_if_token2,
  [76525] = 2,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(5798), 1,
      aux_sym_preproc_include_token2,
  [76532] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5800), 1,
      anon_sym_RPAREN,
  [76539] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5802), 1,
      anon_sym_SEMI,
  [76546] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5804), 1,
      anon_sym_SEMI,
  [76553] = 2,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(5806), 1,
      aux_sym_preproc_include_token2,
  [76560] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5808), 1,
      anon_sym_LPAREN2,
  [76567] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5810), 1,
      anon_sym_RPAREN,
  [76574] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5812), 1,
      aux_sym_preproc_if_token2,
  [76581] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5814), 1,
      aux_sym_preproc_if_token2,
  [76588] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5816), 1,
      sym_identifier,
  [76595] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5818), 1,
      sym_identifier,
  [76602] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5820), 1,
      aux_sym_preproc_if_token2,
  [76609] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5822), 1,
      aux_sym_preproc_if_token2,
  [76616] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5824), 1,
      aux_sym_preproc_if_token2,
  [76623] = 2,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(5826), 1,
      aux_sym_preproc_include_token2,
  [76630] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5828), 1,
      aux_sym_preproc_if_token2,
  [76637] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5830), 1,
      aux_sym_preproc_if_token2,
  [76644] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4325), 1,
      anon_sym_SEMI,
  [76651] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5832), 1,
      sym_identifier,
  [76658] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5834), 1,
      anon_sym_RPAREN,
  [76665] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5836), 1,
      anon_sym_RBRACE,
  [76672] = 2,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(5838), 1,
      aux_sym_preproc_include_token2,
  [76679] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5840), 1,
      anon_sym_RPAREN,
  [76686] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5842), 1,
      anon_sym_COLON,
  [76693] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5844), 1,
      anon_sym_RBRACK,
  [76700] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5846), 1,
      aux_sym_preproc_if_token2,
  [76707] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5848), 1,
      anon_sym_RPAREN,
  [76714] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3687), 1,
      anon_sym_RBRACE,
  [76721] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3759), 1,
      anon_sym_RPAREN,
  [76728] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5850), 1,
      aux_sym_preproc_if_token2,
  [76735] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5852), 1,
      aux_sym_preproc_if_token2,
  [76742] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5854), 1,
      aux_sym_preproc_if_token2,
  [76749] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5856), 1,
      anon_sym_RBRACE,
  [76756] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5858), 1,
      aux_sym_preproc_if_token2,
  [76763] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5860), 1,
      aux_sym_preproc_if_token2,
  [76770] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5862), 1,
      sym_identifier,
  [76777] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5864), 1,
      aux_sym_preproc_if_token2,
  [76784] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5866), 1,
      anon_sym_SEMI,
  [76791] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5868), 1,
      anon_sym_RPAREN,
  [76798] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5870), 1,
      anon_sym_RBRACE,
  [76805] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5872), 1,
      aux_sym_preproc_if_token2,
  [76812] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5874), 1,
      aux_sym_preproc_if_token2,
  [76819] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5876), 1,
      anon_sym_SEMI,
  [76826] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5878), 1,
      anon_sym_RPAREN,
  [76833] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5880), 1,
      aux_sym_preproc_if_token2,
  [76840] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5882), 1,
      aux_sym_preproc_if_token2,
  [76847] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5884), 1,
      anon_sym_SEMI,
  [76854] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5886), 1,
      aux_sym_preproc_if_token2,
  [76861] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5888), 1,
      aux_sym_preproc_if_token2,
  [76868] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5890), 1,
      anon_sym_SEMI,
  [76875] = 2,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(5892), 1,
      aux_sym_preproc_include_token2,
  [76882] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5894), 1,
      aux_sym_preproc_if_token2,
  [76889] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5896), 1,
      aux_sym_preproc_if_token2,
  [76896] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5898), 1,
      anon_sym_LPAREN2,
  [76903] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5900), 1,
      sym_identifier,
  [76910] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5902), 1,
      sym_identifier,
  [76917] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5904), 1,
      anon_sym_RBRACK,
  [76924] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3803), 1,
      anon_sym_RPAREN,
  [76931] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3801), 1,
      anon_sym_RPAREN,
  [76938] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5906), 1,
      sym_identifier,
  [76945] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5908), 1,
      sym_identifier,
  [76952] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3799), 1,
      anon_sym_RPAREN,
  [76959] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5910), 1,
      anon_sym_SEMI,
  [76966] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5912), 1,
      aux_sym_preproc_if_token2,
  [76973] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5914), 1,
      aux_sym_preproc_if_token2,
  [76980] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5916), 1,
      aux_sym_preproc_if_token2,
  [76987] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5918), 1,
      sym_identifier,
  [76994] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5920), 1,
      aux_sym_preproc_if_token2,
  [77001] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5922), 1,
      anon_sym_SEMI,
  [77008] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5924), 1,
      anon_sym_RBRACE,
  [77015] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4607), 1,
      anon_sym_COMMA,
  [77022] = 2,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(5926), 1,
      aux_sym_preproc_include_token2,
  [77029] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5928), 1,
      aux_sym_preproc_if_token2,
  [77036] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5930), 1,
      sym_identifier,
  [77043] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5932), 1,
      anon_sym_RBRACE,
  [77050] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5934), 1,
      aux_sym_preproc_if_token2,
  [77057] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5936), 1,
      anon_sym_RPAREN,
  [77064] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3769), 1,
      anon_sym_COLON,
  [77071] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5938), 1,
      anon_sym_RPAREN,
  [77078] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5940), 1,
      sym_identifier,
  [77085] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5942), 1,
      anon_sym_SEMI,
  [77092] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5944), 1,
      anon_sym_RPAREN,
  [77099] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5946), 1,
      aux_sym_preproc_if_token2,
  [77106] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5948), 1,
      aux_sym_preproc_if_token2,
  [77113] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5950), 1,
      anon_sym_SEMI,
  [77120] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5952), 1,
      anon_sym_LPAREN2,
  [77127] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5954), 1,
      aux_sym_preproc_if_token2,
  [77134] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5956), 1,
      anon_sym_COLON,
  [77141] = 2,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(5958), 1,
      aux_sym_preproc_include_token2,
  [77148] = 2,
    ACTIONS(3665), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3920), 1,
      sym_comment,
  [77155] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5960), 1,
      anon_sym_SEMI,
  [77162] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5962), 1,
      anon_sym_SEMI,
  [77169] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4297), 1,
      anon_sym_SEMI,
  [77176] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5964), 1,
      anon_sym_SEMI,
  [77183] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3791), 1,
      anon_sym_SEMI,
  [77190] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3789), 1,
      anon_sym_RPAREN,
  [77197] = 2,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(5966), 1,
      aux_sym_preproc_include_token2,
  [77204] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3785), 1,
      anon_sym_SEMI,
  [77211] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5968), 1,
      sym_identifier,
  [77218] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3715), 1,
      anon_sym_SEMI,
  [77225] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5970), 1,
      anon_sym_SEMI,
  [77232] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5972), 1,
      anon_sym_SEMI,
  [77239] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4329), 1,
      anon_sym_SEMI,
  [77246] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5974), 1,
      anon_sym_LPAREN2,
  [77253] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5976), 1,
      sym_identifier,
  [77260] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5978), 1,
      anon_sym_RPAREN,
  [77267] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5980), 1,
      sym_identifier,
  [77274] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5982), 1,
      sym_identifier,
  [77281] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5984), 1,
      sym_identifier,
  [77288] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5986), 1,
      anon_sym_COLON,
  [77295] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5988), 1,
      anon_sym_RPAREN,
  [77302] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3787), 1,
      anon_sym_SEMI,
  [77309] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3793), 1,
      anon_sym_RPAREN,
  [77316] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3795), 1,
      anon_sym_RPAREN,
  [77323] = 2,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(5990), 1,
      aux_sym_preproc_include_token2,
  [77330] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5992), 1,
      anon_sym_LPAREN2,
  [77337] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5994), 1,
      anon_sym_SEMI,
  [77344] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5996), 1,
      anon_sym_SEMI,
  [77351] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5998), 1,
      anon_sym_LPAREN2,
  [77358] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6000), 1,
      aux_sym_preproc_if_token2,
  [77365] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6002), 1,
      sym_identifier,
  [77372] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5588), 1,
      anon_sym_COMMA,
  [77379] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6004), 1,
      sym_identifier,
  [77386] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6006), 1,
      aux_sym_preproc_extension_token1,
  [77393] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6008), 1,
      anon_sym_RPAREN,
  [77400] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6010), 1,
      aux_sym_preproc_if_token2,
  [77407] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6012), 1,
      aux_sym_preproc_if_token2,
  [77414] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6014), 1,
      sym_identifier,
  [77421] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3777), 1,
      anon_sym_SEMI,
  [77428] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6016), 1,
      anon_sym_while,
  [77435] = 2,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(5318), 1,
      aux_sym_preproc_include_token2,
  [77442] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3773), 1,
      anon_sym_SEMI,
  [77449] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6018), 1,
      anon_sym_SEMI,
  [77456] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6020), 1,
      sym_identifier,
  [77463] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3677), 1,
      anon_sym_RBRACE,
  [77470] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6022), 1,
      aux_sym_preproc_if_token2,
  [77477] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6024), 1,
      anon_sym_COMMA,
  [77484] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6026), 1,
      aux_sym_preproc_if_token2,
  [77491] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3745), 1,
      anon_sym_COLON,
  [77498] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6028), 1,
      anon_sym_SEMI,
  [77505] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6030), 1,
      anon_sym_SEMI,
  [77512] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6032), 1,
      anon_sym_COLON,
  [77519] = 2,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(6034), 1,
      aux_sym_preproc_include_token2,
  [77526] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6036), 1,
      anon_sym_COLON,
  [77533] = 2,
    ACTIONS(3633), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3920), 1,
      sym_comment,
  [77540] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6038), 1,
      anon_sym_COLON,
  [77547] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6040), 1,
      aux_sym_preproc_if_token2,
  [77554] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6042), 1,
      anon_sym_RPAREN,
  [77561] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6044), 1,
      anon_sym_LPAREN2,
  [77568] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6046), 1,
      aux_sym_preproc_if_token2,
  [77575] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6048), 1,
      anon_sym_RPAREN,
  [77582] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6050), 1,
      aux_sym_preproc_extension_token1,
  [77589] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6052), 1,
      anon_sym_SEMI,
  [77596] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6054), 1,
      aux_sym_preproc_if_token2,
  [77603] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6056), 1,
      anon_sym_while,
  [77610] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3751), 1,
      anon_sym_COLON,
  [77617] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6058), 1,
      aux_sym_preproc_if_token2,
  [77624] = 2,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(6060), 1,
      aux_sym_preproc_include_token2,
  [77631] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6062), 1,
      aux_sym_preproc_if_token2,
  [77638] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6064), 1,
      anon_sym_SEMI,
  [77645] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6066), 1,
      anon_sym_SEMI,
  [77652] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6068), 1,
      aux_sym_preproc_if_token2,
  [77659] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6070), 1,
      sym_identifier,
  [77666] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3797), 1,
      anon_sym_SEMI,
  [77673] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3763), 1,
      anon_sym_SEMI,
  [77680] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6072), 1,
      anon_sym_SEMI,
  [77687] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6074), 1,
      aux_sym_preproc_if_token2,
  [77694] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6076), 1,
      anon_sym_STAR,
  [77701] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6078), 1,
      aux_sym_preproc_extension_token1,
  [77708] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6080), 1,
      anon_sym_SEMI,
  [77715] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5614), 1,
      anon_sym_RBRACE,
  [77722] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6082), 1,
      anon_sym_while,
  [77729] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6084), 1,
      sym_identifier,
  [77736] = 2,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(6086), 1,
      aux_sym_preproc_include_token2,
  [77743] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6088), 1,
      anon_sym_SEMI,
  [77750] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6090), 1,
      aux_sym_preproc_if_token2,
  [77757] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6092), 1,
      anon_sym_SEMI,
  [77764] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6094), 1,
      anon_sym_SEMI,
  [77771] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6096), 1,
      anon_sym_SEMI,
  [77778] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6098), 1,
      aux_sym_preproc_if_token2,
  [77785] = 2,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(6100), 1,
      aux_sym_preproc_include_token2,
  [77792] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6102), 1,
      aux_sym_preproc_if_token2,
  [77799] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6104), 1,
      anon_sym_LPAREN2,
  [77806] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6106), 1,
      aux_sym_preproc_if_token2,
  [77813] = 2,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(6108), 1,
      aux_sym_preproc_include_token2,
  [77820] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6110), 1,
      aux_sym_preproc_extension_token1,
  [77827] = 2,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(6112), 1,
      aux_sym_preproc_include_token2,
  [77834] = 2,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(6114), 1,
      aux_sym_preproc_include_token2,
  [77841] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6116), 1,
      anon_sym_while,
  [77848] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6118), 1,
      aux_sym_preproc_if_token2,
  [77855] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6120), 1,
      aux_sym_preproc_if_token2,
  [77862] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6122), 1,
      anon_sym_RPAREN,
  [77869] = 2,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(6124), 1,
      aux_sym_preproc_include_token2,
  [77876] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6126), 1,
      aux_sym_preproc_if_token2,
  [77883] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6128), 1,
      anon_sym_SEMI,
  [77890] = 2,
    ACTIONS(3653), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(3920), 1,
      sym_comment,
  [77897] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3701), 1,
      anon_sym_COLON,
  [77904] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3807), 1,
      anon_sym_COLON,
  [77911] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6130), 1,
      anon_sym_SEMI,
  [77918] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6132), 1,
      anon_sym_LPAREN2,
  [77925] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6134), 1,
      anon_sym_RPAREN,
  [77932] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6136), 1,
      aux_sym_preproc_if_token2,
  [77939] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6138), 1,
      aux_sym_preproc_if_token2,
  [77946] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6140), 1,
      anon_sym_SEMI,
  [77953] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6142), 1,
      aux_sym_preproc_if_token2,
  [77960] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6144), 1,
      anon_sym_RPAREN,
  [77967] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6146), 1,
      anon_sym_STAR,
  [77974] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6148), 1,
      aux_sym_preproc_if_token2,
  [77981] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6150), 1,
      anon_sym_LPAREN2,
  [77988] = 2,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(6152), 1,
      aux_sym_preproc_include_token2,
  [77995] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6154), 1,
      anon_sym_LPAREN2,
  [78002] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6156), 1,
      anon_sym_COLON,
  [78009] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6158), 1,
      anon_sym_SEMI,
  [78016] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6160), 1,
      anon_sym_SEMI,
  [78023] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6162), 1,
      anon_sym_RPAREN,
  [78030] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6164), 1,
      anon_sym_LPAREN2,
  [78037] = 2,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(5069), 1,
      aux_sym_preproc_include_token2,
  [78044] = 2,
    ACTIONS(3920), 1,
      sym_comment,
    ACTIONS(6166), 1,
      aux_sym_preproc_include_token2,
  [78051] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6168), 1,
      anon_sym_RPAREN,
  [78058] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6170), 1,
      anon_sym_SEMI,
  [78065] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6172), 1,
      anon_sym_COMMA,
  [78072] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6174), 1,
      anon_sym_RPAREN,
  [78079] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6176), 1,
      anon_sym_RPAREN,
  [78086] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3725), 1,
      anon_sym_SEMI,
  [78093] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4313), 1,
      anon_sym_SEMI,
  [78100] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6178), 1,
      anon_sym_SEMI,
  [78107] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6180), 1,
      anon_sym_LPAREN2,
  [78114] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3811), 1,
      anon_sym_SEMI,
  [78121] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6182), 1,
      anon_sym_RPAREN,
  [78128] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6184), 1,
      anon_sym_LPAREN2,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(869)] = 0,
  [SMALL_STATE(870)] = 115,
  [SMALL_STATE(871)] = 230,
  [SMALL_STATE(872)] = 342,
  [SMALL_STATE(873)] = 451,
  [SMALL_STATE(874)] = 558,
  [SMALL_STATE(875)] = 667,
  [SMALL_STATE(876)] = 776,
  [SMALL_STATE(877)] = 885,
  [SMALL_STATE(878)] = 994,
  [SMALL_STATE(879)] = 1103,
  [SMALL_STATE(880)] = 1212,
  [SMALL_STATE(881)] = 1321,
  [SMALL_STATE(882)] = 1430,
  [SMALL_STATE(883)] = 1537,
  [SMALL_STATE(884)] = 1646,
  [SMALL_STATE(885)] = 1755,
  [SMALL_STATE(886)] = 1864,
  [SMALL_STATE(887)] = 1973,
  [SMALL_STATE(888)] = 2082,
  [SMALL_STATE(889)] = 2191,
  [SMALL_STATE(890)] = 2298,
  [SMALL_STATE(891)] = 2407,
  [SMALL_STATE(892)] = 2516,
  [SMALL_STATE(893)] = 2625,
  [SMALL_STATE(894)] = 2734,
  [SMALL_STATE(895)] = 2843,
  [SMALL_STATE(896)] = 2952,
  [SMALL_STATE(897)] = 3061,
  [SMALL_STATE(898)] = 3170,
  [SMALL_STATE(899)] = 3279,
  [SMALL_STATE(900)] = 3388,
  [SMALL_STATE(901)] = 3497,
  [SMALL_STATE(902)] = 3606,
  [SMALL_STATE(903)] = 3715,
  [SMALL_STATE(904)] = 3822,
  [SMALL_STATE(905)] = 3931,
  [SMALL_STATE(906)] = 4035,
  [SMALL_STATE(907)] = 4141,
  [SMALL_STATE(908)] = 4245,
  [SMALL_STATE(909)] = 4351,
  [SMALL_STATE(910)] = 4455,
  [SMALL_STATE(911)] = 4559,
  [SMALL_STATE(912)] = 4663,
  [SMALL_STATE(913)] = 4767,
  [SMALL_STATE(914)] = 4871,
  [SMALL_STATE(915)] = 4977,
  [SMALL_STATE(916)] = 5081,
  [SMALL_STATE(917)] = 5185,
  [SMALL_STATE(918)] = 5289,
  [SMALL_STATE(919)] = 5392,
  [SMALL_STATE(920)] = 5495,
  [SMALL_STATE(921)] = 5598,
  [SMALL_STATE(922)] = 5701,
  [SMALL_STATE(923)] = 5804,
  [SMALL_STATE(924)] = 5905,
  [SMALL_STATE(925)] = 6008,
  [SMALL_STATE(926)] = 6109,
  [SMALL_STATE(927)] = 6210,
  [SMALL_STATE(928)] = 6311,
  [SMALL_STATE(929)] = 6412,
  [SMALL_STATE(930)] = 6513,
  [SMALL_STATE(931)] = 6616,
  [SMALL_STATE(932)] = 6717,
  [SMALL_STATE(933)] = 6818,
  [SMALL_STATE(934)] = 6919,
  [SMALL_STATE(935)] = 7020,
  [SMALL_STATE(936)] = 7121,
  [SMALL_STATE(937)] = 7222,
  [SMALL_STATE(938)] = 7323,
  [SMALL_STATE(939)] = 7426,
  [SMALL_STATE(940)] = 7527,
  [SMALL_STATE(941)] = 7628,
  [SMALL_STATE(942)] = 7729,
  [SMALL_STATE(943)] = 7830,
  [SMALL_STATE(944)] = 7931,
  [SMALL_STATE(945)] = 8032,
  [SMALL_STATE(946)] = 8135,
  [SMALL_STATE(947)] = 8236,
  [SMALL_STATE(948)] = 8337,
  [SMALL_STATE(949)] = 8438,
  [SMALL_STATE(950)] = 8541,
  [SMALL_STATE(951)] = 8642,
  [SMALL_STATE(952)] = 8745,
  [SMALL_STATE(953)] = 8848,
  [SMALL_STATE(954)] = 8949,
  [SMALL_STATE(955)] = 9050,
  [SMALL_STATE(956)] = 9151,
  [SMALL_STATE(957)] = 9252,
  [SMALL_STATE(958)] = 9353,
  [SMALL_STATE(959)] = 9456,
  [SMALL_STATE(960)] = 9557,
  [SMALL_STATE(961)] = 9658,
  [SMALL_STATE(962)] = 9761,
  [SMALL_STATE(963)] = 9864,
  [SMALL_STATE(964)] = 9965,
  [SMALL_STATE(965)] = 10066,
  [SMALL_STATE(966)] = 10169,
  [SMALL_STATE(967)] = 10270,
  [SMALL_STATE(968)] = 10371,
  [SMALL_STATE(969)] = 10472,
  [SMALL_STATE(970)] = 10575,
  [SMALL_STATE(971)] = 10676,
  [SMALL_STATE(972)] = 10777,
  [SMALL_STATE(973)] = 10878,
  [SMALL_STATE(974)] = 10979,
  [SMALL_STATE(975)] = 11082,
  [SMALL_STATE(976)] = 11183,
  [SMALL_STATE(977)] = 11284,
  [SMALL_STATE(978)] = 11387,
  [SMALL_STATE(979)] = 11490,
  [SMALL_STATE(980)] = 11593,
  [SMALL_STATE(981)] = 11696,
  [SMALL_STATE(982)] = 11797,
  [SMALL_STATE(983)] = 11898,
  [SMALL_STATE(984)] = 11999,
  [SMALL_STATE(985)] = 12100,
  [SMALL_STATE(986)] = 12201,
  [SMALL_STATE(987)] = 12304,
  [SMALL_STATE(988)] = 12407,
  [SMALL_STATE(989)] = 12510,
  [SMALL_STATE(990)] = 12613,
  [SMALL_STATE(991)] = 12716,
  [SMALL_STATE(992)] = 12819,
  [SMALL_STATE(993)] = 12922,
  [SMALL_STATE(994)] = 13025,
  [SMALL_STATE(995)] = 13128,
  [SMALL_STATE(996)] = 13231,
  [SMALL_STATE(997)] = 13334,
  [SMALL_STATE(998)] = 13437,
  [SMALL_STATE(999)] = 13540,
  [SMALL_STATE(1000)] = 13643,
  [SMALL_STATE(1001)] = 13746,
  [SMALL_STATE(1002)] = 13849,
  [SMALL_STATE(1003)] = 13952,
  [SMALL_STATE(1004)] = 14053,
  [SMALL_STATE(1005)] = 14156,
  [SMALL_STATE(1006)] = 14257,
  [SMALL_STATE(1007)] = 14360,
  [SMALL_STATE(1008)] = 14461,
  [SMALL_STATE(1009)] = 14564,
  [SMALL_STATE(1010)] = 14665,
  [SMALL_STATE(1011)] = 14766,
  [SMALL_STATE(1012)] = 14869,
  [SMALL_STATE(1013)] = 14972,
  [SMALL_STATE(1014)] = 15075,
  [SMALL_STATE(1015)] = 15176,
  [SMALL_STATE(1016)] = 15279,
  [SMALL_STATE(1017)] = 15382,
  [SMALL_STATE(1018)] = 15483,
  [SMALL_STATE(1019)] = 15586,
  [SMALL_STATE(1020)] = 15689,
  [SMALL_STATE(1021)] = 15792,
  [SMALL_STATE(1022)] = 15895,
  [SMALL_STATE(1023)] = 15998,
  [SMALL_STATE(1024)] = 16101,
  [SMALL_STATE(1025)] = 16204,
  [SMALL_STATE(1026)] = 16307,
  [SMALL_STATE(1027)] = 16410,
  [SMALL_STATE(1028)] = 16513,
  [SMALL_STATE(1029)] = 16616,
  [SMALL_STATE(1030)] = 16717,
  [SMALL_STATE(1031)] = 16820,
  [SMALL_STATE(1032)] = 16921,
  [SMALL_STATE(1033)] = 17024,
  [SMALL_STATE(1034)] = 17127,
  [SMALL_STATE(1035)] = 17228,
  [SMALL_STATE(1036)] = 17331,
  [SMALL_STATE(1037)] = 17434,
  [SMALL_STATE(1038)] = 17537,
  [SMALL_STATE(1039)] = 17640,
  [SMALL_STATE(1040)] = 17743,
  [SMALL_STATE(1041)] = 17846,
  [SMALL_STATE(1042)] = 17947,
  [SMALL_STATE(1043)] = 18048,
  [SMALL_STATE(1044)] = 18149,
  [SMALL_STATE(1045)] = 18250,
  [SMALL_STATE(1046)] = 18353,
  [SMALL_STATE(1047)] = 18456,
  [SMALL_STATE(1048)] = 18559,
  [SMALL_STATE(1049)] = 18660,
  [SMALL_STATE(1050)] = 18763,
  [SMALL_STATE(1051)] = 18866,
  [SMALL_STATE(1052)] = 18969,
  [SMALL_STATE(1053)] = 19072,
  [SMALL_STATE(1054)] = 19175,
  [SMALL_STATE(1055)] = 19278,
  [SMALL_STATE(1056)] = 19381,
  [SMALL_STATE(1057)] = 19484,
  [SMALL_STATE(1058)] = 19587,
  [SMALL_STATE(1059)] = 19690,
  [SMALL_STATE(1060)] = 19793,
  [SMALL_STATE(1061)] = 19896,
  [SMALL_STATE(1062)] = 19999,
  [SMALL_STATE(1063)] = 20102,
  [SMALL_STATE(1064)] = 20203,
  [SMALL_STATE(1065)] = 20306,
  [SMALL_STATE(1066)] = 20409,
  [SMALL_STATE(1067)] = 20510,
  [SMALL_STATE(1068)] = 20611,
  [SMALL_STATE(1069)] = 20714,
  [SMALL_STATE(1070)] = 20817,
  [SMALL_STATE(1071)] = 20920,
  [SMALL_STATE(1072)] = 21008,
  [SMALL_STATE(1073)] = 21079,
  [SMALL_STATE(1074)] = 21150,
  [SMALL_STATE(1075)] = 21221,
  [SMALL_STATE(1076)] = 21289,
  [SMALL_STATE(1077)] = 21352,
  [SMALL_STATE(1078)] = 21415,
  [SMALL_STATE(1079)] = 21477,
  [SMALL_STATE(1080)] = 21539,
  [SMALL_STATE(1081)] = 21601,
  [SMALL_STATE(1082)] = 21663,
  [SMALL_STATE(1083)] = 21725,
  [SMALL_STATE(1084)] = 21787,
  [SMALL_STATE(1085)] = 21849,
  [SMALL_STATE(1086)] = 21911,
  [SMALL_STATE(1087)] = 21973,
  [SMALL_STATE(1088)] = 22035,
  [SMALL_STATE(1089)] = 22128,
  [SMALL_STATE(1090)] = 22221,
  [SMALL_STATE(1091)] = 22314,
  [SMALL_STATE(1092)] = 22407,
  [SMALL_STATE(1093)] = 22500,
  [SMALL_STATE(1094)] = 22593,
  [SMALL_STATE(1095)] = 22686,
  [SMALL_STATE(1096)] = 22779,
  [SMALL_STATE(1097)] = 22872,
  [SMALL_STATE(1098)] = 22965,
  [SMALL_STATE(1099)] = 23058,
  [SMALL_STATE(1100)] = 23151,
  [SMALL_STATE(1101)] = 23244,
  [SMALL_STATE(1102)] = 23337,
  [SMALL_STATE(1103)] = 23430,
  [SMALL_STATE(1104)] = 23496,
  [SMALL_STATE(1105)] = 23555,
  [SMALL_STATE(1106)] = 23614,
  [SMALL_STATE(1107)] = 23673,
  [SMALL_STATE(1108)] = 23732,
  [SMALL_STATE(1109)] = 23797,
  [SMALL_STATE(1110)] = 23868,
  [SMALL_STATE(1111)] = 23926,
  [SMALL_STATE(1112)] = 23984,
  [SMALL_STATE(1113)] = 24042,
  [SMALL_STATE(1114)] = 24100,
  [SMALL_STATE(1115)] = 24158,
  [SMALL_STATE(1116)] = 24216,
  [SMALL_STATE(1117)] = 24274,
  [SMALL_STATE(1118)] = 24332,
  [SMALL_STATE(1119)] = 24390,
  [SMALL_STATE(1120)] = 24448,
  [SMALL_STATE(1121)] = 24506,
  [SMALL_STATE(1122)] = 24564,
  [SMALL_STATE(1123)] = 24622,
  [SMALL_STATE(1124)] = 24680,
  [SMALL_STATE(1125)] = 24738,
  [SMALL_STATE(1126)] = 24796,
  [SMALL_STATE(1127)] = 24854,
  [SMALL_STATE(1128)] = 24912,
  [SMALL_STATE(1129)] = 24970,
  [SMALL_STATE(1130)] = 25035,
  [SMALL_STATE(1131)] = 25102,
  [SMALL_STATE(1132)] = 25169,
  [SMALL_STATE(1133)] = 25226,
  [SMALL_STATE(1134)] = 25293,
  [SMALL_STATE(1135)] = 25360,
  [SMALL_STATE(1136)] = 25417,
  [SMALL_STATE(1137)] = 25478,
  [SMALL_STATE(1138)] = 25543,
  [SMALL_STATE(1139)] = 25610,
  [SMALL_STATE(1140)] = 25667,
  [SMALL_STATE(1141)] = 25724,
  [SMALL_STATE(1142)] = 25781,
  [SMALL_STATE(1143)] = 25843,
  [SMALL_STATE(1144)] = 25907,
  [SMALL_STATE(1145)] = 25969,
  [SMALL_STATE(1146)] = 26031,
  [SMALL_STATE(1147)] = 26090,
  [SMALL_STATE(1148)] = 26153,
  [SMALL_STATE(1149)] = 26212,
  [SMALL_STATE(1150)] = 26271,
  [SMALL_STATE(1151)] = 26353,
  [SMALL_STATE(1152)] = 26435,
  [SMALL_STATE(1153)] = 26517,
  [SMALL_STATE(1154)] = 26599,
  [SMALL_STATE(1155)] = 26681,
  [SMALL_STATE(1156)] = 26763,
  [SMALL_STATE(1157)] = 26845,
  [SMALL_STATE(1158)] = 26927,
  [SMALL_STATE(1159)] = 27009,
  [SMALL_STATE(1160)] = 27091,
  [SMALL_STATE(1161)] = 27173,
  [SMALL_STATE(1162)] = 27227,
  [SMALL_STATE(1163)] = 27309,
  [SMALL_STATE(1164)] = 27391,
  [SMALL_STATE(1165)] = 27473,
  [SMALL_STATE(1166)] = 27555,
  [SMALL_STATE(1167)] = 27637,
  [SMALL_STATE(1168)] = 27719,
  [SMALL_STATE(1169)] = 27773,
  [SMALL_STATE(1170)] = 27855,
  [SMALL_STATE(1171)] = 27937,
  [SMALL_STATE(1172)] = 28019,
  [SMALL_STATE(1173)] = 28101,
  [SMALL_STATE(1174)] = 28183,
  [SMALL_STATE(1175)] = 28265,
  [SMALL_STATE(1176)] = 28347,
  [SMALL_STATE(1177)] = 28429,
  [SMALL_STATE(1178)] = 28492,
  [SMALL_STATE(1179)] = 28545,
  [SMALL_STATE(1180)] = 28608,
  [SMALL_STATE(1181)] = 28661,
  [SMALL_STATE(1182)] = 28724,
  [SMALL_STATE(1183)] = 28787,
  [SMALL_STATE(1184)] = 28848,
  [SMALL_STATE(1185)] = 28901,
  [SMALL_STATE(1186)] = 28962,
  [SMALL_STATE(1187)] = 29025,
  [SMALL_STATE(1188)] = 29086,
  [SMALL_STATE(1189)] = 29147,
  [SMALL_STATE(1190)] = 29208,
  [SMALL_STATE(1191)] = 29271,
  [SMALL_STATE(1192)] = 29334,
  [SMALL_STATE(1193)] = 29413,
  [SMALL_STATE(1194)] = 29499,
  [SMALL_STATE(1195)] = 29585,
  [SMALL_STATE(1196)] = 29637,
  [SMALL_STATE(1197)] = 29723,
  [SMALL_STATE(1198)] = 29789,
  [SMALL_STATE(1199)] = 29857,
  [SMALL_STATE(1200)] = 29917,
  [SMALL_STATE(1201)] = 29989,
  [SMALL_STATE(1202)] = 30053,
  [SMALL_STATE(1203)] = 30127,
  [SMALL_STATE(1204)] = 30203,
  [SMALL_STATE(1205)] = 30281,
  [SMALL_STATE(1206)] = 30361,
  [SMALL_STATE(1207)] = 30443,
  [SMALL_STATE(1208)] = 30495,
  [SMALL_STATE(1209)] = 30547,
  [SMALL_STATE(1210)] = 30612,
  [SMALL_STATE(1211)] = 30697,
  [SMALL_STATE(1212)] = 30782,
  [SMALL_STATE(1213)] = 30845,
  [SMALL_STATE(1214)] = 30900,
  [SMALL_STATE(1215)] = 30963,
  [SMALL_STATE(1216)] = 31018,
  [SMALL_STATE(1217)] = 31081,
  [SMALL_STATE(1218)] = 31132,
  [SMALL_STATE(1219)] = 31187,
  [SMALL_STATE(1220)] = 31254,
  [SMALL_STATE(1221)] = 31309,
  [SMALL_STATE(1222)] = 31364,
  [SMALL_STATE(1223)] = 31419,
  [SMALL_STATE(1224)] = 31490,
  [SMALL_STATE(1225)] = 31545,
  [SMALL_STATE(1226)] = 31618,
  [SMALL_STATE(1227)] = 31673,
  [SMALL_STATE(1228)] = 31736,
  [SMALL_STATE(1229)] = 31811,
  [SMALL_STATE(1230)] = 31888,
  [SMALL_STATE(1231)] = 31943,
  [SMALL_STATE(1232)] = 32022,
  [SMALL_STATE(1233)] = 32073,
  [SMALL_STATE(1234)] = 32128,
  [SMALL_STATE(1235)] = 32213,
  [SMALL_STATE(1236)] = 32294,
  [SMALL_STATE(1237)] = 32345,
  [SMALL_STATE(1238)] = 32408,
  [SMALL_STATE(1239)] = 32463,
  [SMALL_STATE(1240)] = 32514,
  [SMALL_STATE(1241)] = 32569,
  [SMALL_STATE(1242)] = 32633,
  [SMALL_STATE(1243)] = 32703,
  [SMALL_STATE(1244)] = 32759,
  [SMALL_STATE(1245)] = 32839,
  [SMALL_STATE(1246)] = 32895,
  [SMALL_STATE(1247)] = 32945,
  [SMALL_STATE(1248)] = 32995,
  [SMALL_STATE(1249)] = 33045,
  [SMALL_STATE(1250)] = 33095,
  [SMALL_STATE(1251)] = 33157,
  [SMALL_STATE(1252)] = 33207,
  [SMALL_STATE(1253)] = 33257,
  [SMALL_STATE(1254)] = 33307,
  [SMALL_STATE(1255)] = 33357,
  [SMALL_STATE(1256)] = 33411,
  [SMALL_STATE(1257)] = 33461,
  [SMALL_STATE(1258)] = 33511,
  [SMALL_STATE(1259)] = 33565,
  [SMALL_STATE(1260)] = 33619,
  [SMALL_STATE(1261)] = 33669,
  [SMALL_STATE(1262)] = 33745,
  [SMALL_STATE(1263)] = 33819,
  [SMALL_STATE(1264)] = 33903,
  [SMALL_STATE(1265)] = 33981,
  [SMALL_STATE(1266)] = 34031,
  [SMALL_STATE(1267)] = 34103,
  [SMALL_STATE(1268)] = 34163,
  [SMALL_STATE(1269)] = 34247,
  [SMALL_STATE(1270)] = 34301,
  [SMALL_STATE(1271)] = 34351,
  [SMALL_STATE(1272)] = 34411,
  [SMALL_STATE(1273)] = 34471,
  [SMALL_STATE(1274)] = 34521,
  [SMALL_STATE(1275)] = 34571,
  [SMALL_STATE(1276)] = 34637,
  [SMALL_STATE(1277)] = 34687,
  [SMALL_STATE(1278)] = 34771,
  [SMALL_STATE(1279)] = 34821,
  [SMALL_STATE(1280)] = 34871,
  [SMALL_STATE(1281)] = 34921,
  [SMALL_STATE(1282)] = 34971,
  [SMALL_STATE(1283)] = 35025,
  [SMALL_STATE(1284)] = 35079,
  [SMALL_STATE(1285)] = 35129,
  [SMALL_STATE(1286)] = 35183,
  [SMALL_STATE(1287)] = 35243,
  [SMALL_STATE(1288)] = 35293,
  [SMALL_STATE(1289)] = 35343,
  [SMALL_STATE(1290)] = 35401,
  [SMALL_STATE(1291)] = 35461,
  [SMALL_STATE(1292)] = 35511,
  [SMALL_STATE(1293)] = 35565,
  [SMALL_STATE(1294)] = 35615,
  [SMALL_STATE(1295)] = 35665,
  [SMALL_STATE(1296)] = 35723,
  [SMALL_STATE(1297)] = 35773,
  [SMALL_STATE(1298)] = 35822,
  [SMALL_STATE(1299)] = 35871,
  [SMALL_STATE(1300)] = 35920,
  [SMALL_STATE(1301)] = 35969,
  [SMALL_STATE(1302)] = 36018,
  [SMALL_STATE(1303)] = 36067,
  [SMALL_STATE(1304)] = 36116,
  [SMALL_STATE(1305)] = 36165,
  [SMALL_STATE(1306)] = 36214,
  [SMALL_STATE(1307)] = 36263,
  [SMALL_STATE(1308)] = 36312,
  [SMALL_STATE(1309)] = 36361,
  [SMALL_STATE(1310)] = 36410,
  [SMALL_STATE(1311)] = 36459,
  [SMALL_STATE(1312)] = 36508,
  [SMALL_STATE(1313)] = 36557,
  [SMALL_STATE(1314)] = 36610,
  [SMALL_STATE(1315)] = 36659,
  [SMALL_STATE(1316)] = 36708,
  [SMALL_STATE(1317)] = 36757,
  [SMALL_STATE(1318)] = 36806,
  [SMALL_STATE(1319)] = 36855,
  [SMALL_STATE(1320)] = 36904,
  [SMALL_STATE(1321)] = 36953,
  [SMALL_STATE(1322)] = 37002,
  [SMALL_STATE(1323)] = 37051,
  [SMALL_STATE(1324)] = 37100,
  [SMALL_STATE(1325)] = 37149,
  [SMALL_STATE(1326)] = 37211,
  [SMALL_STATE(1327)] = 37269,
  [SMALL_STATE(1328)] = 37331,
  [SMALL_STATE(1329)] = 37393,
  [SMALL_STATE(1330)] = 37455,
  [SMALL_STATE(1331)] = 37517,
  [SMALL_STATE(1332)] = 37596,
  [SMALL_STATE(1333)] = 37653,
  [SMALL_STATE(1334)] = 37732,
  [SMALL_STATE(1335)] = 37809,
  [SMALL_STATE(1336)] = 37884,
  [SMALL_STATE(1337)] = 37957,
  [SMALL_STATE(1338)] = 38028,
  [SMALL_STATE(1339)] = 38097,
  [SMALL_STATE(1340)] = 38162,
  [SMALL_STATE(1341)] = 38225,
  [SMALL_STATE(1342)] = 38280,
  [SMALL_STATE(1343)] = 38337,
  [SMALL_STATE(1344)] = 38396,
  [SMALL_STATE(1345)] = 38479,
  [SMALL_STATE(1346)] = 38536,
  [SMALL_STATE(1347)] = 38593,
  [SMALL_STATE(1348)] = 38652,
  [SMALL_STATE(1349)] = 38709,
  [SMALL_STATE(1350)] = 38792,
  [SMALL_STATE(1351)] = 38849,
  [SMALL_STATE(1352)] = 38932,
  [SMALL_STATE(1353)] = 38989,
  [SMALL_STATE(1354)] = 39046,
  [SMALL_STATE(1355)] = 39107,
  [SMALL_STATE(1356)] = 39164,
  [SMALL_STATE(1357)] = 39221,
  [SMALL_STATE(1358)] = 39300,
  [SMALL_STATE(1359)] = 39357,
  [SMALL_STATE(1360)] = 39416,
  [SMALL_STATE(1361)] = 39475,
  [SMALL_STATE(1362)] = 39534,
  [SMALL_STATE(1363)] = 39591,
  [SMALL_STATE(1364)] = 39641,
  [SMALL_STATE(1365)] = 39690,
  [SMALL_STATE(1366)] = 39739,
  [SMALL_STATE(1367)] = 39788,
  [SMALL_STATE(1368)] = 39837,
  [SMALL_STATE(1369)] = 39886,
  [SMALL_STATE(1370)] = 39935,
  [SMALL_STATE(1371)] = 39984,
  [SMALL_STATE(1372)] = 40033,
  [SMALL_STATE(1373)] = 40077,
  [SMALL_STATE(1374)] = 40121,
  [SMALL_STATE(1375)] = 40165,
  [SMALL_STATE(1376)] = 40209,
  [SMALL_STATE(1377)] = 40253,
  [SMALL_STATE(1378)] = 40297,
  [SMALL_STATE(1379)] = 40341,
  [SMALL_STATE(1380)] = 40385,
  [SMALL_STATE(1381)] = 40429,
  [SMALL_STATE(1382)] = 40473,
  [SMALL_STATE(1383)] = 40517,
  [SMALL_STATE(1384)] = 40561,
  [SMALL_STATE(1385)] = 40605,
  [SMALL_STATE(1386)] = 40649,
  [SMALL_STATE(1387)] = 40693,
  [SMALL_STATE(1388)] = 40737,
  [SMALL_STATE(1389)] = 40781,
  [SMALL_STATE(1390)] = 40825,
  [SMALL_STATE(1391)] = 40869,
  [SMALL_STATE(1392)] = 40913,
  [SMALL_STATE(1393)] = 40957,
  [SMALL_STATE(1394)] = 41001,
  [SMALL_STATE(1395)] = 41045,
  [SMALL_STATE(1396)] = 41088,
  [SMALL_STATE(1397)] = 41157,
  [SMALL_STATE(1398)] = 41226,
  [SMALL_STATE(1399)] = 41295,
  [SMALL_STATE(1400)] = 41364,
  [SMALL_STATE(1401)] = 41416,
  [SMALL_STATE(1402)] = 41493,
  [SMALL_STATE(1403)] = 41570,
  [SMALL_STATE(1404)] = 41647,
  [SMALL_STATE(1405)] = 41702,
  [SMALL_STATE(1406)] = 41775,
  [SMALL_STATE(1407)] = 41834,
  [SMALL_STATE(1408)] = 41905,
  [SMALL_STATE(1409)] = 41968,
  [SMALL_STATE(1410)] = 42045,
  [SMALL_STATE(1411)] = 42112,
  [SMALL_STATE(1412)] = 42177,
  [SMALL_STATE(1413)] = 42234,
  [SMALL_STATE(1414)] = 42303,
  [SMALL_STATE(1415)] = 42345,
  [SMALL_STATE(1416)] = 42387,
  [SMALL_STATE(1417)] = 42429,
  [SMALL_STATE(1418)] = 42503,
  [SMALL_STATE(1419)] = 42577,
  [SMALL_STATE(1420)] = 42619,
  [SMALL_STATE(1421)] = 42673,
  [SMALL_STATE(1422)] = 42715,
  [SMALL_STATE(1423)] = 42789,
  [SMALL_STATE(1424)] = 42853,
  [SMALL_STATE(1425)] = 42923,
  [SMALL_STATE(1426)] = 42985,
  [SMALL_STATE(1427)] = 43043,
  [SMALL_STATE(1428)] = 43099,
  [SMALL_STATE(1429)] = 43167,
  [SMALL_STATE(1430)] = 43235,
  [SMALL_STATE(1431)] = 43301,
  [SMALL_STATE(1432)] = 43368,
  [SMALL_STATE(1433)] = 43441,
  [SMALL_STATE(1434)] = 43504,
  [SMALL_STATE(1435)] = 43567,
  [SMALL_STATE(1436)] = 43640,
  [SMALL_STATE(1437)] = 43713,
  [SMALL_STATE(1438)] = 43786,
  [SMALL_STATE(1439)] = 43839,
  [SMALL_STATE(1440)] = 43904,
  [SMALL_STATE(1441)] = 43973,
  [SMALL_STATE(1442)] = 44040,
  [SMALL_STATE(1443)] = 44105,
  [SMALL_STATE(1444)] = 44168,
  [SMALL_STATE(1445)] = 44229,
  [SMALL_STATE(1446)] = 44294,
  [SMALL_STATE(1447)] = 44351,
  [SMALL_STATE(1448)] = 44406,
  [SMALL_STATE(1449)] = 44444,
  [SMALL_STATE(1450)] = 44504,
  [SMALL_STATE(1451)] = 44564,
  [SMALL_STATE(1452)] = 44610,
  [SMALL_STATE(1453)] = 44648,
  [SMALL_STATE(1454)] = 44722,
  [SMALL_STATE(1455)] = 44782,
  [SMALL_STATE(1456)] = 44842,
  [SMALL_STATE(1457)] = 44880,
  [SMALL_STATE(1458)] = 44940,
  [SMALL_STATE(1459)] = 45000,
  [SMALL_STATE(1460)] = 45060,
  [SMALL_STATE(1461)] = 45120,
  [SMALL_STATE(1462)] = 45158,
  [SMALL_STATE(1463)] = 45233,
  [SMALL_STATE(1464)] = 45308,
  [SMALL_STATE(1465)] = 45383,
  [SMALL_STATE(1466)] = 45458,
  [SMALL_STATE(1467)] = 45533,
  [SMALL_STATE(1468)] = 45608,
  [SMALL_STATE(1469)] = 45679,
  [SMALL_STATE(1470)] = 45754,
  [SMALL_STATE(1471)] = 45829,
  [SMALL_STATE(1472)] = 45899,
  [SMALL_STATE(1473)] = 45969,
  [SMALL_STATE(1474)] = 46041,
  [SMALL_STATE(1475)] = 46113,
  [SMALL_STATE(1476)] = 46169,
  [SMALL_STATE(1477)] = 46225,
  [SMALL_STATE(1478)] = 46295,
  [SMALL_STATE(1479)] = 46351,
  [SMALL_STATE(1480)] = 46423,
  [SMALL_STATE(1481)] = 46495,
  [SMALL_STATE(1482)] = 46549,
  [SMALL_STATE(1483)] = 46605,
  [SMALL_STATE(1484)] = 46677,
  [SMALL_STATE(1485)] = 46737,
  [SMALL_STATE(1486)] = 46799,
  [SMALL_STATE(1487)] = 46863,
  [SMALL_STATE(1488)] = 46929,
  [SMALL_STATE(1489)] = 46995,
  [SMALL_STATE(1490)] = 47063,
  [SMALL_STATE(1491)] = 47115,
  [SMALL_STATE(1492)] = 47187,
  [SMALL_STATE(1493)] = 47243,
  [SMALL_STATE(1494)] = 47315,
  [SMALL_STATE(1495)] = 47387,
  [SMALL_STATE(1496)] = 47459,
  [SMALL_STATE(1497)] = 47515,
  [SMALL_STATE(1498)] = 47587,
  [SMALL_STATE(1499)] = 47643,
  [SMALL_STATE(1500)] = 47713,
  [SMALL_STATE(1501)] = 47787,
  [SMALL_STATE(1502)] = 47859,
  [SMALL_STATE(1503)] = 47915,
  [SMALL_STATE(1504)] = 47971,
  [SMALL_STATE(1505)] = 48041,
  [SMALL_STATE(1506)] = 48113,
  [SMALL_STATE(1507)] = 48169,
  [SMALL_STATE(1508)] = 48225,
  [SMALL_STATE(1509)] = 48297,
  [SMALL_STATE(1510)] = 48369,
  [SMALL_STATE(1511)] = 48425,
  [SMALL_STATE(1512)] = 48497,
  [SMALL_STATE(1513)] = 48569,
  [SMALL_STATE(1514)] = 48641,
  [SMALL_STATE(1515)] = 48713,
  [SMALL_STATE(1516)] = 48785,
  [SMALL_STATE(1517)] = 48841,
  [SMALL_STATE(1518)] = 48913,
  [SMALL_STATE(1519)] = 48985,
  [SMALL_STATE(1520)] = 49055,
  [SMALL_STATE(1521)] = 49111,
  [SMALL_STATE(1522)] = 49183,
  [SMALL_STATE(1523)] = 49255,
  [SMALL_STATE(1524)] = 49327,
  [SMALL_STATE(1525)] = 49383,
  [SMALL_STATE(1526)] = 49455,
  [SMALL_STATE(1527)] = 49527,
  [SMALL_STATE(1528)] = 49583,
  [SMALL_STATE(1529)] = 49655,
  [SMALL_STATE(1530)] = 49727,
  [SMALL_STATE(1531)] = 49783,
  [SMALL_STATE(1532)] = 49855,
  [SMALL_STATE(1533)] = 49911,
  [SMALL_STATE(1534)] = 49967,
  [SMALL_STATE(1535)] = 50039,
  [SMALL_STATE(1536)] = 50111,
  [SMALL_STATE(1537)] = 50183,
  [SMALL_STATE(1538)] = 50253,
  [SMALL_STATE(1539)] = 50325,
  [SMALL_STATE(1540)] = 50395,
  [SMALL_STATE(1541)] = 50465,
  [SMALL_STATE(1542)] = 50537,
  [SMALL_STATE(1543)] = 50606,
  [SMALL_STATE(1544)] = 50675,
  [SMALL_STATE(1545)] = 50744,
  [SMALL_STATE(1546)] = 50813,
  [SMALL_STATE(1547)] = 50882,
  [SMALL_STATE(1548)] = 50935,
  [SMALL_STATE(1549)] = 51004,
  [SMALL_STATE(1550)] = 51043,
  [SMALL_STATE(1551)] = 51112,
  [SMALL_STATE(1552)] = 51181,
  [SMALL_STATE(1553)] = 51250,
  [SMALL_STATE(1554)] = 51319,
  [SMALL_STATE(1555)] = 51372,
  [SMALL_STATE(1556)] = 51425,
  [SMALL_STATE(1557)] = 51494,
  [SMALL_STATE(1558)] = 51563,
  [SMALL_STATE(1559)] = 51632,
  [SMALL_STATE(1560)] = 51701,
  [SMALL_STATE(1561)] = 51770,
  [SMALL_STATE(1562)] = 51839,
  [SMALL_STATE(1563)] = 51892,
  [SMALL_STATE(1564)] = 51961,
  [SMALL_STATE(1565)] = 52030,
  [SMALL_STATE(1566)] = 52099,
  [SMALL_STATE(1567)] = 52152,
  [SMALL_STATE(1568)] = 52221,
  [SMALL_STATE(1569)] = 52256,
  [SMALL_STATE(1570)] = 52325,
  [SMALL_STATE(1571)] = 52394,
  [SMALL_STATE(1572)] = 52447,
  [SMALL_STATE(1573)] = 52516,
  [SMALL_STATE(1574)] = 52551,
  [SMALL_STATE(1575)] = 52593,
  [SMALL_STATE(1576)] = 52629,
  [SMALL_STATE(1577)] = 52695,
  [SMALL_STATE(1578)] = 52739,
  [SMALL_STATE(1579)] = 52775,
  [SMALL_STATE(1580)] = 52811,
  [SMALL_STATE(1581)] = 52847,
  [SMALL_STATE(1582)] = 52894,
  [SMALL_STATE(1583)] = 52941,
  [SMALL_STATE(1584)] = 52988,
  [SMALL_STATE(1585)] = 53035,
  [SMALL_STATE(1586)] = 53082,
  [SMALL_STATE(1587)] = 53129,
  [SMALL_STATE(1588)] = 53178,
  [SMALL_STATE(1589)] = 53222,
  [SMALL_STATE(1590)] = 53260,
  [SMALL_STATE(1591)] = 53304,
  [SMALL_STATE(1592)] = 53348,
  [SMALL_STATE(1593)] = 53392,
  [SMALL_STATE(1594)] = 53426,
  [SMALL_STATE(1595)] = 53470,
  [SMALL_STATE(1596)] = 53506,
  [SMALL_STATE(1597)] = 53550,
  [SMALL_STATE(1598)] = 53601,
  [SMALL_STATE(1599)] = 53652,
  [SMALL_STATE(1600)] = 53703,
  [SMALL_STATE(1601)] = 53746,
  [SMALL_STATE(1602)] = 53797,
  [SMALL_STATE(1603)] = 53848,
  [SMALL_STATE(1604)] = 53899,
  [SMALL_STATE(1605)] = 53950,
  [SMALL_STATE(1606)] = 54001,
  [SMALL_STATE(1607)] = 54052,
  [SMALL_STATE(1608)] = 54107,
  [SMALL_STATE(1609)] = 54158,
  [SMALL_STATE(1610)] = 54209,
  [SMALL_STATE(1611)] = 54260,
  [SMALL_STATE(1612)] = 54293,
  [SMALL_STATE(1613)] = 54336,
  [SMALL_STATE(1614)] = 54391,
  [SMALL_STATE(1615)] = 54442,
  [SMALL_STATE(1616)] = 54493,
  [SMALL_STATE(1617)] = 54544,
  [SMALL_STATE(1618)] = 54587,
  [SMALL_STATE(1619)] = 54638,
  [SMALL_STATE(1620)] = 54689,
  [SMALL_STATE(1621)] = 54740,
  [SMALL_STATE(1622)] = 54795,
  [SMALL_STATE(1623)] = 54843,
  [SMALL_STATE(1624)] = 54883,
  [SMALL_STATE(1625)] = 54929,
  [SMALL_STATE(1626)] = 54969,
  [SMALL_STATE(1627)] = 54997,
  [SMALL_STATE(1628)] = 55037,
  [SMALL_STATE(1629)] = 55077,
  [SMALL_STATE(1630)] = 55117,
  [SMALL_STATE(1631)] = 55161,
  [SMALL_STATE(1632)] = 55201,
  [SMALL_STATE(1633)] = 55235,
  [SMALL_STATE(1634)] = 55271,
  [SMALL_STATE(1635)] = 55311,
  [SMALL_STATE(1636)] = 55351,
  [SMALL_STATE(1637)] = 55391,
  [SMALL_STATE(1638)] = 55431,
  [SMALL_STATE(1639)] = 55471,
  [SMALL_STATE(1640)] = 55511,
  [SMALL_STATE(1641)] = 55551,
  [SMALL_STATE(1642)] = 55591,
  [SMALL_STATE(1643)] = 55623,
  [SMALL_STATE(1644)] = 55671,
  [SMALL_STATE(1645)] = 55711,
  [SMALL_STATE(1646)] = 55751,
  [SMALL_STATE(1647)] = 55791,
  [SMALL_STATE(1648)] = 55831,
  [SMALL_STATE(1649)] = 55871,
  [SMALL_STATE(1650)] = 55913,
  [SMALL_STATE(1651)] = 55953,
  [SMALL_STATE(1652)] = 55993,
  [SMALL_STATE(1653)] = 56033,
  [SMALL_STATE(1654)] = 56073,
  [SMALL_STATE(1655)] = 56113,
  [SMALL_STATE(1656)] = 56159,
  [SMALL_STATE(1657)] = 56199,
  [SMALL_STATE(1658)] = 56247,
  [SMALL_STATE(1659)] = 56275,
  [SMALL_STATE(1660)] = 56307,
  [SMALL_STATE(1661)] = 56339,
  [SMALL_STATE(1662)] = 56367,
  [SMALL_STATE(1663)] = 56395,
  [SMALL_STATE(1664)] = 56427,
  [SMALL_STATE(1665)] = 56455,
  [SMALL_STATE(1666)] = 56495,
  [SMALL_STATE(1667)] = 56545,
  [SMALL_STATE(1668)] = 56585,
  [SMALL_STATE(1669)] = 56625,
  [SMALL_STATE(1670)] = 56665,
  [SMALL_STATE(1671)] = 56705,
  [SMALL_STATE(1672)] = 56745,
  [SMALL_STATE(1673)] = 56785,
  [SMALL_STATE(1674)] = 56825,
  [SMALL_STATE(1675)] = 56865,
  [SMALL_STATE(1676)] = 56905,
  [SMALL_STATE(1677)] = 56945,
  [SMALL_STATE(1678)] = 56985,
  [SMALL_STATE(1679)] = 57025,
  [SMALL_STATE(1680)] = 57053,
  [SMALL_STATE(1681)] = 57085,
  [SMALL_STATE(1682)] = 57125,
  [SMALL_STATE(1683)] = 57165,
  [SMALL_STATE(1684)] = 57205,
  [SMALL_STATE(1685)] = 57245,
  [SMALL_STATE(1686)] = 57276,
  [SMALL_STATE(1687)] = 57311,
  [SMALL_STATE(1688)] = 57338,
  [SMALL_STATE(1689)] = 57367,
  [SMALL_STATE(1690)] = 57394,
  [SMALL_STATE(1691)] = 57439,
  [SMALL_STATE(1692)] = 57466,
  [SMALL_STATE(1693)] = 57509,
  [SMALL_STATE(1694)] = 57554,
  [SMALL_STATE(1695)] = 57581,
  [SMALL_STATE(1696)] = 57626,
  [SMALL_STATE(1697)] = 57667,
  [SMALL_STATE(1698)] = 57712,
  [SMALL_STATE(1699)] = 57757,
  [SMALL_STATE(1700)] = 57796,
  [SMALL_STATE(1701)] = 57841,
  [SMALL_STATE(1702)] = 57886,
  [SMALL_STATE(1703)] = 57917,
  [SMALL_STATE(1704)] = 57954,
  [SMALL_STATE(1705)] = 57989,
  [SMALL_STATE(1706)] = 58016,
  [SMALL_STATE(1707)] = 58049,
  [SMALL_STATE(1708)] = 58080,
  [SMALL_STATE(1709)] = 58111,
  [SMALL_STATE(1710)] = 58156,
  [SMALL_STATE(1711)] = 58201,
  [SMALL_STATE(1712)] = 58246,
  [SMALL_STATE(1713)] = 58291,
  [SMALL_STATE(1714)] = 58318,
  [SMALL_STATE(1715)] = 58345,
  [SMALL_STATE(1716)] = 58376,
  [SMALL_STATE(1717)] = 58403,
  [SMALL_STATE(1718)] = 58448,
  [SMALL_STATE(1719)] = 58493,
  [SMALL_STATE(1720)] = 58538,
  [SMALL_STATE(1721)] = 58587,
  [SMALL_STATE(1722)] = 58636,
  [SMALL_STATE(1723)] = 58681,
  [SMALL_STATE(1724)] = 58708,
  [SMALL_STATE(1725)] = 58735,
  [SMALL_STATE(1726)] = 58780,
  [SMALL_STATE(1727)] = 58825,
  [SMALL_STATE(1728)] = 58858,
  [SMALL_STATE(1729)] = 58889,
  [SMALL_STATE(1730)] = 58920,
  [SMALL_STATE(1731)] = 58951,
  [SMALL_STATE(1732)] = 58982,
  [SMALL_STATE(1733)] = 59022,
  [SMALL_STATE(1734)] = 59062,
  [SMALL_STATE(1735)] = 59102,
  [SMALL_STATE(1736)] = 59142,
  [SMALL_STATE(1737)] = 59182,
  [SMALL_STATE(1738)] = 59222,
  [SMALL_STATE(1739)] = 59262,
  [SMALL_STATE(1740)] = 59306,
  [SMALL_STATE(1741)] = 59346,
  [SMALL_STATE(1742)] = 59386,
  [SMALL_STATE(1743)] = 59426,
  [SMALL_STATE(1744)] = 59466,
  [SMALL_STATE(1745)] = 59506,
  [SMALL_STATE(1746)] = 59546,
  [SMALL_STATE(1747)] = 59586,
  [SMALL_STATE(1748)] = 59626,
  [SMALL_STATE(1749)] = 59666,
  [SMALL_STATE(1750)] = 59706,
  [SMALL_STATE(1751)] = 59746,
  [SMALL_STATE(1752)] = 59786,
  [SMALL_STATE(1753)] = 59826,
  [SMALL_STATE(1754)] = 59866,
  [SMALL_STATE(1755)] = 59906,
  [SMALL_STATE(1756)] = 59946,
  [SMALL_STATE(1757)] = 59986,
  [SMALL_STATE(1758)] = 60026,
  [SMALL_STATE(1759)] = 60066,
  [SMALL_STATE(1760)] = 60106,
  [SMALL_STATE(1761)] = 60146,
  [SMALL_STATE(1762)] = 60186,
  [SMALL_STATE(1763)] = 60226,
  [SMALL_STATE(1764)] = 60266,
  [SMALL_STATE(1765)] = 60306,
  [SMALL_STATE(1766)] = 60346,
  [SMALL_STATE(1767)] = 60386,
  [SMALL_STATE(1768)] = 60426,
  [SMALL_STATE(1769)] = 60466,
  [SMALL_STATE(1770)] = 60506,
  [SMALL_STATE(1771)] = 60546,
  [SMALL_STATE(1772)] = 60586,
  [SMALL_STATE(1773)] = 60626,
  [SMALL_STATE(1774)] = 60666,
  [SMALL_STATE(1775)] = 60706,
  [SMALL_STATE(1776)] = 60746,
  [SMALL_STATE(1777)] = 60786,
  [SMALL_STATE(1778)] = 60826,
  [SMALL_STATE(1779)] = 60866,
  [SMALL_STATE(1780)] = 60906,
  [SMALL_STATE(1781)] = 60947,
  [SMALL_STATE(1782)] = 60988,
  [SMALL_STATE(1783)] = 61029,
  [SMALL_STATE(1784)] = 61070,
  [SMALL_STATE(1785)] = 61111,
  [SMALL_STATE(1786)] = 61152,
  [SMALL_STATE(1787)] = 61193,
  [SMALL_STATE(1788)] = 61228,
  [SMALL_STATE(1789)] = 61269,
  [SMALL_STATE(1790)] = 61310,
  [SMALL_STATE(1791)] = 61351,
  [SMALL_STATE(1792)] = 61389,
  [SMALL_STATE(1793)] = 61429,
  [SMALL_STATE(1794)] = 61467,
  [SMALL_STATE(1795)] = 61501,
  [SMALL_STATE(1796)] = 61530,
  [SMALL_STATE(1797)] = 61571,
  [SMALL_STATE(1798)] = 61600,
  [SMALL_STATE(1799)] = 61639,
  [SMALL_STATE(1800)] = 61680,
  [SMALL_STATE(1801)] = 61721,
  [SMALL_STATE(1802)] = 61762,
  [SMALL_STATE(1803)] = 61803,
  [SMALL_STATE(1804)] = 61844,
  [SMALL_STATE(1805)] = 61873,
  [SMALL_STATE(1806)] = 61910,
  [SMALL_STATE(1807)] = 61951,
  [SMALL_STATE(1808)] = 61980,
  [SMALL_STATE(1809)] = 62021,
  [SMALL_STATE(1810)] = 62047,
  [SMALL_STATE(1811)] = 62084,
  [SMALL_STATE(1812)] = 62121,
  [SMALL_STATE(1813)] = 62150,
  [SMALL_STATE(1814)] = 62179,
  [SMALL_STATE(1815)] = 62216,
  [SMALL_STATE(1816)] = 62253,
  [SMALL_STATE(1817)] = 62278,
  [SMALL_STATE(1818)] = 62299,
  [SMALL_STATE(1819)] = 62336,
  [SMALL_STATE(1820)] = 62365,
  [SMALL_STATE(1821)] = 62402,
  [SMALL_STATE(1822)] = 62439,
  [SMALL_STATE(1823)] = 62476,
  [SMALL_STATE(1824)] = 62513,
  [SMALL_STATE(1825)] = 62550,
  [SMALL_STATE(1826)] = 62579,
  [SMALL_STATE(1827)] = 62612,
  [SMALL_STATE(1828)] = 62649,
  [SMALL_STATE(1829)] = 62686,
  [SMALL_STATE(1830)] = 62723,
  [SMALL_STATE(1831)] = 62760,
  [SMALL_STATE(1832)] = 62797,
  [SMALL_STATE(1833)] = 62818,
  [SMALL_STATE(1834)] = 62855,
  [SMALL_STATE(1835)] = 62876,
  [SMALL_STATE(1836)] = 62913,
  [SMALL_STATE(1837)] = 62950,
  [SMALL_STATE(1838)] = 62983,
  [SMALL_STATE(1839)] = 63017,
  [SMALL_STATE(1840)] = 63051,
  [SMALL_STATE(1841)] = 63085,
  [SMALL_STATE(1842)] = 63121,
  [SMALL_STATE(1843)] = 63155,
  [SMALL_STATE(1844)] = 63189,
  [SMALL_STATE(1845)] = 63223,
  [SMALL_STATE(1846)] = 63247,
  [SMALL_STATE(1847)] = 63281,
  [SMALL_STATE(1848)] = 63315,
  [SMALL_STATE(1849)] = 63349,
  [SMALL_STATE(1850)] = 63383,
  [SMALL_STATE(1851)] = 63417,
  [SMALL_STATE(1852)] = 63451,
  [SMALL_STATE(1853)] = 63480,
  [SMALL_STATE(1854)] = 63509,
  [SMALL_STATE(1855)] = 63538,
  [SMALL_STATE(1856)] = 63567,
  [SMALL_STATE(1857)] = 63596,
  [SMALL_STATE(1858)] = 63627,
  [SMALL_STATE(1859)] = 63656,
  [SMALL_STATE(1860)] = 63685,
  [SMALL_STATE(1861)] = 63714,
  [SMALL_STATE(1862)] = 63741,
  [SMALL_STATE(1863)] = 63770,
  [SMALL_STATE(1864)] = 63799,
  [SMALL_STATE(1865)] = 63828,
  [SMALL_STATE(1866)] = 63861,
  [SMALL_STATE(1867)] = 63888,
  [SMALL_STATE(1868)] = 63917,
  [SMALL_STATE(1869)] = 63946,
  [SMALL_STATE(1870)] = 63977,
  [SMALL_STATE(1871)] = 64006,
  [SMALL_STATE(1872)] = 64035,
  [SMALL_STATE(1873)] = 64064,
  [SMALL_STATE(1874)] = 64093,
  [SMALL_STATE(1875)] = 64118,
  [SMALL_STATE(1876)] = 64147,
  [SMALL_STATE(1877)] = 64176,
  [SMALL_STATE(1878)] = 64205,
  [SMALL_STATE(1879)] = 64234,
  [SMALL_STATE(1880)] = 64263,
  [SMALL_STATE(1881)] = 64292,
  [SMALL_STATE(1882)] = 64321,
  [SMALL_STATE(1883)] = 64350,
  [SMALL_STATE(1884)] = 64379,
  [SMALL_STATE(1885)] = 64412,
  [SMALL_STATE(1886)] = 64441,
  [SMALL_STATE(1887)] = 64470,
  [SMALL_STATE(1888)] = 64499,
  [SMALL_STATE(1889)] = 64528,
  [SMALL_STATE(1890)] = 64557,
  [SMALL_STATE(1891)] = 64586,
  [SMALL_STATE(1892)] = 64615,
  [SMALL_STATE(1893)] = 64640,
  [SMALL_STATE(1894)] = 64669,
  [SMALL_STATE(1895)] = 64698,
  [SMALL_STATE(1896)] = 64727,
  [SMALL_STATE(1897)] = 64756,
  [SMALL_STATE(1898)] = 64785,
  [SMALL_STATE(1899)] = 64814,
  [SMALL_STATE(1900)] = 64843,
  [SMALL_STATE(1901)] = 64872,
  [SMALL_STATE(1902)] = 64901,
  [SMALL_STATE(1903)] = 64928,
  [SMALL_STATE(1904)] = 64957,
  [SMALL_STATE(1905)] = 64986,
  [SMALL_STATE(1906)] = 65015,
  [SMALL_STATE(1907)] = 65042,
  [SMALL_STATE(1908)] = 65071,
  [SMALL_STATE(1909)] = 65100,
  [SMALL_STATE(1910)] = 65129,
  [SMALL_STATE(1911)] = 65160,
  [SMALL_STATE(1912)] = 65189,
  [SMALL_STATE(1913)] = 65222,
  [SMALL_STATE(1914)] = 65251,
  [SMALL_STATE(1915)] = 65273,
  [SMALL_STATE(1916)] = 65297,
  [SMALL_STATE(1917)] = 65315,
  [SMALL_STATE(1918)] = 65333,
  [SMALL_STATE(1919)] = 65351,
  [SMALL_STATE(1920)] = 65381,
  [SMALL_STATE(1921)] = 65407,
  [SMALL_STATE(1922)] = 65425,
  [SMALL_STATE(1923)] = 65451,
  [SMALL_STATE(1924)] = 65469,
  [SMALL_STATE(1925)] = 65487,
  [SMALL_STATE(1926)] = 65513,
  [SMALL_STATE(1927)] = 65531,
  [SMALL_STATE(1928)] = 65557,
  [SMALL_STATE(1929)] = 65581,
  [SMALL_STATE(1930)] = 65602,
  [SMALL_STATE(1931)] = 65621,
  [SMALL_STATE(1932)] = 65642,
  [SMALL_STATE(1933)] = 65671,
  [SMALL_STATE(1934)] = 65700,
  [SMALL_STATE(1935)] = 65725,
  [SMALL_STATE(1936)] = 65754,
  [SMALL_STATE(1937)] = 65779,
  [SMALL_STATE(1938)] = 65800,
  [SMALL_STATE(1939)] = 65821,
  [SMALL_STATE(1940)] = 65842,
  [SMALL_STATE(1941)] = 65863,
  [SMALL_STATE(1942)] = 65884,
  [SMALL_STATE(1943)] = 65905,
  [SMALL_STATE(1944)] = 65934,
  [SMALL_STATE(1945)] = 65955,
  [SMALL_STATE(1946)] = 65984,
  [SMALL_STATE(1947)] = 66005,
  [SMALL_STATE(1948)] = 66026,
  [SMALL_STATE(1949)] = 66042,
  [SMALL_STATE(1950)] = 66062,
  [SMALL_STATE(1951)] = 66088,
  [SMALL_STATE(1952)] = 66104,
  [SMALL_STATE(1953)] = 66120,
  [SMALL_STATE(1954)] = 66146,
  [SMALL_STATE(1955)] = 66172,
  [SMALL_STATE(1956)] = 66198,
  [SMALL_STATE(1957)] = 66224,
  [SMALL_STATE(1958)] = 66250,
  [SMALL_STATE(1959)] = 66276,
  [SMALL_STATE(1960)] = 66302,
  [SMALL_STATE(1961)] = 66328,
  [SMALL_STATE(1962)] = 66354,
  [SMALL_STATE(1963)] = 66380,
  [SMALL_STATE(1964)] = 66404,
  [SMALL_STATE(1965)] = 66430,
  [SMALL_STATE(1966)] = 66456,
  [SMALL_STATE(1967)] = 66482,
  [SMALL_STATE(1968)] = 66508,
  [SMALL_STATE(1969)] = 66534,
  [SMALL_STATE(1970)] = 66560,
  [SMALL_STATE(1971)] = 66586,
  [SMALL_STATE(1972)] = 66612,
  [SMALL_STATE(1973)] = 66638,
  [SMALL_STATE(1974)] = 66664,
  [SMALL_STATE(1975)] = 66690,
  [SMALL_STATE(1976)] = 66716,
  [SMALL_STATE(1977)] = 66742,
  [SMALL_STATE(1978)] = 66768,
  [SMALL_STATE(1979)] = 66794,
  [SMALL_STATE(1980)] = 66820,
  [SMALL_STATE(1981)] = 66846,
  [SMALL_STATE(1982)] = 66872,
  [SMALL_STATE(1983)] = 66888,
  [SMALL_STATE(1984)] = 66914,
  [SMALL_STATE(1985)] = 66940,
  [SMALL_STATE(1986)] = 66966,
  [SMALL_STATE(1987)] = 66992,
  [SMALL_STATE(1988)] = 67016,
  [SMALL_STATE(1989)] = 67042,
  [SMALL_STATE(1990)] = 67068,
  [SMALL_STATE(1991)] = 67094,
  [SMALL_STATE(1992)] = 67120,
  [SMALL_STATE(1993)] = 67146,
  [SMALL_STATE(1994)] = 67172,
  [SMALL_STATE(1995)] = 67198,
  [SMALL_STATE(1996)] = 67224,
  [SMALL_STATE(1997)] = 67248,
  [SMALL_STATE(1998)] = 67274,
  [SMALL_STATE(1999)] = 67300,
  [SMALL_STATE(2000)] = 67326,
  [SMALL_STATE(2001)] = 67352,
  [SMALL_STATE(2002)] = 67378,
  [SMALL_STATE(2003)] = 67404,
  [SMALL_STATE(2004)] = 67428,
  [SMALL_STATE(2005)] = 67454,
  [SMALL_STATE(2006)] = 67480,
  [SMALL_STATE(2007)] = 67506,
  [SMALL_STATE(2008)] = 67532,
  [SMALL_STATE(2009)] = 67558,
  [SMALL_STATE(2010)] = 67584,
  [SMALL_STATE(2011)] = 67610,
  [SMALL_STATE(2012)] = 67636,
  [SMALL_STATE(2013)] = 67662,
  [SMALL_STATE(2014)] = 67688,
  [SMALL_STATE(2015)] = 67714,
  [SMALL_STATE(2016)] = 67740,
  [SMALL_STATE(2017)] = 67766,
  [SMALL_STATE(2018)] = 67792,
  [SMALL_STATE(2019)] = 67818,
  [SMALL_STATE(2020)] = 67844,
  [SMALL_STATE(2021)] = 67870,
  [SMALL_STATE(2022)] = 67896,
  [SMALL_STATE(2023)] = 67922,
  [SMALL_STATE(2024)] = 67948,
  [SMALL_STATE(2025)] = 67974,
  [SMALL_STATE(2026)] = 68000,
  [SMALL_STATE(2027)] = 68026,
  [SMALL_STATE(2028)] = 68052,
  [SMALL_STATE(2029)] = 68078,
  [SMALL_STATE(2030)] = 68104,
  [SMALL_STATE(2031)] = 68130,
  [SMALL_STATE(2032)] = 68156,
  [SMALL_STATE(2033)] = 68182,
  [SMALL_STATE(2034)] = 68208,
  [SMALL_STATE(2035)] = 68234,
  [SMALL_STATE(2036)] = 68260,
  [SMALL_STATE(2037)] = 68286,
  [SMALL_STATE(2038)] = 68310,
  [SMALL_STATE(2039)] = 68336,
  [SMALL_STATE(2040)] = 68362,
  [SMALL_STATE(2041)] = 68388,
  [SMALL_STATE(2042)] = 68414,
  [SMALL_STATE(2043)] = 68434,
  [SMALL_STATE(2044)] = 68460,
  [SMALL_STATE(2045)] = 68486,
  [SMALL_STATE(2046)] = 68502,
  [SMALL_STATE(2047)] = 68528,
  [SMALL_STATE(2048)] = 68554,
  [SMALL_STATE(2049)] = 68576,
  [SMALL_STATE(2050)] = 68602,
  [SMALL_STATE(2051)] = 68628,
  [SMALL_STATE(2052)] = 68644,
  [SMALL_STATE(2053)] = 68670,
  [SMALL_STATE(2054)] = 68696,
  [SMALL_STATE(2055)] = 68722,
  [SMALL_STATE(2056)] = 68738,
  [SMALL_STATE(2057)] = 68758,
  [SMALL_STATE(2058)] = 68784,
  [SMALL_STATE(2059)] = 68808,
  [SMALL_STATE(2060)] = 68834,
  [SMALL_STATE(2061)] = 68850,
  [SMALL_STATE(2062)] = 68874,
  [SMALL_STATE(2063)] = 68900,
  [SMALL_STATE(2064)] = 68926,
  [SMALL_STATE(2065)] = 68942,
  [SMALL_STATE(2066)] = 68968,
  [SMALL_STATE(2067)] = 68994,
  [SMALL_STATE(2068)] = 69012,
  [SMALL_STATE(2069)] = 69038,
  [SMALL_STATE(2070)] = 69064,
  [SMALL_STATE(2071)] = 69081,
  [SMALL_STATE(2072)] = 69096,
  [SMALL_STATE(2073)] = 69111,
  [SMALL_STATE(2074)] = 69134,
  [SMALL_STATE(2075)] = 69149,
  [SMALL_STATE(2076)] = 69172,
  [SMALL_STATE(2077)] = 69187,
  [SMALL_STATE(2078)] = 69204,
  [SMALL_STATE(2079)] = 69223,
  [SMALL_STATE(2080)] = 69238,
  [SMALL_STATE(2081)] = 69253,
  [SMALL_STATE(2082)] = 69278,
  [SMALL_STATE(2083)] = 69301,
  [SMALL_STATE(2084)] = 69318,
  [SMALL_STATE(2085)] = 69337,
  [SMALL_STATE(2086)] = 69360,
  [SMALL_STATE(2087)] = 69383,
  [SMALL_STATE(2088)] = 69398,
  [SMALL_STATE(2089)] = 69413,
  [SMALL_STATE(2090)] = 69436,
  [SMALL_STATE(2091)] = 69451,
  [SMALL_STATE(2092)] = 69468,
  [SMALL_STATE(2093)] = 69491,
  [SMALL_STATE(2094)] = 69506,
  [SMALL_STATE(2095)] = 69524,
  [SMALL_STATE(2096)] = 69542,
  [SMALL_STATE(2097)] = 69558,
  [SMALL_STATE(2098)] = 69572,
  [SMALL_STATE(2099)] = 69588,
  [SMALL_STATE(2100)] = 69604,
  [SMALL_STATE(2101)] = 69624,
  [SMALL_STATE(2102)] = 69644,
  [SMALL_STATE(2103)] = 69658,
  [SMALL_STATE(2104)] = 69678,
  [SMALL_STATE(2105)] = 69698,
  [SMALL_STATE(2106)] = 69714,
  [SMALL_STATE(2107)] = 69734,
  [SMALL_STATE(2108)] = 69748,
  [SMALL_STATE(2109)] = 69762,
  [SMALL_STATE(2110)] = 69782,
  [SMALL_STATE(2111)] = 69800,
  [SMALL_STATE(2112)] = 69820,
  [SMALL_STATE(2113)] = 69836,
  [SMALL_STATE(2114)] = 69854,
  [SMALL_STATE(2115)] = 69868,
  [SMALL_STATE(2116)] = 69886,
  [SMALL_STATE(2117)] = 69906,
  [SMALL_STATE(2118)] = 69920,
  [SMALL_STATE(2119)] = 69934,
  [SMALL_STATE(2120)] = 69954,
  [SMALL_STATE(2121)] = 69972,
  [SMALL_STATE(2122)] = 69986,
  [SMALL_STATE(2123)] = 70006,
  [SMALL_STATE(2124)] = 70020,
  [SMALL_STATE(2125)] = 70040,
  [SMALL_STATE(2126)] = 70060,
  [SMALL_STATE(2127)] = 70080,
  [SMALL_STATE(2128)] = 70100,
  [SMALL_STATE(2129)] = 70114,
  [SMALL_STATE(2130)] = 70134,
  [SMALL_STATE(2131)] = 70154,
  [SMALL_STATE(2132)] = 70168,
  [SMALL_STATE(2133)] = 70186,
  [SMALL_STATE(2134)] = 70200,
  [SMALL_STATE(2135)] = 70220,
  [SMALL_STATE(2136)] = 70238,
  [SMALL_STATE(2137)] = 70258,
  [SMALL_STATE(2138)] = 70278,
  [SMALL_STATE(2139)] = 70298,
  [SMALL_STATE(2140)] = 70312,
  [SMALL_STATE(2141)] = 70326,
  [SMALL_STATE(2142)] = 70346,
  [SMALL_STATE(2143)] = 70360,
  [SMALL_STATE(2144)] = 70380,
  [SMALL_STATE(2145)] = 70400,
  [SMALL_STATE(2146)] = 70420,
  [SMALL_STATE(2147)] = 70440,
  [SMALL_STATE(2148)] = 70454,
  [SMALL_STATE(2149)] = 70470,
  [SMALL_STATE(2150)] = 70490,
  [SMALL_STATE(2151)] = 70507,
  [SMALL_STATE(2152)] = 70526,
  [SMALL_STATE(2153)] = 70537,
  [SMALL_STATE(2154)] = 70548,
  [SMALL_STATE(2155)] = 70559,
  [SMALL_STATE(2156)] = 70570,
  [SMALL_STATE(2157)] = 70581,
  [SMALL_STATE(2158)] = 70598,
  [SMALL_STATE(2159)] = 70611,
  [SMALL_STATE(2160)] = 70622,
  [SMALL_STATE(2161)] = 70633,
  [SMALL_STATE(2162)] = 70648,
  [SMALL_STATE(2163)] = 70659,
  [SMALL_STATE(2164)] = 70672,
  [SMALL_STATE(2165)] = 70687,
  [SMALL_STATE(2166)] = 70698,
  [SMALL_STATE(2167)] = 70709,
  [SMALL_STATE(2168)] = 70720,
  [SMALL_STATE(2169)] = 70733,
  [SMALL_STATE(2170)] = 70744,
  [SMALL_STATE(2171)] = 70757,
  [SMALL_STATE(2172)] = 70776,
  [SMALL_STATE(2173)] = 70793,
  [SMALL_STATE(2174)] = 70806,
  [SMALL_STATE(2175)] = 70825,
  [SMALL_STATE(2176)] = 70838,
  [SMALL_STATE(2177)] = 70849,
  [SMALL_STATE(2178)] = 70863,
  [SMALL_STATE(2179)] = 70877,
  [SMALL_STATE(2180)] = 70893,
  [SMALL_STATE(2181)] = 70907,
  [SMALL_STATE(2182)] = 70921,
  [SMALL_STATE(2183)] = 70935,
  [SMALL_STATE(2184)] = 70949,
  [SMALL_STATE(2185)] = 70963,
  [SMALL_STATE(2186)] = 70977,
  [SMALL_STATE(2187)] = 70991,
  [SMALL_STATE(2188)] = 71005,
  [SMALL_STATE(2189)] = 71019,
  [SMALL_STATE(2190)] = 71033,
  [SMALL_STATE(2191)] = 71049,
  [SMALL_STATE(2192)] = 71063,
  [SMALL_STATE(2193)] = 71077,
  [SMALL_STATE(2194)] = 71091,
  [SMALL_STATE(2195)] = 71107,
  [SMALL_STATE(2196)] = 71121,
  [SMALL_STATE(2197)] = 71135,
  [SMALL_STATE(2198)] = 71151,
  [SMALL_STATE(2199)] = 71165,
  [SMALL_STATE(2200)] = 71181,
  [SMALL_STATE(2201)] = 71195,
  [SMALL_STATE(2202)] = 71209,
  [SMALL_STATE(2203)] = 71225,
  [SMALL_STATE(2204)] = 71239,
  [SMALL_STATE(2205)] = 71253,
  [SMALL_STATE(2206)] = 71269,
  [SMALL_STATE(2207)] = 71283,
  [SMALL_STATE(2208)] = 71297,
  [SMALL_STATE(2209)] = 71311,
  [SMALL_STATE(2210)] = 71327,
  [SMALL_STATE(2211)] = 71341,
  [SMALL_STATE(2212)] = 71357,
  [SMALL_STATE(2213)] = 71371,
  [SMALL_STATE(2214)] = 71385,
  [SMALL_STATE(2215)] = 71399,
  [SMALL_STATE(2216)] = 71413,
  [SMALL_STATE(2217)] = 71429,
  [SMALL_STATE(2218)] = 71443,
  [SMALL_STATE(2219)] = 71459,
  [SMALL_STATE(2220)] = 71473,
  [SMALL_STATE(2221)] = 71487,
  [SMALL_STATE(2222)] = 71501,
  [SMALL_STATE(2223)] = 71515,
  [SMALL_STATE(2224)] = 71529,
  [SMALL_STATE(2225)] = 71543,
  [SMALL_STATE(2226)] = 71557,
  [SMALL_STATE(2227)] = 71573,
  [SMALL_STATE(2228)] = 71589,
  [SMALL_STATE(2229)] = 71603,
  [SMALL_STATE(2230)] = 71617,
  [SMALL_STATE(2231)] = 71631,
  [SMALL_STATE(2232)] = 71645,
  [SMALL_STATE(2233)] = 71661,
  [SMALL_STATE(2234)] = 71677,
  [SMALL_STATE(2235)] = 71691,
  [SMALL_STATE(2236)] = 71705,
  [SMALL_STATE(2237)] = 71719,
  [SMALL_STATE(2238)] = 71733,
  [SMALL_STATE(2239)] = 71743,
  [SMALL_STATE(2240)] = 71759,
  [SMALL_STATE(2241)] = 71775,
  [SMALL_STATE(2242)] = 71789,
  [SMALL_STATE(2243)] = 71803,
  [SMALL_STATE(2244)] = 71819,
  [SMALL_STATE(2245)] = 71835,
  [SMALL_STATE(2246)] = 71845,
  [SMALL_STATE(2247)] = 71859,
  [SMALL_STATE(2248)] = 71873,
  [SMALL_STATE(2249)] = 71889,
  [SMALL_STATE(2250)] = 71903,
  [SMALL_STATE(2251)] = 71917,
  [SMALL_STATE(2252)] = 71931,
  [SMALL_STATE(2253)] = 71941,
  [SMALL_STATE(2254)] = 71957,
  [SMALL_STATE(2255)] = 71971,
  [SMALL_STATE(2256)] = 71987,
  [SMALL_STATE(2257)] = 72001,
  [SMALL_STATE(2258)] = 72015,
  [SMALL_STATE(2259)] = 72031,
  [SMALL_STATE(2260)] = 72047,
  [SMALL_STATE(2261)] = 72061,
  [SMALL_STATE(2262)] = 72075,
  [SMALL_STATE(2263)] = 72089,
  [SMALL_STATE(2264)] = 72105,
  [SMALL_STATE(2265)] = 72119,
  [SMALL_STATE(2266)] = 72133,
  [SMALL_STATE(2267)] = 72149,
  [SMALL_STATE(2268)] = 72165,
  [SMALL_STATE(2269)] = 72178,
  [SMALL_STATE(2270)] = 72191,
  [SMALL_STATE(2271)] = 72204,
  [SMALL_STATE(2272)] = 72217,
  [SMALL_STATE(2273)] = 72230,
  [SMALL_STATE(2274)] = 72243,
  [SMALL_STATE(2275)] = 72256,
  [SMALL_STATE(2276)] = 72269,
  [SMALL_STATE(2277)] = 72282,
  [SMALL_STATE(2278)] = 72295,
  [SMALL_STATE(2279)] = 72308,
  [SMALL_STATE(2280)] = 72321,
  [SMALL_STATE(2281)] = 72334,
  [SMALL_STATE(2282)] = 72347,
  [SMALL_STATE(2283)] = 72360,
  [SMALL_STATE(2284)] = 72373,
  [SMALL_STATE(2285)] = 72384,
  [SMALL_STATE(2286)] = 72397,
  [SMALL_STATE(2287)] = 72410,
  [SMALL_STATE(2288)] = 72423,
  [SMALL_STATE(2289)] = 72436,
  [SMALL_STATE(2290)] = 72449,
  [SMALL_STATE(2291)] = 72462,
  [SMALL_STATE(2292)] = 72475,
  [SMALL_STATE(2293)] = 72488,
  [SMALL_STATE(2294)] = 72501,
  [SMALL_STATE(2295)] = 72514,
  [SMALL_STATE(2296)] = 72527,
  [SMALL_STATE(2297)] = 72540,
  [SMALL_STATE(2298)] = 72553,
  [SMALL_STATE(2299)] = 72566,
  [SMALL_STATE(2300)] = 72579,
  [SMALL_STATE(2301)] = 72592,
  [SMALL_STATE(2302)] = 72605,
  [SMALL_STATE(2303)] = 72618,
  [SMALL_STATE(2304)] = 72631,
  [SMALL_STATE(2305)] = 72644,
  [SMALL_STATE(2306)] = 72657,
  [SMALL_STATE(2307)] = 72670,
  [SMALL_STATE(2308)] = 72683,
  [SMALL_STATE(2309)] = 72696,
  [SMALL_STATE(2310)] = 72709,
  [SMALL_STATE(2311)] = 72722,
  [SMALL_STATE(2312)] = 72735,
  [SMALL_STATE(2313)] = 72748,
  [SMALL_STATE(2314)] = 72761,
  [SMALL_STATE(2315)] = 72774,
  [SMALL_STATE(2316)] = 72787,
  [SMALL_STATE(2317)] = 72800,
  [SMALL_STATE(2318)] = 72813,
  [SMALL_STATE(2319)] = 72824,
  [SMALL_STATE(2320)] = 72837,
  [SMALL_STATE(2321)] = 72850,
  [SMALL_STATE(2322)] = 72863,
  [SMALL_STATE(2323)] = 72876,
  [SMALL_STATE(2324)] = 72889,
  [SMALL_STATE(2325)] = 72902,
  [SMALL_STATE(2326)] = 72915,
  [SMALL_STATE(2327)] = 72928,
  [SMALL_STATE(2328)] = 72941,
  [SMALL_STATE(2329)] = 72954,
  [SMALL_STATE(2330)] = 72967,
  [SMALL_STATE(2331)] = 72980,
  [SMALL_STATE(2332)] = 72993,
  [SMALL_STATE(2333)] = 73006,
  [SMALL_STATE(2334)] = 73019,
  [SMALL_STATE(2335)] = 73032,
  [SMALL_STATE(2336)] = 73045,
  [SMALL_STATE(2337)] = 73058,
  [SMALL_STATE(2338)] = 73069,
  [SMALL_STATE(2339)] = 73082,
  [SMALL_STATE(2340)] = 73095,
  [SMALL_STATE(2341)] = 73108,
  [SMALL_STATE(2342)] = 73121,
  [SMALL_STATE(2343)] = 73134,
  [SMALL_STATE(2344)] = 73147,
  [SMALL_STATE(2345)] = 73160,
  [SMALL_STATE(2346)] = 73173,
  [SMALL_STATE(2347)] = 73186,
  [SMALL_STATE(2348)] = 73199,
  [SMALL_STATE(2349)] = 73212,
  [SMALL_STATE(2350)] = 73225,
  [SMALL_STATE(2351)] = 73238,
  [SMALL_STATE(2352)] = 73251,
  [SMALL_STATE(2353)] = 73264,
  [SMALL_STATE(2354)] = 73277,
  [SMALL_STATE(2355)] = 73290,
  [SMALL_STATE(2356)] = 73299,
  [SMALL_STATE(2357)] = 73312,
  [SMALL_STATE(2358)] = 73325,
  [SMALL_STATE(2359)] = 73338,
  [SMALL_STATE(2360)] = 73351,
  [SMALL_STATE(2361)] = 73364,
  [SMALL_STATE(2362)] = 73377,
  [SMALL_STATE(2363)] = 73390,
  [SMALL_STATE(2364)] = 73403,
  [SMALL_STATE(2365)] = 73416,
  [SMALL_STATE(2366)] = 73429,
  [SMALL_STATE(2367)] = 73442,
  [SMALL_STATE(2368)] = 73455,
  [SMALL_STATE(2369)] = 73468,
  [SMALL_STATE(2370)] = 73481,
  [SMALL_STATE(2371)] = 73494,
  [SMALL_STATE(2372)] = 73507,
  [SMALL_STATE(2373)] = 73520,
  [SMALL_STATE(2374)] = 73533,
  [SMALL_STATE(2375)] = 73546,
  [SMALL_STATE(2376)] = 73559,
  [SMALL_STATE(2377)] = 73572,
  [SMALL_STATE(2378)] = 73585,
  [SMALL_STATE(2379)] = 73598,
  [SMALL_STATE(2380)] = 73611,
  [SMALL_STATE(2381)] = 73622,
  [SMALL_STATE(2382)] = 73633,
  [SMALL_STATE(2383)] = 73646,
  [SMALL_STATE(2384)] = 73657,
  [SMALL_STATE(2385)] = 73670,
  [SMALL_STATE(2386)] = 73679,
  [SMALL_STATE(2387)] = 73692,
  [SMALL_STATE(2388)] = 73705,
  [SMALL_STATE(2389)] = 73718,
  [SMALL_STATE(2390)] = 73731,
  [SMALL_STATE(2391)] = 73744,
  [SMALL_STATE(2392)] = 73753,
  [SMALL_STATE(2393)] = 73766,
  [SMALL_STATE(2394)] = 73779,
  [SMALL_STATE(2395)] = 73792,
  [SMALL_STATE(2396)] = 73805,
  [SMALL_STATE(2397)] = 73818,
  [SMALL_STATE(2398)] = 73831,
  [SMALL_STATE(2399)] = 73844,
  [SMALL_STATE(2400)] = 73857,
  [SMALL_STATE(2401)] = 73870,
  [SMALL_STATE(2402)] = 73883,
  [SMALL_STATE(2403)] = 73896,
  [SMALL_STATE(2404)] = 73905,
  [SMALL_STATE(2405)] = 73914,
  [SMALL_STATE(2406)] = 73927,
  [SMALL_STATE(2407)] = 73936,
  [SMALL_STATE(2408)] = 73949,
  [SMALL_STATE(2409)] = 73962,
  [SMALL_STATE(2410)] = 73975,
  [SMALL_STATE(2411)] = 73988,
  [SMALL_STATE(2412)] = 74001,
  [SMALL_STATE(2413)] = 74014,
  [SMALL_STATE(2414)] = 74027,
  [SMALL_STATE(2415)] = 74040,
  [SMALL_STATE(2416)] = 74049,
  [SMALL_STATE(2417)] = 74062,
  [SMALL_STATE(2418)] = 74075,
  [SMALL_STATE(2419)] = 74088,
  [SMALL_STATE(2420)] = 74101,
  [SMALL_STATE(2421)] = 74114,
  [SMALL_STATE(2422)] = 74127,
  [SMALL_STATE(2423)] = 74140,
  [SMALL_STATE(2424)] = 74153,
  [SMALL_STATE(2425)] = 74166,
  [SMALL_STATE(2426)] = 74179,
  [SMALL_STATE(2427)] = 74192,
  [SMALL_STATE(2428)] = 74205,
  [SMALL_STATE(2429)] = 74218,
  [SMALL_STATE(2430)] = 74231,
  [SMALL_STATE(2431)] = 74244,
  [SMALL_STATE(2432)] = 74257,
  [SMALL_STATE(2433)] = 74270,
  [SMALL_STATE(2434)] = 74283,
  [SMALL_STATE(2435)] = 74292,
  [SMALL_STATE(2436)] = 74305,
  [SMALL_STATE(2437)] = 74318,
  [SMALL_STATE(2438)] = 74331,
  [SMALL_STATE(2439)] = 74344,
  [SMALL_STATE(2440)] = 74357,
  [SMALL_STATE(2441)] = 74370,
  [SMALL_STATE(2442)] = 74383,
  [SMALL_STATE(2443)] = 74396,
  [SMALL_STATE(2444)] = 74409,
  [SMALL_STATE(2445)] = 74422,
  [SMALL_STATE(2446)] = 74435,
  [SMALL_STATE(2447)] = 74448,
  [SMALL_STATE(2448)] = 74461,
  [SMALL_STATE(2449)] = 74474,
  [SMALL_STATE(2450)] = 74487,
  [SMALL_STATE(2451)] = 74500,
  [SMALL_STATE(2452)] = 74509,
  [SMALL_STATE(2453)] = 74522,
  [SMALL_STATE(2454)] = 74535,
  [SMALL_STATE(2455)] = 74548,
  [SMALL_STATE(2456)] = 74561,
  [SMALL_STATE(2457)] = 74574,
  [SMALL_STATE(2458)] = 74587,
  [SMALL_STATE(2459)] = 74600,
  [SMALL_STATE(2460)] = 74613,
  [SMALL_STATE(2461)] = 74626,
  [SMALL_STATE(2462)] = 74639,
  [SMALL_STATE(2463)] = 74652,
  [SMALL_STATE(2464)] = 74661,
  [SMALL_STATE(2465)] = 74670,
  [SMALL_STATE(2466)] = 74683,
  [SMALL_STATE(2467)] = 74696,
  [SMALL_STATE(2468)] = 74709,
  [SMALL_STATE(2469)] = 74722,
  [SMALL_STATE(2470)] = 74735,
  [SMALL_STATE(2471)] = 74748,
  [SMALL_STATE(2472)] = 74761,
  [SMALL_STATE(2473)] = 74774,
  [SMALL_STATE(2474)] = 74787,
  [SMALL_STATE(2475)] = 74798,
  [SMALL_STATE(2476)] = 74811,
  [SMALL_STATE(2477)] = 74824,
  [SMALL_STATE(2478)] = 74837,
  [SMALL_STATE(2479)] = 74850,
  [SMALL_STATE(2480)] = 74863,
  [SMALL_STATE(2481)] = 74876,
  [SMALL_STATE(2482)] = 74889,
  [SMALL_STATE(2483)] = 74898,
  [SMALL_STATE(2484)] = 74908,
  [SMALL_STATE(2485)] = 74918,
  [SMALL_STATE(2486)] = 74928,
  [SMALL_STATE(2487)] = 74938,
  [SMALL_STATE(2488)] = 74948,
  [SMALL_STATE(2489)] = 74958,
  [SMALL_STATE(2490)] = 74968,
  [SMALL_STATE(2491)] = 74978,
  [SMALL_STATE(2492)] = 74986,
  [SMALL_STATE(2493)] = 74996,
  [SMALL_STATE(2494)] = 75006,
  [SMALL_STATE(2495)] = 75016,
  [SMALL_STATE(2496)] = 75024,
  [SMALL_STATE(2497)] = 75034,
  [SMALL_STATE(2498)] = 75042,
  [SMALL_STATE(2499)] = 75050,
  [SMALL_STATE(2500)] = 75060,
  [SMALL_STATE(2501)] = 75070,
  [SMALL_STATE(2502)] = 75080,
  [SMALL_STATE(2503)] = 75090,
  [SMALL_STATE(2504)] = 75098,
  [SMALL_STATE(2505)] = 75108,
  [SMALL_STATE(2506)] = 75118,
  [SMALL_STATE(2507)] = 75128,
  [SMALL_STATE(2508)] = 75138,
  [SMALL_STATE(2509)] = 75148,
  [SMALL_STATE(2510)] = 75158,
  [SMALL_STATE(2511)] = 75168,
  [SMALL_STATE(2512)] = 75178,
  [SMALL_STATE(2513)] = 75186,
  [SMALL_STATE(2514)] = 75196,
  [SMALL_STATE(2515)] = 75206,
  [SMALL_STATE(2516)] = 75216,
  [SMALL_STATE(2517)] = 75224,
  [SMALL_STATE(2518)] = 75234,
  [SMALL_STATE(2519)] = 75242,
  [SMALL_STATE(2520)] = 75252,
  [SMALL_STATE(2521)] = 75260,
  [SMALL_STATE(2522)] = 75270,
  [SMALL_STATE(2523)] = 75280,
  [SMALL_STATE(2524)] = 75290,
  [SMALL_STATE(2525)] = 75298,
  [SMALL_STATE(2526)] = 75308,
  [SMALL_STATE(2527)] = 75318,
  [SMALL_STATE(2528)] = 75326,
  [SMALL_STATE(2529)] = 75336,
  [SMALL_STATE(2530)] = 75346,
  [SMALL_STATE(2531)] = 75356,
  [SMALL_STATE(2532)] = 75366,
  [SMALL_STATE(2533)] = 75376,
  [SMALL_STATE(2534)] = 75386,
  [SMALL_STATE(2535)] = 75396,
  [SMALL_STATE(2536)] = 75406,
  [SMALL_STATE(2537)] = 75416,
  [SMALL_STATE(2538)] = 75426,
  [SMALL_STATE(2539)] = 75436,
  [SMALL_STATE(2540)] = 75446,
  [SMALL_STATE(2541)] = 75454,
  [SMALL_STATE(2542)] = 75464,
  [SMALL_STATE(2543)] = 75474,
  [SMALL_STATE(2544)] = 75482,
  [SMALL_STATE(2545)] = 75492,
  [SMALL_STATE(2546)] = 75502,
  [SMALL_STATE(2547)] = 75512,
  [SMALL_STATE(2548)] = 75522,
  [SMALL_STATE(2549)] = 75530,
  [SMALL_STATE(2550)] = 75540,
  [SMALL_STATE(2551)] = 75548,
  [SMALL_STATE(2552)] = 75558,
  [SMALL_STATE(2553)] = 75568,
  [SMALL_STATE(2554)] = 75578,
  [SMALL_STATE(2555)] = 75588,
  [SMALL_STATE(2556)] = 75598,
  [SMALL_STATE(2557)] = 75608,
  [SMALL_STATE(2558)] = 75618,
  [SMALL_STATE(2559)] = 75628,
  [SMALL_STATE(2560)] = 75638,
  [SMALL_STATE(2561)] = 75646,
  [SMALL_STATE(2562)] = 75656,
  [SMALL_STATE(2563)] = 75666,
  [SMALL_STATE(2564)] = 75676,
  [SMALL_STATE(2565)] = 75686,
  [SMALL_STATE(2566)] = 75696,
  [SMALL_STATE(2567)] = 75704,
  [SMALL_STATE(2568)] = 75714,
  [SMALL_STATE(2569)] = 75722,
  [SMALL_STATE(2570)] = 75732,
  [SMALL_STATE(2571)] = 75742,
  [SMALL_STATE(2572)] = 75752,
  [SMALL_STATE(2573)] = 75762,
  [SMALL_STATE(2574)] = 75772,
  [SMALL_STATE(2575)] = 75782,
  [SMALL_STATE(2576)] = 75792,
  [SMALL_STATE(2577)] = 75802,
  [SMALL_STATE(2578)] = 75812,
  [SMALL_STATE(2579)] = 75820,
  [SMALL_STATE(2580)] = 75830,
  [SMALL_STATE(2581)] = 75840,
  [SMALL_STATE(2582)] = 75850,
  [SMALL_STATE(2583)] = 75860,
  [SMALL_STATE(2584)] = 75867,
  [SMALL_STATE(2585)] = 75874,
  [SMALL_STATE(2586)] = 75881,
  [SMALL_STATE(2587)] = 75888,
  [SMALL_STATE(2588)] = 75895,
  [SMALL_STATE(2589)] = 75902,
  [SMALL_STATE(2590)] = 75909,
  [SMALL_STATE(2591)] = 75916,
  [SMALL_STATE(2592)] = 75923,
  [SMALL_STATE(2593)] = 75930,
  [SMALL_STATE(2594)] = 75937,
  [SMALL_STATE(2595)] = 75944,
  [SMALL_STATE(2596)] = 75951,
  [SMALL_STATE(2597)] = 75958,
  [SMALL_STATE(2598)] = 75965,
  [SMALL_STATE(2599)] = 75972,
  [SMALL_STATE(2600)] = 75979,
  [SMALL_STATE(2601)] = 75986,
  [SMALL_STATE(2602)] = 75993,
  [SMALL_STATE(2603)] = 76000,
  [SMALL_STATE(2604)] = 76007,
  [SMALL_STATE(2605)] = 76014,
  [SMALL_STATE(2606)] = 76021,
  [SMALL_STATE(2607)] = 76028,
  [SMALL_STATE(2608)] = 76035,
  [SMALL_STATE(2609)] = 76042,
  [SMALL_STATE(2610)] = 76049,
  [SMALL_STATE(2611)] = 76056,
  [SMALL_STATE(2612)] = 76063,
  [SMALL_STATE(2613)] = 76070,
  [SMALL_STATE(2614)] = 76077,
  [SMALL_STATE(2615)] = 76084,
  [SMALL_STATE(2616)] = 76091,
  [SMALL_STATE(2617)] = 76098,
  [SMALL_STATE(2618)] = 76105,
  [SMALL_STATE(2619)] = 76112,
  [SMALL_STATE(2620)] = 76119,
  [SMALL_STATE(2621)] = 76126,
  [SMALL_STATE(2622)] = 76133,
  [SMALL_STATE(2623)] = 76140,
  [SMALL_STATE(2624)] = 76147,
  [SMALL_STATE(2625)] = 76154,
  [SMALL_STATE(2626)] = 76161,
  [SMALL_STATE(2627)] = 76168,
  [SMALL_STATE(2628)] = 76175,
  [SMALL_STATE(2629)] = 76182,
  [SMALL_STATE(2630)] = 76189,
  [SMALL_STATE(2631)] = 76196,
  [SMALL_STATE(2632)] = 76203,
  [SMALL_STATE(2633)] = 76210,
  [SMALL_STATE(2634)] = 76217,
  [SMALL_STATE(2635)] = 76224,
  [SMALL_STATE(2636)] = 76231,
  [SMALL_STATE(2637)] = 76238,
  [SMALL_STATE(2638)] = 76245,
  [SMALL_STATE(2639)] = 76252,
  [SMALL_STATE(2640)] = 76259,
  [SMALL_STATE(2641)] = 76266,
  [SMALL_STATE(2642)] = 76273,
  [SMALL_STATE(2643)] = 76280,
  [SMALL_STATE(2644)] = 76287,
  [SMALL_STATE(2645)] = 76294,
  [SMALL_STATE(2646)] = 76301,
  [SMALL_STATE(2647)] = 76308,
  [SMALL_STATE(2648)] = 76315,
  [SMALL_STATE(2649)] = 76322,
  [SMALL_STATE(2650)] = 76329,
  [SMALL_STATE(2651)] = 76336,
  [SMALL_STATE(2652)] = 76343,
  [SMALL_STATE(2653)] = 76350,
  [SMALL_STATE(2654)] = 76357,
  [SMALL_STATE(2655)] = 76364,
  [SMALL_STATE(2656)] = 76371,
  [SMALL_STATE(2657)] = 76378,
  [SMALL_STATE(2658)] = 76385,
  [SMALL_STATE(2659)] = 76392,
  [SMALL_STATE(2660)] = 76399,
  [SMALL_STATE(2661)] = 76406,
  [SMALL_STATE(2662)] = 76413,
  [SMALL_STATE(2663)] = 76420,
  [SMALL_STATE(2664)] = 76427,
  [SMALL_STATE(2665)] = 76434,
  [SMALL_STATE(2666)] = 76441,
  [SMALL_STATE(2667)] = 76448,
  [SMALL_STATE(2668)] = 76455,
  [SMALL_STATE(2669)] = 76462,
  [SMALL_STATE(2670)] = 76469,
  [SMALL_STATE(2671)] = 76476,
  [SMALL_STATE(2672)] = 76483,
  [SMALL_STATE(2673)] = 76490,
  [SMALL_STATE(2674)] = 76497,
  [SMALL_STATE(2675)] = 76504,
  [SMALL_STATE(2676)] = 76511,
  [SMALL_STATE(2677)] = 76518,
  [SMALL_STATE(2678)] = 76525,
  [SMALL_STATE(2679)] = 76532,
  [SMALL_STATE(2680)] = 76539,
  [SMALL_STATE(2681)] = 76546,
  [SMALL_STATE(2682)] = 76553,
  [SMALL_STATE(2683)] = 76560,
  [SMALL_STATE(2684)] = 76567,
  [SMALL_STATE(2685)] = 76574,
  [SMALL_STATE(2686)] = 76581,
  [SMALL_STATE(2687)] = 76588,
  [SMALL_STATE(2688)] = 76595,
  [SMALL_STATE(2689)] = 76602,
  [SMALL_STATE(2690)] = 76609,
  [SMALL_STATE(2691)] = 76616,
  [SMALL_STATE(2692)] = 76623,
  [SMALL_STATE(2693)] = 76630,
  [SMALL_STATE(2694)] = 76637,
  [SMALL_STATE(2695)] = 76644,
  [SMALL_STATE(2696)] = 76651,
  [SMALL_STATE(2697)] = 76658,
  [SMALL_STATE(2698)] = 76665,
  [SMALL_STATE(2699)] = 76672,
  [SMALL_STATE(2700)] = 76679,
  [SMALL_STATE(2701)] = 76686,
  [SMALL_STATE(2702)] = 76693,
  [SMALL_STATE(2703)] = 76700,
  [SMALL_STATE(2704)] = 76707,
  [SMALL_STATE(2705)] = 76714,
  [SMALL_STATE(2706)] = 76721,
  [SMALL_STATE(2707)] = 76728,
  [SMALL_STATE(2708)] = 76735,
  [SMALL_STATE(2709)] = 76742,
  [SMALL_STATE(2710)] = 76749,
  [SMALL_STATE(2711)] = 76756,
  [SMALL_STATE(2712)] = 76763,
  [SMALL_STATE(2713)] = 76770,
  [SMALL_STATE(2714)] = 76777,
  [SMALL_STATE(2715)] = 76784,
  [SMALL_STATE(2716)] = 76791,
  [SMALL_STATE(2717)] = 76798,
  [SMALL_STATE(2718)] = 76805,
  [SMALL_STATE(2719)] = 76812,
  [SMALL_STATE(2720)] = 76819,
  [SMALL_STATE(2721)] = 76826,
  [SMALL_STATE(2722)] = 76833,
  [SMALL_STATE(2723)] = 76840,
  [SMALL_STATE(2724)] = 76847,
  [SMALL_STATE(2725)] = 76854,
  [SMALL_STATE(2726)] = 76861,
  [SMALL_STATE(2727)] = 76868,
  [SMALL_STATE(2728)] = 76875,
  [SMALL_STATE(2729)] = 76882,
  [SMALL_STATE(2730)] = 76889,
  [SMALL_STATE(2731)] = 76896,
  [SMALL_STATE(2732)] = 76903,
  [SMALL_STATE(2733)] = 76910,
  [SMALL_STATE(2734)] = 76917,
  [SMALL_STATE(2735)] = 76924,
  [SMALL_STATE(2736)] = 76931,
  [SMALL_STATE(2737)] = 76938,
  [SMALL_STATE(2738)] = 76945,
  [SMALL_STATE(2739)] = 76952,
  [SMALL_STATE(2740)] = 76959,
  [SMALL_STATE(2741)] = 76966,
  [SMALL_STATE(2742)] = 76973,
  [SMALL_STATE(2743)] = 76980,
  [SMALL_STATE(2744)] = 76987,
  [SMALL_STATE(2745)] = 76994,
  [SMALL_STATE(2746)] = 77001,
  [SMALL_STATE(2747)] = 77008,
  [SMALL_STATE(2748)] = 77015,
  [SMALL_STATE(2749)] = 77022,
  [SMALL_STATE(2750)] = 77029,
  [SMALL_STATE(2751)] = 77036,
  [SMALL_STATE(2752)] = 77043,
  [SMALL_STATE(2753)] = 77050,
  [SMALL_STATE(2754)] = 77057,
  [SMALL_STATE(2755)] = 77064,
  [SMALL_STATE(2756)] = 77071,
  [SMALL_STATE(2757)] = 77078,
  [SMALL_STATE(2758)] = 77085,
  [SMALL_STATE(2759)] = 77092,
  [SMALL_STATE(2760)] = 77099,
  [SMALL_STATE(2761)] = 77106,
  [SMALL_STATE(2762)] = 77113,
  [SMALL_STATE(2763)] = 77120,
  [SMALL_STATE(2764)] = 77127,
  [SMALL_STATE(2765)] = 77134,
  [SMALL_STATE(2766)] = 77141,
  [SMALL_STATE(2767)] = 77148,
  [SMALL_STATE(2768)] = 77155,
  [SMALL_STATE(2769)] = 77162,
  [SMALL_STATE(2770)] = 77169,
  [SMALL_STATE(2771)] = 77176,
  [SMALL_STATE(2772)] = 77183,
  [SMALL_STATE(2773)] = 77190,
  [SMALL_STATE(2774)] = 77197,
  [SMALL_STATE(2775)] = 77204,
  [SMALL_STATE(2776)] = 77211,
  [SMALL_STATE(2777)] = 77218,
  [SMALL_STATE(2778)] = 77225,
  [SMALL_STATE(2779)] = 77232,
  [SMALL_STATE(2780)] = 77239,
  [SMALL_STATE(2781)] = 77246,
  [SMALL_STATE(2782)] = 77253,
  [SMALL_STATE(2783)] = 77260,
  [SMALL_STATE(2784)] = 77267,
  [SMALL_STATE(2785)] = 77274,
  [SMALL_STATE(2786)] = 77281,
  [SMALL_STATE(2787)] = 77288,
  [SMALL_STATE(2788)] = 77295,
  [SMALL_STATE(2789)] = 77302,
  [SMALL_STATE(2790)] = 77309,
  [SMALL_STATE(2791)] = 77316,
  [SMALL_STATE(2792)] = 77323,
  [SMALL_STATE(2793)] = 77330,
  [SMALL_STATE(2794)] = 77337,
  [SMALL_STATE(2795)] = 77344,
  [SMALL_STATE(2796)] = 77351,
  [SMALL_STATE(2797)] = 77358,
  [SMALL_STATE(2798)] = 77365,
  [SMALL_STATE(2799)] = 77372,
  [SMALL_STATE(2800)] = 77379,
  [SMALL_STATE(2801)] = 77386,
  [SMALL_STATE(2802)] = 77393,
  [SMALL_STATE(2803)] = 77400,
  [SMALL_STATE(2804)] = 77407,
  [SMALL_STATE(2805)] = 77414,
  [SMALL_STATE(2806)] = 77421,
  [SMALL_STATE(2807)] = 77428,
  [SMALL_STATE(2808)] = 77435,
  [SMALL_STATE(2809)] = 77442,
  [SMALL_STATE(2810)] = 77449,
  [SMALL_STATE(2811)] = 77456,
  [SMALL_STATE(2812)] = 77463,
  [SMALL_STATE(2813)] = 77470,
  [SMALL_STATE(2814)] = 77477,
  [SMALL_STATE(2815)] = 77484,
  [SMALL_STATE(2816)] = 77491,
  [SMALL_STATE(2817)] = 77498,
  [SMALL_STATE(2818)] = 77505,
  [SMALL_STATE(2819)] = 77512,
  [SMALL_STATE(2820)] = 77519,
  [SMALL_STATE(2821)] = 77526,
  [SMALL_STATE(2822)] = 77533,
  [SMALL_STATE(2823)] = 77540,
  [SMALL_STATE(2824)] = 77547,
  [SMALL_STATE(2825)] = 77554,
  [SMALL_STATE(2826)] = 77561,
  [SMALL_STATE(2827)] = 77568,
  [SMALL_STATE(2828)] = 77575,
  [SMALL_STATE(2829)] = 77582,
  [SMALL_STATE(2830)] = 77589,
  [SMALL_STATE(2831)] = 77596,
  [SMALL_STATE(2832)] = 77603,
  [SMALL_STATE(2833)] = 77610,
  [SMALL_STATE(2834)] = 77617,
  [SMALL_STATE(2835)] = 77624,
  [SMALL_STATE(2836)] = 77631,
  [SMALL_STATE(2837)] = 77638,
  [SMALL_STATE(2838)] = 77645,
  [SMALL_STATE(2839)] = 77652,
  [SMALL_STATE(2840)] = 77659,
  [SMALL_STATE(2841)] = 77666,
  [SMALL_STATE(2842)] = 77673,
  [SMALL_STATE(2843)] = 77680,
  [SMALL_STATE(2844)] = 77687,
  [SMALL_STATE(2845)] = 77694,
  [SMALL_STATE(2846)] = 77701,
  [SMALL_STATE(2847)] = 77708,
  [SMALL_STATE(2848)] = 77715,
  [SMALL_STATE(2849)] = 77722,
  [SMALL_STATE(2850)] = 77729,
  [SMALL_STATE(2851)] = 77736,
  [SMALL_STATE(2852)] = 77743,
  [SMALL_STATE(2853)] = 77750,
  [SMALL_STATE(2854)] = 77757,
  [SMALL_STATE(2855)] = 77764,
  [SMALL_STATE(2856)] = 77771,
  [SMALL_STATE(2857)] = 77778,
  [SMALL_STATE(2858)] = 77785,
  [SMALL_STATE(2859)] = 77792,
  [SMALL_STATE(2860)] = 77799,
  [SMALL_STATE(2861)] = 77806,
  [SMALL_STATE(2862)] = 77813,
  [SMALL_STATE(2863)] = 77820,
  [SMALL_STATE(2864)] = 77827,
  [SMALL_STATE(2865)] = 77834,
  [SMALL_STATE(2866)] = 77841,
  [SMALL_STATE(2867)] = 77848,
  [SMALL_STATE(2868)] = 77855,
  [SMALL_STATE(2869)] = 77862,
  [SMALL_STATE(2870)] = 77869,
  [SMALL_STATE(2871)] = 77876,
  [SMALL_STATE(2872)] = 77883,
  [SMALL_STATE(2873)] = 77890,
  [SMALL_STATE(2874)] = 77897,
  [SMALL_STATE(2875)] = 77904,
  [SMALL_STATE(2876)] = 77911,
  [SMALL_STATE(2877)] = 77918,
  [SMALL_STATE(2878)] = 77925,
  [SMALL_STATE(2879)] = 77932,
  [SMALL_STATE(2880)] = 77939,
  [SMALL_STATE(2881)] = 77946,
  [SMALL_STATE(2882)] = 77953,
  [SMALL_STATE(2883)] = 77960,
  [SMALL_STATE(2884)] = 77967,
  [SMALL_STATE(2885)] = 77974,
  [SMALL_STATE(2886)] = 77981,
  [SMALL_STATE(2887)] = 77988,
  [SMALL_STATE(2888)] = 77995,
  [SMALL_STATE(2889)] = 78002,
  [SMALL_STATE(2890)] = 78009,
  [SMALL_STATE(2891)] = 78016,
  [SMALL_STATE(2892)] = 78023,
  [SMALL_STATE(2893)] = 78030,
  [SMALL_STATE(2894)] = 78037,
  [SMALL_STATE(2895)] = 78044,
  [SMALL_STATE(2896)] = 78051,
  [SMALL_STATE(2897)] = 78058,
  [SMALL_STATE(2898)] = 78065,
  [SMALL_STATE(2899)] = 78072,
  [SMALL_STATE(2900)] = 78079,
  [SMALL_STATE(2901)] = 78086,
  [SMALL_STATE(2902)] = 78093,
  [SMALL_STATE(2903)] = 78100,
  [SMALL_STATE(2904)] = 78107,
  [SMALL_STATE(2905)] = 78114,
  [SMALL_STATE(2906)] = 78121,
  [SMALL_STATE(2907)] = 78128,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_translation_unit, .child_count = 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(745),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1940),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2850),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1646),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2653),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2343),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1032),
  [25] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1029),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(698),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(865),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(724),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1415),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1524),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1365),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2888),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2564),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2860),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1395),
  [47] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1295),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1207),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1178),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1259),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2278),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2081),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2171),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2551),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2546),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1015),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2823),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2536),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(650),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2763),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(898),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2762),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2758),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2757),
  [85] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(965),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2588),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2627),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2626),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2098),
  [97] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [99] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2318),
  [101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2226),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1575),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1123),
  [107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(862),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2577),
  [111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(735),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1937),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2635),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1678),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(502),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2636),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(37),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1625),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2624),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2411),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(699),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(857),
  [135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(720),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1416),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1475),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1368),
  [145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2531),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2535),
  [151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1018),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2889),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2534),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(657),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2877),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(874),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2768),
  [165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2769),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2645),
  [169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2523),
  [171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2795),
  [173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1115),
  [177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(599),
  [179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(180),
  [181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(514),
  [183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(591),
  [185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(496),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(282),
  [189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(161),
  [191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(509),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(296),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(738),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1944),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2737),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1669),
  [203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_elif, .child_count = 4, .production_id = 38),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2688),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2287),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(700),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(866),
  [213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(727),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1414),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1502),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1371),
  [223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2538),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2485),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(988),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2819),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2529),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(683),
  [237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2886),
  [239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(883),
  [241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2890),
  [243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2891),
  [245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2696),
  [247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2488),
  [249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2903),
  [251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_elifdef, .child_count = 3, .production_id = 16),
  [253] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_elif, .child_count = 3, .production_id = 38),
  [255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_elifdef, .child_count = 2, .production_id = 16),
  [257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(289),
  [259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(601),
  [261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(548),
  [263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(260),
  [265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(507),
  [267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(518),
  [269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(175),
  [271] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(735),
  [274] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(1937),
  [277] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2635),
  [280] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(1678),
  [283] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2),
  [285] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2636),
  [288] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2411),
  [291] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(707),
  [294] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(1032),
  [297] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(1032),
  [300] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(1029),
  [303] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(699),
  [306] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(857),
  [309] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(109),
  [312] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(720),
  [315] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(1416),
  [318] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(1475),
  [321] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(1368),
  [324] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2888),
  [327] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2564),
  [330] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2860),
  [333] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(1395),
  [336] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(35),
  [339] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(1295),
  [342] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(1207),
  [345] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(1178),
  [348] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(1259),
  [351] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2278),
  [354] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2081),
  [357] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2171),
  [360] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2531),
  [363] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2535),
  [366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(1018),
  [369] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2889),
  [372] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2534),
  [375] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(657),
  [378] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2877),
  [381] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(874),
  [384] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2768),
  [387] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2769),
  [390] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2645),
  [393] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2523),
  [396] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2795),
  [399] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(987),
  [402] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(965),
  [405] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2588),
  [408] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2627),
  [411] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2626),
  [414] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2098),
  [417] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(1115),
  [420] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2318),
  [423] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2226),
  [426] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(1115),
  [429] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(1123),
  [432] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(862),
  [435] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2577),
  [438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(190),
  [440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(569),
  [442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(590),
  [444] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(738),
  [447] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(1944),
  [450] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2737),
  [453] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(1669),
  [456] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2688),
  [459] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2287),
  [462] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(700),
  [465] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(866),
  [468] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(247),
  [471] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(727),
  [474] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(1414),
  [477] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(1502),
  [480] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(1371),
  [483] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(31),
  [486] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2538),
  [489] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2485),
  [492] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(988),
  [495] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2819),
  [498] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2529),
  [501] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(683),
  [504] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2886),
  [507] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(883),
  [510] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2890),
  [513] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2891),
  [516] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2696),
  [519] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2488),
  [522] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2903),
  [525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(734),
  [527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1947),
  [529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2652),
  [531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1676),
  [533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2651),
  [535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2279),
  [537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(697),
  [539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(867),
  [541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(719),
  [545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1419),
  [547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1533),
  [549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1364),
  [551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2581),
  [557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2532),
  [559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1047),
  [561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2585),
  [563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2579),
  [565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(689),
  [567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2793),
  [569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(881),
  [571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2746),
  [573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2591),
  [575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2643),
  [577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2569),
  [579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2605),
  [581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(737),
  [599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1931),
  [601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2776),
  [603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1644),
  [605] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_else, .child_count = 1),
  [607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2738),
  [609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2370),
  [611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(701),
  [613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(864),
  [615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(723),
  [619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1421),
  [621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1516),
  [623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1366),
  [625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2484),
  [629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2499),
  [631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(918),
  [633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2701),
  [635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2486),
  [637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(670),
  [639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2893),
  [641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(887),
  [643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2818),
  [645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2817),
  [647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2744),
  [649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2500),
  [651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2778),
  [653] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(734),
  [656] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(1947),
  [659] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2652),
  [662] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(1676),
  [665] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2651),
  [668] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2279),
  [671] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(697),
  [674] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(867),
  [677] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(375),
  [680] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(719),
  [683] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(1419),
  [686] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(1533),
  [689] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(1364),
  [692] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(28),
  [695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2),
  [697] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2581),
  [700] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2532),
  [703] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(1047),
  [706] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2585),
  [709] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2579),
  [712] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(689),
  [715] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2793),
  [718] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(881),
  [721] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2746),
  [724] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2591),
  [727] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2643),
  [730] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2569),
  [733] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2605),
  [736] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(737),
  [739] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(1931),
  [742] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2776),
  [745] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(1644),
  [748] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2738),
  [751] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2370),
  [754] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(701),
  [757] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(864),
  [760] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(374),
  [763] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(723),
  [766] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(1421),
  [769] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(1516),
  [772] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(1366),
  [775] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(45),
  [778] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2484),
  [781] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2499),
  [784] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(918),
  [787] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2701),
  [790] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2486),
  [793] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(670),
  [796] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2893),
  [799] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(887),
  [802] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2818),
  [805] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2817),
  [808] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2744),
  [811] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2500),
  [814] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_repeat1, .child_count = 2), SHIFT_REPEAT(2778),
  [817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [833] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_else, .child_count = 2),
  [835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_translation_unit, .child_count = 1),
  [843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2),
  [845] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(745),
  [848] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(1940),
  [851] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(2850),
  [854] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(1646),
  [857] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(2653),
  [860] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(2343),
  [863] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(707),
  [866] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(1032),
  [869] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(1032),
  [872] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(1029),
  [875] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(698),
  [878] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(865),
  [881] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(724),
  [884] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(1415),
  [887] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(1524),
  [890] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(1365),
  [893] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(2888),
  [896] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(2564),
  [899] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(2860),
  [902] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(1395),
  [905] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(51),
  [908] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(1295),
  [911] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(1207),
  [914] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(1178),
  [917] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(1259),
  [920] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(2278),
  [923] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(2081),
  [926] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(2171),
  [929] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(2551),
  [932] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(2546),
  [935] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(1015),
  [938] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(2823),
  [941] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(2536),
  [944] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(650),
  [947] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(2763),
  [950] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(898),
  [953] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(2762),
  [956] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(2758),
  [959] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(2757),
  [962] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(987),
  [965] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(965),
  [968] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(2588),
  [971] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(2627),
  [974] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(2626),
  [977] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(2098),
  [980] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(1575),
  [983] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(2318),
  [986] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(2226),
  [989] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(1575),
  [992] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(1123),
  [995] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(862),
  [998] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_translation_unit_repeat1, .child_count = 2), SHIFT_REPEAT(2577),
  [1001] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(743),
  [1004] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2),
  [1006] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(707),
  [1009] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(1032),
  [1012] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(1032),
  [1015] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(1029),
  [1018] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(720),
  [1021] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(857),
  [1024] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(109),
  [1027] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(1416),
  [1030] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(1475),
  [1033] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(1207),
  [1036] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2888),
  [1039] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2564),
  [1042] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2860),
  [1045] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(35),
  [1048] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(1295),
  [1051] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(1178),
  [1054] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(1259),
  [1057] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2278),
  [1060] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2081),
  [1063] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2171),
  [1066] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2531),
  [1069] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2535),
  [1072] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2534),
  [1075] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(657),
  [1078] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2877),
  [1081] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(874),
  [1084] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2768),
  [1087] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2769),
  [1090] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2645),
  [1093] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2523),
  [1096] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2795),
  [1099] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(987),
  [1102] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(965),
  [1105] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2588),
  [1108] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2627),
  [1111] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2626),
  [1114] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2098),
  [1117] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(1115),
  [1120] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2318),
  [1123] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2226),
  [1126] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(1115),
  [1129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(1123),
  [1132] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(862),
  [1135] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2577),
  [1138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(743),
  [1140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_case_statement, .child_count = 4, .production_id = 8),
  [1142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_case_statement, .child_count = 3),
  [1144] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_case_statement, .child_count = 3, .production_id = 8),
  [1146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_case_statement, .child_count = 2),
  [1148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(742),
  [1150] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(742),
  [1153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(727),
  [1156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(866),
  [1159] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(247),
  [1162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(1414),
  [1165] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(1502),
  [1168] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(31),
  [1171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2538),
  [1174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2485),
  [1177] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2529),
  [1180] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(683),
  [1183] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2886),
  [1186] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(883),
  [1189] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2890),
  [1192] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2891),
  [1195] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2696),
  [1198] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2488),
  [1201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2903),
  [1204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(740),
  [1206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_case_statement, .child_count = 4, .production_id = 8),
  [1208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(741),
  [1210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [1212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2549),
  [1214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2609),
  [1216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_case_statement, .child_count = 3),
  [1218] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(740),
  [1221] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(719),
  [1224] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(867),
  [1227] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(375),
  [1230] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(1419),
  [1233] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(1533),
  [1236] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(28),
  [1239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2),
  [1241] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2581),
  [1244] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2532),
  [1247] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2579),
  [1250] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(689),
  [1253] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2793),
  [1256] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(881),
  [1259] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2746),
  [1262] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2591),
  [1265] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2643),
  [1268] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2569),
  [1271] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2605),
  [1274] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(736),
  [1277] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(723),
  [1280] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(864),
  [1283] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(374),
  [1286] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(1421),
  [1289] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(1516),
  [1292] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(45),
  [1295] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2484),
  [1298] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2499),
  [1301] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2486),
  [1304] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(670),
  [1307] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2893),
  [1310] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(887),
  [1313] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2818),
  [1316] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2817),
  [1319] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2744),
  [1322] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2500),
  [1325] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2778),
  [1328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(736),
  [1330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_case_statement, .child_count = 3, .production_id = 8),
  [1332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_case_statement, .child_count = 2),
  [1334] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(741),
  [1337] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(724),
  [1340] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(865),
  [1343] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(445),
  [1346] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(1415),
  [1349] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(1524),
  [1352] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(51),
  [1355] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2551),
  [1358] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2546),
  [1361] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2536),
  [1364] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(650),
  [1367] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2763),
  [1370] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(898),
  [1373] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2762),
  [1376] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2758),
  [1379] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2757),
  [1382] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2549),
  [1385] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2609),
  [1388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(739),
  [1390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2506),
  [1392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2513),
  [1394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2826),
  [1396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2528),
  [1398] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(739),
  [1401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2506),
  [1404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2513),
  [1407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2826),
  [1410] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_case_statement_repeat1, .child_count = 2), SHIFT_REPEAT(2528),
  [1413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(746),
  [1415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(722),
  [1417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(861),
  [1419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [1421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2530),
  [1423] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_if_statement, .child_count = 3, .production_id = 26),
  [1425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_if_statement, .child_count = 3, .production_id = 26),
  [1427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(656),
  [1429] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_declaration, .child_count = 3),
  [1431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_declaration, .child_count = 3),
  [1433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_while_statement, .child_count = 3, .production_id = 27),
  [1435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_while_statement, .child_count = 3, .production_id = 27),
  [1437] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_return_statement, .child_count = 3),
  [1439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_return_statement, .child_count = 3),
  [1441] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_goto_statement, .child_count = 3, .production_id = 28),
  [1443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_goto_statement, .child_count = 3, .production_id = 28),
  [1445] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_labeled_statement, .child_count = 3, .production_id = 30),
  [1447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_labeled_statement, .child_count = 3, .production_id = 30),
  [1449] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_declaration, .child_count = 3, .production_id = 34),
  [1451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_declaration, .child_count = 3, .production_id = 34),
  [1453] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_type_definition, .child_count = 4, .production_id = 46),
  [1455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_type_definition, .child_count = 4, .production_id = 46),
  [1457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_seh_try_statement, .child_count = 3, .production_id = 7),
  [1459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_seh_try_statement, .child_count = 3, .production_id = 7),
  [1461] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_if_statement, .child_count = 4, .production_id = 54),
  [1463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_if_statement, .child_count = 4, .production_id = 54),
  [1465] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_declaration, .child_count = 4),
  [1467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_declaration, .child_count = 4),
  [1469] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_declaration, .child_count = 4, .production_id = 61),
  [1471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_declaration, .child_count = 4, .production_id = 61),
  [1473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_compound_statement, .child_count = 2),
  [1475] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_compound_statement, .child_count = 2),
  [1477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_declaration, .child_count = 4, .production_id = 63),
  [1479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_declaration, .child_count = 4, .production_id = 63),
  [1481] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_declaration, .child_count = 4, .production_id = 67),
  [1483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_declaration, .child_count = 4, .production_id = 67),
  [1485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_expression_statement, .child_count = 1),
  [1487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_expression_statement, .child_count = 1),
  [1489] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_type_definition, .child_count = 5, .production_id = 77),
  [1491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_type_definition, .child_count = 5, .production_id = 77),
  [1493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_switch_statement, .child_count = 3, .production_id = 27),
  [1495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_switch_statement, .child_count = 3, .production_id = 27),
  [1497] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_type_definition, .child_count = 5, .production_id = 46),
  [1499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_type_definition, .child_count = 5, .production_id = 46),
  [1501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_seh_finally_clause, .child_count = 2, .production_id = 7),
  [1503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_seh_finally_clause, .child_count = 2, .production_id = 7),
  [1505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_else_clause, .child_count = 2),
  [1507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_else_clause, .child_count = 2),
  [1509] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_do_statement, .child_count = 5, .production_id = 82),
  [1511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_do_statement, .child_count = 5, .production_id = 82),
  [1513] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_for_statement, .child_count = 5, .production_id = 86),
  [1515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_for_statement, .child_count = 5, .production_id = 86),
  [1517] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_compound_statement, .child_count = 3),
  [1519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_compound_statement, .child_count = 3),
  [1521] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_expression_statement, .child_count = 2),
  [1523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_expression_statement, .child_count = 2),
  [1525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_seh_leave_statement, .child_count = 2),
  [1527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_seh_leave_statement, .child_count = 2),
  [1529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_attributed_statement, .child_count = 2),
  [1531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_attributed_statement, .child_count = 2),
  [1533] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_declaration, .child_count = 5, .production_id = 91),
  [1535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_declaration, .child_count = 5, .production_id = 91),
  [1537] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_declaration, .child_count = 5, .production_id = 92),
  [1539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_declaration, .child_count = 5, .production_id = 92),
  [1541] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_declaration, .child_count = 5),
  [1543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_declaration, .child_count = 5),
  [1545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_declaration, .child_count = 5, .production_id = 96),
  [1547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_declaration, .child_count = 5, .production_id = 96),
  [1549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_declaration, .child_count = 5, .production_id = 97),
  [1551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_declaration, .child_count = 5, .production_id = 97),
  [1553] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_continue_statement, .child_count = 2),
  [1555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_continue_statement, .child_count = 2),
  [1557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_type_definition, .child_count = 6, .production_id = 77),
  [1559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_type_definition, .child_count = 6, .production_id = 77),
  [1561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_seh_except_clause, .child_count = 3, .production_id = 103),
  [1563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_seh_except_clause, .child_count = 3, .production_id = 103),
  [1565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_break_statement, .child_count = 2),
  [1567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_break_statement, .child_count = 2),
  [1569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_return_statement, .child_count = 2),
  [1571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_return_statement, .child_count = 2),
  [1573] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_declaration, .child_count = 6, .production_id = 114),
  [1575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_declaration, .child_count = 6, .production_id = 114),
  [1577] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_declaration, .child_count = 6, .production_id = 117),
  [1579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_declaration, .child_count = 6, .production_id = 117),
  [1581] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_declaration, .child_count = 6, .production_id = 118),
  [1583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_declaration, .child_count = 6, .production_id = 118),
  [1585] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_declaration, .child_count = 7, .production_id = 128),
  [1587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_declaration, .child_count = 7, .production_id = 128),
  [1589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(654),
  [1591] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_call, .child_count = 2, .production_id = 3),
  [1593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_call, .child_count = 2, .production_id = 3),
  [1595] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__empty_declaration, .child_count = 2),
  [1597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__empty_declaration, .child_count = 2),
  [1599] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_include, .child_count = 3, .production_id = 15),
  [1601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_include, .child_count = 3, .production_id = 15),
  [1603] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_def, .child_count = 3, .production_id = 16),
  [1605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_def, .child_count = 3, .production_id = 16),
  [1607] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_ifdef, .child_count = 3, .production_id = 16),
  [1609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_ifdef, .child_count = 3, .production_id = 16),
  [1611] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_call, .child_count = 3, .production_id = 17),
  [1613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_call, .child_count = 3, .production_id = 17),
  [1615] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_linkage_specification, .child_count = 3, .production_id = 22),
  [1617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_linkage_specification, .child_count = 3, .production_id = 22),
  [1619] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_function_definition, .child_count = 3, .production_id = 32),
  [1621] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_function_definition, .child_count = 3, .production_id = 32),
  [1623] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_def, .child_count = 4, .production_id = 36),
  [1625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_def, .child_count = 4, .production_id = 36),
  [1627] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_function_def, .child_count = 4, .production_id = 37),
  [1629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_function_def, .child_count = 4, .production_id = 37),
  [1631] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_function_definition, .child_count = 10, .production_id = 142),
  [1633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_function_definition, .child_count = 10, .production_id = 142),
  [1635] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_function_definition, .child_count = 9, .production_id = 138),
  [1637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_function_definition, .child_count = 9, .production_id = 138),
  [1639] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_function_definition, .child_count = 9, .production_id = 137),
  [1641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_function_definition, .child_count = 9, .production_id = 137),
  [1643] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_function_definition, .child_count = 8, .production_id = 130),
  [1645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_function_definition, .child_count = 8, .production_id = 130),
  [1647] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_function_definition, .child_count = 8, .production_id = 129),
  [1649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_function_definition, .child_count = 8, .production_id = 129),
  [1651] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_if, .child_count = 4, .production_id = 38),
  [1653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_if, .child_count = 4, .production_id = 38),
  [1655] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_function_definition, .child_count = 7, .production_id = 122),
  [1657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_function_definition, .child_count = 7, .production_id = 122),
  [1659] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_function_definition, .child_count = 7, .production_id = 121),
  [1661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_function_definition, .child_count = 7, .production_id = 121),
  [1663] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_ifdef, .child_count = 4, .production_id = 39),
  [1665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_ifdef, .child_count = 4, .production_id = 39),
  [1667] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_ifdef, .child_count = 4, .production_id = 16),
  [1669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_ifdef, .child_count = 4, .production_id = 16),
  [1671] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_function_definition, .child_count = 4, .production_id = 45),
  [1673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_function_definition, .child_count = 4, .production_id = 45),
  [1675] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_declaration_list, .child_count = 2),
  [1677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_declaration_list, .child_count = 2),
  [1679] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_function_definition, .child_count = 4, .production_id = 60),
  [1681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_function_definition, .child_count = 4, .production_id = 60),
  [1683] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_function_definition, .child_count = 6, .production_id = 102),
  [1685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_function_definition, .child_count = 6, .production_id = 102),
  [1687] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_function_def, .child_count = 5, .production_id = 68),
  [1689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_function_def, .child_count = 5, .production_id = 68),
  [1691] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_function_definition, .child_count = 6, .production_id = 101),
  [1693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_function_definition, .child_count = 6, .production_id = 101),
  [1695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_if, .child_count = 6, .production_id = 98),
  [1697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_if, .child_count = 6, .production_id = 98),
  [1699] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_if, .child_count = 5, .production_id = 69),
  [1701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_if, .child_count = 5, .production_id = 69),
  [1703] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_if, .child_count = 5, .production_id = 38),
  [1705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_if, .child_count = 5, .production_id = 38),
  [1707] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_ifdef, .child_count = 5, .production_id = 70),
  [1709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_ifdef, .child_count = 5, .production_id = 70),
  [1711] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_extension, .child_count = 5, .production_id = 71),
  [1713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_extension, .child_count = 5, .production_id = 71),
  [1715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_function_definition, .child_count = 5, .production_id = 75),
  [1717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_function_definition, .child_count = 5, .production_id = 75),
  [1719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_function_definition, .child_count = 5, .production_id = 76),
  [1721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_function_definition, .child_count = 5, .production_id = 76),
  [1723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_declaration_list, .child_count = 3),
  [1725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_declaration_list, .child_count = 3),
  [1727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(684),
  [1729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(677),
  [1731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(667),
  [1733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__top_level_expression_statement, .child_count = 2),
  [1735] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__top_level_expression_statement, .child_count = 2),
  [1737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(679),
  [1739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1243),
  [1741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2784),
  [1743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1675),
  [1745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(832),
  [1747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2586),
  [1749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(639),
  [1751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1684),
  [1753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2798),
  [1755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2501),
  [1757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(725),
  [1759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(788),
  [1761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(770),
  [1763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(759),
  [1765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(799),
  [1767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(752),
  [1769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(816),
  [1771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(796),
  [1773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2785),
  [1775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1683),
  [1777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(783),
  [1779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2663),
  [1781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2582),
  [1783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(726),
  [1785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(784),
  [1787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(765),
  [1789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(808),
  [1791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(797),
  [1793] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_elifdef_in_field_declaration_list, .child_count = 2, .production_id = 16),
  [1795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(795),
  [1797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(806),
  [1799] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(1243),
  [1802] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(2784),
  [1805] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(1675),
  [1808] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2),
  [1810] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(2586),
  [1813] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(2501),
  [1816] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(725),
  [1819] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(1178),
  [1822] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(1207),
  [1825] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(2888),
  [1828] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(2530),
  [1831] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(2860),
  [1834] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(1295),
  [1837] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(1259),
  [1840] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(2278),
  [1843] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(2081),
  [1846] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(2171),
  [1849] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(862),
  [1852] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(2577),
  [1855] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_elif_in_field_declaration_list, .child_count = 4, .production_id = 38),
  [1857] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_elif_in_field_declaration_list, .child_count = 3, .production_id = 38),
  [1859] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_elifdef_in_field_declaration_list, .child_count = 3, .production_id = 16),
  [1861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(758),
  [1863] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(2785),
  [1866] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(1683),
  [1869] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(2663),
  [1872] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(2582),
  [1875] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(726),
  [1878] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(2687),
  [1881] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(1637),
  [1884] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(2655),
  [1887] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(2521),
  [1890] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(721),
  [1893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2),
  [1895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2687),
  [1897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1637),
  [1899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2655),
  [1901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2521),
  [1903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(721),
  [1905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [1907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [1909] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(2786),
  [1912] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(1682),
  [1915] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(2713),
  [1918] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(2545),
  [1921] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_field_declaration_list_repeat1, .child_count = 2), SHIFT_REPEAT(728),
  [1924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2786),
  [1926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1682),
  [1928] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_else_in_field_declaration_list, .child_count = 2),
  [1930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2713),
  [1932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2545),
  [1934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(728),
  [1936] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_else_in_field_declaration_list, .child_count = 1),
  [1938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1332),
  [1940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [1942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1353),
  [1944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [1946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1346),
  [1948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [1950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1352),
  [1952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [1954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1355),
  [1956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [1958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1075),
  [1960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_sizeof_expression, .child_count = 4, .production_id = 56),
  [1962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(963),
  [1964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [1966] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_sizeof_expression, .child_count = 4, .production_id = 56),
  [1968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [1970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(973),
  [1972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1014),
  [1974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [1976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1005),
  [1978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1400),
  [1980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2568),
  [1982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [1984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [1986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [1988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(868),
  [1990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2559),
  [1992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(840),
  [1994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2576),
  [1996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1177),
  [1998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2542),
  [2000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1179),
  [2002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1182),
  [2004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(977),
  [2006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2765),
  [2008] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(1179),
  [2011] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(707),
  [2014] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(1032),
  [2017] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(1032),
  [2020] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(1029),
  [2023] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(109),
  [2026] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2542),
  [2029] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(35),
  [2032] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2531),
  [2035] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2535),
  [2038] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(1018),
  [2041] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2889),
  [2044] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2534),
  [2047] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(657),
  [2050] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2877),
  [2053] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(874),
  [2056] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2768),
  [2059] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2769),
  [2062] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2645),
  [2065] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2523),
  [2068] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2795),
  [2071] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(987),
  [2074] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(965),
  [2077] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2588),
  [2080] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2627),
  [2083] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2626),
  [2086] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2098),
  [2089] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(1115),
  [2092] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2318),
  [2095] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2226),
  [2098] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(1115),
  [2101] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(1123),
  [2104] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(1181),
  [2107] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(247),
  [2110] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(31),
  [2113] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2538),
  [2116] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2485),
  [2119] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(988),
  [2122] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2819),
  [2125] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2529),
  [2128] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(683),
  [2131] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2886),
  [2134] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(883),
  [2137] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2890),
  [2140] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2891),
  [2143] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2696),
  [2146] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2488),
  [2149] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2903),
  [2152] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(1177),
  [2155] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(375),
  [2158] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(28),
  [2161] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2581),
  [2164] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2532),
  [2167] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(1047),
  [2170] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2585),
  [2173] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2579),
  [2176] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(689),
  [2179] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2793),
  [2182] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(881),
  [2185] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2746),
  [2188] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2591),
  [2191] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2643),
  [2194] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2569),
  [2197] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2605),
  [2200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1181),
  [2202] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(1182),
  [2205] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(51),
  [2208] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2506),
  [2211] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2546),
  [2214] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(977),
  [2217] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2765),
  [2220] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2513),
  [2223] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(650),
  [2226] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2826),
  [2229] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(898),
  [2232] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2762),
  [2235] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2758),
  [2238] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2757),
  [2241] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2528),
  [2244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1191),
  [2246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1186),
  [2248] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(1186),
  [2251] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(445),
  [2254] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2551),
  [2257] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(1015),
  [2260] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2823),
  [2263] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2536),
  [2266] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2763),
  [2269] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2549),
  [2272] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2609),
  [2275] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(1191),
  [2278] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(374),
  [2281] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(45),
  [2284] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2484),
  [2287] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2499),
  [2290] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(918),
  [2293] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2701),
  [2296] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2486),
  [2299] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(670),
  [2302] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2893),
  [2305] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(887),
  [2308] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2818),
  [2311] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2817),
  [2314] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2744),
  [2317] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2500),
  [2320] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT(2778),
  [2323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(926),
  [2325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [2327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [2329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1010),
  [2331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2796),
  [2333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2904),
  [2335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2907),
  [2337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2112),
  [2339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [2341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2474),
  [2343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2253),
  [2345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1322),
  [2347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1297),
  [2349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(928),
  [2351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [2353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(956),
  [2355] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_declaration_repeat1, .child_count = 1), SHIFT(1243),
  [2358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2197),
  [2360] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = aux_sym_declaration_repeat1, .child_count = 1),
  [2362] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_declaration_repeat1, .child_count = 1), SHIFT(1178),
  [2365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_declaration_repeat1, .child_count = 1), SHIFT(1207),
  [2368] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_declaration_repeat1, .child_count = 1), SHIFT(2888),
  [2371] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_declaration_repeat1, .child_count = 1), SHIFT(2530),
  [2374] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_declaration_repeat1, .child_count = 1), SHIFT(2860),
  [2377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_declaration_repeat1, .child_count = 1), SHIFT(1295),
  [2380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_declaration_repeat1, .child_count = 1), SHIFT(1259),
  [2383] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_declaration_repeat1, .child_count = 1), SHIFT(2278),
  [2386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_declaration_repeat1, .child_count = 1), SHIFT(2081),
  [2389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_declaration_repeat1, .child_count = 1), SHIFT(2171),
  [2392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2209),
  [2394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2232),
  [2396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2266),
  [2398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2267),
  [2400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1071),
  [2402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1589),
  [2404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2270),
  [2406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [2408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [2410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1356),
  [2412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(839),
  [2414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1362),
  [2416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1345),
  [2418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1348),
  [2420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1342),
  [2422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1350),
  [2424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_attribute_declaration, .child_count = 4),
  [2426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_attribute_declaration, .child_count = 4),
  [2428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(974),
  [2430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [2432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(992),
  [2434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_attribute_declaration, .child_count = 3),
  [2436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_attribute_declaration, .child_count = 3),
  [2438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1143),
  [2440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(949),
  [2442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [2444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(991),
  [2446] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__type_specifier, .child_count = 1, .production_id = 1),
  [2448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__expression_not_binary, .child_count = 1),
  [2450] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym__type_specifier, .child_count = 1, .production_id = 1), REDUCE(.symbol = sym__expression_not_binary, .child_count = 1), SHIFT(1527),
  [2454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__expression_not_binary, .child_count = 1),
  [2456] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym__type_specifier, .child_count = 1, .production_id = 1), REDUCE(.symbol = sym__expression_not_binary, .child_count = 1),
  [2459] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__type_specifier, .child_count = 1, .production_id = 1), REDUCE(.symbol = sym__expression_not_binary, .child_count = 1),
  [2462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__type_specifier, .child_count = 1, .production_id = 1),
  [2464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [2466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1269),
  [2468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1056),
  [2470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [2472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1056),
  [2474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [2476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [2478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [2480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [2482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [2484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1199),
  [2486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(922),
  [2488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [2490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(958),
  [2492] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym__declaration_modifiers, .child_count = 1), REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 1),
  [2495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 1),
  [2497] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 1),
  [2499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__declaration_modifiers, .child_count = 1),
  [2501] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__declaration_modifiers, .child_count = 1), REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 1),
  [2504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_if_in_field_declaration_list, .child_count = 6, .production_id = 98),
  [2506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_if_in_field_declaration_list, .child_count = 6, .production_id = 98),
  [2508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_field_declaration, .child_count = 4, .production_id = 72),
  [2510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_field_declaration, .child_count = 4, .production_id = 72),
  [2512] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_ifdef_in_field_declaration_list, .child_count = 3, .production_id = 16),
  [2514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_ifdef_in_field_declaration_list, .child_count = 3, .production_id = 16),
  [2516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_field_declaration, .child_count = 3, .production_id = 40),
  [2518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_field_declaration, .child_count = 3, .production_id = 40),
  [2520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_field_declaration, .child_count = 3, .production_id = 80),
  [2522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_field_declaration, .child_count = 3, .production_id = 80),
  [2524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_field_declaration, .child_count = 3, .production_id = 72),
  [2526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_field_declaration, .child_count = 3, .production_id = 72),
  [2528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_if_in_field_declaration_list, .child_count = 5, .production_id = 38),
  [2530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_if_in_field_declaration_list, .child_count = 5, .production_id = 38),
  [2532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_ifdef_in_field_declaration_list, .child_count = 4, .production_id = 16),
  [2534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_ifdef_in_field_declaration_list, .child_count = 4, .production_id = 16),
  [2536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_ifdef_in_field_declaration_list, .child_count = 5, .production_id = 70),
  [2538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_ifdef_in_field_declaration_list, .child_count = 5, .production_id = 70),
  [2540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_field_declaration, .child_count = 5, .production_id = 46),
  [2542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_field_declaration, .child_count = 5, .production_id = 46),
  [2544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_field_declaration, .child_count = 2, .production_id = 40),
  [2546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_field_declaration, .child_count = 2, .production_id = 40),
  [2548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_field_declaration, .child_count = 4, .production_id = 46),
  [2550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_field_declaration, .child_count = 4, .production_id = 46),
  [2552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_if_in_field_declaration_list, .child_count = 4, .production_id = 38),
  [2554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_if_in_field_declaration_list, .child_count = 4, .production_id = 38),
  [2556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_ifdef_in_field_declaration_list, .child_count = 4, .production_id = 39),
  [2558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_ifdef_in_field_declaration_list, .child_count = 4, .production_id = 39),
  [2560] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_field_declaration, .child_count = 4, .production_id = 80),
  [2562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_field_declaration, .child_count = 4, .production_id = 80),
  [2564] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_if_in_field_declaration_list, .child_count = 5, .production_id = 69),
  [2566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_if_in_field_declaration_list, .child_count = 5, .production_id = 69),
  [2568] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_string_literal, .child_count = 3),
  [2570] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_string_literal, .child_count = 3),
  [2572] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_string_literal, .child_count = 2),
  [2574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_string_literal, .child_count = 2),
  [2576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [2578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [2580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [2582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1184),
  [2584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2153),
  [2586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [2588] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = aux_sym_declaration_repeat1, .child_count = 2),
  [2590] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_declaration_repeat1, .child_count = 2), SHIFT_REPEAT(839),
  [2593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_declaration_repeat1, .child_count = 2),
  [2595] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_declaration_repeat1, .child_count = 2), SHIFT_REPEAT(862),
  [2598] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_declaration_repeat1, .child_count = 2), SHIFT_REPEAT(2577),
  [2601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [2603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2169),
  [2605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [2607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2165),
  [2609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [2611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2162),
  [2613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [2615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1926),
  [2617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [2619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2064),
  [2621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [2623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1921),
  [2625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [2627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2093),
  [2629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [2631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2045),
  [2633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [2635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2076),
  [2637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1190),
  [2639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2812),
  [2641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [2643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [2645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2811),
  [2647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2705),
  [2649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [2651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [2653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [2655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [2657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [2659] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_declaration_repeat1, .child_count = 1), SHIFT(2770),
  [2662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_declaration_repeat1, .child_count = 1),
  [2664] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_layout_qualifiers, .child_count = 3),
  [2666] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_layout_qualifiers, .child_count = 3),
  [2668] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_layout_specification, .child_count = 2),
  [2670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_layout_specification, .child_count = 2),
  [2672] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_declaration_repeat1, .child_count = 1), SHIFT(2902),
  [2675] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_extension_storage_class, .child_count = 1),
  [2677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_extension_storage_class, .child_count = 1),
  [2679] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_layout_qualifiers, .child_count = 4),
  [2681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_layout_qualifiers, .child_count = 4),
  [2683] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_declaration_repeat1, .child_count = 1), SHIFT(2695),
  [2686] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_declaration_repeat1, .child_count = 1), SHIFT(2600),
  [2689] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_declaration_repeat1, .child_count = 1), SHIFT(2780),
  [2692] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_declaration_repeat1, .child_count = 1), SHIFT(2608),
  [2695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1103),
  [2697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [2699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1033),
  [2701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [2703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(919),
  [2705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1038),
  [2707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [2709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [2711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [2713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [2715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [2717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__for_statement_body, .child_count = 2),
  [2719] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__for_statement_body, .child_count = 3, .production_id = 85),
  [2721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [2723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1146),
  [2725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [2727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [2729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [2731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [2733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [2735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__for_statement_body, .child_count = 2, .production_id = 55),
  [2737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [2739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [2741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(877),
  [2743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [2745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [2747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [2749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [2751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__for_statement_body, .child_count = 3, .production_id = 38),
  [2753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1147),
  [2755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [2757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [2759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [2761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [2763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [2765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [2767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__for_statement_body, .child_count = 4, .production_id = 108),
  [2769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [2771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1129),
  [2773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [2775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [2777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [2779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [2781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [2783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__for_statement_body, .child_count = 3, .production_id = 55),
  [2785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [2787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2154),
  [2789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [2791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2079),
  [2793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2156),
  [2795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2159),
  [2797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2160),
  [2799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [2801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1924),
  [2803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2074),
  [2805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [2807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [2809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [2811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [2813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [2815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [2817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [2819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [2821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [2823] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_concatenated_string_repeat1, .child_count = 2), SHIFT_REPEAT(1072),
  [2826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_concatenated_string_repeat1, .child_count = 2),
  [2828] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = aux_sym_concatenated_string_repeat1, .child_count = 2),
  [2830] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_concatenated_string_repeat1, .child_count = 2), SHIFT_REPEAT(2226),
  [2833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1074),
  [2835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_concatenated_string, .child_count = 2),
  [2837] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_concatenated_string, .child_count = 2),
  [2839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1072),
  [2841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_concatenated_string, .child_count = 3),
  [2843] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_concatenated_string, .child_count = 3),
  [2845] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_gnu_asm_expression, .child_count = 7, .production_id = 127),
  [2847] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_gnu_asm_expression, .child_count = 7, .production_id = 127),
  [2849] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_gnu_asm_expression, .child_count = 9, .production_id = 141),
  [2851] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_gnu_asm_expression, .child_count = 9, .production_id = 141),
  [2853] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_gnu_asm_expression, .child_count = 6, .production_id = 112),
  [2855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_gnu_asm_expression, .child_count = 6, .production_id = 112),
  [2857] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_gnu_asm_expression, .child_count = 6, .production_id = 111),
  [2859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_gnu_asm_expression, .child_count = 6, .production_id = 111),
  [2861] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_gnu_asm_expression, .child_count = 4, .production_id = 57),
  [2863] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_gnu_asm_expression, .child_count = 4, .production_id = 57),
  [2865] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_gnu_asm_expression, .child_count = 5, .production_id = 88),
  [2867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_gnu_asm_expression, .child_count = 5, .production_id = 88),
  [2869] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_gnu_asm_expression, .child_count = 5, .production_id = 89),
  [2871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_gnu_asm_expression, .child_count = 5, .production_id = 89),
  [2873] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_gnu_asm_expression, .child_count = 8, .production_id = 135),
  [2875] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_gnu_asm_expression, .child_count = 8, .production_id = 135),
  [2877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_gnu_asm_expression, .child_count = 7, .production_id = 126),
  [2879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_gnu_asm_expression, .child_count = 7, .production_id = 126),
  [2881] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_gnu_asm_expression, .child_count = 8, .production_id = 134),
  [2883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_gnu_asm_expression, .child_count = 8, .production_id = 134),
  [2885] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = aux_sym_parameter_declaration_repeat1, .child_count = 2),
  [2887] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_parameter_declaration_repeat1, .child_count = 2), SHIFT_REPEAT(1103),
  [2890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_parameter_declaration_repeat1, .child_count = 2),
  [2892] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_parameter_declaration_repeat1, .child_count = 2), SHIFT_REPEAT(2576),
  [2895] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_parenthesized_expression, .child_count = 3),
  [2897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_parenthesized_expression, .child_count = 3),
  [2899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1073),
  [2901] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__string, .child_count = 1),
  [2903] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__string, .child_count = 1),
  [2905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = aux_sym__declaration_specifiers_repeat1, .child_count = 2),
  [2907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym__declaration_specifiers_repeat1, .child_count = 2),
  [2909] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym__declaration_specifiers_repeat1, .child_count = 2), SHIFT_REPEAT(1178),
  [2912] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym__declaration_specifiers_repeat1, .child_count = 2), SHIFT_REPEAT(1207),
  [2915] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym__declaration_specifiers_repeat1, .child_count = 2), SHIFT_REPEAT(2888),
  [2918] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym__declaration_specifiers_repeat1, .child_count = 2), SHIFT_REPEAT(2530),
  [2921] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym__declaration_specifiers_repeat1, .child_count = 2), SHIFT_REPEAT(2860),
  [2924] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_initializer_list, .child_count = 4),
  [2926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_initializer_list, .child_count = 4),
  [2928] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_char_literal, .child_count = 3),
  [2930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_char_literal, .child_count = 3),
  [2932] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_offsetof_expression, .child_count = 6, .production_id = 109),
  [2934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_offsetof_expression, .child_count = 6, .production_id = 109),
  [2936] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_compound_literal_expression, .child_count = 4, .production_id = 43),
  [2938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_compound_literal_expression, .child_count = 4, .production_id = 43),
  [2940] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__expression, .child_count = 1),
  [2942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__expression, .child_count = 1),
  [2944] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_subscript_expression, .child_count = 4, .production_id = 65),
  [2946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_subscript_expression, .child_count = 4, .production_id = 65),
  [2948] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_initializer_list, .child_count = 5),
  [2950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_initializer_list, .child_count = 5),
  [2952] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_generic_expression, .child_count = 9),
  [2954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_generic_expression, .child_count = 9),
  [2956] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_alignof_expression, .child_count = 4, .production_id = 56),
  [2958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_alignof_expression, .child_count = 4, .production_id = 56),
  [2960] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_field_expression, .child_count = 3, .production_id = 35),
  [2962] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_field_expression, .child_count = 3, .production_id = 35),
  [2964] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_initializer_list, .child_count = 2),
  [2966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_initializer_list, .child_count = 2),
  [2968] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_update_expression, .child_count = 2, .production_id = 11),
  [2970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_update_expression, .child_count = 2, .production_id = 11),
  [2972] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_null, .child_count = 1),
  [2974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_null, .child_count = 1),
  [2976] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_initializer_list, .child_count = 3),
  [2978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_initializer_list, .child_count = 3),
  [2980] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_call_expression, .child_count = 2, .production_id = 12),
  [2982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_call_expression, .child_count = 2, .production_id = 12),
  [2984] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_generic_expression, .child_count = 8),
  [2986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_generic_expression, .child_count = 8),
  [2988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1037),
  [2990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [2992] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_sizeof_expression, .child_count = 2, .production_id = 8),
  [2994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_sizeof_expression, .child_count = 2, .production_id = 8),
  [2996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [2998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [3000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [3002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2618),
  [3004] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_update_expression, .child_count = 2, .production_id = 4),
  [3006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_update_expression, .child_count = 2, .production_id = 4),
  [3008] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_argument_list, .child_count = 2),
  [3010] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_argument_list, .child_count = 2),
  [3012] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_cast_expression, .child_count = 4, .production_id = 43),
  [3014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_cast_expression, .child_count = 4, .production_id = 43),
  [3016] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_binary_expression, .child_count = 3, .production_id = 29),
  [3018] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_binary_expression, .child_count = 3, .production_id = 29),
  [3020] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_argument_list, .child_count = 4),
  [3022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_argument_list, .child_count = 4),
  [3024] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_unary_expression, .child_count = 2, .production_id = 4),
  [3026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_unary_expression, .child_count = 2, .production_id = 4),
  [3028] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_pointer_expression, .child_count = 2, .production_id = 4),
  [3030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_pointer_expression, .child_count = 2, .production_id = 4),
  [3032] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_argument_list, .child_count = 5),
  [3034] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_argument_list, .child_count = 5),
  [3036] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_argument_list, .child_count = 3),
  [3038] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_argument_list, .child_count = 3),
  [3040] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_attribute_specifier, .child_count = 4),
  [3042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_attribute_specifier, .child_count = 4),
  [3044] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1144),
  [3046] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_concatenated_string_repeat1, .child_count = 2), SHIFT_REPEAT(1144),
  [3049] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_concatenated_string_repeat1, .child_count = 2), SHIFT_REPEAT(2253),
  [3052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1142),
  [3054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(979),
  [3056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [3058] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = aux_sym__type_definition_type_repeat1, .child_count = 2),
  [3060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym__type_definition_type_repeat1, .child_count = 2),
  [3062] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym__type_definition_type_repeat1, .child_count = 2), SHIFT_REPEAT(1184),
  [3065] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_type_qualifier, .child_count = 1),
  [3067] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_type_qualifier, .child_count = 1),
  [3069] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_ms_declspec_modifier, .child_count = 4),
  [3071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_ms_declspec_modifier, .child_count = 4),
  [3073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_struct_specifier, .child_count = 4, .production_id = 52),
  [3075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_struct_specifier, .child_count = 4, .production_id = 52),
  [3077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_struct_specifier, .child_count = 3, .production_id = 24),
  [3079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_struct_specifier, .child_count = 3, .production_id = 24),
  [3081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_union_specifier, .child_count = 3, .production_id = 24),
  [3083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_union_specifier, .child_count = 3, .production_id = 24),
  [3085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_union_specifier, .child_count = 2, .production_id = 6),
  [3087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_union_specifier, .child_count = 2, .production_id = 6),
  [3089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_struct_specifier, .child_count = 2, .production_id = 6),
  [3091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_struct_specifier, .child_count = 2, .production_id = 6),
  [3093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [3095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_conditional_expression, .child_count = 5, .production_id = 95),
  [3097] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_conditional_expression, .child_count = 5, .production_id = 95),
  [3099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(985),
  [3101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(943),
  [3103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [3105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [3107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(970),
  [3109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(955),
  [3111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(954),
  [3113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(953),
  [3115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(947),
  [3117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [3119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(944),
  [3121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [3123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_assignment_expression, .child_count = 3, .production_id = 29),
  [3125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_assignment_expression, .child_count = 3, .production_id = 29),
  [3127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_conditional_expression, .child_count = 4, .production_id = 66),
  [3129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_conditional_expression, .child_count = 4, .production_id = 66),
  [3131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1062),
  [3133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [3135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_storage_class_specifier, .child_count = 1),
  [3137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_storage_class_specifier, .child_count = 1),
  [3139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(959),
  [3141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(950),
  [3143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [3145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [3147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(942),
  [3149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(939),
  [3151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(934),
  [3153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [3155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(932),
  [3157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [3159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(927),
  [3161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [3163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__declaration_specifiers, .child_count = 2, .production_id = 13),
  [3165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__declaration_specifiers, .child_count = 2, .production_id = 13),
  [3167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_union_specifier, .child_count = 3, .production_id = 25),
  [3169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_union_specifier, .child_count = 3, .production_id = 25),
  [3171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__declaration_specifiers, .child_count = 3, .production_id = 13),
  [3173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__declaration_specifiers, .child_count = 3, .production_id = 13),
  [3175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_struct_specifier, .child_count = 3, .production_id = 25),
  [3177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_struct_specifier, .child_count = 3, .production_id = 25),
  [3179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__declaration_specifiers, .child_count = 1, .production_id = 2),
  [3181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__declaration_specifiers, .child_count = 1, .production_id = 2),
  [3183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = aux_sym_sized_type_specifier_repeat1, .child_count = 2),
  [3185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_sized_type_specifier_repeat1, .child_count = 2),
  [3187] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_sized_type_specifier_repeat1, .child_count = 2), SHIFT_REPEAT(1220),
  [3190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_struct_specifier, .child_count = 4, .production_id = 51),
  [3192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_struct_specifier, .child_count = 4, .production_id = 51),
  [3194] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_struct_specifier, .child_count = 5, .production_id = 81),
  [3196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_struct_specifier, .child_count = 5, .production_id = 81),
  [3198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_struct_specifier, .child_count = 2, .production_id = 7),
  [3200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_struct_specifier, .child_count = 2, .production_id = 7),
  [3202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_union_specifier, .child_count = 2, .production_id = 7),
  [3204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_union_specifier, .child_count = 2, .production_id = 7),
  [3206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__declaration_specifiers, .child_count = 2, .production_id = 2),
  [3208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__declaration_specifiers, .child_count = 2, .production_id = 2),
  [3210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_union_specifier, .child_count = 3, .production_id = 23),
  [3212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_union_specifier, .child_count = 3, .production_id = 23),
  [3214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_struct_specifier, .child_count = 3, .production_id = 23),
  [3216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_struct_specifier, .child_count = 3, .production_id = 23),
  [3218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_struct_specifier, .child_count = 4, .production_id = 53),
  [3220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_struct_specifier, .child_count = 4, .production_id = 53),
  [3222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_union_specifier, .child_count = 4, .production_id = 51),
  [3224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_union_specifier, .child_count = 4, .production_id = 51),
  [3226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [3228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(971),
  [3230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(968),
  [3232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [3234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [3236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2617),
  [3238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1042),
  [3240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [3242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(976),
  [3244] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__type_specifier, .child_count = 1, .production_id = 1), SHIFT(1527),
  [3247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [3249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(960),
  [3251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(931),
  [3253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(937),
  [3255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [3257] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_sized_type_specifier, .child_count = 2), REDUCE(.symbol = aux_sym_sized_type_specifier_repeat1, .child_count = 2),
  [3260] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_sized_type_specifier, .child_count = 2), REDUCE(.symbol = aux_sym_sized_type_specifier_repeat1, .child_count = 2),
  [3263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_union_specifier, .child_count = 4, .production_id = 25),
  [3265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_union_specifier, .child_count = 4, .production_id = 25),
  [3267] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_struct_specifier, .child_count = 5, .production_id = 53),
  [3269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_struct_specifier, .child_count = 5, .production_id = 53),
  [3271] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_union_specifier, .child_count = 4, .production_id = 24),
  [3273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_union_specifier, .child_count = 4, .production_id = 24),
  [3275] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_union_specifier, .child_count = 4, .production_id = 23),
  [3277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_union_specifier, .child_count = 4, .production_id = 23),
  [3279] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_struct_specifier, .child_count = 6, .production_id = 81),
  [3281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_struct_specifier, .child_count = 6, .production_id = 81),
  [3283] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_struct_specifier, .child_count = 4, .production_id = 25),
  [3285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_struct_specifier, .child_count = 4, .production_id = 25),
  [3287] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_macro_type_specifier, .child_count = 4, .dynamic_precedence = -1, .production_id = 58),
  [3289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_macro_type_specifier, .child_count = 4, .dynamic_precedence = -1, .production_id = 58),
  [3291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_struct_specifier, .child_count = 3, .production_id = 7),
  [3293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_struct_specifier, .child_count = 3, .production_id = 7),
  [3295] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_sized_type_specifier, .child_count = 2, .dynamic_precedence = -1, .production_id = 14),
  [3297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_sized_type_specifier, .child_count = 2, .dynamic_precedence = -1, .production_id = 14),
  [3299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1258),
  [3301] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_union_specifier, .child_count = 5, .production_id = 51),
  [3303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_union_specifier, .child_count = 5, .production_id = 51),
  [3305] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_enum_specifier, .child_count = 6, .production_id = 79),
  [3307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_enum_specifier, .child_count = 6, .production_id = 79),
  [3309] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_sized_type_specifier, .child_count = 3, .dynamic_precedence = -1, .production_id = 14),
  [3311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_sized_type_specifier, .child_count = 3, .dynamic_precedence = -1, .production_id = 14),
  [3313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1220),
  [3315] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__type_specifier, .child_count = 1),
  [3317] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__type_specifier, .child_count = 1),
  [3319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1282),
  [3321] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_enumerator_list, .child_count = 3),
  [3323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_enumerator_list, .child_count = 3),
  [3325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [3327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [3329] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_struct_specifier, .child_count = 5, .production_id = 51),
  [3331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_struct_specifier, .child_count = 5, .production_id = 51),
  [3333] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_sized_type_specifier, .child_count = 2, .dynamic_precedence = -1, .production_id = 9),
  [3335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_sized_type_specifier, .child_count = 2, .dynamic_precedence = -1, .production_id = 9),
  [3337] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_field_declaration_list, .child_count = 2),
  [3339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_field_declaration_list, .child_count = 2),
  [3341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_union_specifier, .child_count = 3, .production_id = 6),
  [3343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_union_specifier, .child_count = 3, .production_id = 6),
  [3345] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_enum_specifier, .child_count = 4, .production_id = 23),
  [3347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_enum_specifier, .child_count = 4, .production_id = 23),
  [3349] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_struct_specifier, .child_count = 5, .production_id = 52),
  [3351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_struct_specifier, .child_count = 5, .production_id = 52),
  [3353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_union_specifier, .child_count = 3, .production_id = 7),
  [3355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_union_specifier, .child_count = 3, .production_id = 7),
  [3357] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_enum_specifier, .child_count = 3, .production_id = 6),
  [3359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_enum_specifier, .child_count = 3, .production_id = 6),
  [3361] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_enum_specifier, .child_count = 5, .production_id = 49),
  [3363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_enum_specifier, .child_count = 5, .production_id = 49),
  [3365] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_sized_type_specifier, .child_count = 2, .production_id = 2),
  [3367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_sized_type_specifier, .child_count = 2, .production_id = 2),
  [3369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_enum_specifier, .child_count = 3, .production_id = 7),
  [3371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_enum_specifier, .child_count = 3, .production_id = 7),
  [3373] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_sized_type_specifier, .child_count = 2, .production_id = 13),
  [3375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_sized_type_specifier, .child_count = 2, .production_id = 13),
  [3377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1292),
  [3379] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_struct_specifier, .child_count = 4, .production_id = 24),
  [3381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_struct_specifier, .child_count = 4, .production_id = 24),
  [3383] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_struct_specifier, .child_count = 4, .production_id = 23),
  [3385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_struct_specifier, .child_count = 4, .production_id = 23),
  [3387] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_struct_specifier, .child_count = 3, .production_id = 6),
  [3389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_struct_specifier, .child_count = 3, .production_id = 6),
  [3391] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_sized_type_specifier, .child_count = 3, .production_id = 13),
  [3393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_sized_type_specifier, .child_count = 3, .production_id = 13),
  [3395] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_enumerator_list, .child_count = 2),
  [3397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_enumerator_list, .child_count = 2),
  [3399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_field_declaration_list, .child_count = 3),
  [3401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_field_declaration_list, .child_count = 3),
  [3403] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_sized_type_specifier, .child_count = 1), SHIFT(1255),
  [3406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_sized_type_specifier, .child_count = 1),
  [3408] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_sized_type_specifier, .child_count = 1),
  [3410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1245),
  [3412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1285),
  [3414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_enumerator_list, .child_count = 4),
  [3416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_enumerator_list, .child_count = 4),
  [3418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [3420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_enum_specifier, .child_count = 2, .production_id = 6),
  [3422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_enum_specifier, .child_count = 2, .production_id = 6),
  [3424] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_enum_specifier, .child_count = 2, .production_id = 6), SHIFT(2888),
  [3427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1837),
  [3429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2623),
  [3431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [3433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [3435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [3437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [3439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1917),
  [3441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_abstract_pointer_declarator, .child_count = 2, .dynamic_precedence = 1),
  [3443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1573),
  [3445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1568),
  [3447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [3449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1066),
  [3451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(984),
  [3453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [3455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1034),
  [3457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1017),
  [3459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(923),
  [3461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [3463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1044),
  [3465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [3467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1041),
  [3469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2618),
  [3471] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_enum_specifier, .child_count = 4, .production_id = 49),
  [3473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_enum_specifier, .child_count = 4, .production_id = 49),
  [3475] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_enum_specifier, .child_count = 4, .production_id = 49), SHIFT(2888),
  [3478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [3480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [3482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_abstract_pointer_declarator, .child_count = 1, .dynamic_precedence = 1),
  [3484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2255),
  [3486] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_enum_specifier, .child_count = 5, .production_id = 79),
  [3488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_enum_specifier, .child_count = 5, .production_id = 79),
  [3490] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_enum_specifier, .child_count = 5, .production_id = 79), SHIFT(2888),
  [3493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_enum_specifier, .child_count = 3, .production_id = 23),
  [3495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_enum_specifier, .child_count = 3, .production_id = 23),
  [3497] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_enum_specifier, .child_count = 3, .production_id = 23), SHIFT(2888),
  [3500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_enum_specifier, .child_count = 2, .production_id = 7),
  [3502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_enum_specifier, .child_count = 2, .production_id = 7),
  [3504] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_enum_specifier, .child_count = 2, .production_id = 7), SHIFT(2888),
  [3507] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_ms_call_modifier, .child_count = 1),
  [3509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_ms_call_modifier, .child_count = 1),
  [3511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2090),
  [3513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [3515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [3517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2087),
  [3519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2088),
  [3521] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym__declarator, .child_count = 1), REDUCE(.symbol = sym__type_specifier, .child_count = 1, .production_id = 1),
  [3524] = {.entry = {.count = 3, .reusable = true}}, REDUCE(.symbol = sym__declarator, .child_count = 1), REDUCE(.symbol = sym__type_specifier, .child_count = 1, .production_id = 1), SHIFT(1527),
  [3528] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym__declarator, .child_count = 1), REDUCE(.symbol = sym__type_specifier, .child_count = 1, .production_id = 1),
  [3531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1045),
  [3533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [3535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1049),
  [3537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [3539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [3541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1052),
  [3543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [3545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1054),
  [3547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [3549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1059),
  [3551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [3553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1060),
  [3555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [3557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_enumerator, .child_count = 3, .production_id = 78),
  [3559] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_enumerator, .child_count = 3, .production_id = 78),
  [3561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1478),
  [3563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1476),
  [3565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1496),
  [3567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1055),
  [3569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [3571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1058),
  [3573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [3575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [3577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1036),
  [3579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [3581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(962),
  [3583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(921),
  [3585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1040),
  [3587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [3589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [3591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [3593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1530),
  [3595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1520),
  [3597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(993),
  [3599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [3601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(994),
  [3603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1004),
  [3605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1006),
  [3607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1011),
  [3609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [3611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1023),
  [3613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [3615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [3617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [3619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [3621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [3623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_abstract_pointer_declarator, .child_count = 3, .dynamic_precedence = 1),
  [3625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1178),
  [3627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [3629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [3631] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_argument_list, .child_count = 3),
  [3633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_argument_list, .child_count = 3),
  [3635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1951),
  [3637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [3639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [3641] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = aux_sym_pointer_declarator_repeat1, .child_count = 2),
  [3643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_pointer_declarator_repeat1, .child_count = 2),
  [3645] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_pointer_declarator_repeat1, .child_count = 2), SHIFT_REPEAT(1573),
  [3648] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_pointer_declarator_repeat1, .child_count = 2), SHIFT_REPEAT(1568),
  [3651] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_argument_list, .child_count = 2),
  [3653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_argument_list, .child_count = 2),
  [3655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [3657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_comma_expression, .child_count = 3, .production_id = 42),
  [3659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [3661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1455),
  [3663] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_argument_list, .child_count = 4),
  [3665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_argument_list, .child_count = 4),
  [3667] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_call_expression, .child_count = 2, .production_id = 12),
  [3669] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_call_expression, .child_count = 2, .production_id = 12),
  [3671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [3673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [3675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [3677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [3679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [3681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [3683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [3685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [3687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [3689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [3691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_bitfield_clause, .child_count = 2),
  [3693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [3695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1140),
  [3697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_initializer_list_repeat1, .child_count = 2),
  [3699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_argument_list_repeat1, .child_count = 3),
  [3701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [3703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [3705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1727),
  [3707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1686),
  [3709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1685),
  [3711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_generic_expression_repeat1, .child_count = 4),
  [3713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [3715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [3717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1035),
  [3719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [3721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1028),
  [3723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [3725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [3727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(996),
  [3729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [3731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1001),
  [3733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1008),
  [3735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [3737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1019),
  [3739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [3741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [3743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2409),
  [3745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [3747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [3749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [3751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [3753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_init_declarator, .child_count = 3, .production_id = 62),
  [3755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [3757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2434),
  [3759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__for_statement_body, .child_count = 5, .production_id = 123),
  [3761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_argument_list_repeat1, .child_count = 2),
  [3763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [3765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [3767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [3769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [3771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [3773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [3775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [3777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [3779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [3781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_qualifier, .child_count = 3),
  [3783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [3785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [3787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [3789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [3791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [3793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__for_statement_body, .child_count = 3, .production_id = 84),
  [3795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__for_statement_body, .child_count = 3, .production_id = 83),
  [3797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [3799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__for_statement_body, .child_count = 4, .production_id = 105),
  [3801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__for_statement_body, .child_count = 4, .production_id = 106),
  [3803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__for_statement_body, .child_count = 4, .production_id = 107),
  [3805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_initializer_pair, .child_count = 3, .production_id = 120),
  [3807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [3809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_initializer_pair, .child_count = 3, .production_id = 119),
  [3811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [3813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2406),
  [3815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [3817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1532),
  [3819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2404),
  [3821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [3823] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym__type_definition_type_repeat1, .child_count = 2), SHIFT_REPEAT(1178),
  [3826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2385),
  [3828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [3830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [3832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [3834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [3836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [3838] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_ms_unaligned_ptr_modifier, .child_count = 1),
  [3840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_ms_unaligned_ptr_modifier, .child_count = 1),
  [3842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [3844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [3846] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_ms_pointer_modifier, .child_count = 1),
  [3848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_ms_pointer_modifier, .child_count = 1),
  [3850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [3852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2633),
  [3854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_type_descriptor, .child_count = 2, .production_id = 13),
  [3856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_type_descriptor, .child_count = 2, .production_id = 2),
  [3858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_type_descriptor, .child_count = 3, .production_id = 13),
  [3860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_type_descriptor, .child_count = 1, .production_id = 2),
  [3862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1255),
  [3864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1595),
  [3866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__preproc_expression, .child_count = 1),
  [3868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1617),
  [3870] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__preproc_expression, .child_count = 1),
  [3872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1930),
  [3874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1593),
  [3876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [3878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [3880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2572),
  [3882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [3884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1674),
  [3886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [3888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2381),
  [3890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [3892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [3894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1668),
  [3896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [3898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1656),
  [3900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [3902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [3904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1648),
  [3906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [3908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1641),
  [3910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [3912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1665),
  [3914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1665),
  [3916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [3918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1600),
  [3920] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [3922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2873),
  [3924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [3926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [3928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [3930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [3932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2822),
  [3934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_parameter_declaration, .child_count = 2, .production_id = 72),
  [3936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1611),
  [3938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [3940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2574),
  [3942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [3944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1677),
  [3946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [3948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2380),
  [3950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_binary_expression, .child_count = 3, .production_id = 29),
  [3952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [3954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_defined, .child_count = 2),
  [3956] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_defined, .child_count = 2),
  [3958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [3960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [3962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [3964] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_binary_expression, .child_count = 3, .production_id = 29),
  [3966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1703),
  [3968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [3970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [3972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [3974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [3976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [3978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [3980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [3982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [3984] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__type_definition_type, .child_count = 1, .production_id = 2),
  [3986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__type_definition_type, .child_count = 1, .production_id = 2),
  [3988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [3990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [3992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [3994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [3996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [3998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [4000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1624),
  [4002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [4004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [4006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [4008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_parameter_declaration, .child_count = 1, .production_id = 40),
  [4010] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__type_definition_type, .child_count = 2, .production_id = 13),
  [4012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__type_definition_type, .child_count = 2, .production_id = 13),
  [4014] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_parenthesized_expression, .child_count = 3),
  [4016] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_parenthesized_expression, .child_count = 3),
  [4018] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__type_definition_type, .child_count = 2, .production_id = 2),
  [4020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__type_definition_type, .child_count = 2, .production_id = 2),
  [4022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_defined, .child_count = 4),
  [4024] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_defined, .child_count = 4),
  [4026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [4028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_preproc_argument_list_repeat1, .child_count = 2),
  [4030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [4032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [4034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [4036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [4038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [4040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [4042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [4044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [4046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [4048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1726),
  [4050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [4052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [4054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_unary_expression, .child_count = 2, .production_id = 4),
  [4056] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_unary_expression, .child_count = 2, .production_id = 4),
  [4058] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__type_definition_type, .child_count = 3, .production_id = 13),
  [4060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__type_definition_type, .child_count = 3, .production_id = 13),
  [4062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [4064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1697),
  [4066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [4068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [4070] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym__type_specifier, .child_count = 1), SHIFT(1728),
  [4073] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_sized_type_specifier, .child_count = 1), SHIFT(1731),
  [4076] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_sized_type_specifier, .child_count = 1), SHIFT(1702),
  [4079] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_sized_type_specifier, .child_count = 1), SHIFT(1730),
  [4082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1645),
  [4084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1623),
  [4086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1636),
  [4088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1635),
  [4090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1634),
  [4092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1631),
  [4094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1629),
  [4096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1628),
  [4098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1627),
  [4100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [4102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1638),
  [4104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [4106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [4108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [4110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [4112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2057),
  [4114] = {.entry = {.count = 3, .reusable = false}}, REDUCE(.symbol = sym_sized_type_specifier, .child_count = 2), REDUCE(.symbol = aux_sym_sized_type_specifier_repeat1, .child_count = 2), SHIFT(1220),
  [4118] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_sized_type_specifier, .child_count = 3, .production_id = 13), SHIFT(1220),
  [4121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [4123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1884),
  [4125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [4127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [4129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_sized_type_specifier, .child_count = 3, .dynamic_precedence = -1, .production_id = 14), SHIFT(1220),
  [4132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1987),
  [4134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [4136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [4138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1661),
  [4140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [4142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1912),
  [4144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [4146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [4148] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym__type_specifier, .child_count = 1, .production_id = 1), SHIFT(1729),
  [4151] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_sized_type_specifier, .child_count = 2, .production_id = 2), SHIFT(1220),
  [4154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_sized_type_specifier, .child_count = 2, .dynamic_precedence = -1, .production_id = 9), SHIFT(1220),
  [4157] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_sized_type_specifier, .child_count = 2, .production_id = 13), SHIFT(1708),
  [4160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = sym_sized_type_specifier, .child_count = 2, .dynamic_precedence = -1, .production_id = 14), SHIFT(1715),
  [4163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2888),
  [4165] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = sym_enum_specifier, .child_count = 2, .production_id = 6), SHIFT(2633),
  [4168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1816),
  [4170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__function_declaration_declarator, .child_count = 2, .production_id = 33),
  [4172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_function_declarator, .child_count = 2, .production_id = 33),
  [4174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_function_declarator, .child_count = 2, .production_id = 33),
  [4176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_function_declarator, .child_count = 3, .production_id = 33),
  [4178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_function_declarator, .child_count = 3, .production_id = 33),
  [4180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [4182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2067),
  [4184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [4186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2151),
  [4188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1671),
  [4190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2805),
  [4192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [4194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [4196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [4198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [4200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [4202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_function_declarator, .child_count = 4, .production_id = 33),
  [4204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_function_declarator, .child_count = 4, .production_id = 33),
  [4206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__function_declaration_declarator, .child_count = 3, .production_id = 33),
  [4208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__function_declaration_declarator, .child_count = 3, .production_id = 33),
  [4210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [4212] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_function_declarator_repeat1, .child_count = 2), SHIFT_REPEAT(1816),
  [4215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_function_declarator_repeat1, .child_count = 2),
  [4217] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_function_declarator_repeat1, .child_count = 2), SHIFT_REPEAT(2888),
  [4220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = aux_sym_function_declarator_repeat1, .child_count = 2),
  [4222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [4224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2),
  [4226] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2), SHIFT_REPEAT(2564),
  [4229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = aux_sym_attributed_declarator_repeat1, .child_count = 2),
  [4231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_pointer_declarator, .child_count = 4, .dynamic_precedence = 1, .production_id = 90),
  [4233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [4235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(846),
  [4237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_pointer_declarator, .child_count = 5, .dynamic_precedence = 1, .production_id = 113),
  [4239] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = aux_sym_function_declarator_repeat1, .child_count = 1),
  [4241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_function_declarator_repeat1, .child_count = 1),
  [4243] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_parameter_list, .child_count = 3),
  [4245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_parameter_list, .child_count = 3),
  [4247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_pointer_declarator, .child_count = 3, .dynamic_precedence = 1, .production_id = 59),
  [4249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_pointer_declarator, .child_count = 2, .dynamic_precedence = 1, .production_id = 31),
  [4251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2383),
  [4253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1672),
  [4255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2639),
  [4257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2533),
  [4259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [4261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_parameter_list, .child_count = 2),
  [4263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_parameter_list, .child_count = 2),
  [4265] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_parameter_list, .child_count = 4),
  [4267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_parameter_list, .child_count = 4),
  [4269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [4271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2214),
  [4273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [4275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2262),
  [4277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [4279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2187),
  [4281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [4283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [4285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__field_declaration_declarator, .child_count = 1, .production_id = 21),
  [4287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(844),
  [4289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [4291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2181),
  [4293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [4295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2206),
  [4297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [4299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2225),
  [4301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [4303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_attributed_declarator, .child_count = 2),
  [4305] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_attributed_declarator, .child_count = 2),
  [4307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2178),
  [4309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [4311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2208),
  [4313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [4315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2189),
  [4317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [4319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2204),
  [4321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [4323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2196),
  [4325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [4327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2230),
  [4329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [4331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2118),
  [4333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2179),
  [4335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1670),
  [4337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2751),
  [4339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_pointer_field_declarator, .child_count = 4, .dynamic_precedence = 1, .production_id = 90),
  [4341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [4343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_elifdef_in_enumerator_list, .child_count = 2, .production_id = 16),
  [4345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1671),
  [4347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_pointer_field_declarator, .child_count = 3, .dynamic_precedence = 1, .production_id = 59),
  [4349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym__field_declaration_declarator_repeat1, .child_count = 2, .production_id = 31),
  [4351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_type_definition_repeat1, .child_count = 1),
  [4353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_type_definition_repeat1, .child_count = 1), REDUCE(.symbol = aux_sym_function_declarator_repeat1, .child_count = 1),
  [4356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = aux_sym_type_definition_repeat1, .child_count = 1),
  [4358] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_enumerator_list_repeat1, .child_count = 2), SHIFT_REPEAT(2383),
  [4361] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_enumerator_list_repeat1, .child_count = 2), SHIFT_REPEAT(1653),
  [4364] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_enumerator_list_repeat1, .child_count = 2), SHIFT_REPEAT(2800),
  [4367] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_enumerator_list_repeat1, .child_count = 2), SHIFT_REPEAT(2533),
  [4370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_enumerator_list_repeat1, .child_count = 2),
  [4372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_elif_in_enumerator_list, .child_count = 3, .production_id = 38),
  [4374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2121),
  [4376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_gnu_asm_clobber_list, .child_count = 1),
  [4378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_pointer_field_declarator, .child_count = 2, .dynamic_precedence = 1, .production_id = 31),
  [4380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_pointer_field_declarator, .child_count = 5, .dynamic_precedence = 1, .production_id = 113),
  [4382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2747),
  [4384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2224),
  [4386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1673),
  [4388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2584),
  [4390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2097),
  [4392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2133),
  [4394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_attributed_field_declarator, .child_count = 2),
  [4396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_attributed_field_declarator, .child_count = 2),
  [4398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_gnu_asm_input_operand_list, .child_count = 1),
  [4400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2732),
  [4402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_parenthesized_declarator, .child_count = 3, .dynamic_precedence = -10),
  [4404] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_parenthesized_declarator, .child_count = 3, .dynamic_precedence = -10),
  [4406] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__declarator, .child_count = 1),
  [4408] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__declarator, .child_count = 1),
  [4410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_parenthesized_declarator, .child_count = 4, .dynamic_precedence = -10),
  [4412] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_parenthesized_declarator, .child_count = 4, .dynamic_precedence = -10),
  [4414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [4416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__type_definition_declarators, .child_count = 1, .production_id = 21),
  [4418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(847),
  [4420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_pointer_type_declarator, .child_count = 5, .dynamic_precedence = 1, .production_id = 113),
  [4422] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_array_declarator, .child_count = 3, .production_id = 21),
  [4424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_array_declarator, .child_count = 3, .production_id = 21),
  [4426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_pointer_type_declarator, .child_count = 3, .dynamic_precedence = 1, .production_id = 59),
  [4428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_array_declarator, .child_count = 4, .production_id = 93),
  [4430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_array_declarator, .child_count = 4, .production_id = 93),
  [4432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_array_declarator, .child_count = 5, .production_id = 115),
  [4434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_array_declarator, .child_count = 5, .production_id = 115),
  [4436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_pointer_type_declarator, .child_count = 4, .dynamic_precedence = 1, .production_id = 90),
  [4438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_array_declarator, .child_count = 4, .production_id = 21),
  [4440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_array_declarator, .child_count = 4, .production_id = 21),
  [4442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_pointer_type_declarator, .child_count = 2, .dynamic_precedence = 1, .production_id = 31),
  [4444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_gnu_asm_output_operand_list, .child_count = 1),
  [4446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2782),
  [4448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__declaration_declarator, .child_count = 1),
  [4450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2382),
  [4452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2239),
  [4454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2808),
  [4456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [4458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym__type_definition_declarators_repeat1, .child_count = 2, .production_id = 31),
  [4460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2396),
  [4462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2648),
  [4464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2286),
  [4466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2590),
  [4468] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_attributed_type_declarator, .child_count = 2),
  [4470] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_attributed_type_declarator, .child_count = 2),
  [4472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2268),
  [4474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2894),
  [4476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2387),
  [4478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2597),
  [4480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_function_field_declarator, .child_count = 2, .production_id = 33),
  [4482] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_function_field_declarator, .child_count = 2, .production_id = 33),
  [4484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__field_declarator, .child_count = 1, .production_id = 50),
  [4486] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__field_declarator, .child_count = 1, .production_id = 50),
  [4488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__field_declarator, .child_count = 1),
  [4490] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__field_declarator, .child_count = 1),
  [4492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_parameter_declaration, .child_count = 3, .production_id = 67),
  [4494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_array_field_declarator, .child_count = 5, .production_id = 115),
  [4496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_array_field_declarator, .child_count = 5, .production_id = 115),
  [4498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_elif_in_enumerator_list_no_comma, .child_count = 3, .production_id = 38),
  [4500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [4502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1670),
  [4504] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_parameter_declaration, .child_count = 2, .production_id = 34),
  [4506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_elif_in_enumerator_list_no_comma, .child_count = 4, .production_id = 38),
  [4508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_elif_in_enumerator_list, .child_count = 4, .production_id = 38),
  [4510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2108),
  [4512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2717),
  [4514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_array_field_declarator, .child_count = 4, .production_id = 21),
  [4516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_array_field_declarator, .child_count = 4, .production_id = 21),
  [4518] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_preproc_if_in_enumerator_list_repeat1, .child_count = 2), SHIFT_REPEAT(2383),
  [4521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_preproc_if_in_enumerator_list_repeat1, .child_count = 2),
  [4523] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_enumerator_list_repeat1, .child_count = 2),
  [4525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_array_field_declarator, .child_count = 4, .production_id = 93),
  [4527] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_array_field_declarator, .child_count = 4, .production_id = 93),
  [4529] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_parenthesized_field_declarator, .child_count = 4, .dynamic_precedence = -10),
  [4531] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_parenthesized_field_declarator, .child_count = 4, .dynamic_precedence = -10),
  [4533] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, .child_count = 2), SHIFT_REPEAT(2067),
  [4536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, .child_count = 2),
  [4538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, .child_count = 2),
  [4540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2123),
  [4542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_elifdef_in_enumerator_list_no_comma, .child_count = 2, .production_id = 16),
  [4544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_parenthesized_field_declarator, .child_count = 3, .dynamic_precedence = -10),
  [4546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_parenthesized_field_declarator, .child_count = 3, .dynamic_precedence = -10),
  [4548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_elifdef_in_enumerator_list_no_comma, .child_count = 3, .production_id = 16),
  [4550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_elifdef_in_enumerator_list, .child_count = 3, .production_id = 16),
  [4552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_array_field_declarator, .child_count = 3, .production_id = 21),
  [4554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_array_field_declarator, .child_count = 3, .production_id = 21),
  [4556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_enumerator, .child_count = 1, .production_id = 5),
  [4558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_enumerator, .child_count = 1, .production_id = 5),
  [4560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [4562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_type_definition_repeat1, .child_count = 2),
  [4564] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_type_definition_repeat1, .child_count = 2), SHIFT_REPEAT(2888),
  [4567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_function_type_declarator, .child_count = 2, .production_id = 33),
  [4569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_function_type_declarator, .child_count = 2, .production_id = 33),
  [4571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_parenthesized_type_declarator, .child_count = 4, .dynamic_precedence = -10),
  [4573] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_parenthesized_type_declarator, .child_count = 4, .dynamic_precedence = -10),
  [4575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2060),
  [4577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_array_type_declarator, .child_count = 4, .production_id = 93),
  [4579] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_array_type_declarator, .child_count = 4, .production_id = 93),
  [4581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2080),
  [4583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_array_type_declarator, .child_count = 4, .production_id = 21),
  [4585] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_array_type_declarator, .child_count = 4, .production_id = 21),
  [4587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__function_declaration_declarator, .child_count = 4, .production_id = 33),
  [4589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [4591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2811),
  [4593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_array_type_declarator, .child_count = 5, .production_id = 115),
  [4595] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_array_type_declarator, .child_count = 5, .production_id = 115),
  [4597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_parenthesized_type_declarator, .child_count = 3, .dynamic_precedence = -10),
  [4599] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_parenthesized_type_declarator, .child_count = 3, .dynamic_precedence = -10),
  [4601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1189),
  [4603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1916),
  [4605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, .child_count = 1),
  [4607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2139),
  [4609] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, .child_count = 1),
  [4611] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_initializer_pair_repeat1, .child_count = 2), SHIFT_REPEAT(1030),
  [4614] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_initializer_pair_repeat1, .child_count = 2),
  [4616] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_initializer_pair_repeat1, .child_count = 2), SHIFT_REPEAT(2811),
  [4619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2055),
  [4621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2072),
  [4623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__type_declarator, .child_count = 1, .production_id = 20),
  [4625] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__type_declarator, .child_count = 1, .production_id = 20),
  [4627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__type_declarator, .child_count = 1),
  [4629] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__type_declarator, .child_count = 1),
  [4631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [4633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__type_declarator, .child_count = 1, .production_id = 1),
  [4635] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym__type_declarator, .child_count = 1, .production_id = 1),
  [4637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_array_type_declarator, .child_count = 3, .production_id = 21),
  [4639] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_array_type_declarator, .child_count = 3, .production_id = 21),
  [4641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_type_descriptor, .child_count = 3, .production_id = 44),
  [4643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [4645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_abstract_pointer_declarator, .child_count = 3, .dynamic_precedence = 1, .production_id = 59),
  [4647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_gnu_asm_expression_repeat1, .child_count = 2),
  [4649] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_gnu_asm_expression_repeat1, .child_count = 2), SHIFT_REPEAT(2238),
  [4652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_ifdef_in_enumerator_list, .child_count = 4, .production_id = 16),
  [4654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_ifdef_in_enumerator_list, .child_count = 4, .production_id = 16),
  [4656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1941),
  [4658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2238),
  [4660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1939),
  [4662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [4664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [4666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2098),
  [4668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [4670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_ifdef_in_enumerator_list, .child_count = 3, .production_id = 16),
  [4672] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_ifdef_in_enumerator_list, .child_count = 3, .production_id = 16),
  [4674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [4676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [4678] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, .child_count = 2), SHIFT_REPEAT(2142),
  [4681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [4683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_if_in_enumerator_list, .child_count = 5, .production_id = 69),
  [4685] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_if_in_enumerator_list, .child_count = 5, .production_id = 69),
  [4687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_if_in_enumerator_list, .child_count = 5, .production_id = 38),
  [4689] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_if_in_enumerator_list, .child_count = 5, .production_id = 38),
  [4691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [4693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1929),
  [4695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_abstract_pointer_declarator, .child_count = 2, .dynamic_precedence = 1, .production_id = 31),
  [4697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_ifdef_in_enumerator_list, .child_count = 5, .production_id = 70),
  [4699] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_ifdef_in_enumerator_list, .child_count = 5, .production_id = 70),
  [4701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_type_descriptor, .child_count = 2, .production_id = 18),
  [4703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [4705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [4707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_type_descriptor, .child_count = 3, .production_id = 41),
  [4709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [4711] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_if_in_enumerator_list, .child_count = 4, .production_id = 38),
  [4713] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_if_in_enumerator_list, .child_count = 4, .production_id = 38),
  [4715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [4717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [4719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [4721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [4723] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_if_in_enumerator_list, .child_count = 6, .production_id = 98),
  [4725] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_if_in_enumerator_list, .child_count = 6, .production_id = 98),
  [4727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [4729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [4731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_abstract_pointer_declarator, .child_count = 4, .dynamic_precedence = 1, .production_id = 90),
  [4733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [4735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_type_descriptor, .child_count = 4, .production_id = 74),
  [4737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [4739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [4741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_ifdef_in_enumerator_list, .child_count = 4, .production_id = 39),
  [4743] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_ifdef_in_enumerator_list, .child_count = 4, .production_id = 39),
  [4745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [4747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [4749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [4751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [4753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [4755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [4757] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = aux_sym_enumerator_list_repeat1, .child_count = 2),
  [4759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [4761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [4763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_attribute, .child_count = 1, .production_id = 5),
  [4765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2632),
  [4767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_else_in_enumerator_list, .child_count = 1),
  [4769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_abstract_parenthesized_declarator, .child_count = 4),
  [4771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_abstract_array_declarator, .child_count = 3),
  [4773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_abstract_array_declarator, .child_count = 3, .production_id = 73),
  [4775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_abstract_function_declarator, .child_count = 1, .production_id = 19),
  [4777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_abstract_array_declarator, .child_count = 5, .production_id = 115),
  [4779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2865),
  [4781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_abstract_array_declarator, .child_count = 4, .production_id = 99),
  [4783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_abstract_array_declarator, .child_count = 4, .production_id = 93),
  [4785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_declaration_repeat2, .child_count = 3, .production_id = 94),
  [4787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_abstract_array_declarator, .child_count = 3, .production_id = 21),
  [4789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_declaration_repeat2, .child_count = 2, .production_id = 31),
  [4791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_abstract_array_declarator, .child_count = 4, .production_id = 21),
  [4793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_abstract_parenthesized_declarator, .child_count = 3),
  [4795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_abstract_function_declarator, .child_count = 2, .production_id = 33),
  [4797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_abstract_array_declarator, .child_count = 2),
  [4799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2245),
  [4801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1188),
  [4803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1185),
  [4805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__abstract_declarator, .child_count = 1),
  [4807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [4809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [4811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [4813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [4815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [4817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [4819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [4821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2042),
  [4823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_gnu_asm_input_operand_list, .child_count = 2, .production_id = 87),
  [4825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [4827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [4829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [4831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_gnu_asm_output_operand_list, .child_count = 3, .production_id = 110),
  [4833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [4835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2152),
  [4837] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_gnu_asm_input_operand_list_repeat1, .child_count = 2, .production_id = 124), SHIFT_REPEAT(2042),
  [4840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_gnu_asm_input_operand_list_repeat1, .child_count = 2, .production_id = 124),
  [4842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [4844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [4846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [4848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2337),
  [4850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2692),
  [4852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [4854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2292),
  [4856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2625),
  [4858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [4860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [4862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [4864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2621),
  [4866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [4868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_gnu_asm_clobber_list, .child_count = 2, .production_id = 125),
  [4870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_gnu_asm_clobber_list, .child_count = 3, .production_id = 132),
  [4872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2654),
  [4874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2263),
  [4876] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2263),
  [4878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1705),
  [4880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2264),
  [4882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [4884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_else_in_enumerator_list, .child_count = 2),
  [4886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_else_in_enumerator_list_no_comma, .child_count = 2),
  [4888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2338),
  [4890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [4892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2508),
  [4894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2496),
  [4896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [4898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2673),
  [4900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [4902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [4904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [4906] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_gnu_asm_clobber_list_repeat1, .child_count = 2, .production_id = 139), SHIFT_REPEAT(1946),
  [4909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_gnu_asm_clobber_list_repeat1, .child_count = 2, .production_id = 139),
  [4911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [4913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2665),
  [4915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [4917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [4919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2659),
  [4921] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_gnu_asm_output_operand_list_repeat1, .child_count = 2, .production_id = 124), SHIFT_REPEAT(1949),
  [4924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_gnu_asm_output_operand_list_repeat1, .child_count = 2, .production_id = 124),
  [4926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2494),
  [4928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2561),
  [4930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [4932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [4934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_gnu_asm_output_operand_list, .child_count = 2, .production_id = 87),
  [4936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_else_in_enumerator_list_no_comma, .child_count = 1),
  [4938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1077),
  [4940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2244),
  [4942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2244),
  [4944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(492),
  [4946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2620),
  [4948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_gnu_asm_input_operand_list, .child_count = 3, .production_id = 110),
  [4950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [4952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2525),
  [4954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2493),
  [4956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2283),
  [4958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [4960] = {.entry = {.count = 1, .reusable = false}}, SHIFT(792),
  [4962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1662),
  [4964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [4966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__type_definition_declarators, .child_count = 2, .production_id = 47),
  [4968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2558),
  [4970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2557),
  [4972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_gnu_asm_qualifier, .child_count = 1),
  [4974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2657),
  [4976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2202),
  [4978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2202),
  [4980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2166),
  [4982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_attribute, .child_count = 3, .production_id = 48),
  [4984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1112),
  [4986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [4988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2766),
  [4990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1076),
  [4992] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym__type_definition_declarators_repeat1, .child_count = 2, .production_id = 64), SHIFT_REPEAT(1793),
  [4995] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym__type_definition_declarators_repeat1, .child_count = 2, .production_id = 64),
  [4997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2573),
  [4999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2514),
  [5001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [5003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2820),
  [5005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__field_declaration_declarator, .child_count = 3, .production_id = 104),
  [5007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__field_declaration_declarator, .child_count = 2, .production_id = 47),
  [5009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [5011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__declaration_declarator, .child_count = 1, .production_id = 10),
  [5013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1168),
  [5015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2259),
  [5017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2259),
  [5019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [5021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(793),
  [5023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2233),
  [5025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2233),
  [5027] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym__field_declaration_declarator_repeat1, .child_count = 2, .production_id = 64), SHIFT_REPEAT(1887),
  [5030] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym__field_declaration_declarator_repeat1, .child_count = 2, .production_id = 64),
  [5032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2510),
  [5034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2553),
  [5036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [5038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2887),
  [5040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1161),
  [5042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1307),
  [5044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym__field_declaration_declarator, .child_count = 2, .production_id = 21),
  [5046] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = aux_sym_string_literal_repeat1, .child_count = 2),
  [5048] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_string_literal_repeat1, .child_count = 2), SHIFT_REPEAT(2263),
  [5051] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_string_literal_repeat1, .child_count = 2), SHIFT_REPEAT(2263),
  [5054] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = aux_sym_char_literal_repeat1, .child_count = 2),
  [5056] = {.entry = {.count = 2, .reusable = false}}, REDUCE(.symbol = aux_sym_char_literal_repeat1, .child_count = 2), SHIFT_REPEAT(2264),
  [5059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [5061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2276),
  [5063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [5065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2273),
  [5067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [5069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [5071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1612),
  [5073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [5075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1577),
  [5077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [5079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [5081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [5083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1091),
  [5085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [5087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [5089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [5091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2801),
  [5093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [5095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2602),
  [5097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [5099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [5101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [5103] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_qualifier, .child_count = 1),
  [5105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [5107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2344),
  [5109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [5111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [5113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2846),
  [5115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [5117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2792),
  [5119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [5121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1096),
  [5123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [5125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [5127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [5129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [5131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [5133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [5135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [5137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [5139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [5141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [5143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [5145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [5147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [5149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2543),
  [5151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2541),
  [5153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2547),
  [5155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [5157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [5159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [5161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [5163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [5165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1208),
  [5167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [5169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [5171] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_function_definition_repeat1, .child_count = 2), SHIFT_REPEAT(2625),
  [5174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_function_definition_repeat1, .child_count = 2),
  [5176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1834),
  [5178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [5180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [5182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [5184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2242),
  [5186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2284),
  [5188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2578),
  [5190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [5192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [5194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(810),
  [5196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [5198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [5200] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_attribute_declaration_repeat1, .child_count = 2), SHIFT_REPEAT(2547),
  [5203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_attribute_declaration_repeat1, .child_count = 2),
  [5205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [5207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [5209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [5211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [5213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [5215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [5217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [5219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [5221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [5223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [5225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2305),
  [5227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2570),
  [5229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [5231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [5233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [5235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1083),
  [5237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [5239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [5241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2595),
  [5243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [5245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2594),
  [5247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [5249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [5251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [5253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [5255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [5257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [5259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [5261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [5263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [5265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [5267] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_declaration_repeat2, .child_count = 2, .production_id = 64), SHIFT_REPEAT(1597),
  [5270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_declaration_repeat2, .child_count = 2, .production_id = 64),
  [5272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [5274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [5276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [5278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [5280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [5282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [5284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [5286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [5288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(453),
  [5290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2767),
  [5292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [5294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2863),
  [5296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [5298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2699),
  [5300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [5302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(423),
  [5304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [5306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [5308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2507),
  [5310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(421),
  [5312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [5314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2203),
  [5316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2234),
  [5318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(501),
  [5320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1000),
  [5322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [5324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_gnu_asm_input_operand, .child_count = 7, .production_id = 144),
  [5326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [5328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1892),
  [5330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [5332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [5334] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_layout_qualifiers_repeat1, .child_count = 2), SHIFT_REPEAT(2344),
  [5337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_layout_qualifiers_repeat1, .child_count = 2),
  [5339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [5341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_gnu_asm_output_operand, .child_count = 7, .production_id = 144),
  [5343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [5345] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_gnu_asm_goto_list_repeat1, .child_count = 2, .production_id = 143), SHIFT_REPEAT(2667),
  [5348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_gnu_asm_goto_list_repeat1, .child_count = 2, .production_id = 143),
  [5350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2667),
  [5352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_gnu_asm_goto_list, .child_count = 3, .production_id = 140),
  [5354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [5356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [5358] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_argument_list_repeat1, .child_count = 2), SHIFT_REPEAT(871),
  [5361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [5363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(448),
  [5365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [5367] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_preproc_argument_list_repeat1, .child_count = 2), SHIFT_REPEAT(1681),
  [5370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [5372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_gnu_asm_clobber_list_repeat1, .child_count = 2, .production_id = 125),
  [5374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_gnu_asm_input_operand, .child_count = 4, .production_id = 131),
  [5376] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_generic_expression_repeat1, .child_count = 2), SHIFT_REPEAT(1492),
  [5379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_generic_expression_repeat1, .child_count = 2),
  [5381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_subscript_range_designator, .child_count = 5, .production_id = 136),
  [5383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [5385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [5387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [5389] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_preproc_params_repeat1, .child_count = 2), SHIFT_REPEAT(2543),
  [5392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_preproc_params_repeat1, .child_count = 2),
  [5394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2829),
  [5396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [5398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2774),
  [5400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [5402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [5404] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_parameter_list_repeat1, .child_count = 2), SHIFT_REPEAT(852),
  [5407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_parameter_list_repeat1, .child_count = 2),
  [5409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_field_designator, .child_count = 2, .production_id = 100),
  [5411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [5413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [5415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [5417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [5419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [5421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [5423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [5425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [5427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2487),
  [5429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [5431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [5433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [5435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [5437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1078),
  [5439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [5441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [5443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [5445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [5447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [5449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_subscript_designator, .child_count = 3),
  [5451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_gnu_asm_goto_list, .child_count = 2, .production_id = 133),
  [5453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [5455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [5457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [5459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [5461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [5463] = {.entry = {.count = 2, .reusable = true}}, REDUCE(.symbol = aux_sym_initializer_list_repeat1, .child_count = 2), SHIFT_REPEAT(858),
  [5466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [5468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [5470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [5472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [5474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [5476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [5478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [5480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [5482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [5484] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_gnu_asm_input_operand_list_repeat1, .child_count = 2, .production_id = 87),
  [5486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [5488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [5490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [5492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [5494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [5496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [5498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [5500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [5502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [5504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [5506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [5508] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym__field_declaration_declarator_repeat1, .child_count = 3, .production_id = 31),
  [5510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_gnu_asm_output_operand_list_repeat1, .child_count = 2, .production_id = 87),
  [5512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [5514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [5516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [5518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [5520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [5522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [5524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [5526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [5528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2260),
  [5530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [5532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [5534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [5536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [5538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [5540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [5542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_gnu_asm_output_operand, .child_count = 4, .production_id = 131),
  [5544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [5546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2682),
  [5548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [5550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [5552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2435),
  [5554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_gnu_asm_goto_list, .child_count = 1),
  [5556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_declaration_repeat2, .child_count = 4, .production_id = 116),
  [5558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [5560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2678),
  [5562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_params, .child_count = 4),
  [5564] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_params, .child_count = 4),
  [5566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [5568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2749),
  [5570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [5572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2669),
  [5574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [5576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2664),
  [5578] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = aux_sym_gnu_asm_goto_list_repeat1, .child_count = 2, .production_id = 133),
  [5580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [5582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2895),
  [5584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [5586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2656),
  [5588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2147),
  [5590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2150),
  [5592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_attribute, .child_count = 4, .production_id = 48),
  [5594] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_params, .child_count = 3),
  [5596] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_params, .child_count = 3),
  [5598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2512),
  [5600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [5602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2835),
  [5604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [5606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2660),
  [5608] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_attribute, .child_count = 2, .production_id = 5),
  [5610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [5612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2870),
  [5614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [5616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [5618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2644),
  [5620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_variadic_parameter, .child_count = 1),
  [5622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_params, .child_count = 2),
  [5624] = {.entry = {.count = 1, .reusable = false}}, REDUCE(.symbol = sym_preproc_params, .child_count = 2),
  [5626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1626),
  [5628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2592),
  [5630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [5632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2612),
  [5634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [5636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2862),
  [5638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2331),
  [5640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2319),
  [5642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [5644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2668),
  [5646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [5648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2058),
  [5650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [5652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [5654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [5656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [5658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [5660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2646),
  [5662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [5664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2163),
  [5666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [5668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2721),
  [5670] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [5672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [5674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2638),
  [5676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [5678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [5680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [5682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2567),
  [5684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2869),
  [5686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [5688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [5690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [5692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [5694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [5696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [5698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [5700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [5702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [5704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [5706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2566),
  [5708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [5710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [5712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [5714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [5716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [5718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2241),
  [5720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [5722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [5724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2248),
  [5726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [5728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [5730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [5732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [5734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [5736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [5738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2615),
  [5740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [5742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2810),
  [5744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [5746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [5748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [5750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2227),
  [5752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [5754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [5756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [5758] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_if_in_enumerator_list_no_comma, .child_count = 5, .production_id = 69),
  [5760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [5762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [5764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [5766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2391),
  [5768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [5770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [5772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [5774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [5776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2518),
  [5778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [5780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [5782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [5784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [5786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2662),
  [5788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [5790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [5792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_elif_in_field_declaration_list, .child_count = 5, .production_id = 98),
  [5794] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_elif_in_enumerator_list_no_comma, .child_count = 5, .production_id = 98),
  [5796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_elif_in_enumerator_list, .child_count = 5, .production_id = 98),
  [5798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [5800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [5802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [5804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [5806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [5808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2672),
  [5810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [5812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_elifdef_in_field_declaration_list, .child_count = 4, .production_id = 70),
  [5814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_elif_in_field_declaration_list, .child_count = 4, .production_id = 69),
  [5816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2258),
  [5818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [5820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_elifdef_in_enumerator_list_no_comma, .child_count = 4, .production_id = 70),
  [5822] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_elifdef_in_enumerator_list, .child_count = 4, .production_id = 70),
  [5824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_elif_in_enumerator_list_no_comma, .child_count = 4, .production_id = 69),
  [5826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [5828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [5830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_elif_in_enumerator_list, .child_count = 4, .production_id = 69),
  [5832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2897),
  [5834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [5836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_if_in_enumerator_list_no_comma, .child_count = 6, .production_id = 98),
  [5838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [5840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [5842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [5844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2117),
  [5846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [5848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2482),
  [5850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [5852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_elifdef_in_field_declaration_list, .child_count = 3, .production_id = 39),
  [5854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [5856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_ifdef_in_enumerator_list_no_comma, .child_count = 5, .production_id = 70),
  [5858] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_elifdef_in_enumerator_list_no_comma, .child_count = 3, .production_id = 39),
  [5860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_elifdef_in_enumerator_list, .child_count = 3, .production_id = 39),
  [5862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [5864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2698),
  [5866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [5868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [5870] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_if_in_enumerator_list_no_comma, .child_count = 5, .production_id = 38),
  [5872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2128),
  [5874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2107),
  [5876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [5878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [5880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [5882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [5884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [5886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [5888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_elif, .child_count = 5, .production_id = 98),
  [5890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [5892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [5894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [5896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [5898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [5900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2702),
  [5902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2704),
  [5904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2131),
  [5906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2243),
  [5908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [5910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [5912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [5914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [5916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [5918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2771),
  [5920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2710),
  [5922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [5924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_ifdef_in_enumerator_list_no_comma, .child_count = 4, .production_id = 16),
  [5926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [5928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2114),
  [5930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2059),
  [5932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_ifdef_in_enumerator_list_no_comma, .child_count = 4, .production_id = 39),
  [5934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2658),
  [5936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [5938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [5940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2613),
  [5942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [5944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [5946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_elifdef, .child_count = 4, .production_id = 70),
  [5948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_elif, .child_count = 4, .production_id = 69),
  [5950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [5952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [5954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [5956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [5958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [5960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [5962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [5964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [5966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [5968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2194),
  [5970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [5972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [5974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2733),
  [5976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2734),
  [5978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [5980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2211),
  [5982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2216),
  [5984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2218),
  [5986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [5988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [5990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [5992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [5994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [5996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [5998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [6000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [6002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [6004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [6006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2173),
  [6008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(880),
  [6010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2752),
  [6012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2140),
  [6014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1865),
  [6016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2580),
  [6018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [6020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2415),
  [6022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_preproc_elifdef, .child_count = 3, .production_id = 39),
  [6024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2599),
  [6026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [6028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [6030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [6032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [6034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [6036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1061),
  [6038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [6040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [6042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [6044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [6046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [6048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [6050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2158),
  [6052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [6054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [6056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2515),
  [6058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [6060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [6062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [6064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [6066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [6068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [6070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2788),
  [6072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [6074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [6076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [6078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2168),
  [6080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [6082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2490),
  [6084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2199),
  [6086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [6088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [6090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [6092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [6094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [6096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [6098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [6100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [6102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [6104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2603),
  [6106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [6108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [6110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2175),
  [6112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [6114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_extension_behavior, .child_count = 1),
  [6116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2505),
  [6118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [6120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [6122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [6124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [6126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [6128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [6130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [6132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [6134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [6136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [6138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [6140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [6142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [6144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [6146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(.symbol = sym_ms_based_modifier, .child_count = 2),
  [6148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [6150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [6152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [6154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2571),
  [6156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [6158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [6160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [6162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [6164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [6166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [6168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [6170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [6172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2840),
  [6174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [6176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [6178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [6180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [6182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [6184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_glsl() {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
